#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8243
#define LARGE_STATE_COUNT 2179
#define SYMBOL_COUNT 529
#define ALIAS_COUNT 5
#define TOKEN_COUNT 215
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_static = 70,
  anon_sym_RBRACK = 71,
  anon_sym_EQ = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  anon_sym_alignas = 91,
  anon_sym__Alignas = 92,
  sym_primitive_type = 93,
  anon_sym_enum = 94,
  anon_sym_class = 95,
  anon_sym_struct = 96,
  anon_sym_union = 97,
  anon_sym_COLON = 98,
  anon_sym_if = 99,
  anon_sym_else = 100,
  anon_sym_switch = 101,
  anon_sym_case = 102,
  anon_sym_default = 103,
  anon_sym_while = 104,
  anon_sym_do = 105,
  anon_sym_for = 106,
  anon_sym_return = 107,
  anon_sym_break = 108,
  anon_sym_continue = 109,
  anon_sym_goto = 110,
  anon_sym___try = 111,
  anon_sym___except = 112,
  anon_sym___finally = 113,
  anon_sym___leave = 114,
  anon_sym_QMARK = 115,
  anon_sym_STAR_EQ = 116,
  anon_sym_SLASH_EQ = 117,
  anon_sym_PERCENT_EQ = 118,
  anon_sym_PLUS_EQ = 119,
  anon_sym_DASH_EQ = 120,
  anon_sym_LT_LT_EQ = 121,
  anon_sym_GT_GT_EQ = 122,
  anon_sym_AMP_EQ = 123,
  anon_sym_CARET_EQ = 124,
  anon_sym_PIPE_EQ = 125,
  anon_sym_and_eq = 126,
  anon_sym_or_eq = 127,
  anon_sym_xor_eq = 128,
  anon_sym_not = 129,
  anon_sym_compl = 130,
  anon_sym_LT_EQ_GT = 131,
  anon_sym_or = 132,
  anon_sym_and = 133,
  anon_sym_bitor = 134,
  anon_sym_xor = 135,
  anon_sym_bitand = 136,
  anon_sym_not_eq = 137,
  anon_sym_DASH_DASH = 138,
  anon_sym_PLUS_PLUS = 139,
  anon_sym_sizeof = 140,
  anon_sym___alignof__ = 141,
  anon_sym___alignof = 142,
  anon_sym__alignof = 143,
  anon_sym_alignof = 144,
  anon_sym__Alignof = 145,
  anon_sym_offsetof = 146,
  anon_sym__Generic = 147,
  anon_sym_asm = 148,
  anon_sym___asm__ = 149,
  anon_sym_DOT = 150,
  anon_sym_DOT_STAR = 151,
  anon_sym_DASH_GT = 152,
  sym_number_literal = 153,
  anon_sym_L_SQUOTE = 154,
  anon_sym_u_SQUOTE = 155,
  anon_sym_U_SQUOTE = 156,
  anon_sym_u8_SQUOTE = 157,
  anon_sym_SQUOTE = 158,
  aux_sym_char_literal_token1 = 159,
  anon_sym_L_DQUOTE = 160,
  anon_sym_u_DQUOTE = 161,
  anon_sym_U_DQUOTE = 162,
  anon_sym_u8_DQUOTE = 163,
  anon_sym_DQUOTE = 164,
  aux_sym_string_literal_token1 = 165,
  sym_escape_sequence = 166,
  sym_system_lib_string = 167,
  sym_true = 168,
  sym_false = 169,
  anon_sym_NULL = 170,
  anon_sym_nullptr = 171,
  sym_comment = 172,
  sym_auto = 173,
  anon_sym_decltype = 174,
  anon_sym_final = 175,
  anon_sym_override = 176,
  sym_virtual = 177,
  anon_sym_explicit = 178,
  anon_sym_typename = 179,
  anon_sym_template = 180,
  anon_sym_GT2 = 181,
  anon_sym_operator = 182,
  anon_sym_try = 183,
  anon_sym_delete = 184,
  anon_sym_0 = 185,
  anon_sym_friend = 186,
  anon_sym_public = 187,
  anon_sym_private = 188,
  anon_sym_protected = 189,
  anon_sym_noexcept = 190,
  anon_sym_throw = 191,
  anon_sym_namespace = 192,
  anon_sym_using = 193,
  anon_sym_static_assert = 194,
  anon_sym_concept = 195,
  anon_sym_co_return = 196,
  anon_sym_co_yield = 197,
  anon_sym_catch = 198,
  anon_sym_R_DQUOTE = 199,
  anon_sym_LR_DQUOTE = 200,
  anon_sym_uR_DQUOTE = 201,
  anon_sym_UR_DQUOTE = 202,
  anon_sym_u8R_DQUOTE = 203,
  anon_sym_co_await = 204,
  anon_sym_new = 205,
  anon_sym_requires = 206,
  anon_sym_DASH_GT_STAR = 207,
  anon_sym_LPAREN_RPAREN = 208,
  anon_sym_LBRACK_RBRACK = 209,
  anon_sym_DQUOTE_DQUOTE = 210,
  sym_this = 211,
  sym_literal_suffix = 212,
  sym_raw_string_delimiter = 213,
  sym_raw_string_content = 214,
  sym_translation_unit = 215,
  sym__top_level_item = 216,
  sym__block_item = 217,
  sym_preproc_include = 218,
  sym_preproc_def = 219,
  sym_preproc_function_def = 220,
  sym_preproc_params = 221,
  sym_preproc_call = 222,
  sym_preproc_if = 223,
  sym_preproc_ifdef = 224,
  sym_preproc_else = 225,
  sym_preproc_elif = 226,
  sym_preproc_elifdef = 227,
  sym_preproc_if_in_field_declaration_list = 228,
  sym_preproc_ifdef_in_field_declaration_list = 229,
  sym_preproc_else_in_field_declaration_list = 230,
  sym_preproc_elif_in_field_declaration_list = 231,
  sym_preproc_elifdef_in_field_declaration_list = 232,
  sym_preproc_if_in_enumerator_list = 233,
  sym_preproc_ifdef_in_enumerator_list = 234,
  sym_preproc_else_in_enumerator_list = 235,
  sym_preproc_elif_in_enumerator_list = 236,
  sym_preproc_elifdef_in_enumerator_list = 237,
  sym_preproc_if_in_enumerator_list_no_comma = 238,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 239,
  sym_preproc_else_in_enumerator_list_no_comma = 240,
  sym_preproc_elif_in_enumerator_list_no_comma = 241,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 242,
  sym__preproc_expression = 243,
  sym_preproc_parenthesized_expression = 244,
  sym_preproc_defined = 245,
  sym_preproc_unary_expression = 246,
  sym_preproc_call_expression = 247,
  sym_preproc_argument_list = 248,
  sym_preproc_binary_expression = 249,
  sym_function_definition = 250,
  sym_declaration = 251,
  sym_type_definition = 252,
  sym__type_definition_type = 253,
  sym__type_definition_declarators = 254,
  sym__declaration_modifiers = 255,
  sym__declaration_specifiers = 256,
  sym_linkage_specification = 257,
  sym_attribute_specifier = 258,
  sym_attribute = 259,
  sym_attribute_declaration = 260,
  sym_ms_declspec_modifier = 261,
  sym_ms_based_modifier = 262,
  sym_ms_call_modifier = 263,
  sym_ms_unaligned_ptr_modifier = 264,
  sym_ms_pointer_modifier = 265,
  sym_declaration_list = 266,
  sym__declarator = 267,
  sym__field_declarator = 268,
  sym__type_declarator = 269,
  sym__abstract_declarator = 270,
  sym_parenthesized_declarator = 271,
  sym_parenthesized_field_declarator = 272,
  sym_parenthesized_type_declarator = 273,
  sym_abstract_parenthesized_declarator = 274,
  sym_attributed_declarator = 275,
  sym_attributed_field_declarator = 276,
  sym_attributed_type_declarator = 277,
  sym_pointer_declarator = 278,
  sym_pointer_field_declarator = 279,
  sym_pointer_type_declarator = 280,
  sym_abstract_pointer_declarator = 281,
  sym_function_declarator = 282,
  sym_function_field_declarator = 283,
  sym_function_type_declarator = 284,
  sym_abstract_function_declarator = 285,
  sym_array_declarator = 286,
  sym_array_field_declarator = 287,
  sym_array_type_declarator = 288,
  sym_abstract_array_declarator = 289,
  sym_init_declarator = 290,
  sym_compound_statement = 291,
  sym_storage_class_specifier = 292,
  sym_type_qualifier = 293,
  sym_alignas_qualifier = 294,
  sym_type_specifier = 295,
  sym_sized_type_specifier = 296,
  sym_enum_specifier = 297,
  sym_enumerator_list = 298,
  sym_struct_specifier = 299,
  sym_union_specifier = 300,
  sym_field_declaration_list = 301,
  sym__field_declaration_list_item = 302,
  sym_field_declaration = 303,
  sym_bitfield_clause = 304,
  sym_enumerator = 305,
  sym_parameter_list = 306,
  sym_parameter_declaration = 307,
  sym_attributed_statement = 308,
  sym_statement = 309,
  sym__top_level_statement = 310,
  sym_labeled_statement = 311,
  sym__top_level_expression_statement = 312,
  sym_expression_statement = 313,
  sym_if_statement = 314,
  sym_else_clause = 315,
  sym_switch_statement = 316,
  sym_case_statement = 317,
  sym_while_statement = 318,
  sym_do_statement = 319,
  sym_for_statement = 320,
  sym__for_statement_body = 321,
  sym_return_statement = 322,
  sym_break_statement = 323,
  sym_continue_statement = 324,
  sym_goto_statement = 325,
  sym_seh_try_statement = 326,
  sym_seh_except_clause = 327,
  sym_seh_finally_clause = 328,
  sym_seh_leave_statement = 329,
  sym_expression = 330,
  sym__string = 331,
  sym_comma_expression = 332,
  sym_conditional_expression = 333,
  sym_assignment_expression = 334,
  sym_pointer_expression = 335,
  sym_unary_expression = 336,
  sym_binary_expression = 337,
  sym_update_expression = 338,
  sym_cast_expression = 339,
  sym_type_descriptor = 340,
  sym_sizeof_expression = 341,
  sym_alignof_expression = 342,
  sym_offsetof_expression = 343,
  sym_generic_expression = 344,
  sym_subscript_expression = 345,
  sym_call_expression = 346,
  sym_gnu_asm_expression = 347,
  sym_gnu_asm_qualifier = 348,
  sym_gnu_asm_output_operand_list = 349,
  sym_gnu_asm_output_operand = 350,
  sym_gnu_asm_input_operand_list = 351,
  sym_gnu_asm_input_operand = 352,
  sym_gnu_asm_clobber_list = 353,
  sym_gnu_asm_goto_list = 354,
  sym_argument_list = 355,
  sym_field_expression = 356,
  sym_compound_literal_expression = 357,
  sym_parenthesized_expression = 358,
  sym_initializer_list = 359,
  sym_initializer_pair = 360,
  sym_subscript_designator = 361,
  sym_subscript_range_designator = 362,
  sym_field_designator = 363,
  sym_char_literal = 364,
  sym_concatenated_string = 365,
  sym_string_literal = 366,
  sym_null = 367,
  sym__empty_declaration = 368,
  sym_placeholder_type_specifier = 369,
  sym_decltype_auto = 370,
  sym_decltype = 371,
  sym__class_declaration = 372,
  sym__class_declaration_item = 373,
  sym_class_specifier = 374,
  sym__class_name = 375,
  sym_virtual_specifier = 376,
  sym_explicit_function_specifier = 377,
  sym_base_class_clause = 378,
  sym__enum_base_clause = 379,
  sym_dependent_type = 380,
  sym_template_declaration = 381,
  sym_template_instantiation = 382,
  sym_template_parameter_list = 383,
  sym_type_parameter_declaration = 384,
  sym_variadic_type_parameter_declaration = 385,
  sym_optional_type_parameter_declaration = 386,
  sym_template_template_parameter_declaration = 387,
  sym_optional_parameter_declaration = 388,
  sym_variadic_parameter_declaration = 389,
  sym_variadic_declarator = 390,
  sym_variadic_reference_declarator = 391,
  sym_operator_cast = 392,
  sym_field_initializer_list = 393,
  sym_field_initializer = 394,
  sym_inline_method_definition = 395,
  sym__constructor_specifiers = 396,
  sym_operator_cast_definition = 397,
  sym_operator_cast_declaration = 398,
  sym_constructor_try_statement = 399,
  sym_constructor_or_destructor_definition = 400,
  sym_constructor_or_destructor_declaration = 401,
  sym_default_method_clause = 402,
  sym_delete_method_clause = 403,
  sym_pure_virtual_clause = 404,
  sym_friend_declaration = 405,
  sym_access_specifier = 406,
  sym_reference_declarator = 407,
  sym_reference_field_declarator = 408,
  sym_reference_type_declarator = 409,
  sym_abstract_reference_declarator = 410,
  sym_structured_binding_declarator = 411,
  sym_ref_qualifier = 412,
  sym__function_declarator_seq = 413,
  sym__function_attributes_start = 414,
  sym__function_exception_specification = 415,
  sym__function_attributes_end = 416,
  sym__function_postfix = 417,
  sym_trailing_return_type = 418,
  sym_noexcept = 419,
  sym_throw_specifier = 420,
  sym_template_type = 421,
  sym_template_method = 422,
  sym_template_function = 423,
  sym_template_argument_list = 424,
  sym_namespace_definition = 425,
  sym_namespace_alias_definition = 426,
  sym__namespace_specifier = 427,
  sym_nested_namespace_specifier = 428,
  sym_using_declaration = 429,
  sym_alias_declaration = 430,
  sym_static_assert_declaration = 431,
  sym_concept_definition = 432,
  sym_for_range_loop = 433,
  sym__for_range_loop_body = 434,
  sym_init_statement = 435,
  sym_condition_clause = 436,
  sym_condition_declaration = 437,
  sym_co_return_statement = 438,
  sym_co_yield_statement = 439,
  sym_throw_statement = 440,
  sym_try_statement = 441,
  sym_catch_clause = 442,
  sym_raw_string_literal = 443,
  sym_subscript_argument_list = 444,
  sym_co_await_expression = 445,
  sym_new_expression = 446,
  sym_new_declarator = 447,
  sym_delete_expression = 448,
  sym_type_requirement = 449,
  sym_compound_requirement = 450,
  sym__requirement = 451,
  sym_requirement_seq = 452,
  sym_constraint_conjunction = 453,
  sym_constraint_disjunction = 454,
  sym__requirement_clause_constraint = 455,
  sym_requires_clause = 456,
  sym_requires_parameter_list = 457,
  sym_requires_expression = 458,
  sym_lambda_expression = 459,
  sym_lambda_capture_specifier = 460,
  sym_lambda_default_capture = 461,
  sym__fold_operator = 462,
  sym__binary_fold_operator = 463,
  sym__unary_left_fold = 464,
  sym__unary_right_fold = 465,
  sym__binary_fold = 466,
  sym_fold_expression = 467,
  sym_parameter_pack_expansion = 468,
  sym_type_parameter_pack_expansion = 469,
  sym_destructor_name = 470,
  sym_dependent_identifier = 471,
  sym_dependent_field_identifier = 472,
  sym_dependent_type_identifier = 473,
  sym__scope_resolution = 474,
  sym_qualified_field_identifier = 475,
  sym_qualified_identifier = 476,
  sym_qualified_type_identifier = 477,
  sym_qualified_operator_cast_identifier = 478,
  sym__assignment_expression_lhs = 479,
  sym_operator_name = 480,
  sym_user_defined_literal = 481,
  aux_sym_translation_unit_repeat1 = 482,
  aux_sym_preproc_params_repeat1 = 483,
  aux_sym_preproc_if_repeat1 = 484,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 485,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 486,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 487,
  aux_sym_preproc_argument_list_repeat1 = 488,
  aux_sym_declaration_repeat1 = 489,
  aux_sym_type_definition_repeat1 = 490,
  aux_sym__type_definition_type_repeat1 = 491,
  aux_sym__type_definition_declarators_repeat1 = 492,
  aux_sym__declaration_specifiers_repeat1 = 493,
  aux_sym_attribute_declaration_repeat1 = 494,
  aux_sym_attributed_declarator_repeat1 = 495,
  aux_sym_pointer_declarator_repeat1 = 496,
  aux_sym_array_declarator_repeat1 = 497,
  aux_sym_sized_type_specifier_repeat1 = 498,
  aux_sym_enumerator_list_repeat1 = 499,
  aux_sym_field_declaration_repeat1 = 500,
  aux_sym_parameter_list_repeat1 = 501,
  aux_sym_case_statement_repeat1 = 502,
  aux_sym_generic_expression_repeat1 = 503,
  aux_sym_gnu_asm_expression_repeat1 = 504,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 505,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 506,
  aux_sym_gnu_asm_clobber_list_repeat1 = 507,
  aux_sym_gnu_asm_goto_list_repeat1 = 508,
  aux_sym_argument_list_repeat1 = 509,
  aux_sym_initializer_list_repeat1 = 510,
  aux_sym_initializer_pair_repeat1 = 511,
  aux_sym_char_literal_repeat1 = 512,
  aux_sym_concatenated_string_repeat1 = 513,
  aux_sym_string_literal_repeat1 = 514,
  aux_sym__class_declaration_repeat1 = 515,
  aux_sym_base_class_clause_repeat1 = 516,
  aux_sym_template_parameter_list_repeat1 = 517,
  aux_sym_field_initializer_list_repeat1 = 518,
  aux_sym_operator_cast_definition_repeat1 = 519,
  aux_sym_constructor_try_statement_repeat1 = 520,
  aux_sym_structured_binding_declarator_repeat1 = 521,
  aux_sym__function_postfix_repeat1 = 522,
  aux_sym_throw_specifier_repeat1 = 523,
  aux_sym_template_argument_list_repeat1 = 524,
  aux_sym_subscript_argument_list_repeat1 = 525,
  aux_sym_requirement_seq_repeat1 = 526,
  aux_sym_requires_parameter_list_repeat1 = 527,
  aux_sym_lambda_capture_specifier_repeat1 = 528,
  alias_sym_field_identifier = 529,
  alias_sym_namespace_identifier = 530,
  alias_sym_simple_requirement = 531,
  alias_sym_statement_identifier = 532,
  alias_sym_type_identifier = 533,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [sym_virtual] = "virtual",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_0] = "0",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [sym_virtual] = sym_virtual,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_0] = anon_sym_0,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 2},
  [196] = {.index = 351, .length = 4},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_designator, 0},
    {field_value, 2},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_end, 3},
    {field_start, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 2},
  [351] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [363] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 13,
  [18] = 18,
  [19] = 13,
  [20] = 15,
  [21] = 16,
  [22] = 16,
  [23] = 16,
  [24] = 15,
  [25] = 25,
  [26] = 14,
  [27] = 27,
  [28] = 14,
  [29] = 29,
  [30] = 13,
  [31] = 14,
  [32] = 15,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 35,
  [37] = 35,
  [38] = 34,
  [39] = 35,
  [40] = 33,
  [41] = 35,
  [42] = 42,
  [43] = 35,
  [44] = 44,
  [45] = 35,
  [46] = 34,
  [47] = 35,
  [48] = 34,
  [49] = 49,
  [50] = 35,
  [51] = 49,
  [52] = 35,
  [53] = 34,
  [54] = 33,
  [55] = 34,
  [56] = 56,
  [57] = 34,
  [58] = 44,
  [59] = 35,
  [60] = 34,
  [61] = 34,
  [62] = 34,
  [63] = 34,
  [64] = 34,
  [65] = 35,
  [66] = 34,
  [67] = 49,
  [68] = 35,
  [69] = 34,
  [70] = 35,
  [71] = 35,
  [72] = 49,
  [73] = 34,
  [74] = 34,
  [75] = 35,
  [76] = 44,
  [77] = 44,
  [78] = 35,
  [79] = 34,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 84,
  [88] = 85,
  [89] = 82,
  [90] = 85,
  [91] = 84,
  [92] = 85,
  [93] = 83,
  [94] = 83,
  [95] = 82,
  [96] = 82,
  [97] = 86,
  [98] = 83,
  [99] = 86,
  [100] = 86,
  [101] = 84,
  [102] = 86,
  [103] = 83,
  [104] = 82,
  [105] = 84,
  [106] = 85,
  [107] = 107,
  [108] = 107,
  [109] = 107,
  [110] = 107,
  [111] = 107,
  [112] = 107,
  [113] = 113,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 117,
  [118] = 118,
  [119] = 117,
  [120] = 117,
  [121] = 117,
  [122] = 117,
  [123] = 117,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 127,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 134,
  [136] = 132,
  [137] = 137,
  [138] = 138,
  [139] = 132,
  [140] = 134,
  [141] = 137,
  [142] = 131,
  [143] = 127,
  [144] = 144,
  [145] = 131,
  [146] = 137,
  [147] = 137,
  [148] = 144,
  [149] = 138,
  [150] = 150,
  [151] = 134,
  [152] = 132,
  [153] = 150,
  [154] = 150,
  [155] = 133,
  [156] = 134,
  [157] = 132,
  [158] = 158,
  [159] = 137,
  [160] = 144,
  [161] = 134,
  [162] = 131,
  [163] = 133,
  [164] = 138,
  [165] = 131,
  [166] = 138,
  [167] = 150,
  [168] = 130,
  [169] = 158,
  [170] = 158,
  [171] = 130,
  [172] = 158,
  [173] = 150,
  [174] = 144,
  [175] = 133,
  [176] = 133,
  [177] = 138,
  [178] = 150,
  [179] = 130,
  [180] = 130,
  [181] = 127,
  [182] = 132,
  [183] = 158,
  [184] = 138,
  [185] = 144,
  [186] = 131,
  [187] = 144,
  [188] = 133,
  [189] = 137,
  [190] = 130,
  [191] = 191,
  [192] = 191,
  [193] = 193,
  [194] = 191,
  [195] = 191,
  [196] = 196,
  [197] = 191,
  [198] = 127,
  [199] = 193,
  [200] = 127,
  [201] = 191,
  [202] = 191,
  [203] = 193,
  [204] = 193,
  [205] = 191,
  [206] = 193,
  [207] = 191,
  [208] = 193,
  [209] = 209,
  [210] = 191,
  [211] = 193,
  [212] = 193,
  [213] = 191,
  [214] = 193,
  [215] = 191,
  [216] = 193,
  [217] = 193,
  [218] = 193,
  [219] = 193,
  [220] = 191,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 126,
  [225] = 127,
  [226] = 226,
  [227] = 125,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 275,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 209,
  [284] = 196,
  [285] = 285,
  [286] = 196,
  [287] = 287,
  [288] = 275,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 275,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 275,
  [300] = 300,
  [301] = 301,
  [302] = 209,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 275,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 275,
  [313] = 313,
  [314] = 275,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 275,
  [320] = 320,
  [321] = 275,
  [322] = 322,
  [323] = 323,
  [324] = 196,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 275,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 275,
  [340] = 340,
  [341] = 209,
  [342] = 342,
  [343] = 275,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 275,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 275,
  [353] = 353,
  [354] = 354,
  [355] = 275,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 275,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 360,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 365,
  [369] = 369,
  [370] = 370,
  [371] = 360,
  [372] = 367,
  [373] = 367,
  [374] = 363,
  [375] = 363,
  [376] = 376,
  [377] = 221,
  [378] = 378,
  [379] = 365,
  [380] = 380,
  [381] = 222,
  [382] = 222,
  [383] = 383,
  [384] = 221,
  [385] = 362,
  [386] = 126,
  [387] = 228,
  [388] = 228,
  [389] = 228,
  [390] = 390,
  [391] = 126,
  [392] = 390,
  [393] = 390,
  [394] = 125,
  [395] = 226,
  [396] = 226,
  [397] = 223,
  [398] = 223,
  [399] = 125,
  [400] = 390,
  [401] = 390,
  [402] = 223,
  [403] = 390,
  [404] = 226,
  [405] = 234,
  [406] = 234,
  [407] = 246,
  [408] = 256,
  [409] = 263,
  [410] = 236,
  [411] = 232,
  [412] = 240,
  [413] = 238,
  [414] = 265,
  [415] = 250,
  [416] = 243,
  [417] = 235,
  [418] = 241,
  [419] = 248,
  [420] = 249,
  [421] = 264,
  [422] = 261,
  [423] = 245,
  [424] = 239,
  [425] = 237,
  [426] = 232,
  [427] = 259,
  [428] = 251,
  [429] = 237,
  [430] = 239,
  [431] = 248,
  [432] = 247,
  [433] = 263,
  [434] = 257,
  [435] = 253,
  [436] = 235,
  [437] = 258,
  [438] = 258,
  [439] = 246,
  [440] = 238,
  [441] = 252,
  [442] = 229,
  [443] = 240,
  [444] = 233,
  [445] = 236,
  [446] = 231,
  [447] = 262,
  [448] = 250,
  [449] = 244,
  [450] = 245,
  [451] = 255,
  [452] = 257,
  [453] = 265,
  [454] = 266,
  [455] = 260,
  [456] = 229,
  [457] = 241,
  [458] = 266,
  [459] = 244,
  [460] = 247,
  [461] = 243,
  [462] = 266,
  [463] = 262,
  [464] = 230,
  [465] = 265,
  [466] = 246,
  [467] = 233,
  [468] = 254,
  [469] = 256,
  [470] = 242,
  [471] = 229,
  [472] = 242,
  [473] = 262,
  [474] = 245,
  [475] = 231,
  [476] = 253,
  [477] = 253,
  [478] = 257,
  [479] = 239,
  [480] = 263,
  [481] = 247,
  [482] = 237,
  [483] = 232,
  [484] = 258,
  [485] = 241,
  [486] = 235,
  [487] = 234,
  [488] = 231,
  [489] = 250,
  [490] = 260,
  [491] = 259,
  [492] = 255,
  [493] = 238,
  [494] = 230,
  [495] = 254,
  [496] = 264,
  [497] = 233,
  [498] = 259,
  [499] = 242,
  [500] = 236,
  [501] = 240,
  [502] = 261,
  [503] = 254,
  [504] = 230,
  [505] = 256,
  [506] = 248,
  [507] = 243,
  [508] = 244,
  [509] = 260,
  [510] = 252,
  [511] = 251,
  [512] = 249,
  [513] = 251,
  [514] = 252,
  [515] = 515,
  [516] = 261,
  [517] = 264,
  [518] = 255,
  [519] = 249,
  [520] = 305,
  [521] = 335,
  [522] = 346,
  [523] = 351,
  [524] = 272,
  [525] = 273,
  [526] = 276,
  [527] = 278,
  [528] = 329,
  [529] = 304,
  [530] = 306,
  [531] = 309,
  [532] = 229,
  [533] = 276,
  [534] = 303,
  [535] = 304,
  [536] = 271,
  [537] = 308,
  [538] = 331,
  [539] = 306,
  [540] = 221,
  [541] = 311,
  [542] = 310,
  [543] = 338,
  [544] = 313,
  [545] = 315,
  [546] = 325,
  [547] = 268,
  [548] = 274,
  [549] = 354,
  [550] = 269,
  [551] = 340,
  [552] = 287,
  [553] = 330,
  [554] = 327,
  [555] = 332,
  [556] = 267,
  [557] = 357,
  [558] = 342,
  [559] = 333,
  [560] = 295,
  [561] = 358,
  [562] = 277,
  [563] = 281,
  [564] = 313,
  [565] = 315,
  [566] = 317,
  [567] = 325,
  [568] = 268,
  [569] = 277,
  [570] = 328,
  [571] = 285,
  [572] = 290,
  [573] = 340,
  [574] = 269,
  [575] = 346,
  [576] = 342,
  [577] = 271,
  [578] = 272,
  [579] = 273,
  [580] = 274,
  [581] = 356,
  [582] = 281,
  [583] = 301,
  [584] = 310,
  [585] = 292,
  [586] = 222,
  [587] = 290,
  [588] = 292,
  [589] = 320,
  [590] = 322,
  [591] = 295,
  [592] = 333,
  [593] = 278,
  [594] = 350,
  [595] = 351,
  [596] = 356,
  [597] = 301,
  [598] = 320,
  [599] = 287,
  [600] = 280,
  [601] = 309,
  [602] = 322,
  [603] = 285,
  [604] = 336,
  [605] = 317,
  [606] = 328,
  [607] = 282,
  [608] = 289,
  [609] = 350,
  [610] = 291,
  [611] = 270,
  [612] = 289,
  [613] = 336,
  [614] = 282,
  [615] = 326,
  [616] = 291,
  [617] = 345,
  [618] = 294,
  [619] = 296,
  [620] = 297,
  [621] = 300,
  [622] = 337,
  [623] = 335,
  [624] = 303,
  [625] = 308,
  [626] = 311,
  [627] = 316,
  [628] = 294,
  [629] = 318,
  [630] = 323,
  [631] = 330,
  [632] = 344,
  [633] = 332,
  [634] = 353,
  [635] = 298,
  [636] = 329,
  [637] = 270,
  [638] = 326,
  [639] = 331,
  [640] = 640,
  [641] = 316,
  [642] = 305,
  [643] = 337,
  [644] = 318,
  [645] = 344,
  [646] = 345,
  [647] = 298,
  [648] = 347,
  [649] = 323,
  [650] = 347,
  [651] = 349,
  [652] = 327,
  [653] = 296,
  [654] = 358,
  [655] = 280,
  [656] = 297,
  [657] = 357,
  [658] = 338,
  [659] = 300,
  [660] = 267,
  [661] = 349,
  [662] = 353,
  [663] = 354,
  [664] = 267,
  [665] = 304,
  [666] = 127,
  [667] = 305,
  [668] = 301,
  [669] = 271,
  [670] = 328,
  [671] = 345,
  [672] = 342,
  [673] = 346,
  [674] = 340,
  [675] = 269,
  [676] = 282,
  [677] = 677,
  [678] = 268,
  [679] = 325,
  [680] = 317,
  [681] = 349,
  [682] = 336,
  [683] = 281,
  [684] = 356,
  [685] = 315,
  [686] = 290,
  [687] = 280,
  [688] = 276,
  [689] = 292,
  [690] = 313,
  [691] = 278,
  [692] = 350,
  [693] = 344,
  [694] = 353,
  [695] = 337,
  [696] = 335,
  [697] = 311,
  [698] = 358,
  [699] = 309,
  [700] = 289,
  [701] = 306,
  [702] = 322,
  [703] = 308,
  [704] = 357,
  [705] = 320,
  [706] = 270,
  [707] = 291,
  [708] = 354,
  [709] = 326,
  [710] = 338,
  [711] = 274,
  [712] = 298,
  [713] = 272,
  [714] = 310,
  [715] = 351,
  [716] = 277,
  [717] = 330,
  [718] = 331,
  [719] = 347,
  [720] = 294,
  [721] = 316,
  [722] = 273,
  [723] = 287,
  [724] = 332,
  [725] = 327,
  [726] = 296,
  [727] = 329,
  [728] = 728,
  [729] = 285,
  [730] = 318,
  [731] = 323,
  [732] = 303,
  [733] = 300,
  [734] = 297,
  [735] = 333,
  [736] = 736,
  [737] = 737,
  [738] = 736,
  [739] = 640,
  [740] = 736,
  [741] = 741,
  [742] = 736,
  [743] = 736,
  [744] = 744,
  [745] = 741,
  [746] = 741,
  [747] = 741,
  [748] = 741,
  [749] = 640,
  [750] = 741,
  [751] = 736,
  [752] = 741,
  [753] = 736,
  [754] = 736,
  [755] = 741,
  [756] = 741,
  [757] = 741,
  [758] = 736,
  [759] = 736,
  [760] = 127,
  [761] = 127,
  [762] = 127,
  [763] = 127,
  [764] = 127,
  [765] = 765,
  [766] = 766,
  [767] = 766,
  [768] = 768,
  [769] = 768,
  [770] = 768,
  [771] = 771,
  [772] = 768,
  [773] = 768,
  [774] = 768,
  [775] = 775,
  [776] = 768,
  [777] = 777,
  [778] = 777,
  [779] = 777,
  [780] = 777,
  [781] = 777,
  [782] = 777,
  [783] = 777,
  [784] = 784,
  [785] = 785,
  [786] = 785,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 788,
  [791] = 791,
  [792] = 789,
  [793] = 785,
  [794] = 794,
  [795] = 787,
  [796] = 796,
  [797] = 787,
  [798] = 787,
  [799] = 799,
  [800] = 800,
  [801] = 794,
  [802] = 802,
  [803] = 799,
  [804] = 785,
  [805] = 805,
  [806] = 806,
  [807] = 196,
  [808] = 808,
  [809] = 209,
  [810] = 808,
  [811] = 808,
  [812] = 812,
  [813] = 223,
  [814] = 228,
  [815] = 226,
  [816] = 125,
  [817] = 126,
  [818] = 251,
  [819] = 263,
  [820] = 240,
  [821] = 242,
  [822] = 249,
  [823] = 265,
  [824] = 252,
  [825] = 260,
  [826] = 262,
  [827] = 243,
  [828] = 256,
  [829] = 805,
  [830] = 830,
  [831] = 246,
  [832] = 236,
  [833] = 253,
  [834] = 241,
  [835] = 257,
  [836] = 254,
  [837] = 775,
  [838] = 234,
  [839] = 233,
  [840] = 231,
  [841] = 244,
  [842] = 247,
  [843] = 255,
  [844] = 230,
  [845] = 266,
  [846] = 830,
  [847] = 232,
  [848] = 250,
  [849] = 245,
  [850] = 235,
  [851] = 264,
  [852] = 239,
  [853] = 261,
  [854] = 771,
  [855] = 258,
  [856] = 237,
  [857] = 259,
  [858] = 248,
  [859] = 238,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 861,
  [864] = 861,
  [865] = 862,
  [866] = 861,
  [867] = 861,
  [868] = 862,
  [869] = 869,
  [870] = 869,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 869,
  [875] = 869,
  [876] = 869,
  [877] = 871,
  [878] = 869,
  [879] = 873,
  [880] = 871,
  [881] = 873,
  [882] = 871,
  [883] = 873,
  [884] = 873,
  [885] = 873,
  [886] = 873,
  [887] = 871,
  [888] = 873,
  [889] = 871,
  [890] = 869,
  [891] = 891,
  [892] = 873,
  [893] = 869,
  [894] = 869,
  [895] = 895,
  [896] = 895,
  [897] = 897,
  [898] = 895,
  [899] = 897,
  [900] = 897,
  [901] = 897,
  [902] = 895,
  [903] = 895,
  [904] = 897,
  [905] = 895,
  [906] = 897,
  [907] = 907,
  [908] = 908,
  [909] = 908,
  [910] = 908,
  [911] = 908,
  [912] = 908,
  [913] = 908,
  [914] = 908,
  [915] = 915,
  [916] = 915,
  [917] = 917,
  [918] = 915,
  [919] = 915,
  [920] = 915,
  [921] = 917,
  [922] = 915,
  [923] = 915,
  [924] = 924,
  [925] = 917,
  [926] = 924,
  [927] = 927,
  [928] = 924,
  [929] = 915,
  [930] = 917,
  [931] = 917,
  [932] = 915,
  [933] = 933,
  [934] = 933,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 933,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 947,
  [951] = 947,
  [952] = 948,
  [953] = 939,
  [954] = 948,
  [955] = 948,
  [956] = 947,
  [957] = 947,
  [958] = 933,
  [959] = 933,
  [960] = 947,
  [961] = 947,
  [962] = 948,
  [963] = 963,
  [964] = 933,
  [965] = 939,
  [966] = 947,
  [967] = 967,
  [968] = 968,
  [969] = 939,
  [970] = 939,
  [971] = 967,
  [972] = 947,
  [973] = 933,
  [974] = 948,
  [975] = 947,
  [976] = 939,
  [977] = 947,
  [978] = 939,
  [979] = 948,
  [980] = 939,
  [981] = 933,
  [982] = 933,
  [983] = 948,
  [984] = 984,
  [985] = 948,
  [986] = 947,
  [987] = 939,
  [988] = 948,
  [989] = 948,
  [990] = 939,
  [991] = 948,
  [992] = 939,
  [993] = 947,
  [994] = 939,
  [995] = 933,
  [996] = 996,
  [997] = 967,
  [998] = 933,
  [999] = 948,
  [1000] = 933,
  [1001] = 939,
  [1002] = 933,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1003,
  [1006] = 1003,
  [1007] = 1007,
  [1008] = 1004,
  [1009] = 1009,
  [1010] = 1004,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1003,
  [1015] = 1004,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1004,
  [1020] = 1009,
  [1021] = 1003,
  [1022] = 1003,
  [1023] = 1023,
  [1024] = 1004,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1003,
  [1028] = 1003,
  [1029] = 1029,
  [1030] = 1003,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1004,
  [1034] = 1009,
  [1035] = 1004,
  [1036] = 1003,
  [1037] = 1003,
  [1038] = 1004,
  [1039] = 1009,
  [1040] = 1040,
  [1041] = 1004,
  [1042] = 1009,
  [1043] = 1009,
  [1044] = 1009,
  [1045] = 1045,
  [1046] = 1004,
  [1047] = 1047,
  [1048] = 1004,
  [1049] = 1003,
  [1050] = 1050,
  [1051] = 1004,
  [1052] = 1052,
  [1053] = 1003,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1064,
  [1067] = 1063,
  [1068] = 1062,
  [1069] = 1061,
  [1070] = 1060,
  [1071] = 1059,
  [1072] = 1064,
  [1073] = 1058,
  [1074] = 1057,
  [1075] = 1056,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1064,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1077,
  [1093] = 1078,
  [1094] = 1064,
  [1095] = 1079,
  [1096] = 1080,
  [1097] = 1081,
  [1098] = 1082,
  [1099] = 1083,
  [1100] = 1084,
  [1101] = 1054,
  [1102] = 1086,
  [1103] = 1103,
  [1104] = 1087,
  [1105] = 1105,
  [1106] = 1088,
  [1107] = 1089,
  [1108] = 1090,
  [1109] = 1091,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1064,
  [1113] = 1064,
  [1114] = 1064,
  [1115] = 1115,
  [1116] = 1055,
  [1117] = 1103,
  [1118] = 1111,
  [1119] = 1111,
  [1120] = 1064,
  [1121] = 1076,
  [1122] = 1122,
  [1123] = 1115,
  [1124] = 1055,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1103,
  [1128] = 1128,
  [1129] = 1111,
  [1130] = 1064,
  [1131] = 1131,
  [1132] = 1122,
  [1133] = 1115,
  [1134] = 1134,
  [1135] = 1055,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1128,
  [1139] = 1126,
  [1140] = 1103,
  [1141] = 1065,
  [1142] = 1128,
  [1143] = 1122,
  [1144] = 1144,
  [1145] = 1128,
  [1146] = 1115,
  [1147] = 1103,
  [1148] = 1111,
  [1149] = 1064,
  [1150] = 1134,
  [1151] = 1137,
  [1152] = 1128,
  [1153] = 1128,
  [1154] = 1136,
  [1155] = 1128,
  [1156] = 1128,
  [1157] = 1128,
  [1158] = 1128,
  [1159] = 1064,
  [1160] = 1064,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1165,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1165,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1174,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1173,
  [1184] = 1174,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1180,
  [1188] = 1162,
  [1189] = 1163,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1180,
  [1193] = 1193,
  [1194] = 1165,
  [1195] = 1161,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1163,
  [1200] = 1173,
  [1201] = 1173,
  [1202] = 1169,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1174,
  [1206] = 1173,
  [1207] = 1190,
  [1208] = 1193,
  [1209] = 1161,
  [1210] = 1196,
  [1211] = 1211,
  [1212] = 1198,
  [1213] = 1186,
  [1214] = 1163,
  [1215] = 1168,
  [1216] = 1169,
  [1217] = 1174,
  [1218] = 1171,
  [1219] = 1168,
  [1220] = 1171,
  [1221] = 1164,
  [1222] = 1186,
  [1223] = 1180,
  [1224] = 1162,
  [1225] = 1190,
  [1226] = 1226,
  [1227] = 1185,
  [1228] = 1193,
  [1229] = 1161,
  [1230] = 1196,
  [1231] = 1180,
  [1232] = 1197,
  [1233] = 1198,
  [1234] = 1163,
  [1235] = 1168,
  [1236] = 1169,
  [1237] = 1171,
  [1238] = 1182,
  [1239] = 1171,
  [1240] = 1173,
  [1241] = 1174,
  [1242] = 1226,
  [1243] = 1165,
  [1244] = 1174,
  [1245] = 1169,
  [1246] = 1173,
  [1247] = 1181,
  [1248] = 1173,
  [1249] = 1182,
  [1250] = 1250,
  [1251] = 1174,
  [1252] = 1179,
  [1253] = 1190,
  [1254] = 1174,
  [1255] = 1173,
  [1256] = 1174,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1193,
  [1260] = 1185,
  [1261] = 1161,
  [1262] = 1161,
  [1263] = 1196,
  [1264] = 1197,
  [1265] = 1198,
  [1266] = 1266,
  [1267] = 1163,
  [1268] = 1173,
  [1269] = 1168,
  [1270] = 1169,
  [1271] = 1171,
  [1272] = 1186,
  [1273] = 1273,
  [1274] = 1226,
  [1275] = 1176,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1168,
  [1279] = 1279,
  [1280] = 1162,
  [1281] = 1179,
  [1282] = 1190,
  [1283] = 1197,
  [1284] = 1179,
  [1285] = 1186,
  [1286] = 1182,
  [1287] = 1173,
  [1288] = 1258,
  [1289] = 1193,
  [1290] = 1161,
  [1291] = 1196,
  [1292] = 1186,
  [1293] = 1174,
  [1294] = 1181,
  [1295] = 1182,
  [1296] = 1185,
  [1297] = 1297,
  [1298] = 1197,
  [1299] = 1257,
  [1300] = 1198,
  [1301] = 1301,
  [1302] = 1258,
  [1303] = 1163,
  [1304] = 1181,
  [1305] = 1176,
  [1306] = 1182,
  [1307] = 1276,
  [1308] = 1190,
  [1309] = 1168,
  [1310] = 1169,
  [1311] = 1193,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1197,
  [1316] = 1171,
  [1317] = 1317,
  [1318] = 1196,
  [1319] = 1197,
  [1320] = 1276,
  [1321] = 1198,
  [1322] = 1162,
  [1323] = 1297,
  [1324] = 1257,
  [1325] = 1163,
  [1326] = 1301,
  [1327] = 1168,
  [1328] = 1258,
  [1329] = 1169,
  [1330] = 1330,
  [1331] = 1162,
  [1332] = 1332,
  [1333] = 1176,
  [1334] = 1334,
  [1335] = 1171,
  [1336] = 1276,
  [1337] = 1226,
  [1338] = 1190,
  [1339] = 1226,
  [1340] = 1181,
  [1341] = 1193,
  [1342] = 1161,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1185,
  [1347] = 1226,
  [1348] = 1185,
  [1349] = 1196,
  [1350] = 1191,
  [1351] = 1297,
  [1352] = 1226,
  [1353] = 1197,
  [1354] = 1257,
  [1355] = 1301,
  [1356] = 1198,
  [1357] = 1258,
  [1358] = 1186,
  [1359] = 1163,
  [1360] = 1168,
  [1361] = 1176,
  [1362] = 1169,
  [1363] = 1171,
  [1364] = 1226,
  [1365] = 1191,
  [1366] = 1182,
  [1367] = 1181,
  [1368] = 1162,
  [1369] = 1190,
  [1370] = 1181,
  [1371] = 1182,
  [1372] = 1345,
  [1373] = 1226,
  [1374] = 1193,
  [1375] = 1161,
  [1376] = 1196,
  [1377] = 1174,
  [1378] = 1276,
  [1379] = 1197,
  [1380] = 1198,
  [1381] = 1163,
  [1382] = 1185,
  [1383] = 1168,
  [1384] = 1169,
  [1385] = 1171,
  [1386] = 1162,
  [1387] = 1186,
  [1388] = 1388,
  [1389] = 1226,
  [1390] = 1345,
  [1391] = 1345,
  [1392] = 1226,
  [1393] = 1344,
  [1394] = 1179,
  [1395] = 1301,
  [1396] = 1181,
  [1397] = 1182,
  [1398] = 1343,
  [1399] = 1181,
  [1400] = 1191,
  [1401] = 1171,
  [1402] = 1182,
  [1403] = 1178,
  [1404] = 1190,
  [1405] = 1169,
  [1406] = 1173,
  [1407] = 1257,
  [1408] = 1198,
  [1409] = 1193,
  [1410] = 1182,
  [1411] = 1173,
  [1412] = 1162,
  [1413] = 1178,
  [1414] = 1196,
  [1415] = 1174,
  [1416] = 1297,
  [1417] = 1185,
  [1418] = 1257,
  [1419] = 1301,
  [1420] = 1181,
  [1421] = 1258,
  [1422] = 1186,
  [1423] = 1162,
  [1424] = 1226,
  [1425] = 1168,
  [1426] = 1163,
  [1427] = 1181,
  [1428] = 1198,
  [1429] = 1197,
  [1430] = 1196,
  [1431] = 1182,
  [1432] = 1186,
  [1433] = 1190,
  [1434] = 1186,
  [1435] = 1180,
  [1436] = 1193,
  [1437] = 1161,
  [1438] = 1196,
  [1439] = 1197,
  [1440] = 1198,
  [1441] = 1163,
  [1442] = 1168,
  [1443] = 1169,
  [1444] = 1171,
  [1445] = 1161,
  [1446] = 1196,
  [1447] = 1197,
  [1448] = 1179,
  [1449] = 1198,
  [1450] = 1180,
  [1451] = 1185,
  [1452] = 1181,
  [1453] = 1453,
  [1454] = 1193,
  [1455] = 1190,
  [1456] = 1162,
  [1457] = 1186,
  [1458] = 1185,
  [1459] = 1176,
  [1460] = 1162,
  [1461] = 1276,
  [1462] = 1276,
  [1463] = 1162,
  [1464] = 1190,
  [1465] = 1193,
  [1466] = 1161,
  [1467] = 1196,
  [1468] = 1345,
  [1469] = 1197,
  [1470] = 1297,
  [1471] = 1191,
  [1472] = 1165,
  [1473] = 1297,
  [1474] = 1185,
  [1475] = 1198,
  [1476] = 1163,
  [1477] = 1226,
  [1478] = 1168,
  [1479] = 1161,
  [1480] = 1169,
  [1481] = 1193,
  [1482] = 1185,
  [1483] = 1483,
  [1484] = 1171,
  [1485] = 1176,
  [1486] = 1257,
  [1487] = 1186,
  [1488] = 1488,
  [1489] = 1190,
  [1490] = 1301,
  [1491] = 1258,
  [1492] = 1181,
  [1493] = 1182,
  [1494] = 1185,
  [1495] = 1453,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1498,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 277,
  [1503] = 356,
  [1504] = 1501,
  [1505] = 1501,
  [1506] = 1501,
  [1507] = 1317,
  [1508] = 1508,
  [1509] = 1317,
  [1510] = 1497,
  [1511] = 1497,
  [1512] = 1330,
  [1513] = 1332,
  [1514] = 1334,
  [1515] = 1273,
  [1516] = 1277,
  [1517] = 862,
  [1518] = 1317,
  [1519] = 1279,
  [1520] = 1175,
  [1521] = 862,
  [1522] = 1497,
  [1523] = 1175,
  [1524] = 1273,
  [1525] = 1277,
  [1526] = 1330,
  [1527] = 1332,
  [1528] = 1334,
  [1529] = 1279,
  [1530] = 862,
  [1531] = 1277,
  [1532] = 1273,
  [1533] = 1334,
  [1534] = 1497,
  [1535] = 1175,
  [1536] = 1279,
  [1537] = 1332,
  [1538] = 1330,
  [1539] = 1273,
  [1540] = 1330,
  [1541] = 1277,
  [1542] = 1334,
  [1543] = 1279,
  [1544] = 1332,
  [1545] = 1175,
  [1546] = 1497,
  [1547] = 1547,
  [1548] = 1547,
  [1549] = 1549,
  [1550] = 1547,
  [1551] = 1547,
  [1552] = 1552,
  [1553] = 1552,
  [1554] = 1552,
  [1555] = 1552,
  [1556] = 1552,
  [1557] = 1552,
  [1558] = 1552,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1575,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1175,
  [1581] = 1330,
  [1582] = 1332,
  [1583] = 1279,
  [1584] = 1497,
  [1585] = 1334,
  [1586] = 1586,
  [1587] = 1497,
  [1588] = 1588,
  [1589] = 1273,
  [1590] = 1277,
  [1591] = 1279,
  [1592] = 1175,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1277,
  [1596] = 1330,
  [1597] = 1332,
  [1598] = 1273,
  [1599] = 1334,
  [1600] = 1600,
  [1601] = 1600,
  [1602] = 222,
  [1603] = 221,
  [1604] = 1317,
  [1605] = 1600,
  [1606] = 1497,
  [1607] = 209,
  [1608] = 1600,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 196,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1588,
  [1617] = 1317,
  [1618] = 229,
  [1619] = 229,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1568,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1497,
  [1626] = 1624,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1624,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1624,
  [1634] = 1634,
  [1635] = 1317,
  [1636] = 1634,
  [1637] = 1624,
  [1638] = 126,
  [1639] = 1634,
  [1640] = 1279,
  [1641] = 1175,
  [1642] = 1330,
  [1643] = 226,
  [1644] = 1332,
  [1645] = 1334,
  [1646] = 125,
  [1647] = 1634,
  [1648] = 1277,
  [1649] = 1273,
  [1650] = 1624,
  [1651] = 1624,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 347,
  [1656] = 322,
  [1657] = 1657,
  [1658] = 267,
  [1659] = 320,
  [1660] = 310,
  [1661] = 327,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 357,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 342,
  [1668] = 340,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 350,
  [1673] = 1673,
  [1674] = 351,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 329,
  [1679] = 331,
  [1680] = 338,
  [1681] = 354,
  [1682] = 254,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 325,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 292,
  [1692] = 290,
  [1693] = 1693,
  [1694] = 358,
  [1695] = 235,
  [1696] = 356,
  [1697] = 317,
  [1698] = 353,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 315,
  [1704] = 1704,
  [1705] = 240,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 346,
  [1709] = 268,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 265,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 349,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1549,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 258,
  [1729] = 1317,
  [1730] = 313,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 274,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 280,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 276,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 278,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 298,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 306,
  [1754] = 1754,
  [1755] = 345,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 232,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 304,
  [1766] = 1766,
  [1767] = 252,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 285,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 236,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 277,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 289,
  [1786] = 337,
  [1787] = 1787,
  [1788] = 1497,
  [1789] = 291,
  [1790] = 294,
  [1791] = 296,
  [1792] = 300,
  [1793] = 1793,
  [1794] = 297,
  [1795] = 249,
  [1796] = 251,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 221,
  [1801] = 196,
  [1802] = 209,
  [1803] = 1803,
  [1804] = 1568,
  [1805] = 196,
  [1806] = 1549,
  [1807] = 1799,
  [1808] = 222,
  [1809] = 1628,
  [1810] = 1797,
  [1811] = 1756,
  [1812] = 1623,
  [1813] = 1752,
  [1814] = 1632,
  [1815] = 1683,
  [1816] = 1816,
  [1817] = 221,
  [1818] = 1799,
  [1819] = 1787,
  [1820] = 1816,
  [1821] = 209,
  [1822] = 222,
  [1823] = 1497,
  [1824] = 1824,
  [1825] = 1630,
  [1826] = 1578,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1568,
  [1830] = 1578,
  [1831] = 1831,
  [1832] = 229,
  [1833] = 1568,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1798,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1577,
  [1842] = 1579,
  [1843] = 1798,
  [1844] = 229,
  [1845] = 1798,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 229,
  [1850] = 1848,
  [1851] = 1848,
  [1852] = 1852,
  [1853] = 1798,
  [1854] = 1577,
  [1855] = 1568,
  [1856] = 1856,
  [1857] = 1579,
  [1858] = 1568,
  [1859] = 1732,
  [1860] = 1848,
  [1861] = 229,
  [1862] = 1848,
  [1863] = 1798,
  [1864] = 1848,
  [1865] = 1848,
  [1866] = 1866,
  [1867] = 1834,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1620,
  [1871] = 1871,
  [1872] = 125,
  [1873] = 1869,
  [1874] = 1702,
  [1875] = 1875,
  [1876] = 125,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1652,
  [1880] = 1866,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1568,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 126,
  [1888] = 126,
  [1889] = 1578,
  [1890] = 1890,
  [1891] = 1577,
  [1892] = 1610,
  [1893] = 1627,
  [1894] = 226,
  [1895] = 1895,
  [1896] = 1614,
  [1897] = 1897,
  [1898] = 1702,
  [1899] = 1899,
  [1900] = 1883,
  [1901] = 226,
  [1902] = 1611,
  [1903] = 1733,
  [1904] = 1588,
  [1905] = 1609,
  [1906] = 1869,
  [1907] = 1579,
  [1908] = 1677,
  [1909] = 1909,
  [1910] = 1568,
  [1911] = 1911,
  [1912] = 1653,
  [1913] = 1568,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1869,
  [1917] = 1917,
  [1918] = 1568,
  [1919] = 1726,
  [1920] = 1726,
  [1921] = 340,
  [1922] = 298,
  [1923] = 1588,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 274,
  [1927] = 1927,
  [1928] = 1831,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1665,
  [1933] = 1666,
  [1934] = 346,
  [1935] = 1670,
  [1936] = 1828,
  [1937] = 1662,
  [1938] = 771,
  [1939] = 1663,
  [1940] = 277,
  [1941] = 1868,
  [1942] = 240,
  [1943] = 285,
  [1944] = 289,
  [1945] = 1671,
  [1946] = 291,
  [1947] = 294,
  [1948] = 296,
  [1949] = 1673,
  [1950] = 297,
  [1951] = 356,
  [1952] = 1675,
  [1953] = 300,
  [1954] = 1856,
  [1955] = 232,
  [1956] = 1839,
  [1957] = 1840,
  [1958] = 254,
  [1959] = 235,
  [1960] = 1771,
  [1961] = 254,
  [1962] = 267,
  [1963] = 1684,
  [1964] = 1685,
  [1965] = 1699,
  [1966] = 1836,
  [1967] = 1676,
  [1968] = 1752,
  [1969] = 1756,
  [1970] = 1711,
  [1971] = 1726,
  [1972] = 1712,
  [1973] = 1716,
  [1974] = 1317,
  [1975] = 1835,
  [1976] = 1838,
  [1977] = 1977,
  [1978] = 236,
  [1979] = 249,
  [1980] = 1751,
  [1981] = 1745,
  [1982] = 1778,
  [1983] = 1782,
  [1984] = 304,
  [1985] = 1784,
  [1986] = 306,
  [1987] = 251,
  [1988] = 252,
  [1989] = 258,
  [1990] = 265,
  [1991] = 1774,
  [1992] = 236,
  [1993] = 313,
  [1994] = 315,
  [1995] = 337,
  [1996] = 268,
  [1997] = 345,
  [1998] = 358,
  [1999] = 1756,
  [2000] = 357,
  [2001] = 354,
  [2002] = 338,
  [2003] = 331,
  [2004] = 329,
  [2005] = 235,
  [2006] = 232,
  [2007] = 1793,
  [2008] = 1654,
  [2009] = 325,
  [2010] = 268,
  [2011] = 325,
  [2012] = 317,
  [2013] = 1737,
  [2014] = 1744,
  [2015] = 249,
  [2016] = 1783,
  [2017] = 1772,
  [2018] = 2018,
  [2019] = 1779,
  [2020] = 1780,
  [2021] = 1723,
  [2022] = 1776,
  [2023] = 1773,
  [2024] = 356,
  [2025] = 351,
  [2026] = 251,
  [2027] = 310,
  [2028] = 252,
  [2029] = 240,
  [2030] = 1769,
  [2031] = 1768,
  [2032] = 327,
  [2033] = 1764,
  [2034] = 1763,
  [2035] = 1686,
  [2036] = 2036,
  [2037] = 1762,
  [2038] = 310,
  [2039] = 1761,
  [2040] = 1707,
  [2041] = 1760,
  [2042] = 1654,
  [2043] = 320,
  [2044] = 1759,
  [2045] = 1824,
  [2046] = 277,
  [2047] = 1757,
  [2048] = 1754,
  [2049] = 327,
  [2050] = 267,
  [2051] = 322,
  [2052] = 350,
  [2053] = 1719,
  [2054] = 1748,
  [2055] = 351,
  [2056] = 775,
  [2057] = 1714,
  [2058] = 292,
  [2059] = 290,
  [2060] = 329,
  [2061] = 331,
  [2062] = 338,
  [2063] = 354,
  [2064] = 357,
  [2065] = 358,
  [2066] = 342,
  [2067] = 353,
  [2068] = 317,
  [2069] = 2069,
  [2070] = 1723,
  [2071] = 1766,
  [2072] = 349,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 347,
  [2076] = 315,
  [2077] = 1752,
  [2078] = 1739,
  [2079] = 345,
  [2080] = 2080,
  [2081] = 337,
  [2082] = 1746,
  [2083] = 1738,
  [2084] = 1736,
  [2085] = 290,
  [2086] = 1734,
  [2087] = 342,
  [2088] = 1731,
  [2089] = 1776,
  [2090] = 340,
  [2091] = 1727,
  [2092] = 1724,
  [2093] = 1722,
  [2094] = 1773,
  [2095] = 276,
  [2096] = 278,
  [2097] = 1721,
  [2098] = 1718,
  [2099] = 1657,
  [2100] = 1669,
  [2101] = 347,
  [2102] = 1816,
  [2103] = 1689,
  [2104] = 2104,
  [2105] = 1831,
  [2106] = 313,
  [2107] = 298,
  [2108] = 300,
  [2109] = 1710,
  [2110] = 1828,
  [2111] = 349,
  [2112] = 1762,
  [2113] = 2113,
  [2114] = 353,
  [2115] = 1761,
  [2116] = 1760,
  [2117] = 1759,
  [2118] = 1757,
  [2119] = 1754,
  [2120] = 1748,
  [2121] = 2121,
  [2122] = 350,
  [2123] = 1741,
  [2124] = 322,
  [2125] = 320,
  [2126] = 1715,
  [2127] = 1715,
  [2128] = 258,
  [2129] = 1741,
  [2130] = 1706,
  [2131] = 297,
  [2132] = 1766,
  [2133] = 1746,
  [2134] = 1738,
  [2135] = 1736,
  [2136] = 1734,
  [2137] = 1731,
  [2138] = 296,
  [2139] = 1704,
  [2140] = 1710,
  [2141] = 1727,
  [2142] = 265,
  [2143] = 1724,
  [2144] = 1722,
  [2145] = 1721,
  [2146] = 1718,
  [2147] = 294,
  [2148] = 292,
  [2149] = 1701,
  [2150] = 1700,
  [2151] = 291,
  [2152] = 1689,
  [2153] = 289,
  [2154] = 285,
  [2155] = 1706,
  [2156] = 1704,
  [2157] = 1701,
  [2158] = 1700,
  [2159] = 1669,
  [2160] = 1693,
  [2161] = 1690,
  [2162] = 1688,
  [2163] = 278,
  [2164] = 276,
  [2165] = 1588,
  [2166] = 274,
  [2167] = 2167,
  [2168] = 1702,
  [2169] = 306,
  [2170] = 304,
  [2171] = 280,
  [2172] = 1688,
  [2173] = 346,
  [2174] = 1657,
  [2175] = 280,
  [2176] = 1739,
  [2177] = 1693,
  [2178] = 1690,
  [2179] = 2179,
  [2180] = 1610,
  [2181] = 1332,
  [2182] = 1856,
  [2183] = 1579,
  [2184] = 1277,
  [2185] = 1334,
  [2186] = 1732,
  [2187] = 1839,
  [2188] = 1846,
  [2189] = 1840,
  [2190] = 1609,
  [2191] = 2191,
  [2192] = 1273,
  [2193] = 2193,
  [2194] = 1175,
  [2195] = 1578,
  [2196] = 1852,
  [2197] = 1630,
  [2198] = 2198,
  [2199] = 1752,
  [2200] = 1756,
  [2201] = 1611,
  [2202] = 1836,
  [2203] = 1835,
  [2204] = 1609,
  [2205] = 1279,
  [2206] = 1330,
  [2207] = 1868,
  [2208] = 1628,
  [2209] = 1611,
  [2210] = 2210,
  [2211] = 1623,
  [2212] = 1632,
  [2213] = 1838,
  [2214] = 2214,
  [2215] = 1847,
  [2216] = 1577,
  [2217] = 2217,
  [2218] = 1828,
  [2219] = 1831,
  [2220] = 1852,
  [2221] = 1632,
  [2222] = 1623,
  [2223] = 1732,
  [2224] = 126,
  [2225] = 1614,
  [2226] = 125,
  [2227] = 1630,
  [2228] = 1628,
  [2229] = 2229,
  [2230] = 1614,
  [2231] = 1497,
  [2232] = 1610,
  [2233] = 775,
  [2234] = 1871,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 1911,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 1856,
  [2245] = 1609,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 1915,
  [2249] = 1866,
  [2250] = 1917,
  [2251] = 2251,
  [2252] = 1620,
  [2253] = 1897,
  [2254] = 1610,
  [2255] = 1614,
  [2256] = 1839,
  [2257] = 2257,
  [2258] = 1840,
  [2259] = 1868,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 1620,
  [2263] = 1909,
  [2264] = 1609,
  [2265] = 771,
  [2266] = 1895,
  [2267] = 1890,
  [2268] = 1726,
  [2269] = 1611,
  [2270] = 1899,
  [2271] = 2271,
  [2272] = 1914,
  [2273] = 2273,
  [2274] = 1614,
  [2275] = 1610,
  [2276] = 1611,
  [2277] = 2277,
  [2278] = 1588,
  [2279] = 1878,
  [2280] = 1702,
  [2281] = 1610,
  [2282] = 1611,
  [2283] = 1886,
  [2284] = 1609,
  [2285] = 2285,
  [2286] = 1838,
  [2287] = 2287,
  [2288] = 1836,
  [2289] = 1835,
  [2290] = 1614,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 125,
  [2298] = 1726,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 1614,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 1571,
  [2313] = 1569,
  [2314] = 1620,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 1563,
  [2319] = 2319,
  [2320] = 2191,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 1561,
  [2324] = 1564,
  [2325] = 2325,
  [2326] = 1866,
  [2327] = 2327,
  [2328] = 1567,
  [2329] = 2179,
  [2330] = 2330,
  [2331] = 1566,
  [2332] = 1756,
  [2333] = 1562,
  [2334] = 1588,
  [2335] = 2335,
  [2336] = 1610,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2193,
  [2346] = 2346,
  [2347] = 1883,
  [2348] = 2348,
  [2349] = 1560,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 1572,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 1574,
  [2358] = 1752,
  [2359] = 1559,
  [2360] = 1565,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 1852,
  [2366] = 1573,
  [2367] = 1611,
  [2368] = 126,
  [2369] = 1702,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 1609,
  [2379] = 2379,
  [2380] = 1570,
  [2381] = 2217,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 1620,
  [2389] = 1883,
  [2390] = 1609,
  [2391] = 1611,
  [2392] = 1836,
  [2393] = 1653,
  [2394] = 1652,
  [2395] = 1866,
  [2396] = 1577,
  [2397] = 1614,
  [2398] = 1733,
  [2399] = 1578,
  [2400] = 1677,
  [2401] = 1610,
  [2402] = 1868,
  [2403] = 1856,
  [2404] = 1839,
  [2405] = 1840,
  [2406] = 1835,
  [2407] = 1838,
  [2408] = 1627,
  [2409] = 1579,
  [2410] = 1726,
  [2411] = 1719,
  [2412] = 1702,
  [2413] = 1330,
  [2414] = 1632,
  [2415] = 1332,
  [2416] = 1334,
  [2417] = 1175,
  [2418] = 1623,
  [2419] = 1609,
  [2420] = 1726,
  [2421] = 1774,
  [2422] = 1273,
  [2423] = 1662,
  [2424] = 1702,
  [2425] = 1277,
  [2426] = 1611,
  [2427] = 1663,
  [2428] = 1279,
  [2429] = 2193,
  [2430] = 1665,
  [2431] = 1628,
  [2432] = 1771,
  [2433] = 1793,
  [2434] = 1549,
  [2435] = 2435,
  [2436] = 1630,
  [2437] = 1782,
  [2438] = 1733,
  [2439] = 1852,
  [2440] = 1630,
  [2441] = 1846,
  [2442] = 1714,
  [2443] = 1666,
  [2444] = 1549,
  [2445] = 1737,
  [2446] = 1744,
  [2447] = 1745,
  [2448] = 1783,
  [2449] = 1847,
  [2450] = 1670,
  [2451] = 2451,
  [2452] = 1673,
  [2453] = 1675,
  [2454] = 1711,
  [2455] = 1676,
  [2456] = 1707,
  [2457] = 2191,
  [2458] = 2458,
  [2459] = 1671,
  [2460] = 1772,
  [2461] = 1779,
  [2462] = 1780,
  [2463] = 1684,
  [2464] = 1620,
  [2465] = 1768,
  [2466] = 1685,
  [2467] = 1868,
  [2468] = 1699,
  [2469] = 1686,
  [2470] = 1677,
  [2471] = 1614,
  [2472] = 1856,
  [2473] = 1632,
  [2474] = 2474,
  [2475] = 1623,
  [2476] = 1839,
  [2477] = 1840,
  [2478] = 1588,
  [2479] = 1784,
  [2480] = 1628,
  [2481] = 1610,
  [2482] = 1836,
  [2483] = 1835,
  [2484] = 1838,
  [2485] = 1866,
  [2486] = 1712,
  [2487] = 1764,
  [2488] = 1763,
  [2489] = 1716,
  [2490] = 1751,
  [2491] = 1769,
  [2492] = 1778,
  [2493] = 1733,
  [2494] = 1840,
  [2495] = 1883,
  [2496] = 1677,
  [2497] = 1917,
  [2498] = 2193,
  [2499] = 1915,
  [2500] = 1890,
  [2501] = 2191,
  [2502] = 1886,
  [2503] = 1911,
  [2504] = 1909,
  [2505] = 1549,
  [2506] = 1899,
  [2507] = 1914,
  [2508] = 1868,
  [2509] = 1628,
  [2510] = 1878,
  [2511] = 1871,
  [2512] = 1775,
  [2513] = 1623,
  [2514] = 1632,
  [2515] = 1895,
  [2516] = 1897,
  [2517] = 1852,
  [2518] = 1732,
  [2519] = 1588,
  [2520] = 1549,
  [2521] = 1749,
  [2522] = 1839,
  [2523] = 1838,
  [2524] = 1835,
  [2525] = 2525,
  [2526] = 1713,
  [2527] = 1836,
  [2528] = 1856,
  [2529] = 1732,
  [2530] = 1630,
  [2531] = 2531,
  [2532] = 1742,
  [2533] = 1332,
  [2534] = 2534,
  [2535] = 1611,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 1627,
  [2539] = 2539,
  [2540] = 1732,
  [2541] = 1676,
  [2542] = 1671,
  [2543] = 1652,
  [2544] = 1838,
  [2545] = 2545,
  [2546] = 1684,
  [2547] = 1835,
  [2548] = 1836,
  [2549] = 1711,
  [2550] = 1751,
  [2551] = 1852,
  [2552] = 1273,
  [2553] = 2553,
  [2554] = 1277,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 1846,
  [2559] = 1175,
  [2560] = 1840,
  [2561] = 2561,
  [2562] = 1839,
  [2563] = 1737,
  [2564] = 2564,
  [2565] = 1279,
  [2566] = 2566,
  [2567] = 2545,
  [2568] = 1816,
  [2569] = 1856,
  [2570] = 1677,
  [2571] = 1330,
  [2572] = 1868,
  [2573] = 1334,
  [2574] = 1653,
  [2575] = 2575,
  [2576] = 1609,
  [2577] = 1614,
  [2578] = 1713,
  [2579] = 2545,
  [2580] = 2545,
  [2581] = 1733,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 1775,
  [2588] = 1742,
  [2589] = 1749,
  [2590] = 1610,
  [2591] = 1847,
  [2592] = 1334,
  [2593] = 1623,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 1914,
  [2597] = 262,
  [2598] = 2293,
  [2599] = 1763,
  [2600] = 2370,
  [2601] = 1764,
  [2602] = 1768,
  [2603] = 1630,
  [2604] = 1549,
  [2605] = 1878,
  [2606] = 1769,
  [2607] = 1871,
  [2608] = 2193,
  [2609] = 1793,
  [2610] = 1719,
  [2611] = 2611,
  [2612] = 2594,
  [2613] = 2531,
  [2614] = 1909,
  [2615] = 1915,
  [2616] = 2594,
  [2617] = 1675,
  [2618] = 1917,
  [2619] = 1632,
  [2620] = 1332,
  [2621] = 1673,
  [2622] = 2594,
  [2623] = 1549,
  [2624] = 1787,
  [2625] = 1714,
  [2626] = 1911,
  [2627] = 1670,
  [2628] = 1628,
  [2629] = 1628,
  [2630] = 1847,
  [2631] = 1623,
  [2632] = 1665,
  [2633] = 2191,
  [2634] = 2351,
  [2635] = 1663,
  [2636] = 1846,
  [2637] = 1632,
  [2638] = 2364,
  [2639] = 1816,
  [2640] = 1685,
  [2641] = 1699,
  [2642] = 244,
  [2643] = 2346,
  [2644] = 2594,
  [2645] = 1712,
  [2646] = 1662,
  [2647] = 2647,
  [2648] = 1666,
  [2649] = 1330,
  [2650] = 1279,
  [2651] = 1716,
  [2652] = 1277,
  [2653] = 1273,
  [2654] = 1175,
  [2655] = 2327,
  [2656] = 1886,
  [2657] = 1771,
  [2658] = 1778,
  [2659] = 1782,
  [2660] = 1334,
  [2661] = 1332,
  [2662] = 1330,
  [2663] = 1279,
  [2664] = 1277,
  [2665] = 1273,
  [2666] = 1175,
  [2667] = 2525,
  [2668] = 1784,
  [2669] = 2669,
  [2670] = 1497,
  [2671] = 2348,
  [2672] = 1774,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2353,
  [2676] = 2335,
  [2677] = 2325,
  [2678] = 2354,
  [2679] = 1899,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 1707,
  [2684] = 1630,
  [2685] = 1686,
  [2686] = 1852,
  [2687] = 1824,
  [2688] = 1895,
  [2689] = 2594,
  [2690] = 2525,
  [2691] = 1780,
  [2692] = 1779,
  [2693] = 1890,
  [2694] = 1772,
  [2695] = 1783,
  [2696] = 2594,
  [2697] = 1897,
  [2698] = 2531,
  [2699] = 1732,
  [2700] = 1745,
  [2701] = 1744,
  [2702] = 1881,
  [2703] = 1737,
  [2704] = 1885,
  [2705] = 2525,
  [2706] = 1676,
  [2707] = 1882,
  [2708] = 2708,
  [2709] = 1749,
  [2710] = 1711,
  [2711] = 2556,
  [2712] = 2708,
  [2713] = 2708,
  [2714] = 1897,
  [2715] = 1895,
  [2716] = 2708,
  [2717] = 1875,
  [2718] = 2330,
  [2719] = 2564,
  [2720] = 2555,
  [2721] = 2721,
  [2722] = 1871,
  [2723] = 2583,
  [2724] = 1671,
  [2725] = 1878,
  [2726] = 1914,
  [2727] = 2534,
  [2728] = 1899,
  [2729] = 1317,
  [2730] = 2584,
  [2731] = 1846,
  [2732] = 2708,
  [2733] = 1909,
  [2734] = 2539,
  [2735] = 2557,
  [2736] = 2537,
  [2737] = 2682,
  [2738] = 1653,
  [2739] = 2536,
  [2740] = 1911,
  [2741] = 2561,
  [2742] = 2681,
  [2743] = 1742,
  [2744] = 1713,
  [2745] = 1886,
  [2746] = 1890,
  [2747] = 2575,
  [2748] = 2582,
  [2749] = 2708,
  [2750] = 1732,
  [2751] = 2553,
  [2752] = 1652,
  [2753] = 1877,
  [2754] = 2721,
  [2755] = 1317,
  [2756] = 1915,
  [2757] = 2586,
  [2758] = 2566,
  [2759] = 1847,
  [2760] = 2585,
  [2761] = 2669,
  [2762] = 1917,
  [2763] = 1684,
  [2764] = 1751,
  [2765] = 2721,
  [2766] = 1627,
  [2767] = 1775,
  [2768] = 2708,
  [2769] = 2531,
  [2770] = 2770,
  [2771] = 1711,
  [2772] = 2772,
  [2773] = 1882,
  [2774] = 1881,
  [2775] = 1662,
  [2776] = 1663,
  [2777] = 1707,
  [2778] = 1665,
  [2779] = 1666,
  [2780] = 2780,
  [2781] = 1670,
  [2782] = 1686,
  [2783] = 2780,
  [2784] = 2784,
  [2785] = 1673,
  [2786] = 1846,
  [2787] = 1877,
  [2788] = 2069,
  [2789] = 1675,
  [2790] = 1816,
  [2791] = 1883,
  [2792] = 2113,
  [2793] = 1847,
  [2794] = 1768,
  [2795] = 2784,
  [2796] = 1866,
  [2797] = 2797,
  [2798] = 2167,
  [2799] = 2770,
  [2800] = 2772,
  [2801] = 1653,
  [2802] = 2772,
  [2803] = 2784,
  [2804] = 1977,
  [2805] = 2770,
  [2806] = 2780,
  [2807] = 1780,
  [2808] = 1779,
  [2809] = 1885,
  [2810] = 1772,
  [2811] = 2797,
  [2812] = 2780,
  [2813] = 1317,
  [2814] = 2772,
  [2815] = 2815,
  [2816] = 1685,
  [2817] = 1875,
  [2818] = 1699,
  [2819] = 1712,
  [2820] = 2784,
  [2821] = 1783,
  [2822] = 1716,
  [2823] = 1745,
  [2824] = 1744,
  [2825] = 1752,
  [2826] = 2772,
  [2827] = 1756,
  [2828] = 1769,
  [2829] = 1771,
  [2830] = 2780,
  [2831] = 2770,
  [2832] = 1652,
  [2833] = 2780,
  [2834] = 2797,
  [2835] = 1497,
  [2836] = 1778,
  [2837] = 1782,
  [2838] = 1784,
  [2839] = 2770,
  [2840] = 2772,
  [2841] = 1764,
  [2842] = 1929,
  [2843] = 1737,
  [2844] = 2770,
  [2845] = 1763,
  [2846] = 1627,
  [2847] = 2784,
  [2848] = 1774,
  [2849] = 2849,
  [2850] = 2797,
  [2851] = 2851,
  [2852] = 1930,
  [2853] = 1793,
  [2854] = 2797,
  [2855] = 1676,
  [2856] = 1671,
  [2857] = 2851,
  [2858] = 1719,
  [2859] = 1824,
  [2860] = 2784,
  [2861] = 1714,
  [2862] = 1751,
  [2863] = 1684,
  [2864] = 2797,
  [2865] = 1497,
  [2866] = 1824,
  [2867] = 1719,
  [2868] = 1930,
  [2869] = 1771,
  [2870] = 1756,
  [2871] = 1716,
  [2872] = 1712,
  [2873] = 2214,
  [2874] = 2583,
  [2875] = 2198,
  [2876] = 2584,
  [2877] = 2539,
  [2878] = 2537,
  [2879] = 2536,
  [2880] = 2561,
  [2881] = 1699,
  [2882] = 1685,
  [2883] = 2583,
  [2884] = 2582,
  [2885] = 2555,
  [2886] = 2584,
  [2887] = 2586,
  [2888] = 2539,
  [2889] = 2566,
  [2890] = 2537,
  [2891] = 2287,
  [2892] = 2536,
  [2893] = 2561,
  [2894] = 1702,
  [2895] = 2585,
  [2896] = 2582,
  [2897] = 2586,
  [2898] = 2566,
  [2899] = 1897,
  [2900] = 1917,
  [2901] = 1915,
  [2902] = 2564,
  [2903] = 1662,
  [2904] = 1663,
  [2905] = 2240,
  [2906] = 1317,
  [2907] = 1665,
  [2908] = 1666,
  [2909] = 1670,
  [2910] = 1782,
  [2911] = 1732,
  [2912] = 1871,
  [2913] = 1673,
  [2914] = 1675,
  [2915] = 1917,
  [2916] = 1878,
  [2917] = 2851,
  [2918] = 1784,
  [2919] = 2585,
  [2920] = 2534,
  [2921] = 1890,
  [2922] = 1886,
  [2923] = 1816,
  [2924] = 1911,
  [2925] = 1909,
  [2926] = 1774,
  [2927] = 1929,
  [2928] = 2553,
  [2929] = 1895,
  [2930] = 2575,
  [2931] = 1793,
  [2932] = 2564,
  [2933] = 2556,
  [2934] = 2555,
  [2935] = 2273,
  [2936] = 2556,
  [2937] = 1769,
  [2938] = 1768,
  [2939] = 1764,
  [2940] = 1497,
  [2941] = 2273,
  [2942] = 1763,
  [2943] = 1914,
  [2944] = 1744,
  [2945] = 2534,
  [2946] = 1733,
  [2947] = 1909,
  [2948] = 1752,
  [2949] = 1745,
  [2950] = 1911,
  [2951] = 2553,
  [2952] = 1899,
  [2953] = 1915,
  [2954] = 1783,
  [2955] = 1772,
  [2956] = 2271,
  [2957] = 1714,
  [2958] = 2291,
  [2959] = 1899,
  [2960] = 1779,
  [2961] = 1914,
  [2962] = 1878,
  [2963] = 2167,
  [2964] = 1871,
  [2965] = 2260,
  [2966] = 1890,
  [2967] = 2069,
  [2968] = 2257,
  [2969] = 1780,
  [2970] = 1677,
  [2971] = 2575,
  [2972] = 2251,
  [2973] = 2557,
  [2974] = 1895,
  [2975] = 1977,
  [2976] = 1686,
  [2977] = 1897,
  [2978] = 2210,
  [2979] = 2273,
  [2980] = 2557,
  [2981] = 2273,
  [2982] = 1824,
  [2983] = 2113,
  [2984] = 1726,
  [2985] = 2240,
  [2986] = 2851,
  [2987] = 1497,
  [2988] = 1778,
  [2989] = 2237,
  [2990] = 1707,
  [2991] = 1886,
  [2992] = 1579,
  [2993] = 2993,
  [2994] = 2277,
  [2995] = 2310,
  [2996] = 2193,
  [2997] = 2564,
  [2998] = 2998,
  [2999] = 2851,
  [3000] = 2080,
  [3001] = 2534,
  [3002] = 1620,
  [3003] = 2074,
  [3004] = 2344,
  [3005] = 2121,
  [3006] = 2586,
  [3007] = 2240,
  [3008] = 2998,
  [3009] = 2287,
  [3010] = 2073,
  [3011] = 2681,
  [3012] = 2566,
  [3013] = 2273,
  [3014] = 2273,
  [3015] = 2273,
  [3016] = 2251,
  [3017] = 2327,
  [3018] = 2346,
  [3019] = 2575,
  [3020] = 3020,
  [3021] = 2375,
  [3022] = 3020,
  [3023] = 2348,
  [3024] = 2582,
  [3025] = 2561,
  [3026] = 2353,
  [3027] = 2354,
  [3028] = 2257,
  [3029] = 2260,
  [3030] = 2536,
  [3031] = 2271,
  [3032] = 2364,
  [3033] = 2537,
  [3034] = 2998,
  [3035] = 3020,
  [3036] = 2539,
  [3037] = 2584,
  [3038] = 2851,
  [3039] = 3020,
  [3040] = 2583,
  [3041] = 2237,
  [3042] = 1737,
  [3043] = 3043,
  [3044] = 2851,
  [3045] = 2271,
  [3046] = 2243,
  [3047] = 2260,
  [3048] = 2257,
  [3049] = 2575,
  [3050] = 2251,
  [3051] = 3020,
  [3052] = 3052,
  [3053] = 1578,
  [3054] = 2993,
  [3055] = 1652,
  [3056] = 3056,
  [3057] = 2191,
  [3058] = 2553,
  [3059] = 2998,
  [3060] = 1883,
  [3061] = 2555,
  [3062] = 2556,
  [3063] = 1751,
  [3064] = 2534,
  [3065] = 2564,
  [3066] = 2998,
  [3067] = 1711,
  [3068] = 2585,
  [3069] = 2585,
  [3070] = 1824,
  [3071] = 2210,
  [3072] = 2998,
  [3073] = 2998,
  [3074] = 2557,
  [3075] = 1684,
  [3076] = 2287,
  [3077] = 2214,
  [3078] = 2104,
  [3079] = 2566,
  [3080] = 2669,
  [3081] = 2586,
  [3082] = 2582,
  [3083] = 2561,
  [3084] = 1924,
  [3085] = 2536,
  [3086] = 2537,
  [3087] = 3056,
  [3088] = 1927,
  [3089] = 3052,
  [3090] = 2330,
  [3091] = 1925,
  [3092] = 2539,
  [3093] = 2584,
  [3094] = 2273,
  [3095] = 1931,
  [3096] = 2583,
  [3097] = 2237,
  [3098] = 2246,
  [3099] = 2553,
  [3100] = 2555,
  [3101] = 2682,
  [3102] = 2198,
  [3103] = 2310,
  [3104] = 2556,
  [3105] = 2325,
  [3106] = 2557,
  [3107] = 2851,
  [3108] = 2993,
  [3109] = 1866,
  [3110] = 2851,
  [3111] = 2291,
  [3112] = 1671,
  [3113] = 2018,
  [3114] = 2474,
  [3115] = 1497,
  [3116] = 3116,
  [3117] = 1676,
  [3118] = 1577,
  [3119] = 2036,
  [3120] = 3056,
  [3121] = 2344,
  [3122] = 771,
  [3123] = 2851,
  [3124] = 2993,
  [3125] = 2682,
  [3126] = 1683,
  [3127] = 2375,
  [3128] = 1627,
  [3129] = 3129,
  [3130] = 2285,
  [3131] = 2851,
  [3132] = 2681,
  [3133] = 3133,
  [3134] = 1653,
  [3135] = 2998,
  [3136] = 3020,
  [3137] = 2851,
  [3138] = 3138,
  [3139] = 2998,
  [3140] = 2291,
  [3141] = 2669,
  [3142] = 3020,
  [3143] = 2229,
  [3144] = 775,
  [3145] = 2074,
  [3146] = 1673,
  [3147] = 2374,
  [3148] = 1783,
  [3149] = 2273,
  [3150] = 1856,
  [3151] = 2310,
  [3152] = 2382,
  [3153] = 1745,
  [3154] = 1744,
  [3155] = 2240,
  [3156] = 2385,
  [3157] = 1620,
  [3158] = 2167,
  [3159] = 2317,
  [3160] = 1707,
  [3161] = 1567,
  [3162] = 2815,
  [3163] = 1868,
  [3164] = 2315,
  [3165] = 1780,
  [3166] = 1561,
  [3167] = 1563,
  [3168] = 2243,
  [3169] = 1779,
  [3170] = 2337,
  [3171] = 2342,
  [3172] = 1560,
  [3173] = 1572,
  [3174] = 2373,
  [3175] = 771,
  [3176] = 1816,
  [3177] = 3116,
  [3178] = 2073,
  [3179] = 1839,
  [3180] = 2080,
  [3181] = 1840,
  [3182] = 2371,
  [3183] = 2669,
  [3184] = 2372,
  [3185] = 2356,
  [3186] = 2355,
  [3187] = 2340,
  [3188] = 775,
  [3189] = 126,
  [3190] = 2339,
  [3191] = 1772,
  [3192] = 1924,
  [3193] = 1927,
  [3194] = 2351,
  [3195] = 1883,
  [3196] = 2104,
  [3197] = 1925,
  [3198] = 1733,
  [3199] = 1931,
  [3200] = 771,
  [3201] = 1852,
  [3202] = 1574,
  [3203] = 1559,
  [3204] = 1565,
  [3205] = 1838,
  [3206] = 1562,
  [3207] = 2363,
  [3208] = 1566,
  [3209] = 1714,
  [3210] = 2330,
  [3211] = 2384,
  [3212] = 1565,
  [3213] = 1719,
  [3214] = 1571,
  [3215] = 2851,
  [3216] = 2217,
  [3217] = 3217,
  [3218] = 1569,
  [3219] = 2179,
  [3220] = 2299,
  [3221] = 2330,
  [3222] = 1570,
  [3223] = 1609,
  [3224] = 2682,
  [3225] = 2681,
  [3226] = 1573,
  [3227] = 2236,
  [3228] = 1824,
  [3229] = 2238,
  [3230] = 2239,
  [3231] = 125,
  [3232] = 2069,
  [3233] = 775,
  [3234] = 2242,
  [3235] = 2379,
  [3236] = 1836,
  [3237] = 1559,
  [3238] = 2344,
  [3239] = 1763,
  [3240] = 1764,
  [3241] = 2247,
  [3242] = 1768,
  [3243] = 1769,
  [3244] = 2121,
  [3245] = 2277,
  [3246] = 1573,
  [3247] = 2851,
  [3248] = 2673,
  [3249] = 2294,
  [3250] = 1774,
  [3251] = 1577,
  [3252] = 1579,
  [3253] = 2273,
  [3254] = 1835,
  [3255] = 2261,
  [3256] = 1560,
  [3257] = 1784,
  [3258] = 1782,
  [3259] = 1778,
  [3260] = 1572,
  [3261] = 1771,
  [3262] = 1574,
  [3263] = 1569,
  [3264] = 1611,
  [3265] = 1571,
  [3266] = 1610,
  [3267] = 2370,
  [3268] = 1716,
  [3269] = 1793,
  [3270] = 2292,
  [3271] = 2341,
  [3272] = 1712,
  [3273] = 2235,
  [3274] = 2350,
  [3275] = 1866,
  [3276] = 2383,
  [3277] = 2364,
  [3278] = 2306,
  [3279] = 2354,
  [3280] = 2353,
  [3281] = 2348,
  [3282] = 2300,
  [3283] = 2346,
  [3284] = 2322,
  [3285] = 2327,
  [3286] = 2229,
  [3287] = 1699,
  [3288] = 2387,
  [3289] = 1685,
  [3290] = 1677,
  [3291] = 2376,
  [3292] = 2343,
  [3293] = 1570,
  [3294] = 1564,
  [3295] = 2296,
  [3296] = 2302,
  [3297] = 125,
  [3298] = 2018,
  [3299] = 2303,
  [3300] = 1977,
  [3301] = 2338,
  [3302] = 2036,
  [3303] = 2295,
  [3304] = 2304,
  [3305] = 1564,
  [3306] = 2305,
  [3307] = 126,
  [3308] = 2335,
  [3309] = 1567,
  [3310] = 2316,
  [3311] = 1566,
  [3312] = 2851,
  [3313] = 1675,
  [3314] = 1686,
  [3315] = 3315,
  [3316] = 2330,
  [3317] = 1562,
  [3318] = 1670,
  [3319] = 1666,
  [3320] = 1665,
  [3321] = 2311,
  [3322] = 1726,
  [3323] = 1663,
  [3324] = 2285,
  [3325] = 1662,
  [3326] = 2325,
  [3327] = 1883,
  [3328] = 1563,
  [3329] = 1614,
  [3330] = 1561,
  [3331] = 2309,
  [3332] = 2319,
  [3333] = 2308,
  [3334] = 1702,
  [3335] = 1930,
  [3336] = 2246,
  [3337] = 2375,
  [3338] = 2273,
  [3339] = 1578,
  [3340] = 2293,
  [3341] = 2321,
  [3342] = 2851,
  [3343] = 2242,
  [3344] = 2325,
  [3345] = 1561,
  [3346] = 1563,
  [3347] = 2193,
  [3348] = 2564,
  [3349] = 1840,
  [3350] = 1839,
  [3351] = 2315,
  [3352] = 1175,
  [3353] = 1836,
  [3354] = 1835,
  [3355] = 1838,
  [3356] = 1273,
  [3357] = 1277,
  [3358] = 1279,
  [3359] = 1856,
  [3360] = 1330,
  [3361] = 1332,
  [3362] = 2373,
  [3363] = 1868,
  [3364] = 1334,
  [3365] = 2585,
  [3366] = 2287,
  [3367] = 2566,
  [3368] = 2586,
  [3369] = 2582,
  [3370] = 2561,
  [3371] = 2536,
  [3372] = 2537,
  [3373] = 2539,
  [3374] = 2584,
  [3375] = 1559,
  [3376] = 2583,
  [3377] = 125,
  [3378] = 1565,
  [3379] = 2372,
  [3380] = 2371,
  [3381] = 2374,
  [3382] = 2363,
  [3383] = 126,
  [3384] = 2247,
  [3385] = 2330,
  [3386] = 2191,
  [3387] = 1677,
  [3388] = 2384,
  [3389] = 2237,
  [3390] = 1588,
  [3391] = 3391,
  [3392] = 2356,
  [3393] = 2340,
  [3394] = 2534,
  [3395] = 2339,
  [3396] = 1566,
  [3397] = 1733,
  [3398] = 1733,
  [3399] = 2179,
  [3400] = 2379,
  [3401] = 2239,
  [3402] = 2299,
  [3403] = 2238,
  [3404] = 2330,
  [3405] = 1569,
  [3406] = 2236,
  [3407] = 1571,
  [3408] = 2292,
  [3409] = 2295,
  [3410] = 2235,
  [3411] = 2341,
  [3412] = 2376,
  [3413] = 1560,
  [3414] = 1572,
  [3415] = 1574,
  [3416] = 2306,
  [3417] = 2251,
  [3418] = 2387,
  [3419] = 2327,
  [3420] = 2575,
  [3421] = 2346,
  [3422] = 2335,
  [3423] = 2348,
  [3424] = 2353,
  [3425] = 2354,
  [3426] = 1564,
  [3427] = 2364,
  [3428] = 1573,
  [3429] = 2382,
  [3430] = 2385,
  [3431] = 2296,
  [3432] = 1570,
  [3433] = 2302,
  [3434] = 2303,
  [3435] = 2257,
  [3436] = 2260,
  [3437] = 3437,
  [3438] = 2553,
  [3439] = 2311,
  [3440] = 2350,
  [3441] = 2338,
  [3442] = 2310,
  [3443] = 2293,
  [3444] = 2458,
  [3445] = 2330,
  [3446] = 1756,
  [3447] = 1497,
  [3448] = 2271,
  [3449] = 1752,
  [3450] = 1567,
  [3451] = 2321,
  [3452] = 2319,
  [3453] = 1562,
  [3454] = 2851,
  [3455] = 2294,
  [3456] = 3456,
  [3457] = 2337,
  [3458] = 2351,
  [3459] = 2342,
  [3460] = 2344,
  [3461] = 2370,
  [3462] = 2555,
  [3463] = 2330,
  [3464] = 2217,
  [3465] = 2261,
  [3466] = 2355,
  [3467] = 2383,
  [3468] = 1677,
  [3469] = 2273,
  [3470] = 2343,
  [3471] = 2556,
  [3472] = 2317,
  [3473] = 2851,
  [3474] = 2316,
  [3475] = 2557,
  [3476] = 2309,
  [3477] = 2210,
  [3478] = 2308,
  [3479] = 2305,
  [3480] = 2304,
  [3481] = 2375,
  [3482] = 2300,
  [3483] = 2322,
  [3484] = 1623,
  [3485] = 1334,
  [3486] = 3486,
  [3487] = 1610,
  [3488] = 1852,
  [3489] = 3489,
  [3490] = 1630,
  [3491] = 1317,
  [3492] = 3492,
  [3493] = 1628,
  [3494] = 1632,
  [3495] = 1614,
  [3496] = 2210,
  [3497] = 3497,
  [3498] = 1175,
  [3499] = 1273,
  [3500] = 2669,
  [3501] = 3489,
  [3502] = 1277,
  [3503] = 3503,
  [3504] = 2191,
  [3505] = 1610,
  [3506] = 2277,
  [3507] = 1332,
  [3508] = 1330,
  [3509] = 1883,
  [3510] = 2682,
  [3511] = 3503,
  [3512] = 1614,
  [3513] = 3489,
  [3514] = 1497,
  [3515] = 1611,
  [3516] = 2193,
  [3517] = 1752,
  [3518] = 1279,
  [3519] = 3503,
  [3520] = 2681,
  [3521] = 1609,
  [3522] = 1756,
  [3523] = 2309,
  [3524] = 2356,
  [3525] = 3525,
  [3526] = 2306,
  [3527] = 2300,
  [3528] = 2322,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 2299,
  [3532] = 3525,
  [3533] = 2387,
  [3534] = 3529,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3535,
  [3538] = 3525,
  [3539] = 1564,
  [3540] = 2296,
  [3541] = 2370,
  [3542] = 2302,
  [3543] = 3543,
  [3544] = 2303,
  [3545] = 2304,
  [3546] = 2305,
  [3547] = 3530,
  [3548] = 3548,
  [3549] = 3529,
  [3550] = 2308,
  [3551] = 3551,
  [3552] = 3525,
  [3553] = 3530,
  [3554] = 2311,
  [3555] = 2316,
  [3556] = 2317,
  [3557] = 2338,
  [3558] = 2343,
  [3559] = 3551,
  [3560] = 3529,
  [3561] = 3535,
  [3562] = 2287,
  [3563] = 3530,
  [3564] = 2277,
  [3565] = 3548,
  [3566] = 3536,
  [3567] = 3567,
  [3568] = 3529,
  [3569] = 1733,
  [3570] = 1566,
  [3571] = 2319,
  [3572] = 3525,
  [3573] = 2321,
  [3574] = 3543,
  [3575] = 2339,
  [3576] = 3529,
  [3577] = 3536,
  [3578] = 3548,
  [3579] = 2257,
  [3580] = 3489,
  [3581] = 3551,
  [3582] = 2340,
  [3583] = 1569,
  [3584] = 1775,
  [3585] = 3551,
  [3586] = 1610,
  [3587] = 2851,
  [3588] = 3588,
  [3589] = 3525,
  [3590] = 2851,
  [3591] = 2217,
  [3592] = 3529,
  [3593] = 1614,
  [3594] = 2260,
  [3595] = 2350,
  [3596] = 3525,
  [3597] = 1749,
  [3598] = 2341,
  [3599] = 3530,
  [3600] = 3503,
  [3601] = 2372,
  [3602] = 2355,
  [3603] = 3529,
  [3604] = 1713,
  [3605] = 3548,
  [3606] = 3543,
  [3607] = 2341,
  [3608] = 3525,
  [3609] = 3535,
  [3610] = 2335,
  [3611] = 2271,
  [3612] = 1570,
  [3613] = 1847,
  [3614] = 3548,
  [3615] = 3551,
  [3616] = 3535,
  [3617] = 3530,
  [3618] = 3535,
  [3619] = 1611,
  [3620] = 2385,
  [3621] = 1677,
  [3622] = 2382,
  [3623] = 3536,
  [3624] = 1609,
  [3625] = 2295,
  [3626] = 3543,
  [3627] = 3548,
  [3628] = 1574,
  [3629] = 3551,
  [3630] = 1572,
  [3631] = 1560,
  [3632] = 1846,
  [3633] = 2315,
  [3634] = 2372,
  [3635] = 3543,
  [3636] = 1567,
  [3637] = 2179,
  [3638] = 2293,
  [3639] = 3536,
  [3640] = 1562,
  [3641] = 2373,
  [3642] = 2351,
  [3643] = 2251,
  [3644] = 1610,
  [3645] = 2292,
  [3646] = 3548,
  [3647] = 1614,
  [3648] = 3548,
  [3649] = 2299,
  [3650] = 3548,
  [3651] = 3543,
  [3652] = 126,
  [3653] = 1565,
  [3654] = 1573,
  [3655] = 3548,
  [3656] = 2363,
  [3657] = 3657,
  [3658] = 3551,
  [3659] = 1742,
  [3660] = 125,
  [3661] = 3548,
  [3662] = 1732,
  [3663] = 3551,
  [3664] = 2302,
  [3665] = 2384,
  [3666] = 1561,
  [3667] = 1563,
  [3668] = 3543,
  [3669] = 2851,
  [3670] = 1611,
  [3671] = 1609,
  [3672] = 3529,
  [3673] = 3543,
  [3674] = 3551,
  [3675] = 3525,
  [3676] = 2815,
  [3677] = 3536,
  [3678] = 3543,
  [3679] = 1571,
  [3680] = 3548,
  [3681] = 2851,
  [3682] = 1559,
  [3683] = 2237,
  [3684] = 1909,
  [3685] = 3685,
  [3686] = 2338,
  [3687] = 1886,
  [3688] = 3685,
  [3689] = 2193,
  [3690] = 1890,
  [3691] = 3685,
  [3692] = 2305,
  [3693] = 1609,
  [3694] = 1878,
  [3695] = 2304,
  [3696] = 1914,
  [3697] = 2295,
  [3698] = 2363,
  [3699] = 2292,
  [3700] = 3503,
  [3701] = 2321,
  [3702] = 2317,
  [3703] = 3489,
  [3704] = 1611,
  [3705] = 2315,
  [3706] = 2373,
  [3707] = 1614,
  [3708] = 2340,
  [3709] = 2316,
  [3710] = 2387,
  [3711] = 2303,
  [3712] = 2350,
  [3713] = 1915,
  [3714] = 1917,
  [3715] = 3715,
  [3716] = 2339,
  [3717] = 2356,
  [3718] = 3503,
  [3719] = 2343,
  [3720] = 3685,
  [3721] = 2296,
  [3722] = 3685,
  [3723] = 1871,
  [3724] = 1497,
  [3725] = 3685,
  [3726] = 2382,
  [3727] = 3685,
  [3728] = 3489,
  [3729] = 3685,
  [3730] = 2309,
  [3731] = 2385,
  [3732] = 2355,
  [3733] = 1610,
  [3734] = 3138,
  [3735] = 2311,
  [3736] = 3129,
  [3737] = 1895,
  [3738] = 3738,
  [3739] = 1866,
  [3740] = 1899,
  [3741] = 2308,
  [3742] = 1846,
  [3743] = 1897,
  [3744] = 2322,
  [3745] = 2384,
  [3746] = 2191,
  [3747] = 3685,
  [3748] = 2300,
  [3749] = 3685,
  [3750] = 3685,
  [3751] = 3685,
  [3752] = 2319,
  [3753] = 3685,
  [3754] = 1911,
  [3755] = 3685,
  [3756] = 2306,
  [3757] = 1847,
  [3758] = 3503,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 1317,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 1914,
  [3765] = 3762,
  [3766] = 3763,
  [3767] = 3763,
  [3768] = 3759,
  [3769] = 3763,
  [3770] = 3763,
  [3771] = 3489,
  [3772] = 1878,
  [3773] = 3759,
  [3774] = 1713,
  [3775] = 2069,
  [3776] = 1871,
  [3777] = 1909,
  [3778] = 1911,
  [3779] = 3762,
  [3780] = 3762,
  [3781] = 3762,
  [3782] = 3782,
  [3783] = 3759,
  [3784] = 1977,
  [3785] = 1886,
  [3786] = 2815,
  [3787] = 1890,
  [3788] = 1899,
  [3789] = 1930,
  [3790] = 3759,
  [3791] = 1883,
  [3792] = 3763,
  [3793] = 3759,
  [3794] = 2167,
  [3795] = 3762,
  [3796] = 1917,
  [3797] = 1895,
  [3798] = 1897,
  [3799] = 1749,
  [3800] = 1742,
  [3801] = 1915,
  [3802] = 1775,
  [3803] = 1653,
  [3804] = 2191,
  [3805] = 1627,
  [3806] = 3489,
  [3807] = 1652,
  [3808] = 2193,
  [3809] = 1737,
  [3810] = 1677,
  [3811] = 3497,
  [3812] = 1676,
  [3813] = 1671,
  [3814] = 3503,
  [3815] = 1733,
  [3816] = 1497,
  [3817] = 1751,
  [3818] = 1684,
  [3819] = 1620,
  [3820] = 1711,
  [3821] = 3821,
  [3822] = 3503,
  [3823] = 3821,
  [3824] = 3824,
  [3825] = 3821,
  [3826] = 3826,
  [3827] = 1749,
  [3828] = 1714,
  [3829] = 3824,
  [3830] = 1719,
  [3831] = 3831,
  [3832] = 2193,
  [3833] = 3831,
  [3834] = 3831,
  [3835] = 3835,
  [3836] = 2191,
  [3837] = 1763,
  [3838] = 3821,
  [3839] = 1764,
  [3840] = 1768,
  [3841] = 1769,
  [3842] = 3831,
  [3843] = 3824,
  [3844] = 3824,
  [3845] = 3826,
  [3846] = 3846,
  [3847] = 1793,
  [3848] = 3826,
  [3849] = 3846,
  [3850] = 3821,
  [3851] = 1675,
  [3852] = 1673,
  [3853] = 1775,
  [3854] = 1742,
  [3855] = 1670,
  [3856] = 3835,
  [3857] = 1666,
  [3858] = 1707,
  [3859] = 1686,
  [3860] = 1665,
  [3861] = 3826,
  [3862] = 1663,
  [3863] = 1780,
  [3864] = 1662,
  [3865] = 1779,
  [3866] = 3831,
  [3867] = 1772,
  [3868] = 1783,
  [3869] = 3826,
  [3870] = 1745,
  [3871] = 1744,
  [3872] = 3824,
  [3873] = 3821,
  [3874] = 1713,
  [3875] = 1699,
  [3876] = 3831,
  [3877] = 3826,
  [3878] = 1771,
  [3879] = 3821,
  [3880] = 1784,
  [3881] = 1716,
  [3882] = 1782,
  [3883] = 3835,
  [3884] = 3824,
  [3885] = 1685,
  [3886] = 1778,
  [3887] = 1774,
  [3888] = 3824,
  [3889] = 1712,
  [3890] = 3826,
  [3891] = 3831,
  [3892] = 3489,
  [3893] = 3846,
  [3894] = 3020,
  [3895] = 3503,
  [3896] = 2553,
  [3897] = 2566,
  [3898] = 3846,
  [3899] = 2586,
  [3900] = 2582,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 2307,
  [3904] = 3489,
  [3905] = 3835,
  [3906] = 2335,
  [3907] = 2370,
  [3908] = 1317,
  [3909] = 2555,
  [3910] = 2561,
  [3911] = 1713,
  [3912] = 2293,
  [3913] = 3902,
  [3914] = 2534,
  [3915] = 1742,
  [3916] = 2557,
  [3917] = 2564,
  [3918] = 2585,
  [3919] = 2583,
  [3920] = 2536,
  [3921] = 2537,
  [3922] = 2539,
  [3923] = 2351,
  [3924] = 2584,
  [3925] = 2386,
  [3926] = 3926,
  [3927] = 2556,
  [3928] = 2575,
  [3929] = 1775,
  [3930] = 3020,
  [3931] = 3931,
  [3932] = 1749,
  [3933] = 356,
  [3934] = 1977,
  [3935] = 3835,
  [3936] = 1733,
  [3937] = 3760,
  [3938] = 1677,
  [3939] = 1866,
  [3940] = 240,
  [3941] = 2167,
  [3942] = 3489,
  [3943] = 3503,
  [3944] = 2191,
  [3945] = 1500,
  [3946] = 2193,
  [3947] = 3503,
  [3948] = 3948,
  [3949] = 1883,
  [3950] = 277,
  [3951] = 3951,
  [3952] = 2682,
  [3953] = 232,
  [3954] = 3954,
  [3955] = 3489,
  [3956] = 2681,
  [3957] = 3846,
  [3958] = 3958,
  [3959] = 254,
  [3960] = 235,
  [3961] = 3846,
  [3962] = 1930,
  [3963] = 2069,
  [3964] = 1883,
  [3965] = 3954,
  [3966] = 3951,
  [3967] = 3948,
  [3968] = 2669,
  [3969] = 3958,
  [3970] = 3835,
  [3971] = 3782,
  [3972] = 3489,
  [3973] = 3973,
  [3974] = 2217,
  [3975] = 2217,
  [3976] = 3976,
  [3977] = 3503,
  [3978] = 2681,
  [3979] = 3979,
  [3980] = 3503,
  [3981] = 3981,
  [3982] = 3981,
  [3983] = 1702,
  [3984] = 2179,
  [3985] = 3489,
  [3986] = 3981,
  [3987] = 2669,
  [3988] = 3973,
  [3989] = 3979,
  [3990] = 3990,
  [3991] = 3846,
  [3992] = 3976,
  [3993] = 3976,
  [3994] = 3990,
  [3995] = 1588,
  [3996] = 1317,
  [3997] = 2682,
  [3998] = 3979,
  [3999] = 2179,
  [4000] = 3973,
  [4001] = 3990,
  [4002] = 3926,
  [4003] = 3835,
  [4004] = 4004,
  [4005] = 1726,
  [4006] = 4006,
  [4007] = 3846,
  [4008] = 3979,
  [4009] = 2585,
  [4010] = 3990,
  [4011] = 2458,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 2435,
  [4015] = 3976,
  [4016] = 2534,
  [4017] = 2564,
  [4018] = 2555,
  [4019] = 2566,
  [4020] = 2561,
  [4021] = 2575,
  [4022] = 2556,
  [4023] = 2584,
  [4024] = 4024,
  [4025] = 3835,
  [4026] = 2539,
  [4027] = 2537,
  [4028] = 1866,
  [4029] = 2583,
  [4030] = 2582,
  [4031] = 3973,
  [4032] = 2536,
  [4033] = 4033,
  [4034] = 2557,
  [4035] = 2451,
  [4036] = 2586,
  [4037] = 2553,
  [4038] = 3846,
  [4039] = 1852,
  [4040] = 1835,
  [4041] = 1726,
  [4042] = 4042,
  [4043] = 1836,
  [4044] = 2585,
  [4045] = 1677,
  [4046] = 3489,
  [4047] = 2566,
  [4048] = 2586,
  [4049] = 1497,
  [4050] = 2582,
  [4051] = 1702,
  [4052] = 2561,
  [4053] = 4053,
  [4054] = 1588,
  [4055] = 2536,
  [4056] = 2537,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 2539,
  [4060] = 2584,
  [4061] = 4061,
  [4062] = 4057,
  [4063] = 4053,
  [4064] = 2583,
  [4065] = 1838,
  [4066] = 3973,
  [4067] = 3976,
  [4068] = 1569,
  [4069] = 1564,
  [4070] = 4004,
  [4071] = 1840,
  [4072] = 1883,
  [4073] = 1563,
  [4074] = 1839,
  [4075] = 1561,
  [4076] = 4058,
  [4077] = 3973,
  [4078] = 1571,
  [4079] = 4053,
  [4080] = 4053,
  [4081] = 3979,
  [4082] = 1856,
  [4083] = 4083,
  [4084] = 3990,
  [4085] = 2564,
  [4086] = 4083,
  [4087] = 4053,
  [4088] = 4088,
  [4089] = 4089,
  [4090] = 1868,
  [4091] = 4091,
  [4092] = 4057,
  [4093] = 1570,
  [4094] = 4083,
  [4095] = 3979,
  [4096] = 4096,
  [4097] = 4096,
  [4098] = 4053,
  [4099] = 1977,
  [4100] = 1559,
  [4101] = 1567,
  [4102] = 2575,
  [4103] = 4058,
  [4104] = 3990,
  [4105] = 4083,
  [4106] = 1930,
  [4107] = 4096,
  [4108] = 3503,
  [4109] = 4109,
  [4110] = 4110,
  [4111] = 1573,
  [4112] = 4057,
  [4113] = 4058,
  [4114] = 2553,
  [4115] = 4053,
  [4116] = 2191,
  [4117] = 2193,
  [4118] = 4057,
  [4119] = 4083,
  [4120] = 4083,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 1565,
  [4124] = 3835,
  [4125] = 4061,
  [4126] = 4126,
  [4127] = 125,
  [4128] = 4128,
  [4129] = 4096,
  [4130] = 2555,
  [4131] = 1733,
  [4132] = 4053,
  [4133] = 4096,
  [4134] = 1566,
  [4135] = 4135,
  [4136] = 4058,
  [4137] = 4053,
  [4138] = 1562,
  [4139] = 4053,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 2069,
  [4143] = 2534,
  [4144] = 4061,
  [4145] = 4053,
  [4146] = 4057,
  [4147] = 4096,
  [4148] = 2557,
  [4149] = 4058,
  [4150] = 4053,
  [4151] = 4004,
  [4152] = 126,
  [4153] = 4053,
  [4154] = 3976,
  [4155] = 4053,
  [4156] = 1574,
  [4157] = 4083,
  [4158] = 4053,
  [4159] = 2556,
  [4160] = 1572,
  [4161] = 4053,
  [4162] = 4053,
  [4163] = 1560,
  [4164] = 2167,
  [4165] = 4058,
  [4166] = 4166,
  [4167] = 2566,
  [4168] = 4168,
  [4169] = 4169,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4173,
  [4174] = 2575,
  [4175] = 2534,
  [4176] = 4006,
  [4177] = 4173,
  [4178] = 2557,
  [4179] = 4173,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 2553,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 2585,
  [4186] = 4173,
  [4187] = 1866,
  [4188] = 2556,
  [4189] = 2257,
  [4190] = 4168,
  [4191] = 4183,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4173,
  [4195] = 2555,
  [4196] = 4196,
  [4197] = 3976,
  [4198] = 2583,
  [4199] = 4199,
  [4200] = 4173,
  [4201] = 3846,
  [4202] = 4193,
  [4203] = 4004,
  [4204] = 4168,
  [4205] = 2556,
  [4206] = 2584,
  [4207] = 2539,
  [4208] = 3990,
  [4209] = 2557,
  [4210] = 4210,
  [4211] = 2564,
  [4212] = 3835,
  [4213] = 2537,
  [4214] = 4183,
  [4215] = 3052,
  [4216] = 4169,
  [4217] = 4181,
  [4218] = 2536,
  [4219] = 3979,
  [4220] = 1497,
  [4221] = 2561,
  [4222] = 4222,
  [4223] = 4173,
  [4224] = 2582,
  [4225] = 4183,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4173,
  [4229] = 2586,
  [4230] = 2537,
  [4231] = 4231,
  [4232] = 4183,
  [4233] = 2556,
  [4234] = 2251,
  [4235] = 4235,
  [4236] = 2210,
  [4237] = 2566,
  [4238] = 2555,
  [4239] = 2237,
  [4240] = 4193,
  [4241] = 4241,
  [4242] = 2553,
  [4243] = 2681,
  [4244] = 2682,
  [4245] = 2271,
  [4246] = 2553,
  [4247] = 4247,
  [4248] = 2237,
  [4249] = 4173,
  [4250] = 2585,
  [4251] = 4121,
  [4252] = 4173,
  [4253] = 4253,
  [4254] = 2287,
  [4255] = 2287,
  [4256] = 2566,
  [4257] = 2586,
  [4258] = 2583,
  [4259] = 4171,
  [4260] = 2534,
  [4261] = 4173,
  [4262] = 2582,
  [4263] = 4173,
  [4264] = 3931,
  [4265] = 2561,
  [4266] = 1620,
  [4267] = 4183,
  [4268] = 4193,
  [4269] = 2557,
  [4270] = 2564,
  [4271] = 2534,
  [4272] = 2564,
  [4273] = 2575,
  [4274] = 4193,
  [4275] = 2584,
  [4276] = 2539,
  [4277] = 2555,
  [4278] = 4278,
  [4279] = 2537,
  [4280] = 2536,
  [4281] = 4193,
  [4282] = 4193,
  [4283] = 2561,
  [4284] = 4284,
  [4285] = 4173,
  [4286] = 2585,
  [4287] = 4168,
  [4288] = 2251,
  [4289] = 3973,
  [4290] = 4168,
  [4291] = 2669,
  [4292] = 2582,
  [4293] = 2536,
  [4294] = 2586,
  [4295] = 2257,
  [4296] = 2260,
  [4297] = 2539,
  [4298] = 2584,
  [4299] = 2583,
  [4300] = 4300,
  [4301] = 2575,
  [4302] = 2271,
  [4303] = 2260,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 3973,
  [4311] = 2669,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4315,
  [4316] = 4316,
  [4317] = 2243,
  [4318] = 4318,
  [4319] = 1868,
  [4320] = 4314,
  [4321] = 4321,
  [4322] = 4322,
  [4323] = 4314,
  [4324] = 1856,
  [4325] = 4313,
  [4326] = 1839,
  [4327] = 1840,
  [4328] = 4135,
  [4329] = 4329,
  [4330] = 3846,
  [4331] = 1683,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 4314,
  [4335] = 4314,
  [4336] = 4313,
  [4337] = 4337,
  [4338] = 4306,
  [4339] = 4339,
  [4340] = 4307,
  [4341] = 1836,
  [4342] = 4342,
  [4343] = 2285,
  [4344] = 4344,
  [4345] = 1835,
  [4346] = 4346,
  [4347] = 3976,
  [4348] = 4321,
  [4349] = 2246,
  [4350] = 4308,
  [4351] = 4309,
  [4352] = 4352,
  [4353] = 4322,
  [4354] = 4354,
  [4355] = 1816,
  [4356] = 4356,
  [4357] = 4337,
  [4358] = 4322,
  [4359] = 4313,
  [4360] = 4360,
  [4361] = 1838,
  [4362] = 4337,
  [4363] = 4314,
  [4364] = 4309,
  [4365] = 4306,
  [4366] = 4333,
  [4367] = 4342,
  [4368] = 4333,
  [4369] = 4332,
  [4370] = 4309,
  [4371] = 4316,
  [4372] = 4372,
  [4373] = 4307,
  [4374] = 4374,
  [4375] = 4091,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4333,
  [4379] = 4379,
  [4380] = 3979,
  [4381] = 4333,
  [4382] = 4321,
  [4383] = 1620,
  [4384] = 4374,
  [4385] = 4385,
  [4386] = 4332,
  [4387] = 4387,
  [4388] = 4337,
  [4389] = 4377,
  [4390] = 4332,
  [4391] = 4306,
  [4392] = 4313,
  [4393] = 4322,
  [4394] = 4333,
  [4395] = 4332,
  [4396] = 2277,
  [4397] = 4333,
  [4398] = 4332,
  [4399] = 4322,
  [4400] = 1549,
  [4401] = 4306,
  [4402] = 4308,
  [4403] = 1175,
  [4404] = 1273,
  [4405] = 4312,
  [4406] = 4322,
  [4407] = 1277,
  [4408] = 1279,
  [4409] = 1330,
  [4410] = 4314,
  [4411] = 1866,
  [4412] = 4312,
  [4413] = 1332,
  [4414] = 4414,
  [4415] = 4314,
  [4416] = 1334,
  [4417] = 4342,
  [4418] = 4307,
  [4419] = 4313,
  [4420] = 4321,
  [4421] = 4356,
  [4422] = 4360,
  [4423] = 4321,
  [4424] = 1628,
  [4425] = 4308,
  [4426] = 4006,
  [4427] = 4306,
  [4428] = 4312,
  [4429] = 4429,
  [4430] = 4342,
  [4431] = 4309,
  [4432] = 4337,
  [4433] = 4337,
  [4434] = 4434,
  [4435] = 1623,
  [4436] = 3835,
  [4437] = 4309,
  [4438] = 1632,
  [4439] = 2191,
  [4440] = 2193,
  [4441] = 4360,
  [4442] = 1883,
  [4443] = 4360,
  [4444] = 4342,
  [4445] = 4312,
  [4446] = 1787,
  [4447] = 1630,
  [4448] = 4313,
  [4449] = 4306,
  [4450] = 4322,
  [4451] = 3990,
  [4452] = 4314,
  [4453] = 4307,
  [4454] = 2681,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 2682,
  [4458] = 2321,
  [4459] = 2317,
  [4460] = 3973,
  [4461] = 1677,
  [4462] = 3979,
  [4463] = 3990,
  [4464] = 2382,
  [4465] = 4465,
  [4466] = 2316,
  [4467] = 3976,
  [4468] = 2311,
  [4469] = 2385,
  [4470] = 1620,
  [4471] = 4471,
  [4472] = 1847,
  [4473] = 2373,
  [4474] = 2293,
  [4475] = 1677,
  [4476] = 2319,
  [4477] = 2338,
  [4478] = 2315,
  [4479] = 2193,
  [4480] = 2309,
  [4481] = 4481,
  [4482] = 2217,
  [4483] = 2308,
  [4484] = 3835,
  [4485] = 2343,
  [4486] = 4486,
  [4487] = 4465,
  [4488] = 4465,
  [4489] = 2372,
  [4490] = 4490,
  [4491] = 3846,
  [4492] = 1733,
  [4493] = 4493,
  [4494] = 2191,
  [4495] = 2295,
  [4496] = 2341,
  [4497] = 2292,
  [4498] = 4490,
  [4499] = 2351,
  [4500] = 4500,
  [4501] = 4493,
  [4502] = 2299,
  [4503] = 1733,
  [4504] = 4500,
  [4505] = 2356,
  [4506] = 2350,
  [4507] = 4465,
  [4508] = 2305,
  [4509] = 3846,
  [4510] = 2304,
  [4511] = 3835,
  [4512] = 4465,
  [4513] = 2355,
  [4514] = 2303,
  [4515] = 2302,
  [4516] = 2296,
  [4517] = 4500,
  [4518] = 2340,
  [4519] = 4490,
  [4520] = 2387,
  [4521] = 2339,
  [4522] = 4481,
  [4523] = 2179,
  [4524] = 1846,
  [4525] = 2335,
  [4526] = 4490,
  [4527] = 2370,
  [4528] = 4490,
  [4529] = 2384,
  [4530] = 1732,
  [4531] = 4481,
  [4532] = 4500,
  [4533] = 4500,
  [4534] = 4490,
  [4535] = 4481,
  [4536] = 2363,
  [4537] = 2322,
  [4538] = 4490,
  [4539] = 4539,
  [4540] = 4500,
  [4541] = 4500,
  [4542] = 4542,
  [4543] = 4465,
  [4544] = 4481,
  [4545] = 2300,
  [4546] = 4481,
  [4547] = 4222,
  [4548] = 2306,
  [4549] = 1852,
  [4550] = 4481,
  [4551] = 4465,
  [4552] = 1627,
  [4553] = 1871,
  [4554] = 3979,
  [4555] = 1895,
  [4556] = 3990,
  [4557] = 1914,
  [4558] = 3976,
  [4559] = 3973,
  [4560] = 1917,
  [4561] = 1915,
  [4562] = 1899,
  [4563] = 1878,
  [4564] = 1909,
  [4565] = 1911,
  [4566] = 1683,
  [4567] = 1886,
  [4568] = 1787,
  [4569] = 1897,
  [4570] = 1733,
  [4571] = 1890,
  [4572] = 1883,
  [4573] = 4493,
  [4574] = 4493,
  [4575] = 4575,
  [4576] = 1677,
  [4577] = 4493,
  [4578] = 1769,
  [4579] = 4579,
  [4580] = 1665,
  [4581] = 1666,
  [4582] = 3973,
  [4583] = 1779,
  [4584] = 4493,
  [4585] = 4493,
  [4586] = 1780,
  [4587] = 1670,
  [4588] = 1673,
  [4589] = 4493,
  [4590] = 1671,
  [4591] = 3846,
  [4592] = 1662,
  [4593] = 3990,
  [4594] = 4493,
  [4595] = 3973,
  [4596] = 4596,
  [4597] = 1847,
  [4598] = 1744,
  [4599] = 1686,
  [4600] = 1675,
  [4601] = 1716,
  [4602] = 1707,
  [4603] = 4603,
  [4604] = 4493,
  [4605] = 4493,
  [4606] = 1676,
  [4607] = 4493,
  [4608] = 4596,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 3976,
  [4613] = 1714,
  [4614] = 1774,
  [4615] = 3979,
  [4616] = 1883,
  [4617] = 1783,
  [4618] = 1712,
  [4619] = 1751,
  [4620] = 1719,
  [4621] = 4579,
  [4622] = 1711,
  [4623] = 3835,
  [4624] = 1846,
  [4625] = 1784,
  [4626] = 1663,
  [4627] = 1771,
  [4628] = 1793,
  [4629] = 1782,
  [4630] = 3990,
  [4631] = 1763,
  [4632] = 1745,
  [4633] = 1768,
  [4634] = 1764,
  [4635] = 1778,
  [4636] = 1772,
  [4637] = 1684,
  [4638] = 1685,
  [4639] = 4611,
  [4640] = 1699,
  [4641] = 1737,
  [4642] = 4006,
  [4643] = 4493,
  [4644] = 4493,
  [4645] = 4645,
  [4646] = 2193,
  [4647] = 3979,
  [4648] = 2191,
  [4649] = 4649,
  [4650] = 3976,
  [4651] = 1899,
  [4652] = 1890,
  [4653] = 3976,
  [4654] = 3979,
  [4655] = 4493,
  [4656] = 2191,
  [4657] = 3990,
  [4658] = 1897,
  [4659] = 2193,
  [4660] = 1886,
  [4661] = 3973,
  [4662] = 1895,
  [4663] = 1866,
  [4664] = 1914,
  [4665] = 4645,
  [4666] = 1878,
  [4667] = 3990,
  [4668] = 3973,
  [4669] = 1871,
  [4670] = 1917,
  [4671] = 2193,
  [4672] = 1915,
  [4673] = 4649,
  [4674] = 1911,
  [4675] = 4006,
  [4676] = 1909,
  [4677] = 4493,
  [4678] = 2191,
  [4679] = 4493,
  [4680] = 4680,
  [4681] = 1671,
  [4682] = 4680,
  [4683] = 4493,
  [4684] = 1627,
  [4685] = 4645,
  [4686] = 4680,
  [4687] = 4687,
  [4688] = 1737,
  [4689] = 1711,
  [4690] = 4680,
  [4691] = 2474,
  [4692] = 1751,
  [4693] = 4687,
  [4694] = 4680,
  [4695] = 4687,
  [4696] = 4680,
  [4697] = 4680,
  [4698] = 4649,
  [4699] = 4680,
  [4700] = 4687,
  [4701] = 4687,
  [4702] = 4687,
  [4703] = 4687,
  [4704] = 1676,
  [4705] = 4687,
  [4706] = 1684,
  [4707] = 4649,
  [4708] = 4687,
  [4709] = 4645,
  [4710] = 1653,
  [4711] = 4680,
  [4712] = 1652,
  [4713] = 4645,
  [4714] = 1774,
  [4715] = 4645,
  [4716] = 3497,
  [4717] = 3990,
  [4718] = 1782,
  [4719] = 4649,
  [4720] = 4645,
  [4721] = 4649,
  [4722] = 4722,
  [4723] = 3973,
  [4724] = 4645,
  [4725] = 4645,
  [4726] = 4649,
  [4727] = 1716,
  [4728] = 4649,
  [4729] = 4645,
  [4730] = 1714,
  [4731] = 1712,
  [4732] = 1846,
  [4733] = 1719,
  [4734] = 1824,
  [4735] = 1784,
  [4736] = 1763,
  [4737] = 1764,
  [4738] = 1778,
  [4739] = 4649,
  [4740] = 1768,
  [4741] = 1883,
  [4742] = 1771,
  [4743] = 4649,
  [4744] = 1769,
  [4745] = 4649,
  [4746] = 1793,
  [4747] = 1699,
  [4748] = 3979,
  [4749] = 1685,
  [4750] = 1707,
  [4751] = 1686,
  [4752] = 4752,
  [4753] = 1780,
  [4754] = 1779,
  [4755] = 1772,
  [4756] = 1662,
  [4757] = 1663,
  [4758] = 4649,
  [4759] = 3976,
  [4760] = 1675,
  [4761] = 1744,
  [4762] = 1847,
  [4763] = 4645,
  [4764] = 1816,
  [4765] = 1665,
  [4766] = 1745,
  [4767] = 1666,
  [4768] = 2191,
  [4769] = 1670,
  [4770] = 2193,
  [4771] = 4645,
  [4772] = 1673,
  [4773] = 1783,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4774,
  [4777] = 4775,
  [4778] = 4649,
  [4779] = 4779,
  [4780] = 4493,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 4775,
  [4784] = 4784,
  [4785] = 4779,
  [4786] = 4775,
  [4787] = 4787,
  [4788] = 4774,
  [4789] = 4781,
  [4790] = 4790,
  [4791] = 4775,
  [4792] = 4774,
  [4793] = 4649,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4493,
  [4799] = 4779,
  [4800] = 4781,
  [4801] = 4781,
  [4802] = 4802,
  [4803] = 4779,
  [4804] = 4775,
  [4805] = 4790,
  [4806] = 4774,
  [4807] = 4781,
  [4808] = 4774,
  [4809] = 4775,
  [4810] = 4779,
  [4811] = 4782,
  [4812] = 4645,
  [4813] = 4774,
  [4814] = 1726,
  [4815] = 4790,
  [4816] = 1702,
  [4817] = 1840,
  [4818] = 1839,
  [4819] = 4819,
  [4820] = 4774,
  [4821] = 1856,
  [4822] = 4781,
  [4823] = 4782,
  [4824] = 4779,
  [4825] = 4797,
  [4826] = 4790,
  [4827] = 4794,
  [4828] = 4802,
  [4829] = 4775,
  [4830] = 2474,
  [4831] = 4775,
  [4832] = 4787,
  [4833] = 4802,
  [4834] = 4781,
  [4835] = 4775,
  [4836] = 4790,
  [4837] = 4774,
  [4838] = 4774,
  [4839] = 4790,
  [4840] = 4775,
  [4841] = 4781,
  [4842] = 4797,
  [4843] = 4781,
  [4844] = 4790,
  [4845] = 4774,
  [4846] = 4781,
  [4847] = 4787,
  [4848] = 4790,
  [4849] = 4779,
  [4850] = 4779,
  [4851] = 4779,
  [4852] = 4802,
  [4853] = 4779,
  [4854] = 4774,
  [4855] = 4775,
  [4856] = 4802,
  [4857] = 4645,
  [4858] = 4781,
  [4859] = 4802,
  [4860] = 4645,
  [4861] = 4779,
  [4862] = 4775,
  [4863] = 4774,
  [4864] = 4775,
  [4865] = 4493,
  [4866] = 4797,
  [4867] = 4775,
  [4868] = 4779,
  [4869] = 2474,
  [4870] = 1838,
  [4871] = 4774,
  [4872] = 4775,
  [4873] = 4774,
  [4874] = 4797,
  [4875] = 4782,
  [4876] = 4649,
  [4877] = 4802,
  [4878] = 4802,
  [4879] = 4781,
  [4880] = 4774,
  [4881] = 4781,
  [4882] = 4802,
  [4883] = 4774,
  [4884] = 4779,
  [4885] = 4775,
  [4886] = 4794,
  [4887] = 4781,
  [4888] = 4645,
  [4889] = 4779,
  [4890] = 4781,
  [4891] = 4782,
  [4892] = 4775,
  [4893] = 4794,
  [4894] = 4774,
  [4895] = 4781,
  [4896] = 4797,
  [4897] = 4781,
  [4898] = 4779,
  [4899] = 4787,
  [4900] = 4782,
  [4901] = 4493,
  [4902] = 4787,
  [4903] = 1835,
  [4904] = 4779,
  [4905] = 4797,
  [4906] = 4787,
  [4907] = 4782,
  [4908] = 4787,
  [4909] = 4779,
  [4910] = 4781,
  [4911] = 4779,
  [4912] = 1836,
  [4913] = 4790,
  [4914] = 4914,
  [4915] = 4649,
  [4916] = 1868,
  [4917] = 4775,
  [4918] = 4794,
  [4919] = 4649,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4649,
  [4925] = 4925,
  [4926] = 4920,
  [4927] = 4923,
  [4928] = 4928,
  [4929] = 4920,
  [4930] = 1917,
  [4931] = 4931,
  [4932] = 1897,
  [4933] = 1915,
  [4934] = 4922,
  [4935] = 4921,
  [4936] = 4928,
  [4937] = 4922,
  [4938] = 4922,
  [4939] = 1890,
  [4940] = 1886,
  [4941] = 4922,
  [4942] = 4921,
  [4943] = 4922,
  [4944] = 4944,
  [4945] = 4921,
  [4946] = 4923,
  [4947] = 4645,
  [4948] = 4922,
  [4949] = 4922,
  [4950] = 4922,
  [4951] = 4922,
  [4952] = 4923,
  [4953] = 4920,
  [4954] = 1911,
  [4955] = 4922,
  [4956] = 4923,
  [4957] = 4928,
  [4958] = 4922,
  [4959] = 4922,
  [4960] = 4922,
  [4961] = 1909,
  [4962] = 4645,
  [4963] = 4922,
  [4964] = 1895,
  [4965] = 4923,
  [4966] = 4928,
  [4967] = 4920,
  [4968] = 4922,
  [4969] = 1871,
  [4970] = 4921,
  [4971] = 4920,
  [4972] = 1878,
  [4973] = 4923,
  [4974] = 1899,
  [4975] = 4921,
  [4976] = 4921,
  [4977] = 1914,
  [4978] = 4922,
  [4979] = 4922,
  [4980] = 4980,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 1852,
  [4984] = 4984,
  [4985] = 3782,
  [4986] = 3760,
  [4987] = 1929,
  [4988] = 4984,
  [4989] = 4980,
  [4990] = 4990,
  [4991] = 4990,
  [4992] = 4645,
  [4993] = 4649,
  [4994] = 4990,
  [4995] = 4649,
  [4996] = 4649,
  [4997] = 4990,
  [4998] = 4645,
  [4999] = 4980,
  [5000] = 4980,
  [5001] = 4984,
  [5002] = 4645,
  [5003] = 4649,
  [5004] = 4645,
  [5005] = 4984,
  [5006] = 3138,
  [5007] = 4980,
  [5008] = 5008,
  [5009] = 4984,
  [5010] = 4990,
  [5011] = 4990,
  [5012] = 4984,
  [5013] = 5008,
  [5014] = 4990,
  [5015] = 4006,
  [5016] = 4980,
  [5017] = 4980,
  [5018] = 4990,
  [5019] = 4990,
  [5020] = 4980,
  [5021] = 4980,
  [5022] = 4980,
  [5023] = 4984,
  [5024] = 3129,
  [5025] = 5008,
  [5026] = 4980,
  [5027] = 4980,
  [5028] = 4984,
  [5029] = 5008,
  [5030] = 4990,
  [5031] = 4984,
  [5032] = 4990,
  [5033] = 4990,
  [5034] = 4984,
  [5035] = 4984,
  [5036] = 4984,
  [5037] = 4990,
  [5038] = 5038,
  [5039] = 4980,
  [5040] = 4984,
  [5041] = 4984,
  [5042] = 5038,
  [5043] = 4984,
  [5044] = 4990,
  [5045] = 4990,
  [5046] = 5038,
  [5047] = 4984,
  [5048] = 5038,
  [5049] = 5038,
  [5050] = 4980,
  [5051] = 4980,
  [5052] = 5038,
  [5053] = 4980,
  [5054] = 4990,
  [5055] = 5038,
  [5056] = 4990,
  [5057] = 4980,
  [5058] = 4984,
  [5059] = 5059,
  [5060] = 4984,
  [5061] = 4990,
  [5062] = 4980,
  [5063] = 5063,
  [5064] = 5063,
  [5065] = 5063,
  [5066] = 5066,
  [5067] = 1787,
  [5068] = 1683,
  [5069] = 5066,
  [5070] = 5063,
  [5071] = 5066,
  [5072] = 5072,
  [5073] = 4984,
  [5074] = 5072,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5076,
  [5078] = 5072,
  [5079] = 5076,
  [5080] = 5072,
  [5081] = 5075,
  [5082] = 4980,
  [5083] = 5075,
  [5084] = 4984,
  [5085] = 5085,
  [5086] = 5075,
  [5087] = 4990,
  [5088] = 4980,
  [5089] = 5076,
  [5090] = 4980,
  [5091] = 5075,
  [5092] = 4990,
  [5093] = 5093,
  [5094] = 5075,
  [5095] = 5072,
  [5096] = 5076,
  [5097] = 5076,
  [5098] = 4984,
  [5099] = 5072,
  [5100] = 5076,
  [5101] = 5072,
  [5102] = 5072,
  [5103] = 5072,
  [5104] = 5072,
  [5105] = 4990,
  [5106] = 5076,
  [5107] = 5075,
  [5108] = 5072,
  [5109] = 5072,
  [5110] = 5076,
  [5111] = 5072,
  [5112] = 5075,
  [5113] = 5075,
  [5114] = 5072,
  [5115] = 5093,
  [5116] = 5076,
  [5117] = 5063,
  [5118] = 5076,
  [5119] = 5076,
  [5120] = 5076,
  [5121] = 5072,
  [5122] = 5122,
  [5123] = 5076,
  [5124] = 5072,
  [5125] = 5125,
  [5126] = 4990,
  [5127] = 4980,
  [5128] = 5076,
  [5129] = 4984,
  [5130] = 5093,
  [5131] = 5063,
  [5132] = 5076,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5136,
  [5138] = 5134,
  [5139] = 5134,
  [5140] = 5140,
  [5141] = 5135,
  [5142] = 5142,
  [5143] = 5136,
  [5144] = 5135,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5140,
  [5148] = 5134,
  [5149] = 5140,
  [5150] = 5133,
  [5151] = 5136,
  [5152] = 5134,
  [5153] = 5140,
  [5154] = 5136,
  [5155] = 5134,
  [5156] = 5136,
  [5157] = 5140,
  [5158] = 5134,
  [5159] = 5140,
  [5160] = 5136,
  [5161] = 5134,
  [5162] = 5140,
  [5163] = 5136,
  [5164] = 5140,
  [5165] = 5145,
  [5166] = 5135,
  [5167] = 5134,
  [5168] = 5140,
  [5169] = 5169,
  [5170] = 5136,
  [5171] = 5145,
  [5172] = 5136,
  [5173] = 5135,
  [5174] = 5145,
  [5175] = 5135,
  [5176] = 5145,
  [5177] = 5145,
  [5178] = 5134,
  [5179] = 5140,
  [5180] = 5136,
  [5181] = 5140,
  [5182] = 5133,
  [5183] = 5136,
  [5184] = 5134,
  [5185] = 5135,
  [5186] = 5134,
  [5187] = 5135,
  [5188] = 5140,
  [5189] = 5136,
  [5190] = 5140,
  [5191] = 5134,
  [5192] = 5134,
  [5193] = 5063,
  [5194] = 5134,
  [5195] = 5134,
  [5196] = 5140,
  [5197] = 5145,
  [5198] = 5145,
  [5199] = 5140,
  [5200] = 5134,
  [5201] = 5134,
  [5202] = 5135,
  [5203] = 5145,
  [5204] = 5145,
  [5205] = 5135,
  [5206] = 5145,
  [5207] = 5140,
  [5208] = 5145,
  [5209] = 5145,
  [5210] = 5135,
  [5211] = 5136,
  [5212] = 5135,
  [5213] = 5169,
  [5214] = 5135,
  [5215] = 5136,
  [5216] = 5085,
  [5217] = 5136,
  [5218] = 5135,
  [5219] = 5145,
  [5220] = 5145,
  [5221] = 5136,
  [5222] = 5145,
  [5223] = 5140,
  [5224] = 5169,
  [5225] = 5145,
  [5226] = 5136,
  [5227] = 5140,
  [5228] = 5135,
  [5229] = 5145,
  [5230] = 5135,
  [5231] = 5135,
  [5232] = 5135,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5249,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5252,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5252,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5242,
  [5267] = 5267,
  [5268] = 5252,
  [5269] = 5269,
  [5270] = 5235,
  [5271] = 5271,
  [5272] = 5252,
  [5273] = 5235,
  [5274] = 5252,
  [5275] = 5275,
  [5276] = 2669,
  [5277] = 5252,
  [5278] = 5234,
  [5279] = 5271,
  [5280] = 5264,
  [5281] = 5252,
  [5282] = 5282,
  [5283] = 5238,
  [5284] = 5271,
  [5285] = 5285,
  [5286] = 5235,
  [5287] = 5287,
  [5288] = 5256,
  [5289] = 5263,
  [5290] = 5290,
  [5291] = 5262,
  [5292] = 5292,
  [5293] = 5290,
  [5294] = 5261,
  [5295] = 5292,
  [5296] = 5290,
  [5297] = 5292,
  [5298] = 5259,
  [5299] = 5290,
  [5300] = 5292,
  [5301] = 5252,
  [5302] = 5290,
  [5303] = 5233,
  [5304] = 5304,
  [5305] = 5258,
  [5306] = 5257,
  [5307] = 5292,
  [5308] = 5308,
  [5309] = 5292,
  [5310] = 5238,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 5252,
  [5315] = 5290,
  [5316] = 5292,
  [5317] = 5290,
  [5318] = 5292,
  [5319] = 5252,
  [5320] = 5238,
  [5321] = 5122,
  [5322] = 5322,
  [5323] = 5125,
  [5324] = 5265,
  [5325] = 5252,
  [5326] = 5234,
  [5327] = 5290,
  [5328] = 5292,
  [5329] = 5063,
  [5330] = 5290,
  [5331] = 5275,
  [5332] = 5252,
  [5333] = 5238,
  [5334] = 5252,
  [5335] = 5238,
  [5336] = 5238,
  [5337] = 1570,
  [5338] = 5338,
  [5339] = 1561,
  [5340] = 5340,
  [5341] = 5338,
  [5342] = 5342,
  [5343] = 1566,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5247,
  [5347] = 5347,
  [5348] = 1569,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5237,
  [5353] = 5353,
  [5354] = 5338,
  [5355] = 5349,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5340,
  [5360] = 5360,
  [5361] = 5345,
  [5362] = 5344,
  [5363] = 5363,
  [5364] = 5350,
  [5365] = 5365,
  [5366] = 5347,
  [5367] = 5349,
  [5368] = 5245,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5347,
  [5372] = 5353,
  [5373] = 5357,
  [5374] = 5374,
  [5375] = 5340,
  [5376] = 5342,
  [5377] = 5345,
  [5378] = 5350,
  [5379] = 5357,
  [5380] = 5340,
  [5381] = 5345,
  [5382] = 5350,
  [5383] = 5383,
  [5384] = 5240,
  [5385] = 5385,
  [5386] = 2179,
  [5387] = 5254,
  [5388] = 1571,
  [5389] = 5351,
  [5390] = 5390,
  [5391] = 1564,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5253,
  [5395] = 5353,
  [5396] = 5390,
  [5397] = 5397,
  [5398] = 5398,
  [5399] = 5358,
  [5400] = 5269,
  [5401] = 5390,
  [5402] = 5344,
  [5403] = 5350,
  [5404] = 2217,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5063,
  [5408] = 5408,
  [5409] = 5345,
  [5410] = 5340,
  [5411] = 2669,
  [5412] = 5239,
  [5413] = 5357,
  [5414] = 5414,
  [5415] = 2217,
  [5416] = 5390,
  [5417] = 5357,
  [5418] = 5418,
  [5419] = 5243,
  [5420] = 5351,
  [5421] = 5353,
  [5422] = 5365,
  [5423] = 5236,
  [5424] = 126,
  [5425] = 5390,
  [5426] = 5426,
  [5427] = 125,
  [5428] = 5342,
  [5429] = 5365,
  [5430] = 5244,
  [5431] = 5353,
  [5432] = 5251,
  [5433] = 5267,
  [5434] = 5390,
  [5435] = 1562,
  [5436] = 5353,
  [5437] = 5250,
  [5438] = 2179,
  [5439] = 5357,
  [5440] = 5351,
  [5441] = 1567,
  [5442] = 5442,
  [5443] = 5397,
  [5444] = 5342,
  [5445] = 5340,
  [5446] = 1563,
  [5447] = 5338,
  [5448] = 5249,
  [5449] = 5345,
  [5450] = 5248,
  [5451] = 5344,
  [5452] = 5353,
  [5453] = 5246,
  [5454] = 1573,
  [5455] = 1574,
  [5456] = 5347,
  [5457] = 5350,
  [5458] = 5349,
  [5459] = 1572,
  [5460] = 1560,
  [5461] = 5397,
  [5462] = 5365,
  [5463] = 5241,
  [5464] = 1565,
  [5465] = 1559,
  [5466] = 5466,
  [5467] = 5357,
  [5468] = 5398,
  [5469] = 5414,
  [5470] = 5470,
  [5471] = 5471,
  [5472] = 5472,
  [5473] = 1929,
  [5474] = 5474,
  [5475] = 5350,
  [5476] = 5363,
  [5477] = 5357,
  [5478] = 5345,
  [5479] = 5479,
  [5480] = 5063,
  [5481] = 5350,
  [5482] = 5340,
  [5483] = 5345,
  [5484] = 5340,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5487,
  [5488] = 1677,
  [5489] = 5489,
  [5490] = 5350,
  [5491] = 5340,
  [5492] = 5345,
  [5493] = 5493,
  [5494] = 5350,
  [5495] = 5495,
  [5496] = 1577,
  [5497] = 5497,
  [5498] = 5487,
  [5499] = 5489,
  [5500] = 5489,
  [5501] = 5340,
  [5502] = 5502,
  [5503] = 5357,
  [5504] = 5340,
  [5505] = 5489,
  [5506] = 5345,
  [5507] = 5507,
  [5508] = 5487,
  [5509] = 5063,
  [5510] = 5487,
  [5511] = 5357,
  [5512] = 1578,
  [5513] = 5350,
  [5514] = 5489,
  [5515] = 5487,
  [5516] = 5516,
  [5517] = 5345,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5345,
  [5521] = 5487,
  [5522] = 5357,
  [5523] = 5523,
  [5524] = 5507,
  [5525] = 5489,
  [5526] = 5340,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 1733,
  [5530] = 5530,
  [5531] = 5487,
  [5532] = 5489,
  [5533] = 5507,
  [5534] = 5489,
  [5535] = 5507,
  [5536] = 5350,
  [5537] = 5537,
  [5538] = 5489,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5507,
  [5543] = 5543,
  [5544] = 1579,
  [5545] = 5545,
  [5546] = 5357,
  [5547] = 5487,
  [5548] = 5548,
  [5549] = 5487,
  [5550] = 5063,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5489,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5540,
  [5557] = 5487,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 1571,
  [5561] = 5347,
  [5562] = 2179,
  [5563] = 5340,
  [5564] = 5350,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5338,
  [5568] = 5566,
  [5569] = 5566,
  [5570] = 5566,
  [5571] = 5571,
  [5572] = 5566,
  [5573] = 5357,
  [5574] = 1573,
  [5575] = 125,
  [5576] = 5566,
  [5577] = 1569,
  [5578] = 771,
  [5579] = 5566,
  [5580] = 126,
  [5581] = 5466,
  [5582] = 5566,
  [5583] = 5442,
  [5584] = 1564,
  [5585] = 5350,
  [5586] = 2240,
  [5587] = 5566,
  [5588] = 5349,
  [5589] = 5566,
  [5590] = 5340,
  [5591] = 5566,
  [5592] = 5347,
  [5593] = 5593,
  [5594] = 775,
  [5595] = 1567,
  [5596] = 1566,
  [5597] = 5344,
  [5598] = 1562,
  [5599] = 5344,
  [5600] = 1574,
  [5601] = 5345,
  [5602] = 5602,
  [5603] = 1572,
  [5604] = 5338,
  [5605] = 5566,
  [5606] = 5063,
  [5607] = 5566,
  [5608] = 1560,
  [5609] = 5063,
  [5610] = 5351,
  [5611] = 5566,
  [5612] = 5566,
  [5613] = 5345,
  [5614] = 5351,
  [5615] = 5615,
  [5616] = 5357,
  [5617] = 1565,
  [5618] = 1559,
  [5619] = 1563,
  [5620] = 5349,
  [5621] = 5566,
  [5622] = 1561,
  [5623] = 1570,
  [5624] = 5566,
  [5625] = 2217,
  [5626] = 5566,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 5632,
  [5633] = 5633,
  [5634] = 5634,
  [5635] = 2375,
  [5636] = 5345,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5627,
  [5640] = 5640,
  [5641] = 5630,
  [5642] = 5357,
  [5643] = 5643,
  [5644] = 5340,
  [5645] = 5645,
  [5646] = 5646,
  [5647] = 5647,
  [5648] = 5646,
  [5649] = 1929,
  [5650] = 5345,
  [5651] = 5633,
  [5652] = 1882,
  [5653] = 5350,
  [5654] = 5646,
  [5655] = 5655,
  [5656] = 5630,
  [5657] = 2310,
  [5658] = 5643,
  [5659] = 5357,
  [5660] = 5633,
  [5661] = 5661,
  [5662] = 5630,
  [5663] = 5643,
  [5664] = 5643,
  [5665] = 5350,
  [5666] = 5643,
  [5667] = 5638,
  [5668] = 1877,
  [5669] = 5643,
  [5670] = 5633,
  [5671] = 5633,
  [5672] = 5672,
  [5673] = 5646,
  [5674] = 5630,
  [5675] = 5632,
  [5676] = 5630,
  [5677] = 5643,
  [5678] = 5628,
  [5679] = 5629,
  [5680] = 5631,
  [5681] = 5634,
  [5682] = 5682,
  [5683] = 5633,
  [5684] = 1885,
  [5685] = 1875,
  [5686] = 5632,
  [5687] = 2273,
  [5688] = 5637,
  [5689] = 5638,
  [5690] = 5627,
  [5691] = 5643,
  [5692] = 1881,
  [5693] = 5628,
  [5694] = 5630,
  [5695] = 5643,
  [5696] = 5629,
  [5697] = 5631,
  [5698] = 5634,
  [5699] = 5340,
  [5700] = 5633,
  [5701] = 5637,
  [5702] = 5643,
  [5703] = 2179,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5705,
  [5707] = 5554,
  [5708] = 5705,
  [5709] = 5709,
  [5710] = 5351,
  [5711] = 5705,
  [5712] = 5712,
  [5713] = 5705,
  [5714] = 5712,
  [5715] = 5712,
  [5716] = 5716,
  [5717] = 5712,
  [5718] = 5351,
  [5719] = 5338,
  [5720] = 5720,
  [5721] = 5344,
  [5722] = 5722,
  [5723] = 5712,
  [5724] = 5712,
  [5725] = 5347,
  [5726] = 5704,
  [5727] = 5349,
  [5728] = 5728,
  [5729] = 5548,
  [5730] = 1497,
  [5731] = 5731,
  [5732] = 5705,
  [5733] = 5712,
  [5734] = 5543,
  [5735] = 5728,
  [5736] = 5712,
  [5737] = 5737,
  [5738] = 5632,
  [5739] = 5497,
  [5740] = 5545,
  [5741] = 5712,
  [5742] = 5486,
  [5743] = 5528,
  [5744] = 5495,
  [5745] = 5712,
  [5746] = 5712,
  [5747] = 5712,
  [5748] = 5628,
  [5749] = 5712,
  [5750] = 5629,
  [5751] = 5631,
  [5752] = 5493,
  [5753] = 5634,
  [5754] = 5754,
  [5755] = 5063,
  [5756] = 5712,
  [5757] = 5757,
  [5758] = 5637,
  [5759] = 5638,
  [5760] = 5760,
  [5761] = 5627,
  [5762] = 5754,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5754,
  [5766] = 5737,
  [5767] = 2217,
  [5768] = 5351,
  [5769] = 5712,
  [5770] = 5519,
  [5771] = 2179,
  [5772] = 5754,
  [5773] = 5552,
  [5774] = 5555,
  [5775] = 5558,
  [5776] = 5518,
  [5777] = 5704,
  [5778] = 5338,
  [5779] = 5502,
  [5780] = 5338,
  [5781] = 5704,
  [5782] = 1609,
  [5783] = 1611,
  [5784] = 5754,
  [5785] = 1614,
  [5786] = 1610,
  [5787] = 5705,
  [5788] = 5788,
  [5789] = 5712,
  [5790] = 5712,
  [5791] = 2217,
  [5792] = 5349,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5754,
  [5796] = 5712,
  [5797] = 5351,
  [5798] = 5794,
  [5799] = 5516,
  [5800] = 5344,
  [5801] = 5801,
  [5802] = 5801,
  [5803] = 5350,
  [5804] = 5345,
  [5805] = 5340,
  [5806] = 5530,
  [5807] = 5357,
  [5808] = 5347,
  [5809] = 5350,
  [5810] = 5345,
  [5811] = 5340,
  [5812] = 5541,
  [5813] = 5349,
  [5814] = 5347,
  [5815] = 5704,
  [5816] = 5527,
  [5817] = 5357,
  [5818] = 5344,
  [5819] = 5788,
  [5820] = 5537,
  [5821] = 5704,
  [5822] = 2113,
  [5823] = 5349,
  [5824] = 5712,
  [5825] = 5338,
  [5826] = 5754,
  [5827] = 5347,
  [5828] = 5344,
  [5829] = 5539,
  [5830] = 5704,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 5833,
  [5834] = 1925,
  [5835] = 5831,
  [5836] = 1927,
  [5837] = 5837,
  [5838] = 1924,
  [5839] = 2121,
  [5840] = 5831,
  [5841] = 1931,
  [5842] = 5842,
  [5843] = 2018,
  [5844] = 5627,
  [5845] = 5845,
  [5846] = 5832,
  [5847] = 5847,
  [5848] = 2073,
  [5849] = 2074,
  [5850] = 2080,
  [5851] = 5833,
  [5852] = 5638,
  [5853] = 1881,
  [5854] = 1882,
  [5855] = 1877,
  [5856] = 5856,
  [5857] = 5637,
  [5858] = 2104,
  [5859] = 1885,
  [5860] = 1875,
  [5861] = 5833,
  [5862] = 2036,
  [5863] = 5350,
  [5864] = 5634,
  [5865] = 5631,
  [5866] = 5345,
  [5867] = 5628,
  [5868] = 2364,
  [5869] = 2354,
  [5870] = 5832,
  [5871] = 5340,
  [5872] = 5357,
  [5873] = 2353,
  [5874] = 2348,
  [5875] = 5831,
  [5876] = 2346,
  [5877] = 5350,
  [5878] = 2327,
  [5879] = 5629,
  [5880] = 5345,
  [5881] = 5833,
  [5882] = 5831,
  [5883] = 5632,
  [5884] = 5340,
  [5885] = 5832,
  [5886] = 5832,
  [5887] = 5832,
  [5888] = 2325,
  [5889] = 5889,
  [5890] = 5845,
  [5891] = 5357,
  [5892] = 5831,
  [5893] = 5893,
  [5894] = 5832,
  [5895] = 5895,
  [5896] = 5896,
  [5897] = 5832,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5833,
  [5901] = 5901,
  [5902] = 5833,
  [5903] = 5842,
  [5904] = 5904,
  [5905] = 5842,
  [5906] = 5837,
  [5907] = 5627,
  [5908] = 5638,
  [5909] = 5637,
  [5910] = 5831,
  [5911] = 2344,
  [5912] = 5634,
  [5913] = 5631,
  [5914] = 5845,
  [5915] = 5629,
  [5916] = 5628,
  [5917] = 5632,
  [5918] = 5842,
  [5919] = 5831,
  [5920] = 5831,
  [5921] = 5837,
  [5922] = 5831,
  [5923] = 5923,
  [5924] = 5837,
  [5925] = 5925,
  [5926] = 5845,
  [5927] = 5833,
  [5928] = 5928,
  [5929] = 5899,
  [5930] = 5930,
  [5931] = 5832,
  [5932] = 5837,
  [5933] = 5832,
  [5934] = 2179,
  [5935] = 5935,
  [5936] = 5935,
  [5937] = 5935,
  [5938] = 5938,
  [5939] = 1875,
  [5940] = 2217,
  [5941] = 2113,
  [5942] = 5627,
  [5943] = 5638,
  [5944] = 5944,
  [5945] = 5794,
  [5946] = 5801,
  [5947] = 5637,
  [5948] = 5634,
  [5949] = 1885,
  [5950] = 5631,
  [5951] = 5935,
  [5952] = 5357,
  [5953] = 5340,
  [5954] = 5345,
  [5955] = 5350,
  [5956] = 5629,
  [5957] = 5628,
  [5958] = 5632,
  [5959] = 5351,
  [5960] = 5338,
  [5961] = 5935,
  [5962] = 5344,
  [5963] = 5347,
  [5964] = 5349,
  [5965] = 5788,
  [5966] = 5760,
  [5967] = 5935,
  [5968] = 5935,
  [5969] = 5737,
  [5970] = 5935,
  [5971] = 3715,
  [5972] = 1881,
  [5973] = 5935,
  [5974] = 5935,
  [5975] = 5728,
  [5976] = 5935,
  [5977] = 1882,
  [5978] = 5935,
  [5979] = 5357,
  [5980] = 5351,
  [5981] = 5935,
  [5982] = 5982,
  [5983] = 5983,
  [5984] = 5340,
  [5985] = 5338,
  [5986] = 5935,
  [5987] = 5345,
  [5988] = 5935,
  [5989] = 5935,
  [5990] = 5344,
  [5991] = 5347,
  [5992] = 5350,
  [5993] = 5349,
  [5994] = 5935,
  [5995] = 5935,
  [5996] = 1877,
  [5997] = 5935,
  [5998] = 5338,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 2179,
  [6003] = 5628,
  [6004] = 5629,
  [6005] = 5637,
  [6006] = 5631,
  [6007] = 5634,
  [6008] = 6008,
  [6009] = 5632,
  [6010] = 5999,
  [6011] = 6011,
  [6012] = 5627,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 5349,
  [6020] = 5788,
  [6021] = 6021,
  [6022] = 6022,
  [6023] = 5349,
  [6024] = 5347,
  [6025] = 5344,
  [6026] = 5347,
  [6027] = 6021,
  [6028] = 6017,
  [6029] = 5999,
  [6030] = 6030,
  [6031] = 5338,
  [6032] = 2217,
  [6033] = 6017,
  [6034] = 6034,
  [6035] = 6017,
  [6036] = 5344,
  [6037] = 6021,
  [6038] = 6038,
  [6039] = 6017,
  [6040] = 6038,
  [6041] = 6041,
  [6042] = 6038,
  [6043] = 5351,
  [6044] = 6038,
  [6045] = 5637,
  [6046] = 5999,
  [6047] = 5638,
  [6048] = 6021,
  [6049] = 5999,
  [6050] = 6017,
  [6051] = 6051,
  [6052] = 5351,
  [6053] = 6038,
  [6054] = 6054,
  [6055] = 2113,
  [6056] = 6017,
  [6057] = 6057,
  [6058] = 6058,
  [6059] = 6059,
  [6060] = 6060,
  [6061] = 5999,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 5737,
  [6066] = 6066,
  [6067] = 6021,
  [6068] = 6068,
  [6069] = 6069,
  [6070] = 6038,
  [6071] = 5627,
  [6072] = 6072,
  [6073] = 5999,
  [6074] = 6074,
  [6075] = 6075,
  [6076] = 5728,
  [6077] = 5628,
  [6078] = 5794,
  [6079] = 6021,
  [6080] = 5801,
  [6081] = 5629,
  [6082] = 6038,
  [6083] = 2242,
  [6084] = 6021,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 5632,
  [6088] = 5628,
  [6089] = 5629,
  [6090] = 5631,
  [6091] = 5634,
  [6092] = 6085,
  [6093] = 6093,
  [6094] = 5637,
  [6095] = 5638,
  [6096] = 6085,
  [6097] = 6085,
  [6098] = 6098,
  [6099] = 5627,
  [6100] = 1175,
  [6101] = 6101,
  [6102] = 1273,
  [6103] = 6085,
  [6104] = 6085,
  [6105] = 6085,
  [6106] = 6106,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 1330,
  [6110] = 1277,
  [6111] = 6085,
  [6112] = 6085,
  [6113] = 6085,
  [6114] = 6114,
  [6115] = 1279,
  [6116] = 1332,
  [6117] = 1334,
  [6118] = 6085,
  [6119] = 6114,
  [6120] = 6120,
  [6121] = 6085,
  [6122] = 6085,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 6125,
  [6128] = 6124,
  [6129] = 6124,
  [6130] = 6124,
  [6131] = 6124,
  [6132] = 6124,
  [6133] = 5634,
  [6134] = 2179,
  [6135] = 5615,
  [6136] = 6124,
  [6137] = 6124,
  [6138] = 6124,
  [6139] = 2217,
  [6140] = 6124,
  [6141] = 6126,
  [6142] = 6142,
  [6143] = 6143,
  [6144] = 6124,
  [6145] = 6124,
  [6146] = 5628,
  [6147] = 6124,
  [6148] = 6126,
  [6149] = 6143,
  [6150] = 6142,
  [6151] = 5632,
  [6152] = 6124,
  [6153] = 6126,
  [6154] = 5629,
  [6155] = 5631,
  [6156] = 6124,
  [6157] = 6157,
  [6158] = 6126,
  [6159] = 5593,
  [6160] = 6126,
  [6161] = 6126,
  [6162] = 5627,
  [6163] = 6143,
  [6164] = 5638,
  [6165] = 6165,
  [6166] = 6143,
  [6167] = 5637,
  [6168] = 6124,
  [6169] = 6124,
  [6170] = 6124,
  [6171] = 6125,
  [6172] = 6124,
  [6173] = 6124,
  [6174] = 6125,
  [6175] = 6142,
  [6176] = 6142,
  [6177] = 6124,
  [6178] = 5593,
  [6179] = 6179,
  [6180] = 6180,
  [6181] = 5709,
  [6182] = 6182,
  [6183] = 6183,
  [6184] = 6183,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 6187,
  [6188] = 6180,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 6187,
  [6192] = 6183,
  [6193] = 5728,
  [6194] = 5794,
  [6195] = 5763,
  [6196] = 2273,
  [6197] = 5764,
  [6198] = 6183,
  [6199] = 5801,
  [6200] = 6200,
  [6201] = 6201,
  [6202] = 5627,
  [6203] = 6183,
  [6204] = 5638,
  [6205] = 5637,
  [6206] = 5731,
  [6207] = 6207,
  [6208] = 5632,
  [6209] = 5737,
  [6210] = 5615,
  [6211] = 5788,
  [6212] = 6187,
  [6213] = 6213,
  [6214] = 5716,
  [6215] = 6180,
  [6216] = 6183,
  [6217] = 6217,
  [6218] = 6183,
  [6219] = 6219,
  [6220] = 5634,
  [6221] = 5631,
  [6222] = 6187,
  [6223] = 6180,
  [6224] = 5629,
  [6225] = 5628,
  [6226] = 6226,
  [6227] = 5632,
  [6228] = 6228,
  [6229] = 5631,
  [6230] = 5634,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 5634,
  [6234] = 2362,
  [6235] = 5638,
  [6236] = 1882,
  [6237] = 6231,
  [6238] = 6231,
  [6239] = 6239,
  [6240] = 6239,
  [6241] = 6232,
  [6242] = 2273,
  [6243] = 6243,
  [6244] = 5627,
  [6245] = 5628,
  [6246] = 5627,
  [6247] = 6232,
  [6248] = 5632,
  [6249] = 5637,
  [6250] = 6250,
  [6251] = 5629,
  [6252] = 2377,
  [6253] = 5628,
  [6254] = 1881,
  [6255] = 2361,
  [6256] = 6256,
  [6257] = 6239,
  [6258] = 6228,
  [6259] = 5637,
  [6260] = 6260,
  [6261] = 6261,
  [6262] = 6228,
  [6263] = 6232,
  [6264] = 1885,
  [6265] = 6231,
  [6266] = 6266,
  [6267] = 5638,
  [6268] = 5629,
  [6269] = 6228,
  [6270] = 6270,
  [6271] = 1877,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 5631,
  [6275] = 6239,
  [6276] = 1875,
  [6277] = 6277,
  [6278] = 2273,
  [6279] = 6279,
  [6280] = 5944,
  [6281] = 6281,
  [6282] = 6281,
  [6283] = 6279,
  [6284] = 6284,
  [6285] = 6285,
  [6286] = 6286,
  [6287] = 6281,
  [6288] = 6288,
  [6289] = 6285,
  [6290] = 6290,
  [6291] = 6291,
  [6292] = 6292,
  [6293] = 6279,
  [6294] = 6290,
  [6295] = 6285,
  [6296] = 6296,
  [6297] = 6281,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6290,
  [6301] = 6281,
  [6302] = 6302,
  [6303] = 2273,
  [6304] = 6304,
  [6305] = 6290,
  [6306] = 5983,
  [6307] = 2113,
  [6308] = 5982,
  [6309] = 6309,
  [6310] = 6285,
  [6311] = 6279,
  [6312] = 6312,
  [6313] = 6290,
  [6314] = 6312,
  [6315] = 6281,
  [6316] = 6285,
  [6317] = 6317,
  [6318] = 6279,
  [6319] = 6285,
  [6320] = 6320,
  [6321] = 6290,
  [6322] = 6292,
  [6323] = 6290,
  [6324] = 6279,
  [6325] = 6325,
  [6326] = 6326,
  [6327] = 6285,
  [6328] = 6328,
  [6329] = 6279,
  [6330] = 6281,
  [6331] = 6331,
  [6332] = 6332,
  [6333] = 6331,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6334,
  [6338] = 6338,
  [6339] = 6338,
  [6340] = 6340,
  [6341] = 5631,
  [6342] = 6342,
  [6343] = 6343,
  [6344] = 5634,
  [6345] = 6342,
  [6346] = 2198,
  [6347] = 5637,
  [6348] = 6348,
  [6349] = 6335,
  [6350] = 6350,
  [6351] = 6336,
  [6352] = 2273,
  [6353] = 5629,
  [6354] = 6354,
  [6355] = 6350,
  [6356] = 6356,
  [6357] = 6332,
  [6358] = 5638,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6334,
  [6362] = 6362,
  [6363] = 5632,
  [6364] = 6360,
  [6365] = 6365,
  [6366] = 6342,
  [6367] = 6332,
  [6368] = 6359,
  [6369] = 5628,
  [6370] = 6338,
  [6371] = 6348,
  [6372] = 6359,
  [6373] = 6354,
  [6374] = 5627,
  [6375] = 6348,
  [6376] = 6376,
  [6377] = 6377,
  [6378] = 6354,
  [6379] = 6379,
  [6380] = 2273,
  [6381] = 6359,
  [6382] = 6331,
  [6383] = 6356,
  [6384] = 6359,
  [6385] = 6385,
  [6386] = 6335,
  [6387] = 6387,
  [6388] = 6336,
  [6389] = 6354,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 6391,
  [6393] = 6393,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 6397,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6400,
  [6401] = 6390,
  [6402] = 6394,
  [6403] = 6395,
  [6404] = 6391,
  [6405] = 6405,
  [6406] = 6397,
  [6407] = 6399,
  [6408] = 6400,
  [6409] = 6398,
  [6410] = 6391,
  [6411] = 6394,
  [6412] = 6400,
  [6413] = 6413,
  [6414] = 6394,
  [6415] = 6415,
  [6416] = 6398,
  [6417] = 6397,
  [6418] = 6393,
  [6419] = 6419,
  [6420] = 6390,
  [6421] = 6396,
  [6422] = 6394,
  [6423] = 6398,
  [6424] = 6397,
  [6425] = 6425,
  [6426] = 6413,
  [6427] = 6427,
  [6428] = 6425,
  [6429] = 6429,
  [6430] = 5593,
  [6431] = 6396,
  [6432] = 6432,
  [6433] = 6419,
  [6434] = 6405,
  [6435] = 6435,
  [6436] = 6397,
  [6437] = 6427,
  [6438] = 6438,
  [6439] = 6439,
  [6440] = 6419,
  [6441] = 6415,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6427,
  [6445] = 6445,
  [6446] = 6390,
  [6447] = 6419,
  [6448] = 6394,
  [6449] = 6429,
  [6450] = 6450,
  [6451] = 6419,
  [6452] = 6427,
  [6453] = 6397,
  [6454] = 6439,
  [6455] = 6394,
  [6456] = 6390,
  [6457] = 6419,
  [6458] = 6458,
  [6459] = 6425,
  [6460] = 6427,
  [6461] = 6425,
  [6462] = 6442,
  [6463] = 6395,
  [6464] = 6400,
  [6465] = 6465,
  [6466] = 6390,
  [6467] = 6419,
  [6468] = 6399,
  [6469] = 6469,
  [6470] = 6439,
  [6471] = 6469,
  [6472] = 6472,
  [6473] = 6396,
  [6474] = 6469,
  [6475] = 6415,
  [6476] = 6427,
  [6477] = 6442,
  [6478] = 6429,
  [6479] = 6427,
  [6480] = 6390,
  [6481] = 6458,
  [6482] = 6429,
  [6483] = 6483,
  [6484] = 6419,
  [6485] = 6443,
  [6486] = 6405,
  [6487] = 6483,
  [6488] = 6443,
  [6489] = 6427,
  [6490] = 6427,
  [6491] = 6419,
  [6492] = 6458,
  [6493] = 6390,
  [6494] = 6415,
  [6495] = 6395,
  [6496] = 6469,
  [6497] = 6419,
  [6498] = 6397,
  [6499] = 6398,
  [6500] = 6391,
  [6501] = 6501,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6469,
  [6505] = 6427,
  [6506] = 6458,
  [6507] = 6419,
  [6508] = 6483,
  [6509] = 6469,
  [6510] = 6400,
  [6511] = 6390,
  [6512] = 6443,
  [6513] = 6419,
  [6514] = 6514,
  [6515] = 6405,
  [6516] = 6415,
  [6517] = 6458,
  [6518] = 6397,
  [6519] = 6519,
  [6520] = 6399,
  [6521] = 6427,
  [6522] = 6429,
  [6523] = 6443,
  [6524] = 6524,
  [6525] = 6525,
  [6526] = 6526,
  [6527] = 6390,
  [6528] = 6442,
  [6529] = 6425,
  [6530] = 6419,
  [6531] = 6439,
  [6532] = 6394,
  [6533] = 6458,
  [6534] = 6534,
  [6535] = 6469,
  [6536] = 6536,
  [6537] = 6413,
  [6538] = 6427,
  [6539] = 6393,
  [6540] = 6427,
  [6541] = 6419,
  [6542] = 6469,
  [6543] = 6400,
  [6544] = 6439,
  [6545] = 6427,
  [6546] = 6395,
  [6547] = 6390,
  [6548] = 6458,
  [6549] = 6390,
  [6550] = 6400,
  [6551] = 6551,
  [6552] = 6391,
  [6553] = 6398,
  [6554] = 6399,
  [6555] = 6394,
  [6556] = 6429,
  [6557] = 6469,
  [6558] = 6395,
  [6559] = 6419,
  [6560] = 6419,
  [6561] = 6458,
  [6562] = 6562,
  [6563] = 6469,
  [6564] = 6458,
  [6565] = 6439,
  [6566] = 6566,
  [6567] = 6427,
  [6568] = 6397,
  [6569] = 6419,
  [6570] = 6442,
  [6571] = 6395,
  [6572] = 6442,
  [6573] = 6439,
  [6574] = 6391,
  [6575] = 6398,
  [6576] = 6391,
  [6577] = 6398,
  [6578] = 6395,
  [6579] = 6579,
  [6580] = 6399,
  [6581] = 6390,
  [6582] = 6399,
  [6583] = 6439,
  [6584] = 6400,
  [6585] = 6413,
  [6586] = 6425,
  [6587] = 6390,
  [6588] = 6429,
  [6589] = 6415,
  [6590] = 6419,
  [6591] = 6458,
  [6592] = 6393,
  [6593] = 6469,
  [6594] = 6390,
  [6595] = 6595,
  [6596] = 6400,
  [6597] = 6439,
  [6598] = 6427,
  [6599] = 6442,
  [6600] = 6400,
  [6601] = 6442,
  [6602] = 6602,
  [6603] = 6400,
  [6604] = 6427,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 6443,
  [6608] = 6396,
  [6609] = 6396,
  [6610] = 6610,
  [6611] = 6425,
  [6612] = 6612,
  [6613] = 6425,
  [6614] = 6395,
  [6615] = 6413,
  [6616] = 6429,
  [6617] = 6483,
  [6618] = 6483,
  [6619] = 6393,
  [6620] = 6483,
  [6621] = 6621,
  [6622] = 6390,
  [6623] = 6415,
  [6624] = 6624,
  [6625] = 6442,
  [6626] = 6439,
  [6627] = 6627,
  [6628] = 6413,
  [6629] = 6427,
  [6630] = 6390,
  [6631] = 6631,
  [6632] = 6400,
  [6633] = 6393,
  [6634] = 6415,
  [6635] = 6391,
  [6636] = 6413,
  [6637] = 6419,
  [6638] = 6429,
  [6639] = 6429,
  [6640] = 6458,
  [6641] = 6443,
  [6642] = 6427,
  [6643] = 6398,
  [6644] = 6415,
  [6645] = 6393,
  [6646] = 6395,
  [6647] = 6469,
  [6648] = 6425,
  [6649] = 6458,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6657,
  [6658] = 6658,
  [6659] = 6659,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6655,
  [6663] = 6663,
  [6664] = 6664,
  [6665] = 6665,
  [6666] = 6666,
  [6667] = 6654,
  [6668] = 6668,
  [6669] = 6656,
  [6670] = 6658,
  [6671] = 6671,
  [6672] = 6672,
  [6673] = 6673,
  [6674] = 6674,
  [6675] = 6675,
  [6676] = 6652,
  [6677] = 6674,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 6652,
  [6681] = 6668,
  [6682] = 6668,
  [6683] = 6654,
  [6684] = 6684,
  [6685] = 6685,
  [6686] = 6655,
  [6687] = 6671,
  [6688] = 6650,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6684,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6675,
  [6697] = 6697,
  [6698] = 6668,
  [6699] = 6652,
  [6700] = 6674,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 6671,
  [6704] = 6650,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6707,
  [6708] = 6673,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6712,
  [6713] = 6713,
  [6714] = 6666,
  [6715] = 6650,
  [6716] = 6661,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 6684,
  [6720] = 6712,
  [6721] = 6721,
  [6722] = 6722,
  [6723] = 6671,
  [6724] = 6701,
  [6725] = 6697,
  [6726] = 6726,
  [6727] = 6709,
  [6728] = 6728,
  [6729] = 6689,
  [6730] = 6730,
  [6731] = 6694,
  [6732] = 6718,
  [6733] = 6665,
  [6734] = 6691,
  [6735] = 6685,
  [6736] = 6678,
  [6737] = 6650,
  [6738] = 6710,
  [6739] = 6739,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6742,
  [6743] = 6663,
  [6744] = 6744,
  [6745] = 6650,
  [6746] = 6674,
  [6747] = 6658,
  [6748] = 6748,
  [6749] = 6652,
  [6750] = 6728,
  [6751] = 6751,
  [6752] = 6678,
  [6753] = 6678,
  [6754] = 6668,
  [6755] = 6711,
  [6756] = 6654,
  [6757] = 6661,
  [6758] = 6726,
  [6759] = 6759,
  [6760] = 6655,
  [6761] = 6761,
  [6762] = 6684,
  [6763] = 6763,
  [6764] = 6764,
  [6765] = 6671,
  [6766] = 6766,
  [6767] = 6706,
  [6768] = 6710,
  [6769] = 6769,
  [6770] = 6711,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6744,
  [6774] = 6665,
  [6775] = 6668,
  [6776] = 6652,
  [6777] = 6674,
  [6778] = 6666,
  [6779] = 6759,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 6691,
  [6784] = 6784,
  [6785] = 6690,
  [6786] = 6759,
  [6787] = 6787,
  [6788] = 6788,
  [6789] = 6718,
  [6790] = 6790,
  [6791] = 6713,
  [6792] = 6792,
  [6793] = 6713,
  [6794] = 6711,
  [6795] = 6795,
  [6796] = 6661,
  [6797] = 6702,
  [6798] = 6689,
  [6799] = 6685,
  [6800] = 6656,
  [6801] = 6712,
  [6802] = 6759,
  [6803] = 6691,
  [6804] = 6744,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6710,
  [6808] = 6711,
  [6809] = 6809,
  [6810] = 6691,
  [6811] = 6690,
  [6812] = 6689,
  [6813] = 6813,
  [6814] = 6658,
  [6815] = 6666,
  [6816] = 6690,
  [6817] = 6817,
  [6818] = 6675,
  [6819] = 6655,
  [6820] = 6654,
  [6821] = 6668,
  [6822] = 6652,
  [6823] = 6664,
  [6824] = 6690,
  [6825] = 6674,
  [6826] = 6684,
  [6827] = 6684,
  [6828] = 6658,
  [6829] = 6705,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6684,
  [6833] = 6718,
  [6834] = 6656,
  [6835] = 6668,
  [6836] = 6652,
  [6837] = 6674,
  [6838] = 6663,
  [6839] = 6658,
  [6840] = 6712,
  [6841] = 6689,
  [6842] = 6675,
  [6843] = 6675,
  [6844] = 6844,
  [6845] = 6661,
  [6846] = 6846,
  [6847] = 6684,
  [6848] = 6701,
  [6849] = 228,
  [6850] = 6697,
  [6851] = 6702,
  [6852] = 6702,
  [6853] = 6675,
  [6854] = 6650,
  [6855] = 6658,
  [6856] = 6702,
  [6857] = 6857,
  [6858] = 6673,
  [6859] = 6706,
  [6860] = 6684,
  [6861] = 6668,
  [6862] = 6652,
  [6863] = 6674,
  [6864] = 6864,
  [6865] = 6718,
  [6866] = 6761,
  [6867] = 6867,
  [6868] = 6709,
  [6869] = 6658,
  [6870] = 6678,
  [6871] = 6871,
  [6872] = 6666,
  [6873] = 6709,
  [6874] = 6709,
  [6875] = 6656,
  [6876] = 6728,
  [6877] = 6685,
  [6878] = 223,
  [6879] = 6658,
  [6880] = 6702,
  [6881] = 6675,
  [6882] = 6685,
  [6883] = 6684,
  [6884] = 6668,
  [6885] = 6652,
  [6886] = 6674,
  [6887] = 6665,
  [6888] = 6888,
  [6889] = 6658,
  [6890] = 6890,
  [6891] = 6705,
  [6892] = 6718,
  [6893] = 6694,
  [6894] = 6666,
  [6895] = 6684,
  [6896] = 6697,
  [6897] = 6701,
  [6898] = 6898,
  [6899] = 6661,
  [6900] = 6900,
  [6901] = 6658,
  [6902] = 6721,
  [6903] = 6694,
  [6904] = 6782,
  [6905] = 6684,
  [6906] = 6668,
  [6907] = 6652,
  [6908] = 6674,
  [6909] = 6909,
  [6910] = 6910,
  [6911] = 6705,
  [6912] = 6712,
  [6913] = 6661,
  [6914] = 6701,
  [6915] = 6697,
  [6916] = 6916,
  [6917] = 6664,
  [6918] = 6656,
  [6919] = 6718,
  [6920] = 6689,
  [6921] = 6690,
  [6922] = 6691,
  [6923] = 6658,
  [6924] = 6684,
  [6925] = 6658,
  [6926] = 6728,
  [6927] = 6684,
  [6928] = 6668,
  [6929] = 6652,
  [6930] = 6674,
  [6931] = 6663,
  [6932] = 6932,
  [6933] = 6759,
  [6934] = 6934,
  [6935] = 6935,
  [6936] = 6705,
  [6937] = 6694,
  [6938] = 6658,
  [6939] = 2273,
  [6940] = 6940,
  [6941] = 6941,
  [6942] = 6691,
  [6943] = 6759,
  [6944] = 6658,
  [6945] = 6685,
  [6946] = 6782,
  [6947] = 6684,
  [6948] = 6668,
  [6949] = 6652,
  [6950] = 6674,
  [6951] = 6951,
  [6952] = 6952,
  [6953] = 6713,
  [6954] = 6656,
  [6955] = 6955,
  [6956] = 6689,
  [6957] = 6711,
  [6958] = 6711,
  [6959] = 6712,
  [6960] = 6960,
  [6961] = 6713,
  [6962] = 6712,
  [6963] = 6690,
  [6964] = 6658,
  [6965] = 6761,
  [6966] = 6966,
  [6967] = 6684,
  [6968] = 6668,
  [6969] = 6652,
  [6970] = 6674,
  [6971] = 6690,
  [6972] = 6691,
  [6973] = 6973,
  [6974] = 6665,
  [6975] = 6689,
  [6976] = 6713,
  [6977] = 6705,
  [6978] = 6701,
  [6979] = 6697,
  [6980] = 6980,
  [6981] = 6694,
  [6982] = 6705,
  [6983] = 6665,
  [6984] = 6658,
  [6985] = 6666,
  [6986] = 6665,
  [6987] = 6684,
  [6988] = 6668,
  [6989] = 6652,
  [6990] = 6674,
  [6991] = 6694,
  [6992] = 6665,
  [6993] = 6666,
  [6994] = 6664,
  [6995] = 6685,
  [6996] = 6658,
  [6997] = 6675,
  [6998] = 6678,
  [6999] = 6999,
  [7000] = 6658,
  [7001] = 6702,
  [7002] = 6658,
  [7003] = 7003,
  [7004] = 7004,
  [7005] = 6759,
  [7006] = 6665,
  [7007] = 6226,
  [7008] = 6709,
  [7009] = 6726,
  [7010] = 7010,
  [7011] = 7011,
  [7012] = 6678,
  [7013] = 6673,
  [7014] = 7014,
  [7015] = 6650,
  [7016] = 7016,
  [7017] = 6671,
  [7018] = 6674,
  [7019] = 6674,
  [7020] = 6658,
  [7021] = 6665,
  [7022] = 6665,
  [7023] = 6744,
  [7024] = 6652,
  [7025] = 6710,
  [7026] = 6668,
  [7027] = 6664,
  [7028] = 6697,
  [7029] = 6664,
  [7030] = 6664,
  [7031] = 6710,
  [7032] = 6654,
  [7033] = 6701,
  [7034] = 6665,
  [7035] = 7035,
  [7036] = 6657,
  [7037] = 6655,
  [7038] = 6661,
  [7039] = 6706,
  [7040] = 6674,
  [7041] = 6652,
  [7042] = 6668,
  [7043] = 6654,
  [7044] = 6655,
  [7045] = 7045,
  [7046] = 6656,
  [7047] = 7047,
  [7048] = 7048,
  [7049] = 7049,
  [7050] = 2322,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 7057,
  [7058] = 7058,
  [7059] = 7059,
  [7060] = 7060,
  [7061] = 7051,
  [7062] = 7062,
  [7063] = 2304,
  [7064] = 2305,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7067,
  [7068] = 7068,
  [7069] = 2308,
  [7070] = 7065,
  [7071] = 2309,
  [7072] = 7072,
  [7073] = 7073,
  [7074] = 2300,
  [7075] = 7057,
  [7076] = 7076,
  [7077] = 7077,
  [7078] = 2316,
  [7079] = 7057,
  [7080] = 7072,
  [7081] = 7081,
  [7082] = 2317,
  [7083] = 2343,
  [7084] = 7081,
  [7085] = 7085,
  [7086] = 7086,
  [7087] = 7072,
  [7088] = 7088,
  [7089] = 7052,
  [7090] = 7058,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 7095,
  [7096] = 7054,
  [7097] = 7097,
  [7098] = 7067,
  [7099] = 7052,
  [7100] = 7100,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 7103,
  [7104] = 7058,
  [7105] = 7105,
  [7106] = 7106,
  [7107] = 7057,
  [7108] = 7108,
  [7109] = 7109,
  [7110] = 7091,
  [7111] = 7057,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 2355,
  [7115] = 7057,
  [7116] = 7072,
  [7117] = 7117,
  [7118] = 7095,
  [7119] = 7058,
  [7120] = 7052,
  [7121] = 7121,
  [7122] = 7122,
  [7123] = 7060,
  [7124] = 7066,
  [7125] = 7125,
  [7126] = 7066,
  [7127] = 7094,
  [7128] = 7054,
  [7129] = 7129,
  [7130] = 7085,
  [7131] = 7131,
  [7132] = 7059,
  [7133] = 7058,
  [7134] = 7054,
  [7135] = 7058,
  [7136] = 7136,
  [7137] = 7112,
  [7138] = 7138,
  [7139] = 7139,
  [7140] = 7103,
  [7141] = 7108,
  [7142] = 7057,
  [7143] = 7136,
  [7144] = 7136,
  [7145] = 7125,
  [7146] = 7054,
  [7147] = 7147,
  [7148] = 7131,
  [7149] = 7085,
  [7150] = 7103,
  [7151] = 7151,
  [7152] = 7066,
  [7153] = 7112,
  [7154] = 7138,
  [7155] = 7085,
  [7156] = 7094,
  [7157] = 7066,
  [7158] = 7062,
  [7159] = 7062,
  [7160] = 7095,
  [7161] = 7060,
  [7162] = 7085,
  [7163] = 7057,
  [7164] = 7131,
  [7165] = 7072,
  [7166] = 7086,
  [7167] = 7129,
  [7168] = 7049,
  [7169] = 7052,
  [7170] = 7108,
  [7171] = 7086,
  [7172] = 7085,
  [7173] = 7108,
  [7174] = 7062,
  [7175] = 7131,
  [7176] = 7131,
  [7177] = 7060,
  [7178] = 7059,
  [7179] = 7062,
  [7180] = 7101,
  [7181] = 7101,
  [7182] = 7113,
  [7183] = 7131,
  [7184] = 7103,
  [7185] = 7094,
  [7186] = 7062,
  [7187] = 7101,
  [7188] = 7051,
  [7189] = 7054,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7073,
  [7193] = 7138,
  [7194] = 7194,
  [7195] = 7085,
  [7196] = 7085,
  [7197] = 7101,
  [7198] = 7066,
  [7199] = 7051,
  [7200] = 7200,
  [7201] = 7201,
  [7202] = 7058,
  [7203] = 7203,
  [7204] = 7138,
  [7205] = 7205,
  [7206] = 7131,
  [7207] = 7112,
  [7208] = 7208,
  [7209] = 7085,
  [7210] = 7103,
  [7211] = 7062,
  [7212] = 7051,
  [7213] = 7213,
  [7214] = 7138,
  [7215] = 7065,
  [7216] = 7139,
  [7217] = 7059,
  [7218] = 7218,
  [7219] = 7219,
  [7220] = 7068,
  [7221] = 7221,
  [7222] = 7067,
  [7223] = 7062,
  [7224] = 7131,
  [7225] = 7225,
  [7226] = 7101,
  [7227] = 7085,
  [7228] = 7065,
  [7229] = 7094,
  [7230] = 7081,
  [7231] = 7231,
  [7232] = 7103,
  [7233] = 7108,
  [7234] = 7086,
  [7235] = 7077,
  [7236] = 7086,
  [7237] = 7237,
  [7238] = 7059,
  [7239] = 7239,
  [7240] = 7066,
  [7241] = 7101,
  [7242] = 7242,
  [7243] = 7056,
  [7244] = 7081,
  [7245] = 7125,
  [7246] = 7129,
  [7247] = 7056,
  [7248] = 7060,
  [7249] = 7086,
  [7250] = 7139,
  [7251] = 7095,
  [7252] = 7057,
  [7253] = 7086,
  [7254] = 7254,
  [7255] = 7113,
  [7256] = 7066,
  [7257] = 7086,
  [7258] = 7066,
  [7259] = 7259,
  [7260] = 7136,
  [7261] = 7261,
  [7262] = 7072,
  [7263] = 7131,
  [7264] = 7051,
  [7265] = 7077,
  [7266] = 7125,
  [7267] = 7062,
  [7268] = 7065,
  [7269] = 7092,
  [7270] = 7270,
  [7271] = 7136,
  [7272] = 7065,
  [7273] = 7091,
  [7274] = 7056,
  [7275] = 7086,
  [7276] = 7095,
  [7277] = 7049,
  [7278] = 7073,
  [7279] = 7136,
  [7280] = 7051,
  [7281] = 7065,
  [7282] = 7139,
  [7283] = 7052,
  [7284] = 7051,
  [7285] = 7254,
  [7286] = 7062,
  [7287] = 7131,
  [7288] = 7085,
  [7289] = 7081,
  [7290] = 7066,
  [7291] = 7095,
  [7292] = 7113,
  [7293] = 7059,
  [7294] = 7091,
  [7295] = 7101,
  [7296] = 7066,
  [7297] = 7085,
  [7298] = 7190,
  [7299] = 7067,
  [7300] = 7066,
  [7301] = 7059,
  [7302] = 7072,
  [7303] = 7077,
  [7304] = 7304,
  [7305] = 7125,
  [7306] = 7085,
  [7307] = 7095,
  [7308] = 7139,
  [7309] = 7138,
  [7310] = 7086,
  [7311] = 7129,
  [7312] = 7065,
  [7313] = 7092,
  [7314] = 7066,
  [7315] = 7049,
  [7316] = 7316,
  [7317] = 7317,
  [7318] = 7051,
  [7319] = 7319,
  [7320] = 7052,
  [7321] = 7254,
  [7322] = 7085,
  [7323] = 7062,
  [7324] = 7094,
  [7325] = 7081,
  [7326] = 7131,
  [7327] = 7065,
  [7328] = 7101,
  [7329] = 7054,
  [7330] = 7092,
  [7331] = 7254,
  [7332] = 7073,
  [7333] = 7051,
  [7334] = 7254,
  [7335] = 7067,
  [7336] = 7058,
  [7337] = 7051,
  [7338] = 7136,
  [7339] = 7065,
  [7340] = 7254,
  [7341] = 7085,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 7067,
  [7345] = 7108,
  [7346] = 7254,
  [7347] = 7138,
  [7348] = 7092,
  [7349] = 7254,
  [7350] = 7062,
  [7351] = 7131,
  [7352] = 7254,
  [7353] = 7101,
  [7354] = 7254,
  [7355] = 7051,
  [7356] = 7254,
  [7357] = 7067,
  [7358] = 7052,
  [7359] = 7254,
  [7360] = 7254,
  [7361] = 7049,
  [7362] = 7085,
  [7363] = 7092,
  [7364] = 7059,
  [7365] = 7125,
  [7366] = 7254,
  [7367] = 7072,
  [7368] = 7086,
  [7369] = 7086,
  [7370] = 7091,
  [7371] = 7056,
  [7372] = 7254,
  [7373] = 7254,
  [7374] = 7066,
  [7375] = 7112,
  [7376] = 7254,
  [7377] = 7067,
  [7378] = 7068,
  [7379] = 7103,
  [7380] = 7059,
  [7381] = 7068,
  [7382] = 7057,
  [7383] = 7060,
  [7384] = 7066,
  [7385] = 7056,
  [7386] = 7386,
  [7387] = 7066,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 7400,
  [7401] = 7401,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 7409,
  [7410] = 7410,
  [7411] = 7411,
  [7412] = 7403,
  [7413] = 7413,
  [7414] = 7414,
  [7415] = 7397,
  [7416] = 7416,
  [7417] = 7417,
  [7418] = 7418,
  [7419] = 7413,
  [7420] = 7407,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 7410,
  [7425] = 7398,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7406,
  [7442] = 7442,
  [7443] = 7443,
  [7444] = 7444,
  [7445] = 7410,
  [7446] = 7446,
  [7447] = 7397,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7407,
  [7451] = 7451,
  [7452] = 7452,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7435,
  [7457] = 7429,
  [7458] = 7398,
  [7459] = 7459,
  [7460] = 7431,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7429,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7404,
  [7470] = 7470,
  [7471] = 7416,
  [7472] = 7430,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7393,
  [7478] = 7394,
  [7479] = 7479,
  [7480] = 5239,
  [7481] = 7481,
  [7482] = 7431,
  [7483] = 7483,
  [7484] = 7484,
  [7485] = 7461,
  [7486] = 7408,
  [7487] = 7396,
  [7488] = 7405,
  [7489] = 7489,
  [7490] = 7430,
  [7491] = 7491,
  [7492] = 7492,
  [7493] = 7468,
  [7494] = 7401,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7476,
  [7499] = 7404,
  [7500] = 7470,
  [7501] = 7467,
  [7502] = 7473,
  [7503] = 7475,
  [7504] = 7489,
  [7505] = 7505,
  [7506] = 7483,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7491,
  [7511] = 7492,
  [7512] = 7512,
  [7513] = 7497,
  [7514] = 7514,
  [7515] = 7411,
  [7516] = 7507,
  [7517] = 7517,
  [7518] = 7427,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 7522,
  [7523] = 7416,
  [7524] = 7417,
  [7525] = 7418,
  [7526] = 7509,
  [7527] = 7519,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 7517,
  [7531] = 7531,
  [7532] = 7422,
  [7533] = 7483,
  [7534] = 7512,
  [7535] = 7466,
  [7536] = 7495,
  [7537] = 7465,
  [7538] = 7466,
  [7539] = 7539,
  [7540] = 7514,
  [7541] = 7541,
  [7542] = 7465,
  [7543] = 7528,
  [7544] = 7406,
  [7545] = 7481,
  [7546] = 7514,
  [7547] = 7451,
  [7548] = 7449,
  [7549] = 7449,
  [7550] = 7451,
  [7551] = 7514,
  [7552] = 7552,
  [7553] = 7465,
  [7554] = 7466,
  [7555] = 7531,
  [7556] = 7417,
  [7557] = 7529,
  [7558] = 7393,
  [7559] = 7416,
  [7560] = 7417,
  [7561] = 7531,
  [7562] = 7562,
  [7563] = 7396,
  [7564] = 7528,
  [7565] = 7406,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7401,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7430,
  [7574] = 7432,
  [7575] = 7517,
  [7576] = 7529,
  [7577] = 7391,
  [7578] = 7531,
  [7579] = 7528,
  [7580] = 7566,
  [7581] = 7519,
  [7582] = 7509,
  [7583] = 7583,
  [7584] = 7411,
  [7585] = 7430,
  [7586] = 7517,
  [7587] = 7492,
  [7588] = 7491,
  [7589] = 7489,
  [7590] = 7492,
  [7591] = 7418,
  [7592] = 7390,
  [7593] = 7476,
  [7594] = 7594,
  [7595] = 7404,
  [7596] = 7509,
  [7597] = 7422,
  [7598] = 7598,
  [7599] = 7552,
  [7600] = 7491,
  [7601] = 7601,
  [7602] = 7602,
  [7603] = 7603,
  [7604] = 7604,
  [7605] = 7422,
  [7606] = 7406,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7449,
  [7610] = 7497,
  [7611] = 7451,
  [7612] = 7612,
  [7613] = 7393,
  [7614] = 7614,
  [7615] = 7514,
  [7616] = 7492,
  [7617] = 7461,
  [7618] = 7618,
  [7619] = 7507,
  [7620] = 7401,
  [7621] = 7391,
  [7622] = 7622,
  [7623] = 7623,
  [7624] = 7531,
  [7625] = 7418,
  [7626] = 7626,
  [7627] = 7414,
  [7628] = 7417,
  [7629] = 7416,
  [7630] = 7630,
  [7631] = 7484,
  [7632] = 7632,
  [7633] = 7497,
  [7634] = 7411,
  [7635] = 7491,
  [7636] = 7414,
  [7637] = 6343,
  [7638] = 7405,
  [7639] = 7408,
  [7640] = 7418,
  [7641] = 7641,
  [7642] = 7479,
  [7643] = 7489,
  [7644] = 7476,
  [7645] = 7645,
  [7646] = 7422,
  [7647] = 7430,
  [7648] = 7465,
  [7649] = 7649,
  [7650] = 7475,
  [7651] = 7651,
  [7652] = 7652,
  [7653] = 7461,
  [7654] = 7390,
  [7655] = 7406,
  [7656] = 7449,
  [7657] = 7657,
  [7658] = 7449,
  [7659] = 7659,
  [7660] = 7451,
  [7661] = 7451,
  [7662] = 7393,
  [7663] = 7529,
  [7664] = 7664,
  [7665] = 7466,
  [7666] = 7666,
  [7667] = 7667,
  [7668] = 7507,
  [7669] = 7669,
  [7670] = 7670,
  [7671] = 7671,
  [7672] = 7672,
  [7673] = 7411,
  [7674] = 7674,
  [7675] = 7431,
  [7676] = 7552,
  [7677] = 7411,
  [7678] = 7678,
  [7679] = 7429,
  [7680] = 7431,
  [7681] = 7435,
  [7682] = 7429,
  [7683] = 7683,
  [7684] = 7483,
  [7685] = 7397,
  [7686] = 7422,
  [7687] = 7436,
  [7688] = 7688,
  [7689] = 7689,
  [7690] = 7403,
  [7691] = 7481,
  [7692] = 7692,
  [7693] = 7693,
  [7694] = 7567,
  [7695] = 7449,
  [7696] = 7696,
  [7697] = 7451,
  [7698] = 7403,
  [7699] = 7442,
  [7700] = 7700,
  [7701] = 7401,
  [7702] = 7413,
  [7703] = 7442,
  [7704] = 7411,
  [7705] = 7410,
  [7706] = 7407,
  [7707] = 7396,
  [7708] = 7422,
  [7709] = 7398,
  [7710] = 7410,
  [7711] = 7451,
  [7712] = 7479,
  [7713] = 7394,
  [7714] = 7393,
  [7715] = 7474,
  [7716] = 7411,
  [7717] = 7407,
  [7718] = 7398,
  [7719] = 7422,
  [7720] = 7475,
  [7721] = 7451,
  [7722] = 7489,
  [7723] = 7404,
  [7724] = 5240,
  [7725] = 7411,
  [7726] = 7422,
  [7727] = 7451,
  [7728] = 7398,
  [7729] = 7422,
  [7730] = 7451,
  [7731] = 7391,
  [7732] = 7422,
  [7733] = 7451,
  [7734] = 7422,
  [7735] = 7451,
  [7736] = 7422,
  [7737] = 7451,
  [7738] = 7422,
  [7739] = 7451,
  [7740] = 7422,
  [7741] = 7451,
  [7742] = 7422,
  [7743] = 7451,
  [7744] = 7411,
  [7745] = 7404,
  [7746] = 7390,
  [7747] = 7747,
  [7748] = 7436,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7751,
  [7752] = 7473,
  [7753] = 7467,
  [7754] = 7754,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7470,
  [7758] = 7758,
  [7759] = 7468,
  [7760] = 7404,
  [7761] = 7761,
  [7762] = 7520,
  [7763] = 7473,
  [7764] = 7467,
  [7765] = 7442,
  [7766] = 7766,
  [7767] = 7529,
  [7768] = 7470,
  [7769] = 7404,
  [7770] = 7770,
  [7771] = 7409,
  [7772] = 7772,
  [7773] = 7399,
  [7774] = 7774,
  [7775] = 7572,
  [7776] = 7442,
  [7777] = 7468,
  [7778] = 7778,
  [7779] = 7669,
  [7780] = 7671,
  [7781] = 7398,
  [7782] = 7782,
  [7783] = 7783,
  [7784] = 7427,
  [7785] = 7454,
  [7786] = 7454,
  [7787] = 7787,
  [7788] = 7495,
  [7789] = 7455,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7531,
  [7796] = 7796,
  [7797] = 7434,
  [7798] = 7433,
  [7799] = 7521,
  [7800] = 7800,
  [7801] = 7430,
  [7802] = 7428,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7806,
  [7807] = 7455,
  [7808] = 7808,
  [7809] = 7607,
  [7810] = 7442,
  [7811] = 7618,
  [7812] = 7398,
  [7813] = 7423,
  [7814] = 7814,
  [7815] = 7403,
  [7816] = 7519,
  [7817] = 7427,
  [7818] = 7622,
  [7819] = 7641,
  [7820] = 7428,
  [7821] = 7422,
  [7822] = 7433,
  [7823] = 7598,
  [7824] = 7434,
  [7825] = 7825,
  [7826] = 7826,
  [7827] = 7659,
  [7828] = 7421,
  [7829] = 7829,
  [7830] = 7572,
  [7831] = 7831,
  [7832] = 7794,
  [7833] = 7442,
  [7834] = 7398,
  [7835] = 7476,
  [7836] = 7836,
  [7837] = 7837,
  [7838] = 7838,
  [7839] = 7839,
  [7840] = 7468,
  [7841] = 7841,
  [7842] = 7842,
  [7843] = 7468,
  [7844] = 7416,
  [7845] = 7566,
  [7846] = 7846,
  [7847] = 7404,
  [7848] = 7470,
  [7849] = 7849,
  [7850] = 7850,
  [7851] = 7467,
  [7852] = 7455,
  [7853] = 7398,
  [7854] = 7398,
  [7855] = 7470,
  [7856] = 7467,
  [7857] = 7473,
  [7858] = 7454,
  [7859] = 7391,
  [7860] = 7436,
  [7861] = 7442,
  [7862] = 7862,
  [7863] = 7442,
  [7864] = 7864,
  [7865] = 7473,
  [7866] = 7866,
  [7867] = 7514,
  [7868] = 7442,
  [7869] = 7869,
  [7870] = 7436,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7873,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7876,
  [7877] = 7390,
  [7878] = 7390,
  [7879] = 7507,
  [7880] = 7880,
  [7881] = 7881,
  [7882] = 7391,
  [7883] = 7755,
  [7884] = 7884,
  [7885] = 7885,
  [7886] = 7886,
  [7887] = 7607,
  [7888] = 7442,
  [7889] = 7398,
  [7890] = 7770,
  [7891] = 7417,
  [7892] = 7418,
  [7893] = 7495,
  [7894] = 7507,
  [7895] = 7475,
  [7896] = 7896,
  [7897] = 7427,
  [7898] = 7430,
  [7899] = 7618,
  [7900] = 7778,
  [7901] = 7497,
  [7902] = 7782,
  [7903] = 7531,
  [7904] = 7904,
  [7905] = 7783,
  [7906] = 7641,
  [7907] = 7519,
  [7908] = 7442,
  [7909] = 7398,
  [7910] = 7598,
  [7911] = 7911,
  [7912] = 7912,
  [7913] = 7529,
  [7914] = 7659,
  [7915] = 7514,
  [7916] = 7916,
  [7917] = 7917,
  [7918] = 7918,
  [7919] = 7436,
  [7920] = 7442,
  [7921] = 7407,
  [7922] = 7922,
  [7923] = 7454,
  [7924] = 7755,
  [7925] = 7747,
  [7926] = 7750,
  [7927] = 7751,
  [7928] = 7754,
  [7929] = 7410,
  [7930] = 7756,
  [7931] = 7442,
  [7932] = 7404,
  [7933] = 7421,
  [7934] = 7934,
  [7935] = 7409,
  [7936] = 7398,
  [7937] = 7399,
  [7938] = 7413,
  [7939] = 7431,
  [7940] = 7531,
  [7941] = 7669,
  [7942] = 7671,
  [7943] = 7427,
  [7944] = 7476,
  [7945] = 7531,
  [7946] = 7796,
  [7947] = 7517,
  [7948] = 7770,
  [7949] = 7949,
  [7950] = 7423,
  [7951] = 7622,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7747,
  [7955] = 7750,
  [7956] = 7754,
  [7957] = 7517,
  [7958] = 7756,
  [7959] = 7405,
  [7960] = 7509,
  [7961] = 7409,
  [7962] = 7962,
  [7963] = 7399,
  [7964] = 7403,
  [7965] = 7965,
  [7966] = 7669,
  [7967] = 7671,
  [7968] = 7796,
  [7969] = 7531,
  [7970] = 7528,
  [7971] = 7971,
  [7972] = 7423,
  [7973] = 7622,
  [7974] = 7397,
  [7975] = 7747,
  [7976] = 7750,
  [7977] = 7754,
  [7978] = 7796,
  [7979] = 7756,
  [7980] = 7481,
  [7981] = 7461,
  [7982] = 7409,
  [7983] = 7399,
  [7984] = 7408,
  [7985] = 7985,
  [7986] = 7669,
  [7987] = 7671,
  [7988] = 7796,
  [7989] = 7483,
  [7990] = 7429,
  [7991] = 7991,
  [7992] = 7423,
  [7993] = 7622,
  [7994] = 7529,
  [7995] = 7747,
  [7996] = 7750,
  [7997] = 7754,
  [7998] = 7431,
  [7999] = 7756,
  [8000] = 7778,
  [8001] = 7790,
  [8002] = 7399,
  [8003] = 7492,
  [8004] = 7491,
  [8005] = 7669,
  [8006] = 7671,
  [8007] = 7796,
  [8008] = 7782,
  [8009] = 7489,
  [8010] = 7803,
  [8011] = 7423,
  [8012] = 7622,
  [8013] = 7783,
  [8014] = 7747,
  [8015] = 7454,
  [8016] = 7756,
  [8017] = 7476,
  [8018] = 7430,
  [8019] = 7790,
  [8020] = 7509,
  [8021] = 7669,
  [8022] = 7671,
  [8023] = 7803,
  [8024] = 7479,
  [8025] = 7455,
  [8026] = 7423,
  [8027] = 8027,
  [8028] = 7747,
  [8029] = 7756,
  [8030] = 8030,
  [8031] = 7671,
  [8032] = 8032,
  [8033] = 7484,
  [8034] = 7423,
  [8035] = 7461,
  [8036] = 7747,
  [8037] = 7756,
  [8038] = 8038,
  [8039] = 7671,
  [8040] = 8040,
  [8041] = 7423,
  [8042] = 7747,
  [8043] = 7756,
  [8044] = 7671,
  [8045] = 7423,
  [8046] = 7671,
  [8047] = 7423,
  [8048] = 7671,
  [8049] = 7423,
  [8050] = 7671,
  [8051] = 7423,
  [8052] = 7671,
  [8053] = 7423,
  [8054] = 7671,
  [8055] = 7423,
  [8056] = 7671,
  [8057] = 7423,
  [8058] = 7671,
  [8059] = 7423,
  [8060] = 8060,
  [8061] = 7430,
  [8062] = 7751,
  [8063] = 8063,
  [8064] = 8064,
  [8065] = 8065,
  [8066] = 8066,
  [8067] = 7455,
  [8068] = 8068,
  [8069] = 7476,
  [8070] = 8070,
  [8071] = 8071,
  [8072] = 8072,
  [8073] = 7442,
  [8074] = 8074,
  [8075] = 7390,
  [8076] = 7398,
  [8077] = 7398,
  [8078] = 7410,
  [8079] = 7794,
  [8080] = 7825,
  [8081] = 7431,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 7476,
  [8085] = 8085,
  [8086] = 7489,
  [8087] = 7491,
  [8088] = 7401,
  [8089] = 7431,
  [8090] = 7492,
  [8091] = 8091,
  [8092] = 8092,
  [8093] = 7429,
  [8094] = 7517,
  [8095] = 8064,
  [8096] = 8063,
  [8097] = 7531,
  [8098] = 7514,
  [8099] = 7529,
  [8100] = 8100,
  [8101] = 7410,
  [8102] = 7408,
  [8103] = 7404,
  [8104] = 7756,
  [8105] = 7519,
  [8106] = 7407,
  [8107] = 7520,
  [8108] = 7483,
  [8109] = 7657,
  [8110] = 7430,
  [8111] = 7473,
  [8112] = 7405,
  [8113] = 8113,
  [8114] = 8114,
  [8115] = 7754,
  [8116] = 7396,
  [8117] = 7434,
  [8118] = 7433,
  [8119] = 7751,
  [8120] = 7467,
  [8121] = 7428,
  [8122] = 7470,
  [8123] = 7390,
  [8124] = 1614,
  [8125] = 7436,
  [8126] = 7509,
  [8127] = 7442,
  [8128] = 7517,
  [8129] = 7454,
  [8130] = 7750,
  [8131] = 1610,
  [8132] = 7455,
  [8133] = 7528,
  [8134] = 7481,
  [8135] = 7749,
  [8136] = 5237,
  [8137] = 7531,
  [8138] = 7497,
  [8139] = 7430,
  [8140] = 7475,
  [8141] = 7747,
  [8142] = 7751,
  [8143] = 8063,
  [8144] = 8064,
  [8145] = 7474,
  [8146] = 7473,
  [8147] = 7467,
  [8148] = 7794,
  [8149] = 7825,
  [8150] = 7514,
  [8151] = 7484,
  [8152] = 7630,
  [8153] = 7751,
  [8154] = 8063,
  [8155] = 8064,
  [8156] = 7470,
  [8157] = 7465,
  [8158] = 7794,
  [8159] = 7825,
  [8160] = 7466,
  [8161] = 7442,
  [8162] = 7390,
  [8163] = 8063,
  [8164] = 8064,
  [8165] = 7404,
  [8166] = 7398,
  [8167] = 7794,
  [8168] = 7825,
  [8169] = 7410,
  [8170] = 7529,
  [8171] = 8063,
  [8172] = 8064,
  [8173] = 7431,
  [8174] = 7461,
  [8175] = 7794,
  [8176] = 7825,
  [8177] = 7521,
  [8178] = 7430,
  [8179] = 8063,
  [8180] = 8064,
  [8181] = 7476,
  [8182] = 7794,
  [8183] = 7825,
  [8184] = 7428,
  [8185] = 7517,
  [8186] = 7794,
  [8187] = 7825,
  [8188] = 7519,
  [8189] = 7531,
  [8190] = 7825,
  [8191] = 7514,
  [8192] = 7825,
  [8193] = 7433,
  [8194] = 7825,
  [8195] = 7434,
  [8196] = 7825,
  [8197] = 5236,
  [8198] = 7825,
  [8199] = 7529,
  [8200] = 7825,
  [8201] = 7421,
  [8202] = 7825,
  [8203] = 8203,
  [8204] = 7825,
  [8205] = 7521,
  [8206] = 7825,
  [8207] = 8114,
  [8208] = 7670,
  [8209] = 7427,
  [8210] = 8114,
  [8211] = 7670,
  [8212] = 7468,
  [8213] = 8114,
  [8214] = 7670,
  [8215] = 7473,
  [8216] = 8114,
  [8217] = 7670,
  [8218] = 7517,
  [8219] = 8114,
  [8220] = 7670,
  [8221] = 7467,
  [8222] = 7670,
  [8223] = 7670,
  [8224] = 7670,
  [8225] = 7670,
  [8226] = 7670,
  [8227] = 7670,
  [8228] = 7670,
  [8229] = 7670,
  [8230] = 7670,
  [8231] = 7670,
  [8232] = 7670,
  [8233] = 7470,
  [8234] = 7404,
  [8235] = 7394,
  [8236] = 7507,
  [8237] = 7393,
  [8238] = 8113,
  [8239] = 8113,
  [8240] = 8113,
  [8241] = 8113,
  [8242] = 8113,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 340,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(188);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(188);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(97);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(101);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(101);
      if (lookahead == '\r') SKIP(99);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '\n', 345,
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 415,
        '-', 405,
        '/', 424,
        '<', 450,
        '=', 271,
        '>', 441,
      );
      if (lookahead == '\\') SKIP(100);
      if (lookahead == '^') ADVANCE(433);
      if (lookahead == '|') ADVANCE(432);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0) ADVANCE(527);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      if (lookahead == 'x') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(340);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(516);
      if (lookahead == '\\') ADVANCE(515);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(517);
      if (lookahead != 0) ADVANCE(514);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(178);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(178);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 160:
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 407,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 119,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 408,
        '.', 487,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 145,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 14,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 407,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 18,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 408,
        '.', 487,
        '/', 424,
        '0', 495,
        ':', 268,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 121,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 432,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 403,
        '"', 235,
        '%', 427,
        '&', 437,
        '(', 250,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '[', 280,
        '\\', 26,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 403,
        '"', 235,
        '%', 427,
        '&', 437,
        '(', 250,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '[', 281,
        '\\', 80,
        '^', 434,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 283,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '<', 269,
        '>', 272,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 6,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 430,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 287,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 489,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 4,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 306,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 291,
        '&', 435,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        '-', 409,
        '.', 258,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '>', 440,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 10,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 285,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '>', 274,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 8,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 12,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 16,
        ']', 465,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 637,
        ':', 268,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 32,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 402,
        '\'', 513,
        '(', 401,
        ')', 343,
        '+', 420,
        '-', 413,
        '.', 312,
        '/', 252,
        '0', 495,
        'L', 554,
        'U', 555,
        '\\', 98,
        'u', 556,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 44,
        ']', 465,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 123,
        ']', 465,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 123,
        ']', 465,
        '^', 434,
        'u', 650,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 74,
        ']', 465,
        '^', 433,
        'u', 544,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 74,
        ']', 465,
        '^', 433,
        'u', 650,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 30,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 38,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 60,
        '^', 434,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 60,
        '^', 434,
        'u', 650,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 28,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 40,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 62,
        '^', 434,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 62,
        '^', 434,
        'u', 650,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 133,
        '^', 433,
        'u', 544,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 133,
        '^', 433,
        'u', 650,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 270,
        '#', 303,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 36,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 270,
        '#', 288,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 415,
        ',', 342,
        '-', 405,
        '/', 424,
        ':', 268,
        ';', 455,
        '<', 450,
        '=', 271,
        '>', 441,
        '[', 462,
        '\\', 22,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '0', 636,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 34,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 46,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 157,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 127,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 125,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 137,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 137,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 464,
        '\\', 68,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 56,
        ']', 465,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 50,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 147,
        ']', 465,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 149,
        ']', 465,
        '^', 433,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 149,
        ']', 465,
        '^', 433,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 48,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 470,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 129,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 463,
        '\\', 88,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 72,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 155,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 155,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 464,
        '\\', 143,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 52,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 139,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 463,
        '\\', 84,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 462,
        '\\', 78,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 135,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 153,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 153,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 464,
        '\\', 141,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '*', 423,
        '+', 421,
        ',', 342,
        '-', 414,
        '.', 251,
        '/', 425,
        '<', 448,
        '=', 467,
        '>', 442,
        '\\', 92,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 467,
        '>', 441,
        '?', 472,
        '[', 462,
        '\\', 42,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 54,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 268,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 131,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 151,
        '^', 433,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 70,
        '^', 433,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 66,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 159,
        '^', 433,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 159,
        '^', 433,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '"', 522,
        '&', 436,
        '(', 401,
        '*', 422,
        '/', 252,
        ':', 268,
        'L', 538,
        'U', 542,
        '[', 462,
        '\\', 76,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 545,
        'v', 605,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '"', 522,
        ')', 343,
        ',', 342,
        '/', 252,
        ':', 470,
        'L', 537,
        'R', 539,
        'U', 541,
        '\\', 103,
        'u', 544,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 233:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(538);
      if (lookahead == 'U') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(546);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      END_STATE();
    case 235:
      if (lookahead == '"') ADVANCE(646);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 292,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 58,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 284,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 415,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 20,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 286,
        '&', 436,
        '(', 401,
        '*', 422,
        ',', 342,
        '/', 252,
        ':', 268,
        ';', 455,
        '[', 462,
        '\\', 24,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 64,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 86,
        '{', 459,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '.', 257,
        '/', 252,
        ':', 470,
        ';', 455,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 94,
        '{', 459,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 82,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '/', 252,
        ';', 455,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 90,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 244:
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 246:
      if (lookahead == '\'') ADVANCE(313);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '(', 401,
        ')', 343,
        ',', 342,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 463,
        '\\', 105,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '(', 401,
        '/', 252,
        ':', 268,
        'F', 562,
        'T', 566,
        '[', 461,
        '\\', 96,
        'f', 572,
        't', 613,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 249:
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == ')') ADVANCE(644);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(490);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(643);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 258:
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 259:
      if (lookahead == '.') ADVANCE(341);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 261:
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 262:
      if (lookahead == '1') ADVANCE(266);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(493);
      END_STATE();
    case 264:
      if (lookahead == '2') ADVANCE(267);
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 265:
      if (lookahead == '4') ADVANCE(493);
      END_STATE();
    case 266:
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 267:
      if (lookahead == '8') ADVANCE(493);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(456);
      END_STATE();
    case 269:
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(273);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(533);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 278:
      if (lookahead == 'F') ADVANCE(262);
      END_STATE();
    case 279:
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 280:
      if (lookahead == '[') ADVANCE(457);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 281:
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 282:
      if (lookahead == ']') ADVANCE(458);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(292);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(262);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(352);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(354);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(356);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(298);
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 303:
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 306:
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 307:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 308:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 309:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(497);
      END_STATE();
    case 310:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(625);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(528);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(368);
      END_STATE();
    case 334:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 335:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 287,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 489,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 4,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 306,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(345);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(381);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '\r') ADVANCE(627);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') ADVANCE(362);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(369);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(367);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(368);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(368);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == 's') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(393);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(492);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(482);
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(429);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(429);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(483);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(457);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(457);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(456);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(643);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 312,
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        'L', 503,
        'l', 506,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '0', 497,
        '1', 497,
      );
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 311,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'B') ADVANCE(278);
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 316,
        '.', 308,
        'L', 503,
        'l', 506,
        'P', 307,
        'p', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(264);
      if (lookahead == '3') ADVANCE(263);
      if (lookahead == '6') ADVANCE(265);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(493);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(507);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(493);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      if (lookahead == 'x') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(525);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(530);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(549);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(550);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(535);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(594);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(610);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'b') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(534);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'g') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'h') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(624);
      if (lookahead == 's') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(578);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 's') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(558);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'z') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(633);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_0);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_0);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(653);
      if (lookahead == 'R') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(655);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'a') ADVANCE(415);
      if (lookahead == 'o') ADVANCE(416);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(417);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(418);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(419);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(420);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(421);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(423);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(424);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(426);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(427);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(428);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(429);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(430);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(431);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(433);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(434);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(435);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(436);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(437);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(438);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(440);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(441);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(442);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(443);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(444);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(445);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(446);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(447);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(448);
      if (lookahead == 'x') ADVANCE(449);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(451);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(452);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(454);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(455);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(458);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(463);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(465);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(467);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(468);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(471);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(472);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(473);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(476);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 's') ADVANCE(477);
      END_STATE();
    case 416:
      if (lookahead == 'f') ADVANCE(478);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 418:
      if (lookahead == 'c') ADVANCE(479);
      END_STATE();
    case 419:
      if (lookahead == 'r') ADVANCE(480);
      END_STATE();
    case 420:
      if (lookahead == 'o') ADVANCE(481);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 422:
      if (lookahead == 'b') ADVANCE(482);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 425:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 426:
      if (lookahead == 'p') ADVANCE(484);
      END_STATE();
    case 427:
      if (lookahead == 't') ADVANCE(485);
      END_STATE();
    case 428:
      if (lookahead == 's') ADVANCE(486);
      END_STATE();
    case 429:
      if (lookahead == 'a') ADVANCE(487);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(488);
      END_STATE();
    case 431:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 432:
      if (lookahead == 'e') ADVANCE(490);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 434:
      if (lookahead == 'i') ADVANCE(491);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 436:
      if (lookahead == 'a') ADVANCE(493);
      END_STATE();
    case 437:
      if (lookahead == 'd') ADVANCE(494);
      END_STATE();
    case 438:
      if (lookahead == 'g') ADVANCE(495);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(496);
      END_STATE();
    case 440:
      if (lookahead == 'f') ADVANCE(497);
      END_STATE();
    case 441:
      if (lookahead == 'n') ADVANCE(498);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 444:
      if (lookahead == 't') ADVANCE(499);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(500);
      END_STATE();
    case 446:
      if (lookahead == 'd') ADVANCE(501);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 449:
      if (lookahead == 'p') ADVANCE(503);
      END_STATE();
    case 450:
      if (lookahead == 'i') ADVANCE(504);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(505);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(506);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 455:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 457:
      if (lookahead == 'c') ADVANCE(508);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(509);
      END_STATE();
    case 459:
      if (lookahead == 'n') ADVANCE(510);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 461:
      if (lookahead == 'f') ADVANCE(511);
      END_STATE();
    case 462:
      if (lookahead == 'r') ADVANCE(512);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(513);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 465:
      if (lookahead == 'e') ADVANCE(514);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(515);
      END_STATE();
    case 467:
      if (lookahead == 's') ADVANCE(516);
      END_STATE();
    case 468:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(518);
      END_STATE();
    case 470:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 471:
      if (lookahead == 'l') ADVANCE(520);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 474:
      if (lookahead == 'd') ADVANCE(522);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_virtual);
      END_STATE();
    case 476:
      if (lookahead == 'e') ADVANCE(523);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'f') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'u') ADVANCE(526);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(527);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 486:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(530);
      END_STATE();
    case 488:
      if (lookahead == 'y') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'n') ADVANCE(532);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'c') ADVANCE(534);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(535);
      END_STATE();
    case 493:
      if (lookahead == 'l') ADVANCE(536);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 495:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 496:
      if (lookahead == 'c') ADVANCE(538);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 498:
      if (lookahead == 'e') ADVANCE(539);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 500:
      if (lookahead == 'n') ADVANCE(540);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 502:
      if (lookahead == 'l') ADVANCE(541);
      END_STATE();
    case 503:
      if (lookahead == 'r') ADVANCE(542);
      END_STATE();
    case 504:
      if (lookahead == 't') ADVANCE(543);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 508:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 514:
      if (lookahead == 'd') ADVANCE(545);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 518:
      if (lookahead == 's') ADVANCE(546);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 520:
      if (lookahead == 'o') ADVANCE(547);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(548);
      END_STATE();
    case 526:
      if (lookahead == 't') ADVANCE(549);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 528:
      if (lookahead == 'c') ADVANCE(550);
      END_STATE();
    case 529:
      if (lookahead == 'o') ADVANCE(551);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 532:
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 533:
      if (lookahead == '_') ADVANCE(554);
      END_STATE();
    case 534:
      if (lookahead == 't') ADVANCE(555);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 536:
      if (lookahead == 'l') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 538:
      if (lookahead == 'a') ADVANCE(558);
      END_STATE();
    case 539:
      if (lookahead == 'd') ADVANCE(559);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 546:
      if (lookahead == 's') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 548:
      if (lookahead == '_') ADVANCE(562);
      END_STATE();
    case 549:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 551:
      if (lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 553:
      if (lookahead == 'i') ADVANCE(565);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(566);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 557:
      if (lookahead == 'd') ADVANCE(567);
      END_STATE();
    case 558:
      if (lookahead == 'l') ADVANCE(568);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 560:
      if (lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(570);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 563:
      if (lookahead == '_') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      if (lookahead == 'n') ADVANCE(573);
      END_STATE();
    case 566:
      if (lookahead == '_') ADVANCE(574);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == 'r') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == 'l') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == '_') ADVANCE(578);
      END_STATE();
    case 572:
      if (lookahead == '_') ADVANCE(579);
      END_STATE();
    case 573:
      if (lookahead == 'e') ADVANCE(580);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 576:
      if (lookahead == 't') ADVANCE(581);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 335},
  [2] = {.lex_state = 335},
  [3] = {.lex_state = 335},
  [4] = {.lex_state = 335},
  [5] = {.lex_state = 335},
  [6] = {.lex_state = 335},
  [7] = {.lex_state = 335},
  [8] = {.lex_state = 335},
  [9] = {.lex_state = 335},
  [10] = {.lex_state = 335},
  [11] = {.lex_state = 335},
  [12] = {.lex_state = 335},
  [13] = {.lex_state = 169},
  [14] = {.lex_state = 169},
  [15] = {.lex_state = 169},
  [16] = {.lex_state = 169},
  [17] = {.lex_state = 169},
  [18] = {.lex_state = 169},
  [19] = {.lex_state = 169},
  [20] = {.lex_state = 169},
  [21] = {.lex_state = 169},
  [22] = {.lex_state = 169},
  [23] = {.lex_state = 169},
  [24] = {.lex_state = 169},
  [25] = {.lex_state = 169},
  [26] = {.lex_state = 169},
  [27] = {.lex_state = 169},
  [28] = {.lex_state = 169},
  [29] = {.lex_state = 169},
  [30] = {.lex_state = 169},
  [31] = {.lex_state = 169},
  [32] = {.lex_state = 169},
  [33] = {.lex_state = 169},
  [34] = {.lex_state = 335},
  [35] = {.lex_state = 335},
  [36] = {.lex_state = 335},
  [37] = {.lex_state = 335},
  [38] = {.lex_state = 335},
  [39] = {.lex_state = 335},
  [40] = {.lex_state = 172},
  [41] = {.lex_state = 335},
  [42] = {.lex_state = 172},
  [43] = {.lex_state = 335},
  [44] = {.lex_state = 335},
  [45] = {.lex_state = 335},
  [46] = {.lex_state = 335},
  [47] = {.lex_state = 335},
  [48] = {.lex_state = 335},
  [49] = {.lex_state = 335},
  [50] = {.lex_state = 335},
  [51] = {.lex_state = 335},
  [52] = {.lex_state = 335},
  [53] = {.lex_state = 335},
  [54] = {.lex_state = 335},
  [55] = {.lex_state = 335},
  [56] = {.lex_state = 172},
  [57] = {.lex_state = 335},
  [58] = {.lex_state = 335},
  [59] = {.lex_state = 335},
  [60] = {.lex_state = 335},
  [61] = {.lex_state = 335},
  [62] = {.lex_state = 335},
  [63] = {.lex_state = 335},
  [64] = {.lex_state = 335},
  [65] = {.lex_state = 335},
  [66] = {.lex_state = 335},
  [67] = {.lex_state = 335},
  [68] = {.lex_state = 335},
  [69] = {.lex_state = 335},
  [70] = {.lex_state = 335},
  [71] = {.lex_state = 335},
  [72] = {.lex_state = 335},
  [73] = {.lex_state = 335},
  [74] = {.lex_state = 335},
  [75] = {.lex_state = 335},
  [76] = {.lex_state = 335},
  [77] = {.lex_state = 335},
  [78] = {.lex_state = 335},
  [79] = {.lex_state = 335},
  [80] = {.lex_state = 335},
  [81] = {.lex_state = 335},
  [82] = {.lex_state = 169},
  [83] = {.lex_state = 169},
  [84] = {.lex_state = 169},
  [85] = {.lex_state = 169},
  [86] = {.lex_state = 169},
  [87] = {.lex_state = 172},
  [88] = {.lex_state = 335},
  [89] = {.lex_state = 335},
  [90] = {.lex_state = 172},
  [91] = {.lex_state = 335},
  [92] = {.lex_state = 335},
  [93] = {.lex_state = 172},
  [94] = {.lex_state = 335},
  [95] = {.lex_state = 335},
  [96] = {.lex_state = 172},
  [97] = {.lex_state = 172},
  [98] = {.lex_state = 335},
  [99] = {.lex_state = 335},
  [100] = {.lex_state = 335},
  [101] = {.lex_state = 335},
  [102] = {.lex_state = 171},
  [103] = {.lex_state = 171},
  [104] = {.lex_state = 171},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 171},
  [107] = {.lex_state = 171},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 171},
  [110] = {.lex_state = 171},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 171},
  [113] = {.lex_state = 171},
  [114] = {.lex_state = 173},
  [115] = {.lex_state = 173},
  [116] = {.lex_state = 173},
  [117] = {.lex_state = 171},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 171},
  [121] = {.lex_state = 171},
  [122] = {.lex_state = 171},
  [123] = {.lex_state = 171},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 335},
  [126] = {.lex_state = 335},
  [127] = {.lex_state = 162},
  [128] = {.lex_state = 162},
  [129] = {.lex_state = 171},
  [130] = {.lex_state = 171},
  [131] = {.lex_state = 171},
  [132] = {.lex_state = 171},
  [133] = {.lex_state = 171},
  [134] = {.lex_state = 171},
  [135] = {.lex_state = 171},
  [136] = {.lex_state = 171},
  [137] = {.lex_state = 171},
  [138] = {.lex_state = 171},
  [139] = {.lex_state = 171},
  [140] = {.lex_state = 171},
  [141] = {.lex_state = 171},
  [142] = {.lex_state = 171},
  [143] = {.lex_state = 164},
  [144] = {.lex_state = 171},
  [145] = {.lex_state = 171},
  [146] = {.lex_state = 171},
  [147] = {.lex_state = 171},
  [148] = {.lex_state = 171},
  [149] = {.lex_state = 171},
  [150] = {.lex_state = 171},
  [151] = {.lex_state = 171},
  [152] = {.lex_state = 171},
  [153] = {.lex_state = 171},
  [154] = {.lex_state = 171},
  [155] = {.lex_state = 171},
  [156] = {.lex_state = 171},
  [157] = {.lex_state = 171},
  [158] = {.lex_state = 171},
  [159] = {.lex_state = 171},
  [160] = {.lex_state = 171},
  [161] = {.lex_state = 171},
  [162] = {.lex_state = 171},
  [163] = {.lex_state = 171},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 171},
  [167] = {.lex_state = 171},
  [168] = {.lex_state = 171},
  [169] = {.lex_state = 171},
  [170] = {.lex_state = 171},
  [171] = {.lex_state = 171},
  [172] = {.lex_state = 171},
  [173] = {.lex_state = 171},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 171},
  [176] = {.lex_state = 171},
  [177] = {.lex_state = 171},
  [178] = {.lex_state = 171},
  [179] = {.lex_state = 171},
  [180] = {.lex_state = 171},
  [181] = {.lex_state = 162},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 171},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 171},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 171},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 174},
  [192] = {.lex_state = 174},
  [193] = {.lex_state = 174},
  [194] = {.lex_state = 174},
  [195] = {.lex_state = 174},
  [196] = {.lex_state = 169},
  [197] = {.lex_state = 174},
  [198] = {.lex_state = 165},
  [199] = {.lex_state = 174},
  [200] = {.lex_state = 162},
  [201] = {.lex_state = 174},
  [202] = {.lex_state = 174},
  [203] = {.lex_state = 174},
  [204] = {.lex_state = 174},
  [205] = {.lex_state = 174},
  [206] = {.lex_state = 174},
  [207] = {.lex_state = 174},
  [208] = {.lex_state = 174},
  [209] = {.lex_state = 169},
  [210] = {.lex_state = 174},
  [211] = {.lex_state = 174},
  [212] = {.lex_state = 174},
  [213] = {.lex_state = 174},
  [214] = {.lex_state = 174},
  [215] = {.lex_state = 174},
  [216] = {.lex_state = 174},
  [217] = {.lex_state = 174},
  [218] = {.lex_state = 174},
  [219] = {.lex_state = 174},
  [220] = {.lex_state = 174},
  [221] = {.lex_state = 169},
  [222] = {.lex_state = 169},
  [223] = {.lex_state = 169},
  [224] = {.lex_state = 169},
  [225] = {.lex_state = 164},
  [226] = {.lex_state = 169},
  [227] = {.lex_state = 169},
  [228] = {.lex_state = 169},
  [229] = {.lex_state = 169},
  [230] = {.lex_state = 169},
  [231] = {.lex_state = 169},
  [232] = {.lex_state = 169},
  [233] = {.lex_state = 169},
  [234] = {.lex_state = 169},
  [235] = {.lex_state = 169},
  [236] = {.lex_state = 169},
  [237] = {.lex_state = 169},
  [238] = {.lex_state = 169},
  [239] = {.lex_state = 169},
  [240] = {.lex_state = 169},
  [241] = {.lex_state = 169},
  [242] = {.lex_state = 169},
  [243] = {.lex_state = 169},
  [244] = {.lex_state = 169},
  [245] = {.lex_state = 169},
  [246] = {.lex_state = 169},
  [247] = {.lex_state = 169},
  [248] = {.lex_state = 169},
  [249] = {.lex_state = 169},
  [250] = {.lex_state = 169},
  [251] = {.lex_state = 169},
  [252] = {.lex_state = 169},
  [253] = {.lex_state = 169},
  [254] = {.lex_state = 169},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 169},
  [257] = {.lex_state = 169},
  [258] = {.lex_state = 169},
  [259] = {.lex_state = 169},
  [260] = {.lex_state = 169},
  [261] = {.lex_state = 169},
  [262] = {.lex_state = 169},
  [263] = {.lex_state = 169},
  [264] = {.lex_state = 169},
  [265] = {.lex_state = 169},
  [266] = {.lex_state = 169},
  [267] = {.lex_state = 169},
  [268] = {.lex_state = 169},
  [269] = {.lex_state = 169},
  [270] = {.lex_state = 169},
  [271] = {.lex_state = 169},
  [272] = {.lex_state = 169},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 169},
  [275] = {.lex_state = 174},
  [276] = {.lex_state = 169},
  [277] = {.lex_state = 169},
  [278] = {.lex_state = 169},
  [279] = {.lex_state = 174},
  [280] = {.lex_state = 169},
  [281] = {.lex_state = 169},
  [282] = {.lex_state = 169},
  [283] = {.lex_state = 335},
  [284] = {.lex_state = 335},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 335},
  [287] = {.lex_state = 169},
  [288] = {.lex_state = 174},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 169},
  [291] = {.lex_state = 169},
  [292] = {.lex_state = 169},
  [293] = {.lex_state = 174},
  [294] = {.lex_state = 169},
  [295] = {.lex_state = 169},
  [296] = {.lex_state = 169},
  [297] = {.lex_state = 169},
  [298] = {.lex_state = 169},
  [299] = {.lex_state = 174},
  [300] = {.lex_state = 169},
  [301] = {.lex_state = 169},
  [302] = {.lex_state = 172},
  [303] = {.lex_state = 169},
  [304] = {.lex_state = 169},
  [305] = {.lex_state = 169},
  [306] = {.lex_state = 169},
  [307] = {.lex_state = 174},
  [308] = {.lex_state = 169},
  [309] = {.lex_state = 169},
  [310] = {.lex_state = 169},
  [311] = {.lex_state = 169},
  [312] = {.lex_state = 174},
  [313] = {.lex_state = 169},
  [314] = {.lex_state = 174},
  [315] = {.lex_state = 169},
  [316] = {.lex_state = 169},
  [317] = {.lex_state = 169},
  [318] = {.lex_state = 169},
  [319] = {.lex_state = 174},
  [320] = {.lex_state = 169},
  [321] = {.lex_state = 174},
  [322] = {.lex_state = 169},
  [323] = {.lex_state = 169},
  [324] = {.lex_state = 172},
  [325] = {.lex_state = 169},
  [326] = {.lex_state = 169},
  [327] = {.lex_state = 169},
  [328] = {.lex_state = 169},
  [329] = {.lex_state = 169},
  [330] = {.lex_state = 169},
  [331] = {.lex_state = 169},
  [332] = {.lex_state = 169},
  [333] = {.lex_state = 169},
  [334] = {.lex_state = 174},
  [335] = {.lex_state = 169},
  [336] = {.lex_state = 169},
  [337] = {.lex_state = 169},
  [338] = {.lex_state = 169},
  [339] = {.lex_state = 174},
  [340] = {.lex_state = 169},
  [341] = {.lex_state = 335},
  [342] = {.lex_state = 169},
  [343] = {.lex_state = 174},
  [344] = {.lex_state = 169},
  [345] = {.lex_state = 169},
  [346] = {.lex_state = 169},
  [347] = {.lex_state = 169},
  [348] = {.lex_state = 174},
  [349] = {.lex_state = 169},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 169},
  [352] = {.lex_state = 174},
  [353] = {.lex_state = 169},
  [354] = {.lex_state = 169},
  [355] = {.lex_state = 174},
  [356] = {.lex_state = 169},
  [357] = {.lex_state = 169},
  [358] = {.lex_state = 169},
  [359] = {.lex_state = 174},
  [360] = {.lex_state = 237},
  [361] = {.lex_state = 237},
  [362] = {.lex_state = 173},
  [363] = {.lex_state = 237},
  [364] = {.lex_state = 237},
  [365] = {.lex_state = 237},
  [366] = {.lex_state = 237},
  [367] = {.lex_state = 237},
  [368] = {.lex_state = 237},
  [369] = {.lex_state = 237},
  [370] = {.lex_state = 237},
  [371] = {.lex_state = 237},
  [372] = {.lex_state = 237},
  [373] = {.lex_state = 237},
  [374] = {.lex_state = 237},
  [375] = {.lex_state = 237},
  [376] = {.lex_state = 174},
  [377] = {.lex_state = 172},
  [378] = {.lex_state = 171},
  [379] = {.lex_state = 237},
  [380] = {.lex_state = 171},
  [381] = {.lex_state = 335},
  [382] = {.lex_state = 172},
  [383] = {.lex_state = 171},
  [384] = {.lex_state = 335},
  [385] = {.lex_state = 173},
  [386] = {.lex_state = 335},
  [387] = {.lex_state = 172},
  [388] = {.lex_state = 335},
  [389] = {.lex_state = 335},
  [390] = {.lex_state = 174},
  [391] = {.lex_state = 172},
  [392] = {.lex_state = 174},
  [393] = {.lex_state = 174},
  [394] = {.lex_state = 172},
  [395] = {.lex_state = 335},
  [396] = {.lex_state = 172},
  [397] = {.lex_state = 172},
  [398] = {.lex_state = 335},
  [399] = {.lex_state = 335},
  [400] = {.lex_state = 174},
  [401] = {.lex_state = 174},
  [402] = {.lex_state = 335},
  [403] = {.lex_state = 174},
  [404] = {.lex_state = 335},
  [405] = {.lex_state = 335},
  [406] = {.lex_state = 172},
  [407] = {.lex_state = 335},
  [408] = {.lex_state = 172},
  [409] = {.lex_state = 335},
  [410] = {.lex_state = 335},
  [411] = {.lex_state = 172},
  [412] = {.lex_state = 172},
  [413] = {.lex_state = 172},
  [414] = {.lex_state = 335},
  [415] = {.lex_state = 172},
  [416] = {.lex_state = 172},
  [417] = {.lex_state = 172},
  [418] = {.lex_state = 335},
  [419] = {.lex_state = 172},
  [420] = {.lex_state = 172},
  [421] = {.lex_state = 335},
  [422] = {.lex_state = 335},
  [423] = {.lex_state = 335},
  [424] = {.lex_state = 335},
  [425] = {.lex_state = 335},
  [426] = {.lex_state = 335},
  [427] = {.lex_state = 335},
  [428] = {.lex_state = 172},
  [429] = {.lex_state = 172},
  [430] = {.lex_state = 172},
  [431] = {.lex_state = 335},
  [432] = {.lex_state = 335},
  [433] = {.lex_state = 335},
  [434] = {.lex_state = 335},
  [435] = {.lex_state = 335},
  [436] = {.lex_state = 335},
  [437] = {.lex_state = 335},
  [438] = {.lex_state = 172},
  [439] = {.lex_state = 335},
  [440] = {.lex_state = 335},
  [441] = {.lex_state = 172},
  [442] = {.lex_state = 172},
  [443] = {.lex_state = 335},
  [444] = {.lex_state = 335},
  [445] = {.lex_state = 335},
  [446] = {.lex_state = 335},
  [447] = {.lex_state = 335},
  [448] = {.lex_state = 335},
  [449] = {.lex_state = 172},
  [450] = {.lex_state = 172},
  [451] = {.lex_state = 335},
  [452] = {.lex_state = 335},
  [453] = {.lex_state = 335},
  [454] = {.lex_state = 335},
  [455] = {.lex_state = 172},
  [456] = {.lex_state = 335},
  [457] = {.lex_state = 172},
  [458] = {.lex_state = 172},
  [459] = {.lex_state = 335},
  [460] = {.lex_state = 335},
  [461] = {.lex_state = 335},
  [462] = {.lex_state = 335},
  [463] = {.lex_state = 172},
  [464] = {.lex_state = 335},
  [465] = {.lex_state = 172},
  [466] = {.lex_state = 172},
  [467] = {.lex_state = 172},
  [468] = {.lex_state = 335},
  [469] = {.lex_state = 335},
  [470] = {.lex_state = 172},
  [471] = {.lex_state = 335},
  [472] = {.lex_state = 335},
  [473] = {.lex_state = 335},
  [474] = {.lex_state = 335},
  [475] = {.lex_state = 335},
  [476] = {.lex_state = 335},
  [477] = {.lex_state = 172},
  [478] = {.lex_state = 172},
  [479] = {.lex_state = 335},
  [480] = {.lex_state = 172},
  [481] = {.lex_state = 172},
  [482] = {.lex_state = 335},
  [483] = {.lex_state = 335},
  [484] = {.lex_state = 335},
  [485] = {.lex_state = 335},
  [486] = {.lex_state = 335},
  [487] = {.lex_state = 335},
  [488] = {.lex_state = 172},
  [489] = {.lex_state = 335},
  [490] = {.lex_state = 335},
  [491] = {.lex_state = 172},
  [492] = {.lex_state = 172},
  [493] = {.lex_state = 335},
  [494] = {.lex_state = 172},
  [495] = {.lex_state = 172},
  [496] = {.lex_state = 335},
  [497] = {.lex_state = 335},
  [498] = {.lex_state = 335},
  [499] = {.lex_state = 335},
  [500] = {.lex_state = 172},
  [501] = {.lex_state = 335},
  [502] = {.lex_state = 335},
  [503] = {.lex_state = 335},
  [504] = {.lex_state = 335},
  [505] = {.lex_state = 335},
  [506] = {.lex_state = 335},
  [507] = {.lex_state = 335},
  [508] = {.lex_state = 335},
  [509] = {.lex_state = 335},
  [510] = {.lex_state = 335},
  [511] = {.lex_state = 335},
  [512] = {.lex_state = 335},
  [513] = {.lex_state = 335},
  [514] = {.lex_state = 335},
  [515] = {.lex_state = 171},
  [516] = {.lex_state = 172},
  [517] = {.lex_state = 172},
  [518] = {.lex_state = 335},
  [519] = {.lex_state = 335},
  [520] = {.lex_state = 172},
  [521] = {.lex_state = 335},
  [522] = {.lex_state = 172},
  [523] = {.lex_state = 172},
  [524] = {.lex_state = 172},
  [525] = {.lex_state = 172},
  [526] = {.lex_state = 172},
  [527] = {.lex_state = 172},
  [528] = {.lex_state = 172},
  [529] = {.lex_state = 335},
  [530] = {.lex_state = 335},
  [531] = {.lex_state = 335},
  [532] = {.lex_state = 335},
  [533] = {.lex_state = 335},
  [534] = {.lex_state = 172},
  [535] = {.lex_state = 172},
  [536] = {.lex_state = 172},
  [537] = {.lex_state = 172},
  [538] = {.lex_state = 172},
  [539] = {.lex_state = 172},
  [540] = {.lex_state = 335},
  [541] = {.lex_state = 172},
  [542] = {.lex_state = 172},
  [543] = {.lex_state = 172},
  [544] = {.lex_state = 172},
  [545] = {.lex_state = 172},
  [546] = {.lex_state = 172},
  [547] = {.lex_state = 172},
  [548] = {.lex_state = 172},
  [549] = {.lex_state = 172},
  [550] = {.lex_state = 172},
  [551] = {.lex_state = 335},
  [552] = {.lex_state = 335},
  [553] = {.lex_state = 172},
  [554] = {.lex_state = 172},
  [555] = {.lex_state = 172},
  [556] = {.lex_state = 172},
  [557] = {.lex_state = 172},
  [558] = {.lex_state = 335},
  [559] = {.lex_state = 172},
  [560] = {.lex_state = 172},
  [561] = {.lex_state = 172},
  [562] = {.lex_state = 172},
  [563] = {.lex_state = 335},
  [564] = {.lex_state = 335},
  [565] = {.lex_state = 335},
  [566] = {.lex_state = 335},
  [567] = {.lex_state = 335},
  [568] = {.lex_state = 335},
  [569] = {.lex_state = 335},
  [570] = {.lex_state = 335},
  [571] = {.lex_state = 172},
  [572] = {.lex_state = 335},
  [573] = {.lex_state = 172},
  [574] = {.lex_state = 335},
  [575] = {.lex_state = 335},
  [576] = {.lex_state = 172},
  [577] = {.lex_state = 335},
  [578] = {.lex_state = 335},
  [579] = {.lex_state = 335},
  [580] = {.lex_state = 335},
  [581] = {.lex_state = 172},
  [582] = {.lex_state = 172},
  [583] = {.lex_state = 335},
  [584] = {.lex_state = 335},
  [585] = {.lex_state = 335},
  [586] = {.lex_state = 335},
  [587] = {.lex_state = 172},
  [588] = {.lex_state = 172},
  [589] = {.lex_state = 335},
  [590] = {.lex_state = 335},
  [591] = {.lex_state = 335},
  [592] = {.lex_state = 335},
  [593] = {.lex_state = 335},
  [594] = {.lex_state = 335},
  [595] = {.lex_state = 335},
  [596] = {.lex_state = 335},
  [597] = {.lex_state = 172},
  [598] = {.lex_state = 172},
  [599] = {.lex_state = 172},
  [600] = {.lex_state = 172},
  [601] = {.lex_state = 172},
  [602] = {.lex_state = 172},
  [603] = {.lex_state = 335},
  [604] = {.lex_state = 335},
  [605] = {.lex_state = 172},
  [606] = {.lex_state = 172},
  [607] = {.lex_state = 335},
  [608] = {.lex_state = 172},
  [609] = {.lex_state = 172},
  [610] = {.lex_state = 172},
  [611] = {.lex_state = 335},
  [612] = {.lex_state = 335},
  [613] = {.lex_state = 172},
  [614] = {.lex_state = 172},
  [615] = {.lex_state = 335},
  [616] = {.lex_state = 335},
  [617] = {.lex_state = 172},
  [618] = {.lex_state = 335},
  [619] = {.lex_state = 335},
  [620] = {.lex_state = 335},
  [621] = {.lex_state = 335},
  [622] = {.lex_state = 172},
  [623] = {.lex_state = 172},
  [624] = {.lex_state = 335},
  [625] = {.lex_state = 335},
  [626] = {.lex_state = 335},
  [627] = {.lex_state = 335},
  [628] = {.lex_state = 172},
  [629] = {.lex_state = 335},
  [630] = {.lex_state = 335},
  [631] = {.lex_state = 335},
  [632] = {.lex_state = 172},
  [633] = {.lex_state = 335},
  [634] = {.lex_state = 335},
  [635] = {.lex_state = 172},
  [636] = {.lex_state = 335},
  [637] = {.lex_state = 172},
  [638] = {.lex_state = 172},
  [639] = {.lex_state = 335},
  [640] = {.lex_state = 237},
  [641] = {.lex_state = 172},
  [642] = {.lex_state = 335},
  [643] = {.lex_state = 335},
  [644] = {.lex_state = 172},
  [645] = {.lex_state = 335},
  [646] = {.lex_state = 335},
  [647] = {.lex_state = 335},
  [648] = {.lex_state = 172},
  [649] = {.lex_state = 172},
  [650] = {.lex_state = 335},
  [651] = {.lex_state = 335},
  [652] = {.lex_state = 335},
  [653] = {.lex_state = 172},
  [654] = {.lex_state = 335},
  [655] = {.lex_state = 335},
  [656] = {.lex_state = 172},
  [657] = {.lex_state = 335},
  [658] = {.lex_state = 335},
  [659] = {.lex_state = 172},
  [660] = {.lex_state = 335},
  [661] = {.lex_state = 172},
  [662] = {.lex_state = 172},
  [663] = {.lex_state = 335},
  [664] = {.lex_state = 335},
  [665] = {.lex_state = 335},
  [666] = {.lex_state = 163},
  [667] = {.lex_state = 335},
  [668] = {.lex_state = 335},
  [669] = {.lex_state = 335},
  [670] = {.lex_state = 335},
  [671] = {.lex_state = 335},
  [672] = {.lex_state = 335},
  [673] = {.lex_state = 335},
  [674] = {.lex_state = 335},
  [675] = {.lex_state = 335},
  [676] = {.lex_state = 335},
  [677] = {.lex_state = 335},
  [678] = {.lex_state = 335},
  [679] = {.lex_state = 335},
  [680] = {.lex_state = 335},
  [681] = {.lex_state = 335},
  [682] = {.lex_state = 335},
  [683] = {.lex_state = 335},
  [684] = {.lex_state = 335},
  [685] = {.lex_state = 335},
  [686] = {.lex_state = 335},
  [687] = {.lex_state = 335},
  [688] = {.lex_state = 335},
  [689] = {.lex_state = 335},
  [690] = {.lex_state = 335},
  [691] = {.lex_state = 335},
  [692] = {.lex_state = 335},
  [693] = {.lex_state = 335},
  [694] = {.lex_state = 335},
  [695] = {.lex_state = 335},
  [696] = {.lex_state = 335},
  [697] = {.lex_state = 335},
  [698] = {.lex_state = 335},
  [699] = {.lex_state = 335},
  [700] = {.lex_state = 335},
  [701] = {.lex_state = 335},
  [702] = {.lex_state = 335},
  [703] = {.lex_state = 335},
  [704] = {.lex_state = 335},
  [705] = {.lex_state = 335},
  [706] = {.lex_state = 335},
  [707] = {.lex_state = 335},
  [708] = {.lex_state = 335},
  [709] = {.lex_state = 335},
  [710] = {.lex_state = 335},
  [711] = {.lex_state = 335},
  [712] = {.lex_state = 335},
  [713] = {.lex_state = 335},
  [714] = {.lex_state = 335},
  [715] = {.lex_state = 335},
  [716] = {.lex_state = 335},
  [717] = {.lex_state = 335},
  [718] = {.lex_state = 335},
  [719] = {.lex_state = 335},
  [720] = {.lex_state = 335},
  [721] = {.lex_state = 335},
  [722] = {.lex_state = 335},
  [723] = {.lex_state = 335},
  [724] = {.lex_state = 335},
  [725] = {.lex_state = 335},
  [726] = {.lex_state = 335},
  [727] = {.lex_state = 335},
  [728] = {.lex_state = 335},
  [729] = {.lex_state = 335},
  [730] = {.lex_state = 335},
  [731] = {.lex_state = 335},
  [732] = {.lex_state = 335},
  [733] = {.lex_state = 335},
  [734] = {.lex_state = 335},
  [735] = {.lex_state = 335},
  [736] = {.lex_state = 193},
  [737] = {.lex_state = 238},
  [738] = {.lex_state = 193},
  [739] = {.lex_state = 238},
  [740] = {.lex_state = 193},
  [741] = {.lex_state = 193},
  [742] = {.lex_state = 193},
  [743] = {.lex_state = 193},
  [744] = {.lex_state = 238},
  [745] = {.lex_state = 193},
  [746] = {.lex_state = 193},
  [747] = {.lex_state = 193},
  [748] = {.lex_state = 193},
  [749] = {.lex_state = 193},
  [750] = {.lex_state = 193},
  [751] = {.lex_state = 193},
  [752] = {.lex_state = 193},
  [753] = {.lex_state = 193},
  [754] = {.lex_state = 193},
  [755] = {.lex_state = 193},
  [756] = {.lex_state = 193},
  [757] = {.lex_state = 193},
  [758] = {.lex_state = 193},
  [759] = {.lex_state = 193},
  [760] = {.lex_state = 163},
  [761] = {.lex_state = 163},
  [762] = {.lex_state = 163},
  [763] = {.lex_state = 163},
  [764] = {.lex_state = 166},
  [765] = {.lex_state = 163},
  [766] = {.lex_state = 167},
  [767] = {.lex_state = 167},
  [768] = {.lex_state = 237},
  [769] = {.lex_state = 237},
  [770] = {.lex_state = 237},
  [771] = {.lex_state = 335},
  [772] = {.lex_state = 237},
  [773] = {.lex_state = 237},
  [774] = {.lex_state = 237},
  [775] = {.lex_state = 335},
  [776] = {.lex_state = 237},
  [777] = {.lex_state = 237},
  [778] = {.lex_state = 237},
  [779] = {.lex_state = 237},
  [780] = {.lex_state = 237},
  [781] = {.lex_state = 237},
  [782] = {.lex_state = 237},
  [783] = {.lex_state = 237},
  [784] = {.lex_state = 174},
  [785] = {.lex_state = 174},
  [786] = {.lex_state = 174},
  [787] = {.lex_state = 174},
  [788] = {.lex_state = 174},
  [789] = {.lex_state = 174},
  [790] = {.lex_state = 174},
  [791] = {.lex_state = 174},
  [792] = {.lex_state = 174},
  [793] = {.lex_state = 174},
  [794] = {.lex_state = 174},
  [795] = {.lex_state = 174},
  [796] = {.lex_state = 174},
  [797] = {.lex_state = 174},
  [798] = {.lex_state = 174},
  [799] = {.lex_state = 174},
  [800] = {.lex_state = 174},
  [801] = {.lex_state = 174},
  [802] = {.lex_state = 174},
  [803] = {.lex_state = 174},
  [804] = {.lex_state = 174},
  [805] = {.lex_state = 335},
  [806] = {.lex_state = 186},
  [807] = {.lex_state = 171},
  [808] = {.lex_state = 186},
  [809] = {.lex_state = 171},
  [810] = {.lex_state = 186},
  [811] = {.lex_state = 186},
  [812] = {.lex_state = 186},
  [813] = {.lex_state = 171},
  [814] = {.lex_state = 171},
  [815] = {.lex_state = 171},
  [816] = {.lex_state = 171},
  [817] = {.lex_state = 171},
  [818] = {.lex_state = 171},
  [819] = {.lex_state = 171},
  [820] = {.lex_state = 171},
  [821] = {.lex_state = 171},
  [822] = {.lex_state = 171},
  [823] = {.lex_state = 171},
  [824] = {.lex_state = 171},
  [825] = {.lex_state = 171},
  [826] = {.lex_state = 171},
  [827] = {.lex_state = 171},
  [828] = {.lex_state = 171},
  [829] = {.lex_state = 171},
  [830] = {.lex_state = 173},
  [831] = {.lex_state = 171},
  [832] = {.lex_state = 171},
  [833] = {.lex_state = 171},
  [834] = {.lex_state = 171},
  [835] = {.lex_state = 171},
  [836] = {.lex_state = 171},
  [837] = {.lex_state = 171},
  [838] = {.lex_state = 171},
  [839] = {.lex_state = 171},
  [840] = {.lex_state = 171},
  [841] = {.lex_state = 171},
  [842] = {.lex_state = 171},
  [843] = {.lex_state = 171},
  [844] = {.lex_state = 171},
  [845] = {.lex_state = 171},
  [846] = {.lex_state = 173},
  [847] = {.lex_state = 171},
  [848] = {.lex_state = 171},
  [849] = {.lex_state = 171},
  [850] = {.lex_state = 171},
  [851] = {.lex_state = 171},
  [852] = {.lex_state = 171},
  [853] = {.lex_state = 171},
  [854] = {.lex_state = 171},
  [855] = {.lex_state = 171},
  [856] = {.lex_state = 171},
  [857] = {.lex_state = 171},
  [858] = {.lex_state = 171},
  [859] = {.lex_state = 171},
  [860] = {.lex_state = 237},
  [861] = {.lex_state = 186},
  [862] = {.lex_state = 182},
  [863] = {.lex_state = 186},
  [864] = {.lex_state = 186},
  [865] = {.lex_state = 186},
  [866] = {.lex_state = 186},
  [867] = {.lex_state = 186},
  [868] = {.lex_state = 186},
  [869] = {.lex_state = 174},
  [870] = {.lex_state = 174},
  [871] = {.lex_state = 174},
  [872] = {.lex_state = 174},
  [873] = {.lex_state = 174},
  [874] = {.lex_state = 174},
  [875] = {.lex_state = 174},
  [876] = {.lex_state = 174},
  [877] = {.lex_state = 174},
  [878] = {.lex_state = 174},
  [879] = {.lex_state = 174},
  [880] = {.lex_state = 174},
  [881] = {.lex_state = 174},
  [882] = {.lex_state = 174},
  [883] = {.lex_state = 174},
  [884] = {.lex_state = 174},
  [885] = {.lex_state = 174},
  [886] = {.lex_state = 174},
  [887] = {.lex_state = 174},
  [888] = {.lex_state = 174},
  [889] = {.lex_state = 174},
  [890] = {.lex_state = 174},
  [891] = {.lex_state = 174},
  [892] = {.lex_state = 174},
  [893] = {.lex_state = 174},
  [894] = {.lex_state = 174},
  [895] = {.lex_state = 174},
  [896] = {.lex_state = 174},
  [897] = {.lex_state = 174},
  [898] = {.lex_state = 174},
  [899] = {.lex_state = 174},
  [900] = {.lex_state = 174},
  [901] = {.lex_state = 174},
  [902] = {.lex_state = 174},
  [903] = {.lex_state = 174},
  [904] = {.lex_state = 174},
  [905] = {.lex_state = 174},
  [906] = {.lex_state = 174},
  [907] = {.lex_state = 174},
  [908] = {.lex_state = 174},
  [909] = {.lex_state = 174},
  [910] = {.lex_state = 174},
  [911] = {.lex_state = 174},
  [912] = {.lex_state = 174},
  [913] = {.lex_state = 174},
  [914] = {.lex_state = 174},
  [915] = {.lex_state = 174},
  [916] = {.lex_state = 174},
  [917] = {.lex_state = 174},
  [918] = {.lex_state = 174},
  [919] = {.lex_state = 174},
  [920] = {.lex_state = 174},
  [921] = {.lex_state = 174},
  [922] = {.lex_state = 174},
  [923] = {.lex_state = 174},
  [924] = {.lex_state = 175},
  [925] = {.lex_state = 174},
  [926] = {.lex_state = 175},
  [927] = {.lex_state = 174},
  [928] = {.lex_state = 175},
  [929] = {.lex_state = 174},
  [930] = {.lex_state = 174},
  [931] = {.lex_state = 174},
  [932] = {.lex_state = 174},
  [933] = {.lex_state = 174},
  [934] = {.lex_state = 174},
  [935] = {.lex_state = 174},
  [936] = {.lex_state = 174},
  [937] = {.lex_state = 174},
  [938] = {.lex_state = 174},
  [939] = {.lex_state = 173},
  [940] = {.lex_state = 174},
  [941] = {.lex_state = 174},
  [942] = {.lex_state = 174},
  [943] = {.lex_state = 174},
  [944] = {.lex_state = 174},
  [945] = {.lex_state = 174},
  [946] = {.lex_state = 174},
  [947] = {.lex_state = 173},
  [948] = {.lex_state = 174},
  [949] = {.lex_state = 174},
  [950] = {.lex_state = 173},
  [951] = {.lex_state = 173},
  [952] = {.lex_state = 174},
  [953] = {.lex_state = 173},
  [954] = {.lex_state = 174},
  [955] = {.lex_state = 174},
  [956] = {.lex_state = 173},
  [957] = {.lex_state = 173},
  [958] = {.lex_state = 174},
  [959] = {.lex_state = 174},
  [960] = {.lex_state = 173},
  [961] = {.lex_state = 173},
  [962] = {.lex_state = 174},
  [963] = {.lex_state = 174},
  [964] = {.lex_state = 174},
  [965] = {.lex_state = 173},
  [966] = {.lex_state = 173},
  [967] = {.lex_state = 174},
  [968] = {.lex_state = 174},
  [969] = {.lex_state = 173},
  [970] = {.lex_state = 173},
  [971] = {.lex_state = 174},
  [972] = {.lex_state = 173},
  [973] = {.lex_state = 174},
  [974] = {.lex_state = 174},
  [975] = {.lex_state = 173},
  [976] = {.lex_state = 173},
  [977] = {.lex_state = 173},
  [978] = {.lex_state = 173},
  [979] = {.lex_state = 174},
  [980] = {.lex_state = 173},
  [981] = {.lex_state = 174},
  [982] = {.lex_state = 174},
  [983] = {.lex_state = 174},
  [984] = {.lex_state = 174},
  [985] = {.lex_state = 174},
  [986] = {.lex_state = 173},
  [987] = {.lex_state = 173},
  [988] = {.lex_state = 174},
  [989] = {.lex_state = 174},
  [990] = {.lex_state = 173},
  [991] = {.lex_state = 174},
  [992] = {.lex_state = 173},
  [993] = {.lex_state = 173},
  [994] = {.lex_state = 173},
  [995] = {.lex_state = 174},
  [996] = {.lex_state = 174},
  [997] = {.lex_state = 174},
  [998] = {.lex_state = 174},
  [999] = {.lex_state = 174},
  [1000] = {.lex_state = 174},
  [1001] = {.lex_state = 173},
  [1002] = {.lex_state = 174},
  [1003] = {.lex_state = 174},
  [1004] = {.lex_state = 174},
  [1005] = {.lex_state = 174},
  [1006] = {.lex_state = 174},
  [1007] = {.lex_state = 174},
  [1008] = {.lex_state = 174},
  [1009] = {.lex_state = 174},
  [1010] = {.lex_state = 174},
  [1011] = {.lex_state = 174},
  [1012] = {.lex_state = 174},
  [1013] = {.lex_state = 174},
  [1014] = {.lex_state = 174},
  [1015] = {.lex_state = 174},
  [1016] = {.lex_state = 174},
  [1017] = {.lex_state = 174},
  [1018] = {.lex_state = 174},
  [1019] = {.lex_state = 174},
  [1020] = {.lex_state = 174},
  [1021] = {.lex_state = 174},
  [1022] = {.lex_state = 174},
  [1023] = {.lex_state = 174},
  [1024] = {.lex_state = 174},
  [1025] = {.lex_state = 174},
  [1026] = {.lex_state = 174},
  [1027] = {.lex_state = 174},
  [1028] = {.lex_state = 174},
  [1029] = {.lex_state = 174},
  [1030] = {.lex_state = 174},
  [1031] = {.lex_state = 174},
  [1032] = {.lex_state = 174},
  [1033] = {.lex_state = 174},
  [1034] = {.lex_state = 174},
  [1035] = {.lex_state = 174},
  [1036] = {.lex_state = 174},
  [1037] = {.lex_state = 174},
  [1038] = {.lex_state = 174},
  [1039] = {.lex_state = 174},
  [1040] = {.lex_state = 174},
  [1041] = {.lex_state = 174},
  [1042] = {.lex_state = 174},
  [1043] = {.lex_state = 174},
  [1044] = {.lex_state = 174},
  [1045] = {.lex_state = 174},
  [1046] = {.lex_state = 174},
  [1047] = {.lex_state = 174},
  [1048] = {.lex_state = 174},
  [1049] = {.lex_state = 174},
  [1050] = {.lex_state = 174},
  [1051] = {.lex_state = 174},
  [1052] = {.lex_state = 174},
  [1053] = {.lex_state = 174},
  [1054] = {.lex_state = 174},
  [1055] = {.lex_state = 174},
  [1056] = {.lex_state = 174},
  [1057] = {.lex_state = 174},
  [1058] = {.lex_state = 174},
  [1059] = {.lex_state = 174},
  [1060] = {.lex_state = 174},
  [1061] = {.lex_state = 174},
  [1062] = {.lex_state = 174},
  [1063] = {.lex_state = 174},
  [1064] = {.lex_state = 174},
  [1065] = {.lex_state = 174},
  [1066] = {.lex_state = 174},
  [1067] = {.lex_state = 174},
  [1068] = {.lex_state = 174},
  [1069] = {.lex_state = 174},
  [1070] = {.lex_state = 174},
  [1071] = {.lex_state = 174},
  [1072] = {.lex_state = 174},
  [1073] = {.lex_state = 174},
  [1074] = {.lex_state = 174},
  [1075] = {.lex_state = 174},
  [1076] = {.lex_state = 174},
  [1077] = {.lex_state = 174},
  [1078] = {.lex_state = 174},
  [1079] = {.lex_state = 174},
  [1080] = {.lex_state = 174},
  [1081] = {.lex_state = 174},
  [1082] = {.lex_state = 174},
  [1083] = {.lex_state = 174},
  [1084] = {.lex_state = 174},
  [1085] = {.lex_state = 174},
  [1086] = {.lex_state = 174},
  [1087] = {.lex_state = 174},
  [1088] = {.lex_state = 174},
  [1089] = {.lex_state = 174},
  [1090] = {.lex_state = 174},
  [1091] = {.lex_state = 174},
  [1092] = {.lex_state = 174},
  [1093] = {.lex_state = 174},
  [1094] = {.lex_state = 174},
  [1095] = {.lex_state = 174},
  [1096] = {.lex_state = 174},
  [1097] = {.lex_state = 174},
  [1098] = {.lex_state = 174},
  [1099] = {.lex_state = 174},
  [1100] = {.lex_state = 174},
  [1101] = {.lex_state = 174},
  [1102] = {.lex_state = 174},
  [1103] = {.lex_state = 174},
  [1104] = {.lex_state = 174},
  [1105] = {.lex_state = 174},
  [1106] = {.lex_state = 174},
  [1107] = {.lex_state = 174},
  [1108] = {.lex_state = 174},
  [1109] = {.lex_state = 174},
  [1110] = {.lex_state = 174},
  [1111] = {.lex_state = 174},
  [1112] = {.lex_state = 174},
  [1113] = {.lex_state = 174},
  [1114] = {.lex_state = 174},
  [1115] = {.lex_state = 174},
  [1116] = {.lex_state = 174},
  [1117] = {.lex_state = 174},
  [1118] = {.lex_state = 174},
  [1119] = {.lex_state = 174},
  [1120] = {.lex_state = 174},
  [1121] = {.lex_state = 174},
  [1122] = {.lex_state = 174},
  [1123] = {.lex_state = 174},
  [1124] = {.lex_state = 174},
  [1125] = {.lex_state = 174},
  [1126] = {.lex_state = 174},
  [1127] = {.lex_state = 174},
  [1128] = {.lex_state = 174},
  [1129] = {.lex_state = 174},
  [1130] = {.lex_state = 174},
  [1131] = {.lex_state = 174},
  [1132] = {.lex_state = 174},
  [1133] = {.lex_state = 174},
  [1134] = {.lex_state = 174},
  [1135] = {.lex_state = 174},
  [1136] = {.lex_state = 174},
  [1137] = {.lex_state = 174},
  [1138] = {.lex_state = 174},
  [1139] = {.lex_state = 174},
  [1140] = {.lex_state = 174},
  [1141] = {.lex_state = 174},
  [1142] = {.lex_state = 174},
  [1143] = {.lex_state = 174},
  [1144] = {.lex_state = 174},
  [1145] = {.lex_state = 174},
  [1146] = {.lex_state = 174},
  [1147] = {.lex_state = 174},
  [1148] = {.lex_state = 174},
  [1149] = {.lex_state = 174},
  [1150] = {.lex_state = 174},
  [1151] = {.lex_state = 174},
  [1152] = {.lex_state = 174},
  [1153] = {.lex_state = 174},
  [1154] = {.lex_state = 174},
  [1155] = {.lex_state = 174},
  [1156] = {.lex_state = 174},
  [1157] = {.lex_state = 174},
  [1158] = {.lex_state = 174},
  [1159] = {.lex_state = 174},
  [1160] = {.lex_state = 174},
  [1161] = {.lex_state = 174},
  [1162] = {.lex_state = 174},
  [1163] = {.lex_state = 174},
  [1164] = {.lex_state = 174},
  [1165] = {.lex_state = 174},
  [1166] = {.lex_state = 174},
  [1167] = {.lex_state = 174},
  [1168] = {.lex_state = 174},
  [1169] = {.lex_state = 174},
  [1170] = {.lex_state = 174},
  [1171] = {.lex_state = 174},
  [1172] = {.lex_state = 174},
  [1173] = {.lex_state = 174},
  [1174] = {.lex_state = 174},
  [1175] = {.lex_state = 194},
  [1176] = {.lex_state = 174},
  [1177] = {.lex_state = 174},
  [1178] = {.lex_state = 174},
  [1179] = {.lex_state = 174},
  [1180] = {.lex_state = 174},
  [1181] = {.lex_state = 174},
  [1182] = {.lex_state = 174},
  [1183] = {.lex_state = 174},
  [1184] = {.lex_state = 174},
  [1185] = {.lex_state = 174},
  [1186] = {.lex_state = 174},
  [1187] = {.lex_state = 174},
  [1188] = {.lex_state = 174},
  [1189] = {.lex_state = 174},
  [1190] = {.lex_state = 174},
  [1191] = {.lex_state = 174},
  [1192] = {.lex_state = 174},
  [1193] = {.lex_state = 174},
  [1194] = {.lex_state = 174},
  [1195] = {.lex_state = 174},
  [1196] = {.lex_state = 174},
  [1197] = {.lex_state = 174},
  [1198] = {.lex_state = 174},
  [1199] = {.lex_state = 174},
  [1200] = {.lex_state = 174},
  [1201] = {.lex_state = 174},
  [1202] = {.lex_state = 174},
  [1203] = {.lex_state = 174},
  [1204] = {.lex_state = 174},
  [1205] = {.lex_state = 174},
  [1206] = {.lex_state = 174},
  [1207] = {.lex_state = 174},
  [1208] = {.lex_state = 174},
  [1209] = {.lex_state = 174},
  [1210] = {.lex_state = 174},
  [1211] = {.lex_state = 174},
  [1212] = {.lex_state = 174},
  [1213] = {.lex_state = 174},
  [1214] = {.lex_state = 174},
  [1215] = {.lex_state = 174},
  [1216] = {.lex_state = 174},
  [1217] = {.lex_state = 174},
  [1218] = {.lex_state = 174},
  [1219] = {.lex_state = 174},
  [1220] = {.lex_state = 174},
  [1221] = {.lex_state = 174},
  [1222] = {.lex_state = 174},
  [1223] = {.lex_state = 174},
  [1224] = {.lex_state = 174},
  [1225] = {.lex_state = 174},
  [1226] = {.lex_state = 174},
  [1227] = {.lex_state = 174},
  [1228] = {.lex_state = 174},
  [1229] = {.lex_state = 174},
  [1230] = {.lex_state = 174},
  [1231] = {.lex_state = 174},
  [1232] = {.lex_state = 174},
  [1233] = {.lex_state = 174},
  [1234] = {.lex_state = 174},
  [1235] = {.lex_state = 174},
  [1236] = {.lex_state = 174},
  [1237] = {.lex_state = 174},
  [1238] = {.lex_state = 174},
  [1239] = {.lex_state = 174},
  [1240] = {.lex_state = 174},
  [1241] = {.lex_state = 174},
  [1242] = {.lex_state = 174},
  [1243] = {.lex_state = 174},
  [1244] = {.lex_state = 174},
  [1245] = {.lex_state = 174},
  [1246] = {.lex_state = 174},
  [1247] = {.lex_state = 174},
  [1248] = {.lex_state = 174},
  [1249] = {.lex_state = 174},
  [1250] = {.lex_state = 174},
  [1251] = {.lex_state = 174},
  [1252] = {.lex_state = 174},
  [1253] = {.lex_state = 174},
  [1254] = {.lex_state = 174},
  [1255] = {.lex_state = 174},
  [1256] = {.lex_state = 174},
  [1257] = {.lex_state = 174},
  [1258] = {.lex_state = 174},
  [1259] = {.lex_state = 174},
  [1260] = {.lex_state = 174},
  [1261] = {.lex_state = 174},
  [1262] = {.lex_state = 174},
  [1263] = {.lex_state = 174},
  [1264] = {.lex_state = 174},
  [1265] = {.lex_state = 174},
  [1266] = {.lex_state = 174},
  [1267] = {.lex_state = 174},
  [1268] = {.lex_state = 174},
  [1269] = {.lex_state = 174},
  [1270] = {.lex_state = 174},
  [1271] = {.lex_state = 174},
  [1272] = {.lex_state = 174},
  [1273] = {.lex_state = 194},
  [1274] = {.lex_state = 174},
  [1275] = {.lex_state = 174},
  [1276] = {.lex_state = 174},
  [1277] = {.lex_state = 194},
  [1278] = {.lex_state = 174},
  [1279] = {.lex_state = 194},
  [1280] = {.lex_state = 174},
  [1281] = {.lex_state = 174},
  [1282] = {.lex_state = 174},
  [1283] = {.lex_state = 174},
  [1284] = {.lex_state = 174},
  [1285] = {.lex_state = 174},
  [1286] = {.lex_state = 174},
  [1287] = {.lex_state = 174},
  [1288] = {.lex_state = 174},
  [1289] = {.lex_state = 174},
  [1290] = {.lex_state = 174},
  [1291] = {.lex_state = 174},
  [1292] = {.lex_state = 174},
  [1293] = {.lex_state = 174},
  [1294] = {.lex_state = 174},
  [1295] = {.lex_state = 174},
  [1296] = {.lex_state = 174},
  [1297] = {.lex_state = 174},
  [1298] = {.lex_state = 174},
  [1299] = {.lex_state = 174},
  [1300] = {.lex_state = 174},
  [1301] = {.lex_state = 174},
  [1302] = {.lex_state = 174},
  [1303] = {.lex_state = 174},
  [1304] = {.lex_state = 174},
  [1305] = {.lex_state = 174},
  [1306] = {.lex_state = 174},
  [1307] = {.lex_state = 174},
  [1308] = {.lex_state = 174},
  [1309] = {.lex_state = 174},
  [1310] = {.lex_state = 174},
  [1311] = {.lex_state = 174},
  [1312] = {.lex_state = 174},
  [1313] = {.lex_state = 174},
  [1314] = {.lex_state = 174},
  [1315] = {.lex_state = 174},
  [1316] = {.lex_state = 174},
  [1317] = {.lex_state = 194},
  [1318] = {.lex_state = 174},
  [1319] = {.lex_state = 174},
  [1320] = {.lex_state = 174},
  [1321] = {.lex_state = 174},
  [1322] = {.lex_state = 174},
  [1323] = {.lex_state = 174},
  [1324] = {.lex_state = 174},
  [1325] = {.lex_state = 174},
  [1326] = {.lex_state = 174},
  [1327] = {.lex_state = 174},
  [1328] = {.lex_state = 174},
  [1329] = {.lex_state = 174},
  [1330] = {.lex_state = 194},
  [1331] = {.lex_state = 174},
  [1332] = {.lex_state = 194},
  [1333] = {.lex_state = 174},
  [1334] = {.lex_state = 194},
  [1335] = {.lex_state = 174},
  [1336] = {.lex_state = 174},
  [1337] = {.lex_state = 174},
  [1338] = {.lex_state = 174},
  [1339] = {.lex_state = 174},
  [1340] = {.lex_state = 174},
  [1341] = {.lex_state = 174},
  [1342] = {.lex_state = 174},
  [1343] = {.lex_state = 174},
  [1344] = {.lex_state = 174},
  [1345] = {.lex_state = 174},
  [1346] = {.lex_state = 174},
  [1347] = {.lex_state = 174},
  [1348] = {.lex_state = 174},
  [1349] = {.lex_state = 174},
  [1350] = {.lex_state = 174},
  [1351] = {.lex_state = 174},
  [1352] = {.lex_state = 174},
  [1353] = {.lex_state = 174},
  [1354] = {.lex_state = 174},
  [1355] = {.lex_state = 174},
  [1356] = {.lex_state = 174},
  [1357] = {.lex_state = 174},
  [1358] = {.lex_state = 174},
  [1359] = {.lex_state = 174},
  [1360] = {.lex_state = 174},
  [1361] = {.lex_state = 174},
  [1362] = {.lex_state = 174},
  [1363] = {.lex_state = 174},
  [1364] = {.lex_state = 174},
  [1365] = {.lex_state = 174},
  [1366] = {.lex_state = 174},
  [1367] = {.lex_state = 174},
  [1368] = {.lex_state = 174},
  [1369] = {.lex_state = 174},
  [1370] = {.lex_state = 174},
  [1371] = {.lex_state = 174},
  [1372] = {.lex_state = 174},
  [1373] = {.lex_state = 174},
  [1374] = {.lex_state = 174},
  [1375] = {.lex_state = 174},
  [1376] = {.lex_state = 174},
  [1377] = {.lex_state = 174},
  [1378] = {.lex_state = 174},
  [1379] = {.lex_state = 174},
  [1380] = {.lex_state = 174},
  [1381] = {.lex_state = 174},
  [1382] = {.lex_state = 174},
  [1383] = {.lex_state = 174},
  [1384] = {.lex_state = 174},
  [1385] = {.lex_state = 174},
  [1386] = {.lex_state = 174},
  [1387] = {.lex_state = 174},
  [1388] = {.lex_state = 174},
  [1389] = {.lex_state = 174},
  [1390] = {.lex_state = 174},
  [1391] = {.lex_state = 174},
  [1392] = {.lex_state = 174},
  [1393] = {.lex_state = 174},
  [1394] = {.lex_state = 174},
  [1395] = {.lex_state = 174},
  [1396] = {.lex_state = 174},
  [1397] = {.lex_state = 174},
  [1398] = {.lex_state = 174},
  [1399] = {.lex_state = 174},
  [1400] = {.lex_state = 174},
  [1401] = {.lex_state = 174},
  [1402] = {.lex_state = 174},
  [1403] = {.lex_state = 174},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 174},
  [1406] = {.lex_state = 174},
  [1407] = {.lex_state = 174},
  [1408] = {.lex_state = 174},
  [1409] = {.lex_state = 174},
  [1410] = {.lex_state = 174},
  [1411] = {.lex_state = 174},
  [1412] = {.lex_state = 174},
  [1413] = {.lex_state = 174},
  [1414] = {.lex_state = 174},
  [1415] = {.lex_state = 174},
  [1416] = {.lex_state = 174},
  [1417] = {.lex_state = 174},
  [1418] = {.lex_state = 174},
  [1419] = {.lex_state = 174},
  [1420] = {.lex_state = 174},
  [1421] = {.lex_state = 174},
  [1422] = {.lex_state = 174},
  [1423] = {.lex_state = 174},
  [1424] = {.lex_state = 174},
  [1425] = {.lex_state = 174},
  [1426] = {.lex_state = 174},
  [1427] = {.lex_state = 174},
  [1428] = {.lex_state = 174},
  [1429] = {.lex_state = 174},
  [1430] = {.lex_state = 174},
  [1431] = {.lex_state = 174},
  [1432] = {.lex_state = 174},
  [1433] = {.lex_state = 174},
  [1434] = {.lex_state = 174},
  [1435] = {.lex_state = 174},
  [1436] = {.lex_state = 174},
  [1437] = {.lex_state = 174},
  [1438] = {.lex_state = 174},
  [1439] = {.lex_state = 174},
  [1440] = {.lex_state = 174},
  [1441] = {.lex_state = 174},
  [1442] = {.lex_state = 174},
  [1443] = {.lex_state = 174},
  [1444] = {.lex_state = 174},
  [1445] = {.lex_state = 174},
  [1446] = {.lex_state = 174},
  [1447] = {.lex_state = 174},
  [1448] = {.lex_state = 174},
  [1449] = {.lex_state = 174},
  [1450] = {.lex_state = 174},
  [1451] = {.lex_state = 174},
  [1452] = {.lex_state = 174},
  [1453] = {.lex_state = 174},
  [1454] = {.lex_state = 174},
  [1455] = {.lex_state = 174},
  [1456] = {.lex_state = 174},
  [1457] = {.lex_state = 174},
  [1458] = {.lex_state = 174},
  [1459] = {.lex_state = 174},
  [1460] = {.lex_state = 174},
  [1461] = {.lex_state = 174},
  [1462] = {.lex_state = 174},
  [1463] = {.lex_state = 174},
  [1464] = {.lex_state = 174},
  [1465] = {.lex_state = 174},
  [1466] = {.lex_state = 174},
  [1467] = {.lex_state = 174},
  [1468] = {.lex_state = 174},
  [1469] = {.lex_state = 174},
  [1470] = {.lex_state = 174},
  [1471] = {.lex_state = 174},
  [1472] = {.lex_state = 174},
  [1473] = {.lex_state = 174},
  [1474] = {.lex_state = 174},
  [1475] = {.lex_state = 174},
  [1476] = {.lex_state = 174},
  [1477] = {.lex_state = 174},
  [1478] = {.lex_state = 174},
  [1479] = {.lex_state = 174},
  [1480] = {.lex_state = 174},
  [1481] = {.lex_state = 174},
  [1482] = {.lex_state = 174},
  [1483] = {.lex_state = 174},
  [1484] = {.lex_state = 174},
  [1485] = {.lex_state = 174},
  [1486] = {.lex_state = 174},
  [1487] = {.lex_state = 174},
  [1488] = {.lex_state = 174},
  [1489] = {.lex_state = 174},
  [1490] = {.lex_state = 174},
  [1491] = {.lex_state = 174},
  [1492] = {.lex_state = 174},
  [1493] = {.lex_state = 174},
  [1494] = {.lex_state = 174},
  [1495] = {.lex_state = 174},
  [1496] = {.lex_state = 174},
  [1497] = {.lex_state = 194},
  [1498] = {.lex_state = 237},
  [1499] = {.lex_state = 237},
  [1500] = {.lex_state = 171},
  [1501] = {.lex_state = 237},
  [1502] = {.lex_state = 171},
  [1503] = {.lex_state = 171},
  [1504] = {.lex_state = 237},
  [1505] = {.lex_state = 237},
  [1506] = {.lex_state = 237},
  [1507] = {.lex_state = 194},
  [1508] = {.lex_state = 182},
  [1509] = {.lex_state = 192},
  [1510] = {.lex_state = 194},
  [1511] = {.lex_state = 192},
  [1512] = {.lex_state = 192},
  [1513] = {.lex_state = 192},
  [1514] = {.lex_state = 192},
  [1515] = {.lex_state = 192},
  [1516] = {.lex_state = 192},
  [1517] = {.lex_state = 183},
  [1518] = {.lex_state = 194},
  [1519] = {.lex_state = 192},
  [1520] = {.lex_state = 192},
  [1521] = {.lex_state = 187},
  [1522] = {.lex_state = 194},
  [1523] = {.lex_state = 223},
  [1524] = {.lex_state = 223},
  [1525] = {.lex_state = 223},
  [1526] = {.lex_state = 223},
  [1527] = {.lex_state = 223},
  [1528] = {.lex_state = 223},
  [1529] = {.lex_state = 223},
  [1530] = {.lex_state = 177},
  [1531] = {.lex_state = 192},
  [1532] = {.lex_state = 192},
  [1533] = {.lex_state = 192},
  [1534] = {.lex_state = 192},
  [1535] = {.lex_state = 192},
  [1536] = {.lex_state = 192},
  [1537] = {.lex_state = 192},
  [1538] = {.lex_state = 192},
  [1539] = {.lex_state = 195},
  [1540] = {.lex_state = 195},
  [1541] = {.lex_state = 195},
  [1542] = {.lex_state = 195},
  [1543] = {.lex_state = 195},
  [1544] = {.lex_state = 195},
  [1545] = {.lex_state = 195},
  [1546] = {.lex_state = 223},
  [1547] = {.lex_state = 237},
  [1548] = {.lex_state = 237},
  [1549] = {.lex_state = 237},
  [1550] = {.lex_state = 237},
  [1551] = {.lex_state = 237},
  [1552] = {.lex_state = 237},
  [1553] = {.lex_state = 237},
  [1554] = {.lex_state = 237},
  [1555] = {.lex_state = 237},
  [1556] = {.lex_state = 237},
  [1557] = {.lex_state = 237},
  [1558] = {.lex_state = 237},
  [1559] = {.lex_state = 237},
  [1560] = {.lex_state = 237},
  [1561] = {.lex_state = 237},
  [1562] = {.lex_state = 237},
  [1563] = {.lex_state = 237},
  [1564] = {.lex_state = 237},
  [1565] = {.lex_state = 237},
  [1566] = {.lex_state = 237},
  [1567] = {.lex_state = 237},
  [1568] = {.lex_state = 177},
  [1569] = {.lex_state = 237},
  [1570] = {.lex_state = 237},
  [1571] = {.lex_state = 237},
  [1572] = {.lex_state = 237},
  [1573] = {.lex_state = 237},
  [1574] = {.lex_state = 237},
  [1575] = {.lex_state = 237},
  [1576] = {.lex_state = 237},
  [1577] = {.lex_state = 179},
  [1578] = {.lex_state = 179},
  [1579] = {.lex_state = 179},
  [1580] = {.lex_state = 207},
  [1581] = {.lex_state = 207},
  [1582] = {.lex_state = 207},
  [1583] = {.lex_state = 207},
  [1584] = {.lex_state = 223},
  [1585] = {.lex_state = 207},
  [1586] = {.lex_state = 237},
  [1587] = {.lex_state = 223},
  [1588] = {.lex_state = 203},
  [1589] = {.lex_state = 207},
  [1590] = {.lex_state = 207},
  [1591] = {.lex_state = 214},
  [1592] = {.lex_state = 214},
  [1593] = {.lex_state = 171},
  [1594] = {.lex_state = 171},
  [1595] = {.lex_state = 214},
  [1596] = {.lex_state = 214},
  [1597] = {.lex_state = 214},
  [1598] = {.lex_state = 214},
  [1599] = {.lex_state = 214},
  [1600] = {.lex_state = 237},
  [1601] = {.lex_state = 237},
  [1602] = {.lex_state = 237},
  [1603] = {.lex_state = 237},
  [1604] = {.lex_state = 192},
  [1605] = {.lex_state = 237},
  [1606] = {.lex_state = 192},
  [1607] = {.lex_state = 237},
  [1608] = {.lex_state = 237},
  [1609] = {.lex_state = 179},
  [1610] = {.lex_state = 179},
  [1611] = {.lex_state = 179},
  [1612] = {.lex_state = 237},
  [1613] = {.lex_state = 174},
  [1614] = {.lex_state = 179},
  [1615] = {.lex_state = 237},
  [1616] = {.lex_state = 197},
  [1617] = {.lex_state = 207},
  [1618] = {.lex_state = 237},
  [1619] = {.lex_state = 237},
  [1620] = {.lex_state = 198},
  [1621] = {.lex_state = 237},
  [1622] = {.lex_state = 177},
  [1623] = {.lex_state = 224},
  [1624] = {.lex_state = 223},
  [1625] = {.lex_state = 207},
  [1626] = {.lex_state = 223},
  [1627] = {.lex_state = 203},
  [1628] = {.lex_state = 224},
  [1629] = {.lex_state = 223},
  [1630] = {.lex_state = 224},
  [1631] = {.lex_state = 237},
  [1632] = {.lex_state = 224},
  [1633] = {.lex_state = 223},
  [1634] = {.lex_state = 223},
  [1635] = {.lex_state = 214},
  [1636] = {.lex_state = 223},
  [1637] = {.lex_state = 223},
  [1638] = {.lex_state = 237},
  [1639] = {.lex_state = 223},
  [1640] = {.lex_state = 224},
  [1641] = {.lex_state = 224},
  [1642] = {.lex_state = 224},
  [1643] = {.lex_state = 237},
  [1644] = {.lex_state = 224},
  [1645] = {.lex_state = 224},
  [1646] = {.lex_state = 237},
  [1647] = {.lex_state = 223},
  [1648] = {.lex_state = 224},
  [1649] = {.lex_state = 224},
  [1650] = {.lex_state = 223},
  [1651] = {.lex_state = 223},
  [1652] = {.lex_state = 224},
  [1653] = {.lex_state = 224},
  [1654] = {.lex_state = 237},
  [1655] = {.lex_state = 237},
  [1656] = {.lex_state = 237},
  [1657] = {.lex_state = 237},
  [1658] = {.lex_state = 237},
  [1659] = {.lex_state = 237},
  [1660] = {.lex_state = 237},
  [1661] = {.lex_state = 237},
  [1662] = {.lex_state = 203},
  [1663] = {.lex_state = 203},
  [1664] = {.lex_state = 237},
  [1665] = {.lex_state = 203},
  [1666] = {.lex_state = 203},
  [1667] = {.lex_state = 237},
  [1668] = {.lex_state = 237},
  [1669] = {.lex_state = 237},
  [1670] = {.lex_state = 203},
  [1671] = {.lex_state = 203},
  [1672] = {.lex_state = 237},
  [1673] = {.lex_state = 203},
  [1674] = {.lex_state = 237},
  [1675] = {.lex_state = 203},
  [1676] = {.lex_state = 203},
  [1677] = {.lex_state = 195},
  [1678] = {.lex_state = 237},
  [1679] = {.lex_state = 237},
  [1680] = {.lex_state = 237},
  [1681] = {.lex_state = 237},
  [1682] = {.lex_state = 237},
  [1683] = {.lex_state = 174},
  [1684] = {.lex_state = 203},
  [1685] = {.lex_state = 203},
  [1686] = {.lex_state = 203},
  [1687] = {.lex_state = 237},
  [1688] = {.lex_state = 237},
  [1689] = {.lex_state = 237},
  [1690] = {.lex_state = 237},
  [1691] = {.lex_state = 237},
  [1692] = {.lex_state = 237},
  [1693] = {.lex_state = 237},
  [1694] = {.lex_state = 237},
  [1695] = {.lex_state = 237},
  [1696] = {.lex_state = 237},
  [1697] = {.lex_state = 237},
  [1698] = {.lex_state = 237},
  [1699] = {.lex_state = 203},
  [1700] = {.lex_state = 237},
  [1701] = {.lex_state = 237},
  [1702] = {.lex_state = 203},
  [1703] = {.lex_state = 237},
  [1704] = {.lex_state = 237},
  [1705] = {.lex_state = 237},
  [1706] = {.lex_state = 237},
  [1707] = {.lex_state = 203},
  [1708] = {.lex_state = 237},
  [1709] = {.lex_state = 237},
  [1710] = {.lex_state = 237},
  [1711] = {.lex_state = 203},
  [1712] = {.lex_state = 203},
  [1713] = {.lex_state = 198},
  [1714] = {.lex_state = 203},
  [1715] = {.lex_state = 237},
  [1716] = {.lex_state = 203},
  [1717] = {.lex_state = 237},
  [1718] = {.lex_state = 237},
  [1719] = {.lex_state = 203},
  [1720] = {.lex_state = 237},
  [1721] = {.lex_state = 237},
  [1722] = {.lex_state = 237},
  [1723] = {.lex_state = 237},
  [1724] = {.lex_state = 237},
  [1725] = {.lex_state = 202},
  [1726] = {.lex_state = 203},
  [1727] = {.lex_state = 237},
  [1728] = {.lex_state = 237},
  [1729] = {.lex_state = 195},
  [1730] = {.lex_state = 237},
  [1731] = {.lex_state = 237},
  [1732] = {.lex_state = 203},
  [1733] = {.lex_state = 195},
  [1734] = {.lex_state = 237},
  [1735] = {.lex_state = 237},
  [1736] = {.lex_state = 237},
  [1737] = {.lex_state = 203},
  [1738] = {.lex_state = 237},
  [1739] = {.lex_state = 237},
  [1740] = {.lex_state = 237},
  [1741] = {.lex_state = 237},
  [1742] = {.lex_state = 198},
  [1743] = {.lex_state = 237},
  [1744] = {.lex_state = 203},
  [1745] = {.lex_state = 203},
  [1746] = {.lex_state = 237},
  [1747] = {.lex_state = 237},
  [1748] = {.lex_state = 237},
  [1749] = {.lex_state = 198},
  [1750] = {.lex_state = 237},
  [1751] = {.lex_state = 203},
  [1752] = {.lex_state = 179},
  [1753] = {.lex_state = 237},
  [1754] = {.lex_state = 237},
  [1755] = {.lex_state = 237},
  [1756] = {.lex_state = 179},
  [1757] = {.lex_state = 237},
  [1758] = {.lex_state = 237},
  [1759] = {.lex_state = 237},
  [1760] = {.lex_state = 237},
  [1761] = {.lex_state = 237},
  [1762] = {.lex_state = 237},
  [1763] = {.lex_state = 203},
  [1764] = {.lex_state = 203},
  [1765] = {.lex_state = 237},
  [1766] = {.lex_state = 237},
  [1767] = {.lex_state = 237},
  [1768] = {.lex_state = 203},
  [1769] = {.lex_state = 203},
  [1770] = {.lex_state = 237},
  [1771] = {.lex_state = 203},
  [1772] = {.lex_state = 203},
  [1773] = {.lex_state = 237},
  [1774] = {.lex_state = 203},
  [1775] = {.lex_state = 198},
  [1776] = {.lex_state = 237},
  [1777] = {.lex_state = 237},
  [1778] = {.lex_state = 203},
  [1779] = {.lex_state = 203},
  [1780] = {.lex_state = 203},
  [1781] = {.lex_state = 237},
  [1782] = {.lex_state = 203},
  [1783] = {.lex_state = 203},
  [1784] = {.lex_state = 203},
  [1785] = {.lex_state = 237},
  [1786] = {.lex_state = 237},
  [1787] = {.lex_state = 174},
  [1788] = {.lex_state = 214},
  [1789] = {.lex_state = 237},
  [1790] = {.lex_state = 237},
  [1791] = {.lex_state = 237},
  [1792] = {.lex_state = 237},
  [1793] = {.lex_state = 203},
  [1794] = {.lex_state = 237},
  [1795] = {.lex_state = 237},
  [1796] = {.lex_state = 237},
  [1797] = {.lex_state = 182},
  [1798] = {.lex_state = 177},
  [1799] = {.lex_state = 186},
  [1800] = {.lex_state = 238},
  [1801] = {.lex_state = 238},
  [1802] = {.lex_state = 193},
  [1803] = {.lex_state = 177},
  [1804] = {.lex_state = 177},
  [1805] = {.lex_state = 193},
  [1806] = {.lex_state = 195},
  [1807] = {.lex_state = 186},
  [1808] = {.lex_state = 238},
  [1809] = {.lex_state = 195},
  [1810] = {.lex_state = 186},
  [1811] = {.lex_state = 179},
  [1812] = {.lex_state = 195},
  [1813] = {.lex_state = 179},
  [1814] = {.lex_state = 195},
  [1815] = {.lex_state = 237},
  [1816] = {.lex_state = 204},
  [1817] = {.lex_state = 193},
  [1818] = {.lex_state = 182},
  [1819] = {.lex_state = 237},
  [1820] = {.lex_state = 237},
  [1821] = {.lex_state = 238},
  [1822] = {.lex_state = 193},
  [1823] = {.lex_state = 195},
  [1824] = {.lex_state = 204},
  [1825] = {.lex_state = 195},
  [1826] = {.lex_state = 179},
  [1827] = {.lex_state = 237},
  [1828] = {.lex_state = 236},
  [1829] = {.lex_state = 177},
  [1830] = {.lex_state = 185},
  [1831] = {.lex_state = 236},
  [1832] = {.lex_state = 238},
  [1833] = {.lex_state = 183},
  [1834] = {.lex_state = 177},
  [1835] = {.lex_state = 204},
  [1836] = {.lex_state = 204},
  [1837] = {.lex_state = 177},
  [1838] = {.lex_state = 204},
  [1839] = {.lex_state = 204},
  [1840] = {.lex_state = 204},
  [1841] = {.lex_state = 179},
  [1842] = {.lex_state = 179},
  [1843] = {.lex_state = 177},
  [1844] = {.lex_state = 193},
  [1845] = {.lex_state = 177},
  [1846] = {.lex_state = 198},
  [1847] = {.lex_state = 198},
  [1848] = {.lex_state = 237},
  [1849] = {.lex_state = 238},
  [1850] = {.lex_state = 237},
  [1851] = {.lex_state = 237},
  [1852] = {.lex_state = 204},
  [1853] = {.lex_state = 177},
  [1854] = {.lex_state = 185},
  [1855] = {.lex_state = 177},
  [1856] = {.lex_state = 204},
  [1857] = {.lex_state = 185},
  [1858] = {.lex_state = 183},
  [1859] = {.lex_state = 198},
  [1860] = {.lex_state = 237},
  [1861] = {.lex_state = 193},
  [1862] = {.lex_state = 237},
  [1863] = {.lex_state = 177},
  [1864] = {.lex_state = 237},
  [1865] = {.lex_state = 237},
  [1866] = {.lex_state = 195},
  [1867] = {.lex_state = 177},
  [1868] = {.lex_state = 204},
  [1869] = {.lex_state = 237},
  [1870] = {.lex_state = 204},
  [1871] = {.lex_state = 198},
  [1872] = {.lex_state = 238},
  [1873] = {.lex_state = 237},
  [1874] = {.lex_state = 197},
  [1875] = {.lex_state = 196},
  [1876] = {.lex_state = 193},
  [1877] = {.lex_state = 196},
  [1878] = {.lex_state = 198},
  [1879] = {.lex_state = 195},
  [1880] = {.lex_state = 195},
  [1881] = {.lex_state = 196},
  [1882] = {.lex_state = 196},
  [1883] = {.lex_state = 195},
  [1884] = {.lex_state = 177},
  [1885] = {.lex_state = 196},
  [1886] = {.lex_state = 198},
  [1887] = {.lex_state = 238},
  [1888] = {.lex_state = 193},
  [1889] = {.lex_state = 189},
  [1890] = {.lex_state = 198},
  [1891] = {.lex_state = 189},
  [1892] = {.lex_state = 179},
  [1893] = {.lex_state = 198},
  [1894] = {.lex_state = 238},
  [1895] = {.lex_state = 198},
  [1896] = {.lex_state = 179},
  [1897] = {.lex_state = 198},
  [1898] = {.lex_state = 197},
  [1899] = {.lex_state = 198},
  [1900] = {.lex_state = 195},
  [1901] = {.lex_state = 193},
  [1902] = {.lex_state = 179},
  [1903] = {.lex_state = 237},
  [1904] = {.lex_state = 237},
  [1905] = {.lex_state = 179},
  [1906] = {.lex_state = 237},
  [1907] = {.lex_state = 189},
  [1908] = {.lex_state = 237},
  [1909] = {.lex_state = 198},
  [1910] = {.lex_state = 187},
  [1911] = {.lex_state = 198},
  [1912] = {.lex_state = 195},
  [1913] = {.lex_state = 187},
  [1914] = {.lex_state = 198},
  [1915] = {.lex_state = 198},
  [1916] = {.lex_state = 237},
  [1917] = {.lex_state = 198},
  [1918] = {.lex_state = 177},
  [1919] = {.lex_state = 197},
  [1920] = {.lex_state = 197},
  [1921] = {.lex_state = 193},
  [1922] = {.lex_state = 238},
  [1923] = {.lex_state = 195},
  [1924] = {.lex_state = 196},
  [1925] = {.lex_state = 196},
  [1926] = {.lex_state = 193},
  [1927] = {.lex_state = 196},
  [1928] = {.lex_state = 236},
  [1929] = {.lex_state = 196},
  [1930] = {.lex_state = 198},
  [1931] = {.lex_state = 196},
  [1932] = {.lex_state = 198},
  [1933] = {.lex_state = 198},
  [1934] = {.lex_state = 193},
  [1935] = {.lex_state = 198},
  [1936] = {.lex_state = 236},
  [1937] = {.lex_state = 198},
  [1938] = {.lex_state = 239},
  [1939] = {.lex_state = 198},
  [1940] = {.lex_state = 238},
  [1941] = {.lex_state = 195},
  [1942] = {.lex_state = 238},
  [1943] = {.lex_state = 193},
  [1944] = {.lex_state = 193},
  [1945] = {.lex_state = 198},
  [1946] = {.lex_state = 193},
  [1947] = {.lex_state = 193},
  [1948] = {.lex_state = 193},
  [1949] = {.lex_state = 198},
  [1950] = {.lex_state = 193},
  [1951] = {.lex_state = 238},
  [1952] = {.lex_state = 198},
  [1953] = {.lex_state = 193},
  [1954] = {.lex_state = 195},
  [1955] = {.lex_state = 238},
  [1956] = {.lex_state = 195},
  [1957] = {.lex_state = 195},
  [1958] = {.lex_state = 193},
  [1959] = {.lex_state = 238},
  [1960] = {.lex_state = 198},
  [1961] = {.lex_state = 238},
  [1962] = {.lex_state = 238},
  [1963] = {.lex_state = 198},
  [1964] = {.lex_state = 198},
  [1965] = {.lex_state = 198},
  [1966] = {.lex_state = 195},
  [1967] = {.lex_state = 198},
  [1968] = {.lex_state = 179},
  [1969] = {.lex_state = 179},
  [1970] = {.lex_state = 198},
  [1971] = {.lex_state = 228},
  [1972] = {.lex_state = 198},
  [1973] = {.lex_state = 198},
  [1974] = {.lex_state = 195},
  [1975] = {.lex_state = 195},
  [1976] = {.lex_state = 195},
  [1977] = {.lex_state = 198},
  [1978] = {.lex_state = 238},
  [1979] = {.lex_state = 238},
  [1980] = {.lex_state = 198},
  [1981] = {.lex_state = 198},
  [1982] = {.lex_state = 198},
  [1983] = {.lex_state = 198},
  [1984] = {.lex_state = 193},
  [1985] = {.lex_state = 198},
  [1986] = {.lex_state = 193},
  [1987] = {.lex_state = 238},
  [1988] = {.lex_state = 238},
  [1989] = {.lex_state = 238},
  [1990] = {.lex_state = 238},
  [1991] = {.lex_state = 198},
  [1992] = {.lex_state = 193},
  [1993] = {.lex_state = 193},
  [1994] = {.lex_state = 193},
  [1995] = {.lex_state = 193},
  [1996] = {.lex_state = 238},
  [1997] = {.lex_state = 193},
  [1998] = {.lex_state = 193},
  [1999] = {.lex_state = 185},
  [2000] = {.lex_state = 193},
  [2001] = {.lex_state = 193},
  [2002] = {.lex_state = 193},
  [2003] = {.lex_state = 193},
  [2004] = {.lex_state = 193},
  [2005] = {.lex_state = 193},
  [2006] = {.lex_state = 193},
  [2007] = {.lex_state = 198},
  [2008] = {.lex_state = 193},
  [2009] = {.lex_state = 193},
  [2010] = {.lex_state = 193},
  [2011] = {.lex_state = 238},
  [2012] = {.lex_state = 238},
  [2013] = {.lex_state = 198},
  [2014] = {.lex_state = 198},
  [2015] = {.lex_state = 193},
  [2016] = {.lex_state = 198},
  [2017] = {.lex_state = 198},
  [2018] = {.lex_state = 196},
  [2019] = {.lex_state = 198},
  [2020] = {.lex_state = 198},
  [2021] = {.lex_state = 238},
  [2022] = {.lex_state = 193},
  [2023] = {.lex_state = 193},
  [2024] = {.lex_state = 193},
  [2025] = {.lex_state = 193},
  [2026] = {.lex_state = 193},
  [2027] = {.lex_state = 193},
  [2028] = {.lex_state = 193},
  [2029] = {.lex_state = 193},
  [2030] = {.lex_state = 198},
  [2031] = {.lex_state = 198},
  [2032] = {.lex_state = 238},
  [2033] = {.lex_state = 198},
  [2034] = {.lex_state = 198},
  [2035] = {.lex_state = 198},
  [2036] = {.lex_state = 196},
  [2037] = {.lex_state = 193},
  [2038] = {.lex_state = 238},
  [2039] = {.lex_state = 193},
  [2040] = {.lex_state = 198},
  [2041] = {.lex_state = 193},
  [2042] = {.lex_state = 238},
  [2043] = {.lex_state = 238},
  [2044] = {.lex_state = 193},
  [2045] = {.lex_state = 198},
  [2046] = {.lex_state = 193},
  [2047] = {.lex_state = 193},
  [2048] = {.lex_state = 193},
  [2049] = {.lex_state = 193},
  [2050] = {.lex_state = 193},
  [2051] = {.lex_state = 238},
  [2052] = {.lex_state = 238},
  [2053] = {.lex_state = 198},
  [2054] = {.lex_state = 193},
  [2055] = {.lex_state = 238},
  [2056] = {.lex_state = 239},
  [2057] = {.lex_state = 198},
  [2058] = {.lex_state = 238},
  [2059] = {.lex_state = 238},
  [2060] = {.lex_state = 238},
  [2061] = {.lex_state = 238},
  [2062] = {.lex_state = 238},
  [2063] = {.lex_state = 238},
  [2064] = {.lex_state = 238},
  [2065] = {.lex_state = 238},
  [2066] = {.lex_state = 193},
  [2067] = {.lex_state = 238},
  [2068] = {.lex_state = 193},
  [2069] = {.lex_state = 198},
  [2070] = {.lex_state = 193},
  [2071] = {.lex_state = 238},
  [2072] = {.lex_state = 238},
  [2073] = {.lex_state = 196},
  [2074] = {.lex_state = 196},
  [2075] = {.lex_state = 238},
  [2076] = {.lex_state = 238},
  [2077] = {.lex_state = 185},
  [2078] = {.lex_state = 193},
  [2079] = {.lex_state = 238},
  [2080] = {.lex_state = 196},
  [2081] = {.lex_state = 238},
  [2082] = {.lex_state = 193},
  [2083] = {.lex_state = 193},
  [2084] = {.lex_state = 193},
  [2085] = {.lex_state = 193},
  [2086] = {.lex_state = 193},
  [2087] = {.lex_state = 238},
  [2088] = {.lex_state = 193},
  [2089] = {.lex_state = 238},
  [2090] = {.lex_state = 238},
  [2091] = {.lex_state = 193},
  [2092] = {.lex_state = 193},
  [2093] = {.lex_state = 193},
  [2094] = {.lex_state = 238},
  [2095] = {.lex_state = 193},
  [2096] = {.lex_state = 193},
  [2097] = {.lex_state = 193},
  [2098] = {.lex_state = 193},
  [2099] = {.lex_state = 193},
  [2100] = {.lex_state = 193},
  [2101] = {.lex_state = 193},
  [2102] = {.lex_state = 198},
  [2103] = {.lex_state = 193},
  [2104] = {.lex_state = 196},
  [2105] = {.lex_state = 202},
  [2106] = {.lex_state = 238},
  [2107] = {.lex_state = 193},
  [2108] = {.lex_state = 238},
  [2109] = {.lex_state = 193},
  [2110] = {.lex_state = 202},
  [2111] = {.lex_state = 193},
  [2112] = {.lex_state = 238},
  [2113] = {.lex_state = 196},
  [2114] = {.lex_state = 193},
  [2115] = {.lex_state = 238},
  [2116] = {.lex_state = 238},
  [2117] = {.lex_state = 238},
  [2118] = {.lex_state = 238},
  [2119] = {.lex_state = 238},
  [2120] = {.lex_state = 238},
  [2121] = {.lex_state = 196},
  [2122] = {.lex_state = 193},
  [2123] = {.lex_state = 238},
  [2124] = {.lex_state = 193},
  [2125] = {.lex_state = 193},
  [2126] = {.lex_state = 193},
  [2127] = {.lex_state = 238},
  [2128] = {.lex_state = 193},
  [2129] = {.lex_state = 193},
  [2130] = {.lex_state = 193},
  [2131] = {.lex_state = 238},
  [2132] = {.lex_state = 193},
  [2133] = {.lex_state = 238},
  [2134] = {.lex_state = 238},
  [2135] = {.lex_state = 238},
  [2136] = {.lex_state = 238},
  [2137] = {.lex_state = 238},
  [2138] = {.lex_state = 238},
  [2139] = {.lex_state = 193},
  [2140] = {.lex_state = 238},
  [2141] = {.lex_state = 238},
  [2142] = {.lex_state = 193},
  [2143] = {.lex_state = 238},
  [2144] = {.lex_state = 238},
  [2145] = {.lex_state = 238},
  [2146] = {.lex_state = 238},
  [2147] = {.lex_state = 238},
  [2148] = {.lex_state = 193},
  [2149] = {.lex_state = 193},
  [2150] = {.lex_state = 193},
  [2151] = {.lex_state = 238},
  [2152] = {.lex_state = 238},
  [2153] = {.lex_state = 238},
  [2154] = {.lex_state = 238},
  [2155] = {.lex_state = 238},
  [2156] = {.lex_state = 238},
  [2157] = {.lex_state = 238},
  [2158] = {.lex_state = 238},
  [2159] = {.lex_state = 238},
  [2160] = {.lex_state = 238},
  [2161] = {.lex_state = 238},
  [2162] = {.lex_state = 238},
  [2163] = {.lex_state = 238},
  [2164] = {.lex_state = 238},
  [2165] = {.lex_state = 228},
  [2166] = {.lex_state = 238},
  [2167] = {.lex_state = 198},
  [2168] = {.lex_state = 228},
  [2169] = {.lex_state = 238},
  [2170] = {.lex_state = 238},
  [2171] = {.lex_state = 238},
  [2172] = {.lex_state = 193},
  [2173] = {.lex_state = 238},
  [2174] = {.lex_state = 238},
  [2175] = {.lex_state = 193},
  [2176] = {.lex_state = 238},
  [2177] = {.lex_state = 193},
  [2178] = {.lex_state = 193},
  [2179] = {.lex_state = 237},
  [2180] = {.lex_state = 179},
  [2181] = {.lex_state = 237},
  [2182] = {.lex_state = 198},
  [2183] = {.lex_state = 185},
  [2184] = {.lex_state = 237},
  [2185] = {.lex_state = 237},
  [2186] = {.lex_state = 237},
  [2187] = {.lex_state = 198},
  [2188] = {.lex_state = 204},
  [2189] = {.lex_state = 198},
  [2190] = {.lex_state = 179},
  [2191] = {.lex_state = 198},
  [2192] = {.lex_state = 237},
  [2193] = {.lex_state = 198},
  [2194] = {.lex_state = 237},
  [2195] = {.lex_state = 185},
  [2196] = {.lex_state = 198},
  [2197] = {.lex_state = 237},
  [2198] = {.lex_state = 195},
  [2199] = {.lex_state = 189},
  [2200] = {.lex_state = 189},
  [2201] = {.lex_state = 185},
  [2202] = {.lex_state = 198},
  [2203] = {.lex_state = 198},
  [2204] = {.lex_state = 185},
  [2205] = {.lex_state = 237},
  [2206] = {.lex_state = 237},
  [2207] = {.lex_state = 198},
  [2208] = {.lex_state = 237},
  [2209] = {.lex_state = 179},
  [2210] = {.lex_state = 198},
  [2211] = {.lex_state = 237},
  [2212] = {.lex_state = 237},
  [2213] = {.lex_state = 198},
  [2214] = {.lex_state = 195},
  [2215] = {.lex_state = 204},
  [2216] = {.lex_state = 185},
  [2217] = {.lex_state = 237},
  [2218] = {.lex_state = 202},
  [2219] = {.lex_state = 202},
  [2220] = {.lex_state = 195},
  [2221] = {.lex_state = 239},
  [2222] = {.lex_state = 239},
  [2223] = {.lex_state = 239},
  [2224] = {.lex_state = 237},
  [2225] = {.lex_state = 185},
  [2226] = {.lex_state = 237},
  [2227] = {.lex_state = 239},
  [2228] = {.lex_state = 239},
  [2229] = {.lex_state = 195},
  [2230] = {.lex_state = 179},
  [2231] = {.lex_state = 195},
  [2232] = {.lex_state = 185},
  [2233] = {.lex_state = 196},
  [2234] = {.lex_state = 204},
  [2235] = {.lex_state = 198},
  [2236] = {.lex_state = 198},
  [2237] = {.lex_state = 195},
  [2238] = {.lex_state = 198},
  [2239] = {.lex_state = 198},
  [2240] = {.lex_state = 201},
  [2241] = {.lex_state = 204},
  [2242] = {.lex_state = 198},
  [2243] = {.lex_state = 196},
  [2244] = {.lex_state = 227},
  [2245] = {.lex_state = 185},
  [2246] = {.lex_state = 196},
  [2247] = {.lex_state = 198},
  [2248] = {.lex_state = 204},
  [2249] = {.lex_state = 207},
  [2250] = {.lex_state = 204},
  [2251] = {.lex_state = 195},
  [2252] = {.lex_state = 208},
  [2253] = {.lex_state = 204},
  [2254] = {.lex_state = 185},
  [2255] = {.lex_state = 185},
  [2256] = {.lex_state = 227},
  [2257] = {.lex_state = 195},
  [2258] = {.lex_state = 227},
  [2259] = {.lex_state = 227},
  [2260] = {.lex_state = 195},
  [2261] = {.lex_state = 198},
  [2262] = {.lex_state = 227},
  [2263] = {.lex_state = 204},
  [2264] = {.lex_state = 189},
  [2265] = {.lex_state = 196},
  [2266] = {.lex_state = 204},
  [2267] = {.lex_state = 204},
  [2268] = {.lex_state = 210},
  [2269] = {.lex_state = 189},
  [2270] = {.lex_state = 204},
  [2271] = {.lex_state = 195},
  [2272] = {.lex_state = 204},
  [2273] = {.lex_state = 198},
  [2274] = {.lex_state = 189},
  [2275] = {.lex_state = 189},
  [2276] = {.lex_state = 185},
  [2277] = {.lex_state = 198},
  [2278] = {.lex_state = 210},
  [2279] = {.lex_state = 204},
  [2280] = {.lex_state = 210},
  [2281] = {.lex_state = 179},
  [2282] = {.lex_state = 179},
  [2283] = {.lex_state = 204},
  [2284] = {.lex_state = 179},
  [2285] = {.lex_state = 196},
  [2286] = {.lex_state = 227},
  [2287] = {.lex_state = 195},
  [2288] = {.lex_state = 227},
  [2289] = {.lex_state = 227},
  [2290] = {.lex_state = 179},
  [2291] = {.lex_state = 195},
  [2292] = {.lex_state = 198},
  [2293] = {.lex_state = 198},
  [2294] = {.lex_state = 198},
  [2295] = {.lex_state = 198},
  [2296] = {.lex_state = 198},
  [2297] = {.lex_state = 198},
  [2298] = {.lex_state = 218},
  [2299] = {.lex_state = 198},
  [2300] = {.lex_state = 198},
  [2301] = {.lex_state = 189},
  [2302] = {.lex_state = 198},
  [2303] = {.lex_state = 198},
  [2304] = {.lex_state = 198},
  [2305] = {.lex_state = 198},
  [2306] = {.lex_state = 198},
  [2307] = {.lex_state = 239},
  [2308] = {.lex_state = 198},
  [2309] = {.lex_state = 198},
  [2310] = {.lex_state = 198},
  [2311] = {.lex_state = 198},
  [2312] = {.lex_state = 198},
  [2313] = {.lex_state = 198},
  [2314] = {.lex_state = 215},
  [2315] = {.lex_state = 198},
  [2316] = {.lex_state = 198},
  [2317] = {.lex_state = 198},
  [2318] = {.lex_state = 198},
  [2319] = {.lex_state = 198},
  [2320] = {.lex_state = 198},
  [2321] = {.lex_state = 198},
  [2322] = {.lex_state = 198},
  [2323] = {.lex_state = 198},
  [2324] = {.lex_state = 198},
  [2325] = {.lex_state = 198},
  [2326] = {.lex_state = 214},
  [2327] = {.lex_state = 198},
  [2328] = {.lex_state = 198},
  [2329] = {.lex_state = 198},
  [2330] = {.lex_state = 198},
  [2331] = {.lex_state = 198},
  [2332] = {.lex_state = 185},
  [2333] = {.lex_state = 198},
  [2334] = {.lex_state = 218},
  [2335] = {.lex_state = 198},
  [2336] = {.lex_state = 189},
  [2337] = {.lex_state = 198},
  [2338] = {.lex_state = 198},
  [2339] = {.lex_state = 198},
  [2340] = {.lex_state = 198},
  [2341] = {.lex_state = 198},
  [2342] = {.lex_state = 198},
  [2343] = {.lex_state = 198},
  [2344] = {.lex_state = 198},
  [2345] = {.lex_state = 198},
  [2346] = {.lex_state = 198},
  [2347] = {.lex_state = 207},
  [2348] = {.lex_state = 198},
  [2349] = {.lex_state = 198},
  [2350] = {.lex_state = 198},
  [2351] = {.lex_state = 198},
  [2352] = {.lex_state = 198},
  [2353] = {.lex_state = 198},
  [2354] = {.lex_state = 198},
  [2355] = {.lex_state = 198},
  [2356] = {.lex_state = 198},
  [2357] = {.lex_state = 198},
  [2358] = {.lex_state = 185},
  [2359] = {.lex_state = 198},
  [2360] = {.lex_state = 198},
  [2361] = {.lex_state = 237},
  [2362] = {.lex_state = 237},
  [2363] = {.lex_state = 198},
  [2364] = {.lex_state = 198},
  [2365] = {.lex_state = 227},
  [2366] = {.lex_state = 198},
  [2367] = {.lex_state = 189},
  [2368] = {.lex_state = 198},
  [2369] = {.lex_state = 218},
  [2370] = {.lex_state = 198},
  [2371] = {.lex_state = 198},
  [2372] = {.lex_state = 198},
  [2373] = {.lex_state = 198},
  [2374] = {.lex_state = 198},
  [2375] = {.lex_state = 198},
  [2376] = {.lex_state = 198},
  [2377] = {.lex_state = 237},
  [2378] = {.lex_state = 189},
  [2379] = {.lex_state = 198},
  [2380] = {.lex_state = 198},
  [2381] = {.lex_state = 198},
  [2382] = {.lex_state = 198},
  [2383] = {.lex_state = 198},
  [2384] = {.lex_state = 198},
  [2385] = {.lex_state = 198},
  [2386] = {.lex_state = 239},
  [2387] = {.lex_state = 198},
  [2388] = {.lex_state = 239},
  [2389] = {.lex_state = 214},
  [2390] = {.lex_state = 185},
  [2391] = {.lex_state = 185},
  [2392] = {.lex_state = 207},
  [2393] = {.lex_state = 239},
  [2394] = {.lex_state = 239},
  [2395] = {.lex_state = 239},
  [2396] = {.lex_state = 181},
  [2397] = {.lex_state = 185},
  [2398] = {.lex_state = 207},
  [2399] = {.lex_state = 181},
  [2400] = {.lex_state = 207},
  [2401] = {.lex_state = 185},
  [2402] = {.lex_state = 207},
  [2403] = {.lex_state = 207},
  [2404] = {.lex_state = 207},
  [2405] = {.lex_state = 207},
  [2406] = {.lex_state = 207},
  [2407] = {.lex_state = 207},
  [2408] = {.lex_state = 239},
  [2409] = {.lex_state = 181},
  [2410] = {.lex_state = 237},
  [2411] = {.lex_state = 239},
  [2412] = {.lex_state = 237},
  [2413] = {.lex_state = 226},
  [2414] = {.lex_state = 207},
  [2415] = {.lex_state = 226},
  [2416] = {.lex_state = 226},
  [2417] = {.lex_state = 226},
  [2418] = {.lex_state = 207},
  [2419] = {.lex_state = 185},
  [2420] = {.lex_state = 210},
  [2421] = {.lex_state = 239},
  [2422] = {.lex_state = 226},
  [2423] = {.lex_state = 239},
  [2424] = {.lex_state = 210},
  [2425] = {.lex_state = 226},
  [2426] = {.lex_state = 185},
  [2427] = {.lex_state = 239},
  [2428] = {.lex_state = 226},
  [2429] = {.lex_state = 208},
  [2430] = {.lex_state = 239},
  [2431] = {.lex_state = 207},
  [2432] = {.lex_state = 239},
  [2433] = {.lex_state = 239},
  [2434] = {.lex_state = 226},
  [2435] = {.lex_state = 239},
  [2436] = {.lex_state = 226},
  [2437] = {.lex_state = 239},
  [2438] = {.lex_state = 214},
  [2439] = {.lex_state = 207},
  [2440] = {.lex_state = 207},
  [2441] = {.lex_state = 227},
  [2442] = {.lex_state = 239},
  [2443] = {.lex_state = 239},
  [2444] = {.lex_state = 207},
  [2445] = {.lex_state = 239},
  [2446] = {.lex_state = 239},
  [2447] = {.lex_state = 239},
  [2448] = {.lex_state = 239},
  [2449] = {.lex_state = 227},
  [2450] = {.lex_state = 239},
  [2451] = {.lex_state = 239},
  [2452] = {.lex_state = 239},
  [2453] = {.lex_state = 239},
  [2454] = {.lex_state = 239},
  [2455] = {.lex_state = 239},
  [2456] = {.lex_state = 239},
  [2457] = {.lex_state = 208},
  [2458] = {.lex_state = 239},
  [2459] = {.lex_state = 239},
  [2460] = {.lex_state = 239},
  [2461] = {.lex_state = 239},
  [2462] = {.lex_state = 239},
  [2463] = {.lex_state = 239},
  [2464] = {.lex_state = 208},
  [2465] = {.lex_state = 239},
  [2466] = {.lex_state = 239},
  [2467] = {.lex_state = 214},
  [2468] = {.lex_state = 239},
  [2469] = {.lex_state = 239},
  [2470] = {.lex_state = 214},
  [2471] = {.lex_state = 185},
  [2472] = {.lex_state = 214},
  [2473] = {.lex_state = 226},
  [2474] = {.lex_state = 239},
  [2475] = {.lex_state = 226},
  [2476] = {.lex_state = 214},
  [2477] = {.lex_state = 214},
  [2478] = {.lex_state = 210},
  [2479] = {.lex_state = 239},
  [2480] = {.lex_state = 226},
  [2481] = {.lex_state = 185},
  [2482] = {.lex_state = 214},
  [2483] = {.lex_state = 214},
  [2484] = {.lex_state = 214},
  [2485] = {.lex_state = 207},
  [2486] = {.lex_state = 239},
  [2487] = {.lex_state = 239},
  [2488] = {.lex_state = 239},
  [2489] = {.lex_state = 239},
  [2490] = {.lex_state = 239},
  [2491] = {.lex_state = 239},
  [2492] = {.lex_state = 239},
  [2493] = {.lex_state = 174},
  [2494] = {.lex_state = 239},
  [2495] = {.lex_state = 207},
  [2496] = {.lex_state = 174},
  [2497] = {.lex_state = 227},
  [2498] = {.lex_state = 215},
  [2499] = {.lex_state = 227},
  [2500] = {.lex_state = 227},
  [2501] = {.lex_state = 215},
  [2502] = {.lex_state = 227},
  [2503] = {.lex_state = 227},
  [2504] = {.lex_state = 227},
  [2505] = {.lex_state = 207},
  [2506] = {.lex_state = 227},
  [2507] = {.lex_state = 227},
  [2508] = {.lex_state = 239},
  [2509] = {.lex_state = 214},
  [2510] = {.lex_state = 227},
  [2511] = {.lex_state = 227},
  [2512] = {.lex_state = 207},
  [2513] = {.lex_state = 214},
  [2514] = {.lex_state = 214},
  [2515] = {.lex_state = 227},
  [2516] = {.lex_state = 227},
  [2517] = {.lex_state = 214},
  [2518] = {.lex_state = 227},
  [2519] = {.lex_state = 239},
  [2520] = {.lex_state = 214},
  [2521] = {.lex_state = 207},
  [2522] = {.lex_state = 239},
  [2523] = {.lex_state = 239},
  [2524] = {.lex_state = 239},
  [2525] = {.lex_state = 236},
  [2526] = {.lex_state = 207},
  [2527] = {.lex_state = 239},
  [2528] = {.lex_state = 239},
  [2529] = {.lex_state = 208},
  [2530] = {.lex_state = 214},
  [2531] = {.lex_state = 236},
  [2532] = {.lex_state = 207},
  [2533] = {.lex_state = 239},
  [2534] = {.lex_state = 195},
  [2535] = {.lex_state = 181},
  [2536] = {.lex_state = 195},
  [2537] = {.lex_state = 195},
  [2538] = {.lex_state = 227},
  [2539] = {.lex_state = 195},
  [2540] = {.lex_state = 215},
  [2541] = {.lex_state = 227},
  [2542] = {.lex_state = 227},
  [2543] = {.lex_state = 226},
  [2544] = {.lex_state = 207},
  [2545] = {.lex_state = 231},
  [2546] = {.lex_state = 227},
  [2547] = {.lex_state = 207},
  [2548] = {.lex_state = 207},
  [2549] = {.lex_state = 227},
  [2550] = {.lex_state = 227},
  [2551] = {.lex_state = 239},
  [2552] = {.lex_state = 239},
  [2553] = {.lex_state = 195},
  [2554] = {.lex_state = 239},
  [2555] = {.lex_state = 195},
  [2556] = {.lex_state = 195},
  [2557] = {.lex_state = 195},
  [2558] = {.lex_state = 207},
  [2559] = {.lex_state = 239},
  [2560] = {.lex_state = 207},
  [2561] = {.lex_state = 195},
  [2562] = {.lex_state = 207},
  [2563] = {.lex_state = 227},
  [2564] = {.lex_state = 195},
  [2565] = {.lex_state = 239},
  [2566] = {.lex_state = 195},
  [2567] = {.lex_state = 231},
  [2568] = {.lex_state = 239},
  [2569] = {.lex_state = 207},
  [2570] = {.lex_state = 207},
  [2571] = {.lex_state = 239},
  [2572] = {.lex_state = 207},
  [2573] = {.lex_state = 239},
  [2574] = {.lex_state = 226},
  [2575] = {.lex_state = 195},
  [2576] = {.lex_state = 181},
  [2577] = {.lex_state = 181},
  [2578] = {.lex_state = 214},
  [2579] = {.lex_state = 231},
  [2580] = {.lex_state = 231},
  [2581] = {.lex_state = 207},
  [2582] = {.lex_state = 195},
  [2583] = {.lex_state = 195},
  [2584] = {.lex_state = 195},
  [2585] = {.lex_state = 195},
  [2586] = {.lex_state = 195},
  [2587] = {.lex_state = 214},
  [2588] = {.lex_state = 214},
  [2589] = {.lex_state = 214},
  [2590] = {.lex_state = 181},
  [2591] = {.lex_state = 207},
  [2592] = {.lex_state = 174},
  [2593] = {.lex_state = 174},
  [2594] = {.lex_state = 223},
  [2595] = {.lex_state = 174},
  [2596] = {.lex_state = 207},
  [2597] = {.lex_state = 174},
  [2598] = {.lex_state = 225},
  [2599] = {.lex_state = 227},
  [2600] = {.lex_state = 225},
  [2601] = {.lex_state = 227},
  [2602] = {.lex_state = 227},
  [2603] = {.lex_state = 207},
  [2604] = {.lex_state = 239},
  [2605] = {.lex_state = 207},
  [2606] = {.lex_state = 227},
  [2607] = {.lex_state = 207},
  [2608] = {.lex_state = 208},
  [2609] = {.lex_state = 227},
  [2610] = {.lex_state = 227},
  [2611] = {.lex_state = 174},
  [2612] = {.lex_state = 223},
  [2613] = {.lex_state = 236},
  [2614] = {.lex_state = 207},
  [2615] = {.lex_state = 207},
  [2616] = {.lex_state = 223},
  [2617] = {.lex_state = 227},
  [2618] = {.lex_state = 207},
  [2619] = {.lex_state = 174},
  [2620] = {.lex_state = 174},
  [2621] = {.lex_state = 227},
  [2622] = {.lex_state = 223},
  [2623] = {.lex_state = 174},
  [2624] = {.lex_state = 239},
  [2625] = {.lex_state = 227},
  [2626] = {.lex_state = 207},
  [2627] = {.lex_state = 227},
  [2628] = {.lex_state = 207},
  [2629] = {.lex_state = 174},
  [2630] = {.lex_state = 214},
  [2631] = {.lex_state = 207},
  [2632] = {.lex_state = 227},
  [2633] = {.lex_state = 208},
  [2634] = {.lex_state = 225},
  [2635] = {.lex_state = 227},
  [2636] = {.lex_state = 214},
  [2637] = {.lex_state = 207},
  [2638] = {.lex_state = 196},
  [2639] = {.lex_state = 227},
  [2640] = {.lex_state = 227},
  [2641] = {.lex_state = 227},
  [2642] = {.lex_state = 174},
  [2643] = {.lex_state = 196},
  [2644] = {.lex_state = 223},
  [2645] = {.lex_state = 227},
  [2646] = {.lex_state = 227},
  [2647] = {.lex_state = 174},
  [2648] = {.lex_state = 227},
  [2649] = {.lex_state = 174},
  [2650] = {.lex_state = 174},
  [2651] = {.lex_state = 227},
  [2652] = {.lex_state = 174},
  [2653] = {.lex_state = 174},
  [2654] = {.lex_state = 174},
  [2655] = {.lex_state = 196},
  [2656] = {.lex_state = 207},
  [2657] = {.lex_state = 227},
  [2658] = {.lex_state = 227},
  [2659] = {.lex_state = 227},
  [2660] = {.lex_state = 207},
  [2661] = {.lex_state = 207},
  [2662] = {.lex_state = 207},
  [2663] = {.lex_state = 207},
  [2664] = {.lex_state = 207},
  [2665] = {.lex_state = 207},
  [2666] = {.lex_state = 207},
  [2667] = {.lex_state = 202},
  [2668] = {.lex_state = 227},
  [2669] = {.lex_state = 199},
  [2670] = {.lex_state = 194},
  [2671] = {.lex_state = 196},
  [2672] = {.lex_state = 227},
  [2673] = {.lex_state = 239},
  [2674] = {.lex_state = 174},
  [2675] = {.lex_state = 196},
  [2676] = {.lex_state = 225},
  [2677] = {.lex_state = 196},
  [2678] = {.lex_state = 196},
  [2679] = {.lex_state = 207},
  [2680] = {.lex_state = 174},
  [2681] = {.lex_state = 199},
  [2682] = {.lex_state = 199},
  [2683] = {.lex_state = 227},
  [2684] = {.lex_state = 174},
  [2685] = {.lex_state = 227},
  [2686] = {.lex_state = 207},
  [2687] = {.lex_state = 227},
  [2688] = {.lex_state = 207},
  [2689] = {.lex_state = 223},
  [2690] = {.lex_state = 236},
  [2691] = {.lex_state = 227},
  [2692] = {.lex_state = 227},
  [2693] = {.lex_state = 207},
  [2694] = {.lex_state = 227},
  [2695] = {.lex_state = 227},
  [2696] = {.lex_state = 223},
  [2697] = {.lex_state = 207},
  [2698] = {.lex_state = 202},
  [2699] = {.lex_state = 174},
  [2700] = {.lex_state = 227},
  [2701] = {.lex_state = 227},
  [2702] = {.lex_state = 192},
  [2703] = {.lex_state = 207},
  [2704] = {.lex_state = 192},
  [2705] = {.lex_state = 202},
  [2706] = {.lex_state = 207},
  [2707] = {.lex_state = 192},
  [2708] = {.lex_state = 223},
  [2709] = {.lex_state = 207},
  [2710] = {.lex_state = 207},
  [2711] = {.lex_state = 195},
  [2712] = {.lex_state = 223},
  [2713] = {.lex_state = 223},
  [2714] = {.lex_state = 214},
  [2715] = {.lex_state = 214},
  [2716] = {.lex_state = 223},
  [2717] = {.lex_state = 192},
  [2718] = {.lex_state = 195},
  [2719] = {.lex_state = 195},
  [2720] = {.lex_state = 195},
  [2721] = {.lex_state = 207},
  [2722] = {.lex_state = 214},
  [2723] = {.lex_state = 195},
  [2724] = {.lex_state = 207},
  [2725] = {.lex_state = 214},
  [2726] = {.lex_state = 214},
  [2727] = {.lex_state = 195},
  [2728] = {.lex_state = 214},
  [2729] = {.lex_state = 194},
  [2730] = {.lex_state = 195},
  [2731] = {.lex_state = 239},
  [2732] = {.lex_state = 223},
  [2733] = {.lex_state = 214},
  [2734] = {.lex_state = 195},
  [2735] = {.lex_state = 195},
  [2736] = {.lex_state = 195},
  [2737] = {.lex_state = 199},
  [2738] = {.lex_state = 207},
  [2739] = {.lex_state = 195},
  [2740] = {.lex_state = 214},
  [2741] = {.lex_state = 195},
  [2742] = {.lex_state = 199},
  [2743] = {.lex_state = 207},
  [2744] = {.lex_state = 207},
  [2745] = {.lex_state = 214},
  [2746] = {.lex_state = 214},
  [2747] = {.lex_state = 195},
  [2748] = {.lex_state = 195},
  [2749] = {.lex_state = 223},
  [2750] = {.lex_state = 208},
  [2751] = {.lex_state = 195},
  [2752] = {.lex_state = 207},
  [2753] = {.lex_state = 192},
  [2754] = {.lex_state = 207},
  [2755] = {.lex_state = 192},
  [2756] = {.lex_state = 214},
  [2757] = {.lex_state = 195},
  [2758] = {.lex_state = 195},
  [2759] = {.lex_state = 239},
  [2760] = {.lex_state = 195},
  [2761] = {.lex_state = 199},
  [2762] = {.lex_state = 214},
  [2763] = {.lex_state = 207},
  [2764] = {.lex_state = 207},
  [2765] = {.lex_state = 207},
  [2766] = {.lex_state = 207},
  [2767] = {.lex_state = 207},
  [2768] = {.lex_state = 223},
  [2769] = {.lex_state = 202},
  [2770] = {.lex_state = 202},
  [2771] = {.lex_state = 214},
  [2772] = {.lex_state = 202},
  [2773] = {.lex_state = 217},
  [2774] = {.lex_state = 217},
  [2775] = {.lex_state = 207},
  [2776] = {.lex_state = 207},
  [2777] = {.lex_state = 207},
  [2778] = {.lex_state = 207},
  [2779] = {.lex_state = 207},
  [2780] = {.lex_state = 202},
  [2781] = {.lex_state = 207},
  [2782] = {.lex_state = 207},
  [2783] = {.lex_state = 202},
  [2784] = {.lex_state = 168},
  [2785] = {.lex_state = 207},
  [2786] = {.lex_state = 207},
  [2787] = {.lex_state = 217},
  [2788] = {.lex_state = 207},
  [2789] = {.lex_state = 207},
  [2790] = {.lex_state = 207},
  [2791] = {.lex_state = 239},
  [2792] = {.lex_state = 192},
  [2793] = {.lex_state = 207},
  [2794] = {.lex_state = 207},
  [2795] = {.lex_state = 168},
  [2796] = {.lex_state = 239},
  [2797] = {.lex_state = 202},
  [2798] = {.lex_state = 207},
  [2799] = {.lex_state = 202},
  [2800] = {.lex_state = 202},
  [2801] = {.lex_state = 214},
  [2802] = {.lex_state = 202},
  [2803] = {.lex_state = 168},
  [2804] = {.lex_state = 207},
  [2805] = {.lex_state = 202},
  [2806] = {.lex_state = 202},
  [2807] = {.lex_state = 207},
  [2808] = {.lex_state = 207},
  [2809] = {.lex_state = 217},
  [2810] = {.lex_state = 207},
  [2811] = {.lex_state = 202},
  [2812] = {.lex_state = 202},
  [2813] = {.lex_state = 207},
  [2814] = {.lex_state = 202},
  [2815] = {.lex_state = 239},
  [2816] = {.lex_state = 207},
  [2817] = {.lex_state = 217},
  [2818] = {.lex_state = 207},
  [2819] = {.lex_state = 207},
  [2820] = {.lex_state = 168},
  [2821] = {.lex_state = 207},
  [2822] = {.lex_state = 207},
  [2823] = {.lex_state = 207},
  [2824] = {.lex_state = 207},
  [2825] = {.lex_state = 181},
  [2826] = {.lex_state = 202},
  [2827] = {.lex_state = 181},
  [2828] = {.lex_state = 207},
  [2829] = {.lex_state = 207},
  [2830] = {.lex_state = 202},
  [2831] = {.lex_state = 202},
  [2832] = {.lex_state = 214},
  [2833] = {.lex_state = 202},
  [2834] = {.lex_state = 202},
  [2835] = {.lex_state = 192},
  [2836] = {.lex_state = 207},
  [2837] = {.lex_state = 207},
  [2838] = {.lex_state = 207},
  [2839] = {.lex_state = 202},
  [2840] = {.lex_state = 202},
  [2841] = {.lex_state = 207},
  [2842] = {.lex_state = 192},
  [2843] = {.lex_state = 214},
  [2844] = {.lex_state = 202},
  [2845] = {.lex_state = 207},
  [2846] = {.lex_state = 214},
  [2847] = {.lex_state = 168},
  [2848] = {.lex_state = 207},
  [2849] = {.lex_state = 239},
  [2850] = {.lex_state = 202},
  [2851] = {.lex_state = 239},
  [2852] = {.lex_state = 207},
  [2853] = {.lex_state = 207},
  [2854] = {.lex_state = 202},
  [2855] = {.lex_state = 214},
  [2856] = {.lex_state = 214},
  [2857] = {.lex_state = 239},
  [2858] = {.lex_state = 207},
  [2859] = {.lex_state = 207},
  [2860] = {.lex_state = 168},
  [2861] = {.lex_state = 207},
  [2862] = {.lex_state = 214},
  [2863] = {.lex_state = 214},
  [2864] = {.lex_state = 202},
  [2865] = {.lex_state = 226},
  [2866] = {.lex_state = 242},
  [2867] = {.lex_state = 214},
  [2868] = {.lex_state = 214},
  [2869] = {.lex_state = 214},
  [2870] = {.lex_state = 181},
  [2871] = {.lex_state = 214},
  [2872] = {.lex_state = 214},
  [2873] = {.lex_state = 207},
  [2874] = {.lex_state = 207},
  [2875] = {.lex_state = 207},
  [2876] = {.lex_state = 207},
  [2877] = {.lex_state = 207},
  [2878] = {.lex_state = 207},
  [2879] = {.lex_state = 207},
  [2880] = {.lex_state = 207},
  [2881] = {.lex_state = 214},
  [2882] = {.lex_state = 214},
  [2883] = {.lex_state = 195},
  [2884] = {.lex_state = 207},
  [2885] = {.lex_state = 207},
  [2886] = {.lex_state = 195},
  [2887] = {.lex_state = 207},
  [2888] = {.lex_state = 195},
  [2889] = {.lex_state = 207},
  [2890] = {.lex_state = 195},
  [2891] = {.lex_state = 207},
  [2892] = {.lex_state = 195},
  [2893] = {.lex_state = 195},
  [2894] = {.lex_state = 237},
  [2895] = {.lex_state = 207},
  [2896] = {.lex_state = 195},
  [2897] = {.lex_state = 195},
  [2898] = {.lex_state = 195},
  [2899] = {.lex_state = 239},
  [2900] = {.lex_state = 207},
  [2901] = {.lex_state = 207},
  [2902] = {.lex_state = 195},
  [2903] = {.lex_state = 214},
  [2904] = {.lex_state = 214},
  [2905] = {.lex_state = 216},
  [2906] = {.lex_state = 214},
  [2907] = {.lex_state = 214},
  [2908] = {.lex_state = 214},
  [2909] = {.lex_state = 214},
  [2910] = {.lex_state = 214},
  [2911] = {.lex_state = 240},
  [2912] = {.lex_state = 239},
  [2913] = {.lex_state = 214},
  [2914] = {.lex_state = 214},
  [2915] = {.lex_state = 239},
  [2916] = {.lex_state = 239},
  [2917] = {.lex_state = 240},
  [2918] = {.lex_state = 214},
  [2919] = {.lex_state = 195},
  [2920] = {.lex_state = 195},
  [2921] = {.lex_state = 207},
  [2922] = {.lex_state = 207},
  [2923] = {.lex_state = 214},
  [2924] = {.lex_state = 207},
  [2925] = {.lex_state = 207},
  [2926] = {.lex_state = 214},
  [2927] = {.lex_state = 217},
  [2928] = {.lex_state = 195},
  [2929] = {.lex_state = 239},
  [2930] = {.lex_state = 195},
  [2931] = {.lex_state = 214},
  [2932] = {.lex_state = 207},
  [2933] = {.lex_state = 207},
  [2934] = {.lex_state = 195},
  [2935] = {.lex_state = 192},
  [2936] = {.lex_state = 195},
  [2937] = {.lex_state = 214},
  [2938] = {.lex_state = 214},
  [2939] = {.lex_state = 214},
  [2940] = {.lex_state = 202},
  [2941] = {.lex_state = 192},
  [2942] = {.lex_state = 214},
  [2943] = {.lex_state = 239},
  [2944] = {.lex_state = 214},
  [2945] = {.lex_state = 207},
  [2946] = {.lex_state = 239},
  [2947] = {.lex_state = 239},
  [2948] = {.lex_state = 181},
  [2949] = {.lex_state = 214},
  [2950] = {.lex_state = 239},
  [2951] = {.lex_state = 207},
  [2952] = {.lex_state = 239},
  [2953] = {.lex_state = 239},
  [2954] = {.lex_state = 214},
  [2955] = {.lex_state = 214},
  [2956] = {.lex_state = 207},
  [2957] = {.lex_state = 214},
  [2958] = {.lex_state = 207},
  [2959] = {.lex_state = 207},
  [2960] = {.lex_state = 214},
  [2961] = {.lex_state = 207},
  [2962] = {.lex_state = 207},
  [2963] = {.lex_state = 214},
  [2964] = {.lex_state = 207},
  [2965] = {.lex_state = 207},
  [2966] = {.lex_state = 239},
  [2967] = {.lex_state = 214},
  [2968] = {.lex_state = 207},
  [2969] = {.lex_state = 214},
  [2970] = {.lex_state = 239},
  [2971] = {.lex_state = 207},
  [2972] = {.lex_state = 207},
  [2973] = {.lex_state = 195},
  [2974] = {.lex_state = 207},
  [2975] = {.lex_state = 214},
  [2976] = {.lex_state = 214},
  [2977] = {.lex_state = 207},
  [2978] = {.lex_state = 207},
  [2979] = {.lex_state = 194},
  [2980] = {.lex_state = 207},
  [2981] = {.lex_state = 194},
  [2982] = {.lex_state = 214},
  [2983] = {.lex_state = 217},
  [2984] = {.lex_state = 237},
  [2985] = {.lex_state = 209},
  [2986] = {.lex_state = 240},
  [2987] = {.lex_state = 207},
  [2988] = {.lex_state = 214},
  [2989] = {.lex_state = 207},
  [2990] = {.lex_state = 214},
  [2991] = {.lex_state = 239},
  [2992] = {.lex_state = 181},
  [2993] = {.lex_state = 237},
  [2994] = {.lex_state = 207},
  [2995] = {.lex_state = 192},
  [2996] = {.lex_state = 223},
  [2997] = {.lex_state = 214},
  [2998] = {.lex_state = 207},
  [2999] = {.lex_state = 239},
  [3000] = {.lex_state = 192},
  [3001] = {.lex_state = 214},
  [3002] = {.lex_state = 204},
  [3003] = {.lex_state = 192},
  [3004] = {.lex_state = 192},
  [3005] = {.lex_state = 192},
  [3006] = {.lex_state = 214},
  [3007] = {.lex_state = 213},
  [3008] = {.lex_state = 207},
  [3009] = {.lex_state = 214},
  [3010] = {.lex_state = 192},
  [3011] = {.lex_state = 211},
  [3012] = {.lex_state = 214},
  [3013] = {.lex_state = 207},
  [3014] = {.lex_state = 207},
  [3015] = {.lex_state = 195},
  [3016] = {.lex_state = 214},
  [3017] = {.lex_state = 192},
  [3018] = {.lex_state = 192},
  [3019] = {.lex_state = 214},
  [3020] = {.lex_state = 237},
  [3021] = {.lex_state = 192},
  [3022] = {.lex_state = 237},
  [3023] = {.lex_state = 192},
  [3024] = {.lex_state = 214},
  [3025] = {.lex_state = 214},
  [3026] = {.lex_state = 192},
  [3027] = {.lex_state = 192},
  [3028] = {.lex_state = 214},
  [3029] = {.lex_state = 214},
  [3030] = {.lex_state = 214},
  [3031] = {.lex_state = 214},
  [3032] = {.lex_state = 192},
  [3033] = {.lex_state = 214},
  [3034] = {.lex_state = 207},
  [3035] = {.lex_state = 237},
  [3036] = {.lex_state = 214},
  [3037] = {.lex_state = 214},
  [3038] = {.lex_state = 239},
  [3039] = {.lex_state = 237},
  [3040] = {.lex_state = 214},
  [3041] = {.lex_state = 214},
  [3042] = {.lex_state = 207},
  [3043] = {.lex_state = 174},
  [3044] = {.lex_state = 240},
  [3045] = {.lex_state = 198},
  [3046] = {.lex_state = 192},
  [3047] = {.lex_state = 198},
  [3048] = {.lex_state = 198},
  [3049] = {.lex_state = 198},
  [3050] = {.lex_state = 198},
  [3051] = {.lex_state = 237},
  [3052] = {.lex_state = 192},
  [3053] = {.lex_state = 181},
  [3054] = {.lex_state = 237},
  [3055] = {.lex_state = 207},
  [3056] = {.lex_state = 192},
  [3057] = {.lex_state = 223},
  [3058] = {.lex_state = 214},
  [3059] = {.lex_state = 207},
  [3060] = {.lex_state = 239},
  [3061] = {.lex_state = 214},
  [3062] = {.lex_state = 214},
  [3063] = {.lex_state = 207},
  [3064] = {.lex_state = 198},
  [3065] = {.lex_state = 198},
  [3066] = {.lex_state = 207},
  [3067] = {.lex_state = 207},
  [3068] = {.lex_state = 198},
  [3069] = {.lex_state = 214},
  [3070] = {.lex_state = 239},
  [3071] = {.lex_state = 214},
  [3072] = {.lex_state = 207},
  [3073] = {.lex_state = 207},
  [3074] = {.lex_state = 214},
  [3075] = {.lex_state = 207},
  [3076] = {.lex_state = 198},
  [3077] = {.lex_state = 214},
  [3078] = {.lex_state = 192},
  [3079] = {.lex_state = 198},
  [3080] = {.lex_state = 199},
  [3081] = {.lex_state = 198},
  [3082] = {.lex_state = 198},
  [3083] = {.lex_state = 198},
  [3084] = {.lex_state = 192},
  [3085] = {.lex_state = 198},
  [3086] = {.lex_state = 198},
  [3087] = {.lex_state = 194},
  [3088] = {.lex_state = 192},
  [3089] = {.lex_state = 194},
  [3090] = {.lex_state = 195},
  [3091] = {.lex_state = 192},
  [3092] = {.lex_state = 198},
  [3093] = {.lex_state = 198},
  [3094] = {.lex_state = 207},
  [3095] = {.lex_state = 192},
  [3096] = {.lex_state = 198},
  [3097] = {.lex_state = 198},
  [3098] = {.lex_state = 192},
  [3099] = {.lex_state = 198},
  [3100] = {.lex_state = 198},
  [3101] = {.lex_state = 211},
  [3102] = {.lex_state = 214},
  [3103] = {.lex_state = 194},
  [3104] = {.lex_state = 198},
  [3105] = {.lex_state = 192},
  [3106] = {.lex_state = 198},
  [3107] = {.lex_state = 240},
  [3108] = {.lex_state = 237},
  [3109] = {.lex_state = 202},
  [3110] = {.lex_state = 239},
  [3111] = {.lex_state = 214},
  [3112] = {.lex_state = 207},
  [3113] = {.lex_state = 192},
  [3114] = {.lex_state = 239},
  [3115] = {.lex_state = 214},
  [3116] = {.lex_state = 239},
  [3117] = {.lex_state = 207},
  [3118] = {.lex_state = 181},
  [3119] = {.lex_state = 192},
  [3120] = {.lex_state = 194},
  [3121] = {.lex_state = 194},
  [3122] = {.lex_state = 192},
  [3123] = {.lex_state = 239},
  [3124] = {.lex_state = 237},
  [3125] = {.lex_state = 199},
  [3126] = {.lex_state = 239},
  [3127] = {.lex_state = 194},
  [3128] = {.lex_state = 207},
  [3129] = {.lex_state = 239},
  [3130] = {.lex_state = 192},
  [3131] = {.lex_state = 240},
  [3132] = {.lex_state = 199},
  [3133] = {.lex_state = 195},
  [3134] = {.lex_state = 207},
  [3135] = {.lex_state = 207},
  [3136] = {.lex_state = 237},
  [3137] = {.lex_state = 240},
  [3138] = {.lex_state = 239},
  [3139] = {.lex_state = 207},
  [3140] = {.lex_state = 198},
  [3141] = {.lex_state = 211},
  [3142] = {.lex_state = 237},
  [3143] = {.lex_state = 207},
  [3144] = {.lex_state = 192},
  [3145] = {.lex_state = 217},
  [3146] = {.lex_state = 207},
  [3147] = {.lex_state = 207},
  [3148] = {.lex_state = 207},
  [3149] = {.lex_state = 214},
  [3150] = {.lex_state = 239},
  [3151] = {.lex_state = 207},
  [3152] = {.lex_state = 207},
  [3153] = {.lex_state = 207},
  [3154] = {.lex_state = 207},
  [3155] = {.lex_state = 221},
  [3156] = {.lex_state = 207},
  [3157] = {.lex_state = 240},
  [3158] = {.lex_state = 207},
  [3159] = {.lex_state = 207},
  [3160] = {.lex_state = 207},
  [3161] = {.lex_state = 207},
  [3162] = {.lex_state = 239},
  [3163] = {.lex_state = 239},
  [3164] = {.lex_state = 207},
  [3165] = {.lex_state = 207},
  [3166] = {.lex_state = 207},
  [3167] = {.lex_state = 207},
  [3168] = {.lex_state = 217},
  [3169] = {.lex_state = 207},
  [3170] = {.lex_state = 207},
  [3171] = {.lex_state = 207},
  [3172] = {.lex_state = 204},
  [3173] = {.lex_state = 204},
  [3174] = {.lex_state = 207},
  [3175] = {.lex_state = 217},
  [3176] = {.lex_state = 207},
  [3177] = {.lex_state = 237},
  [3178] = {.lex_state = 217},
  [3179] = {.lex_state = 239},
  [3180] = {.lex_state = 217},
  [3181] = {.lex_state = 239},
  [3182] = {.lex_state = 207},
  [3183] = {.lex_state = 219},
  [3184] = {.lex_state = 207},
  [3185] = {.lex_state = 207},
  [3186] = {.lex_state = 207},
  [3187] = {.lex_state = 207},
  [3188] = {.lex_state = 217},
  [3189] = {.lex_state = 204},
  [3190] = {.lex_state = 207},
  [3191] = {.lex_state = 207},
  [3192] = {.lex_state = 217},
  [3193] = {.lex_state = 217},
  [3194] = {.lex_state = 207},
  [3195] = {.lex_state = 202},
  [3196] = {.lex_state = 217},
  [3197] = {.lex_state = 217},
  [3198] = {.lex_state = 239},
  [3199] = {.lex_state = 217},
  [3200] = {.lex_state = 237},
  [3201] = {.lex_state = 239},
  [3202] = {.lex_state = 204},
  [3203] = {.lex_state = 207},
  [3204] = {.lex_state = 207},
  [3205] = {.lex_state = 239},
  [3206] = {.lex_state = 207},
  [3207] = {.lex_state = 207},
  [3208] = {.lex_state = 207},
  [3209] = {.lex_state = 207},
  [3210] = {.lex_state = 195},
  [3211] = {.lex_state = 207},
  [3212] = {.lex_state = 204},
  [3213] = {.lex_state = 207},
  [3214] = {.lex_state = 204},
  [3215] = {.lex_state = 223},
  [3216] = {.lex_state = 207},
  [3217] = {.lex_state = 237},
  [3218] = {.lex_state = 204},
  [3219] = {.lex_state = 207},
  [3220] = {.lex_state = 207},
  [3221] = {.lex_state = 207},
  [3222] = {.lex_state = 207},
  [3223] = {.lex_state = 181},
  [3224] = {.lex_state = 219},
  [3225] = {.lex_state = 219},
  [3226] = {.lex_state = 207},
  [3227] = {.lex_state = 207},
  [3228] = {.lex_state = 207},
  [3229] = {.lex_state = 207},
  [3230] = {.lex_state = 207},
  [3231] = {.lex_state = 207},
  [3232] = {.lex_state = 207},
  [3233] = {.lex_state = 237},
  [3234] = {.lex_state = 207},
  [3235] = {.lex_state = 207},
  [3236] = {.lex_state = 239},
  [3237] = {.lex_state = 204},
  [3238] = {.lex_state = 207},
  [3239] = {.lex_state = 207},
  [3240] = {.lex_state = 207},
  [3241] = {.lex_state = 207},
  [3242] = {.lex_state = 207},
  [3243] = {.lex_state = 207},
  [3244] = {.lex_state = 217},
  [3245] = {.lex_state = 214},
  [3246] = {.lex_state = 204},
  [3247] = {.lex_state = 223},
  [3248] = {.lex_state = 237},
  [3249] = {.lex_state = 207},
  [3250] = {.lex_state = 207},
  [3251] = {.lex_state = 191},
  [3252] = {.lex_state = 191},
  [3253] = {.lex_state = 195},
  [3254] = {.lex_state = 239},
  [3255] = {.lex_state = 207},
  [3256] = {.lex_state = 207},
  [3257] = {.lex_state = 207},
  [3258] = {.lex_state = 207},
  [3259] = {.lex_state = 207},
  [3260] = {.lex_state = 207},
  [3261] = {.lex_state = 207},
  [3262] = {.lex_state = 207},
  [3263] = {.lex_state = 207},
  [3264] = {.lex_state = 181},
  [3265] = {.lex_state = 207},
  [3266] = {.lex_state = 181},
  [3267] = {.lex_state = 207},
  [3268] = {.lex_state = 207},
  [3269] = {.lex_state = 207},
  [3270] = {.lex_state = 207},
  [3271] = {.lex_state = 207},
  [3272] = {.lex_state = 207},
  [3273] = {.lex_state = 207},
  [3274] = {.lex_state = 207},
  [3275] = {.lex_state = 202},
  [3276] = {.lex_state = 207},
  [3277] = {.lex_state = 207},
  [3278] = {.lex_state = 207},
  [3279] = {.lex_state = 207},
  [3280] = {.lex_state = 207},
  [3281] = {.lex_state = 207},
  [3282] = {.lex_state = 207},
  [3283] = {.lex_state = 207},
  [3284] = {.lex_state = 207},
  [3285] = {.lex_state = 207},
  [3286] = {.lex_state = 214},
  [3287] = {.lex_state = 207},
  [3288] = {.lex_state = 207},
  [3289] = {.lex_state = 207},
  [3290] = {.lex_state = 239},
  [3291] = {.lex_state = 207},
  [3292] = {.lex_state = 207},
  [3293] = {.lex_state = 204},
  [3294] = {.lex_state = 207},
  [3295] = {.lex_state = 207},
  [3296] = {.lex_state = 207},
  [3297] = {.lex_state = 204},
  [3298] = {.lex_state = 217},
  [3299] = {.lex_state = 207},
  [3300] = {.lex_state = 207},
  [3301] = {.lex_state = 207},
  [3302] = {.lex_state = 217},
  [3303] = {.lex_state = 207},
  [3304] = {.lex_state = 207},
  [3305] = {.lex_state = 204},
  [3306] = {.lex_state = 207},
  [3307] = {.lex_state = 207},
  [3308] = {.lex_state = 207},
  [3309] = {.lex_state = 204},
  [3310] = {.lex_state = 207},
  [3311] = {.lex_state = 204},
  [3312] = {.lex_state = 223},
  [3313] = {.lex_state = 207},
  [3314] = {.lex_state = 207},
  [3315] = {.lex_state = 239},
  [3316] = {.lex_state = 207},
  [3317] = {.lex_state = 204},
  [3318] = {.lex_state = 207},
  [3319] = {.lex_state = 207},
  [3320] = {.lex_state = 207},
  [3321] = {.lex_state = 207},
  [3322] = {.lex_state = 203},
  [3323] = {.lex_state = 207},
  [3324] = {.lex_state = 217},
  [3325] = {.lex_state = 207},
  [3326] = {.lex_state = 207},
  [3327] = {.lex_state = 202},
  [3328] = {.lex_state = 204},
  [3329] = {.lex_state = 181},
  [3330] = {.lex_state = 204},
  [3331] = {.lex_state = 207},
  [3332] = {.lex_state = 207},
  [3333] = {.lex_state = 207},
  [3334] = {.lex_state = 203},
  [3335] = {.lex_state = 207},
  [3336] = {.lex_state = 217},
  [3337] = {.lex_state = 207},
  [3338] = {.lex_state = 214},
  [3339] = {.lex_state = 191},
  [3340] = {.lex_state = 207},
  [3341] = {.lex_state = 207},
  [3342] = {.lex_state = 223},
  [3343] = {.lex_state = 214},
  [3344] = {.lex_state = 214},
  [3345] = {.lex_state = 214},
  [3346] = {.lex_state = 214},
  [3347] = {.lex_state = 239},
  [3348] = {.lex_state = 207},
  [3349] = {.lex_state = 202},
  [3350] = {.lex_state = 202},
  [3351] = {.lex_state = 214},
  [3352] = {.lex_state = 198},
  [3353] = {.lex_state = 202},
  [3354] = {.lex_state = 202},
  [3355] = {.lex_state = 202},
  [3356] = {.lex_state = 198},
  [3357] = {.lex_state = 198},
  [3358] = {.lex_state = 198},
  [3359] = {.lex_state = 202},
  [3360] = {.lex_state = 198},
  [3361] = {.lex_state = 198},
  [3362] = {.lex_state = 214},
  [3363] = {.lex_state = 202},
  [3364] = {.lex_state = 198},
  [3365] = {.lex_state = 207},
  [3366] = {.lex_state = 207},
  [3367] = {.lex_state = 207},
  [3368] = {.lex_state = 207},
  [3369] = {.lex_state = 207},
  [3370] = {.lex_state = 207},
  [3371] = {.lex_state = 207},
  [3372] = {.lex_state = 207},
  [3373] = {.lex_state = 207},
  [3374] = {.lex_state = 207},
  [3375] = {.lex_state = 214},
  [3376] = {.lex_state = 207},
  [3377] = {.lex_state = 214},
  [3378] = {.lex_state = 214},
  [3379] = {.lex_state = 214},
  [3380] = {.lex_state = 214},
  [3381] = {.lex_state = 214},
  [3382] = {.lex_state = 214},
  [3383] = {.lex_state = 214},
  [3384] = {.lex_state = 214},
  [3385] = {.lex_state = 195},
  [3386] = {.lex_state = 239},
  [3387] = {.lex_state = 202},
  [3388] = {.lex_state = 214},
  [3389] = {.lex_state = 207},
  [3390] = {.lex_state = 202},
  [3391] = {.lex_state = 239},
  [3392] = {.lex_state = 214},
  [3393] = {.lex_state = 214},
  [3394] = {.lex_state = 207},
  [3395] = {.lex_state = 214},
  [3396] = {.lex_state = 214},
  [3397] = {.lex_state = 239},
  [3398] = {.lex_state = 202},
  [3399] = {.lex_state = 214},
  [3400] = {.lex_state = 214},
  [3401] = {.lex_state = 214},
  [3402] = {.lex_state = 214},
  [3403] = {.lex_state = 214},
  [3404] = {.lex_state = 198},
  [3405] = {.lex_state = 214},
  [3406] = {.lex_state = 214},
  [3407] = {.lex_state = 214},
  [3408] = {.lex_state = 214},
  [3409] = {.lex_state = 214},
  [3410] = {.lex_state = 214},
  [3411] = {.lex_state = 214},
  [3412] = {.lex_state = 214},
  [3413] = {.lex_state = 214},
  [3414] = {.lex_state = 214},
  [3415] = {.lex_state = 214},
  [3416] = {.lex_state = 214},
  [3417] = {.lex_state = 207},
  [3418] = {.lex_state = 214},
  [3419] = {.lex_state = 214},
  [3420] = {.lex_state = 207},
  [3421] = {.lex_state = 214},
  [3422] = {.lex_state = 214},
  [3423] = {.lex_state = 214},
  [3424] = {.lex_state = 214},
  [3425] = {.lex_state = 214},
  [3426] = {.lex_state = 214},
  [3427] = {.lex_state = 214},
  [3428] = {.lex_state = 214},
  [3429] = {.lex_state = 214},
  [3430] = {.lex_state = 214},
  [3431] = {.lex_state = 214},
  [3432] = {.lex_state = 214},
  [3433] = {.lex_state = 214},
  [3434] = {.lex_state = 214},
  [3435] = {.lex_state = 207},
  [3436] = {.lex_state = 207},
  [3437] = {.lex_state = 194},
  [3438] = {.lex_state = 207},
  [3439] = {.lex_state = 214},
  [3440] = {.lex_state = 214},
  [3441] = {.lex_state = 214},
  [3442] = {.lex_state = 214},
  [3443] = {.lex_state = 214},
  [3444] = {.lex_state = 237},
  [3445] = {.lex_state = 214},
  [3446] = {.lex_state = 181},
  [3447] = {.lex_state = 207},
  [3448] = {.lex_state = 207},
  [3449] = {.lex_state = 181},
  [3450] = {.lex_state = 214},
  [3451] = {.lex_state = 214},
  [3452] = {.lex_state = 214},
  [3453] = {.lex_state = 214},
  [3454] = {.lex_state = 239},
  [3455] = {.lex_state = 214},
  [3456] = {.lex_state = 223},
  [3457] = {.lex_state = 214},
  [3458] = {.lex_state = 214},
  [3459] = {.lex_state = 214},
  [3460] = {.lex_state = 214},
  [3461] = {.lex_state = 214},
  [3462] = {.lex_state = 207},
  [3463] = {.lex_state = 214},
  [3464] = {.lex_state = 214},
  [3465] = {.lex_state = 214},
  [3466] = {.lex_state = 214},
  [3467] = {.lex_state = 214},
  [3468] = {.lex_state = 239},
  [3469] = {.lex_state = 195},
  [3470] = {.lex_state = 214},
  [3471] = {.lex_state = 207},
  [3472] = {.lex_state = 214},
  [3473] = {.lex_state = 239},
  [3474] = {.lex_state = 214},
  [3475] = {.lex_state = 207},
  [3476] = {.lex_state = 214},
  [3477] = {.lex_state = 207},
  [3478] = {.lex_state = 214},
  [3479] = {.lex_state = 214},
  [3480] = {.lex_state = 214},
  [3481] = {.lex_state = 214},
  [3482] = {.lex_state = 214},
  [3483] = {.lex_state = 214},
  [3484] = {.lex_state = 202},
  [3485] = {.lex_state = 202},
  [3486] = {.lex_state = 195},
  [3487] = {.lex_state = 237},
  [3488] = {.lex_state = 202},
  [3489] = {.lex_state = 240},
  [3490] = {.lex_state = 202},
  [3491] = {.lex_state = 239},
  [3492] = {.lex_state = 237},
  [3493] = {.lex_state = 202},
  [3494] = {.lex_state = 202},
  [3495] = {.lex_state = 237},
  [3496] = {.lex_state = 204},
  [3497] = {.lex_state = 242},
  [3498] = {.lex_state = 202},
  [3499] = {.lex_state = 202},
  [3500] = {.lex_state = 211},
  [3501] = {.lex_state = 239},
  [3502] = {.lex_state = 202},
  [3503] = {.lex_state = 240},
  [3504] = {.lex_state = 204},
  [3505] = {.lex_state = 181},
  [3506] = {.lex_state = 207},
  [3507] = {.lex_state = 202},
  [3508] = {.lex_state = 202},
  [3509] = {.lex_state = 239},
  [3510] = {.lex_state = 211},
  [3511] = {.lex_state = 240},
  [3512] = {.lex_state = 181},
  [3513] = {.lex_state = 240},
  [3514] = {.lex_state = 202},
  [3515] = {.lex_state = 181},
  [3516] = {.lex_state = 204},
  [3517] = {.lex_state = 191},
  [3518] = {.lex_state = 202},
  [3519] = {.lex_state = 239},
  [3520] = {.lex_state = 211},
  [3521] = {.lex_state = 181},
  [3522] = {.lex_state = 191},
  [3523] = {.lex_state = 207},
  [3524] = {.lex_state = 207},
  [3525] = {.lex_state = 237},
  [3526] = {.lex_state = 207},
  [3527] = {.lex_state = 207},
  [3528] = {.lex_state = 207},
  [3529] = {.lex_state = 237},
  [3530] = {.lex_state = 237},
  [3531] = {.lex_state = 204},
  [3532] = {.lex_state = 237},
  [3533] = {.lex_state = 207},
  [3534] = {.lex_state = 237},
  [3535] = {.lex_state = 237},
  [3536] = {.lex_state = 237},
  [3537] = {.lex_state = 237},
  [3538] = {.lex_state = 237},
  [3539] = {.lex_state = 207},
  [3540] = {.lex_state = 207},
  [3541] = {.lex_state = 207},
  [3542] = {.lex_state = 207},
  [3543] = {.lex_state = 237},
  [3544] = {.lex_state = 207},
  [3545] = {.lex_state = 207},
  [3546] = {.lex_state = 207},
  [3547] = {.lex_state = 237},
  [3548] = {.lex_state = 237},
  [3549] = {.lex_state = 237},
  [3550] = {.lex_state = 207},
  [3551] = {.lex_state = 237},
  [3552] = {.lex_state = 237},
  [3553] = {.lex_state = 237},
  [3554] = {.lex_state = 207},
  [3555] = {.lex_state = 207},
  [3556] = {.lex_state = 207},
  [3557] = {.lex_state = 207},
  [3558] = {.lex_state = 207},
  [3559] = {.lex_state = 237},
  [3560] = {.lex_state = 237},
  [3561] = {.lex_state = 237},
  [3562] = {.lex_state = 202},
  [3563] = {.lex_state = 237},
  [3564] = {.lex_state = 204},
  [3565] = {.lex_state = 237},
  [3566] = {.lex_state = 237},
  [3567] = {.lex_state = 237},
  [3568] = {.lex_state = 237},
  [3569] = {.lex_state = 202},
  [3570] = {.lex_state = 207},
  [3571] = {.lex_state = 207},
  [3572] = {.lex_state = 237},
  [3573] = {.lex_state = 207},
  [3574] = {.lex_state = 237},
  [3575] = {.lex_state = 207},
  [3576] = {.lex_state = 237},
  [3577] = {.lex_state = 237},
  [3578] = {.lex_state = 237},
  [3579] = {.lex_state = 202},
  [3580] = {.lex_state = 236},
  [3581] = {.lex_state = 237},
  [3582] = {.lex_state = 207},
  [3583] = {.lex_state = 207},
  [3584] = {.lex_state = 202},
  [3585] = {.lex_state = 237},
  [3586] = {.lex_state = 181},
  [3587] = {.lex_state = 240},
  [3588] = {.lex_state = 181},
  [3589] = {.lex_state = 237},
  [3590] = {.lex_state = 240},
  [3591] = {.lex_state = 207},
  [3592] = {.lex_state = 237},
  [3593] = {.lex_state = 181},
  [3594] = {.lex_state = 202},
  [3595] = {.lex_state = 207},
  [3596] = {.lex_state = 237},
  [3597] = {.lex_state = 202},
  [3598] = {.lex_state = 207},
  [3599] = {.lex_state = 237},
  [3600] = {.lex_state = 236},
  [3601] = {.lex_state = 204},
  [3602] = {.lex_state = 207},
  [3603] = {.lex_state = 237},
  [3604] = {.lex_state = 202},
  [3605] = {.lex_state = 237},
  [3606] = {.lex_state = 237},
  [3607] = {.lex_state = 204},
  [3608] = {.lex_state = 237},
  [3609] = {.lex_state = 237},
  [3610] = {.lex_state = 207},
  [3611] = {.lex_state = 202},
  [3612] = {.lex_state = 207},
  [3613] = {.lex_state = 239},
  [3614] = {.lex_state = 237},
  [3615] = {.lex_state = 237},
  [3616] = {.lex_state = 237},
  [3617] = {.lex_state = 237},
  [3618] = {.lex_state = 237},
  [3619] = {.lex_state = 181},
  [3620] = {.lex_state = 207},
  [3621] = {.lex_state = 202},
  [3622] = {.lex_state = 207},
  [3623] = {.lex_state = 237},
  [3624] = {.lex_state = 181},
  [3625] = {.lex_state = 207},
  [3626] = {.lex_state = 237},
  [3627] = {.lex_state = 237},
  [3628] = {.lex_state = 207},
  [3629] = {.lex_state = 237},
  [3630] = {.lex_state = 207},
  [3631] = {.lex_state = 207},
  [3632] = {.lex_state = 239},
  [3633] = {.lex_state = 207},
  [3634] = {.lex_state = 207},
  [3635] = {.lex_state = 237},
  [3636] = {.lex_state = 207},
  [3637] = {.lex_state = 207},
  [3638] = {.lex_state = 207},
  [3639] = {.lex_state = 237},
  [3640] = {.lex_state = 207},
  [3641] = {.lex_state = 207},
  [3642] = {.lex_state = 207},
  [3643] = {.lex_state = 202},
  [3644] = {.lex_state = 191},
  [3645] = {.lex_state = 207},
  [3646] = {.lex_state = 237},
  [3647] = {.lex_state = 191},
  [3648] = {.lex_state = 237},
  [3649] = {.lex_state = 207},
  [3650] = {.lex_state = 237},
  [3651] = {.lex_state = 237},
  [3652] = {.lex_state = 207},
  [3653] = {.lex_state = 207},
  [3654] = {.lex_state = 207},
  [3655] = {.lex_state = 237},
  [3656] = {.lex_state = 207},
  [3657] = {.lex_state = 237},
  [3658] = {.lex_state = 237},
  [3659] = {.lex_state = 202},
  [3660] = {.lex_state = 207},
  [3661] = {.lex_state = 237},
  [3662] = {.lex_state = 204},
  [3663] = {.lex_state = 237},
  [3664] = {.lex_state = 204},
  [3665] = {.lex_state = 207},
  [3666] = {.lex_state = 207},
  [3667] = {.lex_state = 207},
  [3668] = {.lex_state = 237},
  [3669] = {.lex_state = 240},
  [3670] = {.lex_state = 191},
  [3671] = {.lex_state = 191},
  [3672] = {.lex_state = 237},
  [3673] = {.lex_state = 237},
  [3674] = {.lex_state = 237},
  [3675] = {.lex_state = 237},
  [3676] = {.lex_state = 239},
  [3677] = {.lex_state = 237},
  [3678] = {.lex_state = 237},
  [3679] = {.lex_state = 207},
  [3680] = {.lex_state = 237},
  [3681] = {.lex_state = 240},
  [3682] = {.lex_state = 207},
  [3683] = {.lex_state = 202},
  [3684] = {.lex_state = 239},
  [3685] = {.lex_state = 237},
  [3686] = {.lex_state = 204},
  [3687] = {.lex_state = 239},
  [3688] = {.lex_state = 237},
  [3689] = {.lex_state = 204},
  [3690] = {.lex_state = 239},
  [3691] = {.lex_state = 237},
  [3692] = {.lex_state = 204},
  [3693] = {.lex_state = 191},
  [3694] = {.lex_state = 239},
  [3695] = {.lex_state = 204},
  [3696] = {.lex_state = 239},
  [3697] = {.lex_state = 204},
  [3698] = {.lex_state = 204},
  [3699] = {.lex_state = 204},
  [3700] = {.lex_state = 239},
  [3701] = {.lex_state = 204},
  [3702] = {.lex_state = 204},
  [3703] = {.lex_state = 239},
  [3704] = {.lex_state = 191},
  [3705] = {.lex_state = 204},
  [3706] = {.lex_state = 204},
  [3707] = {.lex_state = 191},
  [3708] = {.lex_state = 204},
  [3709] = {.lex_state = 204},
  [3710] = {.lex_state = 204},
  [3711] = {.lex_state = 204},
  [3712] = {.lex_state = 204},
  [3713] = {.lex_state = 239},
  [3714] = {.lex_state = 239},
  [3715] = {.lex_state = 237},
  [3716] = {.lex_state = 204},
  [3717] = {.lex_state = 204},
  [3718] = {.lex_state = 240},
  [3719] = {.lex_state = 204},
  [3720] = {.lex_state = 237},
  [3721] = {.lex_state = 204},
  [3722] = {.lex_state = 237},
  [3723] = {.lex_state = 239},
  [3724] = {.lex_state = 223},
  [3725] = {.lex_state = 237},
  [3726] = {.lex_state = 204},
  [3727] = {.lex_state = 237},
  [3728] = {.lex_state = 240},
  [3729] = {.lex_state = 237},
  [3730] = {.lex_state = 204},
  [3731] = {.lex_state = 204},
  [3732] = {.lex_state = 204},
  [3733] = {.lex_state = 191},
  [3734] = {.lex_state = 223},
  [3735] = {.lex_state = 204},
  [3736] = {.lex_state = 223},
  [3737] = {.lex_state = 239},
  [3738] = {.lex_state = 237},
  [3739] = {.lex_state = 226},
  [3740] = {.lex_state = 239},
  [3741] = {.lex_state = 204},
  [3742] = {.lex_state = 202},
  [3743] = {.lex_state = 239},
  [3744] = {.lex_state = 204},
  [3745] = {.lex_state = 204},
  [3746] = {.lex_state = 204},
  [3747] = {.lex_state = 237},
  [3748] = {.lex_state = 204},
  [3749] = {.lex_state = 237},
  [3750] = {.lex_state = 237},
  [3751] = {.lex_state = 237},
  [3752] = {.lex_state = 204},
  [3753] = {.lex_state = 237},
  [3754] = {.lex_state = 239},
  [3755] = {.lex_state = 237},
  [3756] = {.lex_state = 204},
  [3757] = {.lex_state = 202},
  [3758] = {.lex_state = 223},
  [3759] = {.lex_state = 202},
  [3760] = {.lex_state = 242},
  [3761] = {.lex_state = 239},
  [3762] = {.lex_state = 202},
  [3763] = {.lex_state = 202},
  [3764] = {.lex_state = 202},
  [3765] = {.lex_state = 202},
  [3766] = {.lex_state = 202},
  [3767] = {.lex_state = 202},
  [3768] = {.lex_state = 202},
  [3769] = {.lex_state = 202},
  [3770] = {.lex_state = 202},
  [3771] = {.lex_state = 223},
  [3772] = {.lex_state = 202},
  [3773] = {.lex_state = 202},
  [3774] = {.lex_state = 202},
  [3775] = {.lex_state = 204},
  [3776] = {.lex_state = 202},
  [3777] = {.lex_state = 202},
  [3778] = {.lex_state = 202},
  [3779] = {.lex_state = 202},
  [3780] = {.lex_state = 202},
  [3781] = {.lex_state = 202},
  [3782] = {.lex_state = 242},
  [3783] = {.lex_state = 202},
  [3784] = {.lex_state = 204},
  [3785] = {.lex_state = 202},
  [3786] = {.lex_state = 239},
  [3787] = {.lex_state = 202},
  [3788] = {.lex_state = 202},
  [3789] = {.lex_state = 204},
  [3790] = {.lex_state = 202},
  [3791] = {.lex_state = 226},
  [3792] = {.lex_state = 202},
  [3793] = {.lex_state = 202},
  [3794] = {.lex_state = 204},
  [3795] = {.lex_state = 202},
  [3796] = {.lex_state = 202},
  [3797] = {.lex_state = 202},
  [3798] = {.lex_state = 202},
  [3799] = {.lex_state = 202},
  [3800] = {.lex_state = 202},
  [3801] = {.lex_state = 202},
  [3802] = {.lex_state = 202},
  [3803] = {.lex_state = 202},
  [3804] = {.lex_state = 240},
  [3805] = {.lex_state = 202},
  [3806] = {.lex_state = 202},
  [3807] = {.lex_state = 202},
  [3808] = {.lex_state = 240},
  [3809] = {.lex_state = 202},
  [3810] = {.lex_state = 226},
  [3811] = {.lex_state = 236},
  [3812] = {.lex_state = 202},
  [3813] = {.lex_state = 202},
  [3814] = {.lex_state = 202},
  [3815] = {.lex_state = 226},
  [3816] = {.lex_state = 239},
  [3817] = {.lex_state = 202},
  [3818] = {.lex_state = 202},
  [3819] = {.lex_state = 240},
  [3820] = {.lex_state = 202},
  [3821] = {.lex_state = 237},
  [3822] = {.lex_state = 236},
  [3823] = {.lex_state = 237},
  [3824] = {.lex_state = 237},
  [3825] = {.lex_state = 237},
  [3826] = {.lex_state = 237},
  [3827] = {.lex_state = 204},
  [3828] = {.lex_state = 202},
  [3829] = {.lex_state = 237},
  [3830] = {.lex_state = 202},
  [3831] = {.lex_state = 237},
  [3832] = {.lex_state = 227},
  [3833] = {.lex_state = 237},
  [3834] = {.lex_state = 237},
  [3835] = {.lex_state = 240},
  [3836] = {.lex_state = 227},
  [3837] = {.lex_state = 202},
  [3838] = {.lex_state = 237},
  [3839] = {.lex_state = 202},
  [3840] = {.lex_state = 202},
  [3841] = {.lex_state = 202},
  [3842] = {.lex_state = 237},
  [3843] = {.lex_state = 237},
  [3844] = {.lex_state = 237},
  [3845] = {.lex_state = 237},
  [3846] = {.lex_state = 239},
  [3847] = {.lex_state = 202},
  [3848] = {.lex_state = 237},
  [3849] = {.lex_state = 240},
  [3850] = {.lex_state = 237},
  [3851] = {.lex_state = 202},
  [3852] = {.lex_state = 202},
  [3853] = {.lex_state = 204},
  [3854] = {.lex_state = 204},
  [3855] = {.lex_state = 202},
  [3856] = {.lex_state = 239},
  [3857] = {.lex_state = 202},
  [3858] = {.lex_state = 202},
  [3859] = {.lex_state = 202},
  [3860] = {.lex_state = 202},
  [3861] = {.lex_state = 237},
  [3862] = {.lex_state = 202},
  [3863] = {.lex_state = 202},
  [3864] = {.lex_state = 202},
  [3865] = {.lex_state = 202},
  [3866] = {.lex_state = 237},
  [3867] = {.lex_state = 202},
  [3868] = {.lex_state = 202},
  [3869] = {.lex_state = 237},
  [3870] = {.lex_state = 202},
  [3871] = {.lex_state = 202},
  [3872] = {.lex_state = 237},
  [3873] = {.lex_state = 237},
  [3874] = {.lex_state = 204},
  [3875] = {.lex_state = 202},
  [3876] = {.lex_state = 237},
  [3877] = {.lex_state = 237},
  [3878] = {.lex_state = 202},
  [3879] = {.lex_state = 237},
  [3880] = {.lex_state = 202},
  [3881] = {.lex_state = 202},
  [3882] = {.lex_state = 202},
  [3883] = {.lex_state = 240},
  [3884] = {.lex_state = 237},
  [3885] = {.lex_state = 202},
  [3886] = {.lex_state = 202},
  [3887] = {.lex_state = 202},
  [3888] = {.lex_state = 237},
  [3889] = {.lex_state = 202},
  [3890] = {.lex_state = 237},
  [3891] = {.lex_state = 237},
  [3892] = {.lex_state = 236},
  [3893] = {.lex_state = 240},
  [3894] = {.lex_state = 237},
  [3895] = {.lex_state = 240},
  [3896] = {.lex_state = 202},
  [3897] = {.lex_state = 202},
  [3898] = {.lex_state = 236},
  [3899] = {.lex_state = 202},
  [3900] = {.lex_state = 202},
  [3901] = {.lex_state = 236},
  [3902] = {.lex_state = 236},
  [3903] = {.lex_state = 223},
  [3904] = {.lex_state = 240},
  [3905] = {.lex_state = 236},
  [3906] = {.lex_state = 204},
  [3907] = {.lex_state = 204},
  [3908] = {.lex_state = 239},
  [3909] = {.lex_state = 202},
  [3910] = {.lex_state = 202},
  [3911] = {.lex_state = 227},
  [3912] = {.lex_state = 204},
  [3913] = {.lex_state = 236},
  [3914] = {.lex_state = 202},
  [3915] = {.lex_state = 227},
  [3916] = {.lex_state = 202},
  [3917] = {.lex_state = 202},
  [3918] = {.lex_state = 202},
  [3919] = {.lex_state = 202},
  [3920] = {.lex_state = 202},
  [3921] = {.lex_state = 202},
  [3922] = {.lex_state = 202},
  [3923] = {.lex_state = 204},
  [3924] = {.lex_state = 202},
  [3925] = {.lex_state = 223},
  [3926] = {.lex_state = 239},
  [3927] = {.lex_state = 202},
  [3928] = {.lex_state = 202},
  [3929] = {.lex_state = 227},
  [3930] = {.lex_state = 237},
  [3931] = {.lex_state = 202},
  [3932] = {.lex_state = 227},
  [3933] = {.lex_state = 237},
  [3934] = {.lex_state = 202},
  [3935] = {.lex_state = 240},
  [3936] = {.lex_state = 239},
  [3937] = {.lex_state = 236},
  [3938] = {.lex_state = 239},
  [3939] = {.lex_state = 239},
  [3940] = {.lex_state = 237},
  [3941] = {.lex_state = 202},
  [3942] = {.lex_state = 204},
  [3943] = {.lex_state = 236},
  [3944] = {.lex_state = 240},
  [3945] = {.lex_state = 237},
  [3946] = {.lex_state = 240},
  [3947] = {.lex_state = 204},
  [3948] = {.lex_state = 223},
  [3949] = {.lex_state = 239},
  [3950] = {.lex_state = 237},
  [3951] = {.lex_state = 223},
  [3952] = {.lex_state = 205},
  [3953] = {.lex_state = 237},
  [3954] = {.lex_state = 223},
  [3955] = {.lex_state = 236},
  [3956] = {.lex_state = 205},
  [3957] = {.lex_state = 240},
  [3958] = {.lex_state = 223},
  [3959] = {.lex_state = 237},
  [3960] = {.lex_state = 237},
  [3961] = {.lex_state = 239},
  [3962] = {.lex_state = 202},
  [3963] = {.lex_state = 202},
  [3964] = {.lex_state = 239},
  [3965] = {.lex_state = 223},
  [3966] = {.lex_state = 223},
  [3967] = {.lex_state = 223},
  [3968] = {.lex_state = 205},
  [3969] = {.lex_state = 223},
  [3970] = {.lex_state = 239},
  [3971] = {.lex_state = 236},
  [3972] = {.lex_state = 202},
  [3973] = {.lex_state = 240},
  [3974] = {.lex_state = 204},
  [3975] = {.lex_state = 202},
  [3976] = {.lex_state = 239},
  [3977] = {.lex_state = 236},
  [3978] = {.lex_state = 205},
  [3979] = {.lex_state = 240},
  [3980] = {.lex_state = 202},
  [3981] = {.lex_state = 202},
  [3982] = {.lex_state = 202},
  [3983] = {.lex_state = 242},
  [3984] = {.lex_state = 202},
  [3985] = {.lex_state = 236},
  [3986] = {.lex_state = 202},
  [3987] = {.lex_state = 205},
  [3988] = {.lex_state = 239},
  [3989] = {.lex_state = 240},
  [3990] = {.lex_state = 240},
  [3991] = {.lex_state = 223},
  [3992] = {.lex_state = 240},
  [3993] = {.lex_state = 240},
  [3994] = {.lex_state = 240},
  [3995] = {.lex_state = 242},
  [3996] = {.lex_state = 239},
  [3997] = {.lex_state = 205},
  [3998] = {.lex_state = 239},
  [3999] = {.lex_state = 204},
  [4000] = {.lex_state = 240},
  [4001] = {.lex_state = 239},
  [4002] = {.lex_state = 240},
  [4003] = {.lex_state = 223},
  [4004] = {.lex_state = 236},
  [4005] = {.lex_state = 242},
  [4006] = {.lex_state = 239},
  [4007] = {.lex_state = 202},
  [4008] = {.lex_state = 236},
  [4009] = {.lex_state = 202},
  [4010] = {.lex_state = 236},
  [4011] = {.lex_state = 223},
  [4012] = {.lex_state = 223},
  [4013] = {.lex_state = 202},
  [4014] = {.lex_state = 223},
  [4015] = {.lex_state = 236},
  [4016] = {.lex_state = 202},
  [4017] = {.lex_state = 202},
  [4018] = {.lex_state = 202},
  [4019] = {.lex_state = 202},
  [4020] = {.lex_state = 202},
  [4021] = {.lex_state = 202},
  [4022] = {.lex_state = 202},
  [4023] = {.lex_state = 202},
  [4024] = {.lex_state = 223},
  [4025] = {.lex_state = 202},
  [4026] = {.lex_state = 202},
  [4027] = {.lex_state = 202},
  [4028] = {.lex_state = 236},
  [4029] = {.lex_state = 202},
  [4030] = {.lex_state = 202},
  [4031] = {.lex_state = 236},
  [4032] = {.lex_state = 202},
  [4033] = {.lex_state = 223},
  [4034] = {.lex_state = 202},
  [4035] = {.lex_state = 223},
  [4036] = {.lex_state = 202},
  [4037] = {.lex_state = 202},
  [4038] = {.lex_state = 236},
  [4039] = {.lex_state = 240},
  [4040] = {.lex_state = 240},
  [4041] = {.lex_state = 243},
  [4042] = {.lex_state = 202},
  [4043] = {.lex_state = 240},
  [4044] = {.lex_state = 202},
  [4045] = {.lex_state = 236},
  [4046] = {.lex_state = 204},
  [4047] = {.lex_state = 202},
  [4048] = {.lex_state = 202},
  [4049] = {.lex_state = 223},
  [4050] = {.lex_state = 202},
  [4051] = {.lex_state = 243},
  [4052] = {.lex_state = 202},
  [4053] = {.lex_state = 227},
  [4054] = {.lex_state = 243},
  [4055] = {.lex_state = 202},
  [4056] = {.lex_state = 202},
  [4057] = {.lex_state = 202},
  [4058] = {.lex_state = 202},
  [4059] = {.lex_state = 202},
  [4060] = {.lex_state = 202},
  [4061] = {.lex_state = 202},
  [4062] = {.lex_state = 202},
  [4063] = {.lex_state = 227},
  [4064] = {.lex_state = 202},
  [4065] = {.lex_state = 240},
  [4066] = {.lex_state = 239},
  [4067] = {.lex_state = 240},
  [4068] = {.lex_state = 227},
  [4069] = {.lex_state = 227},
  [4070] = {.lex_state = 202},
  [4071] = {.lex_state = 240},
  [4072] = {.lex_state = 236},
  [4073] = {.lex_state = 227},
  [4074] = {.lex_state = 240},
  [4075] = {.lex_state = 227},
  [4076] = {.lex_state = 202},
  [4077] = {.lex_state = 240},
  [4078] = {.lex_state = 227},
  [4079] = {.lex_state = 227},
  [4080] = {.lex_state = 227},
  [4081] = {.lex_state = 239},
  [4082] = {.lex_state = 240},
  [4083] = {.lex_state = 202},
  [4084] = {.lex_state = 239},
  [4085] = {.lex_state = 202},
  [4086] = {.lex_state = 202},
  [4087] = {.lex_state = 227},
  [4088] = {.lex_state = 202},
  [4089] = {.lex_state = 202},
  [4090] = {.lex_state = 240},
  [4091] = {.lex_state = 239},
  [4092] = {.lex_state = 202},
  [4093] = {.lex_state = 227},
  [4094] = {.lex_state = 202},
  [4095] = {.lex_state = 240},
  [4096] = {.lex_state = 202},
  [4097] = {.lex_state = 202},
  [4098] = {.lex_state = 227},
  [4099] = {.lex_state = 227},
  [4100] = {.lex_state = 227},
  [4101] = {.lex_state = 227},
  [4102] = {.lex_state = 202},
  [4103] = {.lex_state = 202},
  [4104] = {.lex_state = 240},
  [4105] = {.lex_state = 202},
  [4106] = {.lex_state = 227},
  [4107] = {.lex_state = 202},
  [4108] = {.lex_state = 204},
  [4109] = {.lex_state = 202},
  [4110] = {.lex_state = 222},
  [4111] = {.lex_state = 227},
  [4112] = {.lex_state = 202},
  [4113] = {.lex_state = 202},
  [4114] = {.lex_state = 202},
  [4115] = {.lex_state = 227},
  [4116] = {.lex_state = 240},
  [4117] = {.lex_state = 240},
  [4118] = {.lex_state = 202},
  [4119] = {.lex_state = 202},
  [4120] = {.lex_state = 202},
  [4121] = {.lex_state = 202},
  [4122] = {.lex_state = 202},
  [4123] = {.lex_state = 227},
  [4124] = {.lex_state = 236},
  [4125] = {.lex_state = 202},
  [4126] = {.lex_state = 202},
  [4127] = {.lex_state = 227},
  [4128] = {.lex_state = 202},
  [4129] = {.lex_state = 202},
  [4130] = {.lex_state = 202},
  [4131] = {.lex_state = 236},
  [4132] = {.lex_state = 227},
  [4133] = {.lex_state = 202},
  [4134] = {.lex_state = 227},
  [4135] = {.lex_state = 239},
  [4136] = {.lex_state = 202},
  [4137] = {.lex_state = 227},
  [4138] = {.lex_state = 227},
  [4139] = {.lex_state = 227},
  [4140] = {.lex_state = 202},
  [4141] = {.lex_state = 202},
  [4142] = {.lex_state = 227},
  [4143] = {.lex_state = 202},
  [4144] = {.lex_state = 202},
  [4145] = {.lex_state = 227},
  [4146] = {.lex_state = 202},
  [4147] = {.lex_state = 202},
  [4148] = {.lex_state = 202},
  [4149] = {.lex_state = 202},
  [4150] = {.lex_state = 227},
  [4151] = {.lex_state = 236},
  [4152] = {.lex_state = 227},
  [4153] = {.lex_state = 227},
  [4154] = {.lex_state = 239},
  [4155] = {.lex_state = 227},
  [4156] = {.lex_state = 227},
  [4157] = {.lex_state = 202},
  [4158] = {.lex_state = 227},
  [4159] = {.lex_state = 202},
  [4160] = {.lex_state = 227},
  [4161] = {.lex_state = 227},
  [4162] = {.lex_state = 227},
  [4163] = {.lex_state = 227},
  [4164] = {.lex_state = 227},
  [4165] = {.lex_state = 202},
  [4166] = {.lex_state = 202},
  [4167] = {.lex_state = 204},
  [4168] = {.lex_state = 202},
  [4169] = {.lex_state = 227},
  [4170] = {.lex_state = 202},
  [4171] = {.lex_state = 227},
  [4172] = {.lex_state = 202},
  [4173] = {.lex_state = 204},
  [4174] = {.lex_state = 204},
  [4175] = {.lex_state = 227},
  [4176] = {.lex_state = 240},
  [4177] = {.lex_state = 204},
  [4178] = {.lex_state = 204},
  [4179] = {.lex_state = 204},
  [4180] = {.lex_state = 202},
  [4181] = {.lex_state = 227},
  [4182] = {.lex_state = 227},
  [4183] = {.lex_state = 202},
  [4184] = {.lex_state = 227},
  [4185] = {.lex_state = 204},
  [4186] = {.lex_state = 204},
  [4187] = {.lex_state = 236},
  [4188] = {.lex_state = 204},
  [4189] = {.lex_state = 204},
  [4190] = {.lex_state = 202},
  [4191] = {.lex_state = 202},
  [4192] = {.lex_state = 202},
  [4193] = {.lex_state = 202},
  [4194] = {.lex_state = 204},
  [4195] = {.lex_state = 204},
  [4196] = {.lex_state = 202},
  [4197] = {.lex_state = 223},
  [4198] = {.lex_state = 204},
  [4199] = {.lex_state = 202},
  [4200] = {.lex_state = 204},
  [4201] = {.lex_state = 240},
  [4202] = {.lex_state = 202},
  [4203] = {.lex_state = 202},
  [4204] = {.lex_state = 202},
  [4205] = {.lex_state = 227},
  [4206] = {.lex_state = 204},
  [4207] = {.lex_state = 204},
  [4208] = {.lex_state = 223},
  [4209] = {.lex_state = 202},
  [4210] = {.lex_state = 202},
  [4211] = {.lex_state = 227},
  [4212] = {.lex_state = 240},
  [4213] = {.lex_state = 204},
  [4214] = {.lex_state = 202},
  [4215] = {.lex_state = 223},
  [4216] = {.lex_state = 202},
  [4217] = {.lex_state = 202},
  [4218] = {.lex_state = 204},
  [4219] = {.lex_state = 223},
  [4220] = {.lex_state = 226},
  [4221] = {.lex_state = 204},
  [4222] = {.lex_state = 239},
  [4223] = {.lex_state = 204},
  [4224] = {.lex_state = 204},
  [4225] = {.lex_state = 202},
  [4226] = {.lex_state = 202},
  [4227] = {.lex_state = 202},
  [4228] = {.lex_state = 204},
  [4229] = {.lex_state = 204},
  [4230] = {.lex_state = 227},
  [4231] = {.lex_state = 202},
  [4232] = {.lex_state = 202},
  [4233] = {.lex_state = 202},
  [4234] = {.lex_state = 227},
  [4235] = {.lex_state = 202},
  [4236] = {.lex_state = 227},
  [4237] = {.lex_state = 202},
  [4238] = {.lex_state = 202},
  [4239] = {.lex_state = 227},
  [4240] = {.lex_state = 202},
  [4241] = {.lex_state = 202},
  [4242] = {.lex_state = 202},
  [4243] = {.lex_state = 205},
  [4244] = {.lex_state = 205},
  [4245] = {.lex_state = 227},
  [4246] = {.lex_state = 204},
  [4247] = {.lex_state = 202},
  [4248] = {.lex_state = 204},
  [4249] = {.lex_state = 204},
  [4250] = {.lex_state = 227},
  [4251] = {.lex_state = 204},
  [4252] = {.lex_state = 204},
  [4253] = {.lex_state = 202},
  [4254] = {.lex_state = 227},
  [4255] = {.lex_state = 204},
  [4256] = {.lex_state = 227},
  [4257] = {.lex_state = 227},
  [4258] = {.lex_state = 202},
  [4259] = {.lex_state = 202},
  [4260] = {.lex_state = 202},
  [4261] = {.lex_state = 204},
  [4262] = {.lex_state = 227},
  [4263] = {.lex_state = 204},
  [4264] = {.lex_state = 202},
  [4265] = {.lex_state = 227},
  [4266] = {.lex_state = 240},
  [4267] = {.lex_state = 202},
  [4268] = {.lex_state = 202},
  [4269] = {.lex_state = 227},
  [4270] = {.lex_state = 204},
  [4271] = {.lex_state = 204},
  [4272] = {.lex_state = 202},
  [4273] = {.lex_state = 202},
  [4274] = {.lex_state = 202},
  [4275] = {.lex_state = 202},
  [4276] = {.lex_state = 202},
  [4277] = {.lex_state = 227},
  [4278] = {.lex_state = 202},
  [4279] = {.lex_state = 202},
  [4280] = {.lex_state = 202},
  [4281] = {.lex_state = 202},
  [4282] = {.lex_state = 202},
  [4283] = {.lex_state = 202},
  [4284] = {.lex_state = 202},
  [4285] = {.lex_state = 204},
  [4286] = {.lex_state = 202},
  [4287] = {.lex_state = 202},
  [4288] = {.lex_state = 204},
  [4289] = {.lex_state = 223},
  [4290] = {.lex_state = 202},
  [4291] = {.lex_state = 205},
  [4292] = {.lex_state = 202},
  [4293] = {.lex_state = 227},
  [4294] = {.lex_state = 202},
  [4295] = {.lex_state = 227},
  [4296] = {.lex_state = 227},
  [4297] = {.lex_state = 227},
  [4298] = {.lex_state = 227},
  [4299] = {.lex_state = 227},
  [4300] = {.lex_state = 202},
  [4301] = {.lex_state = 227},
  [4302] = {.lex_state = 204},
  [4303] = {.lex_state = 204},
  [4304] = {.lex_state = 202},
  [4305] = {.lex_state = 202},
  [4306] = {.lex_state = 202},
  [4307] = {.lex_state = 202},
  [4308] = {.lex_state = 202},
  [4309] = {.lex_state = 202},
  [4310] = {.lex_state = 202},
  [4311] = {.lex_state = 229},
  [4312] = {.lex_state = 204},
  [4313] = {.lex_state = 202},
  [4314] = {.lex_state = 202},
  [4315] = {.lex_state = 202},
  [4316] = {.lex_state = 202},
  [4317] = {.lex_state = 240},
  [4318] = {.lex_state = 202},
  [4319] = {.lex_state = 236},
  [4320] = {.lex_state = 202},
  [4321] = {.lex_state = 202},
  [4322] = {.lex_state = 202},
  [4323] = {.lex_state = 202},
  [4324] = {.lex_state = 236},
  [4325] = {.lex_state = 202},
  [4326] = {.lex_state = 236},
  [4327] = {.lex_state = 236},
  [4328] = {.lex_state = 240},
  [4329] = {.lex_state = 202},
  [4330] = {.lex_state = 204},
  [4331] = {.lex_state = 236},
  [4332] = {.lex_state = 202},
  [4333] = {.lex_state = 202},
  [4334] = {.lex_state = 202},
  [4335] = {.lex_state = 202},
  [4336] = {.lex_state = 202},
  [4337] = {.lex_state = 202},
  [4338] = {.lex_state = 202},
  [4339] = {.lex_state = 202},
  [4340] = {.lex_state = 202},
  [4341] = {.lex_state = 236},
  [4342] = {.lex_state = 202},
  [4343] = {.lex_state = 240},
  [4344] = {.lex_state = 202},
  [4345] = {.lex_state = 236},
  [4346] = {.lex_state = 202},
  [4347] = {.lex_state = 202},
  [4348] = {.lex_state = 202},
  [4349] = {.lex_state = 240},
  [4350] = {.lex_state = 202},
  [4351] = {.lex_state = 202},
  [4352] = {.lex_state = 202},
  [4353] = {.lex_state = 202},
  [4354] = {.lex_state = 202},
  [4355] = {.lex_state = 240},
  [4356] = {.lex_state = 202},
  [4357] = {.lex_state = 202},
  [4358] = {.lex_state = 202},
  [4359] = {.lex_state = 202},
  [4360] = {.lex_state = 202},
  [4361] = {.lex_state = 236},
  [4362] = {.lex_state = 202},
  [4363] = {.lex_state = 202},
  [4364] = {.lex_state = 202},
  [4365] = {.lex_state = 202},
  [4366] = {.lex_state = 202},
  [4367] = {.lex_state = 202},
  [4368] = {.lex_state = 202},
  [4369] = {.lex_state = 202},
  [4370] = {.lex_state = 202},
  [4371] = {.lex_state = 202},
  [4372] = {.lex_state = 202},
  [4373] = {.lex_state = 202},
  [4374] = {.lex_state = 202},
  [4375] = {.lex_state = 240},
  [4376] = {.lex_state = 202},
  [4377] = {.lex_state = 202},
  [4378] = {.lex_state = 202},
  [4379] = {.lex_state = 202},
  [4380] = {.lex_state = 202},
  [4381] = {.lex_state = 202},
  [4382] = {.lex_state = 202},
  [4383] = {.lex_state = 241},
  [4384] = {.lex_state = 202},
  [4385] = {.lex_state = 202},
  [4386] = {.lex_state = 202},
  [4387] = {.lex_state = 202},
  [4388] = {.lex_state = 202},
  [4389] = {.lex_state = 202},
  [4390] = {.lex_state = 202},
  [4391] = {.lex_state = 202},
  [4392] = {.lex_state = 202},
  [4393] = {.lex_state = 202},
  [4394] = {.lex_state = 202},
  [4395] = {.lex_state = 202},
  [4396] = {.lex_state = 227},
  [4397] = {.lex_state = 202},
  [4398] = {.lex_state = 202},
  [4399] = {.lex_state = 202},
  [4400] = {.lex_state = 236},
  [4401] = {.lex_state = 202},
  [4402] = {.lex_state = 202},
  [4403] = {.lex_state = 236},
  [4404] = {.lex_state = 236},
  [4405] = {.lex_state = 204},
  [4406] = {.lex_state = 202},
  [4407] = {.lex_state = 236},
  [4408] = {.lex_state = 236},
  [4409] = {.lex_state = 236},
  [4410] = {.lex_state = 202},
  [4411] = {.lex_state = 236},
  [4412] = {.lex_state = 204},
  [4413] = {.lex_state = 236},
  [4414] = {.lex_state = 202},
  [4415] = {.lex_state = 202},
  [4416] = {.lex_state = 236},
  [4417] = {.lex_state = 202},
  [4418] = {.lex_state = 202},
  [4419] = {.lex_state = 202},
  [4420] = {.lex_state = 202},
  [4421] = {.lex_state = 202},
  [4422] = {.lex_state = 202},
  [4423] = {.lex_state = 202},
  [4424] = {.lex_state = 236},
  [4425] = {.lex_state = 202},
  [4426] = {.lex_state = 237},
  [4427] = {.lex_state = 202},
  [4428] = {.lex_state = 204},
  [4429] = {.lex_state = 202},
  [4430] = {.lex_state = 202},
  [4431] = {.lex_state = 202},
  [4432] = {.lex_state = 202},
  [4433] = {.lex_state = 202},
  [4434] = {.lex_state = 202},
  [4435] = {.lex_state = 236},
  [4436] = {.lex_state = 204},
  [4437] = {.lex_state = 202},
  [4438] = {.lex_state = 236},
  [4439] = {.lex_state = 240},
  [4440] = {.lex_state = 240},
  [4441] = {.lex_state = 202},
  [4442] = {.lex_state = 236},
  [4443] = {.lex_state = 202},
  [4444] = {.lex_state = 202},
  [4445] = {.lex_state = 204},
  [4446] = {.lex_state = 236},
  [4447] = {.lex_state = 236},
  [4448] = {.lex_state = 202},
  [4449] = {.lex_state = 202},
  [4450] = {.lex_state = 202},
  [4451] = {.lex_state = 202},
  [4452] = {.lex_state = 202},
  [4453] = {.lex_state = 202},
  [4454] = {.lex_state = 229},
  [4455] = {.lex_state = 202},
  [4456] = {.lex_state = 202},
  [4457] = {.lex_state = 229},
  [4458] = {.lex_state = 227},
  [4459] = {.lex_state = 227},
  [4460] = {.lex_state = 236},
  [4461] = {.lex_state = 236},
  [4462] = {.lex_state = 236},
  [4463] = {.lex_state = 236},
  [4464] = {.lex_state = 227},
  [4465] = {.lex_state = 237},
  [4466] = {.lex_state = 227},
  [4467] = {.lex_state = 236},
  [4468] = {.lex_state = 227},
  [4469] = {.lex_state = 227},
  [4470] = {.lex_state = 203},
  [4471] = {.lex_state = 202},
  [4472] = {.lex_state = 240},
  [4473] = {.lex_state = 227},
  [4474] = {.lex_state = 227},
  [4475] = {.lex_state = 236},
  [4476] = {.lex_state = 227},
  [4477] = {.lex_state = 227},
  [4478] = {.lex_state = 227},
  [4479] = {.lex_state = 241},
  [4480] = {.lex_state = 227},
  [4481] = {.lex_state = 202},
  [4482] = {.lex_state = 227},
  [4483] = {.lex_state = 227},
  [4484] = {.lex_state = 236},
  [4485] = {.lex_state = 227},
  [4486] = {.lex_state = 205},
  [4487] = {.lex_state = 237},
  [4488] = {.lex_state = 237},
  [4489] = {.lex_state = 227},
  [4490] = {.lex_state = 237},
  [4491] = {.lex_state = 202},
  [4492] = {.lex_state = 236},
  [4493] = {.lex_state = 239},
  [4494] = {.lex_state = 241},
  [4495] = {.lex_state = 227},
  [4496] = {.lex_state = 227},
  [4497] = {.lex_state = 227},
  [4498] = {.lex_state = 237},
  [4499] = {.lex_state = 227},
  [4500] = {.lex_state = 237},
  [4501] = {.lex_state = 239},
  [4502] = {.lex_state = 227},
  [4503] = {.lex_state = 236},
  [4504] = {.lex_state = 237},
  [4505] = {.lex_state = 227},
  [4506] = {.lex_state = 227},
  [4507] = {.lex_state = 237},
  [4508] = {.lex_state = 227},
  [4509] = {.lex_state = 236},
  [4510] = {.lex_state = 227},
  [4511] = {.lex_state = 202},
  [4512] = {.lex_state = 237},
  [4513] = {.lex_state = 227},
  [4514] = {.lex_state = 227},
  [4515] = {.lex_state = 227},
  [4516] = {.lex_state = 227},
  [4517] = {.lex_state = 237},
  [4518] = {.lex_state = 227},
  [4519] = {.lex_state = 237},
  [4520] = {.lex_state = 227},
  [4521] = {.lex_state = 227},
  [4522] = {.lex_state = 202},
  [4523] = {.lex_state = 227},
  [4524] = {.lex_state = 240},
  [4525] = {.lex_state = 227},
  [4526] = {.lex_state = 237},
  [4527] = {.lex_state = 227},
  [4528] = {.lex_state = 237},
  [4529] = {.lex_state = 227},
  [4530] = {.lex_state = 241},
  [4531] = {.lex_state = 202},
  [4532] = {.lex_state = 237},
  [4533] = {.lex_state = 237},
  [4534] = {.lex_state = 237},
  [4535] = {.lex_state = 202},
  [4536] = {.lex_state = 227},
  [4537] = {.lex_state = 227},
  [4538] = {.lex_state = 237},
  [4539] = {.lex_state = 202},
  [4540] = {.lex_state = 237},
  [4541] = {.lex_state = 237},
  [4542] = {.lex_state = 223},
  [4543] = {.lex_state = 237},
  [4544] = {.lex_state = 202},
  [4545] = {.lex_state = 227},
  [4546] = {.lex_state = 202},
  [4547] = {.lex_state = 240},
  [4548] = {.lex_state = 227},
  [4549] = {.lex_state = 236},
  [4550] = {.lex_state = 202},
  [4551] = {.lex_state = 237},
  [4552] = {.lex_state = 240},
  [4553] = {.lex_state = 240},
  [4554] = {.lex_state = 240},
  [4555] = {.lex_state = 240},
  [4556] = {.lex_state = 240},
  [4557] = {.lex_state = 240},
  [4558] = {.lex_state = 240},
  [4559] = {.lex_state = 240},
  [4560] = {.lex_state = 240},
  [4561] = {.lex_state = 240},
  [4562] = {.lex_state = 240},
  [4563] = {.lex_state = 240},
  [4564] = {.lex_state = 240},
  [4565] = {.lex_state = 240},
  [4566] = {.lex_state = 240},
  [4567] = {.lex_state = 240},
  [4568] = {.lex_state = 240},
  [4569] = {.lex_state = 240},
  [4570] = {.lex_state = 237},
  [4571] = {.lex_state = 240},
  [4572] = {.lex_state = 236},
  [4573] = {.lex_state = 240},
  [4574] = {.lex_state = 240},
  [4575] = {.lex_state = 202},
  [4576] = {.lex_state = 237},
  [4577] = {.lex_state = 239},
  [4578] = {.lex_state = 240},
  [4579] = {.lex_state = 223},
  [4580] = {.lex_state = 240},
  [4581] = {.lex_state = 240},
  [4582] = {.lex_state = 236},
  [4583] = {.lex_state = 240},
  [4584] = {.lex_state = 240},
  [4585] = {.lex_state = 239},
  [4586] = {.lex_state = 240},
  [4587] = {.lex_state = 240},
  [4588] = {.lex_state = 240},
  [4589] = {.lex_state = 240},
  [4590] = {.lex_state = 240},
  [4591] = {.lex_state = 204},
  [4592] = {.lex_state = 240},
  [4593] = {.lex_state = 236},
  [4594] = {.lex_state = 239},
  [4595] = {.lex_state = 204},
  [4596] = {.lex_state = 223},
  [4597] = {.lex_state = 236},
  [4598] = {.lex_state = 240},
  [4599] = {.lex_state = 240},
  [4600] = {.lex_state = 240},
  [4601] = {.lex_state = 240},
  [4602] = {.lex_state = 240},
  [4603] = {.lex_state = 237},
  [4604] = {.lex_state = 240},
  [4605] = {.lex_state = 239},
  [4606] = {.lex_state = 240},
  [4607] = {.lex_state = 240},
  [4608] = {.lex_state = 223},
  [4609] = {.lex_state = 239},
  [4610] = {.lex_state = 240},
  [4611] = {.lex_state = 223},
  [4612] = {.lex_state = 204},
  [4613] = {.lex_state = 240},
  [4614] = {.lex_state = 240},
  [4615] = {.lex_state = 204},
  [4616] = {.lex_state = 239},
  [4617] = {.lex_state = 240},
  [4618] = {.lex_state = 240},
  [4619] = {.lex_state = 240},
  [4620] = {.lex_state = 240},
  [4621] = {.lex_state = 223},
  [4622] = {.lex_state = 240},
  [4623] = {.lex_state = 204},
  [4624] = {.lex_state = 236},
  [4625] = {.lex_state = 240},
  [4626] = {.lex_state = 240},
  [4627] = {.lex_state = 240},
  [4628] = {.lex_state = 240},
  [4629] = {.lex_state = 240},
  [4630] = {.lex_state = 204},
  [4631] = {.lex_state = 240},
  [4632] = {.lex_state = 240},
  [4633] = {.lex_state = 240},
  [4634] = {.lex_state = 240},
  [4635] = {.lex_state = 240},
  [4636] = {.lex_state = 240},
  [4637] = {.lex_state = 240},
  [4638] = {.lex_state = 240},
  [4639] = {.lex_state = 223},
  [4640] = {.lex_state = 240},
  [4641] = {.lex_state = 240},
  [4642] = {.lex_state = 236},
  [4643] = {.lex_state = 223},
  [4644] = {.lex_state = 223},
  [4645] = {.lex_state = 239},
  [4646] = {.lex_state = 204},
  [4647] = {.lex_state = 202},
  [4648] = {.lex_state = 203},
  [4649] = {.lex_state = 239},
  [4650] = {.lex_state = 236},
  [4651] = {.lex_state = 236},
  [4652] = {.lex_state = 236},
  [4653] = {.lex_state = 202},
  [4654] = {.lex_state = 236},
  [4655] = {.lex_state = 223},
  [4656] = {.lex_state = 227},
  [4657] = {.lex_state = 202},
  [4658] = {.lex_state = 236},
  [4659] = {.lex_state = 203},
  [4660] = {.lex_state = 236},
  [4661] = {.lex_state = 202},
  [4662] = {.lex_state = 236},
  [4663] = {.lex_state = 237},
  [4664] = {.lex_state = 236},
  [4665] = {.lex_state = 239},
  [4666] = {.lex_state = 236},
  [4667] = {.lex_state = 236},
  [4668] = {.lex_state = 236},
  [4669] = {.lex_state = 236},
  [4670] = {.lex_state = 236},
  [4671] = {.lex_state = 227},
  [4672] = {.lex_state = 236},
  [4673] = {.lex_state = 239},
  [4674] = {.lex_state = 236},
  [4675] = {.lex_state = 236},
  [4676] = {.lex_state = 236},
  [4677] = {.lex_state = 223},
  [4678] = {.lex_state = 204},
  [4679] = {.lex_state = 239},
  [4680] = {.lex_state = 237},
  [4681] = {.lex_state = 236},
  [4682] = {.lex_state = 237},
  [4683] = {.lex_state = 239},
  [4684] = {.lex_state = 236},
  [4685] = {.lex_state = 240},
  [4686] = {.lex_state = 237},
  [4687] = {.lex_state = 237},
  [4688] = {.lex_state = 236},
  [4689] = {.lex_state = 236},
  [4690] = {.lex_state = 237},
  [4691] = {.lex_state = 236},
  [4692] = {.lex_state = 236},
  [4693] = {.lex_state = 237},
  [4694] = {.lex_state = 237},
  [4695] = {.lex_state = 237},
  [4696] = {.lex_state = 237},
  [4697] = {.lex_state = 237},
  [4698] = {.lex_state = 240},
  [4699] = {.lex_state = 237},
  [4700] = {.lex_state = 237},
  [4701] = {.lex_state = 237},
  [4702] = {.lex_state = 237},
  [4703] = {.lex_state = 237},
  [4704] = {.lex_state = 236},
  [4705] = {.lex_state = 237},
  [4706] = {.lex_state = 236},
  [4707] = {.lex_state = 240},
  [4708] = {.lex_state = 237},
  [4709] = {.lex_state = 240},
  [4710] = {.lex_state = 236},
  [4711] = {.lex_state = 237},
  [4712] = {.lex_state = 236},
  [4713] = {.lex_state = 239},
  [4714] = {.lex_state = 236},
  [4715] = {.lex_state = 239},
  [4716] = {.lex_state = 204},
  [4717] = {.lex_state = 204},
  [4718] = {.lex_state = 236},
  [4719] = {.lex_state = 239},
  [4720] = {.lex_state = 240},
  [4721] = {.lex_state = 239},
  [4722] = {.lex_state = 237},
  [4723] = {.lex_state = 204},
  [4724] = {.lex_state = 239},
  [4725] = {.lex_state = 240},
  [4726] = {.lex_state = 240},
  [4727] = {.lex_state = 236},
  [4728] = {.lex_state = 240},
  [4729] = {.lex_state = 240},
  [4730] = {.lex_state = 236},
  [4731] = {.lex_state = 236},
  [4732] = {.lex_state = 237},
  [4733] = {.lex_state = 236},
  [4734] = {.lex_state = 236},
  [4735] = {.lex_state = 236},
  [4736] = {.lex_state = 236},
  [4737] = {.lex_state = 236},
  [4738] = {.lex_state = 236},
  [4739] = {.lex_state = 239},
  [4740] = {.lex_state = 236},
  [4741] = {.lex_state = 237},
  [4742] = {.lex_state = 236},
  [4743] = {.lex_state = 240},
  [4744] = {.lex_state = 236},
  [4745] = {.lex_state = 239},
  [4746] = {.lex_state = 236},
  [4747] = {.lex_state = 236},
  [4748] = {.lex_state = 204},
  [4749] = {.lex_state = 236},
  [4750] = {.lex_state = 236},
  [4751] = {.lex_state = 236},
  [4752] = {.lex_state = 237},
  [4753] = {.lex_state = 236},
  [4754] = {.lex_state = 236},
  [4755] = {.lex_state = 236},
  [4756] = {.lex_state = 236},
  [4757] = {.lex_state = 236},
  [4758] = {.lex_state = 240},
  [4759] = {.lex_state = 204},
  [4760] = {.lex_state = 236},
  [4761] = {.lex_state = 236},
  [4762] = {.lex_state = 237},
  [4763] = {.lex_state = 240},
  [4764] = {.lex_state = 236},
  [4765] = {.lex_state = 236},
  [4766] = {.lex_state = 236},
  [4767] = {.lex_state = 236},
  [4768] = {.lex_state = 240},
  [4769] = {.lex_state = 236},
  [4770] = {.lex_state = 240},
  [4771] = {.lex_state = 239},
  [4772] = {.lex_state = 236},
  [4773] = {.lex_state = 236},
  [4774] = {.lex_state = 194},
  [4775] = {.lex_state = 237},
  [4776] = {.lex_state = 194},
  [4777] = {.lex_state = 237},
  [4778] = {.lex_state = 194},
  [4779] = {.lex_state = 194},
  [4780] = {.lex_state = 240},
  [4781] = {.lex_state = 194},
  [4782] = {.lex_state = 194},
  [4783] = {.lex_state = 237},
  [4784] = {.lex_state = 202},
  [4785] = {.lex_state = 194},
  [4786] = {.lex_state = 237},
  [4787] = {.lex_state = 194},
  [4788] = {.lex_state = 194},
  [4789] = {.lex_state = 194},
  [4790] = {.lex_state = 237},
  [4791] = {.lex_state = 237},
  [4792] = {.lex_state = 194},
  [4793] = {.lex_state = 194},
  [4794] = {.lex_state = 202},
  [4795] = {.lex_state = 237},
  [4796] = {.lex_state = 202},
  [4797] = {.lex_state = 194},
  [4798] = {.lex_state = 240},
  [4799] = {.lex_state = 194},
  [4800] = {.lex_state = 194},
  [4801] = {.lex_state = 194},
  [4802] = {.lex_state = 237},
  [4803] = {.lex_state = 194},
  [4804] = {.lex_state = 237},
  [4805] = {.lex_state = 237},
  [4806] = {.lex_state = 194},
  [4807] = {.lex_state = 194},
  [4808] = {.lex_state = 194},
  [4809] = {.lex_state = 237},
  [4810] = {.lex_state = 194},
  [4811] = {.lex_state = 194},
  [4812] = {.lex_state = 194},
  [4813] = {.lex_state = 194},
  [4814] = {.lex_state = 237},
  [4815] = {.lex_state = 237},
  [4816] = {.lex_state = 237},
  [4817] = {.lex_state = 237},
  [4818] = {.lex_state = 237},
  [4819] = {.lex_state = 202},
  [4820] = {.lex_state = 194},
  [4821] = {.lex_state = 237},
  [4822] = {.lex_state = 194},
  [4823] = {.lex_state = 194},
  [4824] = {.lex_state = 194},
  [4825] = {.lex_state = 194},
  [4826] = {.lex_state = 237},
  [4827] = {.lex_state = 202},
  [4828] = {.lex_state = 237},
  [4829] = {.lex_state = 237},
  [4830] = {.lex_state = 202},
  [4831] = {.lex_state = 237},
  [4832] = {.lex_state = 194},
  [4833] = {.lex_state = 237},
  [4834] = {.lex_state = 194},
  [4835] = {.lex_state = 237},
  [4836] = {.lex_state = 237},
  [4837] = {.lex_state = 194},
  [4838] = {.lex_state = 194},
  [4839] = {.lex_state = 237},
  [4840] = {.lex_state = 237},
  [4841] = {.lex_state = 194},
  [4842] = {.lex_state = 194},
  [4843] = {.lex_state = 194},
  [4844] = {.lex_state = 237},
  [4845] = {.lex_state = 194},
  [4846] = {.lex_state = 194},
  [4847] = {.lex_state = 194},
  [4848] = {.lex_state = 237},
  [4849] = {.lex_state = 194},
  [4850] = {.lex_state = 194},
  [4851] = {.lex_state = 194},
  [4852] = {.lex_state = 237},
  [4853] = {.lex_state = 194},
  [4854] = {.lex_state = 194},
  [4855] = {.lex_state = 237},
  [4856] = {.lex_state = 237},
  [4857] = {.lex_state = 194},
  [4858] = {.lex_state = 194},
  [4859] = {.lex_state = 237},
  [4860] = {.lex_state = 194},
  [4861] = {.lex_state = 194},
  [4862] = {.lex_state = 237},
  [4863] = {.lex_state = 194},
  [4864] = {.lex_state = 237},
  [4865] = {.lex_state = 240},
  [4866] = {.lex_state = 194},
  [4867] = {.lex_state = 237},
  [4868] = {.lex_state = 194},
  [4869] = {.lex_state = 202},
  [4870] = {.lex_state = 237},
  [4871] = {.lex_state = 194},
  [4872] = {.lex_state = 237},
  [4873] = {.lex_state = 194},
  [4874] = {.lex_state = 194},
  [4875] = {.lex_state = 194},
  [4876] = {.lex_state = 194},
  [4877] = {.lex_state = 237},
  [4878] = {.lex_state = 237},
  [4879] = {.lex_state = 194},
  [4880] = {.lex_state = 194},
  [4881] = {.lex_state = 194},
  [4882] = {.lex_state = 237},
  [4883] = {.lex_state = 194},
  [4884] = {.lex_state = 194},
  [4885] = {.lex_state = 237},
  [4886] = {.lex_state = 202},
  [4887] = {.lex_state = 194},
  [4888] = {.lex_state = 194},
  [4889] = {.lex_state = 194},
  [4890] = {.lex_state = 194},
  [4891] = {.lex_state = 194},
  [4892] = {.lex_state = 237},
  [4893] = {.lex_state = 202},
  [4894] = {.lex_state = 194},
  [4895] = {.lex_state = 194},
  [4896] = {.lex_state = 194},
  [4897] = {.lex_state = 194},
  [4898] = {.lex_state = 194},
  [4899] = {.lex_state = 194},
  [4900] = {.lex_state = 194},
  [4901] = {.lex_state = 240},
  [4902] = {.lex_state = 194},
  [4903] = {.lex_state = 237},
  [4904] = {.lex_state = 194},
  [4905] = {.lex_state = 194},
  [4906] = {.lex_state = 194},
  [4907] = {.lex_state = 194},
  [4908] = {.lex_state = 194},
  [4909] = {.lex_state = 194},
  [4910] = {.lex_state = 194},
  [4911] = {.lex_state = 194},
  [4912] = {.lex_state = 237},
  [4913] = {.lex_state = 237},
  [4914] = {.lex_state = 237},
  [4915] = {.lex_state = 194},
  [4916] = {.lex_state = 237},
  [4917] = {.lex_state = 237},
  [4918] = {.lex_state = 202},
  [4919] = {.lex_state = 239},
  [4920] = {.lex_state = 202},
  [4921] = {.lex_state = 202},
  [4922] = {.lex_state = 194},
  [4923] = {.lex_state = 202},
  [4924] = {.lex_state = 239},
  [4925] = {.lex_state = 202},
  [4926] = {.lex_state = 202},
  [4927] = {.lex_state = 202},
  [4928] = {.lex_state = 202},
  [4929] = {.lex_state = 202},
  [4930] = {.lex_state = 237},
  [4931] = {.lex_state = 202},
  [4932] = {.lex_state = 237},
  [4933] = {.lex_state = 237},
  [4934] = {.lex_state = 194},
  [4935] = {.lex_state = 202},
  [4936] = {.lex_state = 202},
  [4937] = {.lex_state = 194},
  [4938] = {.lex_state = 194},
  [4939] = {.lex_state = 237},
  [4940] = {.lex_state = 237},
  [4941] = {.lex_state = 194},
  [4942] = {.lex_state = 202},
  [4943] = {.lex_state = 194},
  [4944] = {.lex_state = 202},
  [4945] = {.lex_state = 202},
  [4946] = {.lex_state = 202},
  [4947] = {.lex_state = 239},
  [4948] = {.lex_state = 194},
  [4949] = {.lex_state = 194},
  [4950] = {.lex_state = 194},
  [4951] = {.lex_state = 194},
  [4952] = {.lex_state = 202},
  [4953] = {.lex_state = 202},
  [4954] = {.lex_state = 237},
  [4955] = {.lex_state = 194},
  [4956] = {.lex_state = 202},
  [4957] = {.lex_state = 202},
  [4958] = {.lex_state = 194},
  [4959] = {.lex_state = 194},
  [4960] = {.lex_state = 194},
  [4961] = {.lex_state = 237},
  [4962] = {.lex_state = 239},
  [4963] = {.lex_state = 194},
  [4964] = {.lex_state = 237},
  [4965] = {.lex_state = 202},
  [4966] = {.lex_state = 202},
  [4967] = {.lex_state = 202},
  [4968] = {.lex_state = 194},
  [4969] = {.lex_state = 237},
  [4970] = {.lex_state = 202},
  [4971] = {.lex_state = 202},
  [4972] = {.lex_state = 237},
  [4973] = {.lex_state = 202},
  [4974] = {.lex_state = 237},
  [4975] = {.lex_state = 202},
  [4976] = {.lex_state = 202},
  [4977] = {.lex_state = 237},
  [4978] = {.lex_state = 194},
  [4979] = {.lex_state = 194},
  [4980] = {.lex_state = 239},
  [4981] = {.lex_state = 237},
  [4982] = {.lex_state = 237},
  [4983] = {.lex_state = 237},
  [4984] = {.lex_state = 239},
  [4985] = {.lex_state = 204},
  [4986] = {.lex_state = 204},
  [4987] = {.lex_state = 239},
  [4988] = {.lex_state = 239},
  [4989] = {.lex_state = 239},
  [4990] = {.lex_state = 239},
  [4991] = {.lex_state = 239},
  [4992] = {.lex_state = 196},
  [4993] = {.lex_state = 196},
  [4994] = {.lex_state = 240},
  [4995] = {.lex_state = 196},
  [4996] = {.lex_state = 196},
  [4997] = {.lex_state = 240},
  [4998] = {.lex_state = 196},
  [4999] = {.lex_state = 240},
  [5000] = {.lex_state = 240},
  [5001] = {.lex_state = 240},
  [5002] = {.lex_state = 196},
  [5003] = {.lex_state = 196},
  [5004] = {.lex_state = 196},
  [5005] = {.lex_state = 240},
  [5006] = {.lex_state = 236},
  [5007] = {.lex_state = 239},
  [5008] = {.lex_state = 237},
  [5009] = {.lex_state = 239},
  [5010] = {.lex_state = 239},
  [5011] = {.lex_state = 239},
  [5012] = {.lex_state = 239},
  [5013] = {.lex_state = 237},
  [5014] = {.lex_state = 240},
  [5015] = {.lex_state = 204},
  [5016] = {.lex_state = 240},
  [5017] = {.lex_state = 240},
  [5018] = {.lex_state = 240},
  [5019] = {.lex_state = 239},
  [5020] = {.lex_state = 240},
  [5021] = {.lex_state = 239},
  [5022] = {.lex_state = 239},
  [5023] = {.lex_state = 239},
  [5024] = {.lex_state = 236},
  [5025] = {.lex_state = 237},
  [5026] = {.lex_state = 240},
  [5027] = {.lex_state = 239},
  [5028] = {.lex_state = 240},
  [5029] = {.lex_state = 237},
  [5030] = {.lex_state = 240},
  [5031] = {.lex_state = 240},
  [5032] = {.lex_state = 240},
  [5033] = {.lex_state = 239},
  [5034] = {.lex_state = 239},
  [5035] = {.lex_state = 240},
  [5036] = {.lex_state = 240},
  [5037] = {.lex_state = 194},
  [5038] = {.lex_state = 248},
  [5039] = {.lex_state = 194},
  [5040] = {.lex_state = 194},
  [5041] = {.lex_state = 194},
  [5042] = {.lex_state = 248},
  [5043] = {.lex_state = 194},
  [5044] = {.lex_state = 194},
  [5045] = {.lex_state = 194},
  [5046] = {.lex_state = 248},
  [5047] = {.lex_state = 194},
  [5048] = {.lex_state = 248},
  [5049] = {.lex_state = 248},
  [5050] = {.lex_state = 194},
  [5051] = {.lex_state = 194},
  [5052] = {.lex_state = 248},
  [5053] = {.lex_state = 194},
  [5054] = {.lex_state = 194},
  [5055] = {.lex_state = 248},
  [5056] = {.lex_state = 239},
  [5057] = {.lex_state = 239},
  [5058] = {.lex_state = 239},
  [5059] = {.lex_state = 223},
  [5060] = {.lex_state = 239},
  [5061] = {.lex_state = 239},
  [5062] = {.lex_state = 239},
  [5063] = {.lex_state = 240},
  [5064] = {.lex_state = 239},
  [5065] = {.lex_state = 240},
  [5066] = {.lex_state = 240},
  [5067] = {.lex_state = 204},
  [5068] = {.lex_state = 204},
  [5069] = {.lex_state = 240},
  [5070] = {.lex_state = 236},
  [5071] = {.lex_state = 240},
  [5072] = {.lex_state = 248},
  [5073] = {.lex_state = 196},
  [5074] = {.lex_state = 248},
  [5075] = {.lex_state = 248},
  [5076] = {.lex_state = 248},
  [5077] = {.lex_state = 248},
  [5078] = {.lex_state = 248},
  [5079] = {.lex_state = 248},
  [5080] = {.lex_state = 248},
  [5081] = {.lex_state = 248},
  [5082] = {.lex_state = 196},
  [5083] = {.lex_state = 248},
  [5084] = {.lex_state = 196},
  [5085] = {.lex_state = 193},
  [5086] = {.lex_state = 248},
  [5087] = {.lex_state = 196},
  [5088] = {.lex_state = 196},
  [5089] = {.lex_state = 248},
  [5090] = {.lex_state = 196},
  [5091] = {.lex_state = 248},
  [5092] = {.lex_state = 196},
  [5093] = {.lex_state = 223},
  [5094] = {.lex_state = 248},
  [5095] = {.lex_state = 248},
  [5096] = {.lex_state = 248},
  [5097] = {.lex_state = 248},
  [5098] = {.lex_state = 196},
  [5099] = {.lex_state = 248},
  [5100] = {.lex_state = 248},
  [5101] = {.lex_state = 248},
  [5102] = {.lex_state = 248},
  [5103] = {.lex_state = 248},
  [5104] = {.lex_state = 248},
  [5105] = {.lex_state = 196},
  [5106] = {.lex_state = 248},
  [5107] = {.lex_state = 248},
  [5108] = {.lex_state = 248},
  [5109] = {.lex_state = 248},
  [5110] = {.lex_state = 248},
  [5111] = {.lex_state = 248},
  [5112] = {.lex_state = 248},
  [5113] = {.lex_state = 248},
  [5114] = {.lex_state = 248},
  [5115] = {.lex_state = 223},
  [5116] = {.lex_state = 248},
  [5117] = {.lex_state = 240},
  [5118] = {.lex_state = 248},
  [5119] = {.lex_state = 248},
  [5120] = {.lex_state = 248},
  [5121] = {.lex_state = 248},
  [5122] = {.lex_state = 239},
  [5123] = {.lex_state = 248},
  [5124] = {.lex_state = 248},
  [5125] = {.lex_state = 239},
  [5126] = {.lex_state = 196},
  [5127] = {.lex_state = 196},
  [5128] = {.lex_state = 248},
  [5129] = {.lex_state = 196},
  [5130] = {.lex_state = 223},
  [5131] = {.lex_state = 239},
  [5132] = {.lex_state = 248},
  [5133] = {.lex_state = 176},
  [5134] = {.lex_state = 194},
  [5135] = {.lex_state = 194},
  [5136] = {.lex_state = 194},
  [5137] = {.lex_state = 194},
  [5138] = {.lex_state = 194},
  [5139] = {.lex_state = 194},
  [5140] = {.lex_state = 194},
  [5141] = {.lex_state = 194},
  [5142] = {.lex_state = 223},
  [5143] = {.lex_state = 194},
  [5144] = {.lex_state = 194},
  [5145] = {.lex_state = 194},
  [5146] = {.lex_state = 240},
  [5147] = {.lex_state = 194},
  [5148] = {.lex_state = 194},
  [5149] = {.lex_state = 194},
  [5150] = {.lex_state = 176},
  [5151] = {.lex_state = 194},
  [5152] = {.lex_state = 194},
  [5153] = {.lex_state = 194},
  [5154] = {.lex_state = 194},
  [5155] = {.lex_state = 194},
  [5156] = {.lex_state = 194},
  [5157] = {.lex_state = 194},
  [5158] = {.lex_state = 194},
  [5159] = {.lex_state = 194},
  [5160] = {.lex_state = 194},
  [5161] = {.lex_state = 194},
  [5162] = {.lex_state = 194},
  [5163] = {.lex_state = 194},
  [5164] = {.lex_state = 194},
  [5165] = {.lex_state = 194},
  [5166] = {.lex_state = 194},
  [5167] = {.lex_state = 194},
  [5168] = {.lex_state = 194},
  [5169] = {.lex_state = 193},
  [5170] = {.lex_state = 194},
  [5171] = {.lex_state = 194},
  [5172] = {.lex_state = 194},
  [5173] = {.lex_state = 194},
  [5174] = {.lex_state = 194},
  [5175] = {.lex_state = 194},
  [5176] = {.lex_state = 194},
  [5177] = {.lex_state = 194},
  [5178] = {.lex_state = 194},
  [5179] = {.lex_state = 194},
  [5180] = {.lex_state = 194},
  [5181] = {.lex_state = 194},
  [5182] = {.lex_state = 176},
  [5183] = {.lex_state = 194},
  [5184] = {.lex_state = 194},
  [5185] = {.lex_state = 194},
  [5186] = {.lex_state = 194},
  [5187] = {.lex_state = 194},
  [5188] = {.lex_state = 194},
  [5189] = {.lex_state = 194},
  [5190] = {.lex_state = 194},
  [5191] = {.lex_state = 194},
  [5192] = {.lex_state = 194},
  [5193] = {.lex_state = 223},
  [5194] = {.lex_state = 194},
  [5195] = {.lex_state = 194},
  [5196] = {.lex_state = 194},
  [5197] = {.lex_state = 194},
  [5198] = {.lex_state = 194},
  [5199] = {.lex_state = 194},
  [5200] = {.lex_state = 194},
  [5201] = {.lex_state = 194},
  [5202] = {.lex_state = 194},
  [5203] = {.lex_state = 194},
  [5204] = {.lex_state = 194},
  [5205] = {.lex_state = 194},
  [5206] = {.lex_state = 194},
  [5207] = {.lex_state = 194},
  [5208] = {.lex_state = 194},
  [5209] = {.lex_state = 194},
  [5210] = {.lex_state = 194},
  [5211] = {.lex_state = 194},
  [5212] = {.lex_state = 194},
  [5213] = {.lex_state = 193},
  [5214] = {.lex_state = 194},
  [5215] = {.lex_state = 194},
  [5216] = {.lex_state = 101},
  [5217] = {.lex_state = 194},
  [5218] = {.lex_state = 194},
  [5219] = {.lex_state = 194},
  [5220] = {.lex_state = 194},
  [5221] = {.lex_state = 194},
  [5222] = {.lex_state = 194},
  [5223] = {.lex_state = 194},
  [5224] = {.lex_state = 193},
  [5225] = {.lex_state = 194},
  [5226] = {.lex_state = 194},
  [5227] = {.lex_state = 194},
  [5228] = {.lex_state = 194},
  [5229] = {.lex_state = 194},
  [5230] = {.lex_state = 194},
  [5231] = {.lex_state = 194},
  [5232] = {.lex_state = 194},
  [5233] = {.lex_state = 176},
  [5234] = {.lex_state = 223},
  [5235] = {.lex_state = 176},
  [5236] = {.lex_state = 193},
  [5237] = {.lex_state = 193},
  [5238] = {.lex_state = 239},
  [5239] = {.lex_state = 193},
  [5240] = {.lex_state = 193},
  [5241] = {.lex_state = 193},
  [5242] = {.lex_state = 176},
  [5243] = {.lex_state = 193},
  [5244] = {.lex_state = 193},
  [5245] = {.lex_state = 193},
  [5246] = {.lex_state = 193},
  [5247] = {.lex_state = 193},
  [5248] = {.lex_state = 193},
  [5249] = {.lex_state = 193},
  [5250] = {.lex_state = 193},
  [5251] = {.lex_state = 193},
  [5252] = {.lex_state = 223},
  [5253] = {.lex_state = 193},
  [5254] = {.lex_state = 193},
  [5255] = {.lex_state = 223},
  [5256] = {.lex_state = 176},
  [5257] = {.lex_state = 176},
  [5258] = {.lex_state = 176},
  [5259] = {.lex_state = 176},
  [5260] = {.lex_state = 223},
  [5261] = {.lex_state = 176},
  [5262] = {.lex_state = 176},
  [5263] = {.lex_state = 176},
  [5264] = {.lex_state = 176},
  [5265] = {.lex_state = 176},
  [5266] = {.lex_state = 176},
  [5267] = {.lex_state = 193},
  [5268] = {.lex_state = 223},
  [5269] = {.lex_state = 193},
  [5270] = {.lex_state = 176},
  [5271] = {.lex_state = 176},
  [5272] = {.lex_state = 223},
  [5273] = {.lex_state = 176},
  [5274] = {.lex_state = 223},
  [5275] = {.lex_state = 176},
  [5276] = {.lex_state = 193},
  [5277] = {.lex_state = 223},
  [5278] = {.lex_state = 223},
  [5279] = {.lex_state = 176},
  [5280] = {.lex_state = 176},
  [5281] = {.lex_state = 223},
  [5282] = {.lex_state = 176},
  [5283] = {.lex_state = 239},
  [5284] = {.lex_state = 176},
  [5285] = {.lex_state = 176},
  [5286] = {.lex_state = 176},
  [5287] = {.lex_state = 193},
  [5288] = {.lex_state = 176},
  [5289] = {.lex_state = 176},
  [5290] = {.lex_state = 237},
  [5291] = {.lex_state = 176},
  [5292] = {.lex_state = 237},
  [5293] = {.lex_state = 237},
  [5294] = {.lex_state = 176},
  [5295] = {.lex_state = 237},
  [5296] = {.lex_state = 237},
  [5297] = {.lex_state = 237},
  [5298] = {.lex_state = 176},
  [5299] = {.lex_state = 237},
  [5300] = {.lex_state = 237},
  [5301] = {.lex_state = 223},
  [5302] = {.lex_state = 237},
  [5303] = {.lex_state = 176},
  [5304] = {.lex_state = 176},
  [5305] = {.lex_state = 176},
  [5306] = {.lex_state = 176},
  [5307] = {.lex_state = 237},
  [5308] = {.lex_state = 176},
  [5309] = {.lex_state = 237},
  [5310] = {.lex_state = 239},
  [5311] = {.lex_state = 176},
  [5312] = {.lex_state = 176},
  [5313] = {.lex_state = 176},
  [5314] = {.lex_state = 223},
  [5315] = {.lex_state = 237},
  [5316] = {.lex_state = 237},
  [5317] = {.lex_state = 237},
  [5318] = {.lex_state = 237},
  [5319] = {.lex_state = 223},
  [5320] = {.lex_state = 239},
  [5321] = {.lex_state = 240},
  [5322] = {.lex_state = 176},
  [5323] = {.lex_state = 240},
  [5324] = {.lex_state = 176},
  [5325] = {.lex_state = 223},
  [5326] = {.lex_state = 223},
  [5327] = {.lex_state = 237},
  [5328] = {.lex_state = 237},
  [5329] = {.lex_state = 202},
  [5330] = {.lex_state = 237},
  [5331] = {.lex_state = 176},
  [5332] = {.lex_state = 223},
  [5333] = {.lex_state = 239},
  [5334] = {.lex_state = 223},
  [5335] = {.lex_state = 239},
  [5336] = {.lex_state = 239},
  [5337] = {.lex_state = 240},
  [5338] = {.lex_state = 239},
  [5339] = {.lex_state = 240},
  [5340] = {.lex_state = 240},
  [5341] = {.lex_state = 240},
  [5342] = {.lex_state = 237},
  [5343] = {.lex_state = 240},
  [5344] = {.lex_state = 240},
  [5345] = {.lex_state = 240},
  [5346] = {.lex_state = 101},
  [5347] = {.lex_state = 240},
  [5348] = {.lex_state = 240},
  [5349] = {.lex_state = 240},
  [5350] = {.lex_state = 240},
  [5351] = {.lex_state = 239},
  [5352] = {.lex_state = 101},
  [5353] = {.lex_state = 237},
  [5354] = {.lex_state = 239},
  [5355] = {.lex_state = 240},
  [5356] = {.lex_state = 237},
  [5357] = {.lex_state = 239},
  [5358] = {.lex_state = 193},
  [5359] = {.lex_state = 239},
  [5360] = {.lex_state = 240},
  [5361] = {.lex_state = 239},
  [5362] = {.lex_state = 239},
  [5363] = {.lex_state = 239},
  [5364] = {.lex_state = 239},
  [5365] = {.lex_state = 101},
  [5366] = {.lex_state = 239},
  [5367] = {.lex_state = 239},
  [5368] = {.lex_state = 101},
  [5369] = {.lex_state = 101},
  [5370] = {.lex_state = 101},
  [5371] = {.lex_state = 240},
  [5372] = {.lex_state = 237},
  [5373] = {.lex_state = 240},
  [5374] = {.lex_state = 240},
  [5375] = {.lex_state = 240},
  [5376] = {.lex_state = 237},
  [5377] = {.lex_state = 240},
  [5378] = {.lex_state = 240},
  [5379] = {.lex_state = 239},
  [5380] = {.lex_state = 239},
  [5381] = {.lex_state = 239},
  [5382] = {.lex_state = 239},
  [5383] = {.lex_state = 101},
  [5384] = {.lex_state = 101},
  [5385] = {.lex_state = 240},
  [5386] = {.lex_state = 239},
  [5387] = {.lex_state = 101},
  [5388] = {.lex_state = 240},
  [5389] = {.lex_state = 240},
  [5390] = {.lex_state = 223},
  [5391] = {.lex_state = 240},
  [5392] = {.lex_state = 101},
  [5393] = {.lex_state = 101},
  [5394] = {.lex_state = 101},
  [5395] = {.lex_state = 237},
  [5396] = {.lex_state = 223},
  [5397] = {.lex_state = 101},
  [5398] = {.lex_state = 239},
  [5399] = {.lex_state = 193},
  [5400] = {.lex_state = 101},
  [5401] = {.lex_state = 223},
  [5402] = {.lex_state = 240},
  [5403] = {.lex_state = 240},
  [5404] = {.lex_state = 239},
  [5405] = {.lex_state = 101},
  [5406] = {.lex_state = 240},
  [5407] = {.lex_state = 236},
  [5408] = {.lex_state = 101},
  [5409] = {.lex_state = 240},
  [5410] = {.lex_state = 240},
  [5411] = {.lex_state = 101},
  [5412] = {.lex_state = 101},
  [5413] = {.lex_state = 240},
  [5414] = {.lex_state = 239},
  [5415] = {.lex_state = 240},
  [5416] = {.lex_state = 223},
  [5417] = {.lex_state = 240},
  [5418] = {.lex_state = 240},
  [5419] = {.lex_state = 101},
  [5420] = {.lex_state = 240},
  [5421] = {.lex_state = 237},
  [5422] = {.lex_state = 101},
  [5423] = {.lex_state = 101},
  [5424] = {.lex_state = 240},
  [5425] = {.lex_state = 223},
  [5426] = {.lex_state = 240},
  [5427] = {.lex_state = 240},
  [5428] = {.lex_state = 237},
  [5429] = {.lex_state = 101},
  [5430] = {.lex_state = 101},
  [5431] = {.lex_state = 237},
  [5432] = {.lex_state = 101},
  [5433] = {.lex_state = 101},
  [5434] = {.lex_state = 223},
  [5435] = {.lex_state = 240},
  [5436] = {.lex_state = 237},
  [5437] = {.lex_state = 101},
  [5438] = {.lex_state = 240},
  [5439] = {.lex_state = 240},
  [5440] = {.lex_state = 239},
  [5441] = {.lex_state = 240},
  [5442] = {.lex_state = 240},
  [5443] = {.lex_state = 101},
  [5444] = {.lex_state = 237},
  [5445] = {.lex_state = 240},
  [5446] = {.lex_state = 240},
  [5447] = {.lex_state = 240},
  [5448] = {.lex_state = 101},
  [5449] = {.lex_state = 240},
  [5450] = {.lex_state = 101},
  [5451] = {.lex_state = 239},
  [5452] = {.lex_state = 237},
  [5453] = {.lex_state = 101},
  [5454] = {.lex_state = 240},
  [5455] = {.lex_state = 240},
  [5456] = {.lex_state = 239},
  [5457] = {.lex_state = 240},
  [5458] = {.lex_state = 239},
  [5459] = {.lex_state = 240},
  [5460] = {.lex_state = 240},
  [5461] = {.lex_state = 101},
  [5462] = {.lex_state = 101},
  [5463] = {.lex_state = 101},
  [5464] = {.lex_state = 240},
  [5465] = {.lex_state = 240},
  [5466] = {.lex_state = 240},
  [5467] = {.lex_state = 236},
  [5468] = {.lex_state = 240},
  [5469] = {.lex_state = 240},
  [5470] = {.lex_state = 194},
  [5471] = {.lex_state = 194},
  [5472] = {.lex_state = 240},
  [5473] = {.lex_state = 240},
  [5474] = {.lex_state = 194},
  [5475] = {.lex_state = 236},
  [5476] = {.lex_state = 240},
  [5477] = {.lex_state = 236},
  [5478] = {.lex_state = 236},
  [5479] = {.lex_state = 194},
  [5480] = {.lex_state = 240},
  [5481] = {.lex_state = 236},
  [5482] = {.lex_state = 236},
  [5483] = {.lex_state = 236},
  [5484] = {.lex_state = 236},
  [5485] = {.lex_state = 239},
  [5486] = {.lex_state = 240},
  [5487] = {.lex_state = 173},
  [5488] = {.lex_state = 236},
  [5489] = {.lex_state = 202},
  [5490] = {.lex_state = 240},
  [5491] = {.lex_state = 239},
  [5492] = {.lex_state = 239},
  [5493] = {.lex_state = 240},
  [5494] = {.lex_state = 239},
  [5495] = {.lex_state = 240},
  [5496] = {.lex_state = 232},
  [5497] = {.lex_state = 240},
  [5498] = {.lex_state = 173},
  [5499] = {.lex_state = 202},
  [5500] = {.lex_state = 202},
  [5501] = {.lex_state = 240},
  [5502] = {.lex_state = 240},
  [5503] = {.lex_state = 239},
  [5504] = {.lex_state = 239},
  [5505] = {.lex_state = 202},
  [5506] = {.lex_state = 239},
  [5507] = {.lex_state = 239},
  [5508] = {.lex_state = 173},
  [5509] = {.lex_state = 204},
  [5510] = {.lex_state = 173},
  [5511] = {.lex_state = 239},
  [5512] = {.lex_state = 232},
  [5513] = {.lex_state = 239},
  [5514] = {.lex_state = 202},
  [5515] = {.lex_state = 173},
  [5516] = {.lex_state = 240},
  [5517] = {.lex_state = 240},
  [5518] = {.lex_state = 240},
  [5519] = {.lex_state = 240},
  [5520] = {.lex_state = 240},
  [5521] = {.lex_state = 173},
  [5522] = {.lex_state = 240},
  [5523] = {.lex_state = 232},
  [5524] = {.lex_state = 239},
  [5525] = {.lex_state = 202},
  [5526] = {.lex_state = 240},
  [5527] = {.lex_state = 240},
  [5528] = {.lex_state = 240},
  [5529] = {.lex_state = 236},
  [5530] = {.lex_state = 240},
  [5531] = {.lex_state = 173},
  [5532] = {.lex_state = 202},
  [5533] = {.lex_state = 239},
  [5534] = {.lex_state = 202},
  [5535] = {.lex_state = 239},
  [5536] = {.lex_state = 240},
  [5537] = {.lex_state = 240},
  [5538] = {.lex_state = 202},
  [5539] = {.lex_state = 240},
  [5540] = {.lex_state = 223},
  [5541] = {.lex_state = 240},
  [5542] = {.lex_state = 239},
  [5543] = {.lex_state = 240},
  [5544] = {.lex_state = 232},
  [5545] = {.lex_state = 240},
  [5546] = {.lex_state = 240},
  [5547] = {.lex_state = 173},
  [5548] = {.lex_state = 240},
  [5549] = {.lex_state = 173},
  [5550] = {.lex_state = 236},
  [5551] = {.lex_state = 223},
  [5552] = {.lex_state = 240},
  [5553] = {.lex_state = 202},
  [5554] = {.lex_state = 240},
  [5555] = {.lex_state = 240},
  [5556] = {.lex_state = 223},
  [5557] = {.lex_state = 173},
  [5558] = {.lex_state = 240},
  [5559] = {.lex_state = 223},
  [5560] = {.lex_state = 236},
  [5561] = {.lex_state = 236},
  [5562] = {.lex_state = 236},
  [5563] = {.lex_state = 194},
  [5564] = {.lex_state = 194},
  [5565] = {.lex_state = 194},
  [5566] = {.lex_state = 237},
  [5567] = {.lex_state = 236},
  [5568] = {.lex_state = 237},
  [5569] = {.lex_state = 237},
  [5570] = {.lex_state = 237},
  [5571] = {.lex_state = 239},
  [5572] = {.lex_state = 237},
  [5573] = {.lex_state = 194},
  [5574] = {.lex_state = 236},
  [5575] = {.lex_state = 236},
  [5576] = {.lex_state = 237},
  [5577] = {.lex_state = 236},
  [5578] = {.lex_state = 240},
  [5579] = {.lex_state = 237},
  [5580] = {.lex_state = 236},
  [5581] = {.lex_state = 241},
  [5582] = {.lex_state = 237},
  [5583] = {.lex_state = 241},
  [5584] = {.lex_state = 236},
  [5585] = {.lex_state = 194},
  [5586] = {.lex_state = 247},
  [5587] = {.lex_state = 237},
  [5588] = {.lex_state = 236},
  [5589] = {.lex_state = 237},
  [5590] = {.lex_state = 194},
  [5591] = {.lex_state = 237},
  [5592] = {.lex_state = 236},
  [5593] = {.lex_state = 239},
  [5594] = {.lex_state = 240},
  [5595] = {.lex_state = 236},
  [5596] = {.lex_state = 236},
  [5597] = {.lex_state = 236},
  [5598] = {.lex_state = 236},
  [5599] = {.lex_state = 236},
  [5600] = {.lex_state = 236},
  [5601] = {.lex_state = 194},
  [5602] = {.lex_state = 194},
  [5603] = {.lex_state = 236},
  [5604] = {.lex_state = 236},
  [5605] = {.lex_state = 237},
  [5606] = {.lex_state = 173},
  [5607] = {.lex_state = 237},
  [5608] = {.lex_state = 236},
  [5609] = {.lex_state = 173},
  [5610] = {.lex_state = 236},
  [5611] = {.lex_state = 237},
  [5612] = {.lex_state = 237},
  [5613] = {.lex_state = 194},
  [5614] = {.lex_state = 236},
  [5615] = {.lex_state = 239},
  [5616] = {.lex_state = 194},
  [5617] = {.lex_state = 236},
  [5618] = {.lex_state = 236},
  [5619] = {.lex_state = 236},
  [5620] = {.lex_state = 236},
  [5621] = {.lex_state = 237},
  [5622] = {.lex_state = 236},
  [5623] = {.lex_state = 236},
  [5624] = {.lex_state = 237},
  [5625] = {.lex_state = 236},
  [5626] = {.lex_state = 237},
  [5627] = {.lex_state = 240},
  [5628] = {.lex_state = 240},
  [5629] = {.lex_state = 240},
  [5630] = {.lex_state = 186},
  [5631] = {.lex_state = 240},
  [5632] = {.lex_state = 240},
  [5633] = {.lex_state = 186},
  [5634] = {.lex_state = 240},
  [5635] = {.lex_state = 240},
  [5636] = {.lex_state = 195},
  [5637] = {.lex_state = 240},
  [5638] = {.lex_state = 240},
  [5639] = {.lex_state = 240},
  [5640] = {.lex_state = 179},
  [5641] = {.lex_state = 186},
  [5642] = {.lex_state = 195},
  [5643] = {.lex_state = 173},
  [5644] = {.lex_state = 195},
  [5645] = {.lex_state = 240},
  [5646] = {.lex_state = 194},
  [5647] = {.lex_state = 194},
  [5648] = {.lex_state = 194},
  [5649] = {.lex_state = 239},
  [5650] = {.lex_state = 195},
  [5651] = {.lex_state = 186},
  [5652] = {.lex_state = 239},
  [5653] = {.lex_state = 195},
  [5654] = {.lex_state = 194},
  [5655] = {.lex_state = 194},
  [5656] = {.lex_state = 186},
  [5657] = {.lex_state = 240},
  [5658] = {.lex_state = 173},
  [5659] = {.lex_state = 195},
  [5660] = {.lex_state = 186},
  [5661] = {.lex_state = 194},
  [5662] = {.lex_state = 186},
  [5663] = {.lex_state = 173},
  [5664] = {.lex_state = 173},
  [5665] = {.lex_state = 195},
  [5666] = {.lex_state = 173},
  [5667] = {.lex_state = 239},
  [5668] = {.lex_state = 239},
  [5669] = {.lex_state = 173},
  [5670] = {.lex_state = 186},
  [5671] = {.lex_state = 186},
  [5672] = {.lex_state = 186},
  [5673] = {.lex_state = 194},
  [5674] = {.lex_state = 186},
  [5675] = {.lex_state = 240},
  [5676] = {.lex_state = 186},
  [5677] = {.lex_state = 173},
  [5678] = {.lex_state = 240},
  [5679] = {.lex_state = 240},
  [5680] = {.lex_state = 240},
  [5681] = {.lex_state = 240},
  [5682] = {.lex_state = 194},
  [5683] = {.lex_state = 186},
  [5684] = {.lex_state = 239},
  [5685] = {.lex_state = 239},
  [5686] = {.lex_state = 239},
  [5687] = {.lex_state = 240},
  [5688] = {.lex_state = 240},
  [5689] = {.lex_state = 240},
  [5690] = {.lex_state = 239},
  [5691] = {.lex_state = 173},
  [5692] = {.lex_state = 239},
  [5693] = {.lex_state = 239},
  [5694] = {.lex_state = 186},
  [5695] = {.lex_state = 173},
  [5696] = {.lex_state = 239},
  [5697] = {.lex_state = 239},
  [5698] = {.lex_state = 239},
  [5699] = {.lex_state = 195},
  [5700] = {.lex_state = 186},
  [5701] = {.lex_state = 239},
  [5702] = {.lex_state = 173},
  [5703] = {.lex_state = 198},
  [5704] = {.lex_state = 240},
  [5705] = {.lex_state = 186},
  [5706] = {.lex_state = 186},
  [5707] = {.lex_state = 241},
  [5708] = {.lex_state = 186},
  [5709] = {.lex_state = 240},
  [5710] = {.lex_state = 198},
  [5711] = {.lex_state = 186},
  [5712] = {.lex_state = 194},
  [5713] = {.lex_state = 186},
  [5714] = {.lex_state = 194},
  [5715] = {.lex_state = 194},
  [5716] = {.lex_state = 240},
  [5717] = {.lex_state = 194},
  [5718] = {.lex_state = 198},
  [5719] = {.lex_state = 198},
  [5720] = {.lex_state = 194},
  [5721] = {.lex_state = 198},
  [5722] = {.lex_state = 194},
  [5723] = {.lex_state = 194},
  [5724] = {.lex_state = 194},
  [5725] = {.lex_state = 198},
  [5726] = {.lex_state = 240},
  [5727] = {.lex_state = 198},
  [5728] = {.lex_state = 239},
  [5729] = {.lex_state = 241},
  [5730] = {.lex_state = 239},
  [5731] = {.lex_state = 240},
  [5732] = {.lex_state = 186},
  [5733] = {.lex_state = 194},
  [5734] = {.lex_state = 241},
  [5735] = {.lex_state = 240},
  [5736] = {.lex_state = 194},
  [5737] = {.lex_state = 239},
  [5738] = {.lex_state = 236},
  [5739] = {.lex_state = 241},
  [5740] = {.lex_state = 241},
  [5741] = {.lex_state = 194},
  [5742] = {.lex_state = 241},
  [5743] = {.lex_state = 241},
  [5744] = {.lex_state = 241},
  [5745] = {.lex_state = 194},
  [5746] = {.lex_state = 194},
  [5747] = {.lex_state = 194},
  [5748] = {.lex_state = 236},
  [5749] = {.lex_state = 194},
  [5750] = {.lex_state = 236},
  [5751] = {.lex_state = 236},
  [5752] = {.lex_state = 241},
  [5753] = {.lex_state = 236},
  [5754] = {.lex_state = 240},
  [5755] = {.lex_state = 203},
  [5756] = {.lex_state = 194},
  [5757] = {.lex_state = 194},
  [5758] = {.lex_state = 236},
  [5759] = {.lex_state = 236},
  [5760] = {.lex_state = 239},
  [5761] = {.lex_state = 236},
  [5762] = {.lex_state = 240},
  [5763] = {.lex_state = 240},
  [5764] = {.lex_state = 240},
  [5765] = {.lex_state = 240},
  [5766] = {.lex_state = 240},
  [5767] = {.lex_state = 198},
  [5768] = {.lex_state = 194},
  [5769] = {.lex_state = 194},
  [5770] = {.lex_state = 241},
  [5771] = {.lex_state = 194},
  [5772] = {.lex_state = 240},
  [5773] = {.lex_state = 241},
  [5774] = {.lex_state = 241},
  [5775] = {.lex_state = 241},
  [5776] = {.lex_state = 241},
  [5777] = {.lex_state = 240},
  [5778] = {.lex_state = 194},
  [5779] = {.lex_state = 241},
  [5780] = {.lex_state = 198},
  [5781] = {.lex_state = 240},
  [5782] = {.lex_state = 232},
  [5783] = {.lex_state = 232},
  [5784] = {.lex_state = 240},
  [5785] = {.lex_state = 232},
  [5786] = {.lex_state = 232},
  [5787] = {.lex_state = 186},
  [5788] = {.lex_state = 240},
  [5789] = {.lex_state = 194},
  [5790] = {.lex_state = 194},
  [5791] = {.lex_state = 194},
  [5792] = {.lex_state = 194},
  [5793] = {.lex_state = 194},
  [5794] = {.lex_state = 240},
  [5795] = {.lex_state = 240},
  [5796] = {.lex_state = 194},
  [5797] = {.lex_state = 194},
  [5798] = {.lex_state = 239},
  [5799] = {.lex_state = 241},
  [5800] = {.lex_state = 198},
  [5801] = {.lex_state = 239},
  [5802] = {.lex_state = 240},
  [5803] = {.lex_state = 214},
  [5804] = {.lex_state = 214},
  [5805] = {.lex_state = 214},
  [5806] = {.lex_state = 241},
  [5807] = {.lex_state = 214},
  [5808] = {.lex_state = 198},
  [5809] = {.lex_state = 214},
  [5810] = {.lex_state = 214},
  [5811] = {.lex_state = 214},
  [5812] = {.lex_state = 241},
  [5813] = {.lex_state = 198},
  [5814] = {.lex_state = 194},
  [5815] = {.lex_state = 240},
  [5816] = {.lex_state = 241},
  [5817] = {.lex_state = 214},
  [5818] = {.lex_state = 194},
  [5819] = {.lex_state = 239},
  [5820] = {.lex_state = 241},
  [5821] = {.lex_state = 240},
  [5822] = {.lex_state = 239},
  [5823] = {.lex_state = 194},
  [5824] = {.lex_state = 194},
  [5825] = {.lex_state = 194},
  [5826] = {.lex_state = 240},
  [5827] = {.lex_state = 194},
  [5828] = {.lex_state = 194},
  [5829] = {.lex_state = 241},
  [5830] = {.lex_state = 240},
  [5831] = {.lex_state = 192},
  [5832] = {.lex_state = 192},
  [5833] = {.lex_state = 0},
  [5834] = {.lex_state = 240},
  [5835] = {.lex_state = 192},
  [5836] = {.lex_state = 240},
  [5837] = {.lex_state = 194},
  [5838] = {.lex_state = 240},
  [5839] = {.lex_state = 240},
  [5840] = {.lex_state = 192},
  [5841] = {.lex_state = 240},
  [5842] = {.lex_state = 240},
  [5843] = {.lex_state = 240},
  [5844] = {.lex_state = 240},
  [5845] = {.lex_state = 240},
  [5846] = {.lex_state = 192},
  [5847] = {.lex_state = 240},
  [5848] = {.lex_state = 240},
  [5849] = {.lex_state = 240},
  [5850] = {.lex_state = 240},
  [5851] = {.lex_state = 0},
  [5852] = {.lex_state = 240},
  [5853] = {.lex_state = 240},
  [5854] = {.lex_state = 240},
  [5855] = {.lex_state = 240},
  [5856] = {.lex_state = 240},
  [5857] = {.lex_state = 240},
  [5858] = {.lex_state = 240},
  [5859] = {.lex_state = 240},
  [5860] = {.lex_state = 240},
  [5861] = {.lex_state = 0},
  [5862] = {.lex_state = 240},
  [5863] = {.lex_state = 196},
  [5864] = {.lex_state = 240},
  [5865] = {.lex_state = 240},
  [5866] = {.lex_state = 196},
  [5867] = {.lex_state = 240},
  [5868] = {.lex_state = 240},
  [5869] = {.lex_state = 240},
  [5870] = {.lex_state = 192},
  [5871] = {.lex_state = 196},
  [5872] = {.lex_state = 196},
  [5873] = {.lex_state = 240},
  [5874] = {.lex_state = 240},
  [5875] = {.lex_state = 192},
  [5876] = {.lex_state = 240},
  [5877] = {.lex_state = 196},
  [5878] = {.lex_state = 240},
  [5879] = {.lex_state = 240},
  [5880] = {.lex_state = 196},
  [5881] = {.lex_state = 0},
  [5882] = {.lex_state = 192},
  [5883] = {.lex_state = 240},
  [5884] = {.lex_state = 196},
  [5885] = {.lex_state = 192},
  [5886] = {.lex_state = 192},
  [5887] = {.lex_state = 192},
  [5888] = {.lex_state = 240},
  [5889] = {.lex_state = 240},
  [5890] = {.lex_state = 240},
  [5891] = {.lex_state = 196},
  [5892] = {.lex_state = 192},
  [5893] = {.lex_state = 240},
  [5894] = {.lex_state = 192},
  [5895] = {.lex_state = 194},
  [5896] = {.lex_state = 240},
  [5897] = {.lex_state = 192},
  [5898] = {.lex_state = 240},
  [5899] = {.lex_state = 173},
  [5900] = {.lex_state = 0},
  [5901] = {.lex_state = 240},
  [5902] = {.lex_state = 0},
  [5903] = {.lex_state = 240},
  [5904] = {.lex_state = 240},
  [5905] = {.lex_state = 240},
  [5906] = {.lex_state = 194},
  [5907] = {.lex_state = 239},
  [5908] = {.lex_state = 239},
  [5909] = {.lex_state = 239},
  [5910] = {.lex_state = 192},
  [5911] = {.lex_state = 240},
  [5912] = {.lex_state = 239},
  [5913] = {.lex_state = 239},
  [5914] = {.lex_state = 240},
  [5915] = {.lex_state = 239},
  [5916] = {.lex_state = 239},
  [5917] = {.lex_state = 239},
  [5918] = {.lex_state = 240},
  [5919] = {.lex_state = 192},
  [5920] = {.lex_state = 192},
  [5921] = {.lex_state = 194},
  [5922] = {.lex_state = 192},
  [5923] = {.lex_state = 240},
  [5924] = {.lex_state = 194},
  [5925] = {.lex_state = 194},
  [5926] = {.lex_state = 240},
  [5927] = {.lex_state = 0},
  [5928] = {.lex_state = 240},
  [5929] = {.lex_state = 173},
  [5930] = {.lex_state = 173},
  [5931] = {.lex_state = 192},
  [5932] = {.lex_state = 194},
  [5933] = {.lex_state = 192},
  [5934] = {.lex_state = 214},
  [5935] = {.lex_state = 194},
  [5936] = {.lex_state = 194},
  [5937] = {.lex_state = 194},
  [5938] = {.lex_state = 0},
  [5939] = {.lex_state = 194},
  [5940] = {.lex_state = 214},
  [5941] = {.lex_state = 240},
  [5942] = {.lex_state = 194},
  [5943] = {.lex_state = 194},
  [5944] = {.lex_state = 240},
  [5945] = {.lex_state = 335},
  [5946] = {.lex_state = 335},
  [5947] = {.lex_state = 194},
  [5948] = {.lex_state = 194},
  [5949] = {.lex_state = 194},
  [5950] = {.lex_state = 194},
  [5951] = {.lex_state = 194},
  [5952] = {.lex_state = 198},
  [5953] = {.lex_state = 198},
  [5954] = {.lex_state = 198},
  [5955] = {.lex_state = 198},
  [5956] = {.lex_state = 194},
  [5957] = {.lex_state = 194},
  [5958] = {.lex_state = 194},
  [5959] = {.lex_state = 214},
  [5960] = {.lex_state = 214},
  [5961] = {.lex_state = 194},
  [5962] = {.lex_state = 214},
  [5963] = {.lex_state = 214},
  [5964] = {.lex_state = 214},
  [5965] = {.lex_state = 335},
  [5966] = {.lex_state = 240},
  [5967] = {.lex_state = 194},
  [5968] = {.lex_state = 194},
  [5969] = {.lex_state = 335},
  [5970] = {.lex_state = 194},
  [5971] = {.lex_state = 202},
  [5972] = {.lex_state = 194},
  [5973] = {.lex_state = 194},
  [5974] = {.lex_state = 194},
  [5975] = {.lex_state = 335},
  [5976] = {.lex_state = 194},
  [5977] = {.lex_state = 194},
  [5978] = {.lex_state = 194},
  [5979] = {.lex_state = 198},
  [5980] = {.lex_state = 214},
  [5981] = {.lex_state = 194},
  [5982] = {.lex_state = 240},
  [5983] = {.lex_state = 240},
  [5984] = {.lex_state = 198},
  [5985] = {.lex_state = 214},
  [5986] = {.lex_state = 194},
  [5987] = {.lex_state = 198},
  [5988] = {.lex_state = 194},
  [5989] = {.lex_state = 194},
  [5990] = {.lex_state = 214},
  [5991] = {.lex_state = 214},
  [5992] = {.lex_state = 198},
  [5993] = {.lex_state = 214},
  [5994] = {.lex_state = 194},
  [5995] = {.lex_state = 194},
  [5996] = {.lex_state = 194},
  [5997] = {.lex_state = 194},
  [5998] = {.lex_state = 196},
  [5999] = {.lex_state = 194},
  [6000] = {.lex_state = 194},
  [6001] = {.lex_state = 194},
  [6002] = {.lex_state = 196},
  [6003] = {.lex_state = 195},
  [6004] = {.lex_state = 195},
  [6005] = {.lex_state = 236},
  [6006] = {.lex_state = 195},
  [6007] = {.lex_state = 195},
  [6008] = {.lex_state = 192},
  [6009] = {.lex_state = 195},
  [6010] = {.lex_state = 194},
  [6011] = {.lex_state = 194},
  [6012] = {.lex_state = 236},
  [6013] = {.lex_state = 194},
  [6014] = {.lex_state = 240},
  [6015] = {.lex_state = 240},
  [6016] = {.lex_state = 240},
  [6017] = {.lex_state = 194},
  [6018] = {.lex_state = 194},
  [6019] = {.lex_state = 196},
  [6020] = {.lex_state = 194},
  [6021] = {.lex_state = 194},
  [6022] = {.lex_state = 240},
  [6023] = {.lex_state = 196},
  [6024] = {.lex_state = 196},
  [6025] = {.lex_state = 196},
  [6026] = {.lex_state = 196},
  [6027] = {.lex_state = 194},
  [6028] = {.lex_state = 194},
  [6029] = {.lex_state = 194},
  [6030] = {.lex_state = 240},
  [6031] = {.lex_state = 196},
  [6032] = {.lex_state = 196},
  [6033] = {.lex_state = 194},
  [6034] = {.lex_state = 194},
  [6035] = {.lex_state = 194},
  [6036] = {.lex_state = 196},
  [6037] = {.lex_state = 194},
  [6038] = {.lex_state = 194},
  [6039] = {.lex_state = 194},
  [6040] = {.lex_state = 194},
  [6041] = {.lex_state = 194},
  [6042] = {.lex_state = 194},
  [6043] = {.lex_state = 196},
  [6044] = {.lex_state = 194},
  [6045] = {.lex_state = 195},
  [6046] = {.lex_state = 194},
  [6047] = {.lex_state = 195},
  [6048] = {.lex_state = 194},
  [6049] = {.lex_state = 194},
  [6050] = {.lex_state = 194},
  [6051] = {.lex_state = 194},
  [6052] = {.lex_state = 196},
  [6053] = {.lex_state = 194},
  [6054] = {.lex_state = 194},
  [6055] = {.lex_state = 194},
  [6056] = {.lex_state = 194},
  [6057] = {.lex_state = 194},
  [6058] = {.lex_state = 194},
  [6059] = {.lex_state = 194},
  [6060] = {.lex_state = 194},
  [6061] = {.lex_state = 194},
  [6062] = {.lex_state = 240},
  [6063] = {.lex_state = 194},
  [6064] = {.lex_state = 194},
  [6065] = {.lex_state = 194},
  [6066] = {.lex_state = 194},
  [6067] = {.lex_state = 194},
  [6068] = {.lex_state = 240},
  [6069] = {.lex_state = 240},
  [6070] = {.lex_state = 194},
  [6071] = {.lex_state = 195},
  [6072] = {.lex_state = 194},
  [6073] = {.lex_state = 194},
  [6074] = {.lex_state = 240},
  [6075] = {.lex_state = 194},
  [6076] = {.lex_state = 194},
  [6077] = {.lex_state = 236},
  [6078] = {.lex_state = 194},
  [6079] = {.lex_state = 194},
  [6080] = {.lex_state = 194},
  [6081] = {.lex_state = 236},
  [6082] = {.lex_state = 194},
  [6083] = {.lex_state = 240},
  [6084] = {.lex_state = 194},
  [6085] = {.lex_state = 223},
  [6086] = {.lex_state = 194},
  [6087] = {.lex_state = 214},
  [6088] = {.lex_state = 214},
  [6089] = {.lex_state = 214},
  [6090] = {.lex_state = 214},
  [6091] = {.lex_state = 214},
  [6092] = {.lex_state = 223},
  [6093] = {.lex_state = 194},
  [6094] = {.lex_state = 214},
  [6095] = {.lex_state = 214},
  [6096] = {.lex_state = 223},
  [6097] = {.lex_state = 223},
  [6098] = {.lex_state = 194},
  [6099] = {.lex_state = 214},
  [6100] = {.lex_state = 240},
  [6101] = {.lex_state = 179},
  [6102] = {.lex_state = 240},
  [6103] = {.lex_state = 223},
  [6104] = {.lex_state = 223},
  [6105] = {.lex_state = 223},
  [6106] = {.lex_state = 179},
  [6107] = {.lex_state = 335},
  [6108] = {.lex_state = 194},
  [6109] = {.lex_state = 240},
  [6110] = {.lex_state = 240},
  [6111] = {.lex_state = 223},
  [6112] = {.lex_state = 223},
  [6113] = {.lex_state = 223},
  [6114] = {.lex_state = 335},
  [6115] = {.lex_state = 240},
  [6116] = {.lex_state = 240},
  [6117] = {.lex_state = 240},
  [6118] = {.lex_state = 223},
  [6119] = {.lex_state = 335},
  [6120] = {.lex_state = 194},
  [6121] = {.lex_state = 223},
  [6122] = {.lex_state = 223},
  [6123] = {.lex_state = 194},
  [6124] = {.lex_state = 194},
  [6125] = {.lex_state = 233},
  [6126] = {.lex_state = 194},
  [6127] = {.lex_state = 233},
  [6128] = {.lex_state = 194},
  [6129] = {.lex_state = 194},
  [6130] = {.lex_state = 194},
  [6131] = {.lex_state = 194},
  [6132] = {.lex_state = 194},
  [6133] = {.lex_state = 196},
  [6134] = {.lex_state = 202},
  [6135] = {.lex_state = 335},
  [6136] = {.lex_state = 194},
  [6137] = {.lex_state = 194},
  [6138] = {.lex_state = 194},
  [6139] = {.lex_state = 202},
  [6140] = {.lex_state = 194},
  [6141] = {.lex_state = 194},
  [6142] = {.lex_state = 194},
  [6143] = {.lex_state = 194},
  [6144] = {.lex_state = 194},
  [6145] = {.lex_state = 194},
  [6146] = {.lex_state = 196},
  [6147] = {.lex_state = 194},
  [6148] = {.lex_state = 194},
  [6149] = {.lex_state = 194},
  [6150] = {.lex_state = 194},
  [6151] = {.lex_state = 196},
  [6152] = {.lex_state = 194},
  [6153] = {.lex_state = 194},
  [6154] = {.lex_state = 196},
  [6155] = {.lex_state = 196},
  [6156] = {.lex_state = 194},
  [6157] = {.lex_state = 173},
  [6158] = {.lex_state = 194},
  [6159] = {.lex_state = 335},
  [6160] = {.lex_state = 194},
  [6161] = {.lex_state = 194},
  [6162] = {.lex_state = 196},
  [6163] = {.lex_state = 194},
  [6164] = {.lex_state = 196},
  [6165] = {.lex_state = 194},
  [6166] = {.lex_state = 194},
  [6167] = {.lex_state = 196},
  [6168] = {.lex_state = 194},
  [6169] = {.lex_state = 194},
  [6170] = {.lex_state = 194},
  [6171] = {.lex_state = 233},
  [6172] = {.lex_state = 194},
  [6173] = {.lex_state = 194},
  [6174] = {.lex_state = 233},
  [6175] = {.lex_state = 194},
  [6176] = {.lex_state = 194},
  [6177] = {.lex_state = 194},
  [6178] = {.lex_state = 239},
  [6179] = {.lex_state = 173},
  [6180] = {.lex_state = 335},
  [6181] = {.lex_state = 335},
  [6182] = {.lex_state = 236},
  [6183] = {.lex_state = 335},
  [6184] = {.lex_state = 335},
  [6185] = {.lex_state = 194},
  [6186] = {.lex_state = 173},
  [6187] = {.lex_state = 335},
  [6188] = {.lex_state = 335},
  [6189] = {.lex_state = 335},
  [6190] = {.lex_state = 194},
  [6191] = {.lex_state = 335},
  [6192] = {.lex_state = 335},
  [6193] = {.lex_state = 196},
  [6194] = {.lex_state = 196},
  [6195] = {.lex_state = 335},
  [6196] = {.lex_state = 242},
  [6197] = {.lex_state = 335},
  [6198] = {.lex_state = 335},
  [6199] = {.lex_state = 196},
  [6200] = {.lex_state = 335},
  [6201] = {.lex_state = 223},
  [6202] = {.lex_state = 198},
  [6203] = {.lex_state = 335},
  [6204] = {.lex_state = 198},
  [6205] = {.lex_state = 198},
  [6206] = {.lex_state = 335},
  [6207] = {.lex_state = 335},
  [6208] = {.lex_state = 198},
  [6209] = {.lex_state = 196},
  [6210] = {.lex_state = 239},
  [6211] = {.lex_state = 196},
  [6212] = {.lex_state = 335},
  [6213] = {.lex_state = 223},
  [6214] = {.lex_state = 335},
  [6215] = {.lex_state = 335},
  [6216] = {.lex_state = 335},
  [6217] = {.lex_state = 335},
  [6218] = {.lex_state = 335},
  [6219] = {.lex_state = 196},
  [6220] = {.lex_state = 198},
  [6221] = {.lex_state = 198},
  [6222] = {.lex_state = 335},
  [6223] = {.lex_state = 335},
  [6224] = {.lex_state = 198},
  [6225] = {.lex_state = 198},
  [6226] = {.lex_state = 236},
  [6227] = {.lex_state = 173},
  [6228] = {.lex_state = 335},
  [6229] = {.lex_state = 173},
  [6230] = {.lex_state = 173},
  [6231] = {.lex_state = 335},
  [6232] = {.lex_state = 194},
  [6233] = {.lex_state = 173},
  [6234] = {.lex_state = 202},
  [6235] = {.lex_state = 173},
  [6236] = {.lex_state = 196},
  [6237] = {.lex_state = 335},
  [6238] = {.lex_state = 335},
  [6239] = {.lex_state = 194},
  [6240] = {.lex_state = 194},
  [6241] = {.lex_state = 194},
  [6242] = {.lex_state = 239},
  [6243] = {.lex_state = 335},
  [6244] = {.lex_state = 173},
  [6245] = {.lex_state = 173},
  [6246] = {.lex_state = 173},
  [6247] = {.lex_state = 194},
  [6248] = {.lex_state = 173},
  [6249] = {.lex_state = 173},
  [6250] = {.lex_state = 173},
  [6251] = {.lex_state = 173},
  [6252] = {.lex_state = 202},
  [6253] = {.lex_state = 173},
  [6254] = {.lex_state = 196},
  [6255] = {.lex_state = 202},
  [6256] = {.lex_state = 173},
  [6257] = {.lex_state = 194},
  [6258] = {.lex_state = 335},
  [6259] = {.lex_state = 173},
  [6260] = {.lex_state = 335},
  [6261] = {.lex_state = 194},
  [6262] = {.lex_state = 335},
  [6263] = {.lex_state = 194},
  [6264] = {.lex_state = 196},
  [6265] = {.lex_state = 335},
  [6266] = {.lex_state = 173},
  [6267] = {.lex_state = 173},
  [6268] = {.lex_state = 173},
  [6269] = {.lex_state = 335},
  [6270] = {.lex_state = 173},
  [6271] = {.lex_state = 196},
  [6272] = {.lex_state = 173},
  [6273] = {.lex_state = 173},
  [6274] = {.lex_state = 173},
  [6275] = {.lex_state = 194},
  [6276] = {.lex_state = 196},
  [6277] = {.lex_state = 173},
  [6278] = {.lex_state = 335},
  [6279] = {.lex_state = 194},
  [6280] = {.lex_state = 335},
  [6281] = {.lex_state = 236},
  [6282] = {.lex_state = 236},
  [6283] = {.lex_state = 194},
  [6284] = {.lex_state = 194},
  [6285] = {.lex_state = 236},
  [6286] = {.lex_state = 192},
  [6287] = {.lex_state = 236},
  [6288] = {.lex_state = 192},
  [6289] = {.lex_state = 236},
  [6290] = {.lex_state = 194},
  [6291] = {.lex_state = 192},
  [6292] = {.lex_state = 194},
  [6293] = {.lex_state = 194},
  [6294] = {.lex_state = 194},
  [6295] = {.lex_state = 236},
  [6296] = {.lex_state = 192},
  [6297] = {.lex_state = 236},
  [6298] = {.lex_state = 192},
  [6299] = {.lex_state = 192},
  [6300] = {.lex_state = 194},
  [6301] = {.lex_state = 236},
  [6302] = {.lex_state = 192},
  [6303] = {.lex_state = 335},
  [6304] = {.lex_state = 194},
  [6305] = {.lex_state = 194},
  [6306] = {.lex_state = 335},
  [6307] = {.lex_state = 196},
  [6308] = {.lex_state = 335},
  [6309] = {.lex_state = 192},
  [6310] = {.lex_state = 236},
  [6311] = {.lex_state = 194},
  [6312] = {.lex_state = 173},
  [6313] = {.lex_state = 194},
  [6314] = {.lex_state = 173},
  [6315] = {.lex_state = 236},
  [6316] = {.lex_state = 236},
  [6317] = {.lex_state = 192},
  [6318] = {.lex_state = 194},
  [6319] = {.lex_state = 236},
  [6320] = {.lex_state = 0},
  [6321] = {.lex_state = 194},
  [6322] = {.lex_state = 194},
  [6323] = {.lex_state = 194},
  [6324] = {.lex_state = 194},
  [6325] = {.lex_state = 192},
  [6326] = {.lex_state = 0},
  [6327] = {.lex_state = 236},
  [6328] = {.lex_state = 192},
  [6329] = {.lex_state = 194},
  [6330] = {.lex_state = 236},
  [6331] = {.lex_state = 194},
  [6332] = {.lex_state = 194},
  [6333] = {.lex_state = 194},
  [6334] = {.lex_state = 194},
  [6335] = {.lex_state = 194},
  [6336] = {.lex_state = 194},
  [6337] = {.lex_state = 194},
  [6338] = {.lex_state = 194},
  [6339] = {.lex_state = 194},
  [6340] = {.lex_state = 335},
  [6341] = {.lex_state = 179},
  [6342] = {.lex_state = 194},
  [6343] = {.lex_state = 194},
  [6344] = {.lex_state = 179},
  [6345] = {.lex_state = 194},
  [6346] = {.lex_state = 335},
  [6347] = {.lex_state = 179},
  [6348] = {.lex_state = 194},
  [6349] = {.lex_state = 194},
  [6350] = {.lex_state = 173},
  [6351] = {.lex_state = 194},
  [6352] = {.lex_state = 335},
  [6353] = {.lex_state = 179},
  [6354] = {.lex_state = 194},
  [6355] = {.lex_state = 173},
  [6356] = {.lex_state = 173},
  [6357] = {.lex_state = 194},
  [6358] = {.lex_state = 179},
  [6359] = {.lex_state = 194},
  [6360] = {.lex_state = 173},
  [6361] = {.lex_state = 194},
  [6362] = {.lex_state = 194},
  [6363] = {.lex_state = 179},
  [6364] = {.lex_state = 173},
  [6365] = {.lex_state = 194},
  [6366] = {.lex_state = 194},
  [6367] = {.lex_state = 194},
  [6368] = {.lex_state = 194},
  [6369] = {.lex_state = 179},
  [6370] = {.lex_state = 194},
  [6371] = {.lex_state = 194},
  [6372] = {.lex_state = 194},
  [6373] = {.lex_state = 194},
  [6374] = {.lex_state = 179},
  [6375] = {.lex_state = 194},
  [6376] = {.lex_state = 214},
  [6377] = {.lex_state = 194},
  [6378] = {.lex_state = 194},
  [6379] = {.lex_state = 194},
  [6380] = {.lex_state = 335},
  [6381] = {.lex_state = 194},
  [6382] = {.lex_state = 194},
  [6383] = {.lex_state = 173},
  [6384] = {.lex_state = 194},
  [6385] = {.lex_state = 214},
  [6386] = {.lex_state = 194},
  [6387] = {.lex_state = 236},
  [6388] = {.lex_state = 194},
  [6389] = {.lex_state = 194},
  [6390] = {.lex_state = 0},
  [6391] = {.lex_state = 194},
  [6392] = {.lex_state = 194},
  [6393] = {.lex_state = 236},
  [6394] = {.lex_state = 335},
  [6395] = {.lex_state = 173},
  [6396] = {.lex_state = 194},
  [6397] = {.lex_state = 335},
  [6398] = {.lex_state = 194},
  [6399] = {.lex_state = 335},
  [6400] = {.lex_state = 179},
  [6401] = {.lex_state = 0},
  [6402] = {.lex_state = 335},
  [6403] = {.lex_state = 173},
  [6404] = {.lex_state = 194},
  [6405] = {.lex_state = 335},
  [6406] = {.lex_state = 335},
  [6407] = {.lex_state = 335},
  [6408] = {.lex_state = 179},
  [6409] = {.lex_state = 194},
  [6410] = {.lex_state = 194},
  [6411] = {.lex_state = 335},
  [6412] = {.lex_state = 179},
  [6413] = {.lex_state = 179},
  [6414] = {.lex_state = 335},
  [6415] = {.lex_state = 335},
  [6416] = {.lex_state = 194},
  [6417] = {.lex_state = 335},
  [6418] = {.lex_state = 236},
  [6419] = {.lex_state = 108},
  [6420] = {.lex_state = 0},
  [6421] = {.lex_state = 194},
  [6422] = {.lex_state = 335},
  [6423] = {.lex_state = 194},
  [6424] = {.lex_state = 335},
  [6425] = {.lex_state = 194},
  [6426] = {.lex_state = 179},
  [6427] = {.lex_state = 108},
  [6428] = {.lex_state = 194},
  [6429] = {.lex_state = 173},
  [6430] = {.lex_state = 335},
  [6431] = {.lex_state = 194},
  [6432] = {.lex_state = 179},
  [6433] = {.lex_state = 108},
  [6434] = {.lex_state = 335},
  [6435] = {.lex_state = 179},
  [6436] = {.lex_state = 335},
  [6437] = {.lex_state = 108},
  [6438] = {.lex_state = 194},
  [6439] = {.lex_state = 173},
  [6440] = {.lex_state = 108},
  [6441] = {.lex_state = 335},
  [6442] = {.lex_state = 194},
  [6443] = {.lex_state = 110},
  [6444] = {.lex_state = 108},
  [6445] = {.lex_state = 179},
  [6446] = {.lex_state = 0},
  [6447] = {.lex_state = 108},
  [6448] = {.lex_state = 335},
  [6449] = {.lex_state = 173},
  [6450] = {.lex_state = 335},
  [6451] = {.lex_state = 108},
  [6452] = {.lex_state = 108},
  [6453] = {.lex_state = 335},
  [6454] = {.lex_state = 173},
  [6455] = {.lex_state = 335},
  [6456] = {.lex_state = 0},
  [6457] = {.lex_state = 108},
  [6458] = {.lex_state = 115},
  [6459] = {.lex_state = 194},
  [6460] = {.lex_state = 108},
  [6461] = {.lex_state = 194},
  [6462] = {.lex_state = 194},
  [6463] = {.lex_state = 173},
  [6464] = {.lex_state = 179},
  [6465] = {.lex_state = 335},
  [6466] = {.lex_state = 0},
  [6467] = {.lex_state = 108},
  [6468] = {.lex_state = 335},
  [6469] = {.lex_state = 179},
  [6470] = {.lex_state = 173},
  [6471] = {.lex_state = 179},
  [6472] = {.lex_state = 173},
  [6473] = {.lex_state = 194},
  [6474] = {.lex_state = 179},
  [6475] = {.lex_state = 335},
  [6476] = {.lex_state = 108},
  [6477] = {.lex_state = 194},
  [6478] = {.lex_state = 173},
  [6479] = {.lex_state = 108},
  [6480] = {.lex_state = 0},
  [6481] = {.lex_state = 115},
  [6482] = {.lex_state = 173},
  [6483] = {.lex_state = 335},
  [6484] = {.lex_state = 108},
  [6485] = {.lex_state = 110},
  [6486] = {.lex_state = 335},
  [6487] = {.lex_state = 335},
  [6488] = {.lex_state = 110},
  [6489] = {.lex_state = 108},
  [6490] = {.lex_state = 108},
  [6491] = {.lex_state = 108},
  [6492] = {.lex_state = 115},
  [6493] = {.lex_state = 0},
  [6494] = {.lex_state = 335},
  [6495] = {.lex_state = 173},
  [6496] = {.lex_state = 179},
  [6497] = {.lex_state = 108},
  [6498] = {.lex_state = 335},
  [6499] = {.lex_state = 194},
  [6500] = {.lex_state = 194},
  [6501] = {.lex_state = 179},
  [6502] = {.lex_state = 179},
  [6503] = {.lex_state = 179},
  [6504] = {.lex_state = 179},
  [6505] = {.lex_state = 108},
  [6506] = {.lex_state = 115},
  [6507] = {.lex_state = 108},
  [6508] = {.lex_state = 335},
  [6509] = {.lex_state = 179},
  [6510] = {.lex_state = 179},
  [6511] = {.lex_state = 0},
  [6512] = {.lex_state = 110},
  [6513] = {.lex_state = 108},
  [6514] = {.lex_state = 194},
  [6515] = {.lex_state = 335},
  [6516] = {.lex_state = 335},
  [6517] = {.lex_state = 115},
  [6518] = {.lex_state = 335},
  [6519] = {.lex_state = 0},
  [6520] = {.lex_state = 335},
  [6521] = {.lex_state = 108},
  [6522] = {.lex_state = 173},
  [6523] = {.lex_state = 110},
  [6524] = {.lex_state = 194},
  [6525] = {.lex_state = 0},
  [6526] = {.lex_state = 236},
  [6527] = {.lex_state = 0},
  [6528] = {.lex_state = 194},
  [6529] = {.lex_state = 194},
  [6530] = {.lex_state = 108},
  [6531] = {.lex_state = 173},
  [6532] = {.lex_state = 335},
  [6533] = {.lex_state = 115},
  [6534] = {.lex_state = 179},
  [6535] = {.lex_state = 179},
  [6536] = {.lex_state = 214},
  [6537] = {.lex_state = 179},
  [6538] = {.lex_state = 108},
  [6539] = {.lex_state = 236},
  [6540] = {.lex_state = 108},
  [6541] = {.lex_state = 108},
  [6542] = {.lex_state = 179},
  [6543] = {.lex_state = 179},
  [6544] = {.lex_state = 173},
  [6545] = {.lex_state = 108},
  [6546] = {.lex_state = 173},
  [6547] = {.lex_state = 0},
  [6548] = {.lex_state = 115},
  [6549] = {.lex_state = 0},
  [6550] = {.lex_state = 179},
  [6551] = {.lex_state = 236},
  [6552] = {.lex_state = 194},
  [6553] = {.lex_state = 194},
  [6554] = {.lex_state = 335},
  [6555] = {.lex_state = 335},
  [6556] = {.lex_state = 173},
  [6557] = {.lex_state = 179},
  [6558] = {.lex_state = 173},
  [6559] = {.lex_state = 108},
  [6560] = {.lex_state = 108},
  [6561] = {.lex_state = 115},
  [6562] = {.lex_state = 194},
  [6563] = {.lex_state = 179},
  [6564] = {.lex_state = 115},
  [6565] = {.lex_state = 173},
  [6566] = {.lex_state = 194},
  [6567] = {.lex_state = 108},
  [6568] = {.lex_state = 335},
  [6569] = {.lex_state = 108},
  [6570] = {.lex_state = 194},
  [6571] = {.lex_state = 173},
  [6572] = {.lex_state = 194},
  [6573] = {.lex_state = 173},
  [6574] = {.lex_state = 194},
  [6575] = {.lex_state = 194},
  [6576] = {.lex_state = 194},
  [6577] = {.lex_state = 194},
  [6578] = {.lex_state = 173},
  [6579] = {.lex_state = 194},
  [6580] = {.lex_state = 335},
  [6581] = {.lex_state = 0},
  [6582] = {.lex_state = 335},
  [6583] = {.lex_state = 173},
  [6584] = {.lex_state = 179},
  [6585] = {.lex_state = 179},
  [6586] = {.lex_state = 194},
  [6587] = {.lex_state = 0},
  [6588] = {.lex_state = 173},
  [6589] = {.lex_state = 335},
  [6590] = {.lex_state = 108},
  [6591] = {.lex_state = 115},
  [6592] = {.lex_state = 236},
  [6593] = {.lex_state = 179},
  [6594] = {.lex_state = 0},
  [6595] = {.lex_state = 236},
  [6596] = {.lex_state = 179},
  [6597] = {.lex_state = 173},
  [6598] = {.lex_state = 108},
  [6599] = {.lex_state = 194},
  [6600] = {.lex_state = 179},
  [6601] = {.lex_state = 194},
  [6602] = {.lex_state = 194},
  [6603] = {.lex_state = 179},
  [6604] = {.lex_state = 108},
  [6605] = {.lex_state = 115},
  [6606] = {.lex_state = 194},
  [6607] = {.lex_state = 110},
  [6608] = {.lex_state = 194},
  [6609] = {.lex_state = 194},
  [6610] = {.lex_state = 108},
  [6611] = {.lex_state = 194},
  [6612] = {.lex_state = 179},
  [6613] = {.lex_state = 194},
  [6614] = {.lex_state = 173},
  [6615] = {.lex_state = 179},
  [6616] = {.lex_state = 173},
  [6617] = {.lex_state = 335},
  [6618] = {.lex_state = 335},
  [6619] = {.lex_state = 236},
  [6620] = {.lex_state = 335},
  [6621] = {.lex_state = 0},
  [6622] = {.lex_state = 0},
  [6623] = {.lex_state = 335},
  [6624] = {.lex_state = 194},
  [6625] = {.lex_state = 194},
  [6626] = {.lex_state = 173},
  [6627] = {.lex_state = 0},
  [6628] = {.lex_state = 179},
  [6629] = {.lex_state = 108},
  [6630] = {.lex_state = 0},
  [6631] = {.lex_state = 179},
  [6632] = {.lex_state = 179},
  [6633] = {.lex_state = 236},
  [6634] = {.lex_state = 335},
  [6635] = {.lex_state = 194},
  [6636] = {.lex_state = 179},
  [6637] = {.lex_state = 108},
  [6638] = {.lex_state = 173},
  [6639] = {.lex_state = 173},
  [6640] = {.lex_state = 115},
  [6641] = {.lex_state = 110},
  [6642] = {.lex_state = 108},
  [6643] = {.lex_state = 194},
  [6644] = {.lex_state = 335},
  [6645] = {.lex_state = 236},
  [6646] = {.lex_state = 173},
  [6647] = {.lex_state = 179},
  [6648] = {.lex_state = 194},
  [6649] = {.lex_state = 115},
  [6650] = {.lex_state = 0},
  [6651] = {.lex_state = 179},
  [6652] = {.lex_state = 0},
  [6653] = {.lex_state = 0},
  [6654] = {.lex_state = 179},
  [6655] = {.lex_state = 179},
  [6656] = {.lex_state = 0},
  [6657] = {.lex_state = 0},
  [6658] = {.lex_state = 194},
  [6659] = {.lex_state = 0},
  [6660] = {.lex_state = 0},
  [6661] = {.lex_state = 335},
  [6662] = {.lex_state = 179},
  [6663] = {.lex_state = 112},
  [6664] = {.lex_state = 194},
  [6665] = {.lex_state = 115},
  [6666] = {.lex_state = 194},
  [6667] = {.lex_state = 179},
  [6668] = {.lex_state = 0},
  [6669] = {.lex_state = 0},
  [6670] = {.lex_state = 194},
  [6671] = {.lex_state = 194},
  [6672] = {.lex_state = 0},
  [6673] = {.lex_state = 0},
  [6674] = {.lex_state = 0},
  [6675] = {.lex_state = 335},
  [6676] = {.lex_state = 0},
  [6677] = {.lex_state = 0},
  [6678] = {.lex_state = 194},
  [6679] = {.lex_state = 0},
  [6680] = {.lex_state = 0},
  [6681] = {.lex_state = 0},
  [6682] = {.lex_state = 0},
  [6683] = {.lex_state = 179},
  [6684] = {.lex_state = 0},
  [6685] = {.lex_state = 0},
  [6686] = {.lex_state = 179},
  [6687] = {.lex_state = 194},
  [6688] = {.lex_state = 0},
  [6689] = {.lex_state = 0},
  [6690] = {.lex_state = 0},
  [6691] = {.lex_state = 0},
  [6692] = {.lex_state = 0},
  [6693] = {.lex_state = 0},
  [6694] = {.lex_state = 179},
  [6695] = {.lex_state = 214},
  [6696] = {.lex_state = 335},
  [6697] = {.lex_state = 179},
  [6698] = {.lex_state = 0},
  [6699] = {.lex_state = 0},
  [6700] = {.lex_state = 0},
  [6701] = {.lex_state = 179},
  [6702] = {.lex_state = 0},
  [6703] = {.lex_state = 194},
  [6704] = {.lex_state = 0},
  [6705] = {.lex_state = 179},
  [6706] = {.lex_state = 0},
  [6707] = {.lex_state = 0},
  [6708] = {.lex_state = 0},
  [6709] = {.lex_state = 0},
  [6710] = {.lex_state = 0},
  [6711] = {.lex_state = 0},
  [6712] = {.lex_state = 179},
  [6713] = {.lex_state = 0},
  [6714] = {.lex_state = 194},
  [6715] = {.lex_state = 0},
  [6716] = {.lex_state = 335},
  [6717] = {.lex_state = 0},
  [6718] = {.lex_state = 179},
  [6719] = {.lex_state = 0},
  [6720] = {.lex_state = 179},
  [6721] = {.lex_state = 0},
  [6722] = {.lex_state = 179},
  [6723] = {.lex_state = 194},
  [6724] = {.lex_state = 179},
  [6725] = {.lex_state = 179},
  [6726] = {.lex_state = 0},
  [6727] = {.lex_state = 0},
  [6728] = {.lex_state = 0},
  [6729] = {.lex_state = 0},
  [6730] = {.lex_state = 0},
  [6731] = {.lex_state = 179},
  [6732] = {.lex_state = 179},
  [6733] = {.lex_state = 115},
  [6734] = {.lex_state = 0},
  [6735] = {.lex_state = 0},
  [6736] = {.lex_state = 194},
  [6737] = {.lex_state = 0},
  [6738] = {.lex_state = 0},
  [6739] = {.lex_state = 179},
  [6740] = {.lex_state = 0},
  [6741] = {.lex_state = 0},
  [6742] = {.lex_state = 0},
  [6743] = {.lex_state = 112},
  [6744] = {.lex_state = 0},
  [6745] = {.lex_state = 0},
  [6746] = {.lex_state = 0},
  [6747] = {.lex_state = 194},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 0},
  [6751] = {.lex_state = 194},
  [6752] = {.lex_state = 194},
  [6753] = {.lex_state = 194},
  [6754] = {.lex_state = 0},
  [6755] = {.lex_state = 0},
  [6756] = {.lex_state = 179},
  [6757] = {.lex_state = 335},
  [6758] = {.lex_state = 0},
  [6759] = {.lex_state = 194},
  [6760] = {.lex_state = 179},
  [6761] = {.lex_state = 0},
  [6762] = {.lex_state = 0},
  [6763] = {.lex_state = 0},
  [6764] = {.lex_state = 179},
  [6765] = {.lex_state = 194},
  [6766] = {.lex_state = 179},
  [6767] = {.lex_state = 0},
  [6768] = {.lex_state = 0},
  [6769] = {.lex_state = 179},
  [6770] = {.lex_state = 0},
  [6771] = {.lex_state = 173},
  [6772] = {.lex_state = 0},
  [6773] = {.lex_state = 0},
  [6774] = {.lex_state = 115},
  [6775] = {.lex_state = 0},
  [6776] = {.lex_state = 0},
  [6777] = {.lex_state = 0},
  [6778] = {.lex_state = 194},
  [6779] = {.lex_state = 194},
  [6780] = {.lex_state = 0},
  [6781] = {.lex_state = 0},
  [6782] = {.lex_state = 0},
  [6783] = {.lex_state = 0},
  [6784] = {.lex_state = 0},
  [6785] = {.lex_state = 0},
  [6786] = {.lex_state = 194},
  [6787] = {.lex_state = 0},
  [6788] = {.lex_state = 179},
  [6789] = {.lex_state = 179},
  [6790] = {.lex_state = 179},
  [6791] = {.lex_state = 0},
  [6792] = {.lex_state = 0},
  [6793] = {.lex_state = 0},
  [6794] = {.lex_state = 0},
  [6795] = {.lex_state = 0},
  [6796] = {.lex_state = 335},
  [6797] = {.lex_state = 0},
  [6798] = {.lex_state = 0},
  [6799] = {.lex_state = 0},
  [6800] = {.lex_state = 0},
  [6801] = {.lex_state = 179},
  [6802] = {.lex_state = 194},
  [6803] = {.lex_state = 0},
  [6804] = {.lex_state = 0},
  [6805] = {.lex_state = 0},
  [6806] = {.lex_state = 0},
  [6807] = {.lex_state = 0},
  [6808] = {.lex_state = 0},
  [6809] = {.lex_state = 335},
  [6810] = {.lex_state = 0},
  [6811] = {.lex_state = 0},
  [6812] = {.lex_state = 0},
  [6813] = {.lex_state = 194},
  [6814] = {.lex_state = 194},
  [6815] = {.lex_state = 194},
  [6816] = {.lex_state = 0},
  [6817] = {.lex_state = 0},
  [6818] = {.lex_state = 335},
  [6819] = {.lex_state = 179},
  [6820] = {.lex_state = 179},
  [6821] = {.lex_state = 0},
  [6822] = {.lex_state = 0},
  [6823] = {.lex_state = 194},
  [6824] = {.lex_state = 0},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 0},
  [6827] = {.lex_state = 0},
  [6828] = {.lex_state = 194},
  [6829] = {.lex_state = 179},
  [6830] = {.lex_state = 0},
  [6831] = {.lex_state = 0},
  [6832] = {.lex_state = 0},
  [6833] = {.lex_state = 179},
  [6834] = {.lex_state = 0},
  [6835] = {.lex_state = 0},
  [6836] = {.lex_state = 0},
  [6837] = {.lex_state = 0},
  [6838] = {.lex_state = 112},
  [6839] = {.lex_state = 194},
  [6840] = {.lex_state = 179},
  [6841] = {.lex_state = 0},
  [6842] = {.lex_state = 335},
  [6843] = {.lex_state = 335},
  [6844] = {.lex_state = 0},
  [6845] = {.lex_state = 335},
  [6846] = {.lex_state = 0},
  [6847] = {.lex_state = 0},
  [6848] = {.lex_state = 179},
  [6849] = {.lex_state = 194},
  [6850] = {.lex_state = 179},
  [6851] = {.lex_state = 0},
  [6852] = {.lex_state = 0},
  [6853] = {.lex_state = 335},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 194},
  [6856] = {.lex_state = 0},
  [6857] = {.lex_state = 0},
  [6858] = {.lex_state = 0},
  [6859] = {.lex_state = 0},
  [6860] = {.lex_state = 0},
  [6861] = {.lex_state = 0},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 0},
  [6864] = {.lex_state = 0},
  [6865] = {.lex_state = 179},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 0},
  [6868] = {.lex_state = 0},
  [6869] = {.lex_state = 194},
  [6870] = {.lex_state = 194},
  [6871] = {.lex_state = 0},
  [6872] = {.lex_state = 194},
  [6873] = {.lex_state = 0},
  [6874] = {.lex_state = 0},
  [6875] = {.lex_state = 0},
  [6876] = {.lex_state = 0},
  [6877] = {.lex_state = 0},
  [6878] = {.lex_state = 194},
  [6879] = {.lex_state = 194},
  [6880] = {.lex_state = 0},
  [6881] = {.lex_state = 335},
  [6882] = {.lex_state = 0},
  [6883] = {.lex_state = 0},
  [6884] = {.lex_state = 0},
  [6885] = {.lex_state = 0},
  [6886] = {.lex_state = 0},
  [6887] = {.lex_state = 115},
  [6888] = {.lex_state = 194},
  [6889] = {.lex_state = 194},
  [6890] = {.lex_state = 194},
  [6891] = {.lex_state = 179},
  [6892] = {.lex_state = 179},
  [6893] = {.lex_state = 179},
  [6894] = {.lex_state = 194},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 179},
  [6897] = {.lex_state = 179},
  [6898] = {.lex_state = 0},
  [6899] = {.lex_state = 335},
  [6900] = {.lex_state = 173},
  [6901] = {.lex_state = 194},
  [6902] = {.lex_state = 0},
  [6903] = {.lex_state = 179},
  [6904] = {.lex_state = 0},
  [6905] = {.lex_state = 0},
  [6906] = {.lex_state = 0},
  [6907] = {.lex_state = 0},
  [6908] = {.lex_state = 0},
  [6909] = {.lex_state = 162},
  [6910] = {.lex_state = 335},
  [6911] = {.lex_state = 179},
  [6912] = {.lex_state = 179},
  [6913] = {.lex_state = 335},
  [6914] = {.lex_state = 179},
  [6915] = {.lex_state = 179},
  [6916] = {.lex_state = 0},
  [6917] = {.lex_state = 194},
  [6918] = {.lex_state = 0},
  [6919] = {.lex_state = 179},
  [6920] = {.lex_state = 0},
  [6921] = {.lex_state = 0},
  [6922] = {.lex_state = 0},
  [6923] = {.lex_state = 194},
  [6924] = {.lex_state = 0},
  [6925] = {.lex_state = 194},
  [6926] = {.lex_state = 0},
  [6927] = {.lex_state = 0},
  [6928] = {.lex_state = 0},
  [6929] = {.lex_state = 0},
  [6930] = {.lex_state = 0},
  [6931] = {.lex_state = 112},
  [6932] = {.lex_state = 0},
  [6933] = {.lex_state = 194},
  [6934] = {.lex_state = 0},
  [6935] = {.lex_state = 0},
  [6936] = {.lex_state = 179},
  [6937] = {.lex_state = 179},
  [6938] = {.lex_state = 194},
  [6939] = {.lex_state = 335},
  [6940] = {.lex_state = 0},
  [6941] = {.lex_state = 0},
  [6942] = {.lex_state = 0},
  [6943] = {.lex_state = 194},
  [6944] = {.lex_state = 194},
  [6945] = {.lex_state = 0},
  [6946] = {.lex_state = 0},
  [6947] = {.lex_state = 0},
  [6948] = {.lex_state = 0},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 0},
  [6951] = {.lex_state = 0},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 0},
  [6954] = {.lex_state = 0},
  [6955] = {.lex_state = 0},
  [6956] = {.lex_state = 0},
  [6957] = {.lex_state = 0},
  [6958] = {.lex_state = 0},
  [6959] = {.lex_state = 179},
  [6960] = {.lex_state = 0},
  [6961] = {.lex_state = 0},
  [6962] = {.lex_state = 179},
  [6963] = {.lex_state = 0},
  [6964] = {.lex_state = 194},
  [6965] = {.lex_state = 0},
  [6966] = {.lex_state = 0},
  [6967] = {.lex_state = 0},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 0},
  [6970] = {.lex_state = 0},
  [6971] = {.lex_state = 0},
  [6972] = {.lex_state = 0},
  [6973] = {.lex_state = 0},
  [6974] = {.lex_state = 115},
  [6975] = {.lex_state = 0},
  [6976] = {.lex_state = 0},
  [6977] = {.lex_state = 179},
  [6978] = {.lex_state = 179},
  [6979] = {.lex_state = 179},
  [6980] = {.lex_state = 173},
  [6981] = {.lex_state = 179},
  [6982] = {.lex_state = 179},
  [6983] = {.lex_state = 115},
  [6984] = {.lex_state = 194},
  [6985] = {.lex_state = 194},
  [6986] = {.lex_state = 115},
  [6987] = {.lex_state = 0},
  [6988] = {.lex_state = 0},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 0},
  [6991] = {.lex_state = 179},
  [6992] = {.lex_state = 115},
  [6993] = {.lex_state = 194},
  [6994] = {.lex_state = 194},
  [6995] = {.lex_state = 0},
  [6996] = {.lex_state = 194},
  [6997] = {.lex_state = 335},
  [6998] = {.lex_state = 194},
  [6999] = {.lex_state = 0},
  [7000] = {.lex_state = 194},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 194},
  [7003] = {.lex_state = 0},
  [7004] = {.lex_state = 0},
  [7005] = {.lex_state = 194},
  [7006] = {.lex_state = 115},
  [7007] = {.lex_state = 335},
  [7008] = {.lex_state = 0},
  [7009] = {.lex_state = 0},
  [7010] = {.lex_state = 0},
  [7011] = {.lex_state = 0},
  [7012] = {.lex_state = 194},
  [7013] = {.lex_state = 0},
  [7014] = {.lex_state = 0},
  [7015] = {.lex_state = 0},
  [7016] = {.lex_state = 0},
  [7017] = {.lex_state = 194},
  [7018] = {.lex_state = 0},
  [7019] = {.lex_state = 0},
  [7020] = {.lex_state = 194},
  [7021] = {.lex_state = 115},
  [7022] = {.lex_state = 115},
  [7023] = {.lex_state = 0},
  [7024] = {.lex_state = 0},
  [7025] = {.lex_state = 0},
  [7026] = {.lex_state = 0},
  [7027] = {.lex_state = 194},
  [7028] = {.lex_state = 179},
  [7029] = {.lex_state = 194},
  [7030] = {.lex_state = 194},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 179},
  [7033] = {.lex_state = 179},
  [7034] = {.lex_state = 115},
  [7035] = {.lex_state = 0},
  [7036] = {.lex_state = 0},
  [7037] = {.lex_state = 179},
  [7038] = {.lex_state = 335},
  [7039] = {.lex_state = 0},
  [7040] = {.lex_state = 0},
  [7041] = {.lex_state = 0},
  [7042] = {.lex_state = 0},
  [7043] = {.lex_state = 179},
  [7044] = {.lex_state = 179},
  [7045] = {.lex_state = 0},
  [7046] = {.lex_state = 0},
  [7047] = {.lex_state = 0},
  [7048] = {.lex_state = 0},
  [7049] = {.lex_state = 335},
  [7050] = {.lex_state = 194},
  [7051] = {.lex_state = 0},
  [7052] = {.lex_state = 194},
  [7053] = {.lex_state = 0},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 0},
  [7056] = {.lex_state = 335},
  [7057] = {.lex_state = 335},
  [7058] = {.lex_state = 335},
  [7059] = {.lex_state = 0},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 0},
  [7062] = {.lex_state = 0},
  [7063] = {.lex_state = 194},
  [7064] = {.lex_state = 194},
  [7065] = {.lex_state = 0},
  [7066] = {.lex_state = 194},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 194},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 194},
  [7072] = {.lex_state = 0},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 194},
  [7075] = {.lex_state = 335},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 0},
  [7078] = {.lex_state = 194},
  [7079] = {.lex_state = 335},
  [7080] = {.lex_state = 0},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 194},
  [7083] = {.lex_state = 194},
  [7084] = {.lex_state = 0},
  [7085] = {.lex_state = 335},
  [7086] = {.lex_state = 0},
  [7087] = {.lex_state = 0},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 194},
  [7090] = {.lex_state = 335},
  [7091] = {.lex_state = 0},
  [7092] = {.lex_state = 335},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 335},
  [7095] = {.lex_state = 0},
  [7096] = {.lex_state = 0},
  [7097] = {.lex_state = 0},
  [7098] = {.lex_state = 0},
  [7099] = {.lex_state = 194},
  [7100] = {.lex_state = 0},
  [7101] = {.lex_state = 0},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 0},
  [7104] = {.lex_state = 335},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 0},
  [7107] = {.lex_state = 335},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 0},
  [7110] = {.lex_state = 0},
  [7111] = {.lex_state = 335},
  [7112] = {.lex_state = 335},
  [7113] = {.lex_state = 335},
  [7114] = {.lex_state = 194},
  [7115] = {.lex_state = 335},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 335},
  [7120] = {.lex_state = 194},
  [7121] = {.lex_state = 0},
  [7122] = {.lex_state = 111},
  [7123] = {.lex_state = 0},
  [7124] = {.lex_state = 194},
  [7125] = {.lex_state = 0},
  [7126] = {.lex_state = 194},
  [7127] = {.lex_state = 335},
  [7128] = {.lex_state = 0},
  [7129] = {.lex_state = 0},
  [7130] = {.lex_state = 335},
  [7131] = {.lex_state = 0},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 335},
  [7134] = {.lex_state = 0},
  [7135] = {.lex_state = 335},
  [7136] = {.lex_state = 111},
  [7137] = {.lex_state = 335},
  [7138] = {.lex_state = 111},
  [7139] = {.lex_state = 335},
  [7140] = {.lex_state = 0},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 335},
  [7143] = {.lex_state = 111},
  [7144] = {.lex_state = 111},
  [7145] = {.lex_state = 0},
  [7146] = {.lex_state = 0},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 0},
  [7149] = {.lex_state = 335},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 0},
  [7152] = {.lex_state = 194},
  [7153] = {.lex_state = 335},
  [7154] = {.lex_state = 111},
  [7155] = {.lex_state = 335},
  [7156] = {.lex_state = 335},
  [7157] = {.lex_state = 194},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 0},
  [7161] = {.lex_state = 0},
  [7162] = {.lex_state = 335},
  [7163] = {.lex_state = 335},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 0},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 335},
  [7169] = {.lex_state = 194},
  [7170] = {.lex_state = 0},
  [7171] = {.lex_state = 0},
  [7172] = {.lex_state = 335},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 0},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 0},
  [7178] = {.lex_state = 0},
  [7179] = {.lex_state = 0},
  [7180] = {.lex_state = 0},
  [7181] = {.lex_state = 0},
  [7182] = {.lex_state = 335},
  [7183] = {.lex_state = 0},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 335},
  [7186] = {.lex_state = 0},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 0},
  [7189] = {.lex_state = 0},
  [7190] = {.lex_state = 194},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 0},
  [7193] = {.lex_state = 111},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 335},
  [7196] = {.lex_state = 335},
  [7197] = {.lex_state = 0},
  [7198] = {.lex_state = 194},
  [7199] = {.lex_state = 0},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 0},
  [7202] = {.lex_state = 335},
  [7203] = {.lex_state = 194},
  [7204] = {.lex_state = 111},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 335},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 335},
  [7210] = {.lex_state = 0},
  [7211] = {.lex_state = 0},
  [7212] = {.lex_state = 0},
  [7213] = {.lex_state = 0},
  [7214] = {.lex_state = 111},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 335},
  [7217] = {.lex_state = 0},
  [7218] = {.lex_state = 335},
  [7219] = {.lex_state = 0},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 194},
  [7222] = {.lex_state = 0},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 335},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 335},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 335},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 0},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 0},
  [7235] = {.lex_state = 0},
  [7236] = {.lex_state = 0},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 194},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 335},
  [7243] = {.lex_state = 335},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 335},
  [7248] = {.lex_state = 0},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 335},
  [7251] = {.lex_state = 0},
  [7252] = {.lex_state = 335},
  [7253] = {.lex_state = 0},
  [7254] = {.lex_state = 335, .external_lex_state = 2},
  [7255] = {.lex_state = 335},
  [7256] = {.lex_state = 194},
  [7257] = {.lex_state = 0},
  [7258] = {.lex_state = 194},
  [7259] = {.lex_state = 0},
  [7260] = {.lex_state = 111},
  [7261] = {.lex_state = 111},
  [7262] = {.lex_state = 0},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 0},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 0},
  [7268] = {.lex_state = 0},
  [7269] = {.lex_state = 335},
  [7270] = {.lex_state = 194},
  [7271] = {.lex_state = 111},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 335},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 0},
  [7277] = {.lex_state = 335},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 111},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 0},
  [7282] = {.lex_state = 335},
  [7283] = {.lex_state = 194},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 335, .external_lex_state = 2},
  [7286] = {.lex_state = 0},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 335},
  [7289] = {.lex_state = 0},
  [7290] = {.lex_state = 194},
  [7291] = {.lex_state = 0},
  [7292] = {.lex_state = 335},
  [7293] = {.lex_state = 0},
  [7294] = {.lex_state = 0},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 194},
  [7297] = {.lex_state = 335},
  [7298] = {.lex_state = 194},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 194},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 0},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 335},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 335},
  [7309] = {.lex_state = 111},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 335},
  [7314] = {.lex_state = 194},
  [7315] = {.lex_state = 335},
  [7316] = {.lex_state = 335},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 0},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 194},
  [7321] = {.lex_state = 335, .external_lex_state = 2},
  [7322] = {.lex_state = 335},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 335},
  [7325] = {.lex_state = 0},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 0},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 335},
  [7331] = {.lex_state = 335, .external_lex_state = 2},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 335, .external_lex_state = 2},
  [7335] = {.lex_state = 0},
  [7336] = {.lex_state = 335},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 111},
  [7339] = {.lex_state = 0},
  [7340] = {.lex_state = 335, .external_lex_state = 2},
  [7341] = {.lex_state = 335},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 111},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 335, .external_lex_state = 2},
  [7347] = {.lex_state = 111},
  [7348] = {.lex_state = 335},
  [7349] = {.lex_state = 335, .external_lex_state = 2},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 0},
  [7352] = {.lex_state = 335, .external_lex_state = 2},
  [7353] = {.lex_state = 0},
  [7354] = {.lex_state = 335, .external_lex_state = 2},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 335, .external_lex_state = 2},
  [7357] = {.lex_state = 0},
  [7358] = {.lex_state = 194},
  [7359] = {.lex_state = 335, .external_lex_state = 2},
  [7360] = {.lex_state = 335, .external_lex_state = 2},
  [7361] = {.lex_state = 335},
  [7362] = {.lex_state = 335},
  [7363] = {.lex_state = 335},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 335, .external_lex_state = 2},
  [7367] = {.lex_state = 0},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 0},
  [7371] = {.lex_state = 335},
  [7372] = {.lex_state = 335, .external_lex_state = 2},
  [7373] = {.lex_state = 335, .external_lex_state = 2},
  [7374] = {.lex_state = 194},
  [7375] = {.lex_state = 335},
  [7376] = {.lex_state = 335, .external_lex_state = 2},
  [7377] = {.lex_state = 0},
  [7378] = {.lex_state = 0},
  [7379] = {.lex_state = 0},
  [7380] = {.lex_state = 0},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 335},
  [7383] = {.lex_state = 0},
  [7384] = {.lex_state = 194},
  [7385] = {.lex_state = 335},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 194},
  [7388] = {.lex_state = 0},
  [7389] = {.lex_state = 335},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 0},
  [7392] = {.lex_state = 194},
  [7393] = {.lex_state = 194},
  [7394] = {.lex_state = 194},
  [7395] = {.lex_state = 0},
  [7396] = {.lex_state = 194},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 0},
  [7399] = {.lex_state = 335},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 335},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 0},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 194},
  [7407] = {.lex_state = 0},
  [7408] = {.lex_state = 0},
  [7409] = {.lex_state = 194},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 335},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 194},
  [7415] = {.lex_state = 0},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 0},
  [7418] = {.lex_state = 194},
  [7419] = {.lex_state = 0},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 112},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 0},
  [7424] = {.lex_state = 0},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 335},
  [7428] = {.lex_state = 179},
  [7429] = {.lex_state = 0},
  [7430] = {.lex_state = 179},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 335},
  [7433] = {.lex_state = 0},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 0},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 0},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 0},
  [7441] = {.lex_state = 194},
  [7442] = {.lex_state = 0},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 0},
  [7445] = {.lex_state = 0},
  [7446] = {.lex_state = 0},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 0},
  [7450] = {.lex_state = 0},
  [7451] = {.lex_state = 0, .external_lex_state = 2},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 335},
  [7460] = {.lex_state = 0},
  [7461] = {.lex_state = 112},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 194},
  [7465] = {.lex_state = 0},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 112},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 0},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 179},
  [7473] = {.lex_state = 0},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 194},
  [7476] = {.lex_state = 194},
  [7477] = {.lex_state = 194},
  [7478] = {.lex_state = 194},
  [7479] = {.lex_state = 171},
  [7480] = {.lex_state = 112},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 171},
  [7485] = {.lex_state = 112},
  [7486] = {.lex_state = 0},
  [7487] = {.lex_state = 194},
  [7488] = {.lex_state = 0},
  [7489] = {.lex_state = 0},
  [7490] = {.lex_state = 179},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 112},
  [7494] = {.lex_state = 335},
  [7495] = {.lex_state = 171},
  [7496] = {.lex_state = 171},
  [7497] = {.lex_state = 194},
  [7498] = {.lex_state = 194},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 0},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 194},
  [7504] = {.lex_state = 0},
  [7505] = {.lex_state = 171},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 194},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 0},
  [7513] = {.lex_state = 194},
  [7514] = {.lex_state = 0},
  [7515] = {.lex_state = 335},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 0},
  [7518] = {.lex_state = 335},
  [7519] = {.lex_state = 112},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 171},
  [7522] = {.lex_state = 194},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 0},
  [7525] = {.lex_state = 194},
  [7526] = {.lex_state = 0},
  [7527] = {.lex_state = 112},
  [7528] = {.lex_state = 0},
  [7529] = {.lex_state = 0},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 0},
  [7533] = {.lex_state = 0},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 0},
  [7536] = {.lex_state = 171},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 0},
  [7539] = {.lex_state = 194},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 171},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 0},
  [7544] = {.lex_state = 194},
  [7545] = {.lex_state = 0},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 0, .external_lex_state = 2},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 0},
  [7550] = {.lex_state = 0, .external_lex_state = 2},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 179},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 0},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 0},
  [7558] = {.lex_state = 194},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 0},
  [7562] = {.lex_state = 335},
  [7563] = {.lex_state = 194},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 194},
  [7566] = {.lex_state = 0},
  [7567] = {.lex_state = 194},
  [7568] = {.lex_state = 194},
  [7569] = {.lex_state = 335},
  [7570] = {.lex_state = 0},
  [7571] = {.lex_state = 194},
  [7572] = {.lex_state = 171},
  [7573] = {.lex_state = 179},
  [7574] = {.lex_state = 335},
  [7575] = {.lex_state = 0},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 0},
  [7580] = {.lex_state = 0},
  [7581] = {.lex_state = 112},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 335},
  [7585] = {.lex_state = 179},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 0},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 0},
  [7590] = {.lex_state = 0},
  [7591] = {.lex_state = 194},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 194},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 0},
  [7598] = {.lex_state = 0},
  [7599] = {.lex_state = 179},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 194},
  [7605] = {.lex_state = 0},
  [7606] = {.lex_state = 194},
  [7607] = {.lex_state = 171},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 0},
  [7610] = {.lex_state = 194},
  [7611] = {.lex_state = 0, .external_lex_state = 2},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 194},
  [7614] = {.lex_state = 0},
  [7615] = {.lex_state = 0},
  [7616] = {.lex_state = 0},
  [7617] = {.lex_state = 112},
  [7618] = {.lex_state = 171},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 335},
  [7621] = {.lex_state = 0},
  [7622] = {.lex_state = 179},
  [7623] = {.lex_state = 194},
  [7624] = {.lex_state = 0},
  [7625] = {.lex_state = 194},
  [7626] = {.lex_state = 335},
  [7627] = {.lex_state = 194},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 0},
  [7631] = {.lex_state = 171},
  [7632] = {.lex_state = 194},
  [7633] = {.lex_state = 194},
  [7634] = {.lex_state = 335},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 194},
  [7637] = {.lex_state = 179},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 194},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 171},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 194},
  [7645] = {.lex_state = 194},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 179},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 194},
  [7650] = {.lex_state = 194},
  [7651] = {.lex_state = 194},
  [7652] = {.lex_state = 194},
  [7653] = {.lex_state = 112},
  [7654] = {.lex_state = 0},
  [7655] = {.lex_state = 194},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 194},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 0, .external_lex_state = 2},
  [7661] = {.lex_state = 0, .external_lex_state = 2},
  [7662] = {.lex_state = 194},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 194},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 194},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 335},
  [7670] = {.lex_state = 335},
  [7671] = {.lex_state = 0, .external_lex_state = 3},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 335},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 0},
  [7676] = {.lex_state = 179},
  [7677] = {.lex_state = 335},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 0},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 169},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 0},
  [7687] = {.lex_state = 0},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 335},
  [7694] = {.lex_state = 194},
  [7695] = {.lex_state = 0},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 0, .external_lex_state = 2},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 0},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 335},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 0},
  [7704] = {.lex_state = 335},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 0},
  [7707] = {.lex_state = 194},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 0, .external_lex_state = 2},
  [7712] = {.lex_state = 171},
  [7713] = {.lex_state = 194},
  [7714] = {.lex_state = 194},
  [7715] = {.lex_state = 0},
  [7716] = {.lex_state = 335},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 194},
  [7721] = {.lex_state = 0, .external_lex_state = 2},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 112},
  [7725] = {.lex_state = 335},
  [7726] = {.lex_state = 0},
  [7727] = {.lex_state = 0, .external_lex_state = 2},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 0, .external_lex_state = 2},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0, .external_lex_state = 2},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0, .external_lex_state = 2},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 0, .external_lex_state = 2},
  [7738] = {.lex_state = 0},
  [7739] = {.lex_state = 0, .external_lex_state = 2},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 0, .external_lex_state = 2},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0, .external_lex_state = 2},
  [7744] = {.lex_state = 335},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 335},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 335},
  [7750] = {.lex_state = 335},
  [7751] = {.lex_state = 335},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 335},
  [7755] = {.lex_state = 171},
  [7756] = {.lex_state = 335},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 112},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 335},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 0},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 171},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 194},
  [7772] = {.lex_state = 171},
  [7773] = {.lex_state = 335},
  [7774] = {.lex_state = 171},
  [7775] = {.lex_state = 171},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 112},
  [7778] = {.lex_state = 0},
  [7779] = {.lex_state = 335},
  [7780] = {.lex_state = 0, .external_lex_state = 3},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 335},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 171},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 0},
  [7791] = {.lex_state = 194},
  [7792] = {.lex_state = 171},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 194},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 171},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 179},
  [7802] = {.lex_state = 179},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 172},
  [7805] = {.lex_state = 194},
  [7806] = {.lex_state = 171},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 169},
  [7809] = {.lex_state = 171},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 171},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 112},
  [7817] = {.lex_state = 335},
  [7818] = {.lex_state = 179},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 179},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 0},
  [7823] = {.lex_state = 0},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 0, .external_lex_state = 3},
  [7826] = {.lex_state = 335},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 112},
  [7829] = {.lex_state = 169},
  [7830] = {.lex_state = 171},
  [7831] = {.lex_state = 169},
  [7832] = {.lex_state = 194},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 194},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 112},
  [7841] = {.lex_state = 171},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 112},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 194},
  [7850] = {.lex_state = 194},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 171},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 171},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 171},
  [7874] = {.lex_state = 171},
  [7875] = {.lex_state = 171},
  [7876] = {.lex_state = 171},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 0},
  [7883] = {.lex_state = 171},
  [7884] = {.lex_state = 171},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 171},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 194},
  [7893] = {.lex_state = 171},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 194},
  [7896] = {.lex_state = 171},
  [7897] = {.lex_state = 335},
  [7898] = {.lex_state = 179},
  [7899] = {.lex_state = 171},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 194},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 335},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 112},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 0},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 171},
  [7925] = {.lex_state = 335},
  [7926] = {.lex_state = 335},
  [7927] = {.lex_state = 335},
  [7928] = {.lex_state = 335},
  [7929] = {.lex_state = 0},
  [7930] = {.lex_state = 335},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 112},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 194},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 335},
  [7938] = {.lex_state = 0},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 335},
  [7942] = {.lex_state = 0, .external_lex_state = 3},
  [7943] = {.lex_state = 335},
  [7944] = {.lex_state = 194},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 179},
  [7952] = {.lex_state = 171},
  [7953] = {.lex_state = 171},
  [7954] = {.lex_state = 335},
  [7955] = {.lex_state = 335},
  [7956] = {.lex_state = 335},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 335},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 194},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 335},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 171},
  [7966] = {.lex_state = 335},
  [7967] = {.lex_state = 0, .external_lex_state = 3},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 171},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 179},
  [7974] = {.lex_state = 0},
  [7975] = {.lex_state = 335},
  [7976] = {.lex_state = 335},
  [7977] = {.lex_state = 335},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 335},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 112},
  [7982] = {.lex_state = 194},
  [7983] = {.lex_state = 335},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 171},
  [7986] = {.lex_state = 335},
  [7987] = {.lex_state = 0, .external_lex_state = 3},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 171},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 179},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 335},
  [7996] = {.lex_state = 335},
  [7997] = {.lex_state = 335},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 335},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 335},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 335},
  [8006] = {.lex_state = 0, .external_lex_state = 3},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 179},
  [8013] = {.lex_state = 0},
  [8014] = {.lex_state = 335},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 335},
  [8017] = {.lex_state = 194},
  [8018] = {.lex_state = 179},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 335},
  [8022] = {.lex_state = 0, .external_lex_state = 3},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 171},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 335},
  [8028] = {.lex_state = 335},
  [8029] = {.lex_state = 335},
  [8030] = {.lex_state = 169},
  [8031] = {.lex_state = 0, .external_lex_state = 3},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 171},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 112},
  [8036] = {.lex_state = 335},
  [8037] = {.lex_state = 335},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 0, .external_lex_state = 3},
  [8040] = {.lex_state = 335},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 335},
  [8043] = {.lex_state = 335},
  [8044] = {.lex_state = 0, .external_lex_state = 3},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 0, .external_lex_state = 3},
  [8047] = {.lex_state = 0},
  [8048] = {.lex_state = 0, .external_lex_state = 3},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0, .external_lex_state = 3},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0, .external_lex_state = 3},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 0, .external_lex_state = 3},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 0, .external_lex_state = 3},
  [8057] = {.lex_state = 0},
  [8058] = {.lex_state = 0, .external_lex_state = 3},
  [8059] = {.lex_state = 0},
  [8060] = {.lex_state = 335},
  [8061] = {.lex_state = 179},
  [8062] = {.lex_state = 335},
  [8063] = {.lex_state = 335},
  [8064] = {.lex_state = 194},
  [8065] = {.lex_state = 335},
  [8066] = {.lex_state = 237},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 171},
  [8069] = {.lex_state = 194},
  [8070] = {.lex_state = 193},
  [8071] = {.lex_state = 171},
  [8072] = {.lex_state = 171},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 179},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 194},
  [8080] = {.lex_state = 0, .external_lex_state = 3},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 194},
  [8083] = {.lex_state = 335},
  [8084] = {.lex_state = 194},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 335},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 0},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 194},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 194},
  [8096] = {.lex_state = 335},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 335},
  [8105] = {.lex_state = 112},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 194},
  [8110] = {.lex_state = 179},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 335},
  [8114] = {.lex_state = 335},
  [8115] = {.lex_state = 335},
  [8116] = {.lex_state = 194},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 335},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 179},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 112},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 335},
  [8131] = {.lex_state = 112},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 335},
  [8136] = {.lex_state = 112},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 194},
  [8139] = {.lex_state = 179},
  [8140] = {.lex_state = 194},
  [8141] = {.lex_state = 335},
  [8142] = {.lex_state = 335},
  [8143] = {.lex_state = 335},
  [8144] = {.lex_state = 194},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 194},
  [8149] = {.lex_state = 0, .external_lex_state = 3},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 171},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 335},
  [8154] = {.lex_state = 335},
  [8155] = {.lex_state = 194},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 194},
  [8159] = {.lex_state = 0, .external_lex_state = 3},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 335},
  [8164] = {.lex_state = 194},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 194},
  [8168] = {.lex_state = 0, .external_lex_state = 3},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 335},
  [8172] = {.lex_state = 194},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 112},
  [8175] = {.lex_state = 194},
  [8176] = {.lex_state = 0, .external_lex_state = 3},
  [8177] = {.lex_state = 171},
  [8178] = {.lex_state = 179},
  [8179] = {.lex_state = 335},
  [8180] = {.lex_state = 194},
  [8181] = {.lex_state = 194},
  [8182] = {.lex_state = 194},
  [8183] = {.lex_state = 0, .external_lex_state = 3},
  [8184] = {.lex_state = 179},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 194},
  [8187] = {.lex_state = 0, .external_lex_state = 3},
  [8188] = {.lex_state = 112},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 0, .external_lex_state = 3},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0, .external_lex_state = 3},
  [8193] = {.lex_state = 0},
  [8194] = {.lex_state = 0, .external_lex_state = 3},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 0, .external_lex_state = 3},
  [8197] = {.lex_state = 112},
  [8198] = {.lex_state = 0, .external_lex_state = 3},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0, .external_lex_state = 3},
  [8201] = {.lex_state = 112},
  [8202] = {.lex_state = 0, .external_lex_state = 3},
  [8203] = {.lex_state = 194},
  [8204] = {.lex_state = 0, .external_lex_state = 3},
  [8205] = {.lex_state = 171},
  [8206] = {.lex_state = 0, .external_lex_state = 3},
  [8207] = {.lex_state = 335},
  [8208] = {.lex_state = 335},
  [8209] = {.lex_state = 335},
  [8210] = {.lex_state = 335},
  [8211] = {.lex_state = 335},
  [8212] = {.lex_state = 112},
  [8213] = {.lex_state = 335},
  [8214] = {.lex_state = 335},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 335},
  [8217] = {.lex_state = 335},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 335},
  [8220] = {.lex_state = 335},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 335},
  [8223] = {.lex_state = 335},
  [8224] = {.lex_state = 335},
  [8225] = {.lex_state = 335},
  [8226] = {.lex_state = 335},
  [8227] = {.lex_state = 335},
  [8228] = {.lex_state = 335},
  [8229] = {.lex_state = 335},
  [8230] = {.lex_state = 335},
  [8231] = {.lex_state = 335},
  [8232] = {.lex_state = 335},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 194},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 194},
  [8238] = {.lex_state = 335},
  [8239] = {.lex_state = 335},
  [8240] = {.lex_state = 335},
  [8241] = {.lex_state = 335},
  [8242] = {.lex_state = 335},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [sym_virtual] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8091),
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5905),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2594),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(728),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4575),
    [sym_conditional_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4575),
    [sym_pointer_expression] = STATE(3486),
    [sym_unary_expression] = STATE(4575),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_alignof_expression] = STATE(4575),
    [sym_offsetof_expression] = STATE(4575),
    [sym_generic_expression] = STATE(4575),
    [sym_subscript_expression] = STATE(3486),
    [sym_call_expression] = STATE(3486),
    [sym_gnu_asm_expression] = STATE(4575),
    [sym_field_expression] = STATE(3486),
    [sym_compound_literal_expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(3486),
    [sym_char_literal] = STATE(4486),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(4575),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1634),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6282),
    [sym__constructor_specifiers] = STATE(1634),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4542),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3588),
    [sym_co_await_expression] = STATE(4575),
    [sym_new_expression] = STATE(4575),
    [sym_delete_expression] = STATE(4575),
    [sym_requires_clause] = STATE(4575),
    [sym_requires_expression] = STATE(4575),
    [sym_lambda_expression] = STATE(4575),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(4575),
    [sym_parameter_pack_expansion] = STATE(4575),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3437),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6282),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3486),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(115),
  },
  [2] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [3] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [4] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [5] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [6] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [7] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [8] = {
    [sym__block_item] = STATE(70),
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(70),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [9] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [10] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [11] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [12] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [13] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7495),
    [sym_preproc_elif] = STATE(7495),
    [sym_preproc_elifdef] = STATE(7495),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [14] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(7799),
    [sym_preproc_elif] = STATE(7799),
    [sym_preproc_elifdef] = STATE(7799),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [15] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(8033),
    [sym_preproc_elif] = STATE(8033),
    [sym_preproc_elifdef] = STATE(8033),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [16] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8024),
    [sym_preproc_elif] = STATE(8024),
    [sym_preproc_elifdef] = STATE(8024),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [17] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7788),
    [sym_preproc_elif] = STATE(7788),
    [sym_preproc_elifdef] = STATE(7788),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [18] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7866),
    [sym_preproc_elif] = STATE(7866),
    [sym_preproc_elifdef] = STATE(7866),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [19] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7893),
    [sym_preproc_elif] = STATE(7893),
    [sym_preproc_elifdef] = STATE(7893),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [20] = {
    [sym__block_item] = STATE(30),
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(7484),
    [sym_preproc_elif] = STATE(7484),
    [sym_preproc_elifdef] = STATE(7484),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(30),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [21] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7479),
    [sym_preproc_elif] = STATE(7479),
    [sym_preproc_elifdef] = STATE(7479),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7712),
    [sym_preproc_elif] = STATE(7712),
    [sym_preproc_elifdef] = STATE(7712),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [23] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7642),
    [sym_preproc_elif] = STATE(7642),
    [sym_preproc_elifdef] = STATE(7642),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [24] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(8151),
    [sym_preproc_elif] = STATE(8151),
    [sym_preproc_elifdef] = STATE(8151),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(13),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(13),
    [sym_template_instantiation] = STATE(13),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(13),
    [sym_operator_cast_declaration] = STATE(13),
    [sym_constructor_or_destructor_definition] = STATE(13),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(13),
    [sym_namespace_alias_definition] = STATE(13),
    [sym_using_declaration] = STATE(13),
    [sym_alias_declaration] = STATE(13),
    [sym_static_assert_declaration] = STATE(13),
    [sym_concept_definition] = STATE(13),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7766),
    [sym_preproc_elif] = STATE(7766),
    [sym_preproc_elifdef] = STATE(7766),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [26] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8205),
    [sym_preproc_elif] = STATE(8205),
    [sym_preproc_elifdef] = STATE(8205),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [27] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(7496),
    [sym_preproc_elif] = STATE(7496),
    [sym_preproc_elifdef] = STATE(7496),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [28] = {
    [sym__block_item] = STATE(23),
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(7521),
    [sym_preproc_elif] = STATE(7521),
    [sym_preproc_elifdef] = STATE(7521),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(23),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [29] = {
    [sym__block_item] = STATE(18),
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(7792),
    [sym_preproc_elif] = STATE(7792),
    [sym_preproc_elifdef] = STATE(7792),
    [sym_function_definition] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(18),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(18),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(18),
    [sym_template_instantiation] = STATE(18),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(18),
    [sym_operator_cast_declaration] = STATE(18),
    [sym_constructor_or_destructor_definition] = STATE(18),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(18),
    [sym_namespace_alias_definition] = STATE(18),
    [sym_using_declaration] = STATE(18),
    [sym_alias_declaration] = STATE(18),
    [sym_static_assert_declaration] = STATE(18),
    [sym_concept_definition] = STATE(18),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [30] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7536),
    [sym_preproc_elif] = STATE(7536),
    [sym_preproc_elifdef] = STATE(7536),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [31] = {
    [sym__block_item] = STATE(16),
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(8177),
    [sym_preproc_elif] = STATE(8177),
    [sym_preproc_elifdef] = STATE(8177),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(16),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [32] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(7631),
    [sym_preproc_elif] = STATE(7631),
    [sym_preproc_elifdef] = STATE(7631),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5842),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(266),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(295),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1647),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1647),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1647),
    [sym_identifier] = ACTIONS(373),
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(379),
    [aux_sym_preproc_if_token1] = ACTIONS(382),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(387),
    [aux_sym_preproc_else_token1] = ACTIONS(385),
    [aux_sym_preproc_elif_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(385),
    [sym_preproc_directive] = ACTIONS(390),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym___extension__] = ACTIONS(417),
    [anon_sym_typedef] = ACTIONS(420),
    [anon_sym_extern] = ACTIONS(423),
    [anon_sym___attribute__] = ACTIONS(426),
    [anon_sym_COLON_COLON] = ACTIONS(429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(432),
    [anon_sym___declspec] = ACTIONS(435),
    [anon_sym___based] = ACTIONS(438),
    [anon_sym___cdecl] = ACTIONS(441),
    [anon_sym___clrcall] = ACTIONS(441),
    [anon_sym___stdcall] = ACTIONS(441),
    [anon_sym___fastcall] = ACTIONS(441),
    [anon_sym___thiscall] = ACTIONS(441),
    [anon_sym___vectorcall] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(444),
    [anon_sym_signed] = ACTIONS(447),
    [anon_sym_unsigned] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(453),
    [anon_sym_register] = ACTIONS(453),
    [anon_sym_inline] = ACTIONS(456),
    [anon_sym___inline] = ACTIONS(453),
    [anon_sym___inline__] = ACTIONS(453),
    [anon_sym___forceinline] = ACTIONS(453),
    [anon_sym_thread_local] = ACTIONS(453),
    [anon_sym___thread] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_constexpr] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_restrict] = ACTIONS(459),
    [anon_sym___restrict__] = ACTIONS(459),
    [anon_sym__Atomic] = ACTIONS(459),
    [anon_sym__Noreturn] = ACTIONS(459),
    [anon_sym_noreturn] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(459),
    [anon_sym_constinit] = ACTIONS(459),
    [anon_sym_consteval] = ACTIONS(459),
    [anon_sym_alignas] = ACTIONS(462),
    [anon_sym__Alignas] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(465),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(474),
    [anon_sym_union] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(480),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_case] = ACTIONS(486),
    [anon_sym_default] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(492),
    [anon_sym_do] = ACTIONS(495),
    [anon_sym_for] = ACTIONS(498),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(504),
    [anon_sym_continue] = ACTIONS(507),
    [anon_sym_goto] = ACTIONS(510),
    [anon_sym___try] = ACTIONS(513),
    [anon_sym___leave] = ACTIONS(516),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_sizeof] = ACTIONS(522),
    [anon_sym___alignof__] = ACTIONS(525),
    [anon_sym___alignof] = ACTIONS(525),
    [anon_sym__alignof] = ACTIONS(525),
    [anon_sym_alignof] = ACTIONS(525),
    [anon_sym__Alignof] = ACTIONS(525),
    [anon_sym_offsetof] = ACTIONS(528),
    [anon_sym__Generic] = ACTIONS(531),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym___asm__] = ACTIONS(534),
    [sym_number_literal] = ACTIONS(537),
    [anon_sym_L_SQUOTE] = ACTIONS(540),
    [anon_sym_u_SQUOTE] = ACTIONS(540),
    [anon_sym_U_SQUOTE] = ACTIONS(540),
    [anon_sym_u8_SQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_L_DQUOTE] = ACTIONS(543),
    [anon_sym_u_DQUOTE] = ACTIONS(543),
    [anon_sym_U_DQUOTE] = ACTIONS(543),
    [anon_sym_u8_DQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(543),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [anon_sym_NULL] = ACTIONS(549),
    [anon_sym_nullptr] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(552),
    [anon_sym_decltype] = ACTIONS(555),
    [sym_virtual] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(567),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(579),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_using] = ACTIONS(585),
    [anon_sym_static_assert] = ACTIONS(588),
    [anon_sym_concept] = ACTIONS(591),
    [anon_sym_co_return] = ACTIONS(594),
    [anon_sym_co_yield] = ACTIONS(597),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(546),
  },
  [34] = {
    [sym__block_item] = STATE(68),
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(68),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [35] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [36] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [37] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [38] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [39] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [40] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(458),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(560),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1636),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1636),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1636),
    [sym_identifier] = ACTIONS(628),
    [aux_sym_preproc_include_token1] = ACTIONS(631),
    [aux_sym_preproc_def_token1] = ACTIONS(634),
    [aux_sym_preproc_if_token1] = ACTIONS(637),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(640),
    [sym_preproc_directive] = ACTIONS(643),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym___extension__] = ACTIONS(649),
    [anon_sym_typedef] = ACTIONS(652),
    [anon_sym_extern] = ACTIONS(655),
    [anon_sym___attribute__] = ACTIONS(426),
    [anon_sym_COLON_COLON] = ACTIONS(429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(432),
    [anon_sym___declspec] = ACTIONS(435),
    [anon_sym___based] = ACTIONS(438),
    [anon_sym___cdecl] = ACTIONS(441),
    [anon_sym___clrcall] = ACTIONS(441),
    [anon_sym___stdcall] = ACTIONS(441),
    [anon_sym___fastcall] = ACTIONS(441),
    [anon_sym___thiscall] = ACTIONS(441),
    [anon_sym___vectorcall] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(658),
    [anon_sym_signed] = ACTIONS(447),
    [anon_sym_unsigned] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(453),
    [anon_sym_register] = ACTIONS(453),
    [anon_sym_inline] = ACTIONS(661),
    [anon_sym___inline] = ACTIONS(453),
    [anon_sym___inline__] = ACTIONS(453),
    [anon_sym___forceinline] = ACTIONS(453),
    [anon_sym_thread_local] = ACTIONS(453),
    [anon_sym___thread] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_constexpr] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_restrict] = ACTIONS(459),
    [anon_sym___restrict__] = ACTIONS(459),
    [anon_sym__Atomic] = ACTIONS(459),
    [anon_sym__Noreturn] = ACTIONS(459),
    [anon_sym_noreturn] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(459),
    [anon_sym_constinit] = ACTIONS(459),
    [anon_sym_consteval] = ACTIONS(459),
    [anon_sym_alignas] = ACTIONS(462),
    [anon_sym__Alignas] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(465),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(474),
    [anon_sym_union] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(664),
    [anon_sym_switch] = ACTIONS(667),
    [anon_sym_case] = ACTIONS(670),
    [anon_sym_default] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(676),
    [anon_sym_do] = ACTIONS(679),
    [anon_sym_for] = ACTIONS(682),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(691),
    [anon_sym_goto] = ACTIONS(694),
    [anon_sym___try] = ACTIONS(697),
    [anon_sym___leave] = ACTIONS(700),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_sizeof] = ACTIONS(522),
    [anon_sym___alignof__] = ACTIONS(525),
    [anon_sym___alignof] = ACTIONS(525),
    [anon_sym__alignof] = ACTIONS(525),
    [anon_sym_alignof] = ACTIONS(525),
    [anon_sym__Alignof] = ACTIONS(525),
    [anon_sym_offsetof] = ACTIONS(528),
    [anon_sym__Generic] = ACTIONS(531),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym___asm__] = ACTIONS(534),
    [sym_number_literal] = ACTIONS(537),
    [anon_sym_L_SQUOTE] = ACTIONS(540),
    [anon_sym_u_SQUOTE] = ACTIONS(540),
    [anon_sym_U_SQUOTE] = ACTIONS(540),
    [anon_sym_u8_SQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_L_DQUOTE] = ACTIONS(543),
    [anon_sym_u_DQUOTE] = ACTIONS(543),
    [anon_sym_U_DQUOTE] = ACTIONS(543),
    [anon_sym_u8_DQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(543),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [anon_sym_NULL] = ACTIONS(549),
    [anon_sym_nullptr] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(552),
    [anon_sym_decltype] = ACTIONS(555),
    [sym_virtual] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(703),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(706),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(709),
    [anon_sym_namespace] = ACTIONS(712),
    [anon_sym_using] = ACTIONS(715),
    [anon_sym_static_assert] = ACTIONS(718),
    [anon_sym_concept] = ACTIONS(721),
    [anon_sym_co_return] = ACTIONS(724),
    [anon_sym_co_yield] = ACTIONS(727),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(546),
  },
  [41] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(730),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [42] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(458),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(560),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(40),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1636),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(40),
    [sym_template_instantiation] = STATE(40),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1636),
    [sym_operator_cast_definition] = STATE(40),
    [sym_operator_cast_declaration] = STATE(40),
    [sym_constructor_or_destructor_definition] = STATE(40),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(40),
    [sym_namespace_alias_definition] = STATE(40),
    [sym_using_declaration] = STATE(40),
    [sym_alias_declaration] = STATE(40),
    [sym_static_assert_declaration] = STATE(40),
    [sym_concept_definition] = STATE(40),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1636),
    [sym_identifier] = ACTIONS(732),
    [aux_sym_preproc_include_token1] = ACTIONS(734),
    [aux_sym_preproc_def_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token1] = ACTIONS(738),
    [aux_sym_preproc_if_token2] = ACTIONS(740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(742),
    [sym_preproc_directive] = ACTIONS(744),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_extern] = ACTIONS(752),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(756),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(784),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(790),
    [anon_sym_using] = ACTIONS(792),
    [anon_sym_static_assert] = ACTIONS(794),
    [anon_sym_concept] = ACTIONS(796),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [43] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [44] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [45] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [46] = {
    [sym__block_item] = STATE(50),
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(50),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(50),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(50),
    [sym_template_instantiation] = STATE(50),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(50),
    [sym_operator_cast_declaration] = STATE(50),
    [sym_constructor_or_destructor_definition] = STATE(50),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(50),
    [sym_namespace_alias_definition] = STATE(50),
    [sym_using_declaration] = STATE(50),
    [sym_alias_declaration] = STATE(50),
    [sym_static_assert_declaration] = STATE(50),
    [sym_concept_definition] = STATE(50),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [47] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [48] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [49] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [50] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [51] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [52] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [53] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [54] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(824),
    [aux_sym_preproc_include_token1] = ACTIONS(827),
    [aux_sym_preproc_def_token1] = ACTIONS(830),
    [aux_sym_preproc_if_token1] = ACTIONS(833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(836),
    [sym_preproc_directive] = ACTIONS(839),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(842),
    [anon_sym___extension__] = ACTIONS(845),
    [anon_sym_typedef] = ACTIONS(848),
    [anon_sym_extern] = ACTIONS(851),
    [anon_sym___attribute__] = ACTIONS(426),
    [anon_sym_COLON_COLON] = ACTIONS(429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(432),
    [anon_sym___declspec] = ACTIONS(435),
    [anon_sym___based] = ACTIONS(438),
    [anon_sym___cdecl] = ACTIONS(441),
    [anon_sym___clrcall] = ACTIONS(441),
    [anon_sym___stdcall] = ACTIONS(441),
    [anon_sym___fastcall] = ACTIONS(441),
    [anon_sym___thiscall] = ACTIONS(441),
    [anon_sym___vectorcall] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(854),
    [anon_sym_RBRACE] = ACTIONS(857),
    [anon_sym_signed] = ACTIONS(447),
    [anon_sym_unsigned] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(453),
    [anon_sym_register] = ACTIONS(453),
    [anon_sym_inline] = ACTIONS(859),
    [anon_sym___inline] = ACTIONS(453),
    [anon_sym___inline__] = ACTIONS(453),
    [anon_sym___forceinline] = ACTIONS(453),
    [anon_sym_thread_local] = ACTIONS(453),
    [anon_sym___thread] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_constexpr] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_restrict] = ACTIONS(459),
    [anon_sym___restrict__] = ACTIONS(459),
    [anon_sym__Atomic] = ACTIONS(459),
    [anon_sym__Noreturn] = ACTIONS(459),
    [anon_sym_noreturn] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(459),
    [anon_sym_constinit] = ACTIONS(459),
    [anon_sym_consteval] = ACTIONS(459),
    [anon_sym_alignas] = ACTIONS(462),
    [anon_sym__Alignas] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(465),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(474),
    [anon_sym_union] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(862),
    [anon_sym_switch] = ACTIONS(865),
    [anon_sym_case] = ACTIONS(868),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(889),
    [anon_sym_goto] = ACTIONS(892),
    [anon_sym___try] = ACTIONS(895),
    [anon_sym___leave] = ACTIONS(898),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_sizeof] = ACTIONS(522),
    [anon_sym___alignof__] = ACTIONS(525),
    [anon_sym___alignof] = ACTIONS(525),
    [anon_sym__alignof] = ACTIONS(525),
    [anon_sym_alignof] = ACTIONS(525),
    [anon_sym__Alignof] = ACTIONS(525),
    [anon_sym_offsetof] = ACTIONS(528),
    [anon_sym__Generic] = ACTIONS(531),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym___asm__] = ACTIONS(534),
    [sym_number_literal] = ACTIONS(537),
    [anon_sym_L_SQUOTE] = ACTIONS(540),
    [anon_sym_u_SQUOTE] = ACTIONS(540),
    [anon_sym_U_SQUOTE] = ACTIONS(540),
    [anon_sym_u8_SQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_L_DQUOTE] = ACTIONS(543),
    [anon_sym_u_DQUOTE] = ACTIONS(543),
    [anon_sym_U_DQUOTE] = ACTIONS(543),
    [anon_sym_u8_DQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(543),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [anon_sym_NULL] = ACTIONS(549),
    [anon_sym_nullptr] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(552),
    [anon_sym_decltype] = ACTIONS(555),
    [sym_virtual] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(901),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_namespace] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(913),
    [anon_sym_static_assert] = ACTIONS(916),
    [anon_sym_concept] = ACTIONS(919),
    [anon_sym_co_return] = ACTIONS(922),
    [anon_sym_co_yield] = ACTIONS(925),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(546),
  },
  [55] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [56] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5903),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(458),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(560),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1636),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1636),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1636),
    [sym_identifier] = ACTIONS(732),
    [aux_sym_preproc_include_token1] = ACTIONS(734),
    [aux_sym_preproc_def_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token1] = ACTIONS(738),
    [aux_sym_preproc_if_token2] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(742),
    [sym_preproc_directive] = ACTIONS(744),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_extern] = ACTIONS(752),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(756),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(784),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(790),
    [anon_sym_using] = ACTIONS(792),
    [anon_sym_static_assert] = ACTIONS(794),
    [anon_sym_concept] = ACTIONS(796),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [57] = {
    [sym__block_item] = STATE(45),
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(45),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [58] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [59] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [60] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [61] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [62] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [63] = {
    [sym__block_item] = STATE(36),
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(36),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [64] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [65] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [66] = {
    [sym__block_item] = STATE(70),
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(70),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [67] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [68] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [69] = {
    [sym__block_item] = STATE(78),
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(78),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [70] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [71] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [72] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [73] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [74] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [75] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [76] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [77] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [78] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [79] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5918),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(462),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(591),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1639),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1639),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4215),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3120),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1639),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [80] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5905),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2594),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(728),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4575),
    [sym_conditional_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4575),
    [sym_pointer_expression] = STATE(3486),
    [sym_unary_expression] = STATE(4575),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_alignof_expression] = STATE(4575),
    [sym_offsetof_expression] = STATE(4575),
    [sym_generic_expression] = STATE(4575),
    [sym_subscript_expression] = STATE(3486),
    [sym_call_expression] = STATE(3486),
    [sym_gnu_asm_expression] = STATE(4575),
    [sym_field_expression] = STATE(3486),
    [sym_compound_literal_expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(3486),
    [sym_char_literal] = STATE(4486),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(4575),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1634),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6282),
    [sym__constructor_specifiers] = STATE(1634),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4542),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3588),
    [sym_co_await_expression] = STATE(4575),
    [sym_new_expression] = STATE(4575),
    [sym_delete_expression] = STATE(4575),
    [sym_requires_clause] = STATE(4575),
    [sym_requires_expression] = STATE(4575),
    [sym_lambda_expression] = STATE(4575),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(4575),
    [sym_parameter_pack_expansion] = STATE(4575),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3437),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6282),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3486),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(978),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(115),
  },
  [81] = {
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5905),
    [sym_array_declarator] = STATE(5904),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2594),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(728),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(4575),
    [sym_conditional_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4575),
    [sym_pointer_expression] = STATE(3486),
    [sym_unary_expression] = STATE(4575),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_alignof_expression] = STATE(4575),
    [sym_offsetof_expression] = STATE(4575),
    [sym_generic_expression] = STATE(4575),
    [sym_subscript_expression] = STATE(3486),
    [sym_call_expression] = STATE(3486),
    [sym_gnu_asm_expression] = STATE(4575),
    [sym_field_expression] = STATE(3486),
    [sym_compound_literal_expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(3486),
    [sym_char_literal] = STATE(4486),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(4575),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_explicit_function_specifier] = STATE(1634),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6282),
    [sym__constructor_specifiers] = STATE(1634),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(4542),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3588),
    [sym_co_await_expression] = STATE(4575),
    [sym_new_expression] = STATE(4575),
    [sym_delete_expression] = STATE(4575),
    [sym_requires_clause] = STATE(4575),
    [sym_requires_expression] = STATE(4575),
    [sym_lambda_expression] = STATE(4575),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(4575),
    [sym_parameter_pack_expansion] = STATE(4575),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5115),
    [sym_qualified_identifier] = STATE(3437),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_qualified_operator_cast_identifier] = STATE(6282),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3486),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1634),
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [aux_sym_preproc_include_token1] = ACTIONS(985),
    [aux_sym_preproc_def_token1] = ACTIONS(988),
    [aux_sym_preproc_if_token1] = ACTIONS(991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(994),
    [sym_preproc_directive] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(1012),
    [anon_sym_AMP_AMP] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1018),
    [anon_sym___extension__] = ACTIONS(1021),
    [anon_sym_typedef] = ACTIONS(1024),
    [anon_sym_extern] = ACTIONS(1027),
    [anon_sym___attribute__] = ACTIONS(1030),
    [anon_sym_COLON_COLON] = ACTIONS(1033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1036),
    [anon_sym___declspec] = ACTIONS(1039),
    [anon_sym___based] = ACTIONS(1042),
    [anon_sym___cdecl] = ACTIONS(1045),
    [anon_sym___clrcall] = ACTIONS(1045),
    [anon_sym___stdcall] = ACTIONS(1045),
    [anon_sym___fastcall] = ACTIONS(1045),
    [anon_sym___thiscall] = ACTIONS(1045),
    [anon_sym___vectorcall] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_signed] = ACTIONS(1051),
    [anon_sym_unsigned] = ACTIONS(1051),
    [anon_sym_long] = ACTIONS(1051),
    [anon_sym_short] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [anon_sym_static] = ACTIONS(1057),
    [anon_sym_register] = ACTIONS(1057),
    [anon_sym_inline] = ACTIONS(1060),
    [anon_sym___inline] = ACTIONS(1057),
    [anon_sym___inline__] = ACTIONS(1057),
    [anon_sym___forceinline] = ACTIONS(1057),
    [anon_sym_thread_local] = ACTIONS(1057),
    [anon_sym___thread] = ACTIONS(1057),
    [anon_sym_const] = ACTIONS(1063),
    [anon_sym_constexpr] = ACTIONS(1063),
    [anon_sym_volatile] = ACTIONS(1063),
    [anon_sym_restrict] = ACTIONS(1063),
    [anon_sym___restrict__] = ACTIONS(1063),
    [anon_sym__Atomic] = ACTIONS(1063),
    [anon_sym__Noreturn] = ACTIONS(1063),
    [anon_sym_noreturn] = ACTIONS(1063),
    [anon_sym_mutable] = ACTIONS(1063),
    [anon_sym_constinit] = ACTIONS(1063),
    [anon_sym_consteval] = ACTIONS(1063),
    [anon_sym_alignas] = ACTIONS(1066),
    [anon_sym__Alignas] = ACTIONS(1066),
    [sym_primitive_type] = ACTIONS(1069),
    [anon_sym_enum] = ACTIONS(1072),
    [anon_sym_class] = ACTIONS(1075),
    [anon_sym_struct] = ACTIONS(1078),
    [anon_sym_union] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1087),
    [anon_sym_case] = ACTIONS(1090),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1096),
    [anon_sym_do] = ACTIONS(1099),
    [anon_sym_for] = ACTIONS(1102),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1108),
    [anon_sym_continue] = ACTIONS(1111),
    [anon_sym_goto] = ACTIONS(1114),
    [anon_sym_not] = ACTIONS(1009),
    [anon_sym_compl] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1117),
    [anon_sym_PLUS_PLUS] = ACTIONS(1117),
    [anon_sym_sizeof] = ACTIONS(1120),
    [anon_sym___alignof__] = ACTIONS(1123),
    [anon_sym___alignof] = ACTIONS(1123),
    [anon_sym__alignof] = ACTIONS(1123),
    [anon_sym_alignof] = ACTIONS(1123),
    [anon_sym__Alignof] = ACTIONS(1123),
    [anon_sym_offsetof] = ACTIONS(1126),
    [anon_sym__Generic] = ACTIONS(1129),
    [anon_sym_asm] = ACTIONS(1132),
    [anon_sym___asm__] = ACTIONS(1132),
    [sym_number_literal] = ACTIONS(1135),
    [anon_sym_L_SQUOTE] = ACTIONS(1138),
    [anon_sym_u_SQUOTE] = ACTIONS(1138),
    [anon_sym_U_SQUOTE] = ACTIONS(1138),
    [anon_sym_u8_SQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1150),
    [anon_sym_decltype] = ACTIONS(1153),
    [sym_virtual] = ACTIONS(1156),
    [anon_sym_explicit] = ACTIONS(1159),
    [anon_sym_typename] = ACTIONS(1162),
    [anon_sym_template] = ACTIONS(1165),
    [anon_sym_operator] = ACTIONS(1168),
    [anon_sym_try] = ACTIONS(1171),
    [anon_sym_delete] = ACTIONS(1174),
    [anon_sym_throw] = ACTIONS(1177),
    [anon_sym_namespace] = ACTIONS(1180),
    [anon_sym_using] = ACTIONS(1183),
    [anon_sym_static_assert] = ACTIONS(1186),
    [anon_sym_concept] = ACTIONS(1189),
    [anon_sym_co_return] = ACTIONS(1192),
    [anon_sym_co_yield] = ACTIONS(1195),
    [anon_sym_R_DQUOTE] = ACTIONS(1198),
    [anon_sym_LR_DQUOTE] = ACTIONS(1198),
    [anon_sym_uR_DQUOTE] = ACTIONS(1198),
    [anon_sym_UR_DQUOTE] = ACTIONS(1198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1198),
    [anon_sym_co_await] = ACTIONS(1201),
    [anon_sym_new] = ACTIONS(1204),
    [anon_sym_requires] = ACTIONS(1207),
    [sym_this] = ACTIONS(1144),
  },
  [82] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4893),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [83] = {
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4893),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token2] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [aux_sym_preproc_else_token1] = ACTIONS(1230),
    [aux_sym_preproc_elif_token1] = ACTIONS(1230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1230),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1230),
    [anon_sym_using] = ACTIONS(1230),
    [anon_sym_static_assert] = ACTIONS(1230),
    [anon_sym_concept] = ACTIONS(1230),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [84] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4893),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1234),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token2] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [aux_sym_preproc_else_token1] = ACTIONS(1237),
    [aux_sym_preproc_elif_token1] = ACTIONS(1237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1251),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1262),
    [anon_sym_extern] = ACTIONS(1265),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_COLON_COLON] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1277),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_register] = ACTIONS(1265),
    [anon_sym_inline] = ACTIONS(1265),
    [anon_sym___inline] = ACTIONS(1265),
    [anon_sym___inline__] = ACTIONS(1265),
    [anon_sym___forceinline] = ACTIONS(1265),
    [anon_sym_thread_local] = ACTIONS(1265),
    [anon_sym___thread] = ACTIONS(1265),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_constexpr] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_restrict] = ACTIONS(1289),
    [anon_sym___restrict__] = ACTIONS(1289),
    [anon_sym__Atomic] = ACTIONS(1289),
    [anon_sym__Noreturn] = ACTIONS(1289),
    [anon_sym_noreturn] = ACTIONS(1289),
    [anon_sym_mutable] = ACTIONS(1289),
    [anon_sym_constinit] = ACTIONS(1289),
    [anon_sym_consteval] = ACTIONS(1289),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1313),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1325),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1337),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_not] = ACTIONS(1245),
    [anon_sym_compl] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1349),
    [anon_sym___alignof] = ACTIONS(1349),
    [anon_sym__alignof] = ACTIONS(1349),
    [anon_sym_alignof] = ACTIONS(1349),
    [anon_sym__Alignof] = ACTIONS(1349),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1361),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1373),
    [anon_sym_nullptr] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1376),
    [anon_sym_decltype] = ACTIONS(1379),
    [sym_virtual] = ACTIONS(1382),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(1385),
    [anon_sym_template] = ACTIONS(1388),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1391),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1397),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(1400),
    [anon_sym_co_yield] = ACTIONS(1403),
    [anon_sym_R_DQUOTE] = ACTIONS(1406),
    [anon_sym_LR_DQUOTE] = ACTIONS(1406),
    [anon_sym_uR_DQUOTE] = ACTIONS(1406),
    [anon_sym_UR_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1406),
    [anon_sym_co_await] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1412),
    [anon_sym_requires] = ACTIONS(1415),
    [sym_this] = ACTIONS(1370),
  },
  [85] = {
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4893),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [86] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4893),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [87] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4827),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token2] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1251),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1435),
    [anon_sym_extern] = ACTIONS(1265),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_COLON_COLON] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1277),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_register] = ACTIONS(1265),
    [anon_sym_inline] = ACTIONS(1265),
    [anon_sym___inline] = ACTIONS(1265),
    [anon_sym___inline__] = ACTIONS(1265),
    [anon_sym___forceinline] = ACTIONS(1265),
    [anon_sym_thread_local] = ACTIONS(1265),
    [anon_sym___thread] = ACTIONS(1265),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_constexpr] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_restrict] = ACTIONS(1289),
    [anon_sym___restrict__] = ACTIONS(1289),
    [anon_sym__Atomic] = ACTIONS(1289),
    [anon_sym__Noreturn] = ACTIONS(1289),
    [anon_sym_noreturn] = ACTIONS(1289),
    [anon_sym_mutable] = ACTIONS(1289),
    [anon_sym_constinit] = ACTIONS(1289),
    [anon_sym_consteval] = ACTIONS(1289),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1447),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1459),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_goto] = ACTIONS(1465),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1471),
    [anon_sym_not] = ACTIONS(1245),
    [anon_sym_compl] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1349),
    [anon_sym___alignof] = ACTIONS(1349),
    [anon_sym__alignof] = ACTIONS(1349),
    [anon_sym_alignof] = ACTIONS(1349),
    [anon_sym__Alignof] = ACTIONS(1349),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1361),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1373),
    [anon_sym_nullptr] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1376),
    [anon_sym_decltype] = ACTIONS(1379),
    [sym_virtual] = ACTIONS(1382),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(1385),
    [anon_sym_template] = ACTIONS(1388),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1474),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1477),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(1480),
    [anon_sym_co_yield] = ACTIONS(1483),
    [anon_sym_R_DQUOTE] = ACTIONS(1406),
    [anon_sym_LR_DQUOTE] = ACTIONS(1406),
    [anon_sym_uR_DQUOTE] = ACTIONS(1406),
    [anon_sym_UR_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1406),
    [anon_sym_co_await] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1412),
    [anon_sym_requires] = ACTIONS(1415),
    [sym_this] = ACTIONS(1370),
  },
  [88] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4794),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [89] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4794),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [90] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4827),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [91] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1251),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym___extension__] = ACTIONS(1502),
    [anon_sym_typedef] = ACTIONS(1505),
    [anon_sym_extern] = ACTIONS(1265),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_COLON_COLON] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1277),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1251),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_register] = ACTIONS(1265),
    [anon_sym_inline] = ACTIONS(1265),
    [anon_sym___inline] = ACTIONS(1265),
    [anon_sym___inline__] = ACTIONS(1265),
    [anon_sym___forceinline] = ACTIONS(1265),
    [anon_sym_thread_local] = ACTIONS(1265),
    [anon_sym___thread] = ACTIONS(1265),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_constexpr] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_restrict] = ACTIONS(1289),
    [anon_sym___restrict__] = ACTIONS(1289),
    [anon_sym__Atomic] = ACTIONS(1289),
    [anon_sym__Noreturn] = ACTIONS(1289),
    [anon_sym_noreturn] = ACTIONS(1289),
    [anon_sym_mutable] = ACTIONS(1289),
    [anon_sym_constinit] = ACTIONS(1289),
    [anon_sym_consteval] = ACTIONS(1289),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1535),
    [anon_sym___try] = ACTIONS(1538),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_not] = ACTIONS(1245),
    [anon_sym_compl] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1349),
    [anon_sym___alignof] = ACTIONS(1349),
    [anon_sym__alignof] = ACTIONS(1349),
    [anon_sym_alignof] = ACTIONS(1349),
    [anon_sym__Alignof] = ACTIONS(1349),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1361),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1373),
    [anon_sym_nullptr] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1376),
    [anon_sym_decltype] = ACTIONS(1379),
    [sym_virtual] = ACTIONS(1382),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(1385),
    [anon_sym_template] = ACTIONS(1388),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1544),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1547),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(1550),
    [anon_sym_co_yield] = ACTIONS(1553),
    [anon_sym_R_DQUOTE] = ACTIONS(1406),
    [anon_sym_LR_DQUOTE] = ACTIONS(1406),
    [anon_sym_uR_DQUOTE] = ACTIONS(1406),
    [anon_sym_UR_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1406),
    [anon_sym_co_await] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1412),
    [anon_sym_requires] = ACTIONS(1415),
    [sym_this] = ACTIONS(1370),
  },
  [92] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1556),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [93] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4827),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token2] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1230),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1230),
    [anon_sym_using] = ACTIONS(1230),
    [anon_sym_static_assert] = ACTIONS(1230),
    [anon_sym_concept] = ACTIONS(1230),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [94] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4794),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1230),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1230),
    [anon_sym_using] = ACTIONS(1230),
    [anon_sym_static_assert] = ACTIONS(1230),
    [anon_sym_concept] = ACTIONS(1230),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [95] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1556),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [96] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4827),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [97] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4827),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(1494),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym___extension__] = ACTIONS(748),
    [anon_sym_typedef] = ACTIONS(750),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [98] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1556),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1230),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1230),
    [anon_sym_using] = ACTIONS(1230),
    [anon_sym_static_assert] = ACTIONS(1230),
    [anon_sym_concept] = ACTIONS(1230),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [99] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4794),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [100] = {
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4886),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(1556),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [101] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4794),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1251),
    [sym_identifier] = ACTIONS(1558),
    [aux_sym_preproc_include_token1] = ACTIONS(1237),
    [aux_sym_preproc_def_token1] = ACTIONS(1237),
    [aux_sym_preproc_if_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1237),
    [sym_preproc_directive] = ACTIONS(1237),
    [anon_sym_LPAREN2] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1251),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1564),
    [anon_sym_typedef] = ACTIONS(1567),
    [anon_sym_extern] = ACTIONS(1265),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_COLON_COLON] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1277),
    [anon_sym___based] = ACTIONS(1237),
    [anon_sym___cdecl] = ACTIONS(1237),
    [anon_sym___clrcall] = ACTIONS(1237),
    [anon_sym___stdcall] = ACTIONS(1237),
    [anon_sym___fastcall] = ACTIONS(1237),
    [anon_sym___thiscall] = ACTIONS(1237),
    [anon_sym___vectorcall] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_register] = ACTIONS(1265),
    [anon_sym_inline] = ACTIONS(1265),
    [anon_sym___inline] = ACTIONS(1265),
    [anon_sym___inline__] = ACTIONS(1265),
    [anon_sym___forceinline] = ACTIONS(1265),
    [anon_sym_thread_local] = ACTIONS(1265),
    [anon_sym___thread] = ACTIONS(1265),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_constexpr] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_restrict] = ACTIONS(1289),
    [anon_sym___restrict__] = ACTIONS(1289),
    [anon_sym__Atomic] = ACTIONS(1289),
    [anon_sym__Noreturn] = ACTIONS(1289),
    [anon_sym_noreturn] = ACTIONS(1289),
    [anon_sym_mutable] = ACTIONS(1289),
    [anon_sym_constinit] = ACTIONS(1289),
    [anon_sym_consteval] = ACTIONS(1289),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1594),
    [anon_sym_goto] = ACTIONS(1597),
    [anon_sym___try] = ACTIONS(1600),
    [anon_sym___leave] = ACTIONS(1603),
    [anon_sym_not] = ACTIONS(1245),
    [anon_sym_compl] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1349),
    [anon_sym___alignof] = ACTIONS(1349),
    [anon_sym__alignof] = ACTIONS(1349),
    [anon_sym_alignof] = ACTIONS(1349),
    [anon_sym__Alignof] = ACTIONS(1349),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1361),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1373),
    [anon_sym_nullptr] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1376),
    [anon_sym_decltype] = ACTIONS(1379),
    [sym_virtual] = ACTIONS(1382),
    [anon_sym_explicit] = ACTIONS(1237),
    [anon_sym_typename] = ACTIONS(1385),
    [anon_sym_template] = ACTIONS(1388),
    [anon_sym_operator] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1606),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1609),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_using] = ACTIONS(1237),
    [anon_sym_static_assert] = ACTIONS(1237),
    [anon_sym_concept] = ACTIONS(1237),
    [anon_sym_co_return] = ACTIONS(1612),
    [anon_sym_co_yield] = ACTIONS(1615),
    [anon_sym_R_DQUOTE] = ACTIONS(1406),
    [anon_sym_LR_DQUOTE] = ACTIONS(1406),
    [anon_sym_uR_DQUOTE] = ACTIONS(1406),
    [anon_sym_UR_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1406),
    [anon_sym_co_await] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1412),
    [anon_sym_requires] = ACTIONS(1415),
    [sym_this] = ACTIONS(1370),
  },
  [102] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4918),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [103] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4918),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [104] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4918),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [105] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4918),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1658),
    [anon_sym_LPAREN2] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym___extension__] = ACTIONS(1664),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1265),
    [anon_sym___attribute__] = ACTIONS(1268),
    [anon_sym_COLON_COLON] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1274),
    [anon_sym___declspec] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_register] = ACTIONS(1265),
    [anon_sym_inline] = ACTIONS(1265),
    [anon_sym___inline] = ACTIONS(1265),
    [anon_sym___inline__] = ACTIONS(1265),
    [anon_sym___forceinline] = ACTIONS(1265),
    [anon_sym_thread_local] = ACTIONS(1265),
    [anon_sym___thread] = ACTIONS(1265),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_constexpr] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_restrict] = ACTIONS(1289),
    [anon_sym___restrict__] = ACTIONS(1289),
    [anon_sym__Atomic] = ACTIONS(1289),
    [anon_sym__Noreturn] = ACTIONS(1289),
    [anon_sym_noreturn] = ACTIONS(1289),
    [anon_sym_mutable] = ACTIONS(1289),
    [anon_sym_constinit] = ACTIONS(1289),
    [anon_sym_consteval] = ACTIONS(1289),
    [anon_sym_alignas] = ACTIONS(1292),
    [anon_sym__Alignas] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1673),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1682),
    [anon_sym_for] = ACTIONS(1685),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_goto] = ACTIONS(1697),
    [anon_sym___try] = ACTIONS(1700),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(1245),
    [anon_sym_compl] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1349),
    [anon_sym___alignof] = ACTIONS(1349),
    [anon_sym__alignof] = ACTIONS(1349),
    [anon_sym_alignof] = ACTIONS(1349),
    [anon_sym__Alignof] = ACTIONS(1349),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1361),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1373),
    [anon_sym_nullptr] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1376),
    [anon_sym_decltype] = ACTIONS(1379),
    [sym_virtual] = ACTIONS(1382),
    [anon_sym_typename] = ACTIONS(1385),
    [anon_sym_template] = ACTIONS(1388),
    [anon_sym_try] = ACTIONS(1706),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_throw] = ACTIONS(1709),
    [anon_sym_co_return] = ACTIONS(1712),
    [anon_sym_co_yield] = ACTIONS(1715),
    [anon_sym_R_DQUOTE] = ACTIONS(1406),
    [anon_sym_LR_DQUOTE] = ACTIONS(1406),
    [anon_sym_uR_DQUOTE] = ACTIONS(1406),
    [anon_sym_UR_DQUOTE] = ACTIONS(1406),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1406),
    [anon_sym_co_await] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1412),
    [anon_sym_requires] = ACTIONS(1415),
    [sym_this] = ACTIONS(1370),
  },
  [106] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4918),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(829),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [107] = {
    [sym_declaration] = STATE(380),
    [sym_type_definition] = STATE(3945),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(3945),
    [sym__for_statement_body] = STATE(7559),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7885),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(3945),
    [sym__for_range_loop_body] = STATE(7560),
    [sym_init_statement] = STATE(1827),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [108] = {
    [sym_declaration] = STATE(380),
    [sym_type_definition] = STATE(3945),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(3945),
    [sym__for_statement_body] = STATE(7416),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7885),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(3945),
    [sym__for_range_loop_body] = STATE(7417),
    [sym_init_statement] = STATE(1827),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [109] = {
    [sym_declaration] = STATE(380),
    [sym_type_definition] = STATE(3945),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(3945),
    [sym__for_statement_body] = STATE(7629),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7885),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(3945),
    [sym__for_range_loop_body] = STATE(7628),
    [sym_init_statement] = STATE(1827),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [110] = {
    [sym_declaration] = STATE(380),
    [sym_type_definition] = STATE(3945),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(3945),
    [sym__for_statement_body] = STATE(7471),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7885),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(3945),
    [sym__for_range_loop_body] = STATE(7556),
    [sym_init_statement] = STATE(1827),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [111] = {
    [sym_declaration] = STATE(380),
    [sym_type_definition] = STATE(3945),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(3945),
    [sym__for_statement_body] = STATE(7844),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7885),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(3945),
    [sym__for_range_loop_body] = STATE(7891),
    [sym_init_statement] = STATE(1827),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [112] = {
    [sym_declaration] = STATE(380),
    [sym_type_definition] = STATE(3945),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4784),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(3945),
    [sym__for_statement_body] = STATE(7523),
    [sym_expression] = STATE(4305),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7885),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(3945),
    [sym__for_range_loop_body] = STATE(7524),
    [sym_init_statement] = STATE(1827),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [113] = {
    [sym_declaration] = STATE(1500),
    [sym_type_definition] = STATE(1500),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4796),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression_statement] = STATE(1500),
    [sym_expression] = STATE(4126),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7151),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_alias_declaration] = STATE(1500),
    [sym_init_statement] = STATE(124),
    [sym_condition_declaration] = STATE(7836),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1730),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [114] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(4931),
    [sym__declarator] = STATE(6200),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8165),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3052),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5301),
    [sym_qualified_identifier] = STATE(3056),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [115] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(4931),
    [sym__declarator] = STATE(6200),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7745),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3052),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5301),
    [sym_qualified_identifier] = STATE(3056),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [116] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(4931),
    [sym__declarator] = STATE(6200),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2754),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7520),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7469),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3052),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7470),
    [sym__unary_right_fold] = STATE(7467),
    [sym__binary_fold] = STATE(7473),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5301),
    [sym_qualified_identifier] = STATE(3056),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7474),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [117] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7125),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3221),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [118] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_compound_statement] = STATE(6797),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6876),
    [sym_expression] = STATE(4113),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6797),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6876),
    [sym_variadic_parameter_declaration] = STATE(6876),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5281),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(1870),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1872),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [119] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_expression] = STATE(3059),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7125),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7500),
    [sym__unary_right_fold] = STATE(7501),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3221),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [120] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_expression] = STATE(3008),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7125),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7470),
    [sym__unary_right_fold] = STATE(7467),
    [sym__binary_fold] = STATE(7473),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3221),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [121] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_expression] = STATE(3072),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7125),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7848),
    [sym__unary_right_fold] = STATE(7851),
    [sym__binary_fold] = STATE(7865),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3221),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [122] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7125),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3221),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [123] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_expression] = STATE(3034),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7125),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7768),
    [sym__unary_right_fold] = STATE(7764),
    [sym__binary_fold] = STATE(7763),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3221),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4925),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7395),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3138),
    [sym_template_function] = STATE(3701),
    [sym_condition_declaration] = STATE(7395),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(3129),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(1876),
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_RPAREN] = ACTIONS(1876),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_EQ] = ACTIONS(1876),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___except] = ACTIONS(1878),
    [anon_sym___finally] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_or] = ACTIONS(1878),
    [anon_sym_and] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [anon_sym_final] = ACTIONS(1878),
    [anon_sym_override] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_GT2] = ACTIONS(1876),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1880),
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [anon_sym_COMMA] = ACTIONS(1880),
    [anon_sym_RPAREN] = ACTIONS(1880),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_PIPE_PIPE] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_EQ] = ACTIONS(1880),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___except] = ACTIONS(1882),
    [anon_sym___finally] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_or] = ACTIONS(1882),
    [anon_sym_and] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [anon_sym_final] = ACTIONS(1882),
    [anon_sym_override] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_GT2] = ACTIONS(1880),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [127] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [aux_sym_preproc_if_token2] = ACTIONS(1886),
    [aux_sym_preproc_else_token1] = ACTIONS(1886),
    [aux_sym_preproc_elif_token1] = ACTIONS(1884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1888),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [128] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_RBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [129] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(432),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4089),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7205),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [130] = {
    [sym_attribute_declaration] = STATE(130),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(505),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(130),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [sym_primitive_type] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1991),
    [anon_sym_switch] = ACTIONS(1994),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2003),
    [anon_sym_do] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2009),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_break] = ACTIONS(2015),
    [anon_sym_continue] = ACTIONS(2018),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym___try] = ACTIONS(2024),
    [anon_sym___leave] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2033),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2039),
    [anon_sym__Generic] = ACTIONS(2042),
    [anon_sym_asm] = ACTIONS(2045),
    [anon_sym___asm__] = ACTIONS(2045),
    [sym_number_literal] = ACTIONS(2048),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2054),
    [anon_sym_u_DQUOTE] = ACTIONS(2054),
    [anon_sym_U_DQUOTE] = ACTIONS(2054),
    [anon_sym_u8_DQUOTE] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [anon_sym_NULL] = ACTIONS(2060),
    [anon_sym_nullptr] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2063),
    [anon_sym_template] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_co_return] = ACTIONS(2078),
    [anon_sym_co_yield] = ACTIONS(2081),
    [anon_sym_R_DQUOTE] = ACTIONS(2084),
    [anon_sym_LR_DQUOTE] = ACTIONS(2084),
    [anon_sym_uR_DQUOTE] = ACTIONS(2084),
    [anon_sym_UR_DQUOTE] = ACTIONS(2084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2084),
    [anon_sym_co_await] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2057),
  },
  [131] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(838),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [132] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(476),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [133] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(256),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [134] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(460),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [135] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(432),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [136] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(253),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [137] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(6878),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [138] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(475),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [139] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(435),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [140] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(460),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [141] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(813),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [142] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [143] = {
    [sym_expression] = STATE(2989),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_initializer_list] = STATE(3164),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1886),
    [sym_this] = ACTIONS(1784),
  },
  [144] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(418),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [145] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(405),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [146] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(398),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [147] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(223),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [148] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(485),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [149] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(446),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [150] = {
    [sym_attribute_declaration] = STATE(163),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(389),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [151] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(247),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [152] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(833),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [153] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(388),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [154] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(387),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [155] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(408),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [156] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(842),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [157] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(476),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [158] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(7771),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(188),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(402),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(188),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(485),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(481),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(130),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(505),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(130),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(231),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(234),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(475),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(228),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(168),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(408),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(168),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [sym_primitive_type] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2139),
    [anon_sym_default] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_for] = ACTIONS(2151),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_goto] = ACTIONS(2163),
    [anon_sym___try] = ACTIONS(2166),
    [anon_sym___leave] = ACTIONS(2169),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2033),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2039),
    [anon_sym__Generic] = ACTIONS(2042),
    [anon_sym_asm] = ACTIONS(2045),
    [anon_sym___asm__] = ACTIONS(2045),
    [sym_number_literal] = ACTIONS(2048),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2054),
    [anon_sym_u_DQUOTE] = ACTIONS(2054),
    [anon_sym_U_DQUOTE] = ACTIONS(2054),
    [anon_sym_u8_DQUOTE] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [anon_sym_NULL] = ACTIONS(2060),
    [anon_sym_nullptr] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2063),
    [anon_sym_template] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2172),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2175),
    [anon_sym_co_return] = ACTIONS(2178),
    [anon_sym_co_yield] = ACTIONS(2181),
    [anon_sym_R_DQUOTE] = ACTIONS(2084),
    [anon_sym_LR_DQUOTE] = ACTIONS(2084),
    [anon_sym_uR_DQUOTE] = ACTIONS(2084),
    [anon_sym_UR_DQUOTE] = ACTIONS(2084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2084),
    [anon_sym_co_await] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2057),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(7982),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(7961),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(828),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [sym_primitive_type] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2196),
    [anon_sym_case] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2211),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_goto] = ACTIONS(2223),
    [anon_sym___try] = ACTIONS(2226),
    [anon_sym___leave] = ACTIONS(2229),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2033),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2039),
    [anon_sym__Generic] = ACTIONS(2042),
    [anon_sym_asm] = ACTIONS(2045),
    [anon_sym___asm__] = ACTIONS(2045),
    [sym_number_literal] = ACTIONS(2048),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2054),
    [anon_sym_u_DQUOTE] = ACTIONS(2054),
    [anon_sym_U_DQUOTE] = ACTIONS(2054),
    [anon_sym_u8_DQUOTE] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [anon_sym_NULL] = ACTIONS(2060),
    [anon_sym_nullptr] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2063),
    [anon_sym_template] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2232),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_co_return] = ACTIONS(2238),
    [anon_sym_co_yield] = ACTIONS(2241),
    [anon_sym_R_DQUOTE] = ACTIONS(2084),
    [anon_sym_LR_DQUOTE] = ACTIONS(2084),
    [anon_sym_uR_DQUOTE] = ACTIONS(2084),
    [anon_sym_UR_DQUOTE] = ACTIONS(2084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2084),
    [anon_sym_co_await] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2057),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(7935),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(814),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(241),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(469),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(828),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(840),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(6849),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_statement] = STATE(256),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8108),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [sym_primitive_type] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2256),
    [anon_sym_case] = ACTIONS(2259),
    [anon_sym_default] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2271),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_goto] = ACTIONS(2283),
    [anon_sym___try] = ACTIONS(2286),
    [anon_sym___leave] = ACTIONS(2289),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2033),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2039),
    [anon_sym__Generic] = ACTIONS(2042),
    [anon_sym_asm] = ACTIONS(2045),
    [anon_sym___asm__] = ACTIONS(2045),
    [sym_number_literal] = ACTIONS(2048),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2054),
    [anon_sym_u_DQUOTE] = ACTIONS(2054),
    [anon_sym_U_DQUOTE] = ACTIONS(2054),
    [anon_sym_u8_DQUOTE] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [anon_sym_NULL] = ACTIONS(2060),
    [anon_sym_nullptr] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2063),
    [anon_sym_template] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2295),
    [anon_sym_co_return] = ACTIONS(2298),
    [anon_sym_co_yield] = ACTIONS(2301),
    [anon_sym_R_DQUOTE] = ACTIONS(2084),
    [anon_sym_LR_DQUOTE] = ACTIONS(2084),
    [anon_sym_uR_DQUOTE] = ACTIONS(2084),
    [anon_sym_UR_DQUOTE] = ACTIONS(2084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2084),
    [anon_sym_co_await] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2057),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(469),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2304),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(2307),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [sym_primitive_type] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(2313),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2319),
    [anon_sym_default] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2325),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2331),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2337),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2343),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(2349),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2033),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2039),
    [anon_sym__Generic] = ACTIONS(2042),
    [anon_sym_asm] = ACTIONS(2045),
    [anon_sym___asm__] = ACTIONS(2045),
    [sym_number_literal] = ACTIONS(2048),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2054),
    [anon_sym_u_DQUOTE] = ACTIONS(2054),
    [anon_sym_U_DQUOTE] = ACTIONS(2054),
    [anon_sym_u8_DQUOTE] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [anon_sym_NULL] = ACTIONS(2060),
    [anon_sym_nullptr] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2063),
    [anon_sym_template] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2355),
    [anon_sym_co_return] = ACTIONS(2358),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2084),
    [anon_sym_LR_DQUOTE] = ACTIONS(2084),
    [anon_sym_uR_DQUOTE] = ACTIONS(2084),
    [anon_sym_UR_DQUOTE] = ACTIONS(2084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2084),
    [anon_sym_co_await] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2057),
  },
  [181] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym___attribute__] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(477),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(7409),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2102),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2110),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(488),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(845),
    [sym_attributed_statement] = STATE(845),
    [sym_statement] = STATE(834),
    [sym_labeled_statement] = STATE(845),
    [sym_expression_statement] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_case_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_return_statement] = STATE(845),
    [sym_break_statement] = STATE(845),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(845),
    [sym_seh_try_statement] = STATE(845),
    [sym_seh_leave_statement] = STATE(845),
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7506),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(845),
    [sym_co_return_statement] = STATE(845),
    [sym_co_yield_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(406),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(457),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(180),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_statement] = STATE(469),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7483),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1490),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(155),
    [sym_compound_statement] = STATE(458),
    [sym_attributed_statement] = STATE(458),
    [sym_statement] = STATE(397),
    [sym_labeled_statement] = STATE(458),
    [sym_expression_statement] = STATE(458),
    [sym_if_statement] = STATE(458),
    [sym_switch_statement] = STATE(458),
    [sym_case_statement] = STATE(458),
    [sym_while_statement] = STATE(458),
    [sym_do_statement] = STATE(458),
    [sym_for_statement] = STATE(458),
    [sym_return_statement] = STATE(458),
    [sym_break_statement] = STATE(458),
    [sym_continue_statement] = STATE(458),
    [sym_goto_statement] = STATE(458),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(458),
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7684),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(458),
    [sym_co_return_statement] = STATE(458),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(458),
    [sym_try_statement] = STATE(458),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(155),
    [sym_identifier] = ACTIONS(2122),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(766),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(770),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(774),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_goto] = ACTIONS(778),
    [anon_sym___try] = ACTIONS(780),
    [anon_sym___leave] = ACTIONS(782),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(786),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_co_return] = ACTIONS(798),
    [anon_sym_co_yield] = ACTIONS(800),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(462),
    [sym_attributed_statement] = STATE(462),
    [sym_statement] = STATE(469),
    [sym_labeled_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_switch_statement] = STATE(462),
    [sym_case_statement] = STATE(462),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_seh_try_statement] = STATE(462),
    [sym_seh_leave_statement] = STATE(462),
    [sym_expression] = STATE(4267),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7533),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_for_range_loop] = STATE(462),
    [sym_co_return_statement] = STATE(462),
    [sym_co_yield_statement] = STATE(462),
    [sym_throw_statement] = STATE(462),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2386),
    [anon_sym_LPAREN2] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1967),
    [anon_sym_PLUS] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_SEMI] = ACTIONS(1973),
    [anon_sym_COLON_COLON] = ACTIONS(1976),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [sym_primitive_type] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2199),
    [anon_sym_default] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2392),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2395),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2337),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2343),
    [anon_sym___try] = ACTIONS(2398),
    [anon_sym___leave] = ACTIONS(2027),
    [anon_sym_not] = ACTIONS(1967),
    [anon_sym_compl] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(2030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2030),
    [anon_sym_sizeof] = ACTIONS(2033),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2039),
    [anon_sym__Generic] = ACTIONS(2042),
    [anon_sym_asm] = ACTIONS(2045),
    [anon_sym___asm__] = ACTIONS(2045),
    [sym_number_literal] = ACTIONS(2048),
    [anon_sym_L_SQUOTE] = ACTIONS(2051),
    [anon_sym_u_SQUOTE] = ACTIONS(2051),
    [anon_sym_U_SQUOTE] = ACTIONS(2051),
    [anon_sym_u8_SQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_L_DQUOTE] = ACTIONS(2054),
    [anon_sym_u_DQUOTE] = ACTIONS(2054),
    [anon_sym_U_DQUOTE] = ACTIONS(2054),
    [anon_sym_u8_DQUOTE] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [anon_sym_NULL] = ACTIONS(2060),
    [anon_sym_nullptr] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2063),
    [anon_sym_template] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_throw] = ACTIONS(2355),
    [anon_sym_co_return] = ACTIONS(2358),
    [anon_sym_co_yield] = ACTIONS(2361),
    [anon_sym_R_DQUOTE] = ACTIONS(2084),
    [anon_sym_LR_DQUOTE] = ACTIONS(2084),
    [anon_sym_uR_DQUOTE] = ACTIONS(2084),
    [anon_sym_UR_DQUOTE] = ACTIONS(2084),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2084),
    [anon_sym_co_await] = ACTIONS(2087),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_requires] = ACTIONS(2093),
    [sym_this] = ACTIONS(2057),
  },
  [191] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7932),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [192] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7595),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [193] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2721),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(8107),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7578),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7500),
    [sym__unary_right_fold] = STATE(7501),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [194] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2721),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(8107),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7847),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7848),
    [sym__unary_right_fold] = STATE(7851),
    [sym__binary_fold] = STATE(7865),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [195] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7723),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [196] = {
    [sym_catch_clause] = STATE(196),
    [aux_sym_constructor_try_statement_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [aux_sym_preproc_else_token1] = ACTIONS(2407),
    [aux_sym_preproc_elif_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2411),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [197] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8165),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [198] = {
    [sym_expression] = STATE(3041),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_initializer_list] = STATE(3351),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1884),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [199] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7624),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [200] = {
    [sym_expression] = STATE(3097),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_COLON] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [201] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7760),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [202] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2721),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(8107),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7499),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7500),
    [sym__unary_right_fold] = STATE(7501),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [203] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2754),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7520),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7561),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7470),
    [sym__unary_right_fold] = STATE(7467),
    [sym__binary_fold] = STATE(7473),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7474),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [204] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8097),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [205] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8234),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [206] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2754),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7520),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7531),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7768),
    [sym__unary_right_fold] = STATE(7764),
    [sym__binary_fold] = STATE(7763),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7474),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [207] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7745),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [208] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8189),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [209] = {
    [sym_catch_clause] = STATE(196),
    [aux_sym_constructor_try_statement_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [aux_sym_preproc_else_token1] = ACTIONS(2468),
    [aux_sym_preproc_elif_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
  },
  [210] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2754),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7520),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7769),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7768),
    [sym__unary_right_fold] = STATE(7764),
    [sym__binary_fold] = STATE(7763),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7474),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [211] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7945),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [212] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7969),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [213] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8103),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [214] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7940),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [215] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7404),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [216] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2721),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(8107),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(8137),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7848),
    [sym__unary_right_fold] = STATE(7851),
    [sym__binary_fold] = STATE(7865),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(8145),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [217] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7795),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [218] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7903),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [219] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7555),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [220] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(2754),
    [sym__string] = STATE(3341),
    [sym_comma_expression] = STATE(7520),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_type_descriptor] = STATE(7469),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7305),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym__unary_left_fold] = STATE(7470),
    [sym__unary_right_fold] = STATE(7467),
    [sym__binary_fold] = STATE(7473),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5334),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym__assignment_expression_lhs] = STATE(7474),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [221] = {
    [sym_catch_clause] = STATE(196),
    [aux_sym_constructor_try_statement_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [222] = {
    [sym_catch_clause] = STATE(196),
    [aux_sym_constructor_try_statement_repeat1] = STATE(196),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2472),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [223] = {
    [sym_else_clause] = STATE(260),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [aux_sym_preproc_else_token1] = ACTIONS(2482),
    [aux_sym_preproc_elif_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [aux_sym_preproc_else_token1] = ACTIONS(1882),
    [aux_sym_preproc_elif_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [225] = {
    [sym_expression] = STATE(3389),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_initializer_list] = STATE(3633),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1814),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1886),
    [sym_this] = ACTIONS(1848),
  },
  [226] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [aux_sym_preproc_else_token1] = ACTIONS(2494),
    [aux_sym_preproc_elif_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [228] = {
    [sym_else_clause] = STATE(255),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [aux_sym_preproc_else_token1] = ACTIONS(2498),
    [aux_sym_preproc_elif_token1] = ACTIONS(2498),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [241] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [aux_sym_preproc_else_token1] = ACTIONS(2572),
    [aux_sym_preproc_elif_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [aux_sym_preproc_else_token1] = ACTIONS(2584),
    [aux_sym_preproc_elif_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [aux_sym_preproc_else_token1] = ACTIONS(2588),
    [aux_sym_preproc_elif_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [aux_sym_preproc_else_token1] = ACTIONS(2592),
    [aux_sym_preproc_elif_token1] = ACTIONS(2592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [aux_sym_preproc_else_token1] = ACTIONS(2596),
    [aux_sym_preproc_elif_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [aux_sym_preproc_else_token1] = ACTIONS(2612),
    [aux_sym_preproc_elif_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token2] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [aux_sym_preproc_else_token1] = ACTIONS(2616),
    [aux_sym_preproc_elif_token1] = ACTIONS(2616),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token2] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [aux_sym_preproc_else_token1] = ACTIONS(2620),
    [aux_sym_preproc_elif_token1] = ACTIONS(2620),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token2] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [aux_sym_preproc_else_token1] = ACTIONS(2624),
    [aux_sym_preproc_elif_token1] = ACTIONS(2624),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [aux_sym_preproc_else_token1] = ACTIONS(2628),
    [aux_sym_preproc_elif_token1] = ACTIONS(2628),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token2] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [aux_sym_preproc_else_token1] = ACTIONS(2632),
    [aux_sym_preproc_elif_token1] = ACTIONS(2632),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token2] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [aux_sym_preproc_else_token1] = ACTIONS(2636),
    [aux_sym_preproc_elif_token1] = ACTIONS(2636),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [aux_sym_preproc_else_token1] = ACTIONS(2612),
    [aux_sym_preproc_elif_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token2] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [aux_sym_preproc_else_token1] = ACTIONS(2640),
    [aux_sym_preproc_elif_token1] = ACTIONS(2640),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [aux_sym_preproc_else_token1] = ACTIONS(2644),
    [aux_sym_preproc_elif_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2644),
    [anon_sym___leave] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [aux_sym_preproc_else_token1] = ACTIONS(2648),
    [aux_sym_preproc_elif_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token2] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [aux_sym_preproc_else_token1] = ACTIONS(2652),
    [aux_sym_preproc_elif_token1] = ACTIONS(2652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token2] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [aux_sym_preproc_else_token1] = ACTIONS(2656),
    [aux_sym_preproc_elif_token1] = ACTIONS(2656),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2656),
    [anon_sym___leave] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token2] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [aux_sym_preproc_else_token1] = ACTIONS(2660),
    [aux_sym_preproc_elif_token1] = ACTIONS(2660),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [aux_sym_preproc_else_token1] = ACTIONS(2664),
    [aux_sym_preproc_elif_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [aux_sym_preproc_else_token1] = ACTIONS(2672),
    [aux_sym_preproc_elif_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [275] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4115),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6581),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6762),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [279] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4080),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6401),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6924),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [aux_sym_preproc_else_token1] = ACTIONS(2754),
    [aux_sym_preproc_elif_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [aux_sym_preproc_else_token1] = ACTIONS(2758),
    [aux_sym_preproc_elif_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [283] = {
    [sym_catch_clause] = STATE(286),
    [aux_sym_constructor_try_statement_repeat1] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(2470),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
  },
  [284] = {
    [sym_catch_clause] = STATE(284),
    [aux_sym_constructor_try_statement_repeat1] = STATE(284),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2764),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [aux_sym_preproc_else_token1] = ACTIONS(2767),
    [aux_sym_preproc_elif_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym___try] = ACTIONS(2767),
    [anon_sym___leave] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [286] = {
    [sym_catch_clause] = STATE(286),
    [aux_sym_constructor_try_statement_repeat1] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(2409),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [288] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4098),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6622),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6692),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token2] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [aux_sym_preproc_else_token1] = ACTIONS(2780),
    [aux_sym_preproc_elif_token1] = ACTIONS(2780),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_include_token1] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token2] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [aux_sym_preproc_else_token1] = ACTIONS(2784),
    [aux_sym_preproc_elif_token1] = ACTIONS(2784),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym___cdecl] = ACTIONS(2784),
    [anon_sym___clrcall] = ACTIONS(2784),
    [anon_sym___stdcall] = ACTIONS(2784),
    [anon_sym___fastcall] = ACTIONS(2784),
    [anon_sym___thiscall] = ACTIONS(2784),
    [anon_sym___vectorcall] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2784),
    [anon_sym_case] = ACTIONS(2784),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_while] = ACTIONS(2784),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2784),
    [anon_sym_break] = ACTIONS(2784),
    [anon_sym_continue] = ACTIONS(2784),
    [anon_sym_goto] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2784),
    [anon_sym___leave] = ACTIONS(2784),
    [anon_sym_not] = ACTIONS(2784),
    [anon_sym_compl] = ACTIONS(2784),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_sizeof] = ACTIONS(2784),
    [anon_sym___alignof__] = ACTIONS(2784),
    [anon_sym___alignof] = ACTIONS(2784),
    [anon_sym__alignof] = ACTIONS(2784),
    [anon_sym_alignof] = ACTIONS(2784),
    [anon_sym__Alignof] = ACTIONS(2784),
    [anon_sym_offsetof] = ACTIONS(2784),
    [anon_sym__Generic] = ACTIONS(2784),
    [anon_sym_asm] = ACTIONS(2784),
    [anon_sym___asm__] = ACTIONS(2784),
    [sym_number_literal] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2786),
    [anon_sym_u_SQUOTE] = ACTIONS(2786),
    [anon_sym_U_SQUOTE] = ACTIONS(2786),
    [anon_sym_u8_SQUOTE] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2786),
    [anon_sym_L_DQUOTE] = ACTIONS(2786),
    [anon_sym_u_DQUOTE] = ACTIONS(2786),
    [anon_sym_U_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8_DQUOTE] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [sym_true] = ACTIONS(2784),
    [sym_false] = ACTIONS(2784),
    [anon_sym_NULL] = ACTIONS(2784),
    [anon_sym_nullptr] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2784),
    [anon_sym_delete] = ACTIONS(2784),
    [anon_sym_throw] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
    [anon_sym_concept] = ACTIONS(2784),
    [anon_sym_co_return] = ACTIONS(2784),
    [anon_sym_co_yield] = ACTIONS(2784),
    [anon_sym_R_DQUOTE] = ACTIONS(2786),
    [anon_sym_LR_DQUOTE] = ACTIONS(2786),
    [anon_sym_uR_DQUOTE] = ACTIONS(2786),
    [anon_sym_UR_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2786),
    [anon_sym_co_await] = ACTIONS(2784),
    [anon_sym_new] = ACTIONS(2784),
    [anon_sym_requires] = ACTIONS(2784),
    [sym_this] = ACTIONS(2784),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_include_token1] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token2] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [aux_sym_preproc_else_token1] = ACTIONS(2788),
    [aux_sym_preproc_elif_token1] = ACTIONS(2788),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym___cdecl] = ACTIONS(2788),
    [anon_sym___clrcall] = ACTIONS(2788),
    [anon_sym___stdcall] = ACTIONS(2788),
    [anon_sym___fastcall] = ACTIONS(2788),
    [anon_sym___thiscall] = ACTIONS(2788),
    [anon_sym___vectorcall] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [anon_sym_default] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(2788),
    [anon_sym_do] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2788),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_break] = ACTIONS(2788),
    [anon_sym_continue] = ACTIONS(2788),
    [anon_sym_goto] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2788),
    [anon_sym___leave] = ACTIONS(2788),
    [anon_sym_not] = ACTIONS(2788),
    [anon_sym_compl] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_sizeof] = ACTIONS(2788),
    [anon_sym___alignof__] = ACTIONS(2788),
    [anon_sym___alignof] = ACTIONS(2788),
    [anon_sym__alignof] = ACTIONS(2788),
    [anon_sym_alignof] = ACTIONS(2788),
    [anon_sym__Alignof] = ACTIONS(2788),
    [anon_sym_offsetof] = ACTIONS(2788),
    [anon_sym__Generic] = ACTIONS(2788),
    [anon_sym_asm] = ACTIONS(2788),
    [anon_sym___asm__] = ACTIONS(2788),
    [sym_number_literal] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2790),
    [anon_sym_u_SQUOTE] = ACTIONS(2790),
    [anon_sym_U_SQUOTE] = ACTIONS(2790),
    [anon_sym_u8_SQUOTE] = ACTIONS(2790),
    [anon_sym_SQUOTE] = ACTIONS(2790),
    [anon_sym_L_DQUOTE] = ACTIONS(2790),
    [anon_sym_u_DQUOTE] = ACTIONS(2790),
    [anon_sym_U_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8_DQUOTE] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [sym_true] = ACTIONS(2788),
    [sym_false] = ACTIONS(2788),
    [anon_sym_NULL] = ACTIONS(2788),
    [anon_sym_nullptr] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2788),
    [anon_sym_delete] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2788),
    [anon_sym_namespace] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
    [anon_sym_concept] = ACTIONS(2788),
    [anon_sym_co_return] = ACTIONS(2788),
    [anon_sym_co_yield] = ACTIONS(2788),
    [anon_sym_R_DQUOTE] = ACTIONS(2790),
    [anon_sym_LR_DQUOTE] = ACTIONS(2790),
    [anon_sym_uR_DQUOTE] = ACTIONS(2790),
    [anon_sym_UR_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2790),
    [anon_sym_co_await] = ACTIONS(2788),
    [anon_sym_new] = ACTIONS(2788),
    [anon_sym_requires] = ACTIONS(2788),
    [sym_this] = ACTIONS(2788),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_include_token1] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token2] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [aux_sym_preproc_else_token1] = ACTIONS(2792),
    [aux_sym_preproc_elif_token1] = ACTIONS(2792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym___cdecl] = ACTIONS(2792),
    [anon_sym___clrcall] = ACTIONS(2792),
    [anon_sym___stdcall] = ACTIONS(2792),
    [anon_sym___fastcall] = ACTIONS(2792),
    [anon_sym___thiscall] = ACTIONS(2792),
    [anon_sym___vectorcall] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2792),
    [anon_sym_case] = ACTIONS(2792),
    [anon_sym_default] = ACTIONS(2792),
    [anon_sym_while] = ACTIONS(2792),
    [anon_sym_do] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2792),
    [anon_sym_return] = ACTIONS(2792),
    [anon_sym_break] = ACTIONS(2792),
    [anon_sym_continue] = ACTIONS(2792),
    [anon_sym_goto] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2792),
    [anon_sym___leave] = ACTIONS(2792),
    [anon_sym_not] = ACTIONS(2792),
    [anon_sym_compl] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_sizeof] = ACTIONS(2792),
    [anon_sym___alignof__] = ACTIONS(2792),
    [anon_sym___alignof] = ACTIONS(2792),
    [anon_sym__alignof] = ACTIONS(2792),
    [anon_sym_alignof] = ACTIONS(2792),
    [anon_sym__Alignof] = ACTIONS(2792),
    [anon_sym_offsetof] = ACTIONS(2792),
    [anon_sym__Generic] = ACTIONS(2792),
    [anon_sym_asm] = ACTIONS(2792),
    [anon_sym___asm__] = ACTIONS(2792),
    [sym_number_literal] = ACTIONS(2794),
    [anon_sym_L_SQUOTE] = ACTIONS(2794),
    [anon_sym_u_SQUOTE] = ACTIONS(2794),
    [anon_sym_U_SQUOTE] = ACTIONS(2794),
    [anon_sym_u8_SQUOTE] = ACTIONS(2794),
    [anon_sym_SQUOTE] = ACTIONS(2794),
    [anon_sym_L_DQUOTE] = ACTIONS(2794),
    [anon_sym_u_DQUOTE] = ACTIONS(2794),
    [anon_sym_U_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8_DQUOTE] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [sym_true] = ACTIONS(2792),
    [sym_false] = ACTIONS(2792),
    [anon_sym_NULL] = ACTIONS(2792),
    [anon_sym_nullptr] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2792),
    [anon_sym_throw] = ACTIONS(2792),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
    [anon_sym_concept] = ACTIONS(2792),
    [anon_sym_co_return] = ACTIONS(2792),
    [anon_sym_co_yield] = ACTIONS(2792),
    [anon_sym_R_DQUOTE] = ACTIONS(2794),
    [anon_sym_LR_DQUOTE] = ACTIONS(2794),
    [anon_sym_uR_DQUOTE] = ACTIONS(2794),
    [anon_sym_UR_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2794),
    [anon_sym_co_await] = ACTIONS(2792),
    [anon_sym_new] = ACTIONS(2792),
    [anon_sym_requires] = ACTIONS(2792),
    [sym_this] = ACTIONS(2792),
  },
  [293] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4063),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6420),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6847),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2796),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [aux_sym_preproc_else_token1] = ACTIONS(2802),
    [aux_sym_preproc_elif_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [299] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4087),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6390),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6895),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [aux_sym_preproc_else_token1] = ACTIONS(2822),
    [aux_sym_preproc_elif_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [aux_sym_preproc_else_token1] = ACTIONS(2826),
    [aux_sym_preproc_elif_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [302] = {
    [sym_catch_clause] = STATE(324),
    [aux_sym_constructor_try_statement_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [sym_virtual] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [aux_sym_preproc_else_token1] = ACTIONS(2836),
    [aux_sym_preproc_elif_token1] = ACTIONS(2836),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym___leave] = ACTIONS(2836),
    [anon_sym_not] = ACTIONS(2836),
    [anon_sym_compl] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_try] = ACTIONS(2836),
    [anon_sym_delete] = ACTIONS(2836),
    [anon_sym_throw] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
    [anon_sym_concept] = ACTIONS(2836),
    [anon_sym_co_return] = ACTIONS(2836),
    [anon_sym_co_yield] = ACTIONS(2836),
    [anon_sym_R_DQUOTE] = ACTIONS(2838),
    [anon_sym_LR_DQUOTE] = ACTIONS(2838),
    [anon_sym_uR_DQUOTE] = ACTIONS(2838),
    [anon_sym_UR_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2838),
    [anon_sym_co_await] = ACTIONS(2836),
    [anon_sym_new] = ACTIONS(2836),
    [anon_sym_requires] = ACTIONS(2836),
    [sym_this] = ACTIONS(2836),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [sym_virtual] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [307] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6594),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6719),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [aux_sym_preproc_else_token1] = ACTIONS(2854),
    [aux_sym_preproc_elif_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token2] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [aux_sym_preproc_else_token1] = ACTIONS(2862),
    [aux_sym_preproc_elif_token1] = ACTIONS(2862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [sym_virtual] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [312] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4162),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6549),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6826),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym___leave] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [314] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4053),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6587),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6832),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2872),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_include_token1] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token2] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [aux_sym_preproc_else_token1] = ACTIONS(2874),
    [aux_sym_preproc_elif_token1] = ACTIONS(2874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2876),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym___cdecl] = ACTIONS(2874),
    [anon_sym___clrcall] = ACTIONS(2874),
    [anon_sym___stdcall] = ACTIONS(2874),
    [anon_sym___fastcall] = ACTIONS(2874),
    [anon_sym___thiscall] = ACTIONS(2874),
    [anon_sym___vectorcall] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [anon_sym_if] = ACTIONS(2874),
    [anon_sym_switch] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_default] = ACTIONS(2874),
    [anon_sym_while] = ACTIONS(2874),
    [anon_sym_do] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2874),
    [anon_sym_return] = ACTIONS(2874),
    [anon_sym_break] = ACTIONS(2874),
    [anon_sym_continue] = ACTIONS(2874),
    [anon_sym_goto] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2874),
    [anon_sym___leave] = ACTIONS(2874),
    [anon_sym_not] = ACTIONS(2874),
    [anon_sym_compl] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_sizeof] = ACTIONS(2874),
    [anon_sym___alignof__] = ACTIONS(2874),
    [anon_sym___alignof] = ACTIONS(2874),
    [anon_sym__alignof] = ACTIONS(2874),
    [anon_sym_alignof] = ACTIONS(2874),
    [anon_sym__Alignof] = ACTIONS(2874),
    [anon_sym_offsetof] = ACTIONS(2874),
    [anon_sym__Generic] = ACTIONS(2874),
    [anon_sym_asm] = ACTIONS(2874),
    [anon_sym___asm__] = ACTIONS(2874),
    [sym_number_literal] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2876),
    [anon_sym_u_SQUOTE] = ACTIONS(2876),
    [anon_sym_U_SQUOTE] = ACTIONS(2876),
    [anon_sym_u8_SQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [anon_sym_L_DQUOTE] = ACTIONS(2876),
    [anon_sym_u_DQUOTE] = ACTIONS(2876),
    [anon_sym_U_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2874),
    [anon_sym_nullptr] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_try] = ACTIONS(2874),
    [anon_sym_delete] = ACTIONS(2874),
    [anon_sym_throw] = ACTIONS(2874),
    [anon_sym_namespace] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
    [anon_sym_concept] = ACTIONS(2874),
    [anon_sym_co_return] = ACTIONS(2874),
    [anon_sym_co_yield] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2876),
    [anon_sym_LR_DQUOTE] = ACTIONS(2876),
    [anon_sym_uR_DQUOTE] = ACTIONS(2876),
    [anon_sym_UR_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2876),
    [anon_sym_co_await] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_requires] = ACTIONS(2874),
    [sym_this] = ACTIONS(2874),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2878),
    [aux_sym_preproc_include_token1] = ACTIONS(2878),
    [aux_sym_preproc_def_token1] = ACTIONS(2878),
    [aux_sym_preproc_if_token1] = ACTIONS(2878),
    [aux_sym_preproc_if_token2] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2878),
    [aux_sym_preproc_else_token1] = ACTIONS(2878),
    [aux_sym_preproc_elif_token1] = ACTIONS(2878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2878),
    [sym_preproc_directive] = ACTIONS(2878),
    [anon_sym_LPAREN2] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_SEMI] = ACTIONS(2880),
    [anon_sym___extension__] = ACTIONS(2878),
    [anon_sym_typedef] = ACTIONS(2878),
    [anon_sym_extern] = ACTIONS(2878),
    [anon_sym___attribute__] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2880),
    [anon_sym___declspec] = ACTIONS(2878),
    [anon_sym___based] = ACTIONS(2878),
    [anon_sym___cdecl] = ACTIONS(2878),
    [anon_sym___clrcall] = ACTIONS(2878),
    [anon_sym___stdcall] = ACTIONS(2878),
    [anon_sym___fastcall] = ACTIONS(2878),
    [anon_sym___thiscall] = ACTIONS(2878),
    [anon_sym___vectorcall] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2878),
    [anon_sym_unsigned] = ACTIONS(2878),
    [anon_sym_long] = ACTIONS(2878),
    [anon_sym_short] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_register] = ACTIONS(2878),
    [anon_sym_inline] = ACTIONS(2878),
    [anon_sym___inline] = ACTIONS(2878),
    [anon_sym___inline__] = ACTIONS(2878),
    [anon_sym___forceinline] = ACTIONS(2878),
    [anon_sym_thread_local] = ACTIONS(2878),
    [anon_sym___thread] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_constexpr] = ACTIONS(2878),
    [anon_sym_volatile] = ACTIONS(2878),
    [anon_sym_restrict] = ACTIONS(2878),
    [anon_sym___restrict__] = ACTIONS(2878),
    [anon_sym__Atomic] = ACTIONS(2878),
    [anon_sym__Noreturn] = ACTIONS(2878),
    [anon_sym_noreturn] = ACTIONS(2878),
    [anon_sym_mutable] = ACTIONS(2878),
    [anon_sym_constinit] = ACTIONS(2878),
    [anon_sym_consteval] = ACTIONS(2878),
    [anon_sym_alignas] = ACTIONS(2878),
    [anon_sym__Alignas] = ACTIONS(2878),
    [sym_primitive_type] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_union] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_goto] = ACTIONS(2878),
    [anon_sym___try] = ACTIONS(2878),
    [anon_sym___leave] = ACTIONS(2878),
    [anon_sym_not] = ACTIONS(2878),
    [anon_sym_compl] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2880),
    [anon_sym_sizeof] = ACTIONS(2878),
    [anon_sym___alignof__] = ACTIONS(2878),
    [anon_sym___alignof] = ACTIONS(2878),
    [anon_sym__alignof] = ACTIONS(2878),
    [anon_sym_alignof] = ACTIONS(2878),
    [anon_sym__Alignof] = ACTIONS(2878),
    [anon_sym_offsetof] = ACTIONS(2878),
    [anon_sym__Generic] = ACTIONS(2878),
    [anon_sym_asm] = ACTIONS(2878),
    [anon_sym___asm__] = ACTIONS(2878),
    [sym_number_literal] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2880),
    [anon_sym_u_SQUOTE] = ACTIONS(2880),
    [anon_sym_U_SQUOTE] = ACTIONS(2880),
    [anon_sym_u8_SQUOTE] = ACTIONS(2880),
    [anon_sym_SQUOTE] = ACTIONS(2880),
    [anon_sym_L_DQUOTE] = ACTIONS(2880),
    [anon_sym_u_DQUOTE] = ACTIONS(2880),
    [anon_sym_U_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [anon_sym_NULL] = ACTIONS(2878),
    [anon_sym_nullptr] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2878),
    [sym_virtual] = ACTIONS(2878),
    [anon_sym_explicit] = ACTIONS(2878),
    [anon_sym_typename] = ACTIONS(2878),
    [anon_sym_template] = ACTIONS(2878),
    [anon_sym_operator] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_using] = ACTIONS(2878),
    [anon_sym_static_assert] = ACTIONS(2878),
    [anon_sym_concept] = ACTIONS(2878),
    [anon_sym_co_return] = ACTIONS(2878),
    [anon_sym_co_yield] = ACTIONS(2878),
    [anon_sym_R_DQUOTE] = ACTIONS(2880),
    [anon_sym_LR_DQUOTE] = ACTIONS(2880),
    [anon_sym_uR_DQUOTE] = ACTIONS(2880),
    [anon_sym_UR_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2880),
    [anon_sym_co_await] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_requires] = ACTIONS(2878),
    [sym_this] = ACTIONS(2878),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_include_token1] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token2] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [aux_sym_preproc_else_token1] = ACTIONS(2882),
    [aux_sym_preproc_elif_token1] = ACTIONS(2882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_BANG] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_SEMI] = ACTIONS(2884),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym___cdecl] = ACTIONS(2882),
    [anon_sym___clrcall] = ACTIONS(2882),
    [anon_sym___stdcall] = ACTIONS(2882),
    [anon_sym___fastcall] = ACTIONS(2882),
    [anon_sym___thiscall] = ACTIONS(2882),
    [anon_sym___vectorcall] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2882),
    [anon_sym_switch] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_default] = ACTIONS(2882),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_do] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2882),
    [anon_sym_return] = ACTIONS(2882),
    [anon_sym_break] = ACTIONS(2882),
    [anon_sym_continue] = ACTIONS(2882),
    [anon_sym_goto] = ACTIONS(2882),
    [anon_sym___try] = ACTIONS(2882),
    [anon_sym___leave] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2882),
    [anon_sym_compl] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2884),
    [anon_sym_sizeof] = ACTIONS(2882),
    [anon_sym___alignof__] = ACTIONS(2882),
    [anon_sym___alignof] = ACTIONS(2882),
    [anon_sym__alignof] = ACTIONS(2882),
    [anon_sym_alignof] = ACTIONS(2882),
    [anon_sym__Alignof] = ACTIONS(2882),
    [anon_sym_offsetof] = ACTIONS(2882),
    [anon_sym__Generic] = ACTIONS(2882),
    [anon_sym_asm] = ACTIONS(2882),
    [anon_sym___asm__] = ACTIONS(2882),
    [sym_number_literal] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2884),
    [anon_sym_u_SQUOTE] = ACTIONS(2884),
    [anon_sym_U_SQUOTE] = ACTIONS(2884),
    [anon_sym_u8_SQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [anon_sym_L_DQUOTE] = ACTIONS(2884),
    [anon_sym_u_DQUOTE] = ACTIONS(2884),
    [anon_sym_U_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_NULL] = ACTIONS(2882),
    [anon_sym_nullptr] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_try] = ACTIONS(2882),
    [anon_sym_delete] = ACTIONS(2882),
    [anon_sym_throw] = ACTIONS(2882),
    [anon_sym_namespace] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
    [anon_sym_concept] = ACTIONS(2882),
    [anon_sym_co_return] = ACTIONS(2882),
    [anon_sym_co_yield] = ACTIONS(2882),
    [anon_sym_R_DQUOTE] = ACTIONS(2884),
    [anon_sym_LR_DQUOTE] = ACTIONS(2884),
    [anon_sym_uR_DQUOTE] = ACTIONS(2884),
    [anon_sym_UR_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2884),
    [anon_sym_co_await] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_requires] = ACTIONS(2882),
    [sym_this] = ACTIONS(2882),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2886),
    [aux_sym_preproc_include_token1] = ACTIONS(2886),
    [aux_sym_preproc_def_token1] = ACTIONS(2886),
    [aux_sym_preproc_if_token1] = ACTIONS(2886),
    [aux_sym_preproc_if_token2] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2886),
    [aux_sym_preproc_else_token1] = ACTIONS(2886),
    [aux_sym_preproc_elif_token1] = ACTIONS(2886),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2886),
    [sym_preproc_directive] = ACTIONS(2886),
    [anon_sym_LPAREN2] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym___extension__] = ACTIONS(2886),
    [anon_sym_typedef] = ACTIONS(2886),
    [anon_sym_extern] = ACTIONS(2886),
    [anon_sym___attribute__] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2888),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2888),
    [anon_sym___declspec] = ACTIONS(2886),
    [anon_sym___based] = ACTIONS(2886),
    [anon_sym___cdecl] = ACTIONS(2886),
    [anon_sym___clrcall] = ACTIONS(2886),
    [anon_sym___stdcall] = ACTIONS(2886),
    [anon_sym___fastcall] = ACTIONS(2886),
    [anon_sym___thiscall] = ACTIONS(2886),
    [anon_sym___vectorcall] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2886),
    [anon_sym_unsigned] = ACTIONS(2886),
    [anon_sym_long] = ACTIONS(2886),
    [anon_sym_short] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_static] = ACTIONS(2886),
    [anon_sym_register] = ACTIONS(2886),
    [anon_sym_inline] = ACTIONS(2886),
    [anon_sym___inline] = ACTIONS(2886),
    [anon_sym___inline__] = ACTIONS(2886),
    [anon_sym___forceinline] = ACTIONS(2886),
    [anon_sym_thread_local] = ACTIONS(2886),
    [anon_sym___thread] = ACTIONS(2886),
    [anon_sym_const] = ACTIONS(2886),
    [anon_sym_constexpr] = ACTIONS(2886),
    [anon_sym_volatile] = ACTIONS(2886),
    [anon_sym_restrict] = ACTIONS(2886),
    [anon_sym___restrict__] = ACTIONS(2886),
    [anon_sym__Atomic] = ACTIONS(2886),
    [anon_sym__Noreturn] = ACTIONS(2886),
    [anon_sym_noreturn] = ACTIONS(2886),
    [anon_sym_mutable] = ACTIONS(2886),
    [anon_sym_constinit] = ACTIONS(2886),
    [anon_sym_consteval] = ACTIONS(2886),
    [anon_sym_alignas] = ACTIONS(2886),
    [anon_sym__Alignas] = ACTIONS(2886),
    [sym_primitive_type] = ACTIONS(2886),
    [anon_sym_enum] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2886),
    [anon_sym_struct] = ACTIONS(2886),
    [anon_sym_union] = ACTIONS(2886),
    [anon_sym_if] = ACTIONS(2886),
    [anon_sym_switch] = ACTIONS(2886),
    [anon_sym_case] = ACTIONS(2886),
    [anon_sym_default] = ACTIONS(2886),
    [anon_sym_while] = ACTIONS(2886),
    [anon_sym_do] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2886),
    [anon_sym_return] = ACTIONS(2886),
    [anon_sym_break] = ACTIONS(2886),
    [anon_sym_continue] = ACTIONS(2886),
    [anon_sym_goto] = ACTIONS(2886),
    [anon_sym___try] = ACTIONS(2886),
    [anon_sym___leave] = ACTIONS(2886),
    [anon_sym_not] = ACTIONS(2886),
    [anon_sym_compl] = ACTIONS(2886),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_sizeof] = ACTIONS(2886),
    [anon_sym___alignof__] = ACTIONS(2886),
    [anon_sym___alignof] = ACTIONS(2886),
    [anon_sym__alignof] = ACTIONS(2886),
    [anon_sym_alignof] = ACTIONS(2886),
    [anon_sym__Alignof] = ACTIONS(2886),
    [anon_sym_offsetof] = ACTIONS(2886),
    [anon_sym__Generic] = ACTIONS(2886),
    [anon_sym_asm] = ACTIONS(2886),
    [anon_sym___asm__] = ACTIONS(2886),
    [sym_number_literal] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2888),
    [anon_sym_u_SQUOTE] = ACTIONS(2888),
    [anon_sym_U_SQUOTE] = ACTIONS(2888),
    [anon_sym_u8_SQUOTE] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2888),
    [anon_sym_L_DQUOTE] = ACTIONS(2888),
    [anon_sym_u_DQUOTE] = ACTIONS(2888),
    [anon_sym_U_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [sym_true] = ACTIONS(2886),
    [sym_false] = ACTIONS(2886),
    [anon_sym_NULL] = ACTIONS(2886),
    [anon_sym_nullptr] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2886),
    [anon_sym_decltype] = ACTIONS(2886),
    [sym_virtual] = ACTIONS(2886),
    [anon_sym_explicit] = ACTIONS(2886),
    [anon_sym_typename] = ACTIONS(2886),
    [anon_sym_template] = ACTIONS(2886),
    [anon_sym_operator] = ACTIONS(2886),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_throw] = ACTIONS(2886),
    [anon_sym_namespace] = ACTIONS(2886),
    [anon_sym_using] = ACTIONS(2886),
    [anon_sym_static_assert] = ACTIONS(2886),
    [anon_sym_concept] = ACTIONS(2886),
    [anon_sym_co_return] = ACTIONS(2886),
    [anon_sym_co_yield] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2886),
    [anon_sym_requires] = ACTIONS(2886),
    [sym_this] = ACTIONS(2886),
  },
  [319] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4132),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6446),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6987),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2890),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [aux_sym_preproc_else_token1] = ACTIONS(2892),
    [aux_sym_preproc_elif_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [321] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6547),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6827),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2896),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [aux_sym_preproc_else_token1] = ACTIONS(2892),
    [aux_sym_preproc_elif_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token2] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [aux_sym_preproc_else_token1] = ACTIONS(2898),
    [aux_sym_preproc_elif_token1] = ACTIONS(2898),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym___try] = ACTIONS(2898),
    [anon_sym___leave] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [sym_virtual] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [324] = {
    [sym_catch_clause] = STATE(324),
    [aux_sym_constructor_try_statement_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2902),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [sym_virtual] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [sym_virtual] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [334] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4161),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6630),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6684),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [aux_sym_preproc_else_token1] = ACTIONS(2943),
    [aux_sym_preproc_elif_token1] = ACTIONS(2943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [sym_virtual] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [sym_virtual] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [339] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4150),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6456),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6967),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [341] = {
    [sym_catch_clause] = STATE(284),
    [aux_sym_constructor_try_statement_repeat1] = STATE(284),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_include_token1] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym___cdecl] = ACTIONS(2468),
    [anon_sym___clrcall] = ACTIONS(2468),
    [anon_sym___stdcall] = ACTIONS(2468),
    [anon_sym___fastcall] = ACTIONS(2468),
    [anon_sym___thiscall] = ACTIONS(2468),
    [anon_sym___vectorcall] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_case] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_concept] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [343] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4139),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6527),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6860),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [sym_virtual] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [346] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [347] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [348] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4158),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6466),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6947),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [351] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [352] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4155),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6480),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6927),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [353] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [355] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4153),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6493),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6905),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [aux_sym_preproc_else_token1] = ACTIONS(3011),
    [aux_sym_preproc_elif_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [aux_sym_preproc_else_token1] = ACTIONS(3015),
    [aux_sym_preproc_elif_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [359] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4145),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6511),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(6883),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(3019),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [360] = {
    [sym_preproc_def] = STATE(365),
    [sym_preproc_function_def] = STATE(365),
    [sym_preproc_call] = STATE(365),
    [sym_preproc_if_in_field_declaration_list] = STATE(365),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(365),
    [sym_preproc_else_in_field_declaration_list] = STATE(7607),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7607),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7607),
    [sym_type_definition] = STATE(365),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(365),
    [sym_field_declaration] = STATE(365),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(365),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(365),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(365),
    [sym_operator_cast_declaration] = STATE(365),
    [sym_constructor_or_destructor_definition] = STATE(365),
    [sym_constructor_or_destructor_declaration] = STATE(365),
    [sym_friend_declaration] = STATE(365),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(365),
    [sym_alias_declaration] = STATE(365),
    [sym_static_assert_declaration] = STATE(365),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(365),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3027),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [361] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(8072),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8072),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8072),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [362] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(2834),
    [sym__declarator] = STATE(6078),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_type_qualifier] = STATE(3783),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_expression] = STATE(2958),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3052),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5319),
    [sym_qualified_identifier] = STATE(3056),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3316),
    [aux_sym__type_definition_type_repeat1] = STATE(3783),
    [aux_sym_pointer_declarator_repeat1] = STATE(2834),
    [sym_identifier] = ACTIONS(3079),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [363] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7618),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7618),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7618),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [364] = {
    [sym_preproc_def] = STATE(368),
    [sym_preproc_function_def] = STATE(368),
    [sym_preproc_call] = STATE(368),
    [sym_preproc_if_in_field_declaration_list] = STATE(368),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(368),
    [sym_preproc_else_in_field_declaration_list] = STATE(7809),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7809),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7809),
    [sym_type_definition] = STATE(368),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(368),
    [sym_field_declaration] = STATE(368),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(368),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(368),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(368),
    [sym_operator_cast_declaration] = STATE(368),
    [sym_constructor_or_destructor_definition] = STATE(368),
    [sym_constructor_or_destructor_declaration] = STATE(368),
    [sym_friend_declaration] = STATE(368),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(368),
    [sym_alias_declaration] = STATE(368),
    [sym_static_assert_declaration] = STATE(368),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(368),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3091),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [365] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7755),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7755),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7755),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [366] = {
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym_preproc_if_in_field_declaration_list] = STATE(361),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(361),
    [sym_preproc_else_in_field_declaration_list] = STATE(7985),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7985),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7985),
    [sym_type_definition] = STATE(361),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(361),
    [sym_field_declaration] = STATE(361),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(361),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(361),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(361),
    [sym_operator_cast_declaration] = STATE(361),
    [sym_constructor_or_destructor_definition] = STATE(361),
    [sym_constructor_or_destructor_declaration] = STATE(361),
    [sym_friend_declaration] = STATE(361),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(361),
    [sym_alias_declaration] = STATE(361),
    [sym_static_assert_declaration] = STATE(361),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(361),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [367] = {
    [sym_preproc_def] = STATE(374),
    [sym_preproc_function_def] = STATE(374),
    [sym_preproc_call] = STATE(374),
    [sym_preproc_if_in_field_declaration_list] = STATE(374),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(374),
    [sym_preproc_else_in_field_declaration_list] = STATE(7572),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7572),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7572),
    [sym_type_definition] = STATE(374),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(374),
    [sym_field_declaration] = STATE(374),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(374),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(374),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(374),
    [sym_operator_cast_declaration] = STATE(374),
    [sym_constructor_or_destructor_definition] = STATE(374),
    [sym_constructor_or_destructor_declaration] = STATE(374),
    [sym_friend_declaration] = STATE(374),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(374),
    [sym_alias_declaration] = STATE(374),
    [sym_static_assert_declaration] = STATE(374),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(374),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [368] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7883),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7883),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7883),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [369] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7991),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7991),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7991),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [370] = {
    [sym_preproc_def] = STATE(369),
    [sym_preproc_function_def] = STATE(369),
    [sym_preproc_call] = STATE(369),
    [sym_preproc_if_in_field_declaration_list] = STATE(369),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(369),
    [sym_preproc_else_in_field_declaration_list] = STATE(7884),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7884),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7884),
    [sym_type_definition] = STATE(369),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(369),
    [sym_field_declaration] = STATE(369),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(369),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(369),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(369),
    [sym_operator_cast_declaration] = STATE(369),
    [sym_constructor_or_destructor_definition] = STATE(369),
    [sym_constructor_or_destructor_declaration] = STATE(369),
    [sym_friend_declaration] = STATE(369),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(369),
    [sym_alias_declaration] = STATE(369),
    [sym_static_assert_declaration] = STATE(369),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(369),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [371] = {
    [sym_preproc_def] = STATE(379),
    [sym_preproc_function_def] = STATE(379),
    [sym_preproc_call] = STATE(379),
    [sym_preproc_if_in_field_declaration_list] = STATE(379),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(379),
    [sym_preproc_else_in_field_declaration_list] = STATE(7887),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7887),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7887),
    [sym_type_definition] = STATE(379),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(379),
    [sym_field_declaration] = STATE(379),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(379),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(379),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(379),
    [sym_operator_cast_declaration] = STATE(379),
    [sym_constructor_or_destructor_definition] = STATE(379),
    [sym_constructor_or_destructor_declaration] = STATE(379),
    [sym_friend_declaration] = STATE(379),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(379),
    [sym_alias_declaration] = STATE(379),
    [sym_static_assert_declaration] = STATE(379),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(379),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3105),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [372] = {
    [sym_preproc_def] = STATE(363),
    [sym_preproc_function_def] = STATE(363),
    [sym_preproc_call] = STATE(363),
    [sym_preproc_if_in_field_declaration_list] = STATE(363),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(363),
    [sym_preproc_else_in_field_declaration_list] = STATE(7775),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7775),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7775),
    [sym_type_definition] = STATE(363),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(363),
    [sym_field_declaration] = STATE(363),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(363),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(363),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(363),
    [sym_operator_cast_declaration] = STATE(363),
    [sym_constructor_or_destructor_definition] = STATE(363),
    [sym_constructor_or_destructor_declaration] = STATE(363),
    [sym_friend_declaration] = STATE(363),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(363),
    [sym_alias_declaration] = STATE(363),
    [sym_static_assert_declaration] = STATE(363),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(363),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [373] = {
    [sym_preproc_def] = STATE(375),
    [sym_preproc_function_def] = STATE(375),
    [sym_preproc_call] = STATE(375),
    [sym_preproc_if_in_field_declaration_list] = STATE(375),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(375),
    [sym_preproc_else_in_field_declaration_list] = STATE(7830),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7830),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7830),
    [sym_type_definition] = STATE(375),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(375),
    [sym_field_declaration] = STATE(375),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(375),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(375),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(375),
    [sym_operator_cast_declaration] = STATE(375),
    [sym_constructor_or_destructor_definition] = STATE(375),
    [sym_constructor_or_destructor_declaration] = STATE(375),
    [sym_friend_declaration] = STATE(375),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(375),
    [sym_alias_declaration] = STATE(375),
    [sym_static_assert_declaration] = STATE(375),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(375),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [374] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7811),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7811),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7811),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [375] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7899),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7899),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7899),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [376] = {
    [sym_type_qualifier] = STATE(3725),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4484),
    [sym_sized_type_specifier] = STATE(2610),
    [sym_enum_specifier] = STATE(2610),
    [sym_struct_specifier] = STATE(2610),
    [sym_union_specifier] = STATE(2610),
    [sym_expression] = STATE(4184),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_type_descriptor] = STATE(6999),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_placeholder_type_specifier] = STATE(2610),
    [sym_decltype_auto] = STATE(2625),
    [sym_decltype] = STATE(2574),
    [sym_class_specifier] = STATE(2610),
    [sym__class_name] = STATE(7145),
    [sym_dependent_type] = STATE(2610),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_type_parameter_pack_expansion] = STATE(7109),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5268),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3725),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1971),
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2722),
    [anon_sym_decltype] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2726),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [377] = {
    [sym_catch_clause] = STATE(324),
    [aux_sym_constructor_try_statement_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [378] = {
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7614),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(3123),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(3126),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(3129),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [379] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_preproc_else_in_field_declaration_list] = STATE(7924),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7924),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7924),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3023),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3031),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3035),
    [sym_preproc_directive] = ACTIONS(3037),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3049),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3075),
  },
  [380] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7402),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3137),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3141),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3149),
    [sym_virtual] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [381] = {
    [sym_catch_clause] = STATE(284),
    [aux_sym_constructor_try_statement_repeat1] = STATE(284),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [382] = {
    [sym_catch_clause] = STATE(324),
    [aux_sym_constructor_try_statement_repeat1] = STATE(324),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2830),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [383] = {
    [sym_expression] = STATE(4227),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7400),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3155),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(3163),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(3166),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(3169),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [384] = {
    [sym_catch_clause] = STATE(284),
    [aux_sym_constructor_try_statement_repeat1] = STATE(284),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [385] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(2834),
    [sym__declarator] = STATE(6078),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_type_qualifier] = STATE(3783),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3089),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5325),
    [sym_qualified_identifier] = STATE(3087),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(2330),
    [aux_sym__type_definition_type_repeat1] = STATE(3783),
    [aux_sym_pointer_declarator_repeat1] = STATE(2834),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_RBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [387] = {
    [sym_else_clause] = STATE(492),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [388] = {
    [sym_else_clause] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(2500),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [389] = {
    [sym_else_clause] = STATE(451),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [390] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(4309),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_type_descriptor] = STATE(7538),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5314),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [392] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_type_descriptor] = STATE(7535),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5314),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [393] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_type_descriptor] = STATE(7665),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5314),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(2496),
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [396] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [397] = {
    [sym_else_clause] = STATE(455),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [398] = {
    [sym_else_clause] = STATE(490),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [400] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_type_descriptor] = STATE(7466),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5314),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [401] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_type_descriptor] = STATE(7554),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5314),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [402] = {
    [sym_else_clause] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(2484),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___based] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(3182),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_explicit] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_operator] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_namespace] = ACTIONS(2482),
    [anon_sym_using] = ACTIONS(2482),
    [anon_sym_static_assert] = ACTIONS(2482),
    [anon_sym_concept] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [403] = {
    [sym_type_qualifier] = STATE(3751),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(4511),
    [sym_sized_type_specifier] = STATE(1719),
    [sym_enum_specifier] = STATE(1719),
    [sym_struct_specifier] = STATE(1719),
    [sym_union_specifier] = STATE(1719),
    [sym_expression] = STATE(4437),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_type_descriptor] = STATE(8160),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_placeholder_type_specifier] = STATE(1719),
    [sym_decltype_auto] = STATE(1714),
    [sym_decltype] = STATE(1653),
    [sym_class_specifier] = STATE(1719),
    [sym__class_name] = STATE(7245),
    [sym_dependent_type] = STATE(1719),
    [sym_template_type] = STATE(5006),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5314),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(5024),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym__type_definition_type_repeat1] = STATE(3751),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1726),
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [404] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(2634),
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [411] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [414] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [419] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(2614),
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [442] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(2630),
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_RBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2614),
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(2642),
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token2] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [456] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token2] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(2606),
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [471] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(2554),
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(2594),
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP_AMP] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___based] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_explicit] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_operator] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_namespace] = ACTIONS(2540),
    [anon_sym_using] = ACTIONS(2540),
    [anon_sym_static_assert] = ACTIONS(2540),
    [anon_sym_concept] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token2] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___based] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_explicit] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_operator] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_namespace] = ACTIONS(2532),
    [anon_sym_using] = ACTIONS(2532),
    [anon_sym_static_assert] = ACTIONS(2532),
    [anon_sym_concept] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_namespace] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
    [anon_sym_concept] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
    [anon_sym_concept] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___based] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_explicit] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_operator] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_static_assert] = ACTIONS(2520),
    [anon_sym_concept] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___based] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_explicit] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_operator] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_namespace] = ACTIONS(2508),
    [anon_sym_using] = ACTIONS(2508),
    [anon_sym_static_assert] = ACTIONS(2508),
    [anon_sym_concept] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token2] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___based] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_explicit] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_operator] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_namespace] = ACTIONS(2536),
    [anon_sym_using] = ACTIONS(2536),
    [anon_sym_static_assert] = ACTIONS(2536),
    [anon_sym_concept] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(2638),
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___based] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_explicit] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_operator] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_namespace] = ACTIONS(2516),
    [anon_sym_using] = ACTIONS(2516),
    [anon_sym_static_assert] = ACTIONS(2516),
    [anon_sym_concept] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(2618),
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
    [anon_sym_concept] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___based] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_explicit] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_operator] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_namespace] = ACTIONS(2504),
    [anon_sym_using] = ACTIONS(2504),
    [anon_sym_static_assert] = ACTIONS(2504),
    [anon_sym_concept] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(2578),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(2622),
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2590),
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [515] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym__Alignas] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token2] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token2] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [sym_virtual] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [sym_virtual] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym___leave] = ACTIONS(2836),
    [anon_sym_not] = ACTIONS(2836),
    [anon_sym_compl] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_try] = ACTIONS(2836),
    [anon_sym_delete] = ACTIONS(2836),
    [anon_sym_throw] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
    [anon_sym_concept] = ACTIONS(2836),
    [anon_sym_co_return] = ACTIONS(2836),
    [anon_sym_co_yield] = ACTIONS(2836),
    [anon_sym_R_DQUOTE] = ACTIONS(2838),
    [anon_sym_LR_DQUOTE] = ACTIONS(2838),
    [anon_sym_uR_DQUOTE] = ACTIONS(2838),
    [anon_sym_UR_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2838),
    [anon_sym_co_await] = ACTIONS(2836),
    [anon_sym_new] = ACTIONS(2836),
    [anon_sym_requires] = ACTIONS(2836),
    [sym_this] = ACTIONS(2836),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1876),
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [sym_virtual] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym___leave] = ACTIONS(2836),
    [anon_sym_not] = ACTIONS(2836),
    [anon_sym_compl] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_try] = ACTIONS(2836),
    [anon_sym_delete] = ACTIONS(2836),
    [anon_sym_throw] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
    [anon_sym_concept] = ACTIONS(2836),
    [anon_sym_co_return] = ACTIONS(2836),
    [anon_sym_co_yield] = ACTIONS(2836),
    [anon_sym_R_DQUOTE] = ACTIONS(2838),
    [anon_sym_LR_DQUOTE] = ACTIONS(2838),
    [anon_sym_uR_DQUOTE] = ACTIONS(2838),
    [anon_sym_UR_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2838),
    [anon_sym_co_await] = ACTIONS(2836),
    [anon_sym_new] = ACTIONS(2836),
    [anon_sym_requires] = ACTIONS(2836),
    [sym_this] = ACTIONS(2836),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token2] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [540] = {
    [sym_catch_clause] = STATE(286),
    [aux_sym_constructor_try_statement_repeat1] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token2] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [sym_virtual] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [544] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym___leave] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_include_token1] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token2] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2876),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym___cdecl] = ACTIONS(2874),
    [anon_sym___clrcall] = ACTIONS(2874),
    [anon_sym___stdcall] = ACTIONS(2874),
    [anon_sym___fastcall] = ACTIONS(2874),
    [anon_sym___thiscall] = ACTIONS(2874),
    [anon_sym___vectorcall] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [anon_sym_if] = ACTIONS(2874),
    [anon_sym_switch] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_default] = ACTIONS(2874),
    [anon_sym_while] = ACTIONS(2874),
    [anon_sym_do] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2874),
    [anon_sym_return] = ACTIONS(2874),
    [anon_sym_break] = ACTIONS(2874),
    [anon_sym_continue] = ACTIONS(2874),
    [anon_sym_goto] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2874),
    [anon_sym___leave] = ACTIONS(2874),
    [anon_sym_not] = ACTIONS(2874),
    [anon_sym_compl] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_sizeof] = ACTIONS(2874),
    [anon_sym___alignof__] = ACTIONS(2874),
    [anon_sym___alignof] = ACTIONS(2874),
    [anon_sym__alignof] = ACTIONS(2874),
    [anon_sym_alignof] = ACTIONS(2874),
    [anon_sym__Alignof] = ACTIONS(2874),
    [anon_sym_offsetof] = ACTIONS(2874),
    [anon_sym__Generic] = ACTIONS(2874),
    [anon_sym_asm] = ACTIONS(2874),
    [anon_sym___asm__] = ACTIONS(2874),
    [sym_number_literal] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2876),
    [anon_sym_u_SQUOTE] = ACTIONS(2876),
    [anon_sym_U_SQUOTE] = ACTIONS(2876),
    [anon_sym_u8_SQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [anon_sym_L_DQUOTE] = ACTIONS(2876),
    [anon_sym_u_DQUOTE] = ACTIONS(2876),
    [anon_sym_U_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2874),
    [anon_sym_nullptr] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_try] = ACTIONS(2874),
    [anon_sym_delete] = ACTIONS(2874),
    [anon_sym_throw] = ACTIONS(2874),
    [anon_sym_namespace] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
    [anon_sym_concept] = ACTIONS(2874),
    [anon_sym_co_return] = ACTIONS(2874),
    [anon_sym_co_yield] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2876),
    [anon_sym_LR_DQUOTE] = ACTIONS(2876),
    [anon_sym_uR_DQUOTE] = ACTIONS(2876),
    [anon_sym_UR_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2876),
    [anon_sym_co_await] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_requires] = ACTIONS(2874),
    [sym_this] = ACTIONS(2874),
  },
  [546] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [547] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token2] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [554] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [sym_virtual] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2644),
    [anon_sym___leave] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [559] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [sym_virtual] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym___leave] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_include_token1] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2876),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym___cdecl] = ACTIONS(2874),
    [anon_sym___clrcall] = ACTIONS(2874),
    [anon_sym___stdcall] = ACTIONS(2874),
    [anon_sym___fastcall] = ACTIONS(2874),
    [anon_sym___thiscall] = ACTIONS(2874),
    [anon_sym___vectorcall] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [anon_sym_if] = ACTIONS(2874),
    [anon_sym_switch] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_default] = ACTIONS(2874),
    [anon_sym_while] = ACTIONS(2874),
    [anon_sym_do] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2874),
    [anon_sym_return] = ACTIONS(2874),
    [anon_sym_break] = ACTIONS(2874),
    [anon_sym_continue] = ACTIONS(2874),
    [anon_sym_goto] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2874),
    [anon_sym___leave] = ACTIONS(2874),
    [anon_sym_not] = ACTIONS(2874),
    [anon_sym_compl] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_sizeof] = ACTIONS(2874),
    [anon_sym___alignof__] = ACTIONS(2874),
    [anon_sym___alignof] = ACTIONS(2874),
    [anon_sym__alignof] = ACTIONS(2874),
    [anon_sym_alignof] = ACTIONS(2874),
    [anon_sym__Alignof] = ACTIONS(2874),
    [anon_sym_offsetof] = ACTIONS(2874),
    [anon_sym__Generic] = ACTIONS(2874),
    [anon_sym_asm] = ACTIONS(2874),
    [anon_sym___asm__] = ACTIONS(2874),
    [sym_number_literal] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2876),
    [anon_sym_u_SQUOTE] = ACTIONS(2876),
    [anon_sym_U_SQUOTE] = ACTIONS(2876),
    [anon_sym_u8_SQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [anon_sym_L_DQUOTE] = ACTIONS(2876),
    [anon_sym_u_DQUOTE] = ACTIONS(2876),
    [anon_sym_U_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2874),
    [anon_sym_nullptr] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_try] = ACTIONS(2874),
    [anon_sym_delete] = ACTIONS(2874),
    [anon_sym_throw] = ACTIONS(2874),
    [anon_sym_namespace] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
    [anon_sym_concept] = ACTIONS(2874),
    [anon_sym_co_return] = ACTIONS(2874),
    [anon_sym_co_yield] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2876),
    [anon_sym_LR_DQUOTE] = ACTIONS(2876),
    [anon_sym_uR_DQUOTE] = ACTIONS(2876),
    [anon_sym_UR_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2876),
    [anon_sym_co_await] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_requires] = ACTIONS(2874),
    [sym_this] = ACTIONS(2874),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_include_token1] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_BANG] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_SEMI] = ACTIONS(2884),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym___cdecl] = ACTIONS(2882),
    [anon_sym___clrcall] = ACTIONS(2882),
    [anon_sym___stdcall] = ACTIONS(2882),
    [anon_sym___fastcall] = ACTIONS(2882),
    [anon_sym___thiscall] = ACTIONS(2882),
    [anon_sym___vectorcall] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_RBRACE] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2882),
    [anon_sym_switch] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_default] = ACTIONS(2882),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_do] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2882),
    [anon_sym_return] = ACTIONS(2882),
    [anon_sym_break] = ACTIONS(2882),
    [anon_sym_continue] = ACTIONS(2882),
    [anon_sym_goto] = ACTIONS(2882),
    [anon_sym___try] = ACTIONS(2882),
    [anon_sym___leave] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2882),
    [anon_sym_compl] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2884),
    [anon_sym_sizeof] = ACTIONS(2882),
    [anon_sym___alignof__] = ACTIONS(2882),
    [anon_sym___alignof] = ACTIONS(2882),
    [anon_sym__alignof] = ACTIONS(2882),
    [anon_sym_alignof] = ACTIONS(2882),
    [anon_sym__Alignof] = ACTIONS(2882),
    [anon_sym_offsetof] = ACTIONS(2882),
    [anon_sym__Generic] = ACTIONS(2882),
    [anon_sym_asm] = ACTIONS(2882),
    [anon_sym___asm__] = ACTIONS(2882),
    [sym_number_literal] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2884),
    [anon_sym_u_SQUOTE] = ACTIONS(2884),
    [anon_sym_U_SQUOTE] = ACTIONS(2884),
    [anon_sym_u8_SQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [anon_sym_L_DQUOTE] = ACTIONS(2884),
    [anon_sym_u_DQUOTE] = ACTIONS(2884),
    [anon_sym_U_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_NULL] = ACTIONS(2882),
    [anon_sym_nullptr] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_try] = ACTIONS(2882),
    [anon_sym_delete] = ACTIONS(2882),
    [anon_sym_throw] = ACTIONS(2882),
    [anon_sym_namespace] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
    [anon_sym_concept] = ACTIONS(2882),
    [anon_sym_co_return] = ACTIONS(2882),
    [anon_sym_co_yield] = ACTIONS(2882),
    [anon_sym_R_DQUOTE] = ACTIONS(2884),
    [anon_sym_LR_DQUOTE] = ACTIONS(2884),
    [anon_sym_uR_DQUOTE] = ACTIONS(2884),
    [anon_sym_UR_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2884),
    [anon_sym_co_await] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_requires] = ACTIONS(2882),
    [sym_this] = ACTIONS(2882),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym___try] = ACTIONS(2767),
    [anon_sym___leave] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_include_token1] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym___cdecl] = ACTIONS(2784),
    [anon_sym___clrcall] = ACTIONS(2784),
    [anon_sym___stdcall] = ACTIONS(2784),
    [anon_sym___fastcall] = ACTIONS(2784),
    [anon_sym___thiscall] = ACTIONS(2784),
    [anon_sym___vectorcall] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_RBRACE] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2784),
    [anon_sym_case] = ACTIONS(2784),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_while] = ACTIONS(2784),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2784),
    [anon_sym_break] = ACTIONS(2784),
    [anon_sym_continue] = ACTIONS(2784),
    [anon_sym_goto] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2784),
    [anon_sym___leave] = ACTIONS(2784),
    [anon_sym_not] = ACTIONS(2784),
    [anon_sym_compl] = ACTIONS(2784),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_sizeof] = ACTIONS(2784),
    [anon_sym___alignof__] = ACTIONS(2784),
    [anon_sym___alignof] = ACTIONS(2784),
    [anon_sym__alignof] = ACTIONS(2784),
    [anon_sym_alignof] = ACTIONS(2784),
    [anon_sym__Alignof] = ACTIONS(2784),
    [anon_sym_offsetof] = ACTIONS(2784),
    [anon_sym__Generic] = ACTIONS(2784),
    [anon_sym_asm] = ACTIONS(2784),
    [anon_sym___asm__] = ACTIONS(2784),
    [sym_number_literal] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2786),
    [anon_sym_u_SQUOTE] = ACTIONS(2786),
    [anon_sym_U_SQUOTE] = ACTIONS(2786),
    [anon_sym_u8_SQUOTE] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2786),
    [anon_sym_L_DQUOTE] = ACTIONS(2786),
    [anon_sym_u_DQUOTE] = ACTIONS(2786),
    [anon_sym_U_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8_DQUOTE] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [sym_true] = ACTIONS(2784),
    [sym_false] = ACTIONS(2784),
    [anon_sym_NULL] = ACTIONS(2784),
    [anon_sym_nullptr] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2784),
    [anon_sym_delete] = ACTIONS(2784),
    [anon_sym_throw] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
    [anon_sym_concept] = ACTIONS(2784),
    [anon_sym_co_return] = ACTIONS(2784),
    [anon_sym_co_yield] = ACTIONS(2784),
    [anon_sym_R_DQUOTE] = ACTIONS(2786),
    [anon_sym_LR_DQUOTE] = ACTIONS(2786),
    [anon_sym_uR_DQUOTE] = ACTIONS(2786),
    [anon_sym_UR_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2786),
    [anon_sym_co_await] = ACTIONS(2784),
    [anon_sym_new] = ACTIONS(2784),
    [anon_sym_requires] = ACTIONS(2784),
    [sym_this] = ACTIONS(2784),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2858),
    [anon_sym___leave] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_include_token1] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym___cdecl] = ACTIONS(2792),
    [anon_sym___clrcall] = ACTIONS(2792),
    [anon_sym___stdcall] = ACTIONS(2792),
    [anon_sym___fastcall] = ACTIONS(2792),
    [anon_sym___thiscall] = ACTIONS(2792),
    [anon_sym___vectorcall] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2792),
    [anon_sym_case] = ACTIONS(2792),
    [anon_sym_default] = ACTIONS(2792),
    [anon_sym_while] = ACTIONS(2792),
    [anon_sym_do] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2792),
    [anon_sym_return] = ACTIONS(2792),
    [anon_sym_break] = ACTIONS(2792),
    [anon_sym_continue] = ACTIONS(2792),
    [anon_sym_goto] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2792),
    [anon_sym___leave] = ACTIONS(2792),
    [anon_sym_not] = ACTIONS(2792),
    [anon_sym_compl] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_sizeof] = ACTIONS(2792),
    [anon_sym___alignof__] = ACTIONS(2792),
    [anon_sym___alignof] = ACTIONS(2792),
    [anon_sym__alignof] = ACTIONS(2792),
    [anon_sym_alignof] = ACTIONS(2792),
    [anon_sym__Alignof] = ACTIONS(2792),
    [anon_sym_offsetof] = ACTIONS(2792),
    [anon_sym__Generic] = ACTIONS(2792),
    [anon_sym_asm] = ACTIONS(2792),
    [anon_sym___asm__] = ACTIONS(2792),
    [sym_number_literal] = ACTIONS(2794),
    [anon_sym_L_SQUOTE] = ACTIONS(2794),
    [anon_sym_u_SQUOTE] = ACTIONS(2794),
    [anon_sym_U_SQUOTE] = ACTIONS(2794),
    [anon_sym_u8_SQUOTE] = ACTIONS(2794),
    [anon_sym_SQUOTE] = ACTIONS(2794),
    [anon_sym_L_DQUOTE] = ACTIONS(2794),
    [anon_sym_u_DQUOTE] = ACTIONS(2794),
    [anon_sym_U_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8_DQUOTE] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [sym_true] = ACTIONS(2792),
    [sym_false] = ACTIONS(2792),
    [anon_sym_NULL] = ACTIONS(2792),
    [anon_sym_nullptr] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2792),
    [anon_sym_throw] = ACTIONS(2792),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
    [anon_sym_concept] = ACTIONS(2792),
    [anon_sym_co_return] = ACTIONS(2792),
    [anon_sym_co_yield] = ACTIONS(2792),
    [anon_sym_R_DQUOTE] = ACTIONS(2794),
    [anon_sym_LR_DQUOTE] = ACTIONS(2794),
    [anon_sym_uR_DQUOTE] = ACTIONS(2794),
    [anon_sym_UR_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2794),
    [anon_sym_co_await] = ACTIONS(2792),
    [anon_sym_new] = ACTIONS(2792),
    [anon_sym_requires] = ACTIONS(2792),
    [sym_this] = ACTIONS(2792),
  },
  [586] = {
    [sym_catch_clause] = STATE(286),
    [aux_sym_constructor_try_statement_repeat1] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(2480),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2762),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_include_token1] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token2] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2786),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym___cdecl] = ACTIONS(2784),
    [anon_sym___clrcall] = ACTIONS(2784),
    [anon_sym___stdcall] = ACTIONS(2784),
    [anon_sym___fastcall] = ACTIONS(2784),
    [anon_sym___thiscall] = ACTIONS(2784),
    [anon_sym___vectorcall] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2784),
    [anon_sym_case] = ACTIONS(2784),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_while] = ACTIONS(2784),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2784),
    [anon_sym_break] = ACTIONS(2784),
    [anon_sym_continue] = ACTIONS(2784),
    [anon_sym_goto] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2784),
    [anon_sym___leave] = ACTIONS(2784),
    [anon_sym_not] = ACTIONS(2784),
    [anon_sym_compl] = ACTIONS(2784),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_sizeof] = ACTIONS(2784),
    [anon_sym___alignof__] = ACTIONS(2784),
    [anon_sym___alignof] = ACTIONS(2784),
    [anon_sym__alignof] = ACTIONS(2784),
    [anon_sym_alignof] = ACTIONS(2784),
    [anon_sym__Alignof] = ACTIONS(2784),
    [anon_sym_offsetof] = ACTIONS(2784),
    [anon_sym__Generic] = ACTIONS(2784),
    [anon_sym_asm] = ACTIONS(2784),
    [anon_sym___asm__] = ACTIONS(2784),
    [sym_number_literal] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2786),
    [anon_sym_u_SQUOTE] = ACTIONS(2786),
    [anon_sym_U_SQUOTE] = ACTIONS(2786),
    [anon_sym_u8_SQUOTE] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2786),
    [anon_sym_L_DQUOTE] = ACTIONS(2786),
    [anon_sym_u_DQUOTE] = ACTIONS(2786),
    [anon_sym_U_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8_DQUOTE] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [sym_true] = ACTIONS(2784),
    [sym_false] = ACTIONS(2784),
    [anon_sym_NULL] = ACTIONS(2784),
    [anon_sym_nullptr] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2784),
    [anon_sym_delete] = ACTIONS(2784),
    [anon_sym_throw] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
    [anon_sym_concept] = ACTIONS(2784),
    [anon_sym_co_return] = ACTIONS(2784),
    [anon_sym_co_yield] = ACTIONS(2784),
    [anon_sym_R_DQUOTE] = ACTIONS(2786),
    [anon_sym_LR_DQUOTE] = ACTIONS(2786),
    [anon_sym_uR_DQUOTE] = ACTIONS(2786),
    [anon_sym_UR_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2786),
    [anon_sym_co_await] = ACTIONS(2784),
    [anon_sym_new] = ACTIONS(2784),
    [anon_sym_requires] = ACTIONS(2784),
    [sym_this] = ACTIONS(2784),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_include_token1] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token2] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2794),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym___cdecl] = ACTIONS(2792),
    [anon_sym___clrcall] = ACTIONS(2792),
    [anon_sym___stdcall] = ACTIONS(2792),
    [anon_sym___fastcall] = ACTIONS(2792),
    [anon_sym___thiscall] = ACTIONS(2792),
    [anon_sym___vectorcall] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2792),
    [anon_sym_case] = ACTIONS(2792),
    [anon_sym_default] = ACTIONS(2792),
    [anon_sym_while] = ACTIONS(2792),
    [anon_sym_do] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2792),
    [anon_sym_return] = ACTIONS(2792),
    [anon_sym_break] = ACTIONS(2792),
    [anon_sym_continue] = ACTIONS(2792),
    [anon_sym_goto] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2792),
    [anon_sym___leave] = ACTIONS(2792),
    [anon_sym_not] = ACTIONS(2792),
    [anon_sym_compl] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_sizeof] = ACTIONS(2792),
    [anon_sym___alignof__] = ACTIONS(2792),
    [anon_sym___alignof] = ACTIONS(2792),
    [anon_sym__alignof] = ACTIONS(2792),
    [anon_sym_alignof] = ACTIONS(2792),
    [anon_sym__Alignof] = ACTIONS(2792),
    [anon_sym_offsetof] = ACTIONS(2792),
    [anon_sym__Generic] = ACTIONS(2792),
    [anon_sym_asm] = ACTIONS(2792),
    [anon_sym___asm__] = ACTIONS(2792),
    [sym_number_literal] = ACTIONS(2794),
    [anon_sym_L_SQUOTE] = ACTIONS(2794),
    [anon_sym_u_SQUOTE] = ACTIONS(2794),
    [anon_sym_U_SQUOTE] = ACTIONS(2794),
    [anon_sym_u8_SQUOTE] = ACTIONS(2794),
    [anon_sym_SQUOTE] = ACTIONS(2794),
    [anon_sym_L_DQUOTE] = ACTIONS(2794),
    [anon_sym_u_DQUOTE] = ACTIONS(2794),
    [anon_sym_U_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8_DQUOTE] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [sym_true] = ACTIONS(2792),
    [sym_false] = ACTIONS(2792),
    [anon_sym_NULL] = ACTIONS(2792),
    [anon_sym_nullptr] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2792),
    [anon_sym_throw] = ACTIONS(2792),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
    [anon_sym_concept] = ACTIONS(2792),
    [anon_sym_co_return] = ACTIONS(2792),
    [anon_sym_co_yield] = ACTIONS(2792),
    [anon_sym_R_DQUOTE] = ACTIONS(2794),
    [anon_sym_LR_DQUOTE] = ACTIONS(2794),
    [anon_sym_uR_DQUOTE] = ACTIONS(2794),
    [anon_sym_UR_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2794),
    [anon_sym_co_await] = ACTIONS(2792),
    [anon_sym_new] = ACTIONS(2792),
    [anon_sym_requires] = ACTIONS(2792),
    [sym_this] = ACTIONS(2792),
  },
  [589] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2802),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___based] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_mutable] = ACTIONS(2802),
    [anon_sym_constinit] = ACTIONS(2802),
    [anon_sym_consteval] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2802),
    [anon_sym_compl] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2802),
    [anon_sym_decltype] = ACTIONS(2802),
    [sym_virtual] = ACTIONS(2802),
    [anon_sym_explicit] = ACTIONS(2802),
    [anon_sym_typename] = ACTIONS(2802),
    [anon_sym_template] = ACTIONS(2802),
    [anon_sym_operator] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_static_assert] = ACTIONS(2802),
    [anon_sym_concept] = ACTIONS(2802),
    [anon_sym_co_return] = ACTIONS(2802),
    [anon_sym_co_yield] = ACTIONS(2802),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_requires] = ACTIONS(2802),
    [sym_this] = ACTIONS(2802),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [sym_virtual] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token2] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2826),
    [anon_sym___leave] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym___leave] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token2] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2854),
    [anon_sym___leave] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2894),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym___try] = ACTIONS(2892),
    [anon_sym___leave] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym___try] = ACTIONS(2767),
    [anon_sym___leave] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [sym_virtual] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [605] = {
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_include_token1] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token2] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_BANG] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym_SEMI] = ACTIONS(2884),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym___cdecl] = ACTIONS(2882),
    [anon_sym___clrcall] = ACTIONS(2882),
    [anon_sym___stdcall] = ACTIONS(2882),
    [anon_sym___fastcall] = ACTIONS(2882),
    [anon_sym___thiscall] = ACTIONS(2882),
    [anon_sym___vectorcall] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2882),
    [anon_sym_switch] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_default] = ACTIONS(2882),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_do] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2882),
    [anon_sym_return] = ACTIONS(2882),
    [anon_sym_break] = ACTIONS(2882),
    [anon_sym_continue] = ACTIONS(2882),
    [anon_sym_goto] = ACTIONS(2882),
    [anon_sym___try] = ACTIONS(2882),
    [anon_sym___leave] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2882),
    [anon_sym_compl] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2884),
    [anon_sym_sizeof] = ACTIONS(2882),
    [anon_sym___alignof__] = ACTIONS(2882),
    [anon_sym___alignof] = ACTIONS(2882),
    [anon_sym__alignof] = ACTIONS(2882),
    [anon_sym_alignof] = ACTIONS(2882),
    [anon_sym__Alignof] = ACTIONS(2882),
    [anon_sym_offsetof] = ACTIONS(2882),
    [anon_sym__Generic] = ACTIONS(2882),
    [anon_sym_asm] = ACTIONS(2882),
    [anon_sym___asm__] = ACTIONS(2882),
    [sym_number_literal] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2884),
    [anon_sym_u_SQUOTE] = ACTIONS(2884),
    [anon_sym_U_SQUOTE] = ACTIONS(2884),
    [anon_sym_u8_SQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [anon_sym_L_DQUOTE] = ACTIONS(2884),
    [anon_sym_u_DQUOTE] = ACTIONS(2884),
    [anon_sym_U_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_NULL] = ACTIONS(2882),
    [anon_sym_nullptr] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_try] = ACTIONS(2882),
    [anon_sym_delete] = ACTIONS(2882),
    [anon_sym_throw] = ACTIONS(2882),
    [anon_sym_namespace] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
    [anon_sym_concept] = ACTIONS(2882),
    [anon_sym_co_return] = ACTIONS(2882),
    [anon_sym_co_yield] = ACTIONS(2882),
    [anon_sym_R_DQUOTE] = ACTIONS(2884),
    [anon_sym_LR_DQUOTE] = ACTIONS(2884),
    [anon_sym_uR_DQUOTE] = ACTIONS(2884),
    [anon_sym_UR_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2884),
    [anon_sym_co_await] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_requires] = ACTIONS(2882),
    [sym_this] = ACTIONS(2882),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token2] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_include_token1] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token2] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym___cdecl] = ACTIONS(2788),
    [anon_sym___clrcall] = ACTIONS(2788),
    [anon_sym___stdcall] = ACTIONS(2788),
    [anon_sym___fastcall] = ACTIONS(2788),
    [anon_sym___thiscall] = ACTIONS(2788),
    [anon_sym___vectorcall] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [anon_sym_default] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(2788),
    [anon_sym_do] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2788),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_break] = ACTIONS(2788),
    [anon_sym_continue] = ACTIONS(2788),
    [anon_sym_goto] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2788),
    [anon_sym___leave] = ACTIONS(2788),
    [anon_sym_not] = ACTIONS(2788),
    [anon_sym_compl] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_sizeof] = ACTIONS(2788),
    [anon_sym___alignof__] = ACTIONS(2788),
    [anon_sym___alignof] = ACTIONS(2788),
    [anon_sym__alignof] = ACTIONS(2788),
    [anon_sym_alignof] = ACTIONS(2788),
    [anon_sym__Alignof] = ACTIONS(2788),
    [anon_sym_offsetof] = ACTIONS(2788),
    [anon_sym__Generic] = ACTIONS(2788),
    [anon_sym_asm] = ACTIONS(2788),
    [anon_sym___asm__] = ACTIONS(2788),
    [sym_number_literal] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2790),
    [anon_sym_u_SQUOTE] = ACTIONS(2790),
    [anon_sym_U_SQUOTE] = ACTIONS(2790),
    [anon_sym_u8_SQUOTE] = ACTIONS(2790),
    [anon_sym_SQUOTE] = ACTIONS(2790),
    [anon_sym_L_DQUOTE] = ACTIONS(2790),
    [anon_sym_u_DQUOTE] = ACTIONS(2790),
    [anon_sym_U_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8_DQUOTE] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [sym_true] = ACTIONS(2788),
    [sym_false] = ACTIONS(2788),
    [anon_sym_NULL] = ACTIONS(2788),
    [anon_sym_nullptr] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2788),
    [anon_sym_delete] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2788),
    [anon_sym_namespace] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
    [anon_sym_concept] = ACTIONS(2788),
    [anon_sym_co_return] = ACTIONS(2788),
    [anon_sym_co_yield] = ACTIONS(2788),
    [anon_sym_R_DQUOTE] = ACTIONS(2790),
    [anon_sym_LR_DQUOTE] = ACTIONS(2790),
    [anon_sym_uR_DQUOTE] = ACTIONS(2790),
    [anon_sym_UR_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2790),
    [anon_sym_co_await] = ACTIONS(2788),
    [anon_sym_new] = ACTIONS(2788),
    [anon_sym_requires] = ACTIONS(2788),
    [sym_this] = ACTIONS(2788),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2656),
    [anon_sym___leave] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2782),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2780),
    [anon_sym___leave] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [sym_virtual] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym___leave] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_include_token1] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym___cdecl] = ACTIONS(2788),
    [anon_sym___clrcall] = ACTIONS(2788),
    [anon_sym___stdcall] = ACTIONS(2788),
    [anon_sym___fastcall] = ACTIONS(2788),
    [anon_sym___thiscall] = ACTIONS(2788),
    [anon_sym___vectorcall] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [anon_sym_default] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(2788),
    [anon_sym_do] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2788),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_break] = ACTIONS(2788),
    [anon_sym_continue] = ACTIONS(2788),
    [anon_sym_goto] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2788),
    [anon_sym___leave] = ACTIONS(2788),
    [anon_sym_not] = ACTIONS(2788),
    [anon_sym_compl] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_sizeof] = ACTIONS(2788),
    [anon_sym___alignof__] = ACTIONS(2788),
    [anon_sym___alignof] = ACTIONS(2788),
    [anon_sym__alignof] = ACTIONS(2788),
    [anon_sym_alignof] = ACTIONS(2788),
    [anon_sym__Alignof] = ACTIONS(2788),
    [anon_sym_offsetof] = ACTIONS(2788),
    [anon_sym__Generic] = ACTIONS(2788),
    [anon_sym_asm] = ACTIONS(2788),
    [anon_sym___asm__] = ACTIONS(2788),
    [sym_number_literal] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2790),
    [anon_sym_u_SQUOTE] = ACTIONS(2790),
    [anon_sym_U_SQUOTE] = ACTIONS(2790),
    [anon_sym_u8_SQUOTE] = ACTIONS(2790),
    [anon_sym_SQUOTE] = ACTIONS(2790),
    [anon_sym_L_DQUOTE] = ACTIONS(2790),
    [anon_sym_u_DQUOTE] = ACTIONS(2790),
    [anon_sym_U_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8_DQUOTE] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [sym_true] = ACTIONS(2788),
    [sym_false] = ACTIONS(2788),
    [anon_sym_NULL] = ACTIONS(2788),
    [anon_sym_nullptr] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2788),
    [anon_sym_delete] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2788),
    [anon_sym_namespace] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
    [anon_sym_concept] = ACTIONS(2788),
    [anon_sym_co_return] = ACTIONS(2788),
    [anon_sym_co_yield] = ACTIONS(2788),
    [anon_sym_R_DQUOTE] = ACTIONS(2790),
    [anon_sym_LR_DQUOTE] = ACTIONS(2790),
    [anon_sym_uR_DQUOTE] = ACTIONS(2790),
    [anon_sym_UR_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2790),
    [anon_sym_co_await] = ACTIONS(2788),
    [anon_sym_new] = ACTIONS(2788),
    [anon_sym_requires] = ACTIONS(2788),
    [sym_this] = ACTIONS(2788),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [sym_virtual] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [sym_virtual] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2862),
    [anon_sym___leave] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [sym_virtual] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2878),
    [aux_sym_preproc_include_token1] = ACTIONS(2878),
    [aux_sym_preproc_def_token1] = ACTIONS(2878),
    [aux_sym_preproc_if_token1] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2878),
    [sym_preproc_directive] = ACTIONS(2878),
    [anon_sym_LPAREN2] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_SEMI] = ACTIONS(2880),
    [anon_sym___extension__] = ACTIONS(2878),
    [anon_sym_typedef] = ACTIONS(2878),
    [anon_sym_extern] = ACTIONS(2878),
    [anon_sym___attribute__] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2880),
    [anon_sym___declspec] = ACTIONS(2878),
    [anon_sym___based] = ACTIONS(2878),
    [anon_sym___cdecl] = ACTIONS(2878),
    [anon_sym___clrcall] = ACTIONS(2878),
    [anon_sym___stdcall] = ACTIONS(2878),
    [anon_sym___fastcall] = ACTIONS(2878),
    [anon_sym___thiscall] = ACTIONS(2878),
    [anon_sym___vectorcall] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_RBRACE] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2878),
    [anon_sym_unsigned] = ACTIONS(2878),
    [anon_sym_long] = ACTIONS(2878),
    [anon_sym_short] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_register] = ACTIONS(2878),
    [anon_sym_inline] = ACTIONS(2878),
    [anon_sym___inline] = ACTIONS(2878),
    [anon_sym___inline__] = ACTIONS(2878),
    [anon_sym___forceinline] = ACTIONS(2878),
    [anon_sym_thread_local] = ACTIONS(2878),
    [anon_sym___thread] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_constexpr] = ACTIONS(2878),
    [anon_sym_volatile] = ACTIONS(2878),
    [anon_sym_restrict] = ACTIONS(2878),
    [anon_sym___restrict__] = ACTIONS(2878),
    [anon_sym__Atomic] = ACTIONS(2878),
    [anon_sym__Noreturn] = ACTIONS(2878),
    [anon_sym_noreturn] = ACTIONS(2878),
    [anon_sym_mutable] = ACTIONS(2878),
    [anon_sym_constinit] = ACTIONS(2878),
    [anon_sym_consteval] = ACTIONS(2878),
    [anon_sym_alignas] = ACTIONS(2878),
    [anon_sym__Alignas] = ACTIONS(2878),
    [sym_primitive_type] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_union] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_goto] = ACTIONS(2878),
    [anon_sym___try] = ACTIONS(2878),
    [anon_sym___leave] = ACTIONS(2878),
    [anon_sym_not] = ACTIONS(2878),
    [anon_sym_compl] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2880),
    [anon_sym_sizeof] = ACTIONS(2878),
    [anon_sym___alignof__] = ACTIONS(2878),
    [anon_sym___alignof] = ACTIONS(2878),
    [anon_sym__alignof] = ACTIONS(2878),
    [anon_sym_alignof] = ACTIONS(2878),
    [anon_sym__Alignof] = ACTIONS(2878),
    [anon_sym_offsetof] = ACTIONS(2878),
    [anon_sym__Generic] = ACTIONS(2878),
    [anon_sym_asm] = ACTIONS(2878),
    [anon_sym___asm__] = ACTIONS(2878),
    [sym_number_literal] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2880),
    [anon_sym_u_SQUOTE] = ACTIONS(2880),
    [anon_sym_U_SQUOTE] = ACTIONS(2880),
    [anon_sym_u8_SQUOTE] = ACTIONS(2880),
    [anon_sym_SQUOTE] = ACTIONS(2880),
    [anon_sym_L_DQUOTE] = ACTIONS(2880),
    [anon_sym_u_DQUOTE] = ACTIONS(2880),
    [anon_sym_U_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [anon_sym_NULL] = ACTIONS(2878),
    [anon_sym_nullptr] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2878),
    [sym_virtual] = ACTIONS(2878),
    [anon_sym_explicit] = ACTIONS(2878),
    [anon_sym_typename] = ACTIONS(2878),
    [anon_sym_template] = ACTIONS(2878),
    [anon_sym_operator] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_using] = ACTIONS(2878),
    [anon_sym_static_assert] = ACTIONS(2878),
    [anon_sym_concept] = ACTIONS(2878),
    [anon_sym_co_return] = ACTIONS(2878),
    [anon_sym_co_yield] = ACTIONS(2878),
    [anon_sym_R_DQUOTE] = ACTIONS(2880),
    [anon_sym_LR_DQUOTE] = ACTIONS(2880),
    [anon_sym_uR_DQUOTE] = ACTIONS(2880),
    [anon_sym_UR_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2880),
    [anon_sym_co_await] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_requires] = ACTIONS(2878),
    [sym_this] = ACTIONS(2878),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym___leave] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2886),
    [aux_sym_preproc_include_token1] = ACTIONS(2886),
    [aux_sym_preproc_def_token1] = ACTIONS(2886),
    [aux_sym_preproc_if_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2886),
    [sym_preproc_directive] = ACTIONS(2886),
    [anon_sym_LPAREN2] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym___extension__] = ACTIONS(2886),
    [anon_sym_typedef] = ACTIONS(2886),
    [anon_sym_extern] = ACTIONS(2886),
    [anon_sym___attribute__] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2888),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2888),
    [anon_sym___declspec] = ACTIONS(2886),
    [anon_sym___based] = ACTIONS(2886),
    [anon_sym___cdecl] = ACTIONS(2886),
    [anon_sym___clrcall] = ACTIONS(2886),
    [anon_sym___stdcall] = ACTIONS(2886),
    [anon_sym___fastcall] = ACTIONS(2886),
    [anon_sym___thiscall] = ACTIONS(2886),
    [anon_sym___vectorcall] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2886),
    [anon_sym_unsigned] = ACTIONS(2886),
    [anon_sym_long] = ACTIONS(2886),
    [anon_sym_short] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_static] = ACTIONS(2886),
    [anon_sym_register] = ACTIONS(2886),
    [anon_sym_inline] = ACTIONS(2886),
    [anon_sym___inline] = ACTIONS(2886),
    [anon_sym___inline__] = ACTIONS(2886),
    [anon_sym___forceinline] = ACTIONS(2886),
    [anon_sym_thread_local] = ACTIONS(2886),
    [anon_sym___thread] = ACTIONS(2886),
    [anon_sym_const] = ACTIONS(2886),
    [anon_sym_constexpr] = ACTIONS(2886),
    [anon_sym_volatile] = ACTIONS(2886),
    [anon_sym_restrict] = ACTIONS(2886),
    [anon_sym___restrict__] = ACTIONS(2886),
    [anon_sym__Atomic] = ACTIONS(2886),
    [anon_sym__Noreturn] = ACTIONS(2886),
    [anon_sym_noreturn] = ACTIONS(2886),
    [anon_sym_mutable] = ACTIONS(2886),
    [anon_sym_constinit] = ACTIONS(2886),
    [anon_sym_consteval] = ACTIONS(2886),
    [anon_sym_alignas] = ACTIONS(2886),
    [anon_sym__Alignas] = ACTIONS(2886),
    [sym_primitive_type] = ACTIONS(2886),
    [anon_sym_enum] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2886),
    [anon_sym_struct] = ACTIONS(2886),
    [anon_sym_union] = ACTIONS(2886),
    [anon_sym_if] = ACTIONS(2886),
    [anon_sym_switch] = ACTIONS(2886),
    [anon_sym_case] = ACTIONS(2886),
    [anon_sym_default] = ACTIONS(2886),
    [anon_sym_while] = ACTIONS(2886),
    [anon_sym_do] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2886),
    [anon_sym_return] = ACTIONS(2886),
    [anon_sym_break] = ACTIONS(2886),
    [anon_sym_continue] = ACTIONS(2886),
    [anon_sym_goto] = ACTIONS(2886),
    [anon_sym___try] = ACTIONS(2886),
    [anon_sym___leave] = ACTIONS(2886),
    [anon_sym_not] = ACTIONS(2886),
    [anon_sym_compl] = ACTIONS(2886),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_sizeof] = ACTIONS(2886),
    [anon_sym___alignof__] = ACTIONS(2886),
    [anon_sym___alignof] = ACTIONS(2886),
    [anon_sym__alignof] = ACTIONS(2886),
    [anon_sym_alignof] = ACTIONS(2886),
    [anon_sym__Alignof] = ACTIONS(2886),
    [anon_sym_offsetof] = ACTIONS(2886),
    [anon_sym__Generic] = ACTIONS(2886),
    [anon_sym_asm] = ACTIONS(2886),
    [anon_sym___asm__] = ACTIONS(2886),
    [sym_number_literal] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2888),
    [anon_sym_u_SQUOTE] = ACTIONS(2888),
    [anon_sym_U_SQUOTE] = ACTIONS(2888),
    [anon_sym_u8_SQUOTE] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2888),
    [anon_sym_L_DQUOTE] = ACTIONS(2888),
    [anon_sym_u_DQUOTE] = ACTIONS(2888),
    [anon_sym_U_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [sym_true] = ACTIONS(2886),
    [sym_false] = ACTIONS(2886),
    [anon_sym_NULL] = ACTIONS(2886),
    [anon_sym_nullptr] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2886),
    [anon_sym_decltype] = ACTIONS(2886),
    [sym_virtual] = ACTIONS(2886),
    [anon_sym_explicit] = ACTIONS(2886),
    [anon_sym_typename] = ACTIONS(2886),
    [anon_sym_template] = ACTIONS(2886),
    [anon_sym_operator] = ACTIONS(2886),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_throw] = ACTIONS(2886),
    [anon_sym_namespace] = ACTIONS(2886),
    [anon_sym_using] = ACTIONS(2886),
    [anon_sym_static_assert] = ACTIONS(2886),
    [anon_sym_concept] = ACTIONS(2886),
    [anon_sym_co_return] = ACTIONS(2886),
    [anon_sym_co_yield] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2886),
    [anon_sym_requires] = ACTIONS(2886),
    [sym_this] = ACTIONS(2886),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym___try] = ACTIONS(2898),
    [anon_sym___leave] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [sym_virtual] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [sym_virtual] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [sym_virtual] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token2] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2656),
    [anon_sym___leave] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [640] = {
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_field_declaration_list] = STATE(640),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(640),
    [sym_type_definition] = STATE(640),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5234),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(640),
    [sym_field_declaration] = STATE(640),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(640),
    [sym_operator_cast] = STATE(6287),
    [sym_inline_method_definition] = STATE(640),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(640),
    [sym_operator_cast_declaration] = STATE(640),
    [sym_constructor_or_destructor_definition] = STATE(640),
    [sym_constructor_or_destructor_declaration] = STATE(640),
    [sym_friend_declaration] = STATE(640),
    [sym_access_specifier] = STATE(7552),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(640),
    [sym_alias_declaration] = STATE(640),
    [sym_static_assert_declaration] = STATE(640),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(640),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3246),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(3258),
    [anon_sym_restrict] = ACTIONS(3258),
    [anon_sym___restrict__] = ACTIONS(3258),
    [anon_sym__Atomic] = ACTIONS(3258),
    [anon_sym__Noreturn] = ACTIONS(3258),
    [anon_sym_noreturn] = ACTIONS(3258),
    [anon_sym_mutable] = ACTIONS(3258),
    [anon_sym_constinit] = ACTIONS(3258),
    [anon_sym_consteval] = ACTIONS(3258),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym__Alignas] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_union] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3282),
    [sym_virtual] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_friend] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3309),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2878),
    [aux_sym_preproc_include_token1] = ACTIONS(2878),
    [aux_sym_preproc_def_token1] = ACTIONS(2878),
    [aux_sym_preproc_if_token1] = ACTIONS(2878),
    [aux_sym_preproc_if_token2] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2878),
    [sym_preproc_directive] = ACTIONS(2878),
    [anon_sym_LPAREN2] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym_SEMI] = ACTIONS(2880),
    [anon_sym___extension__] = ACTIONS(2878),
    [anon_sym_typedef] = ACTIONS(2878),
    [anon_sym_extern] = ACTIONS(2878),
    [anon_sym___attribute__] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2880),
    [anon_sym___declspec] = ACTIONS(2878),
    [anon_sym___based] = ACTIONS(2878),
    [anon_sym___cdecl] = ACTIONS(2878),
    [anon_sym___clrcall] = ACTIONS(2878),
    [anon_sym___stdcall] = ACTIONS(2878),
    [anon_sym___fastcall] = ACTIONS(2878),
    [anon_sym___thiscall] = ACTIONS(2878),
    [anon_sym___vectorcall] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2878),
    [anon_sym_unsigned] = ACTIONS(2878),
    [anon_sym_long] = ACTIONS(2878),
    [anon_sym_short] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_register] = ACTIONS(2878),
    [anon_sym_inline] = ACTIONS(2878),
    [anon_sym___inline] = ACTIONS(2878),
    [anon_sym___inline__] = ACTIONS(2878),
    [anon_sym___forceinline] = ACTIONS(2878),
    [anon_sym_thread_local] = ACTIONS(2878),
    [anon_sym___thread] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_constexpr] = ACTIONS(2878),
    [anon_sym_volatile] = ACTIONS(2878),
    [anon_sym_restrict] = ACTIONS(2878),
    [anon_sym___restrict__] = ACTIONS(2878),
    [anon_sym__Atomic] = ACTIONS(2878),
    [anon_sym__Noreturn] = ACTIONS(2878),
    [anon_sym_noreturn] = ACTIONS(2878),
    [anon_sym_mutable] = ACTIONS(2878),
    [anon_sym_constinit] = ACTIONS(2878),
    [anon_sym_consteval] = ACTIONS(2878),
    [anon_sym_alignas] = ACTIONS(2878),
    [anon_sym__Alignas] = ACTIONS(2878),
    [sym_primitive_type] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_union] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_goto] = ACTIONS(2878),
    [anon_sym___try] = ACTIONS(2878),
    [anon_sym___leave] = ACTIONS(2878),
    [anon_sym_not] = ACTIONS(2878),
    [anon_sym_compl] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2880),
    [anon_sym_sizeof] = ACTIONS(2878),
    [anon_sym___alignof__] = ACTIONS(2878),
    [anon_sym___alignof] = ACTIONS(2878),
    [anon_sym__alignof] = ACTIONS(2878),
    [anon_sym_alignof] = ACTIONS(2878),
    [anon_sym__Alignof] = ACTIONS(2878),
    [anon_sym_offsetof] = ACTIONS(2878),
    [anon_sym__Generic] = ACTIONS(2878),
    [anon_sym_asm] = ACTIONS(2878),
    [anon_sym___asm__] = ACTIONS(2878),
    [sym_number_literal] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2880),
    [anon_sym_u_SQUOTE] = ACTIONS(2880),
    [anon_sym_U_SQUOTE] = ACTIONS(2880),
    [anon_sym_u8_SQUOTE] = ACTIONS(2880),
    [anon_sym_SQUOTE] = ACTIONS(2880),
    [anon_sym_L_DQUOTE] = ACTIONS(2880),
    [anon_sym_u_DQUOTE] = ACTIONS(2880),
    [anon_sym_U_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [anon_sym_NULL] = ACTIONS(2878),
    [anon_sym_nullptr] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2878),
    [sym_virtual] = ACTIONS(2878),
    [anon_sym_explicit] = ACTIONS(2878),
    [anon_sym_typename] = ACTIONS(2878),
    [anon_sym_template] = ACTIONS(2878),
    [anon_sym_operator] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_using] = ACTIONS(2878),
    [anon_sym_static_assert] = ACTIONS(2878),
    [anon_sym_concept] = ACTIONS(2878),
    [anon_sym_co_return] = ACTIONS(2878),
    [anon_sym_co_yield] = ACTIONS(2878),
    [anon_sym_R_DQUOTE] = ACTIONS(2880),
    [anon_sym_LR_DQUOTE] = ACTIONS(2880),
    [anon_sym_uR_DQUOTE] = ACTIONS(2880),
    [anon_sym_UR_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2880),
    [anon_sym_co_await] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_requires] = ACTIONS(2878),
    [sym_this] = ACTIONS(2878),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [sym_virtual] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2886),
    [aux_sym_preproc_include_token1] = ACTIONS(2886),
    [aux_sym_preproc_def_token1] = ACTIONS(2886),
    [aux_sym_preproc_if_token1] = ACTIONS(2886),
    [aux_sym_preproc_if_token2] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2886),
    [sym_preproc_directive] = ACTIONS(2886),
    [anon_sym_LPAREN2] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym___extension__] = ACTIONS(2886),
    [anon_sym_typedef] = ACTIONS(2886),
    [anon_sym_extern] = ACTIONS(2886),
    [anon_sym___attribute__] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2888),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2888),
    [anon_sym___declspec] = ACTIONS(2886),
    [anon_sym___based] = ACTIONS(2886),
    [anon_sym___cdecl] = ACTIONS(2886),
    [anon_sym___clrcall] = ACTIONS(2886),
    [anon_sym___stdcall] = ACTIONS(2886),
    [anon_sym___fastcall] = ACTIONS(2886),
    [anon_sym___thiscall] = ACTIONS(2886),
    [anon_sym___vectorcall] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2886),
    [anon_sym_unsigned] = ACTIONS(2886),
    [anon_sym_long] = ACTIONS(2886),
    [anon_sym_short] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_static] = ACTIONS(2886),
    [anon_sym_register] = ACTIONS(2886),
    [anon_sym_inline] = ACTIONS(2886),
    [anon_sym___inline] = ACTIONS(2886),
    [anon_sym___inline__] = ACTIONS(2886),
    [anon_sym___forceinline] = ACTIONS(2886),
    [anon_sym_thread_local] = ACTIONS(2886),
    [anon_sym___thread] = ACTIONS(2886),
    [anon_sym_const] = ACTIONS(2886),
    [anon_sym_constexpr] = ACTIONS(2886),
    [anon_sym_volatile] = ACTIONS(2886),
    [anon_sym_restrict] = ACTIONS(2886),
    [anon_sym___restrict__] = ACTIONS(2886),
    [anon_sym__Atomic] = ACTIONS(2886),
    [anon_sym__Noreturn] = ACTIONS(2886),
    [anon_sym_noreturn] = ACTIONS(2886),
    [anon_sym_mutable] = ACTIONS(2886),
    [anon_sym_constinit] = ACTIONS(2886),
    [anon_sym_consteval] = ACTIONS(2886),
    [anon_sym_alignas] = ACTIONS(2886),
    [anon_sym__Alignas] = ACTIONS(2886),
    [sym_primitive_type] = ACTIONS(2886),
    [anon_sym_enum] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2886),
    [anon_sym_struct] = ACTIONS(2886),
    [anon_sym_union] = ACTIONS(2886),
    [anon_sym_if] = ACTIONS(2886),
    [anon_sym_switch] = ACTIONS(2886),
    [anon_sym_case] = ACTIONS(2886),
    [anon_sym_default] = ACTIONS(2886),
    [anon_sym_while] = ACTIONS(2886),
    [anon_sym_do] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2886),
    [anon_sym_return] = ACTIONS(2886),
    [anon_sym_break] = ACTIONS(2886),
    [anon_sym_continue] = ACTIONS(2886),
    [anon_sym_goto] = ACTIONS(2886),
    [anon_sym___try] = ACTIONS(2886),
    [anon_sym___leave] = ACTIONS(2886),
    [anon_sym_not] = ACTIONS(2886),
    [anon_sym_compl] = ACTIONS(2886),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_sizeof] = ACTIONS(2886),
    [anon_sym___alignof__] = ACTIONS(2886),
    [anon_sym___alignof] = ACTIONS(2886),
    [anon_sym__alignof] = ACTIONS(2886),
    [anon_sym_alignof] = ACTIONS(2886),
    [anon_sym__Alignof] = ACTIONS(2886),
    [anon_sym_offsetof] = ACTIONS(2886),
    [anon_sym__Generic] = ACTIONS(2886),
    [anon_sym_asm] = ACTIONS(2886),
    [anon_sym___asm__] = ACTIONS(2886),
    [sym_number_literal] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2888),
    [anon_sym_u_SQUOTE] = ACTIONS(2888),
    [anon_sym_U_SQUOTE] = ACTIONS(2888),
    [anon_sym_u8_SQUOTE] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2888),
    [anon_sym_L_DQUOTE] = ACTIONS(2888),
    [anon_sym_u_DQUOTE] = ACTIONS(2888),
    [anon_sym_U_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [sym_true] = ACTIONS(2886),
    [sym_false] = ACTIONS(2886),
    [anon_sym_NULL] = ACTIONS(2886),
    [anon_sym_nullptr] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2886),
    [anon_sym_decltype] = ACTIONS(2886),
    [sym_virtual] = ACTIONS(2886),
    [anon_sym_explicit] = ACTIONS(2886),
    [anon_sym_typename] = ACTIONS(2886),
    [anon_sym_template] = ACTIONS(2886),
    [anon_sym_operator] = ACTIONS(2886),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_throw] = ACTIONS(2886),
    [anon_sym_namespace] = ACTIONS(2886),
    [anon_sym_using] = ACTIONS(2886),
    [anon_sym_static_assert] = ACTIONS(2886),
    [anon_sym_concept] = ACTIONS(2886),
    [anon_sym_co_return] = ACTIONS(2886),
    [anon_sym_co_yield] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2886),
    [anon_sym_requires] = ACTIONS(2886),
    [sym_this] = ACTIONS(2886),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [sym_virtual] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token2] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym___try] = ACTIONS(2898),
    [anon_sym___leave] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [sym_virtual] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [654] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym___try] = ACTIONS(3015),
    [anon_sym___leave] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym___leave] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym___try] = ACTIONS(3011),
    [anon_sym___leave] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [658] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2822),
    [anon_sym___leave] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2644),
    [anon_sym___leave] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [663] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2646),
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [anon_sym_COMMA] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2838),
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [anon_sym_COMMA] = ACTIONS(2838),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym_not] = ACTIONS(2836),
    [anon_sym_compl] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_try] = ACTIONS(2836),
    [anon_sym_delete] = ACTIONS(2836),
    [anon_sym_throw] = ACTIONS(2836),
    [anon_sym_namespace] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
    [anon_sym_concept] = ACTIONS(2836),
    [anon_sym_co_return] = ACTIONS(2836),
    [anon_sym_co_yield] = ACTIONS(2836),
    [anon_sym_R_DQUOTE] = ACTIONS(2838),
    [anon_sym_LR_DQUOTE] = ACTIONS(2838),
    [anon_sym_uR_DQUOTE] = ACTIONS(2838),
    [anon_sym_UR_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2838),
    [anon_sym_co_await] = ACTIONS(2836),
    [anon_sym_new] = ACTIONS(2836),
    [anon_sym_requires] = ACTIONS(2836),
    [sym_this] = ACTIONS(2836),
  },
  [666] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [aux_sym_preproc_if_token2] = ACTIONS(1886),
    [aux_sym_preproc_else_token1] = ACTIONS(1886),
    [aux_sym_preproc_elif_token1] = ACTIONS(1884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2842),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [sym_virtual] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(2828),
    [sym_identifier] = ACTIONS(2826),
    [aux_sym_preproc_include_token1] = ACTIONS(2826),
    [aux_sym_preproc_def_token1] = ACTIONS(2826),
    [aux_sym_preproc_if_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2826),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2826),
    [sym_preproc_directive] = ACTIONS(2826),
    [anon_sym_LPAREN2] = ACTIONS(2828),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2828),
    [anon_sym_AMP_AMP] = ACTIONS(2828),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2826),
    [anon_sym_typedef] = ACTIONS(2826),
    [anon_sym_extern] = ACTIONS(2826),
    [anon_sym___attribute__] = ACTIONS(2826),
    [anon_sym_COLON_COLON] = ACTIONS(2828),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2828),
    [anon_sym___declspec] = ACTIONS(2826),
    [anon_sym___based] = ACTIONS(2826),
    [anon_sym___cdecl] = ACTIONS(2826),
    [anon_sym___clrcall] = ACTIONS(2826),
    [anon_sym___stdcall] = ACTIONS(2826),
    [anon_sym___fastcall] = ACTIONS(2826),
    [anon_sym___thiscall] = ACTIONS(2826),
    [anon_sym___vectorcall] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2826),
    [anon_sym_unsigned] = ACTIONS(2826),
    [anon_sym_long] = ACTIONS(2826),
    [anon_sym_short] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_register] = ACTIONS(2826),
    [anon_sym_inline] = ACTIONS(2826),
    [anon_sym___inline] = ACTIONS(2826),
    [anon_sym___inline__] = ACTIONS(2826),
    [anon_sym___forceinline] = ACTIONS(2826),
    [anon_sym_thread_local] = ACTIONS(2826),
    [anon_sym___thread] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_constexpr] = ACTIONS(2826),
    [anon_sym_volatile] = ACTIONS(2826),
    [anon_sym_restrict] = ACTIONS(2826),
    [anon_sym___restrict__] = ACTIONS(2826),
    [anon_sym__Atomic] = ACTIONS(2826),
    [anon_sym__Noreturn] = ACTIONS(2826),
    [anon_sym_noreturn] = ACTIONS(2826),
    [anon_sym_mutable] = ACTIONS(2826),
    [anon_sym_constinit] = ACTIONS(2826),
    [anon_sym_consteval] = ACTIONS(2826),
    [anon_sym_alignas] = ACTIONS(2826),
    [anon_sym__Alignas] = ACTIONS(2826),
    [sym_primitive_type] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_struct] = ACTIONS(2826),
    [anon_sym_union] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_goto] = ACTIONS(2826),
    [anon_sym_not] = ACTIONS(2826),
    [anon_sym_compl] = ACTIONS(2826),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_sizeof] = ACTIONS(2826),
    [anon_sym___alignof__] = ACTIONS(2826),
    [anon_sym___alignof] = ACTIONS(2826),
    [anon_sym__alignof] = ACTIONS(2826),
    [anon_sym_alignof] = ACTIONS(2826),
    [anon_sym__Alignof] = ACTIONS(2826),
    [anon_sym_offsetof] = ACTIONS(2826),
    [anon_sym__Generic] = ACTIONS(2826),
    [anon_sym_asm] = ACTIONS(2826),
    [anon_sym___asm__] = ACTIONS(2826),
    [sym_number_literal] = ACTIONS(2828),
    [anon_sym_L_SQUOTE] = ACTIONS(2828),
    [anon_sym_u_SQUOTE] = ACTIONS(2828),
    [anon_sym_U_SQUOTE] = ACTIONS(2828),
    [anon_sym_u8_SQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_L_DQUOTE] = ACTIONS(2828),
    [anon_sym_u_DQUOTE] = ACTIONS(2828),
    [anon_sym_U_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8_DQUOTE] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [anon_sym_NULL] = ACTIONS(2826),
    [anon_sym_nullptr] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2826),
    [anon_sym_decltype] = ACTIONS(2826),
    [sym_virtual] = ACTIONS(2826),
    [anon_sym_explicit] = ACTIONS(2826),
    [anon_sym_typename] = ACTIONS(2826),
    [anon_sym_template] = ACTIONS(2826),
    [anon_sym_operator] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_static_assert] = ACTIONS(2826),
    [anon_sym_concept] = ACTIONS(2826),
    [anon_sym_co_return] = ACTIONS(2826),
    [anon_sym_co_yield] = ACTIONS(2826),
    [anon_sym_R_DQUOTE] = ACTIONS(2828),
    [anon_sym_LR_DQUOTE] = ACTIONS(2828),
    [anon_sym_uR_DQUOTE] = ACTIONS(2828),
    [anon_sym_UR_DQUOTE] = ACTIONS(2828),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2828),
    [anon_sym_co_await] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_requires] = ACTIONS(2826),
    [sym_this] = ACTIONS(2826),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2662),
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym__Alignas] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [sym_virtual] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2979),
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2969),
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(2963),
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2654),
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_AMP_AMP] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2758),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym_COLON_COLON] = ACTIONS(2760),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___based] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_mutable] = ACTIONS(2758),
    [anon_sym_constinit] = ACTIONS(2758),
    [anon_sym_consteval] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_not] = ACTIONS(2758),
    [anon_sym_compl] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2758),
    [anon_sym_decltype] = ACTIONS(2758),
    [sym_virtual] = ACTIONS(2758),
    [anon_sym_explicit] = ACTIONS(2758),
    [anon_sym_typename] = ACTIONS(2758),
    [anon_sym_template] = ACTIONS(2758),
    [anon_sym_operator] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_static_assert] = ACTIONS(2758),
    [anon_sym_concept] = ACTIONS(2758),
    [anon_sym_co_return] = ACTIONS(2758),
    [anon_sym_co_yield] = ACTIONS(2758),
    [anon_sym_R_DQUOTE] = ACTIONS(2760),
    [anon_sym_LR_DQUOTE] = ACTIONS(2760),
    [anon_sym_uR_DQUOTE] = ACTIONS(2760),
    [anon_sym_UR_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2760),
    [anon_sym_co_await] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_requires] = ACTIONS(2758),
    [sym_this] = ACTIONS(2758),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(3338),
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym__Alignas] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [sym_virtual] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2650),
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_include_token1] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_BANG] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym___cdecl] = ACTIONS(2882),
    [anon_sym___clrcall] = ACTIONS(2882),
    [anon_sym___stdcall] = ACTIONS(2882),
    [anon_sym___fastcall] = ACTIONS(2882),
    [anon_sym___thiscall] = ACTIONS(2882),
    [anon_sym___vectorcall] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2882),
    [anon_sym_switch] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_default] = ACTIONS(2882),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_do] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2882),
    [anon_sym_return] = ACTIONS(2882),
    [anon_sym_break] = ACTIONS(2882),
    [anon_sym_continue] = ACTIONS(2882),
    [anon_sym_goto] = ACTIONS(2882),
    [anon_sym_not] = ACTIONS(2882),
    [anon_sym_compl] = ACTIONS(2882),
    [anon_sym_DASH_DASH] = ACTIONS(2884),
    [anon_sym_PLUS_PLUS] = ACTIONS(2884),
    [anon_sym_sizeof] = ACTIONS(2882),
    [anon_sym___alignof__] = ACTIONS(2882),
    [anon_sym___alignof] = ACTIONS(2882),
    [anon_sym__alignof] = ACTIONS(2882),
    [anon_sym_alignof] = ACTIONS(2882),
    [anon_sym__Alignof] = ACTIONS(2882),
    [anon_sym_offsetof] = ACTIONS(2882),
    [anon_sym__Generic] = ACTIONS(2882),
    [anon_sym_asm] = ACTIONS(2882),
    [anon_sym___asm__] = ACTIONS(2882),
    [sym_number_literal] = ACTIONS(2884),
    [anon_sym_L_SQUOTE] = ACTIONS(2884),
    [anon_sym_u_SQUOTE] = ACTIONS(2884),
    [anon_sym_U_SQUOTE] = ACTIONS(2884),
    [anon_sym_u8_SQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [anon_sym_L_DQUOTE] = ACTIONS(2884),
    [anon_sym_u_DQUOTE] = ACTIONS(2884),
    [anon_sym_U_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8_DQUOTE] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [anon_sym_NULL] = ACTIONS(2882),
    [anon_sym_nullptr] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_try] = ACTIONS(2882),
    [anon_sym_delete] = ACTIONS(2882),
    [anon_sym_throw] = ACTIONS(2882),
    [anon_sym_namespace] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
    [anon_sym_concept] = ACTIONS(2882),
    [anon_sym_co_return] = ACTIONS(2882),
    [anon_sym_co_yield] = ACTIONS(2882),
    [anon_sym_R_DQUOTE] = ACTIONS(2884),
    [anon_sym_LR_DQUOTE] = ACTIONS(2884),
    [anon_sym_uR_DQUOTE] = ACTIONS(2884),
    [anon_sym_UR_DQUOTE] = ACTIONS(2884),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2884),
    [anon_sym_co_await] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_requires] = ACTIONS(2882),
    [sym_this] = ACTIONS(2882),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(2989),
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2949),
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym__Alignas] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [sym_virtual] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(2756),
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_AMP_AMP] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2754),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym_COLON_COLON] = ACTIONS(2756),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___based] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_mutable] = ACTIONS(2754),
    [anon_sym_constinit] = ACTIONS(2754),
    [anon_sym_consteval] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2754),
    [anon_sym_compl] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2754),
    [anon_sym_decltype] = ACTIONS(2754),
    [sym_virtual] = ACTIONS(2754),
    [anon_sym_explicit] = ACTIONS(2754),
    [anon_sym_typename] = ACTIONS(2754),
    [anon_sym_template] = ACTIONS(2754),
    [anon_sym_operator] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_static_assert] = ACTIONS(2754),
    [anon_sym_concept] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2754),
    [anon_sym_co_yield] = ACTIONS(2754),
    [anon_sym_R_DQUOTE] = ACTIONS(2756),
    [anon_sym_LR_DQUOTE] = ACTIONS(2756),
    [anon_sym_uR_DQUOTE] = ACTIONS(2756),
    [anon_sym_UR_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2756),
    [anon_sym_co_await] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_requires] = ACTIONS(2754),
    [sym_this] = ACTIONS(2754),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(3009),
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2876),
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_include_token1] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2874),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym___cdecl] = ACTIONS(2874),
    [anon_sym___clrcall] = ACTIONS(2874),
    [anon_sym___stdcall] = ACTIONS(2874),
    [anon_sym___fastcall] = ACTIONS(2874),
    [anon_sym___thiscall] = ACTIONS(2874),
    [anon_sym___vectorcall] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [anon_sym_if] = ACTIONS(2874),
    [anon_sym_switch] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_default] = ACTIONS(2874),
    [anon_sym_while] = ACTIONS(2874),
    [anon_sym_do] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2874),
    [anon_sym_return] = ACTIONS(2874),
    [anon_sym_break] = ACTIONS(2874),
    [anon_sym_continue] = ACTIONS(2874),
    [anon_sym_goto] = ACTIONS(2874),
    [anon_sym_not] = ACTIONS(2874),
    [anon_sym_compl] = ACTIONS(2874),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_sizeof] = ACTIONS(2874),
    [anon_sym___alignof__] = ACTIONS(2874),
    [anon_sym___alignof] = ACTIONS(2874),
    [anon_sym__alignof] = ACTIONS(2874),
    [anon_sym_alignof] = ACTIONS(2874),
    [anon_sym__Alignof] = ACTIONS(2874),
    [anon_sym_offsetof] = ACTIONS(2874),
    [anon_sym__Generic] = ACTIONS(2874),
    [anon_sym_asm] = ACTIONS(2874),
    [anon_sym___asm__] = ACTIONS(2874),
    [sym_number_literal] = ACTIONS(2876),
    [anon_sym_L_SQUOTE] = ACTIONS(2876),
    [anon_sym_u_SQUOTE] = ACTIONS(2876),
    [anon_sym_U_SQUOTE] = ACTIONS(2876),
    [anon_sym_u8_SQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [anon_sym_L_DQUOTE] = ACTIONS(2876),
    [anon_sym_u_DQUOTE] = ACTIONS(2876),
    [anon_sym_U_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2874),
    [anon_sym_nullptr] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_try] = ACTIONS(2874),
    [anon_sym_delete] = ACTIONS(2874),
    [anon_sym_throw] = ACTIONS(2874),
    [anon_sym_namespace] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
    [anon_sym_concept] = ACTIONS(2874),
    [anon_sym_co_return] = ACTIONS(2874),
    [anon_sym_co_yield] = ACTIONS(2874),
    [anon_sym_R_DQUOTE] = ACTIONS(2876),
    [anon_sym_LR_DQUOTE] = ACTIONS(2876),
    [anon_sym_uR_DQUOTE] = ACTIONS(2876),
    [anon_sym_UR_DQUOTE] = ACTIONS(2876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2876),
    [anon_sym_co_await] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_requires] = ACTIONS(2874),
    [sym_this] = ACTIONS(2874),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(2786),
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_include_token1] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2784),
    [anon_sym_PLUS] = ACTIONS(2784),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym___cdecl] = ACTIONS(2784),
    [anon_sym___clrcall] = ACTIONS(2784),
    [anon_sym___stdcall] = ACTIONS(2784),
    [anon_sym___fastcall] = ACTIONS(2784),
    [anon_sym___thiscall] = ACTIONS(2784),
    [anon_sym___vectorcall] = ACTIONS(2784),
    [anon_sym_LBRACE] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [anon_sym_if] = ACTIONS(2784),
    [anon_sym_switch] = ACTIONS(2784),
    [anon_sym_case] = ACTIONS(2784),
    [anon_sym_default] = ACTIONS(2784),
    [anon_sym_while] = ACTIONS(2784),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2784),
    [anon_sym_break] = ACTIONS(2784),
    [anon_sym_continue] = ACTIONS(2784),
    [anon_sym_goto] = ACTIONS(2784),
    [anon_sym_not] = ACTIONS(2784),
    [anon_sym_compl] = ACTIONS(2784),
    [anon_sym_DASH_DASH] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2786),
    [anon_sym_sizeof] = ACTIONS(2784),
    [anon_sym___alignof__] = ACTIONS(2784),
    [anon_sym___alignof] = ACTIONS(2784),
    [anon_sym__alignof] = ACTIONS(2784),
    [anon_sym_alignof] = ACTIONS(2784),
    [anon_sym__Alignof] = ACTIONS(2784),
    [anon_sym_offsetof] = ACTIONS(2784),
    [anon_sym__Generic] = ACTIONS(2784),
    [anon_sym_asm] = ACTIONS(2784),
    [anon_sym___asm__] = ACTIONS(2784),
    [sym_number_literal] = ACTIONS(2786),
    [anon_sym_L_SQUOTE] = ACTIONS(2786),
    [anon_sym_u_SQUOTE] = ACTIONS(2786),
    [anon_sym_U_SQUOTE] = ACTIONS(2786),
    [anon_sym_u8_SQUOTE] = ACTIONS(2786),
    [anon_sym_SQUOTE] = ACTIONS(2786),
    [anon_sym_L_DQUOTE] = ACTIONS(2786),
    [anon_sym_u_DQUOTE] = ACTIONS(2786),
    [anon_sym_U_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8_DQUOTE] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2786),
    [sym_true] = ACTIONS(2784),
    [sym_false] = ACTIONS(2784),
    [anon_sym_NULL] = ACTIONS(2784),
    [anon_sym_nullptr] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_try] = ACTIONS(2784),
    [anon_sym_delete] = ACTIONS(2784),
    [anon_sym_throw] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
    [anon_sym_concept] = ACTIONS(2784),
    [anon_sym_co_return] = ACTIONS(2784),
    [anon_sym_co_yield] = ACTIONS(2784),
    [anon_sym_R_DQUOTE] = ACTIONS(2786),
    [anon_sym_LR_DQUOTE] = ACTIONS(2786),
    [anon_sym_uR_DQUOTE] = ACTIONS(2786),
    [anon_sym_UR_DQUOTE] = ACTIONS(2786),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2786),
    [anon_sym_co_await] = ACTIONS(2784),
    [anon_sym_new] = ACTIONS(2784),
    [anon_sym_requires] = ACTIONS(2784),
    [sym_this] = ACTIONS(2784),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_not] = ACTIONS(2750),
    [anon_sym_compl] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
    [anon_sym_concept] = ACTIONS(2750),
    [anon_sym_co_return] = ACTIONS(2750),
    [anon_sym_co_yield] = ACTIONS(2750),
    [anon_sym_R_DQUOTE] = ACTIONS(2752),
    [anon_sym_LR_DQUOTE] = ACTIONS(2752),
    [anon_sym_uR_DQUOTE] = ACTIONS(2752),
    [anon_sym_UR_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2752),
    [anon_sym_co_await] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_requires] = ACTIONS(2750),
    [sym_this] = ACTIONS(2750),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2794),
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_include_token1] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym___cdecl] = ACTIONS(2792),
    [anon_sym___clrcall] = ACTIONS(2792),
    [anon_sym___stdcall] = ACTIONS(2792),
    [anon_sym___fastcall] = ACTIONS(2792),
    [anon_sym___thiscall] = ACTIONS(2792),
    [anon_sym___vectorcall] = ACTIONS(2792),
    [anon_sym_LBRACE] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [anon_sym_if] = ACTIONS(2792),
    [anon_sym_switch] = ACTIONS(2792),
    [anon_sym_case] = ACTIONS(2792),
    [anon_sym_default] = ACTIONS(2792),
    [anon_sym_while] = ACTIONS(2792),
    [anon_sym_do] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2792),
    [anon_sym_return] = ACTIONS(2792),
    [anon_sym_break] = ACTIONS(2792),
    [anon_sym_continue] = ACTIONS(2792),
    [anon_sym_goto] = ACTIONS(2792),
    [anon_sym_not] = ACTIONS(2792),
    [anon_sym_compl] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2794),
    [anon_sym_PLUS_PLUS] = ACTIONS(2794),
    [anon_sym_sizeof] = ACTIONS(2792),
    [anon_sym___alignof__] = ACTIONS(2792),
    [anon_sym___alignof] = ACTIONS(2792),
    [anon_sym__alignof] = ACTIONS(2792),
    [anon_sym_alignof] = ACTIONS(2792),
    [anon_sym__Alignof] = ACTIONS(2792),
    [anon_sym_offsetof] = ACTIONS(2792),
    [anon_sym__Generic] = ACTIONS(2792),
    [anon_sym_asm] = ACTIONS(2792),
    [anon_sym___asm__] = ACTIONS(2792),
    [sym_number_literal] = ACTIONS(2794),
    [anon_sym_L_SQUOTE] = ACTIONS(2794),
    [anon_sym_u_SQUOTE] = ACTIONS(2794),
    [anon_sym_U_SQUOTE] = ACTIONS(2794),
    [anon_sym_u8_SQUOTE] = ACTIONS(2794),
    [anon_sym_SQUOTE] = ACTIONS(2794),
    [anon_sym_L_DQUOTE] = ACTIONS(2794),
    [anon_sym_u_DQUOTE] = ACTIONS(2794),
    [anon_sym_U_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8_DQUOTE] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2794),
    [sym_true] = ACTIONS(2792),
    [sym_false] = ACTIONS(2792),
    [anon_sym_NULL] = ACTIONS(2792),
    [anon_sym_nullptr] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_try] = ACTIONS(2792),
    [anon_sym_delete] = ACTIONS(2792),
    [anon_sym_throw] = ACTIONS(2792),
    [anon_sym_namespace] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
    [anon_sym_concept] = ACTIONS(2792),
    [anon_sym_co_return] = ACTIONS(2792),
    [anon_sym_co_yield] = ACTIONS(2792),
    [anon_sym_R_DQUOTE] = ACTIONS(2794),
    [anon_sym_LR_DQUOTE] = ACTIONS(2794),
    [anon_sym_uR_DQUOTE] = ACTIONS(2794),
    [anon_sym_UR_DQUOTE] = ACTIONS(2794),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2794),
    [anon_sym_co_await] = ACTIONS(2792),
    [anon_sym_new] = ACTIONS(2792),
    [anon_sym_requires] = ACTIONS(2792),
    [sym_this] = ACTIONS(2792),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2870),
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_not] = ACTIONS(2868),
    [anon_sym_compl] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_try] = ACTIONS(2868),
    [anon_sym_delete] = ACTIONS(2868),
    [anon_sym_throw] = ACTIONS(2868),
    [anon_sym_namespace] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
    [anon_sym_concept] = ACTIONS(2868),
    [anon_sym_co_return] = ACTIONS(2868),
    [anon_sym_co_yield] = ACTIONS(2868),
    [anon_sym_R_DQUOTE] = ACTIONS(2870),
    [anon_sym_LR_DQUOTE] = ACTIONS(2870),
    [anon_sym_uR_DQUOTE] = ACTIONS(2870),
    [anon_sym_UR_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2870),
    [anon_sym_co_await] = ACTIONS(2868),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_requires] = ACTIONS(2868),
    [sym_this] = ACTIONS(2868),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2993),
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym__Alignas] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [sym_virtual] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2989),
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2953),
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym__Alignas] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [sym_virtual] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2864),
    [sym_identifier] = ACTIONS(2862),
    [aux_sym_preproc_include_token1] = ACTIONS(2862),
    [aux_sym_preproc_def_token1] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [sym_preproc_directive] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2864),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2864),
    [anon_sym_AMP_AMP] = ACTIONS(2864),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_typedef] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym_COLON_COLON] = ACTIONS(2864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2864),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2862),
    [anon_sym___cdecl] = ACTIONS(2862),
    [anon_sym___clrcall] = ACTIONS(2862),
    [anon_sym___stdcall] = ACTIONS(2862),
    [anon_sym___fastcall] = ACTIONS(2862),
    [anon_sym___thiscall] = ACTIONS(2862),
    [anon_sym___vectorcall] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2862),
    [anon_sym_unsigned] = ACTIONS(2862),
    [anon_sym_long] = ACTIONS(2862),
    [anon_sym_short] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2862),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym_mutable] = ACTIONS(2862),
    [anon_sym_constinit] = ACTIONS(2862),
    [anon_sym_consteval] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [sym_primitive_type] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2862),
    [anon_sym_union] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_goto] = ACTIONS(2862),
    [anon_sym_not] = ACTIONS(2862),
    [anon_sym_compl] = ACTIONS(2862),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_sizeof] = ACTIONS(2862),
    [anon_sym___alignof__] = ACTIONS(2862),
    [anon_sym___alignof] = ACTIONS(2862),
    [anon_sym__alignof] = ACTIONS(2862),
    [anon_sym_alignof] = ACTIONS(2862),
    [anon_sym__Alignof] = ACTIONS(2862),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2862),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [sym_number_literal] = ACTIONS(2864),
    [anon_sym_L_SQUOTE] = ACTIONS(2864),
    [anon_sym_u_SQUOTE] = ACTIONS(2864),
    [anon_sym_U_SQUOTE] = ACTIONS(2864),
    [anon_sym_u8_SQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_L_DQUOTE] = ACTIONS(2864),
    [anon_sym_u_DQUOTE] = ACTIONS(2864),
    [anon_sym_U_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8_DQUOTE] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [anon_sym_NULL] = ACTIONS(2862),
    [anon_sym_nullptr] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2862),
    [anon_sym_decltype] = ACTIONS(2862),
    [sym_virtual] = ACTIONS(2862),
    [anon_sym_explicit] = ACTIONS(2862),
    [anon_sym_typename] = ACTIONS(2862),
    [anon_sym_template] = ACTIONS(2862),
    [anon_sym_operator] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_static_assert] = ACTIONS(2862),
    [anon_sym_concept] = ACTIONS(2862),
    [anon_sym_co_return] = ACTIONS(2862),
    [anon_sym_co_yield] = ACTIONS(2862),
    [anon_sym_R_DQUOTE] = ACTIONS(2864),
    [anon_sym_LR_DQUOTE] = ACTIONS(2864),
    [anon_sym_uR_DQUOTE] = ACTIONS(2864),
    [anon_sym_UR_DQUOTE] = ACTIONS(2864),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2864),
    [anon_sym_co_await] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_requires] = ACTIONS(2862),
    [sym_this] = ACTIONS(2862),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(3017),
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_include_token1] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_BANG] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym___cdecl] = ACTIONS(3015),
    [anon_sym___clrcall] = ACTIONS(3015),
    [anon_sym___stdcall] = ACTIONS(3015),
    [anon_sym___fastcall] = ACTIONS(3015),
    [anon_sym___thiscall] = ACTIONS(3015),
    [anon_sym___vectorcall] = ACTIONS(3015),
    [anon_sym_LBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_switch] = ACTIONS(3015),
    [anon_sym_case] = ACTIONS(3015),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(3015),
    [anon_sym_do] = ACTIONS(3015),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3015),
    [anon_sym_break] = ACTIONS(3015),
    [anon_sym_continue] = ACTIONS(3015),
    [anon_sym_goto] = ACTIONS(3015),
    [anon_sym_not] = ACTIONS(3015),
    [anon_sym_compl] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_sizeof] = ACTIONS(3015),
    [anon_sym___alignof__] = ACTIONS(3015),
    [anon_sym___alignof] = ACTIONS(3015),
    [anon_sym__alignof] = ACTIONS(3015),
    [anon_sym_alignof] = ACTIONS(3015),
    [anon_sym__Alignof] = ACTIONS(3015),
    [anon_sym_offsetof] = ACTIONS(3015),
    [anon_sym__Generic] = ACTIONS(3015),
    [anon_sym_asm] = ACTIONS(3015),
    [anon_sym___asm__] = ACTIONS(3015),
    [sym_number_literal] = ACTIONS(3017),
    [anon_sym_L_SQUOTE] = ACTIONS(3017),
    [anon_sym_u_SQUOTE] = ACTIONS(3017),
    [anon_sym_U_SQUOTE] = ACTIONS(3017),
    [anon_sym_u8_SQUOTE] = ACTIONS(3017),
    [anon_sym_SQUOTE] = ACTIONS(3017),
    [anon_sym_L_DQUOTE] = ACTIONS(3017),
    [anon_sym_u_DQUOTE] = ACTIONS(3017),
    [anon_sym_U_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8_DQUOTE] = ACTIONS(3017),
    [anon_sym_DQUOTE] = ACTIONS(3017),
    [sym_true] = ACTIONS(3015),
    [sym_false] = ACTIONS(3015),
    [anon_sym_NULL] = ACTIONS(3015),
    [anon_sym_nullptr] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_try] = ACTIONS(3015),
    [anon_sym_delete] = ACTIONS(3015),
    [anon_sym_throw] = ACTIONS(3015),
    [anon_sym_namespace] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
    [anon_sym_concept] = ACTIONS(3015),
    [anon_sym_co_return] = ACTIONS(3015),
    [anon_sym_co_yield] = ACTIONS(3015),
    [anon_sym_R_DQUOTE] = ACTIONS(3017),
    [anon_sym_LR_DQUOTE] = ACTIONS(3017),
    [anon_sym_uR_DQUOTE] = ACTIONS(3017),
    [anon_sym_UR_DQUOTE] = ACTIONS(3017),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3017),
    [anon_sym_co_await] = ACTIONS(3015),
    [anon_sym_new] = ACTIONS(3015),
    [anon_sym_requires] = ACTIONS(3015),
    [sym_this] = ACTIONS(3015),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2854),
    [aux_sym_preproc_include_token1] = ACTIONS(2854),
    [aux_sym_preproc_def_token1] = ACTIONS(2854),
    [aux_sym_preproc_if_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2854),
    [sym_preproc_directive] = ACTIONS(2854),
    [anon_sym_LPAREN2] = ACTIONS(2856),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_STAR] = ACTIONS(2856),
    [anon_sym_AMP_AMP] = ACTIONS(2856),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2854),
    [anon_sym_typedef] = ACTIONS(2854),
    [anon_sym_extern] = ACTIONS(2854),
    [anon_sym___attribute__] = ACTIONS(2854),
    [anon_sym_COLON_COLON] = ACTIONS(2856),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2856),
    [anon_sym___declspec] = ACTIONS(2854),
    [anon_sym___based] = ACTIONS(2854),
    [anon_sym___cdecl] = ACTIONS(2854),
    [anon_sym___clrcall] = ACTIONS(2854),
    [anon_sym___stdcall] = ACTIONS(2854),
    [anon_sym___fastcall] = ACTIONS(2854),
    [anon_sym___thiscall] = ACTIONS(2854),
    [anon_sym___vectorcall] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_signed] = ACTIONS(2854),
    [anon_sym_unsigned] = ACTIONS(2854),
    [anon_sym_long] = ACTIONS(2854),
    [anon_sym_short] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_register] = ACTIONS(2854),
    [anon_sym_inline] = ACTIONS(2854),
    [anon_sym___inline] = ACTIONS(2854),
    [anon_sym___inline__] = ACTIONS(2854),
    [anon_sym___forceinline] = ACTIONS(2854),
    [anon_sym_thread_local] = ACTIONS(2854),
    [anon_sym___thread] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_constexpr] = ACTIONS(2854),
    [anon_sym_volatile] = ACTIONS(2854),
    [anon_sym_restrict] = ACTIONS(2854),
    [anon_sym___restrict__] = ACTIONS(2854),
    [anon_sym__Atomic] = ACTIONS(2854),
    [anon_sym__Noreturn] = ACTIONS(2854),
    [anon_sym_noreturn] = ACTIONS(2854),
    [anon_sym_mutable] = ACTIONS(2854),
    [anon_sym_constinit] = ACTIONS(2854),
    [anon_sym_consteval] = ACTIONS(2854),
    [anon_sym_alignas] = ACTIONS(2854),
    [anon_sym__Alignas] = ACTIONS(2854),
    [sym_primitive_type] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_struct] = ACTIONS(2854),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_goto] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2854),
    [anon_sym_compl] = ACTIONS(2854),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2854),
    [anon_sym___alignof__] = ACTIONS(2854),
    [anon_sym___alignof] = ACTIONS(2854),
    [anon_sym__alignof] = ACTIONS(2854),
    [anon_sym_alignof] = ACTIONS(2854),
    [anon_sym__Alignof] = ACTIONS(2854),
    [anon_sym_offsetof] = ACTIONS(2854),
    [anon_sym__Generic] = ACTIONS(2854),
    [anon_sym_asm] = ACTIONS(2854),
    [anon_sym___asm__] = ACTIONS(2854),
    [sym_number_literal] = ACTIONS(2856),
    [anon_sym_L_SQUOTE] = ACTIONS(2856),
    [anon_sym_u_SQUOTE] = ACTIONS(2856),
    [anon_sym_U_SQUOTE] = ACTIONS(2856),
    [anon_sym_u8_SQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_L_DQUOTE] = ACTIONS(2856),
    [anon_sym_u_DQUOTE] = ACTIONS(2856),
    [anon_sym_U_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8_DQUOTE] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [anon_sym_NULL] = ACTIONS(2854),
    [anon_sym_nullptr] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2854),
    [anon_sym_decltype] = ACTIONS(2854),
    [sym_virtual] = ACTIONS(2854),
    [anon_sym_explicit] = ACTIONS(2854),
    [anon_sym_typename] = ACTIONS(2854),
    [anon_sym_template] = ACTIONS(2854),
    [anon_sym_operator] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_static_assert] = ACTIONS(2854),
    [anon_sym_concept] = ACTIONS(2854),
    [anon_sym_co_return] = ACTIONS(2854),
    [anon_sym_co_yield] = ACTIONS(2854),
    [anon_sym_R_DQUOTE] = ACTIONS(2856),
    [anon_sym_LR_DQUOTE] = ACTIONS(2856),
    [anon_sym_uR_DQUOTE] = ACTIONS(2856),
    [anon_sym_UR_DQUOTE] = ACTIONS(2856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2856),
    [anon_sym_co_await] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_requires] = ACTIONS(2854),
    [sym_this] = ACTIONS(2854),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2782),
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_include_token1] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2780),
    [anon_sym_PLUS] = ACTIONS(2780),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym___cdecl] = ACTIONS(2780),
    [anon_sym___clrcall] = ACTIONS(2780),
    [anon_sym___stdcall] = ACTIONS(2780),
    [anon_sym___fastcall] = ACTIONS(2780),
    [anon_sym___thiscall] = ACTIONS(2780),
    [anon_sym___vectorcall] = ACTIONS(2780),
    [anon_sym_LBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [anon_sym_if] = ACTIONS(2780),
    [anon_sym_switch] = ACTIONS(2780),
    [anon_sym_case] = ACTIONS(2780),
    [anon_sym_default] = ACTIONS(2780),
    [anon_sym_while] = ACTIONS(2780),
    [anon_sym_do] = ACTIONS(2780),
    [anon_sym_for] = ACTIONS(2780),
    [anon_sym_return] = ACTIONS(2780),
    [anon_sym_break] = ACTIONS(2780),
    [anon_sym_continue] = ACTIONS(2780),
    [anon_sym_goto] = ACTIONS(2780),
    [anon_sym_not] = ACTIONS(2780),
    [anon_sym_compl] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2782),
    [anon_sym_sizeof] = ACTIONS(2780),
    [anon_sym___alignof__] = ACTIONS(2780),
    [anon_sym___alignof] = ACTIONS(2780),
    [anon_sym__alignof] = ACTIONS(2780),
    [anon_sym_alignof] = ACTIONS(2780),
    [anon_sym__Alignof] = ACTIONS(2780),
    [anon_sym_offsetof] = ACTIONS(2780),
    [anon_sym__Generic] = ACTIONS(2780),
    [anon_sym_asm] = ACTIONS(2780),
    [anon_sym___asm__] = ACTIONS(2780),
    [sym_number_literal] = ACTIONS(2782),
    [anon_sym_L_SQUOTE] = ACTIONS(2782),
    [anon_sym_u_SQUOTE] = ACTIONS(2782),
    [anon_sym_U_SQUOTE] = ACTIONS(2782),
    [anon_sym_u8_SQUOTE] = ACTIONS(2782),
    [anon_sym_SQUOTE] = ACTIONS(2782),
    [anon_sym_L_DQUOTE] = ACTIONS(2782),
    [anon_sym_u_DQUOTE] = ACTIONS(2782),
    [anon_sym_U_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8_DQUOTE] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2782),
    [sym_true] = ACTIONS(2780),
    [sym_false] = ACTIONS(2780),
    [anon_sym_NULL] = ACTIONS(2780),
    [anon_sym_nullptr] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_try] = ACTIONS(2780),
    [anon_sym_delete] = ACTIONS(2780),
    [anon_sym_throw] = ACTIONS(2780),
    [anon_sym_namespace] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
    [anon_sym_concept] = ACTIONS(2780),
    [anon_sym_co_return] = ACTIONS(2780),
    [anon_sym_co_yield] = ACTIONS(2780),
    [anon_sym_R_DQUOTE] = ACTIONS(2782),
    [anon_sym_LR_DQUOTE] = ACTIONS(2782),
    [anon_sym_uR_DQUOTE] = ACTIONS(2782),
    [anon_sym_UR_DQUOTE] = ACTIONS(2782),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2782),
    [anon_sym_co_await] = ACTIONS(2780),
    [anon_sym_new] = ACTIONS(2780),
    [anon_sym_requires] = ACTIONS(2780),
    [sym_this] = ACTIONS(2780),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2894),
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(2852),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym__Alignas] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [sym_virtual] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(3013),
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_include_token1] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym___cdecl] = ACTIONS(3011),
    [anon_sym___clrcall] = ACTIONS(3011),
    [anon_sym___stdcall] = ACTIONS(3011),
    [anon_sym___fastcall] = ACTIONS(3011),
    [anon_sym___thiscall] = ACTIONS(3011),
    [anon_sym___vectorcall] = ACTIONS(3011),
    [anon_sym_LBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [anon_sym_if] = ACTIONS(3011),
    [anon_sym_switch] = ACTIONS(3011),
    [anon_sym_case] = ACTIONS(3011),
    [anon_sym_default] = ACTIONS(3011),
    [anon_sym_while] = ACTIONS(3011),
    [anon_sym_do] = ACTIONS(3011),
    [anon_sym_for] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3011),
    [anon_sym_break] = ACTIONS(3011),
    [anon_sym_continue] = ACTIONS(3011),
    [anon_sym_goto] = ACTIONS(3011),
    [anon_sym_not] = ACTIONS(3011),
    [anon_sym_compl] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3011),
    [anon_sym___alignof__] = ACTIONS(3011),
    [anon_sym___alignof] = ACTIONS(3011),
    [anon_sym__alignof] = ACTIONS(3011),
    [anon_sym_alignof] = ACTIONS(3011),
    [anon_sym__Alignof] = ACTIONS(3011),
    [anon_sym_offsetof] = ACTIONS(3011),
    [anon_sym__Generic] = ACTIONS(3011),
    [anon_sym_asm] = ACTIONS(3011),
    [anon_sym___asm__] = ACTIONS(3011),
    [sym_number_literal] = ACTIONS(3013),
    [anon_sym_L_SQUOTE] = ACTIONS(3013),
    [anon_sym_u_SQUOTE] = ACTIONS(3013),
    [anon_sym_U_SQUOTE] = ACTIONS(3013),
    [anon_sym_u8_SQUOTE] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3013),
    [anon_sym_L_DQUOTE] = ACTIONS(3013),
    [anon_sym_u_DQUOTE] = ACTIONS(3013),
    [anon_sym_U_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8_DQUOTE] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3013),
    [sym_true] = ACTIONS(3011),
    [sym_false] = ACTIONS(3011),
    [anon_sym_NULL] = ACTIONS(3011),
    [anon_sym_nullptr] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_try] = ACTIONS(3011),
    [anon_sym_delete] = ACTIONS(3011),
    [anon_sym_throw] = ACTIONS(3011),
    [anon_sym_namespace] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
    [anon_sym_concept] = ACTIONS(3011),
    [anon_sym_co_return] = ACTIONS(3011),
    [anon_sym_co_yield] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(3013),
    [anon_sym_LR_DQUOTE] = ACTIONS(3013),
    [anon_sym_uR_DQUOTE] = ACTIONS(3013),
    [anon_sym_UR_DQUOTE] = ACTIONS(3013),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3013),
    [anon_sym_co_await] = ACTIONS(3011),
    [anon_sym_new] = ACTIONS(3011),
    [anon_sym_requires] = ACTIONS(3011),
    [sym_this] = ACTIONS(3011),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2894),
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_include_token1] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2892),
    [anon_sym_PLUS] = ACTIONS(2892),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym___cdecl] = ACTIONS(2892),
    [anon_sym___clrcall] = ACTIONS(2892),
    [anon_sym___stdcall] = ACTIONS(2892),
    [anon_sym___fastcall] = ACTIONS(2892),
    [anon_sym___thiscall] = ACTIONS(2892),
    [anon_sym___vectorcall] = ACTIONS(2892),
    [anon_sym_LBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [anon_sym_if] = ACTIONS(2892),
    [anon_sym_switch] = ACTIONS(2892),
    [anon_sym_case] = ACTIONS(2892),
    [anon_sym_default] = ACTIONS(2892),
    [anon_sym_while] = ACTIONS(2892),
    [anon_sym_do] = ACTIONS(2892),
    [anon_sym_for] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2892),
    [anon_sym_break] = ACTIONS(2892),
    [anon_sym_continue] = ACTIONS(2892),
    [anon_sym_goto] = ACTIONS(2892),
    [anon_sym_not] = ACTIONS(2892),
    [anon_sym_compl] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2894),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(2892),
    [anon_sym___alignof] = ACTIONS(2892),
    [anon_sym__alignof] = ACTIONS(2892),
    [anon_sym_alignof] = ACTIONS(2892),
    [anon_sym__Alignof] = ACTIONS(2892),
    [anon_sym_offsetof] = ACTIONS(2892),
    [anon_sym__Generic] = ACTIONS(2892),
    [anon_sym_asm] = ACTIONS(2892),
    [anon_sym___asm__] = ACTIONS(2892),
    [sym_number_literal] = ACTIONS(2894),
    [anon_sym_L_SQUOTE] = ACTIONS(2894),
    [anon_sym_u_SQUOTE] = ACTIONS(2894),
    [anon_sym_U_SQUOTE] = ACTIONS(2894),
    [anon_sym_u8_SQUOTE] = ACTIONS(2894),
    [anon_sym_SQUOTE] = ACTIONS(2894),
    [anon_sym_L_DQUOTE] = ACTIONS(2894),
    [anon_sym_u_DQUOTE] = ACTIONS(2894),
    [anon_sym_U_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8_DQUOTE] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(2894),
    [sym_true] = ACTIONS(2892),
    [sym_false] = ACTIONS(2892),
    [anon_sym_NULL] = ACTIONS(2892),
    [anon_sym_nullptr] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_try] = ACTIONS(2892),
    [anon_sym_delete] = ACTIONS(2892),
    [anon_sym_throw] = ACTIONS(2892),
    [anon_sym_namespace] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
    [anon_sym_concept] = ACTIONS(2892),
    [anon_sym_co_return] = ACTIONS(2892),
    [anon_sym_co_yield] = ACTIONS(2892),
    [anon_sym_R_DQUOTE] = ACTIONS(2894),
    [anon_sym_LR_DQUOTE] = ACTIONS(2894),
    [anon_sym_uR_DQUOTE] = ACTIONS(2894),
    [anon_sym_UR_DQUOTE] = ACTIONS(2894),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2894),
    [anon_sym_co_await] = ACTIONS(2892),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2892),
    [sym_this] = ACTIONS(2892),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(2790),
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_include_token1] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_BANG] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym___cdecl] = ACTIONS(2788),
    [anon_sym___clrcall] = ACTIONS(2788),
    [anon_sym___stdcall] = ACTIONS(2788),
    [anon_sym___fastcall] = ACTIONS(2788),
    [anon_sym___thiscall] = ACTIONS(2788),
    [anon_sym___vectorcall] = ACTIONS(2788),
    [anon_sym_LBRACE] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [anon_sym_if] = ACTIONS(2788),
    [anon_sym_switch] = ACTIONS(2788),
    [anon_sym_case] = ACTIONS(2788),
    [anon_sym_default] = ACTIONS(2788),
    [anon_sym_while] = ACTIONS(2788),
    [anon_sym_do] = ACTIONS(2788),
    [anon_sym_for] = ACTIONS(2788),
    [anon_sym_return] = ACTIONS(2788),
    [anon_sym_break] = ACTIONS(2788),
    [anon_sym_continue] = ACTIONS(2788),
    [anon_sym_goto] = ACTIONS(2788),
    [anon_sym_not] = ACTIONS(2788),
    [anon_sym_compl] = ACTIONS(2788),
    [anon_sym_DASH_DASH] = ACTIONS(2790),
    [anon_sym_PLUS_PLUS] = ACTIONS(2790),
    [anon_sym_sizeof] = ACTIONS(2788),
    [anon_sym___alignof__] = ACTIONS(2788),
    [anon_sym___alignof] = ACTIONS(2788),
    [anon_sym__alignof] = ACTIONS(2788),
    [anon_sym_alignof] = ACTIONS(2788),
    [anon_sym__Alignof] = ACTIONS(2788),
    [anon_sym_offsetof] = ACTIONS(2788),
    [anon_sym__Generic] = ACTIONS(2788),
    [anon_sym_asm] = ACTIONS(2788),
    [anon_sym___asm__] = ACTIONS(2788),
    [sym_number_literal] = ACTIONS(2790),
    [anon_sym_L_SQUOTE] = ACTIONS(2790),
    [anon_sym_u_SQUOTE] = ACTIONS(2790),
    [anon_sym_U_SQUOTE] = ACTIONS(2790),
    [anon_sym_u8_SQUOTE] = ACTIONS(2790),
    [anon_sym_SQUOTE] = ACTIONS(2790),
    [anon_sym_L_DQUOTE] = ACTIONS(2790),
    [anon_sym_u_DQUOTE] = ACTIONS(2790),
    [anon_sym_U_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8_DQUOTE] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2790),
    [sym_true] = ACTIONS(2788),
    [sym_false] = ACTIONS(2788),
    [anon_sym_NULL] = ACTIONS(2788),
    [anon_sym_nullptr] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_try] = ACTIONS(2788),
    [anon_sym_delete] = ACTIONS(2788),
    [anon_sym_throw] = ACTIONS(2788),
    [anon_sym_namespace] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
    [anon_sym_concept] = ACTIONS(2788),
    [anon_sym_co_return] = ACTIONS(2788),
    [anon_sym_co_yield] = ACTIONS(2788),
    [anon_sym_R_DQUOTE] = ACTIONS(2790),
    [anon_sym_LR_DQUOTE] = ACTIONS(2790),
    [anon_sym_uR_DQUOTE] = ACTIONS(2790),
    [anon_sym_UR_DQUOTE] = ACTIONS(2790),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2790),
    [anon_sym_co_await] = ACTIONS(2788),
    [anon_sym_new] = ACTIONS(2788),
    [anon_sym_requires] = ACTIONS(2788),
    [sym_this] = ACTIONS(2788),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2957),
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2674),
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2666),
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2860),
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_include_token1] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym___cdecl] = ACTIONS(2858),
    [anon_sym___clrcall] = ACTIONS(2858),
    [anon_sym___stdcall] = ACTIONS(2858),
    [anon_sym___fastcall] = ACTIONS(2858),
    [anon_sym___thiscall] = ACTIONS(2858),
    [anon_sym___vectorcall] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_goto] = ACTIONS(2858),
    [anon_sym_not] = ACTIONS(2858),
    [anon_sym_compl] = ACTIONS(2858),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2858),
    [anon_sym___alignof] = ACTIONS(2858),
    [anon_sym__alignof] = ACTIONS(2858),
    [anon_sym_alignof] = ACTIONS(2858),
    [anon_sym__Alignof] = ACTIONS(2858),
    [anon_sym_offsetof] = ACTIONS(2858),
    [anon_sym__Generic] = ACTIONS(2858),
    [anon_sym_asm] = ACTIONS(2858),
    [anon_sym___asm__] = ACTIONS(2858),
    [sym_number_literal] = ACTIONS(2860),
    [anon_sym_L_SQUOTE] = ACTIONS(2860),
    [anon_sym_u_SQUOTE] = ACTIONS(2860),
    [anon_sym_U_SQUOTE] = ACTIONS(2860),
    [anon_sym_u8_SQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_L_DQUOTE] = ACTIONS(2860),
    [anon_sym_u_DQUOTE] = ACTIONS(2860),
    [anon_sym_U_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8_DQUOTE] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [anon_sym_NULL] = ACTIONS(2858),
    [anon_sym_nullptr] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
    [anon_sym_concept] = ACTIONS(2858),
    [anon_sym_co_return] = ACTIONS(2858),
    [anon_sym_co_yield] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2860),
    [anon_sym_LR_DQUOTE] = ACTIONS(2860),
    [anon_sym_uR_DQUOTE] = ACTIONS(2860),
    [anon_sym_UR_DQUOTE] = ACTIONS(2860),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2860),
    [anon_sym_co_await] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_requires] = ACTIONS(2858),
    [sym_this] = ACTIONS(2858),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_not] = ACTIONS(2798),
    [anon_sym_compl] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
    [anon_sym_concept] = ACTIONS(2798),
    [anon_sym_co_return] = ACTIONS(2798),
    [anon_sym_co_yield] = ACTIONS(2798),
    [anon_sym_R_DQUOTE] = ACTIONS(2800),
    [anon_sym_LR_DQUOTE] = ACTIONS(2800),
    [anon_sym_uR_DQUOTE] = ACTIONS(2800),
    [anon_sym_UR_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2800),
    [anon_sym_co_await] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_requires] = ACTIONS(2798),
    [sym_this] = ACTIONS(2798),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2880),
    [sym_identifier] = ACTIONS(2878),
    [aux_sym_preproc_include_token1] = ACTIONS(2878),
    [aux_sym_preproc_def_token1] = ACTIONS(2878),
    [aux_sym_preproc_if_token1] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2878),
    [sym_preproc_directive] = ACTIONS(2878),
    [anon_sym_LPAREN2] = ACTIONS(2880),
    [anon_sym_BANG] = ACTIONS(2880),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_STAR] = ACTIONS(2880),
    [anon_sym_AMP_AMP] = ACTIONS(2880),
    [anon_sym_AMP] = ACTIONS(2878),
    [anon_sym___extension__] = ACTIONS(2878),
    [anon_sym_typedef] = ACTIONS(2878),
    [anon_sym_extern] = ACTIONS(2878),
    [anon_sym___attribute__] = ACTIONS(2878),
    [anon_sym_COLON_COLON] = ACTIONS(2880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2880),
    [anon_sym___declspec] = ACTIONS(2878),
    [anon_sym___based] = ACTIONS(2878),
    [anon_sym___cdecl] = ACTIONS(2878),
    [anon_sym___clrcall] = ACTIONS(2878),
    [anon_sym___stdcall] = ACTIONS(2878),
    [anon_sym___fastcall] = ACTIONS(2878),
    [anon_sym___thiscall] = ACTIONS(2878),
    [anon_sym___vectorcall] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_signed] = ACTIONS(2878),
    [anon_sym_unsigned] = ACTIONS(2878),
    [anon_sym_long] = ACTIONS(2878),
    [anon_sym_short] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2878),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_register] = ACTIONS(2878),
    [anon_sym_inline] = ACTIONS(2878),
    [anon_sym___inline] = ACTIONS(2878),
    [anon_sym___inline__] = ACTIONS(2878),
    [anon_sym___forceinline] = ACTIONS(2878),
    [anon_sym_thread_local] = ACTIONS(2878),
    [anon_sym___thread] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_constexpr] = ACTIONS(2878),
    [anon_sym_volatile] = ACTIONS(2878),
    [anon_sym_restrict] = ACTIONS(2878),
    [anon_sym___restrict__] = ACTIONS(2878),
    [anon_sym__Atomic] = ACTIONS(2878),
    [anon_sym__Noreturn] = ACTIONS(2878),
    [anon_sym_noreturn] = ACTIONS(2878),
    [anon_sym_mutable] = ACTIONS(2878),
    [anon_sym_constinit] = ACTIONS(2878),
    [anon_sym_consteval] = ACTIONS(2878),
    [anon_sym_alignas] = ACTIONS(2878),
    [anon_sym__Alignas] = ACTIONS(2878),
    [sym_primitive_type] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_struct] = ACTIONS(2878),
    [anon_sym_union] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_goto] = ACTIONS(2878),
    [anon_sym_not] = ACTIONS(2878),
    [anon_sym_compl] = ACTIONS(2878),
    [anon_sym_DASH_DASH] = ACTIONS(2880),
    [anon_sym_PLUS_PLUS] = ACTIONS(2880),
    [anon_sym_sizeof] = ACTIONS(2878),
    [anon_sym___alignof__] = ACTIONS(2878),
    [anon_sym___alignof] = ACTIONS(2878),
    [anon_sym__alignof] = ACTIONS(2878),
    [anon_sym_alignof] = ACTIONS(2878),
    [anon_sym__Alignof] = ACTIONS(2878),
    [anon_sym_offsetof] = ACTIONS(2878),
    [anon_sym__Generic] = ACTIONS(2878),
    [anon_sym_asm] = ACTIONS(2878),
    [anon_sym___asm__] = ACTIONS(2878),
    [sym_number_literal] = ACTIONS(2880),
    [anon_sym_L_SQUOTE] = ACTIONS(2880),
    [anon_sym_u_SQUOTE] = ACTIONS(2880),
    [anon_sym_U_SQUOTE] = ACTIONS(2880),
    [anon_sym_u8_SQUOTE] = ACTIONS(2880),
    [anon_sym_SQUOTE] = ACTIONS(2880),
    [anon_sym_L_DQUOTE] = ACTIONS(2880),
    [anon_sym_u_DQUOTE] = ACTIONS(2880),
    [anon_sym_U_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8_DQUOTE] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [anon_sym_NULL] = ACTIONS(2878),
    [anon_sym_nullptr] = ACTIONS(2878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2878),
    [sym_virtual] = ACTIONS(2878),
    [anon_sym_explicit] = ACTIONS(2878),
    [anon_sym_typename] = ACTIONS(2878),
    [anon_sym_template] = ACTIONS(2878),
    [anon_sym_operator] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_using] = ACTIONS(2878),
    [anon_sym_static_assert] = ACTIONS(2878),
    [anon_sym_concept] = ACTIONS(2878),
    [anon_sym_co_return] = ACTIONS(2878),
    [anon_sym_co_yield] = ACTIONS(2878),
    [anon_sym_R_DQUOTE] = ACTIONS(2880),
    [anon_sym_LR_DQUOTE] = ACTIONS(2880),
    [anon_sym_uR_DQUOTE] = ACTIONS(2880),
    [anon_sym_UR_DQUOTE] = ACTIONS(2880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2880),
    [anon_sym_co_await] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_requires] = ACTIONS(2878),
    [sym_this] = ACTIONS(2878),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2670),
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_AMP_AMP] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym_COLON_COLON] = ACTIONS(2776),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___based] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_mutable] = ACTIONS(2774),
    [anon_sym_constinit] = ACTIONS(2774),
    [anon_sym_consteval] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_not] = ACTIONS(2774),
    [anon_sym_compl] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2774),
    [anon_sym_decltype] = ACTIONS(2774),
    [sym_virtual] = ACTIONS(2774),
    [anon_sym_explicit] = ACTIONS(2774),
    [anon_sym_typename] = ACTIONS(2774),
    [anon_sym_template] = ACTIONS(2774),
    [anon_sym_operator] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_static_assert] = ACTIONS(2774),
    [anon_sym_concept] = ACTIONS(2774),
    [anon_sym_co_return] = ACTIONS(2774),
    [anon_sym_co_yield] = ACTIONS(2774),
    [anon_sym_R_DQUOTE] = ACTIONS(2776),
    [anon_sym_LR_DQUOTE] = ACTIONS(2776),
    [anon_sym_uR_DQUOTE] = ACTIONS(2776),
    [anon_sym_UR_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2776),
    [anon_sym_co_await] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_requires] = ACTIONS(2774),
    [sym_this] = ACTIONS(2774),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2935),
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym__Alignas] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [sym_virtual] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(3342),
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym__Alignas] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [sym_virtual] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2769),
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(2888),
    [sym_identifier] = ACTIONS(2886),
    [aux_sym_preproc_include_token1] = ACTIONS(2886),
    [aux_sym_preproc_def_token1] = ACTIONS(2886),
    [aux_sym_preproc_if_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2886),
    [sym_preproc_directive] = ACTIONS(2886),
    [anon_sym_LPAREN2] = ACTIONS(2888),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(2888),
    [anon_sym_AMP_AMP] = ACTIONS(2888),
    [anon_sym_AMP] = ACTIONS(2886),
    [anon_sym___extension__] = ACTIONS(2886),
    [anon_sym_typedef] = ACTIONS(2886),
    [anon_sym_extern] = ACTIONS(2886),
    [anon_sym___attribute__] = ACTIONS(2886),
    [anon_sym_COLON_COLON] = ACTIONS(2888),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2888),
    [anon_sym___declspec] = ACTIONS(2886),
    [anon_sym___based] = ACTIONS(2886),
    [anon_sym___cdecl] = ACTIONS(2886),
    [anon_sym___clrcall] = ACTIONS(2886),
    [anon_sym___stdcall] = ACTIONS(2886),
    [anon_sym___fastcall] = ACTIONS(2886),
    [anon_sym___thiscall] = ACTIONS(2886),
    [anon_sym___vectorcall] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_signed] = ACTIONS(2886),
    [anon_sym_unsigned] = ACTIONS(2886),
    [anon_sym_long] = ACTIONS(2886),
    [anon_sym_short] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(2886),
    [anon_sym_static] = ACTIONS(2886),
    [anon_sym_register] = ACTIONS(2886),
    [anon_sym_inline] = ACTIONS(2886),
    [anon_sym___inline] = ACTIONS(2886),
    [anon_sym___inline__] = ACTIONS(2886),
    [anon_sym___forceinline] = ACTIONS(2886),
    [anon_sym_thread_local] = ACTIONS(2886),
    [anon_sym___thread] = ACTIONS(2886),
    [anon_sym_const] = ACTIONS(2886),
    [anon_sym_constexpr] = ACTIONS(2886),
    [anon_sym_volatile] = ACTIONS(2886),
    [anon_sym_restrict] = ACTIONS(2886),
    [anon_sym___restrict__] = ACTIONS(2886),
    [anon_sym__Atomic] = ACTIONS(2886),
    [anon_sym__Noreturn] = ACTIONS(2886),
    [anon_sym_noreturn] = ACTIONS(2886),
    [anon_sym_mutable] = ACTIONS(2886),
    [anon_sym_constinit] = ACTIONS(2886),
    [anon_sym_consteval] = ACTIONS(2886),
    [anon_sym_alignas] = ACTIONS(2886),
    [anon_sym__Alignas] = ACTIONS(2886),
    [sym_primitive_type] = ACTIONS(2886),
    [anon_sym_enum] = ACTIONS(2886),
    [anon_sym_class] = ACTIONS(2886),
    [anon_sym_struct] = ACTIONS(2886),
    [anon_sym_union] = ACTIONS(2886),
    [anon_sym_if] = ACTIONS(2886),
    [anon_sym_switch] = ACTIONS(2886),
    [anon_sym_case] = ACTIONS(2886),
    [anon_sym_default] = ACTIONS(2886),
    [anon_sym_while] = ACTIONS(2886),
    [anon_sym_do] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2886),
    [anon_sym_return] = ACTIONS(2886),
    [anon_sym_break] = ACTIONS(2886),
    [anon_sym_continue] = ACTIONS(2886),
    [anon_sym_goto] = ACTIONS(2886),
    [anon_sym_not] = ACTIONS(2886),
    [anon_sym_compl] = ACTIONS(2886),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_sizeof] = ACTIONS(2886),
    [anon_sym___alignof__] = ACTIONS(2886),
    [anon_sym___alignof] = ACTIONS(2886),
    [anon_sym__alignof] = ACTIONS(2886),
    [anon_sym_alignof] = ACTIONS(2886),
    [anon_sym__Alignof] = ACTIONS(2886),
    [anon_sym_offsetof] = ACTIONS(2886),
    [anon_sym__Generic] = ACTIONS(2886),
    [anon_sym_asm] = ACTIONS(2886),
    [anon_sym___asm__] = ACTIONS(2886),
    [sym_number_literal] = ACTIONS(2888),
    [anon_sym_L_SQUOTE] = ACTIONS(2888),
    [anon_sym_u_SQUOTE] = ACTIONS(2888),
    [anon_sym_U_SQUOTE] = ACTIONS(2888),
    [anon_sym_u8_SQUOTE] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2888),
    [anon_sym_L_DQUOTE] = ACTIONS(2888),
    [anon_sym_u_DQUOTE] = ACTIONS(2888),
    [anon_sym_U_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8_DQUOTE] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [sym_true] = ACTIONS(2886),
    [sym_false] = ACTIONS(2886),
    [anon_sym_NULL] = ACTIONS(2886),
    [anon_sym_nullptr] = ACTIONS(2886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2886),
    [anon_sym_decltype] = ACTIONS(2886),
    [sym_virtual] = ACTIONS(2886),
    [anon_sym_explicit] = ACTIONS(2886),
    [anon_sym_typename] = ACTIONS(2886),
    [anon_sym_template] = ACTIONS(2886),
    [anon_sym_operator] = ACTIONS(2886),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_throw] = ACTIONS(2886),
    [anon_sym_namespace] = ACTIONS(2886),
    [anon_sym_using] = ACTIONS(2886),
    [anon_sym_static_assert] = ACTIONS(2886),
    [anon_sym_concept] = ACTIONS(2886),
    [anon_sym_co_return] = ACTIONS(2886),
    [anon_sym_co_yield] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2886),
    [anon_sym_requires] = ACTIONS(2886),
    [sym_this] = ACTIONS(2886),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2900),
    [sym_identifier] = ACTIONS(2898),
    [aux_sym_preproc_include_token1] = ACTIONS(2898),
    [aux_sym_preproc_def_token1] = ACTIONS(2898),
    [aux_sym_preproc_if_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2898),
    [sym_preproc_directive] = ACTIONS(2898),
    [anon_sym_LPAREN2] = ACTIONS(2900),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_STAR] = ACTIONS(2900),
    [anon_sym_AMP_AMP] = ACTIONS(2900),
    [anon_sym_AMP] = ACTIONS(2898),
    [anon_sym___extension__] = ACTIONS(2898),
    [anon_sym_typedef] = ACTIONS(2898),
    [anon_sym_extern] = ACTIONS(2898),
    [anon_sym___attribute__] = ACTIONS(2898),
    [anon_sym_COLON_COLON] = ACTIONS(2900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2900),
    [anon_sym___declspec] = ACTIONS(2898),
    [anon_sym___based] = ACTIONS(2898),
    [anon_sym___cdecl] = ACTIONS(2898),
    [anon_sym___clrcall] = ACTIONS(2898),
    [anon_sym___stdcall] = ACTIONS(2898),
    [anon_sym___fastcall] = ACTIONS(2898),
    [anon_sym___thiscall] = ACTIONS(2898),
    [anon_sym___vectorcall] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_signed] = ACTIONS(2898),
    [anon_sym_unsigned] = ACTIONS(2898),
    [anon_sym_long] = ACTIONS(2898),
    [anon_sym_short] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2898),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_register] = ACTIONS(2898),
    [anon_sym_inline] = ACTIONS(2898),
    [anon_sym___inline] = ACTIONS(2898),
    [anon_sym___inline__] = ACTIONS(2898),
    [anon_sym___forceinline] = ACTIONS(2898),
    [anon_sym_thread_local] = ACTIONS(2898),
    [anon_sym___thread] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_constexpr] = ACTIONS(2898),
    [anon_sym_volatile] = ACTIONS(2898),
    [anon_sym_restrict] = ACTIONS(2898),
    [anon_sym___restrict__] = ACTIONS(2898),
    [anon_sym__Atomic] = ACTIONS(2898),
    [anon_sym__Noreturn] = ACTIONS(2898),
    [anon_sym_noreturn] = ACTIONS(2898),
    [anon_sym_mutable] = ACTIONS(2898),
    [anon_sym_constinit] = ACTIONS(2898),
    [anon_sym_consteval] = ACTIONS(2898),
    [anon_sym_alignas] = ACTIONS(2898),
    [anon_sym__Alignas] = ACTIONS(2898),
    [sym_primitive_type] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_struct] = ACTIONS(2898),
    [anon_sym_union] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_goto] = ACTIONS(2898),
    [anon_sym_not] = ACTIONS(2898),
    [anon_sym_compl] = ACTIONS(2898),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_sizeof] = ACTIONS(2898),
    [anon_sym___alignof__] = ACTIONS(2898),
    [anon_sym___alignof] = ACTIONS(2898),
    [anon_sym__alignof] = ACTIONS(2898),
    [anon_sym_alignof] = ACTIONS(2898),
    [anon_sym__Alignof] = ACTIONS(2898),
    [anon_sym_offsetof] = ACTIONS(2898),
    [anon_sym__Generic] = ACTIONS(2898),
    [anon_sym_asm] = ACTIONS(2898),
    [anon_sym___asm__] = ACTIONS(2898),
    [sym_number_literal] = ACTIONS(2900),
    [anon_sym_L_SQUOTE] = ACTIONS(2900),
    [anon_sym_u_SQUOTE] = ACTIONS(2900),
    [anon_sym_U_SQUOTE] = ACTIONS(2900),
    [anon_sym_u8_SQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_L_DQUOTE] = ACTIONS(2900),
    [anon_sym_u_DQUOTE] = ACTIONS(2900),
    [anon_sym_U_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8_DQUOTE] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [anon_sym_NULL] = ACTIONS(2898),
    [anon_sym_nullptr] = ACTIONS(2898),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2898),
    [anon_sym_decltype] = ACTIONS(2898),
    [sym_virtual] = ACTIONS(2898),
    [anon_sym_explicit] = ACTIONS(2898),
    [anon_sym_typename] = ACTIONS(2898),
    [anon_sym_template] = ACTIONS(2898),
    [anon_sym_operator] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_static_assert] = ACTIONS(2898),
    [anon_sym_concept] = ACTIONS(2898),
    [anon_sym_co_return] = ACTIONS(2898),
    [anon_sym_co_yield] = ACTIONS(2898),
    [anon_sym_R_DQUOTE] = ACTIONS(2900),
    [anon_sym_LR_DQUOTE] = ACTIONS(2900),
    [anon_sym_uR_DQUOTE] = ACTIONS(2900),
    [anon_sym_UR_DQUOTE] = ACTIONS(2900),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2900),
    [anon_sym_co_await] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_requires] = ACTIONS(2898),
    [sym_this] = ACTIONS(2898),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2834),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [sym_virtual] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2824),
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_include_token1] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym___cdecl] = ACTIONS(2822),
    [anon_sym___clrcall] = ACTIONS(2822),
    [anon_sym___stdcall] = ACTIONS(2822),
    [anon_sym___fastcall] = ACTIONS(2822),
    [anon_sym___thiscall] = ACTIONS(2822),
    [anon_sym___vectorcall] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_goto] = ACTIONS(2822),
    [anon_sym_not] = ACTIONS(2822),
    [anon_sym_compl] = ACTIONS(2822),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_sizeof] = ACTIONS(2822),
    [anon_sym___alignof__] = ACTIONS(2822),
    [anon_sym___alignof] = ACTIONS(2822),
    [anon_sym__alignof] = ACTIONS(2822),
    [anon_sym_alignof] = ACTIONS(2822),
    [anon_sym__Alignof] = ACTIONS(2822),
    [anon_sym_offsetof] = ACTIONS(2822),
    [anon_sym__Generic] = ACTIONS(2822),
    [anon_sym_asm] = ACTIONS(2822),
    [anon_sym___asm__] = ACTIONS(2822),
    [sym_number_literal] = ACTIONS(2824),
    [anon_sym_L_SQUOTE] = ACTIONS(2824),
    [anon_sym_u_SQUOTE] = ACTIONS(2824),
    [anon_sym_U_SQUOTE] = ACTIONS(2824),
    [anon_sym_u8_SQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_L_DQUOTE] = ACTIONS(2824),
    [anon_sym_u_DQUOTE] = ACTIONS(2824),
    [anon_sym_U_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8_DQUOTE] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [anon_sym_NULL] = ACTIONS(2822),
    [anon_sym_nullptr] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
    [anon_sym_concept] = ACTIONS(2822),
    [anon_sym_co_return] = ACTIONS(2822),
    [anon_sym_co_yield] = ACTIONS(2822),
    [anon_sym_R_DQUOTE] = ACTIONS(2824),
    [anon_sym_LR_DQUOTE] = ACTIONS(2824),
    [anon_sym_uR_DQUOTE] = ACTIONS(2824),
    [anon_sym_UR_DQUOTE] = ACTIONS(2824),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2824),
    [anon_sym_co_await] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_requires] = ACTIONS(2822),
    [sym_this] = ACTIONS(2822),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2939),
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym__Alignas] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [sym_virtual] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [736] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3360),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [737] = {
    [sym_preproc_def] = STATE(744),
    [sym_preproc_function_def] = STATE(744),
    [sym_preproc_call] = STATE(744),
    [sym_preproc_if_in_field_declaration_list] = STATE(744),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(744),
    [sym_type_definition] = STATE(744),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5326),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(744),
    [sym_field_declaration] = STATE(744),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(744),
    [sym_operator_cast] = STATE(6301),
    [sym_inline_method_definition] = STATE(744),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(744),
    [sym_operator_cast_declaration] = STATE(744),
    [sym_constructor_or_destructor_definition] = STATE(744),
    [sym_constructor_or_destructor_declaration] = STATE(744),
    [sym_friend_declaration] = STATE(744),
    [sym_access_specifier] = STATE(7599),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(744),
    [sym_alias_declaration] = STATE(744),
    [sym_static_assert_declaration] = STATE(744),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6301),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(744),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_if_token2] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3376),
    [sym_preproc_directive] = ACTIONS(3378),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3380),
    [anon_sym_typedef] = ACTIONS(3382),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [738] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3392),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [739] = {
    [sym_preproc_def] = STATE(739),
    [sym_preproc_function_def] = STATE(739),
    [sym_preproc_call] = STATE(739),
    [sym_preproc_if_in_field_declaration_list] = STATE(739),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(739),
    [sym_type_definition] = STATE(739),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5326),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(739),
    [sym_field_declaration] = STATE(739),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(739),
    [sym_operator_cast] = STATE(6301),
    [sym_inline_method_definition] = STATE(739),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(739),
    [sym_operator_cast_declaration] = STATE(739),
    [sym_constructor_or_destructor_definition] = STATE(739),
    [sym_constructor_or_destructor_declaration] = STATE(739),
    [sym_friend_declaration] = STATE(739),
    [sym_access_specifier] = STATE(7599),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(739),
    [sym_alias_declaration] = STATE(739),
    [sym_static_assert_declaration] = STATE(739),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6301),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(739),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3394),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3400),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3400),
    [sym_preproc_directive] = ACTIONS(3403),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3406),
    [anon_sym_typedef] = ACTIONS(3409),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3246),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(3258),
    [anon_sym_restrict] = ACTIONS(3258),
    [anon_sym___restrict__] = ACTIONS(3258),
    [anon_sym__Atomic] = ACTIONS(3258),
    [anon_sym__Noreturn] = ACTIONS(3258),
    [anon_sym_noreturn] = ACTIONS(3258),
    [anon_sym_mutable] = ACTIONS(3258),
    [anon_sym_constinit] = ACTIONS(3258),
    [anon_sym_consteval] = ACTIONS(3258),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym__Alignas] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_union] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3282),
    [sym_virtual] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3412),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_friend] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3418),
    [anon_sym_static_assert] = ACTIONS(3421),
  },
  [740] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3424),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [741] = {
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_field_declaration_list] = STATE(754),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(754),
    [sym_type_definition] = STATE(754),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(754),
    [sym_field_declaration] = STATE(754),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(754),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(754),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(754),
    [sym_operator_cast_declaration] = STATE(754),
    [sym_constructor_or_destructor_definition] = STATE(754),
    [sym_constructor_or_destructor_declaration] = STATE(754),
    [sym_friend_declaration] = STATE(754),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(754),
    [sym_alias_declaration] = STATE(754),
    [sym_static_assert_declaration] = STATE(754),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(754),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3426),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [742] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [743] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3430),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [744] = {
    [sym_preproc_def] = STATE(739),
    [sym_preproc_function_def] = STATE(739),
    [sym_preproc_call] = STATE(739),
    [sym_preproc_if_in_field_declaration_list] = STATE(739),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(739),
    [sym_type_definition] = STATE(739),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5326),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(739),
    [sym_field_declaration] = STATE(739),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(739),
    [sym_operator_cast] = STATE(6301),
    [sym_inline_method_definition] = STATE(739),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(739),
    [sym_operator_cast_declaration] = STATE(739),
    [sym_constructor_or_destructor_definition] = STATE(739),
    [sym_constructor_or_destructor_declaration] = STATE(739),
    [sym_friend_declaration] = STATE(739),
    [sym_access_specifier] = STATE(7599),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(739),
    [sym_alias_declaration] = STATE(739),
    [sym_static_assert_declaration] = STATE(739),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6301),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(739),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_if_token2] = ACTIONS(3432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3376),
    [sym_preproc_directive] = ACTIONS(3378),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3380),
    [anon_sym_typedef] = ACTIONS(3382),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [745] = {
    [sym_preproc_def] = STATE(759),
    [sym_preproc_function_def] = STATE(759),
    [sym_preproc_call] = STATE(759),
    [sym_preproc_if_in_field_declaration_list] = STATE(759),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(759),
    [sym_type_definition] = STATE(759),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(759),
    [sym_field_declaration] = STATE(759),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(759),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(759),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(759),
    [sym_operator_cast_declaration] = STATE(759),
    [sym_constructor_or_destructor_definition] = STATE(759),
    [sym_constructor_or_destructor_declaration] = STATE(759),
    [sym_friend_declaration] = STATE(759),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(759),
    [sym_alias_declaration] = STATE(759),
    [sym_static_assert_declaration] = STATE(759),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(759),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3434),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [746] = {
    [sym_preproc_def] = STATE(751),
    [sym_preproc_function_def] = STATE(751),
    [sym_preproc_call] = STATE(751),
    [sym_preproc_if_in_field_declaration_list] = STATE(751),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(751),
    [sym_type_definition] = STATE(751),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(751),
    [sym_field_declaration] = STATE(751),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(751),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(751),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(751),
    [sym_operator_cast_declaration] = STATE(751),
    [sym_constructor_or_destructor_definition] = STATE(751),
    [sym_constructor_or_destructor_declaration] = STATE(751),
    [sym_friend_declaration] = STATE(751),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(751),
    [sym_alias_declaration] = STATE(751),
    [sym_static_assert_declaration] = STATE(751),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(751),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3436),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [747] = {
    [sym_preproc_def] = STATE(742),
    [sym_preproc_function_def] = STATE(742),
    [sym_preproc_call] = STATE(742),
    [sym_preproc_if_in_field_declaration_list] = STATE(742),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(742),
    [sym_type_definition] = STATE(742),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(742),
    [sym_field_declaration] = STATE(742),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(742),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(742),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(742),
    [sym_operator_cast_declaration] = STATE(742),
    [sym_constructor_or_destructor_definition] = STATE(742),
    [sym_constructor_or_destructor_declaration] = STATE(742),
    [sym_friend_declaration] = STATE(742),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(742),
    [sym_alias_declaration] = STATE(742),
    [sym_static_assert_declaration] = STATE(742),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(742),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3438),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [748] = {
    [sym_preproc_def] = STATE(758),
    [sym_preproc_function_def] = STATE(758),
    [sym_preproc_call] = STATE(758),
    [sym_preproc_if_in_field_declaration_list] = STATE(758),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(758),
    [sym_type_definition] = STATE(758),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(758),
    [sym_field_declaration] = STATE(758),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(758),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(758),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(758),
    [sym_operator_cast_declaration] = STATE(758),
    [sym_constructor_or_destructor_definition] = STATE(758),
    [sym_constructor_or_destructor_declaration] = STATE(758),
    [sym_friend_declaration] = STATE(758),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(758),
    [sym_alias_declaration] = STATE(758),
    [sym_static_assert_declaration] = STATE(758),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(758),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3440),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [749] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3442),
    [aux_sym_preproc_if_token1] = ACTIONS(3445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3448),
    [sym_preproc_directive] = ACTIONS(3451),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3454),
    [anon_sym_typedef] = ACTIONS(3457),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3246),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3460),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(3258),
    [anon_sym_restrict] = ACTIONS(3258),
    [anon_sym___restrict__] = ACTIONS(3258),
    [anon_sym__Atomic] = ACTIONS(3258),
    [anon_sym__Noreturn] = ACTIONS(3258),
    [anon_sym_noreturn] = ACTIONS(3258),
    [anon_sym_mutable] = ACTIONS(3258),
    [anon_sym_constinit] = ACTIONS(3258),
    [anon_sym_consteval] = ACTIONS(3258),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym__Alignas] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_union] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3282),
    [sym_virtual] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3462),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_friend] = ACTIONS(3465),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3468),
    [anon_sym_static_assert] = ACTIONS(3471),
  },
  [750] = {
    [sym_preproc_def] = STATE(740),
    [sym_preproc_function_def] = STATE(740),
    [sym_preproc_call] = STATE(740),
    [sym_preproc_if_in_field_declaration_list] = STATE(740),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(740),
    [sym_type_definition] = STATE(740),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(740),
    [sym_field_declaration] = STATE(740),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(740),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(740),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(740),
    [sym_operator_cast_declaration] = STATE(740),
    [sym_constructor_or_destructor_definition] = STATE(740),
    [sym_constructor_or_destructor_declaration] = STATE(740),
    [sym_friend_declaration] = STATE(740),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(740),
    [sym_alias_declaration] = STATE(740),
    [sym_static_assert_declaration] = STATE(740),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(740),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3474),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [751] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3476),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [752] = {
    [sym_preproc_def] = STATE(753),
    [sym_preproc_function_def] = STATE(753),
    [sym_preproc_call] = STATE(753),
    [sym_preproc_if_in_field_declaration_list] = STATE(753),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(753),
    [sym_type_definition] = STATE(753),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(753),
    [sym_field_declaration] = STATE(753),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(753),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(753),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(753),
    [sym_operator_cast_declaration] = STATE(753),
    [sym_constructor_or_destructor_definition] = STATE(753),
    [sym_constructor_or_destructor_declaration] = STATE(753),
    [sym_friend_declaration] = STATE(753),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(753),
    [sym_alias_declaration] = STATE(753),
    [sym_static_assert_declaration] = STATE(753),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3478),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [753] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [754] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3482),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [755] = {
    [sym_preproc_def] = STATE(736),
    [sym_preproc_function_def] = STATE(736),
    [sym_preproc_call] = STATE(736),
    [sym_preproc_if_in_field_declaration_list] = STATE(736),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(736),
    [sym_type_definition] = STATE(736),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(736),
    [sym_field_declaration] = STATE(736),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(736),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(736),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(736),
    [sym_operator_cast_declaration] = STATE(736),
    [sym_constructor_or_destructor_definition] = STATE(736),
    [sym_constructor_or_destructor_declaration] = STATE(736),
    [sym_friend_declaration] = STATE(736),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(736),
    [sym_alias_declaration] = STATE(736),
    [sym_static_assert_declaration] = STATE(736),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3484),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [756] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [757] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [758] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3490),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [759] = {
    [sym_preproc_def] = STATE(749),
    [sym_preproc_function_def] = STATE(749),
    [sym_preproc_call] = STATE(749),
    [sym_preproc_if_in_field_declaration_list] = STATE(749),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(749),
    [sym_type_definition] = STATE(749),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(5278),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__field_declaration_list_item] = STATE(749),
    [sym_field_declaration] = STATE(749),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(749),
    [sym_operator_cast] = STATE(6281),
    [sym_inline_method_definition] = STATE(749),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(749),
    [sym_operator_cast_declaration] = STATE(749),
    [sym_constructor_or_destructor_definition] = STATE(749),
    [sym_constructor_or_destructor_declaration] = STATE(749),
    [sym_friend_declaration] = STATE(749),
    [sym_access_specifier] = STATE(7676),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_using_declaration] = STATE(749),
    [sym_alias_declaration] = STATE(749),
    [sym_static_assert_declaration] = STATE(749),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5093),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(749),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3021),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3354),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(3356),
    [anon_sym_typedef] = ACTIONS(3358),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3051),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3492),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3071),
    [anon_sym_private] = ACTIONS(3071),
    [anon_sym_protected] = ACTIONS(3071),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [760] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [761] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym___attribute__] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [762] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_RBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [763] = {
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3534),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [764] = {
    [sym_expression] = STATE(4239),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_initializer_list] = STATE(4478),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [765] = {
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_COMMA] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(3556),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_PIPE_PIPE] = ACTIONS(3552),
    [anon_sym_AMP_AMP] = ACTIONS(3552),
    [anon_sym_PIPE] = ACTIONS(3556),
    [anon_sym_CARET] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(3552),
    [anon_sym_BANG_EQ] = ACTIONS(3552),
    [anon_sym_GT] = ACTIONS(3556),
    [anon_sym_GT_EQ] = ACTIONS(3552),
    [anon_sym_LT_EQ] = ACTIONS(3556),
    [anon_sym_LT] = ACTIONS(3556),
    [anon_sym_LT_LT] = ACTIONS(3552),
    [anon_sym_GT_GT] = ACTIONS(3552),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(3552),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_LT_EQ_GT] = ACTIONS(3552),
    [anon_sym_or] = ACTIONS(3556),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_bitor] = ACTIONS(3556),
    [anon_sym_xor] = ACTIONS(3556),
    [anon_sym_bitand] = ACTIONS(3556),
    [anon_sym_not_eq] = ACTIONS(3556),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3556),
    [anon_sym_DOT_STAR] = ACTIONS(3552),
    [anon_sym_DASH_GT] = ACTIONS(3552),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [766] = {
    [sym__declaration_modifiers] = STATE(1916),
    [sym__declaration_specifiers] = STATE(5930),
    [sym_attribute_specifier] = STATE(1916),
    [sym_attribute_declaration] = STATE(1916),
    [sym_ms_declspec_modifier] = STATE(1916),
    [sym_storage_class_specifier] = STATE(1916),
    [sym_type_qualifier] = STATE(1916),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(3903),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6138),
    [sym_qualified_type_identifier] = STATE(2866),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1916),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2984),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_COMMA] = ACTIONS(3562),
    [anon_sym_BANG] = ACTIONS(3564),
    [anon_sym_TILDE] = ACTIONS(3562),
    [anon_sym_DASH] = ACTIONS(3564),
    [anon_sym_PLUS] = ACTIONS(3564),
    [anon_sym_STAR] = ACTIONS(3564),
    [anon_sym_SLASH] = ACTIONS(3564),
    [anon_sym_PERCENT] = ACTIONS(3564),
    [anon_sym_PIPE_PIPE] = ACTIONS(3562),
    [anon_sym_AMP_AMP] = ACTIONS(3562),
    [anon_sym_PIPE] = ACTIONS(3564),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_AMP] = ACTIONS(3564),
    [anon_sym_EQ_EQ] = ACTIONS(3562),
    [anon_sym_BANG_EQ] = ACTIONS(3562),
    [anon_sym_GT] = ACTIONS(3564),
    [anon_sym_GT_EQ] = ACTIONS(3562),
    [anon_sym_LT_EQ] = ACTIONS(3564),
    [anon_sym_LT] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3564),
    [anon_sym_GT_GT] = ACTIONS(3564),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3568),
    [anon_sym_unsigned] = ACTIONS(3568),
    [anon_sym_long] = ACTIONS(3568),
    [anon_sym_short] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_EQ] = ACTIONS(3564),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_struct] = ACTIONS(3576),
    [anon_sym_union] = ACTIONS(3578),
    [anon_sym_STAR_EQ] = ACTIONS(3562),
    [anon_sym_SLASH_EQ] = ACTIONS(3562),
    [anon_sym_PERCENT_EQ] = ACTIONS(3562),
    [anon_sym_PLUS_EQ] = ACTIONS(3562),
    [anon_sym_DASH_EQ] = ACTIONS(3562),
    [anon_sym_LT_LT_EQ] = ACTIONS(3562),
    [anon_sym_GT_GT_EQ] = ACTIONS(3562),
    [anon_sym_AMP_EQ] = ACTIONS(3562),
    [anon_sym_CARET_EQ] = ACTIONS(3562),
    [anon_sym_PIPE_EQ] = ACTIONS(3562),
    [anon_sym_and_eq] = ACTIONS(3564),
    [anon_sym_or_eq] = ACTIONS(3564),
    [anon_sym_xor_eq] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3564),
    [anon_sym_compl] = ACTIONS(3564),
    [anon_sym_LT_EQ_GT] = ACTIONS(3562),
    [anon_sym_or] = ACTIONS(3564),
    [anon_sym_and] = ACTIONS(3564),
    [anon_sym_bitor] = ACTIONS(3564),
    [anon_sym_xor] = ACTIONS(3564),
    [anon_sym_bitand] = ACTIONS(3564),
    [anon_sym_not_eq] = ACTIONS(3564),
    [anon_sym_DASH_DASH] = ACTIONS(3562),
    [anon_sym_PLUS_PLUS] = ACTIONS(3562),
    [anon_sym_DASH_GT] = ACTIONS(3564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(3580),
    [anon_sym_typename] = ACTIONS(3582),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_co_await] = ACTIONS(3564),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3562),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3562),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3562),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3586),
  },
  [767] = {
    [sym__declaration_modifiers] = STATE(1916),
    [sym__declaration_specifiers] = STATE(5930),
    [sym_attribute_specifier] = STATE(1916),
    [sym_attribute_declaration] = STATE(1916),
    [sym_ms_declspec_modifier] = STATE(1916),
    [sym_storage_class_specifier] = STATE(1916),
    [sym_type_qualifier] = STATE(1916),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(3903),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6138),
    [sym_qualified_type_identifier] = STATE(2866),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1916),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2984),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_COMMA] = ACTIONS(3588),
    [anon_sym_BANG] = ACTIONS(3590),
    [anon_sym_TILDE] = ACTIONS(3588),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_STAR] = ACTIONS(3590),
    [anon_sym_SLASH] = ACTIONS(3590),
    [anon_sym_PERCENT] = ACTIONS(3590),
    [anon_sym_PIPE_PIPE] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3588),
    [anon_sym_PIPE] = ACTIONS(3590),
    [anon_sym_CARET] = ACTIONS(3590),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym_EQ_EQ] = ACTIONS(3588),
    [anon_sym_BANG_EQ] = ACTIONS(3588),
    [anon_sym_GT] = ACTIONS(3590),
    [anon_sym_GT_EQ] = ACTIONS(3588),
    [anon_sym_LT_EQ] = ACTIONS(3590),
    [anon_sym_LT] = ACTIONS(3590),
    [anon_sym_LT_LT] = ACTIONS(3590),
    [anon_sym_GT_GT] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3568),
    [anon_sym_unsigned] = ACTIONS(3568),
    [anon_sym_long] = ACTIONS(3568),
    [anon_sym_short] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_EQ] = ACTIONS(3590),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_struct] = ACTIONS(3576),
    [anon_sym_union] = ACTIONS(3578),
    [anon_sym_STAR_EQ] = ACTIONS(3588),
    [anon_sym_SLASH_EQ] = ACTIONS(3588),
    [anon_sym_PERCENT_EQ] = ACTIONS(3588),
    [anon_sym_PLUS_EQ] = ACTIONS(3588),
    [anon_sym_DASH_EQ] = ACTIONS(3588),
    [anon_sym_LT_LT_EQ] = ACTIONS(3588),
    [anon_sym_GT_GT_EQ] = ACTIONS(3588),
    [anon_sym_AMP_EQ] = ACTIONS(3588),
    [anon_sym_CARET_EQ] = ACTIONS(3588),
    [anon_sym_PIPE_EQ] = ACTIONS(3588),
    [anon_sym_and_eq] = ACTIONS(3590),
    [anon_sym_or_eq] = ACTIONS(3590),
    [anon_sym_xor_eq] = ACTIONS(3590),
    [anon_sym_not] = ACTIONS(3590),
    [anon_sym_compl] = ACTIONS(3590),
    [anon_sym_LT_EQ_GT] = ACTIONS(3588),
    [anon_sym_or] = ACTIONS(3590),
    [anon_sym_and] = ACTIONS(3590),
    [anon_sym_bitor] = ACTIONS(3590),
    [anon_sym_xor] = ACTIONS(3590),
    [anon_sym_bitand] = ACTIONS(3590),
    [anon_sym_not_eq] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3588),
    [anon_sym_PLUS_PLUS] = ACTIONS(3588),
    [anon_sym_DASH_GT] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(3580),
    [anon_sym_typename] = ACTIONS(3582),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3592),
    [anon_sym_co_await] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3592),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3588),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3588),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3588),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3594),
  },
  [768] = {
    [sym_function_definition] = STATE(1708),
    [sym_declaration] = STATE(1708),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4306),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1860),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(1708),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(1708),
    [sym_operator_cast] = STATE(6287),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(1708),
    [sym_operator_cast_declaration] = STATE(1708),
    [sym_constructor_or_destructor_definition] = STATE(1708),
    [sym_constructor_or_destructor_declaration] = STATE(1708),
    [sym_friend_declaration] = STATE(1708),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(1708),
    [sym_concept_definition] = STATE(1708),
    [sym_requires_clause] = STATE(783),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_concept] = ACTIONS(3602),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [769] = {
    [sym_function_definition] = STATE(575),
    [sym_declaration] = STATE(575),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5781),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(575),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1650),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(575),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1650),
    [sym_operator_cast_definition] = STATE(575),
    [sym_operator_cast_declaration] = STATE(575),
    [sym_constructor_or_destructor_definition] = STATE(575),
    [sym_constructor_or_destructor_declaration] = STATE(575),
    [sym_friend_declaration] = STATE(575),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(575),
    [sym_concept_definition] = STATE(575),
    [sym_requires_clause] = STATE(781),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1650),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3606),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3608),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [770] = {
    [sym_function_definition] = STATE(1934),
    [sym_declaration] = STATE(1934),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4391),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1864),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2696),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(1934),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(1934),
    [sym_operator_cast] = STATE(6281),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(1934),
    [sym_operator_cast_declaration] = STATE(1934),
    [sym_constructor_or_destructor_definition] = STATE(1934),
    [sym_constructor_or_destructor_declaration] = STATE(1934),
    [sym_friend_declaration] = STATE(1934),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(1934),
    [sym_concept_definition] = STATE(1934),
    [sym_requires_clause] = STATE(778),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_concept] = ACTIONS(3614),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [771] = {
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_COMMA] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3618),
    [anon_sym_LPAREN2] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_AMP_AMP] = ACTIONS(3618),
    [anon_sym_AMP] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym___extension__] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3618),
    [anon_sym___declspec] = ACTIONS(3616),
    [anon_sym___based] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_signed] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_EQ] = ACTIONS(3618),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym___inline] = ACTIONS(3616),
    [anon_sym___inline__] = ACTIONS(3616),
    [anon_sym___forceinline] = ACTIONS(3616),
    [anon_sym_thread_local] = ACTIONS(3616),
    [anon_sym___thread] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_constexpr] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym___restrict__] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym__Noreturn] = ACTIONS(3616),
    [anon_sym_noreturn] = ACTIONS(3616),
    [anon_sym_mutable] = ACTIONS(3616),
    [anon_sym_constinit] = ACTIONS(3616),
    [anon_sym_consteval] = ACTIONS(3616),
    [anon_sym_alignas] = ACTIONS(3616),
    [anon_sym__Alignas] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym___try] = ACTIONS(3616),
    [anon_sym___leave] = ACTIONS(3616),
    [anon_sym_not] = ACTIONS(3616),
    [anon_sym_compl] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(3616),
    [anon_sym___alignof] = ACTIONS(3616),
    [anon_sym__alignof] = ACTIONS(3616),
    [anon_sym_alignof] = ACTIONS(3616),
    [anon_sym__Alignof] = ACTIONS(3616),
    [anon_sym_offsetof] = ACTIONS(3616),
    [anon_sym__Generic] = ACTIONS(3616),
    [anon_sym_asm] = ACTIONS(3616),
    [anon_sym___asm__] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3618),
    [anon_sym_u_SQUOTE] = ACTIONS(3618),
    [anon_sym_U_SQUOTE] = ACTIONS(3618),
    [anon_sym_u8_SQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_L_DQUOTE] = ACTIONS(3618),
    [anon_sym_u_DQUOTE] = ACTIONS(3618),
    [anon_sym_U_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8_DQUOTE] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [anon_sym_NULL] = ACTIONS(3616),
    [anon_sym_nullptr] = ACTIONS(3616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3616),
    [anon_sym_decltype] = ACTIONS(3616),
    [sym_virtual] = ACTIONS(3616),
    [anon_sym_explicit] = ACTIONS(3616),
    [anon_sym_typename] = ACTIONS(3616),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_GT2] = ACTIONS(3618),
    [anon_sym_operator] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_co_return] = ACTIONS(3616),
    [anon_sym_co_yield] = ACTIONS(3616),
    [anon_sym_R_DQUOTE] = ACTIONS(3618),
    [anon_sym_LR_DQUOTE] = ACTIONS(3618),
    [anon_sym_uR_DQUOTE] = ACTIONS(3618),
    [anon_sym_UR_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3618),
    [anon_sym_co_await] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_requires] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
  },
  [772] = {
    [sym_function_definition] = STATE(673),
    [sym_declaration] = STATE(673),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5830),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2594),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(673),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(673),
    [sym_operator_cast] = STATE(6282),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(673),
    [sym_operator_cast_declaration] = STATE(673),
    [sym_constructor_or_destructor_definition] = STATE(673),
    [sym_constructor_or_destructor_declaration] = STATE(673),
    [sym_friend_declaration] = STATE(673),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(673),
    [sym_concept_definition] = STATE(673),
    [sym_requires_clause] = STATE(780),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6282),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3620),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [773] = {
    [sym_function_definition] = STATE(2173),
    [sym_declaration] = STATE(2173),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4338),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1851),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2616),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(2173),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(2173),
    [sym_operator_cast] = STATE(6301),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(2173),
    [sym_operator_cast_declaration] = STATE(2173),
    [sym_constructor_or_destructor_definition] = STATE(2173),
    [sym_constructor_or_destructor_declaration] = STATE(2173),
    [sym_friend_declaration] = STATE(2173),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(2173),
    [sym_concept_definition] = STATE(2173),
    [sym_requires_clause] = STATE(777),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6301),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_concept] = ACTIONS(3628),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [774] = {
    [sym_function_definition] = STATE(346),
    [sym_declaration] = STATE(346),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5821),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(346),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(346),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(346),
    [sym_operator_cast_declaration] = STATE(346),
    [sym_constructor_or_destructor_definition] = STATE(346),
    [sym_constructor_or_destructor_declaration] = STATE(346),
    [sym_friend_declaration] = STATE(346),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(346),
    [sym_concept_definition] = STATE(346),
    [sym_requires_clause] = STATE(779),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3630),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [775] = {
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_AMP] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3638),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_signed] = ACTIONS(3636),
    [anon_sym_unsigned] = ACTIONS(3636),
    [anon_sym_long] = ACTIONS(3636),
    [anon_sym_short] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_EQ] = ACTIONS(3638),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym__Alignas] = ACTIONS(3636),
    [sym_primitive_type] = ACTIONS(3636),
    [anon_sym_enum] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_struct] = ACTIONS(3636),
    [anon_sym_union] = ACTIONS(3636),
    [anon_sym_if] = ACTIONS(3636),
    [anon_sym_switch] = ACTIONS(3636),
    [anon_sym_case] = ACTIONS(3636),
    [anon_sym_default] = ACTIONS(3636),
    [anon_sym_while] = ACTIONS(3636),
    [anon_sym_do] = ACTIONS(3636),
    [anon_sym_for] = ACTIONS(3636),
    [anon_sym_return] = ACTIONS(3636),
    [anon_sym_break] = ACTIONS(3636),
    [anon_sym_continue] = ACTIONS(3636),
    [anon_sym_goto] = ACTIONS(3636),
    [anon_sym___try] = ACTIONS(3636),
    [anon_sym___leave] = ACTIONS(3636),
    [anon_sym_not] = ACTIONS(3636),
    [anon_sym_compl] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_sizeof] = ACTIONS(3636),
    [anon_sym___alignof__] = ACTIONS(3636),
    [anon_sym___alignof] = ACTIONS(3636),
    [anon_sym__alignof] = ACTIONS(3636),
    [anon_sym_alignof] = ACTIONS(3636),
    [anon_sym__Alignof] = ACTIONS(3636),
    [anon_sym_offsetof] = ACTIONS(3636),
    [anon_sym__Generic] = ACTIONS(3636),
    [anon_sym_asm] = ACTIONS(3636),
    [anon_sym___asm__] = ACTIONS(3636),
    [sym_number_literal] = ACTIONS(3638),
    [anon_sym_L_SQUOTE] = ACTIONS(3638),
    [anon_sym_u_SQUOTE] = ACTIONS(3638),
    [anon_sym_U_SQUOTE] = ACTIONS(3638),
    [anon_sym_u8_SQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3638),
    [anon_sym_u_DQUOTE] = ACTIONS(3638),
    [anon_sym_U_DQUOTE] = ACTIONS(3638),
    [anon_sym_u8_DQUOTE] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [anon_sym_NULL] = ACTIONS(3636),
    [anon_sym_nullptr] = ACTIONS(3636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_explicit] = ACTIONS(3636),
    [anon_sym_typename] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_GT2] = ACTIONS(3638),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_throw] = ACTIONS(3636),
    [anon_sym_co_return] = ACTIONS(3636),
    [anon_sym_co_yield] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3638),
    [anon_sym_LR_DQUOTE] = ACTIONS(3638),
    [anon_sym_uR_DQUOTE] = ACTIONS(3638),
    [anon_sym_UR_DQUOTE] = ACTIONS(3638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3638),
    [anon_sym_co_await] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_requires] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
  },
  [776] = {
    [sym_function_definition] = STATE(522),
    [sym_declaration] = STATE(522),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5777),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(522),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1629),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(522),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1629),
    [sym_operator_cast_definition] = STATE(522),
    [sym_operator_cast_declaration] = STATE(522),
    [sym_constructor_or_destructor_definition] = STATE(522),
    [sym_constructor_or_destructor_declaration] = STATE(522),
    [sym_friend_declaration] = STATE(522),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(522),
    [sym_concept_definition] = STATE(522),
    [sym_requires_clause] = STATE(782),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1629),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3640),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3642),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_concept] = ACTIONS(796),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [777] = {
    [sym_function_definition] = STATE(2081),
    [sym_declaration] = STATE(2081),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4338),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1851),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5815),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2616),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(2081),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(2081),
    [sym_operator_cast] = STATE(6301),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(2081),
    [sym_operator_cast_declaration] = STATE(2081),
    [sym_constructor_or_destructor_definition] = STATE(2081),
    [sym_constructor_or_destructor_declaration] = STATE(2081),
    [sym_friend_declaration] = STATE(2081),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(2081),
    [sym_concept_definition] = STATE(2081),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6301),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_concept] = ACTIONS(3628),
  },
  [778] = {
    [sym_function_definition] = STATE(1995),
    [sym_declaration] = STATE(1995),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4391),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1864),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5726),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2696),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(1995),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1626),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(1995),
    [sym_operator_cast] = STATE(6281),
    [sym__constructor_specifiers] = STATE(1626),
    [sym_operator_cast_definition] = STATE(1995),
    [sym_operator_cast_declaration] = STATE(1995),
    [sym_constructor_or_destructor_definition] = STATE(1995),
    [sym_constructor_or_destructor_declaration] = STATE(1995),
    [sym_friend_declaration] = STATE(1995),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(1995),
    [sym_concept_definition] = STATE(1995),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6281),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1626),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_concept] = ACTIONS(3614),
  },
  [779] = {
    [sym_function_definition] = STATE(337),
    [sym_declaration] = STATE(337),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1862),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5821),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2689),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(337),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(337),
    [sym_operator_cast] = STATE(6297),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(337),
    [sym_operator_cast_declaration] = STATE(337),
    [sym_constructor_or_destructor_definition] = STATE(337),
    [sym_constructor_or_destructor_declaration] = STATE(337),
    [sym_friend_declaration] = STATE(337),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(337),
    [sym_concept_definition] = STATE(337),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6297),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3630),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_concept] = ACTIONS(329),
  },
  [780] = {
    [sym_function_definition] = STATE(695),
    [sym_declaration] = STATE(695),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1848),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5830),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2594),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(695),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(695),
    [sym_operator_cast] = STATE(6282),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(695),
    [sym_operator_cast_declaration] = STATE(695),
    [sym_constructor_or_destructor_definition] = STATE(695),
    [sym_constructor_or_destructor_declaration] = STATE(695),
    [sym_friend_declaration] = STATE(695),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(695),
    [sym_concept_definition] = STATE(695),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6282),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3620),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_concept] = ACTIONS(145),
  },
  [781] = {
    [sym_function_definition] = STATE(643),
    [sym_declaration] = STATE(643),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1850),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5781),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2622),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(643),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1650),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(643),
    [sym_operator_cast] = STATE(6330),
    [sym__constructor_specifiers] = STATE(1650),
    [sym_operator_cast_definition] = STATE(643),
    [sym_operator_cast_declaration] = STATE(643),
    [sym_constructor_or_destructor_definition] = STATE(643),
    [sym_constructor_or_destructor_declaration] = STATE(643),
    [sym_friend_declaration] = STATE(643),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(643),
    [sym_concept_definition] = STATE(643),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6330),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1650),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3606),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3608),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_concept] = ACTIONS(233),
  },
  [782] = {
    [sym_function_definition] = STATE(622),
    [sym_declaration] = STATE(622),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1865),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5777),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2612),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(622),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1629),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(622),
    [sym_operator_cast] = STATE(6315),
    [sym__constructor_specifiers] = STATE(1629),
    [sym_operator_cast_definition] = STATE(622),
    [sym_operator_cast_declaration] = STATE(622),
    [sym_constructor_or_destructor_definition] = STATE(622),
    [sym_constructor_or_destructor_declaration] = STATE(622),
    [sym_friend_declaration] = STATE(622),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(622),
    [sym_concept_definition] = STATE(622),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6315),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1629),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3640),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3642),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_concept] = ACTIONS(796),
  },
  [783] = {
    [sym_function_definition] = STATE(1786),
    [sym_declaration] = STATE(1786),
    [sym__declaration_modifiers] = STATE(3217),
    [sym__declaration_specifiers] = STATE(4306),
    [sym_attribute_specifier] = STATE(3217),
    [sym_attribute_declaration] = STATE(3217),
    [sym_ms_declspec_modifier] = STATE(3217),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(1860),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5704),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3217),
    [sym_type_qualifier] = STATE(3217),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym__empty_declaration] = STATE(1786),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_explicit_function_specifier] = STATE(1651),
    [sym_dependent_type] = STATE(2411),
    [sym_template_declaration] = STATE(1786),
    [sym_operator_cast] = STATE(6287),
    [sym__constructor_specifiers] = STATE(1651),
    [sym_operator_cast_definition] = STATE(1786),
    [sym_operator_cast_declaration] = STATE(1786),
    [sym_constructor_or_destructor_definition] = STATE(1786),
    [sym_constructor_or_destructor_declaration] = STATE(1786),
    [sym_friend_declaration] = STATE(1786),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_alias_declaration] = STATE(1786),
    [sym_concept_definition] = STATE(1786),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5130),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_qualified_operator_cast_identifier] = STATE(6287),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1651),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3069),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_concept] = ACTIONS(3602),
  },
  [784] = {
    [sym_type_qualifier] = STATE(796),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3650),
    [anon_sym_RBRACK] = ACTIONS(3652),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [785] = {
    [sym_type_qualifier] = STATE(795),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3656),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3658),
    [anon_sym_RBRACK] = ACTIONS(3660),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [786] = {
    [sym_type_qualifier] = STATE(787),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4402),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(787),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3662),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3664),
    [anon_sym_RBRACK] = ACTIONS(3666),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [787] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3672),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [788] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3676),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [789] = {
    [sym_type_qualifier] = STATE(799),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3678),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3680),
    [anon_sym_RBRACK] = ACTIONS(3682),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [790] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4384),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3686),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [791] = {
    [sym_type_qualifier] = STATE(802),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(802),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3688),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3690),
    [anon_sym_RBRACK] = ACTIONS(3692),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [792] = {
    [sym_type_qualifier] = STATE(803),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(803),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3694),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3696),
    [anon_sym_RBRACK] = ACTIONS(3698),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [793] = {
    [sym_type_qualifier] = STATE(797),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(797),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3700),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3702),
    [anon_sym_RBRACK] = ACTIONS(3704),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [794] = {
    [sym_type_qualifier] = STATE(788),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(788),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3706),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3708),
    [anon_sym_RBRACK] = ACTIONS(3710),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [795] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3712),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3714),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [796] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4318),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3716),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3718),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [797] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3720),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3722),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [798] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3724),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3726),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [799] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3728),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3730),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [800] = {
    [sym_type_qualifier] = STATE(788),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4371),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(788),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3706),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3708),
    [anon_sym_RBRACK] = ACTIONS(3710),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [801] = {
    [sym_type_qualifier] = STATE(790),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4316),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(790),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3734),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3736),
    [anon_sym_RBRACK] = ACTIONS(3738),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [802] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4329),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3740),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [803] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4421),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3744),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3746),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [804] = {
    [sym_type_qualifier] = STATE(798),
    [sym_alignas_qualifier] = STATE(1683),
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [aux_sym_array_declarator_repeat1] = STATE(798),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(3748),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3750),
    [anon_sym_RBRACK] = ACTIONS(3752),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [805] = {
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_LPAREN2] = ACTIONS(3757),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3757),
    [anon_sym_AMP_AMP] = ACTIONS(3764),
    [anon_sym_AMP] = ACTIONS(3754),
    [anon_sym_SEMI] = ACTIONS(3760),
    [anon_sym___extension__] = ACTIONS(3766),
    [anon_sym_extern] = ACTIONS(3766),
    [anon_sym___attribute__] = ACTIONS(3766),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3757),
    [anon_sym___declspec] = ACTIONS(3766),
    [anon_sym___based] = ACTIONS(3766),
    [anon_sym_LBRACE] = ACTIONS(3760),
    [anon_sym_signed] = ACTIONS(3766),
    [anon_sym_unsigned] = ACTIONS(3766),
    [anon_sym_long] = ACTIONS(3766),
    [anon_sym_short] = ACTIONS(3766),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(3766),
    [anon_sym_register] = ACTIONS(3766),
    [anon_sym_inline] = ACTIONS(3766),
    [anon_sym___inline] = ACTIONS(3766),
    [anon_sym___inline__] = ACTIONS(3766),
    [anon_sym___forceinline] = ACTIONS(3766),
    [anon_sym_thread_local] = ACTIONS(3766),
    [anon_sym___thread] = ACTIONS(3766),
    [anon_sym_const] = ACTIONS(3766),
    [anon_sym_constexpr] = ACTIONS(3766),
    [anon_sym_volatile] = ACTIONS(3766),
    [anon_sym_restrict] = ACTIONS(3766),
    [anon_sym___restrict__] = ACTIONS(3766),
    [anon_sym__Atomic] = ACTIONS(3766),
    [anon_sym__Noreturn] = ACTIONS(3766),
    [anon_sym_noreturn] = ACTIONS(3766),
    [anon_sym_mutable] = ACTIONS(3766),
    [anon_sym_constinit] = ACTIONS(3766),
    [anon_sym_consteval] = ACTIONS(3766),
    [anon_sym_alignas] = ACTIONS(3766),
    [anon_sym__Alignas] = ACTIONS(3766),
    [sym_primitive_type] = ACTIONS(3754),
    [anon_sym_enum] = ACTIONS(3766),
    [anon_sym_class] = ACTIONS(3766),
    [anon_sym_struct] = ACTIONS(3766),
    [anon_sym_union] = ACTIONS(3766),
    [anon_sym_if] = ACTIONS(3762),
    [anon_sym_switch] = ACTIONS(3762),
    [anon_sym_case] = ACTIONS(3762),
    [anon_sym_default] = ACTIONS(3762),
    [anon_sym_while] = ACTIONS(3762),
    [anon_sym_do] = ACTIONS(3762),
    [anon_sym_for] = ACTIONS(3762),
    [anon_sym_return] = ACTIONS(3762),
    [anon_sym_break] = ACTIONS(3762),
    [anon_sym_continue] = ACTIONS(3762),
    [anon_sym_goto] = ACTIONS(3762),
    [anon_sym___try] = ACTIONS(3762),
    [anon_sym___leave] = ACTIONS(3762),
    [anon_sym_not] = ACTIONS(3762),
    [anon_sym_compl] = ACTIONS(3762),
    [anon_sym_DASH_DASH] = ACTIONS(3760),
    [anon_sym_PLUS_PLUS] = ACTIONS(3760),
    [anon_sym_sizeof] = ACTIONS(3762),
    [anon_sym___alignof__] = ACTIONS(3762),
    [anon_sym___alignof] = ACTIONS(3762),
    [anon_sym__alignof] = ACTIONS(3762),
    [anon_sym_alignof] = ACTIONS(3762),
    [anon_sym__Alignof] = ACTIONS(3762),
    [anon_sym_offsetof] = ACTIONS(3762),
    [anon_sym__Generic] = ACTIONS(3762),
    [anon_sym_asm] = ACTIONS(3762),
    [anon_sym___asm__] = ACTIONS(3762),
    [sym_number_literal] = ACTIONS(3760),
    [anon_sym_L_SQUOTE] = ACTIONS(3760),
    [anon_sym_u_SQUOTE] = ACTIONS(3760),
    [anon_sym_U_SQUOTE] = ACTIONS(3760),
    [anon_sym_u8_SQUOTE] = ACTIONS(3760),
    [anon_sym_SQUOTE] = ACTIONS(3760),
    [anon_sym_L_DQUOTE] = ACTIONS(3760),
    [anon_sym_u_DQUOTE] = ACTIONS(3760),
    [anon_sym_U_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8_DQUOTE] = ACTIONS(3760),
    [anon_sym_DQUOTE] = ACTIONS(3760),
    [sym_true] = ACTIONS(3762),
    [sym_false] = ACTIONS(3762),
    [anon_sym_NULL] = ACTIONS(3762),
    [anon_sym_nullptr] = ACTIONS(3762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3766),
    [anon_sym_decltype] = ACTIONS(3754),
    [sym_virtual] = ACTIONS(3766),
    [anon_sym_explicit] = ACTIONS(3766),
    [anon_sym_typename] = ACTIONS(3766),
    [anon_sym_template] = ACTIONS(3754),
    [anon_sym_operator] = ACTIONS(3766),
    [anon_sym_try] = ACTIONS(3762),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_throw] = ACTIONS(3762),
    [anon_sym_co_return] = ACTIONS(3762),
    [anon_sym_co_yield] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3760),
    [anon_sym_LR_DQUOTE] = ACTIONS(3760),
    [anon_sym_uR_DQUOTE] = ACTIONS(3760),
    [anon_sym_UR_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3760),
    [anon_sym_co_await] = ACTIONS(3762),
    [anon_sym_new] = ACTIONS(3762),
    [anon_sym_requires] = ACTIONS(3762),
    [sym_this] = ACTIONS(3762),
  },
  [806] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3804),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [807] = {
    [sym_catch_clause] = STATE(807),
    [aux_sym_constructor_try_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(3808),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [808] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3811),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [809] = {
    [sym_catch_clause] = STATE(807),
    [aux_sym_constructor_try_statement_repeat1] = STATE(807),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2468),
    [anon_sym_switch] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_do] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_goto] = ACTIONS(2468),
    [anon_sym___try] = ACTIONS(2468),
    [anon_sym___leave] = ACTIONS(2468),
    [anon_sym_not] = ACTIONS(2468),
    [anon_sym_compl] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(2468),
    [anon_sym___alignof] = ACTIONS(2468),
    [anon_sym__alignof] = ACTIONS(2468),
    [anon_sym_alignof] = ACTIONS(2468),
    [anon_sym__Alignof] = ACTIONS(2468),
    [anon_sym_offsetof] = ACTIONS(2468),
    [anon_sym__Generic] = ACTIONS(2468),
    [anon_sym_asm] = ACTIONS(2468),
    [anon_sym___asm__] = ACTIONS(2468),
    [sym_number_literal] = ACTIONS(2470),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2470),
    [anon_sym_u_DQUOTE] = ACTIONS(2470),
    [anon_sym_U_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8_DQUOTE] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2470),
    [sym_true] = ACTIONS(2468),
    [sym_false] = ACTIONS(2468),
    [anon_sym_NULL] = ACTIONS(2468),
    [anon_sym_nullptr] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [anon_sym_delete] = ACTIONS(2468),
    [anon_sym_throw] = ACTIONS(2468),
    [anon_sym_co_return] = ACTIONS(2468),
    [anon_sym_co_yield] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(3813),
    [anon_sym_R_DQUOTE] = ACTIONS(2470),
    [anon_sym_LR_DQUOTE] = ACTIONS(2470),
    [anon_sym_uR_DQUOTE] = ACTIONS(2470),
    [anon_sym_UR_DQUOTE] = ACTIONS(2470),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2470),
    [anon_sym_co_await] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2468),
    [anon_sym_requires] = ACTIONS(2468),
    [sym_this] = ACTIONS(2468),
  },
  [810] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [811] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [812] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3819),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [813] = {
    [sym_else_clause] = STATE(825),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_mutable] = ACTIONS(2482),
    [anon_sym_constinit] = ACTIONS(2482),
    [anon_sym_consteval] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_class] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2482),
    [anon_sym_not] = ACTIONS(2482),
    [anon_sym_compl] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2482),
    [anon_sym_decltype] = ACTIONS(2482),
    [sym_virtual] = ACTIONS(2482),
    [anon_sym_typename] = ACTIONS(2482),
    [anon_sym_template] = ACTIONS(2482),
    [anon_sym_try] = ACTIONS(2482),
    [anon_sym_delete] = ACTIONS(2482),
    [anon_sym_throw] = ACTIONS(2482),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2482),
    [anon_sym_R_DQUOTE] = ACTIONS(2484),
    [anon_sym_LR_DQUOTE] = ACTIONS(2484),
    [anon_sym_uR_DQUOTE] = ACTIONS(2484),
    [anon_sym_UR_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2484),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2482),
    [sym_this] = ACTIONS(2482),
  },
  [814] = {
    [sym_else_clause] = STATE(843),
    [sym_identifier] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [816] = {
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [817] = {
    [sym_identifier] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1880),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [829] = {
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_LPAREN2] = ACTIONS(3760),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3760),
    [anon_sym_AMP] = ACTIONS(3760),
    [anon_sym_SEMI] = ACTIONS(3760),
    [anon_sym___extension__] = ACTIONS(3766),
    [anon_sym_extern] = ACTIONS(3766),
    [anon_sym___attribute__] = ACTIONS(3766),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3757),
    [anon_sym___declspec] = ACTIONS(3766),
    [anon_sym_LBRACE] = ACTIONS(3760),
    [anon_sym_signed] = ACTIONS(3766),
    [anon_sym_unsigned] = ACTIONS(3766),
    [anon_sym_long] = ACTIONS(3766),
    [anon_sym_short] = ACTIONS(3766),
    [anon_sym_LBRACK] = ACTIONS(3762),
    [anon_sym_static] = ACTIONS(3766),
    [anon_sym_register] = ACTIONS(3766),
    [anon_sym_inline] = ACTIONS(3766),
    [anon_sym___inline] = ACTIONS(3766),
    [anon_sym___inline__] = ACTIONS(3766),
    [anon_sym___forceinline] = ACTIONS(3766),
    [anon_sym_thread_local] = ACTIONS(3766),
    [anon_sym___thread] = ACTIONS(3766),
    [anon_sym_const] = ACTIONS(3766),
    [anon_sym_constexpr] = ACTIONS(3766),
    [anon_sym_volatile] = ACTIONS(3766),
    [anon_sym_restrict] = ACTIONS(3766),
    [anon_sym___restrict__] = ACTIONS(3766),
    [anon_sym__Atomic] = ACTIONS(3766),
    [anon_sym__Noreturn] = ACTIONS(3766),
    [anon_sym_noreturn] = ACTIONS(3766),
    [anon_sym_mutable] = ACTIONS(3766),
    [anon_sym_constinit] = ACTIONS(3766),
    [anon_sym_consteval] = ACTIONS(3766),
    [anon_sym_alignas] = ACTIONS(3766),
    [anon_sym__Alignas] = ACTIONS(3766),
    [sym_primitive_type] = ACTIONS(3754),
    [anon_sym_enum] = ACTIONS(3766),
    [anon_sym_class] = ACTIONS(3766),
    [anon_sym_struct] = ACTIONS(3766),
    [anon_sym_union] = ACTIONS(3766),
    [anon_sym_if] = ACTIONS(3762),
    [anon_sym_switch] = ACTIONS(3762),
    [anon_sym_case] = ACTIONS(3762),
    [anon_sym_default] = ACTIONS(3762),
    [anon_sym_while] = ACTIONS(3762),
    [anon_sym_do] = ACTIONS(3762),
    [anon_sym_for] = ACTIONS(3762),
    [anon_sym_return] = ACTIONS(3762),
    [anon_sym_break] = ACTIONS(3762),
    [anon_sym_continue] = ACTIONS(3762),
    [anon_sym_goto] = ACTIONS(3762),
    [anon_sym___try] = ACTIONS(3762),
    [anon_sym___leave] = ACTIONS(3762),
    [anon_sym_not] = ACTIONS(3762),
    [anon_sym_compl] = ACTIONS(3762),
    [anon_sym_DASH_DASH] = ACTIONS(3760),
    [anon_sym_PLUS_PLUS] = ACTIONS(3760),
    [anon_sym_sizeof] = ACTIONS(3762),
    [anon_sym___alignof__] = ACTIONS(3762),
    [anon_sym___alignof] = ACTIONS(3762),
    [anon_sym__alignof] = ACTIONS(3762),
    [anon_sym_alignof] = ACTIONS(3762),
    [anon_sym__Alignof] = ACTIONS(3762),
    [anon_sym_offsetof] = ACTIONS(3762),
    [anon_sym__Generic] = ACTIONS(3762),
    [anon_sym_asm] = ACTIONS(3762),
    [anon_sym___asm__] = ACTIONS(3762),
    [sym_number_literal] = ACTIONS(3760),
    [anon_sym_L_SQUOTE] = ACTIONS(3760),
    [anon_sym_u_SQUOTE] = ACTIONS(3760),
    [anon_sym_U_SQUOTE] = ACTIONS(3760),
    [anon_sym_u8_SQUOTE] = ACTIONS(3760),
    [anon_sym_SQUOTE] = ACTIONS(3760),
    [anon_sym_L_DQUOTE] = ACTIONS(3760),
    [anon_sym_u_DQUOTE] = ACTIONS(3760),
    [anon_sym_U_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8_DQUOTE] = ACTIONS(3760),
    [anon_sym_DQUOTE] = ACTIONS(3760),
    [sym_true] = ACTIONS(3762),
    [sym_false] = ACTIONS(3762),
    [anon_sym_NULL] = ACTIONS(3762),
    [anon_sym_nullptr] = ACTIONS(3762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3766),
    [anon_sym_decltype] = ACTIONS(3754),
    [sym_virtual] = ACTIONS(3766),
    [anon_sym_typename] = ACTIONS(3766),
    [anon_sym_template] = ACTIONS(3754),
    [anon_sym_try] = ACTIONS(3762),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_throw] = ACTIONS(3762),
    [anon_sym_co_return] = ACTIONS(3762),
    [anon_sym_co_yield] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3760),
    [anon_sym_LR_DQUOTE] = ACTIONS(3760),
    [anon_sym_uR_DQUOTE] = ACTIONS(3760),
    [anon_sym_UR_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3760),
    [anon_sym_co_await] = ACTIONS(3762),
    [anon_sym_new] = ACTIONS(3762),
    [anon_sym_requires] = ACTIONS(3762),
    [sym_this] = ACTIONS(3762),
  },
  [830] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6080),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3089),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5325),
    [sym_qualified_identifier] = STATE(3087),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym___leave] = ACTIONS(2528),
    [anon_sym_not] = ACTIONS(2528),
    [anon_sym_compl] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_co_return] = ACTIONS(2528),
    [anon_sym_co_yield] = ACTIONS(2528),
    [anon_sym_R_DQUOTE] = ACTIONS(2530),
    [anon_sym_LR_DQUOTE] = ACTIONS(2530),
    [anon_sym_uR_DQUOTE] = ACTIONS(2530),
    [anon_sym_UR_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2530),
    [anon_sym_co_await] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_requires] = ACTIONS(2528),
    [sym_this] = ACTIONS(2528),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [837] = {
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(3638),
    [anon_sym_AMP] = ACTIONS(3638),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3638),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_signed] = ACTIONS(3636),
    [anon_sym_unsigned] = ACTIONS(3636),
    [anon_sym_long] = ACTIONS(3636),
    [anon_sym_short] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym__Alignas] = ACTIONS(3636),
    [sym_primitive_type] = ACTIONS(3636),
    [anon_sym_enum] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_struct] = ACTIONS(3636),
    [anon_sym_union] = ACTIONS(3636),
    [anon_sym_if] = ACTIONS(3636),
    [anon_sym_switch] = ACTIONS(3636),
    [anon_sym_case] = ACTIONS(3636),
    [anon_sym_default] = ACTIONS(3636),
    [anon_sym_while] = ACTIONS(3636),
    [anon_sym_do] = ACTIONS(3636),
    [anon_sym_for] = ACTIONS(3636),
    [anon_sym_return] = ACTIONS(3636),
    [anon_sym_break] = ACTIONS(3636),
    [anon_sym_continue] = ACTIONS(3636),
    [anon_sym_goto] = ACTIONS(3636),
    [anon_sym___try] = ACTIONS(3636),
    [anon_sym___leave] = ACTIONS(3636),
    [anon_sym_not] = ACTIONS(3636),
    [anon_sym_compl] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_sizeof] = ACTIONS(3636),
    [anon_sym___alignof__] = ACTIONS(3636),
    [anon_sym___alignof] = ACTIONS(3636),
    [anon_sym__alignof] = ACTIONS(3636),
    [anon_sym_alignof] = ACTIONS(3636),
    [anon_sym__Alignof] = ACTIONS(3636),
    [anon_sym_offsetof] = ACTIONS(3636),
    [anon_sym__Generic] = ACTIONS(3636),
    [anon_sym_asm] = ACTIONS(3636),
    [anon_sym___asm__] = ACTIONS(3636),
    [sym_number_literal] = ACTIONS(3638),
    [anon_sym_L_SQUOTE] = ACTIONS(3638),
    [anon_sym_u_SQUOTE] = ACTIONS(3638),
    [anon_sym_U_SQUOTE] = ACTIONS(3638),
    [anon_sym_u8_SQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_L_DQUOTE] = ACTIONS(3638),
    [anon_sym_u_DQUOTE] = ACTIONS(3638),
    [anon_sym_U_DQUOTE] = ACTIONS(3638),
    [anon_sym_u8_DQUOTE] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [anon_sym_NULL] = ACTIONS(3636),
    [anon_sym_nullptr] = ACTIONS(3636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3636),
    [anon_sym_decltype] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_typename] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_throw] = ACTIONS(3636),
    [anon_sym_co_return] = ACTIONS(3636),
    [anon_sym_co_yield] = ACTIONS(3636),
    [anon_sym_R_DQUOTE] = ACTIONS(3638),
    [anon_sym_LR_DQUOTE] = ACTIONS(3638),
    [anon_sym_uR_DQUOTE] = ACTIONS(3638),
    [anon_sym_UR_DQUOTE] = ACTIONS(3638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3638),
    [anon_sym_co_await] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_requires] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_mutable] = ACTIONS(2520),
    [anon_sym_constinit] = ACTIONS(2520),
    [anon_sym_consteval] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym___leave] = ACTIONS(2520),
    [anon_sym_not] = ACTIONS(2520),
    [anon_sym_compl] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2520),
    [anon_sym_decltype] = ACTIONS(2520),
    [sym_virtual] = ACTIONS(2520),
    [anon_sym_typename] = ACTIONS(2520),
    [anon_sym_template] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_co_return] = ACTIONS(2520),
    [anon_sym_co_yield] = ACTIONS(2520),
    [anon_sym_R_DQUOTE] = ACTIONS(2522),
    [anon_sym_LR_DQUOTE] = ACTIONS(2522),
    [anon_sym_uR_DQUOTE] = ACTIONS(2522),
    [anon_sym_UR_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2522),
    [anon_sym_co_await] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_requires] = ACTIONS(2520),
    [sym_this] = ACTIONS(2520),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_mutable] = ACTIONS(2516),
    [anon_sym_constinit] = ACTIONS(2516),
    [anon_sym_consteval] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_class] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym___leave] = ACTIONS(2516),
    [anon_sym_not] = ACTIONS(2516),
    [anon_sym_compl] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2516),
    [anon_sym_decltype] = ACTIONS(2516),
    [sym_virtual] = ACTIONS(2516),
    [anon_sym_typename] = ACTIONS(2516),
    [anon_sym_template] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [anon_sym_delete] = ACTIONS(2516),
    [anon_sym_throw] = ACTIONS(2516),
    [anon_sym_co_return] = ACTIONS(2516),
    [anon_sym_co_yield] = ACTIONS(2516),
    [anon_sym_R_DQUOTE] = ACTIONS(2518),
    [anon_sym_LR_DQUOTE] = ACTIONS(2518),
    [anon_sym_uR_DQUOTE] = ACTIONS(2518),
    [anon_sym_UR_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2518),
    [anon_sym_co_await] = ACTIONS(2516),
    [anon_sym_new] = ACTIONS(2516),
    [anon_sym_requires] = ACTIONS(2516),
    [sym_this] = ACTIONS(2516),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_mutable] = ACTIONS(2508),
    [anon_sym_constinit] = ACTIONS(2508),
    [anon_sym_consteval] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym___leave] = ACTIONS(2508),
    [anon_sym_not] = ACTIONS(2508),
    [anon_sym_compl] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2508),
    [anon_sym_decltype] = ACTIONS(2508),
    [sym_virtual] = ACTIONS(2508),
    [anon_sym_typename] = ACTIONS(2508),
    [anon_sym_template] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [anon_sym_delete] = ACTIONS(2508),
    [anon_sym_throw] = ACTIONS(2508),
    [anon_sym_co_return] = ACTIONS(2508),
    [anon_sym_co_yield] = ACTIONS(2508),
    [anon_sym_R_DQUOTE] = ACTIONS(2510),
    [anon_sym_LR_DQUOTE] = ACTIONS(2510),
    [anon_sym_uR_DQUOTE] = ACTIONS(2510),
    [anon_sym_UR_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2510),
    [anon_sym_co_await] = ACTIONS(2508),
    [anon_sym_new] = ACTIONS(2508),
    [anon_sym_requires] = ACTIONS(2508),
    [sym_this] = ACTIONS(2508),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_mutable] = ACTIONS(2504),
    [anon_sym_constinit] = ACTIONS(2504),
    [anon_sym_consteval] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym___leave] = ACTIONS(2504),
    [anon_sym_not] = ACTIONS(2504),
    [anon_sym_compl] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2504),
    [anon_sym_decltype] = ACTIONS(2504),
    [sym_virtual] = ACTIONS(2504),
    [anon_sym_typename] = ACTIONS(2504),
    [anon_sym_template] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [anon_sym_delete] = ACTIONS(2504),
    [anon_sym_throw] = ACTIONS(2504),
    [anon_sym_co_return] = ACTIONS(2504),
    [anon_sym_co_yield] = ACTIONS(2504),
    [anon_sym_R_DQUOTE] = ACTIONS(2506),
    [anon_sym_LR_DQUOTE] = ACTIONS(2506),
    [anon_sym_uR_DQUOTE] = ACTIONS(2506),
    [anon_sym_UR_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2506),
    [anon_sym_co_await] = ACTIONS(2504),
    [anon_sym_new] = ACTIONS(2504),
    [anon_sym_requires] = ACTIONS(2504),
    [sym_this] = ACTIONS(2504),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [846] = {
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6080),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_expression] = STATE(2958),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3052),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5319),
    [sym_qualified_identifier] = STATE(3056),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_operator_name] = STATE(5904),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(3079),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym___leave] = ACTIONS(2512),
    [anon_sym_not] = ACTIONS(2512),
    [anon_sym_compl] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [anon_sym_delete] = ACTIONS(2512),
    [anon_sym_throw] = ACTIONS(2512),
    [anon_sym_co_return] = ACTIONS(2512),
    [anon_sym_co_yield] = ACTIONS(2512),
    [anon_sym_R_DQUOTE] = ACTIONS(2514),
    [anon_sym_LR_DQUOTE] = ACTIONS(2514),
    [anon_sym_uR_DQUOTE] = ACTIONS(2514),
    [anon_sym_UR_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2514),
    [anon_sym_co_await] = ACTIONS(2512),
    [anon_sym_new] = ACTIONS(2512),
    [anon_sym_requires] = ACTIONS(2512),
    [sym_this] = ACTIONS(2512),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym___leave] = ACTIONS(2524),
    [anon_sym_not] = ACTIONS(2524),
    [anon_sym_compl] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_co_return] = ACTIONS(2524),
    [anon_sym_co_yield] = ACTIONS(2524),
    [anon_sym_R_DQUOTE] = ACTIONS(2526),
    [anon_sym_LR_DQUOTE] = ACTIONS(2526),
    [anon_sym_uR_DQUOTE] = ACTIONS(2526),
    [anon_sym_UR_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2526),
    [anon_sym_co_await] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_requires] = ACTIONS(2524),
    [sym_this] = ACTIONS(2524),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_COLON_COLON] = ACTIONS(2542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_mutable] = ACTIONS(2540),
    [anon_sym_constinit] = ACTIONS(2540),
    [anon_sym_consteval] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym___leave] = ACTIONS(2540),
    [anon_sym_not] = ACTIONS(2540),
    [anon_sym_compl] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2540),
    [anon_sym_decltype] = ACTIONS(2540),
    [sym_virtual] = ACTIONS(2540),
    [anon_sym_typename] = ACTIONS(2540),
    [anon_sym_template] = ACTIONS(2540),
    [anon_sym_try] = ACTIONS(2540),
    [anon_sym_delete] = ACTIONS(2540),
    [anon_sym_throw] = ACTIONS(2540),
    [anon_sym_co_return] = ACTIONS(2540),
    [anon_sym_co_yield] = ACTIONS(2540),
    [anon_sym_R_DQUOTE] = ACTIONS(2542),
    [anon_sym_LR_DQUOTE] = ACTIONS(2542),
    [anon_sym_uR_DQUOTE] = ACTIONS(2542),
    [anon_sym_UR_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2542),
    [anon_sym_co_await] = ACTIONS(2540),
    [anon_sym_new] = ACTIONS(2540),
    [anon_sym_requires] = ACTIONS(2540),
    [sym_this] = ACTIONS(2540),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [854] = {
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_LPAREN2] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_AMP] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym___extension__] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3618),
    [anon_sym___declspec] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_signed] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym___inline] = ACTIONS(3616),
    [anon_sym___inline__] = ACTIONS(3616),
    [anon_sym___forceinline] = ACTIONS(3616),
    [anon_sym_thread_local] = ACTIONS(3616),
    [anon_sym___thread] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_constexpr] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym___restrict__] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym__Noreturn] = ACTIONS(3616),
    [anon_sym_noreturn] = ACTIONS(3616),
    [anon_sym_mutable] = ACTIONS(3616),
    [anon_sym_constinit] = ACTIONS(3616),
    [anon_sym_consteval] = ACTIONS(3616),
    [anon_sym_alignas] = ACTIONS(3616),
    [anon_sym__Alignas] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym___try] = ACTIONS(3616),
    [anon_sym___leave] = ACTIONS(3616),
    [anon_sym_not] = ACTIONS(3616),
    [anon_sym_compl] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(3616),
    [anon_sym___alignof] = ACTIONS(3616),
    [anon_sym__alignof] = ACTIONS(3616),
    [anon_sym_alignof] = ACTIONS(3616),
    [anon_sym__Alignof] = ACTIONS(3616),
    [anon_sym_offsetof] = ACTIONS(3616),
    [anon_sym__Generic] = ACTIONS(3616),
    [anon_sym_asm] = ACTIONS(3616),
    [anon_sym___asm__] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3618),
    [anon_sym_u_SQUOTE] = ACTIONS(3618),
    [anon_sym_U_SQUOTE] = ACTIONS(3618),
    [anon_sym_u8_SQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_L_DQUOTE] = ACTIONS(3618),
    [anon_sym_u_DQUOTE] = ACTIONS(3618),
    [anon_sym_U_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8_DQUOTE] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [anon_sym_NULL] = ACTIONS(3616),
    [anon_sym_nullptr] = ACTIONS(3616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3616),
    [anon_sym_decltype] = ACTIONS(3616),
    [sym_virtual] = ACTIONS(3616),
    [anon_sym_typename] = ACTIONS(3616),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_co_return] = ACTIONS(3616),
    [anon_sym_co_yield] = ACTIONS(3616),
    [anon_sym_R_DQUOTE] = ACTIONS(3618),
    [anon_sym_LR_DQUOTE] = ACTIONS(3618),
    [anon_sym_uR_DQUOTE] = ACTIONS(3618),
    [anon_sym_UR_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3618),
    [anon_sym_co_await] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_requires] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_mutable] = ACTIONS(2532),
    [anon_sym_constinit] = ACTIONS(2532),
    [anon_sym_consteval] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym___leave] = ACTIONS(2532),
    [anon_sym_not] = ACTIONS(2532),
    [anon_sym_compl] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2532),
    [anon_sym_decltype] = ACTIONS(2532),
    [sym_virtual] = ACTIONS(2532),
    [anon_sym_typename] = ACTIONS(2532),
    [anon_sym_template] = ACTIONS(2532),
    [anon_sym_try] = ACTIONS(2532),
    [anon_sym_delete] = ACTIONS(2532),
    [anon_sym_throw] = ACTIONS(2532),
    [anon_sym_co_return] = ACTIONS(2532),
    [anon_sym_co_yield] = ACTIONS(2532),
    [anon_sym_R_DQUOTE] = ACTIONS(2534),
    [anon_sym_LR_DQUOTE] = ACTIONS(2534),
    [anon_sym_uR_DQUOTE] = ACTIONS(2534),
    [anon_sym_UR_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2534),
    [anon_sym_co_await] = ACTIONS(2532),
    [anon_sym_new] = ACTIONS(2532),
    [anon_sym_requires] = ACTIONS(2532),
    [sym_this] = ACTIONS(2532),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_COLON_COLON] = ACTIONS(2538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_mutable] = ACTIONS(2536),
    [anon_sym_constinit] = ACTIONS(2536),
    [anon_sym_consteval] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2536),
    [anon_sym_not] = ACTIONS(2536),
    [anon_sym_compl] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2536),
    [anon_sym_decltype] = ACTIONS(2536),
    [sym_virtual] = ACTIONS(2536),
    [anon_sym_typename] = ACTIONS(2536),
    [anon_sym_template] = ACTIONS(2536),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2536),
    [anon_sym_throw] = ACTIONS(2536),
    [anon_sym_co_return] = ACTIONS(2536),
    [anon_sym_co_yield] = ACTIONS(2536),
    [anon_sym_R_DQUOTE] = ACTIONS(2538),
    [anon_sym_LR_DQUOTE] = ACTIONS(2538),
    [anon_sym_uR_DQUOTE] = ACTIONS(2538),
    [anon_sym_UR_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2538),
    [anon_sym_co_await] = ACTIONS(2536),
    [anon_sym_new] = ACTIONS(2536),
    [anon_sym_requires] = ACTIONS(2536),
    [sym_this] = ACTIONS(2536),
  },
  [860] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_ms_based_modifier] = STATE(8088),
    [sym_ms_call_modifier] = STATE(4372),
    [sym__declarator] = STATE(6200),
    [sym__abstract_declarator] = STATE(6356),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_list] = STATE(3215),
    [sym_parameter_declaration] = STATE(6876),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6876),
    [sym_variadic_parameter_declaration] = STATE(6876),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(2393),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5252),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(3825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3831),
    [anon_sym_AMP_AMP] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [861] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1584),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [862] = {
    [sym_string_literal] = STATE(2183),
    [sym_template_argument_list] = STATE(1534),
    [sym_raw_string_literal] = STATE(2183),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3783),
    [anon_sym_COMMA] = ACTIONS(3783),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3841),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3780),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3844),
    [anon_sym_or_eq] = ACTIONS(3844),
    [anon_sym_xor_eq] = ACTIONS(3844),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(3846),
    [anon_sym_u_DQUOTE] = ACTIONS(3846),
    [anon_sym_U_DQUOTE] = ACTIONS(3846),
    [anon_sym_u8_DQUOTE] = ACTIONS(3846),
    [anon_sym_DQUOTE] = ACTIONS(3846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3848),
    [anon_sym_LR_DQUOTE] = ACTIONS(3848),
    [anon_sym_uR_DQUOTE] = ACTIONS(3848),
    [anon_sym_UR_DQUOTE] = ACTIONS(3848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3848),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [863] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1584),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3850),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [864] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1584),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [865] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1584),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [866] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1584),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [867] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1584),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3811),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [868] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(1587),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3783),
    [anon_sym_COMMA] = ACTIONS(3783),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3768),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [869] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3856),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [870] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3860),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [871] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6874),
    [sym_initializer_pair] = STATE(6874),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_COMMA] = ACTIONS(3864),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3866),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [872] = {
    [sym_expression] = STATE(4088),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(6769),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3870),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [873] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(878),
    [sym_compound_requirement] = STATE(878),
    [sym__requirement] = STATE(878),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3872),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [874] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [875] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [876] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3878),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [877] = {
    [sym_expression] = STATE(4118),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6868),
    [sym_initializer_pair] = STATE(6868),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_COMMA] = ACTIONS(3880),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3882),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [878] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [879] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(874),
    [sym_compound_requirement] = STATE(874),
    [sym__requirement] = STATE(874),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(874),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [880] = {
    [sym_expression] = STATE(4057),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6873),
    [sym_initializer_pair] = STATE(6873),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_COMMA] = ACTIONS(3888),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3890),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [881] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(876),
    [sym_compound_requirement] = STATE(876),
    [sym__requirement] = STATE(876),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [882] = {
    [sym_expression] = STATE(4146),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6709),
    [sym_initializer_pair] = STATE(6709),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_COMMA] = ACTIONS(3894),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [883] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(870),
    [sym_compound_requirement] = STATE(870),
    [sym__requirement] = STATE(870),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(870),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3898),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [884] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(869),
    [sym_compound_requirement] = STATE(869),
    [sym__requirement] = STATE(869),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(869),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3900),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [885] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3902),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [886] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(875),
    [sym_compound_requirement] = STATE(875),
    [sym__requirement] = STATE(875),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(875),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3904),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [887] = {
    [sym_expression] = STATE(4092),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6727),
    [sym_initializer_pair] = STATE(6727),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3906),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [888] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(894),
    [sym_compound_requirement] = STATE(894),
    [sym__requirement] = STATE(894),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(894),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3908),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [889] = {
    [sym_expression] = STATE(4112),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7008),
    [sym_initializer_pair] = STATE(7008),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_COMMA] = ACTIONS(3910),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [890] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(3914),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [891] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3916),
    [anon_sym_LPAREN2] = ACTIONS(3919),
    [anon_sym_BANG] = ACTIONS(3922),
    [anon_sym_TILDE] = ACTIONS(3922),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3928),
    [anon_sym_AMP] = ACTIONS(3928),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_COLON_COLON] = ACTIONS(3934),
    [anon_sym_LBRACE] = ACTIONS(3937),
    [anon_sym_RBRACE] = ACTIONS(3940),
    [anon_sym_LBRACK] = ACTIONS(3942),
    [sym_primitive_type] = ACTIONS(3945),
    [anon_sym_not] = ACTIONS(3925),
    [anon_sym_compl] = ACTIONS(3925),
    [anon_sym_DASH_DASH] = ACTIONS(3948),
    [anon_sym_PLUS_PLUS] = ACTIONS(3948),
    [anon_sym_sizeof] = ACTIONS(3951),
    [anon_sym___alignof__] = ACTIONS(3954),
    [anon_sym___alignof] = ACTIONS(3954),
    [anon_sym__alignof] = ACTIONS(3954),
    [anon_sym_alignof] = ACTIONS(3954),
    [anon_sym__Alignof] = ACTIONS(3954),
    [anon_sym_offsetof] = ACTIONS(3957),
    [anon_sym__Generic] = ACTIONS(3960),
    [anon_sym_asm] = ACTIONS(3963),
    [anon_sym___asm__] = ACTIONS(3963),
    [sym_number_literal] = ACTIONS(3966),
    [anon_sym_L_SQUOTE] = ACTIONS(3969),
    [anon_sym_u_SQUOTE] = ACTIONS(3969),
    [anon_sym_U_SQUOTE] = ACTIONS(3969),
    [anon_sym_u8_SQUOTE] = ACTIONS(3969),
    [anon_sym_SQUOTE] = ACTIONS(3969),
    [anon_sym_L_DQUOTE] = ACTIONS(3972),
    [anon_sym_u_DQUOTE] = ACTIONS(3972),
    [anon_sym_U_DQUOTE] = ACTIONS(3972),
    [anon_sym_u8_DQUOTE] = ACTIONS(3972),
    [anon_sym_DQUOTE] = ACTIONS(3972),
    [sym_true] = ACTIONS(3975),
    [sym_false] = ACTIONS(3975),
    [anon_sym_NULL] = ACTIONS(3978),
    [anon_sym_nullptr] = ACTIONS(3978),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3981),
    [anon_sym_typename] = ACTIONS(3984),
    [anon_sym_template] = ACTIONS(3987),
    [anon_sym_delete] = ACTIONS(3990),
    [anon_sym_R_DQUOTE] = ACTIONS(3993),
    [anon_sym_LR_DQUOTE] = ACTIONS(3993),
    [anon_sym_uR_DQUOTE] = ACTIONS(3993),
    [anon_sym_UR_DQUOTE] = ACTIONS(3993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3993),
    [anon_sym_co_await] = ACTIONS(3996),
    [anon_sym_new] = ACTIONS(3999),
    [anon_sym_requires] = ACTIONS(4002),
    [sym_this] = ACTIONS(3975),
  },
  [892] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(890),
    [sym_compound_requirement] = STATE(890),
    [sym__requirement] = STATE(890),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(890),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [893] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [894] = {
    [sym_expression_statement] = STATE(2595),
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7989),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_type_requirement] = STATE(891),
    [sym_compound_requirement] = STATE(891),
    [sym__requirement] = STATE(891),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_requirement_seq_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3854),
    [anon_sym_RBRACE] = ACTIONS(4009),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3858),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [895] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4011),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [896] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4013),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [897] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [898] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [899] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [900] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4021),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [901] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [902] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [903] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4027),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [904] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4029),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [905] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3870),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [906] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4031),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [907] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7201),
    [sym_initializer_pair] = STATE(7201),
    [sym_subscript_designator] = STATE(6250),
    [sym_subscript_range_designator] = STATE(6250),
    [sym_field_designator] = STATE(6250),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [aux_sym_initializer_pair_repeat1] = STATE(6250),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3868),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [908] = {
    [sym_compound_statement] = STATE(6852),
    [sym_expression] = STATE(4165),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6852),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4033),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4035),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [909] = {
    [sym_compound_statement] = STATE(7001),
    [sym_expression] = STATE(4149),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7001),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4037),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4039),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [910] = {
    [sym_compound_statement] = STATE(6797),
    [sym_expression] = STATE(4113),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6797),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4041),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [911] = {
    [sym_compound_statement] = STATE(6856),
    [sym_expression] = STATE(4058),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6856),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4047),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [912] = {
    [sym_compound_statement] = STATE(6851),
    [sym_expression] = STATE(4136),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6851),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4049),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [913] = {
    [sym_compound_statement] = STATE(6702),
    [sym_expression] = STATE(4076),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6702),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4053),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4055),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [914] = {
    [sym_compound_statement] = STATE(6880),
    [sym_expression] = STATE(4103),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(6880),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4057),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4059),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [915] = {
    [sym_expression] = STATE(2998),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(8233),
    [sym__unary_right_fold] = STATE(8221),
    [sym__binary_fold] = STATE(8215),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [916] = {
    [sym_expression] = STATE(3008),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7470),
    [sym__unary_right_fold] = STATE(7467),
    [sym__binary_fold] = STATE(7473),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [917] = {
    [sym_expression] = STATE(4204),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7639),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7639),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [918] = {
    [sym_expression] = STATE(3135),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7757),
    [sym__unary_right_fold] = STATE(7753),
    [sym__binary_fold] = STATE(7752),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [919] = {
    [sym_expression] = STATE(3072),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7848),
    [sym__unary_right_fold] = STATE(7851),
    [sym__binary_fold] = STATE(7865),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [920] = {
    [sym_expression] = STATE(3034),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7768),
    [sym__unary_right_fold] = STATE(7764),
    [sym__binary_fold] = STATE(7763),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [921] = {
    [sym_expression] = STATE(4287),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7408),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7408),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [922] = {
    [sym_expression] = STATE(3073),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(8122),
    [sym__unary_right_fold] = STATE(8120),
    [sym__binary_fold] = STATE(8111),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [923] = {
    [sym_expression] = STATE(3059),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7500),
    [sym__unary_right_fold] = STATE(7501),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [924] = {
    [sym_expression] = STATE(3986),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(6339),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(4069),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4073),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(4075),
    [anon_sym_0] = ACTIONS(4077),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [925] = {
    [sym_expression] = STATE(4290),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8102),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(8102),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [926] = {
    [sym_expression] = STATE(3981),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(6370),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(4081),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4073),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(4083),
    [anon_sym_0] = ACTIONS(4085),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [927] = {
    [sym_compound_statement] = STATE(7239),
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7239),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4087),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [928] = {
    [sym_expression] = STATE(3982),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(6338),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(4089),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4073),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(4091),
    [anon_sym_0] = ACTIONS(4093),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [929] = {
    [sym_expression] = STATE(3066),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(7855),
    [sym__unary_right_fold] = STATE(7856),
    [sym__binary_fold] = STATE(7857),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [930] = {
    [sym_expression] = STATE(4168),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7984),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7984),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [931] = {
    [sym_expression] = STATE(4190),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7486),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7486),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [932] = {
    [sym_expression] = STATE(3139),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym__unary_left_fold] = STATE(8156),
    [sym__unary_right_fold] = STATE(8147),
    [sym__binary_fold] = STATE(8146),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [933] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4101),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [934] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4105),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [935] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [936] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [937] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4113),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [938] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4116),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [939] = {
    [sym_expression] = STATE(3062),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [940] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4125),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [941] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4128),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [942] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4131),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [943] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4134),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [944] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [945] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [946] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4142),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [947] = {
    [sym_expression] = STATE(2951),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [948] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4145),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [949] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [950] = {
    [sym_expression] = STATE(3058),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [951] = {
    [sym_expression] = STATE(2751),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [952] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [953] = {
    [sym_expression] = STATE(4188),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [954] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [955] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4157),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [956] = {
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [957] = {
    [sym_expression] = STATE(3438),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [958] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [959] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4161),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [960] = {
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [961] = {
    [sym_expression] = STATE(4182),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [962] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [963] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [964] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4168),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [965] = {
    [sym_expression] = STATE(2556),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [966] = {
    [sym_expression] = STATE(2553),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [967] = {
    [sym_expression] = STATE(4125),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(6904),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [968] = {
    [sym_expression] = STATE(4140),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [969] = {
    [sym_expression] = STATE(2933),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [970] = {
    [sym_expression] = STATE(3104),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [971] = {
    [sym_expression] = STATE(4144),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(6782),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4176),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [972] = {
    [sym_expression] = STATE(3099),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [973] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4178),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [974] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4180),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [975] = {
    [sym_expression] = STATE(3896),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [976] = {
    [sym_expression] = STATE(2711),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [977] = {
    [sym_expression] = STATE(2928),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [978] = {
    [sym_expression] = STATE(3927),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [979] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [980] = {
    [sym_expression] = STATE(3471),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [981] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [982] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4192),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [983] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4194),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [984] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [985] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [986] = {
    [sym_expression] = STATE(4037),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [987] = {
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [988] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [989] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [990] = {
    [sym_expression] = STATE(4159),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [991] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4202),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [992] = {
    [sym_expression] = STATE(2936),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [993] = {
    [sym_expression] = STATE(4114),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [994] = {
    [sym_expression] = STATE(4205),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [995] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4204),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [996] = {
    [sym_expression] = STATE(4140),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(4147),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [997] = {
    [sym_expression] = STATE(4061),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(6946),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4206),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [998] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4208),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [999] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4210),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1000] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4212),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1001] = {
    [sym_expression] = STATE(4022),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(4119),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4119),
    [anon_sym_AMP_AMP] = ACTIONS(4119),
    [anon_sym_AMP] = ACTIONS(4121),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4119),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1002] = {
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_lambda_default_capture] = STATE(7219),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4214),
    [anon_sym_EQ] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1003] = {
    [sym_expression] = STATE(4239),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_initializer_list] = STATE(4478),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1004] = {
    [sym_expression] = STATE(4228),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7430),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4220),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1005] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1006] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1007] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_COMMA] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4222),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1008] = {
    [sym_expression] = STATE(4285),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7573),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4226),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1009] = {
    [sym_expression] = STATE(4017),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1010] = {
    [sym_expression] = STATE(4261),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7472),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4228),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1011] = {
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7912),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1012] = {
    [sym_expression] = STATE(4231),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7911),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4230),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1013] = {
    [sym_expression] = STATE(4235),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7612),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4232),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1014] = {
    [sym_expression] = STATE(2989),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_initializer_list] = STATE(3164),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1015] = {
    [sym_expression] = STATE(4252),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8061),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4234),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1016] = {
    [sym_expression] = STATE(4122),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7317),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1017] = {
    [sym_expression] = STATE(4172),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7608),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4236),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1018] = {
    [sym_expression] = STATE(3133),
    [sym__string] = STATE(2321),
    [sym_comma_expression] = STATE(7762),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym__assignment_expression_lhs] = STATE(7715),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1019] = {
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7801),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4238),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1020] = {
    [sym_expression] = STATE(3917),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1021] = {
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1022] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1023] = {
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7317),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1024] = {
    [sym_expression] = STATE(4263),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7585),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4244),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1025] = {
    [sym_expression] = STATE(4199),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7838),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1026] = {
    [sym_expression] = STATE(4196),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7839),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4248),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1027] = {
    [sym_expression] = STATE(3097),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1028] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1029] = {
    [sym_expression] = STATE(4434),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7862),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1030] = {
    [sym_expression] = STATE(3683),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_initializer_list] = STATE(3705),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1031] = {
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7842),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4252),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1032] = {
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(7106),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1033] = {
    [sym_expression] = STATE(4186),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7490),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4254),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1034] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1035] = {
    [sym_expression] = STATE(4223),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7647),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4256),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1036] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1037] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_initializer_list] = STATE(2315),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1038] = {
    [sym_expression] = STATE(4194),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(7898),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4262),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1039] = {
    [sym_expression] = STATE(4211),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_initializer_list] = STATE(4529),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1040] = {
    [sym_expression] = STATE(4128),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(6813),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1041] = {
    [sym_expression] = STATE(4173),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8110),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4264),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1042] = {
    [sym_expression] = STATE(4085),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1043] = {
    [sym_expression] = STATE(4270),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_initializer_list] = STATE(3745),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1044] = {
    [sym_expression] = STATE(3348),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_initializer_list] = STATE(3665),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1045] = {
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7205),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1046] = {
    [sym_expression] = STATE(4177),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8178),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4266),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1047] = {
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7191),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1048] = {
    [sym_expression] = STATE(4179),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8018),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4268),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1049] = {
    [sym_expression] = STATE(3041),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_initializer_list] = STATE(3351),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1050] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_initializer_list] = STATE(7758),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1051] = {
    [sym_expression] = STATE(4200),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(8139),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4272),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1052] = {
    [sym_expression] = STATE(4121),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(6769),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1053] = {
    [sym_expression] = STATE(3389),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_initializer_list] = STATE(3633),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1054] = {
    [sym_expression] = STATE(3368),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1055] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1056] = {
    [sym_expression] = STATE(2876),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4282),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1057] = {
    [sym_expression] = STATE(2876),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1058] = {
    [sym_expression] = STATE(2889),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1059] = {
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1060] = {
    [sym_expression] = STATE(2884),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1061] = {
    [sym_expression] = STATE(2880),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1062] = {
    [sym_expression] = STATE(2879),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1063] = {
    [sym_expression] = STATE(2878),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4303),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1064] = {
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(4308),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1065] = {
    [sym_expression] = STATE(4121),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(6769),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1066] = {
    [sym_expression] = STATE(2257),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4310),
    [anon_sym_LPAREN2] = ACTIONS(4312),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1067] = {
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4303),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1068] = {
    [sym_expression] = STATE(3371),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1069] = {
    [sym_expression] = STATE(3370),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1070] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1071] = {
    [sym_expression] = STATE(3368),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1072] = {
    [sym_expression] = STATE(4189),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(4314),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1073] = {
    [sym_expression] = STATE(3367),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1074] = {
    [sym_expression] = STATE(3374),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1075] = {
    [sym_expression] = STATE(3374),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4282),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1076] = {
    [sym_expression] = STATE(3373),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4316),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1077] = {
    [sym_expression] = STATE(3373),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4319),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1078] = {
    [sym_expression] = STATE(3373),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4322),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1079] = {
    [sym_expression] = STATE(3373),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1080] = {
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4328),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1081] = {
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4331),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1082] = {
    [sym_expression] = STATE(3371),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4334),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1083] = {
    [sym_expression] = STATE(3370),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4337),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1084] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1085] = {
    [sym_expression] = STATE(3028),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4343),
    [anon_sym_LPAREN2] = ACTIONS(4345),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1086] = {
    [sym_expression] = STATE(3367),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1087] = {
    [sym_expression] = STATE(3366),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4350),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1088] = {
    [sym_expression] = STATE(3366),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1089] = {
    [sym_expression] = STATE(3366),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4356),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1090] = {
    [sym_expression] = STATE(3365),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4359),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1091] = {
    [sym_expression] = STATE(3365),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1092] = {
    [sym_expression] = STATE(2877),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4319),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1093] = {
    [sym_expression] = STATE(2877),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4322),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1094] = {
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(4365),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1095] = {
    [sym_expression] = STATE(2877),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1096] = {
    [sym_expression] = STATE(2878),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4328),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1097] = {
    [sym_expression] = STATE(2878),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4331),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1098] = {
    [sym_expression] = STATE(2879),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4334),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1099] = {
    [sym_expression] = STATE(2880),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4337),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1100] = {
    [sym_expression] = STATE(2884),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4340),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1101] = {
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1102] = {
    [sym_expression] = STATE(2889),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1103] = {
    [sym_expression] = STATE(4453),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4367),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1104] = {
    [sym_expression] = STATE(2891),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4350),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1105] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4369),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1106] = {
    [sym_expression] = STATE(2891),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1107] = {
    [sym_expression] = STATE(2891),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4356),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1108] = {
    [sym_expression] = STATE(2895),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4359),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1109] = {
    [sym_expression] = STATE(2895),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1110] = {
    [sym_expression] = STATE(4315),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4371),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1111] = {
    [sym_expression] = STATE(4382),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1112] = {
    [sym_expression] = STATE(3435),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4375),
    [anon_sym_LPAREN2] = ACTIONS(4377),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1113] = {
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(4379),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1114] = {
    [sym_expression] = STATE(2257),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4310),
    [anon_sym_LPAREN2] = ACTIONS(4381),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1115] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4383),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1116] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4385),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1117] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4387),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1118] = {
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4389),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1119] = {
    [sym_expression] = STATE(4321),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4391),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1120] = {
    [sym_expression] = STATE(4295),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4393),
    [anon_sym_LPAREN2] = ACTIONS(4395),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1121] = {
    [sym_expression] = STATE(2877),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4316),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1122] = {
    [sym_expression] = STATE(4102),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_SEMI] = ACTIONS(4397),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1123] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4401),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1124] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1125] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1126] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4407),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1127] = {
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4409),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1128] = {
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4411),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1129] = {
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4413),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1130] = {
    [sym_expression] = STATE(2257),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4310),
    [anon_sym_LPAREN2] = ACTIONS(4415),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1131] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4417),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1132] = {
    [sym_expression] = STATE(4102),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_SEMI] = ACTIONS(4419),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1133] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4421),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1134] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4423),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1135] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4425),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1136] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4427),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1137] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1138] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4431),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1139] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4433),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1140] = {
    [sym_expression] = STATE(4307),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4435),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1141] = {
    [sym_expression] = STATE(4251),
    [sym__string] = STATE(3701),
    [sym_comma_expression] = STATE(6769),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1142] = {
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4437),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1143] = {
    [sym_expression] = STATE(4102),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_SEMI] = ACTIONS(4439),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1144] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4441),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1145] = {
    [sym_expression] = STATE(4320),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4443),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1146] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4445),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1147] = {
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4447),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1148] = {
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4449),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1149] = {
    [sym_expression] = STATE(2968),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4451),
    [anon_sym_LPAREN2] = ACTIONS(4453),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1150] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1151] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4457),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1152] = {
    [sym_expression] = STATE(4323),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4459),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1153] = {
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4461),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1154] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4463),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1155] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4465),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1156] = {
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4467),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1157] = {
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4469),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1158] = {
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4471),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1159] = {
    [sym_expression] = STATE(3579),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1160] = {
    [sym_expression] = STATE(3048),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4310),
    [anon_sym_LPAREN2] = ACTIONS(4475),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1161] = {
    [sym_expression] = STATE(3033),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1162] = {
    [sym_expression] = STATE(3096),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1163] = {
    [sym_expression] = STATE(3081),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1164] = {
    [sym_expression] = STATE(4171),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1165] = {
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1166] = {
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1167] = {
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1168] = {
    [sym_expression] = STATE(3079),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1169] = {
    [sym_expression] = STATE(3076),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1170] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1171] = {
    [sym_expression] = STATE(3068),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1172] = {
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1173] = {
    [sym_expression] = STATE(3594),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1174] = {
    [sym_expression] = STATE(3611),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym___cdecl] = ACTIONS(4477),
    [anon_sym___clrcall] = ACTIONS(4477),
    [anon_sym___stdcall] = ACTIONS(4477),
    [anon_sym___fastcall] = ACTIONS(4477),
    [anon_sym___thiscall] = ACTIONS(4477),
    [anon_sym___vectorcall] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4477),
    [anon_sym_or_eq] = ACTIONS(4477),
    [anon_sym_xor_eq] = ACTIONS(4477),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
  },
  [1176] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1177] = {
    [sym_expression] = STATE(3611),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1178] = {
    [sym_expression] = STATE(3611),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(4481),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1179] = {
    [sym_expression] = STATE(3140),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1180] = {
    [sym_expression] = STATE(4268),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1181] = {
    [sym_expression] = STATE(4288),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1182] = {
    [sym_expression] = STATE(4174),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1183] = {
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1184] = {
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1185] = {
    [sym_expression] = STATE(4178),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1186] = {
    [sym_expression] = STATE(4195),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1187] = {
    [sym_expression] = STATE(4193),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1188] = {
    [sym_expression] = STATE(4198),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1189] = {
    [sym_expression] = STATE(2887),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1190] = {
    [sym_expression] = STATE(4206),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1191] = {
    [sym_expression] = STATE(4412),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1192] = {
    [sym_expression] = STATE(4282),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1193] = {
    [sym_expression] = STATE(4207),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1194] = {
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1195] = {
    [sym_expression] = STATE(4213),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1196] = {
    [sym_expression] = STATE(4218),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1197] = {
    [sym_expression] = STATE(4221),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1198] = {
    [sym_expression] = STATE(4224),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1199] = {
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1200] = {
    [sym_expression] = STATE(3594),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1201] = {
    [sym_expression] = STATE(3029),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1202] = {
    [sym_expression] = STATE(4255),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1203] = {
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1204] = {
    [sym_expression] = STATE(4141),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1205] = {
    [sym_expression] = STATE(3031),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1206] = {
    [sym_expression] = STATE(3047),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1207] = {
    [sym_expression] = STATE(2584),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1208] = {
    [sym_expression] = STATE(2539),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1209] = {
    [sym_expression] = STATE(2537),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1210] = {
    [sym_expression] = STATE(2536),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1211] = {
    [sym_expression] = STATE(4180),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1212] = {
    [sym_expression] = STATE(2582),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1213] = {
    [sym_expression] = STATE(4277),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1214] = {
    [sym_expression] = STATE(2586),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1215] = {
    [sym_expression] = STATE(2566),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1216] = {
    [sym_expression] = STATE(2287),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1217] = {
    [sym_expression] = STATE(3045),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1218] = {
    [sym_expression] = STATE(2585),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1219] = {
    [sym_expression] = STATE(4167),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1220] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1221] = {
    [sym_expression] = STATE(4259),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1222] = {
    [sym_expression] = STATE(2720),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1223] = {
    [sym_expression] = STATE(4274),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1224] = {
    [sym_expression] = STATE(2874),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1225] = {
    [sym_expression] = STATE(2730),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1226] = {
    [sym_expression] = STATE(2727),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(4485),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1227] = {
    [sym_expression] = STATE(2973),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1228] = {
    [sym_expression] = STATE(2734),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1229] = {
    [sym_expression] = STATE(2736),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1230] = {
    [sym_expression] = STATE(2739),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1231] = {
    [sym_expression] = STATE(4281),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1232] = {
    [sym_expression] = STATE(2741),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1233] = {
    [sym_expression] = STATE(2748),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1234] = {
    [sym_expression] = STATE(2757),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1235] = {
    [sym_expression] = STATE(2758),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1236] = {
    [sym_expression] = STATE(2287),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1237] = {
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1238] = {
    [sym_expression] = STATE(4273),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1239] = {
    [sym_expression] = STATE(2895),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1240] = {
    [sym_expression] = STATE(3594),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1241] = {
    [sym_expression] = STATE(3611),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1242] = {
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(4489),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1243] = {
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1244] = {
    [sym_expression] = STATE(3611),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1245] = {
    [sym_expression] = STATE(2891),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1246] = {
    [sym_expression] = STATE(3594),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1247] = {
    [sym_expression] = STATE(2251),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1248] = {
    [sym_expression] = STATE(3436),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1249] = {
    [sym_expression] = STATE(2747),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1250] = {
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1251] = {
    [sym_expression] = STATE(3448),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1252] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1253] = {
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1254] = {
    [sym_expression] = STATE(2271),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1255] = {
    [sym_expression] = STATE(2260),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1256] = {
    [sym_expression] = STATE(2271),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1257] = {
    [sym_expression] = STATE(4358),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1258] = {
    [sym_expression] = STATE(4368),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1259] = {
    [sym_expression] = STATE(2888),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1260] = {
    [sym_expression] = STATE(2735),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1261] = {
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1262] = {
    [sym_expression] = STATE(2890),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1263] = {
    [sym_expression] = STATE(2892),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1264] = {
    [sym_expression] = STATE(2893),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1265] = {
    [sym_expression] = STATE(2896),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1266] = {
    [sym_expression] = STATE(4109),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1267] = {
    [sym_expression] = STATE(2897),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1268] = {
    [sym_expression] = STATE(2260),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1269] = {
    [sym_expression] = STATE(2898),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1270] = {
    [sym_expression] = STATE(2287),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1271] = {
    [sym_expression] = STATE(2919),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1272] = {
    [sym_expression] = STATE(3100),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1273] = {
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_TILDE] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym_extern] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4495),
    [anon_sym___declspec] = ACTIONS(4493),
    [anon_sym___based] = ACTIONS(4493),
    [anon_sym___cdecl] = ACTIONS(4493),
    [anon_sym___clrcall] = ACTIONS(4493),
    [anon_sym___stdcall] = ACTIONS(4493),
    [anon_sym___fastcall] = ACTIONS(4493),
    [anon_sym___thiscall] = ACTIONS(4493),
    [anon_sym___vectorcall] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_RBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_static] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_register] = ACTIONS(4493),
    [anon_sym_inline] = ACTIONS(4493),
    [anon_sym___inline] = ACTIONS(4493),
    [anon_sym___inline__] = ACTIONS(4493),
    [anon_sym___forceinline] = ACTIONS(4493),
    [anon_sym_thread_local] = ACTIONS(4493),
    [anon_sym___thread] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_alignas] = ACTIONS(4493),
    [anon_sym__Alignas] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_STAR_EQ] = ACTIONS(4495),
    [anon_sym_SLASH_EQ] = ACTIONS(4495),
    [anon_sym_PERCENT_EQ] = ACTIONS(4495),
    [anon_sym_PLUS_EQ] = ACTIONS(4495),
    [anon_sym_DASH_EQ] = ACTIONS(4495),
    [anon_sym_LT_LT_EQ] = ACTIONS(4495),
    [anon_sym_GT_GT_EQ] = ACTIONS(4495),
    [anon_sym_AMP_EQ] = ACTIONS(4495),
    [anon_sym_CARET_EQ] = ACTIONS(4495),
    [anon_sym_PIPE_EQ] = ACTIONS(4495),
    [anon_sym_and_eq] = ACTIONS(4493),
    [anon_sym_or_eq] = ACTIONS(4493),
    [anon_sym_xor_eq] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [sym_virtual] = ACTIONS(4493),
    [anon_sym_template] = ACTIONS(4493),
    [anon_sym_operator] = ACTIONS(4493),
  },
  [1274] = {
    [sym_expression] = STATE(2945),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1275] = {
    [sym_expression] = STATE(4120),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1276] = {
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1277] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym___cdecl] = ACTIONS(4499),
    [anon_sym___clrcall] = ACTIONS(4499),
    [anon_sym___stdcall] = ACTIONS(4499),
    [anon_sym___fastcall] = ACTIONS(4499),
    [anon_sym___thiscall] = ACTIONS(4499),
    [anon_sym___vectorcall] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
  },
  [1278] = {
    [sym_expression] = STATE(2889),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1279] = {
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_TILDE] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym_SEMI] = ACTIONS(4505),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4505),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym___cdecl] = ACTIONS(4503),
    [anon_sym___clrcall] = ACTIONS(4503),
    [anon_sym___stdcall] = ACTIONS(4503),
    [anon_sym___fastcall] = ACTIONS(4503),
    [anon_sym___thiscall] = ACTIONS(4503),
    [anon_sym___vectorcall] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym__Alignas] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4503),
    [anon_sym_or_eq] = ACTIONS(4503),
    [anon_sym_xor_eq] = ACTIONS(4503),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
  },
  [1280] = {
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1281] = {
    [sym_expression] = STATE(2958),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1282] = {
    [sym_expression] = STATE(3374),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1283] = {
    [sym_expression] = STATE(2561),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1284] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1285] = {
    [sym_expression] = STATE(2934),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1286] = {
    [sym_expression] = STATE(4021),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4507),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1287] = {
    [sym_expression] = STATE(4296),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1288] = {
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1289] = {
    [sym_expression] = STATE(3373),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1290] = {
    [sym_expression] = STATE(3372),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1291] = {
    [sym_expression] = STATE(3371),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1292] = {
    [sym_expression] = STATE(2885),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1293] = {
    [sym_expression] = STATE(4245),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1294] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1295] = {
    [sym_expression] = STATE(2971),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1296] = {
    [sym_expression] = STATE(4269),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1297] = {
    [sym_expression] = STATE(4096),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1298] = {
    [sym_expression] = STATE(3370),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1299] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1300] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1301] = {
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1302] = {
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1303] = {
    [sym_expression] = STATE(3368),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1304] = {
    [sym_expression] = STATE(2251),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1305] = {
    [sym_expression] = STATE(4119),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1306] = {
    [sym_expression] = STATE(2575),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(4511),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1307] = {
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1308] = {
    [sym_expression] = STATE(3037),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1309] = {
    [sym_expression] = STATE(3367),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1310] = {
    [sym_expression] = STATE(3366),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1311] = {
    [sym_expression] = STATE(3036),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1312] = {
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1313] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1314] = {
    [sym_expression] = STATE(4170),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1315] = {
    [sym_expression] = STATE(2880),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1316] = {
    [sym_expression] = STATE(3365),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1317] = {
    [sym_template_argument_list] = STATE(1497),
    [sym_identifier] = ACTIONS(4513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4515),
    [anon_sym_COMMA] = ACTIONS(4515),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_TILDE] = ACTIONS(4520),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym_SEMI] = ACTIONS(4517),
    [anon_sym___extension__] = ACTIONS(4513),
    [anon_sym_extern] = ACTIONS(4513),
    [anon_sym___attribute__] = ACTIONS(4513),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4517),
    [anon_sym___declspec] = ACTIONS(4513),
    [anon_sym___based] = ACTIONS(4513),
    [anon_sym___cdecl] = ACTIONS(4513),
    [anon_sym___clrcall] = ACTIONS(4513),
    [anon_sym___stdcall] = ACTIONS(4513),
    [anon_sym___fastcall] = ACTIONS(4513),
    [anon_sym___thiscall] = ACTIONS(4513),
    [anon_sym___vectorcall] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_RBRACE] = ACTIONS(4515),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4513),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_register] = ACTIONS(4513),
    [anon_sym_inline] = ACTIONS(4513),
    [anon_sym___inline] = ACTIONS(4513),
    [anon_sym___inline__] = ACTIONS(4513),
    [anon_sym___forceinline] = ACTIONS(4513),
    [anon_sym_thread_local] = ACTIONS(4513),
    [anon_sym___thread] = ACTIONS(4513),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4513),
    [anon_sym_volatile] = ACTIONS(4513),
    [anon_sym_restrict] = ACTIONS(4513),
    [anon_sym___restrict__] = ACTIONS(4513),
    [anon_sym__Atomic] = ACTIONS(4513),
    [anon_sym__Noreturn] = ACTIONS(4513),
    [anon_sym_noreturn] = ACTIONS(4513),
    [anon_sym_mutable] = ACTIONS(4513),
    [anon_sym_constinit] = ACTIONS(4513),
    [anon_sym_consteval] = ACTIONS(4513),
    [anon_sym_alignas] = ACTIONS(4513),
    [anon_sym__Alignas] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4513),
    [anon_sym_decltype] = ACTIONS(4513),
    [sym_virtual] = ACTIONS(4513),
    [anon_sym_template] = ACTIONS(4513),
    [anon_sym_operator] = ACTIONS(4513),
  },
  [1318] = {
    [sym_expression] = STATE(3030),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1319] = {
    [sym_expression] = STATE(3025),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1320] = {
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1321] = {
    [sym_expression] = STATE(3024),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1322] = {
    [sym_expression] = STATE(4029),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1323] = {
    [sym_expression] = STATE(4129),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1324] = {
    [sym_expression] = STATE(4399),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1325] = {
    [sym_expression] = STATE(3006),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1326] = {
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1327] = {
    [sym_expression] = STATE(3012),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1328] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1329] = {
    [sym_expression] = STATE(3009),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1330] = {
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4532),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym_extern] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4532),
    [anon_sym___declspec] = ACTIONS(4530),
    [anon_sym___based] = ACTIONS(4530),
    [anon_sym___cdecl] = ACTIONS(4530),
    [anon_sym___clrcall] = ACTIONS(4530),
    [anon_sym___stdcall] = ACTIONS(4530),
    [anon_sym___fastcall] = ACTIONS(4530),
    [anon_sym___thiscall] = ACTIONS(4530),
    [anon_sym___vectorcall] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_RBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_static] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_register] = ACTIONS(4530),
    [anon_sym_inline] = ACTIONS(4530),
    [anon_sym___inline] = ACTIONS(4530),
    [anon_sym___inline__] = ACTIONS(4530),
    [anon_sym___forceinline] = ACTIONS(4530),
    [anon_sym_thread_local] = ACTIONS(4530),
    [anon_sym___thread] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_alignas] = ACTIONS(4530),
    [anon_sym__Alignas] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_STAR_EQ] = ACTIONS(4532),
    [anon_sym_SLASH_EQ] = ACTIONS(4532),
    [anon_sym_PERCENT_EQ] = ACTIONS(4532),
    [anon_sym_PLUS_EQ] = ACTIONS(4532),
    [anon_sym_DASH_EQ] = ACTIONS(4532),
    [anon_sym_LT_LT_EQ] = ACTIONS(4532),
    [anon_sym_GT_GT_EQ] = ACTIONS(4532),
    [anon_sym_AMP_EQ] = ACTIONS(4532),
    [anon_sym_CARET_EQ] = ACTIONS(4532),
    [anon_sym_PIPE_EQ] = ACTIONS(4532),
    [anon_sym_and_eq] = ACTIONS(4530),
    [anon_sym_or_eq] = ACTIONS(4530),
    [anon_sym_xor_eq] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [sym_virtual] = ACTIONS(4530),
    [anon_sym_template] = ACTIONS(4530),
    [anon_sym_operator] = ACTIONS(4530),
  },
  [1331] = {
    [sym_expression] = STATE(2883),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1332] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym___cdecl] = ACTIONS(4534),
    [anon_sym___clrcall] = ACTIONS(4534),
    [anon_sym___stdcall] = ACTIONS(4534),
    [anon_sym___fastcall] = ACTIONS(4534),
    [anon_sym___thiscall] = ACTIONS(4534),
    [anon_sym___vectorcall] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
  },
  [1333] = {
    [sym_expression] = STATE(4086),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1334] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym___cdecl] = ACTIONS(4538),
    [anon_sym___clrcall] = ACTIONS(4538),
    [anon_sym___stdcall] = ACTIONS(4538),
    [anon_sym___fastcall] = ACTIONS(4538),
    [anon_sym___thiscall] = ACTIONS(4538),
    [anon_sym___vectorcall] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4538),
    [anon_sym_or_eq] = ACTIONS(4538),
    [anon_sym_xor_eq] = ACTIONS(4538),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
  },
  [1335] = {
    [sym_expression] = STATE(3069),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1336] = {
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1337] = {
    [sym_expression] = STATE(3064),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(4542),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1338] = {
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1339] = {
    [sym_expression] = STATE(4016),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4544),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1340] = {
    [sym_expression] = STATE(3643),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1341] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1342] = {
    [sym_expression] = STATE(4027),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1343] = {
    [sym_expression] = STATE(4181),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1344] = {
    [sym_expression] = STATE(4169),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1345] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1346] = {
    [sym_expression] = STATE(3916),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1347] = {
    [sym_expression] = STATE(4143),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4546),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1348] = {
    [sym_expression] = STATE(3106),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1349] = {
    [sym_expression] = STATE(4032),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1350] = {
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1351] = {
    [sym_expression] = STATE(4097),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1352] = {
    [sym_expression] = STATE(2920),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1353] = {
    [sym_expression] = STATE(4020),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1354] = {
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1355] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1356] = {
    [sym_expression] = STATE(4030),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1357] = {
    [sym_expression] = STATE(4394),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1358] = {
    [sym_expression] = STATE(3909),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1359] = {
    [sym_expression] = STATE(4036),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1360] = {
    [sym_expression] = STATE(4019),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1361] = {
    [sym_expression] = STATE(4105),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1362] = {
    [sym_expression] = STATE(3562),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1363] = {
    [sym_expression] = STATE(4009),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1364] = {
    [sym_expression] = STATE(4175),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1365] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1366] = {
    [sym_expression] = STATE(3420),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(4552),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1367] = {
    [sym_expression] = STATE(3417),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1368] = {
    [sym_expression] = STATE(3919),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1369] = {
    [sym_expression] = STATE(3924),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1370] = {
    [sym_expression] = STATE(4234),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1371] = {
    [sym_expression] = STATE(4301),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1372] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1373] = {
    [sym_expression] = STATE(3394),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(4556),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1374] = {
    [sym_expression] = STATE(3922),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1375] = {
    [sym_expression] = STATE(3921),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1376] = {
    [sym_expression] = STATE(3920),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1377] = {
    [sym_expression] = STATE(2956),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1378] = {
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1379] = {
    [sym_expression] = STATE(3910),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1380] = {
    [sym_expression] = STATE(3900),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1381] = {
    [sym_expression] = STATE(3899),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1382] = {
    [sym_expression] = STATE(3074),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1383] = {
    [sym_expression] = STATE(3897),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1384] = {
    [sym_expression] = STATE(3562),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1385] = {
    [sym_expression] = STATE(3918),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1386] = {
    [sym_expression] = STATE(3376),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1387] = {
    [sym_expression] = STATE(4018),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1388] = {
    [sym_expression] = STATE(4352),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1389] = {
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(4558),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1390] = {
    [sym_expression] = STATE(4342),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1391] = {
    [sym_expression] = STATE(4367),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1392] = {
    [sym_expression] = STATE(3914),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1393] = {
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1394] = {
    [sym_expression] = STATE(2291),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1395] = {
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1396] = {
    [sym_expression] = STATE(3643),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1397] = {
    [sym_expression] = STATE(3049),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(4562),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1398] = {
    [sym_expression] = STATE(4217),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1399] = {
    [sym_expression] = STATE(3643),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1400] = {
    [sym_expression] = STATE(4312),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1401] = {
    [sym_expression] = STATE(4286),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1402] = {
    [sym_expression] = STATE(3928),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(4564),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1403] = {
    [sym_expression] = STATE(2956),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(4566),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1404] = {
    [sym_expression] = STATE(3093),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1405] = {
    [sym_expression] = STATE(3562),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1406] = {
    [sym_expression] = STATE(2965),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1407] = {
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1408] = {
    [sym_expression] = STATE(2884),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1409] = {
    [sym_expression] = STATE(3092),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1410] = {
    [sym_expression] = STATE(4102),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1411] = {
    [sym_expression] = STATE(2260),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1412] = {
    [sym_expression] = STATE(2723),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1413] = {
    [sym_expression] = STATE(2271),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1414] = {
    [sym_expression] = STATE(2879),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1415] = {
    [sym_expression] = STATE(2271),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4224),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1416] = {
    [sym_expression] = STATE(4147),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1417] = {
    [sym_expression] = STATE(2557),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1418] = {
    [sym_expression] = STATE(4322),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1419] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1420] = {
    [sym_expression] = STATE(3643),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1421] = {
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1422] = {
    [sym_expression] = STATE(2555),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1423] = {
    [sym_expression] = STATE(2583),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1424] = {
    [sym_expression] = STATE(2534),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2681),
    [sym_concatenated_string] = STATE(2682),
    [sym_string_literal] = STATE(1756),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1752),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(4570),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1425] = {
    [sym_expression] = STATE(4237),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1426] = {
    [sym_expression] = STATE(4294),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1427] = {
    [sym_expression] = STATE(2251),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1428] = {
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1429] = {
    [sym_expression] = STATE(4283),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1430] = {
    [sym_expression] = STATE(4280),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1431] = {
    [sym_expression] = STATE(2930),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(3132),
    [sym_concatenated_string] = STATE(3125),
    [sym_string_literal] = STATE(1969),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1968),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(4260),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(4572),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2366),
    [anon_sym_compl] = ACTIONS(2366),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_sizeof] = ACTIONS(2372),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2374),
    [anon_sym_L_SQUOTE] = ACTIONS(2376),
    [anon_sym_u_SQUOTE] = ACTIONS(2376),
    [anon_sym_U_SQUOTE] = ACTIONS(2376),
    [anon_sym_u8_SQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_L_DQUOTE] = ACTIONS(2378),
    [anon_sym_u_DQUOTE] = ACTIONS(2378),
    [anon_sym_U_DQUOTE] = ACTIONS(2378),
    [anon_sym_u8_DQUOTE] = ACTIONS(2378),
    [anon_sym_DQUOTE] = ACTIONS(2378),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2380),
    [anon_sym_R_DQUOTE] = ACTIONS(2382),
    [anon_sym_LR_DQUOTE] = ACTIONS(2382),
    [anon_sym_uR_DQUOTE] = ACTIONS(2382),
    [anon_sym_UR_DQUOTE] = ACTIONS(2382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2382),
    [anon_sym_co_await] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1432] = {
    [sym_expression] = STATE(3061),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1433] = {
    [sym_expression] = STATE(4298),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1434] = {
    [sym_expression] = STATE(3462),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1435] = {
    [sym_expression] = STATE(4240),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1436] = {
    [sym_expression] = STATE(4297),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1437] = {
    [sym_expression] = STATE(4230),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1438] = {
    [sym_expression] = STATE(4293),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1439] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1440] = {
    [sym_expression] = STATE(4262),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1441] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1442] = {
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1443] = {
    [sym_expression] = STATE(4254),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1444] = {
    [sym_expression] = STATE(4250),
    [sym__string] = STATE(4458),
    [sym_conditional_expression] = STATE(4458),
    [sym_assignment_expression] = STATE(4458),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4458),
    [sym_binary_expression] = STATE(4458),
    [sym_update_expression] = STATE(4458),
    [sym_cast_expression] = STATE(4458),
    [sym_sizeof_expression] = STATE(4458),
    [sym_alignof_expression] = STATE(4458),
    [sym_offsetof_expression] = STATE(4458),
    [sym_generic_expression] = STATE(4458),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4458),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4458),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4454),
    [sym_concatenated_string] = STATE(4457),
    [sym_string_literal] = STATE(3522),
    [sym_null] = STATE(4458),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7145),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(4458),
    [sym_raw_string_literal] = STATE(3517),
    [sym_co_await_expression] = STATE(4458),
    [sym_new_expression] = STATE(4458),
    [sym_delete_expression] = STATE(4458),
    [sym_requires_clause] = STATE(4458),
    [sym_requires_expression] = STATE(4458),
    [sym_lambda_expression] = STATE(4458),
    [sym_lambda_capture_specifier] = STATE(5515),
    [sym_fold_expression] = STATE(4458),
    [sym_parameter_pack_expansion] = STATE(4458),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7145),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3550),
    [anon_sym_not] = ACTIONS(2682),
    [anon_sym_compl] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_R_DQUOTE] = ACTIONS(2732),
    [anon_sym_LR_DQUOTE] = ACTIONS(2732),
    [anon_sym_uR_DQUOTE] = ACTIONS(2732),
    [anon_sym_UR_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2732),
    [anon_sym_co_await] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2738),
    [sym_this] = ACTIONS(2718),
  },
  [1445] = {
    [sym_expression] = STATE(3086),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1446] = {
    [sym_expression] = STATE(3085),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1447] = {
    [sym_expression] = STATE(3083),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1448] = {
    [sym_expression] = STATE(3111),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1449] = {
    [sym_expression] = STATE(3082),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1450] = {
    [sym_expression] = STATE(4202),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1451] = {
    [sym_expression] = STATE(4148),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1452] = {
    [sym_expression] = STATE(3050),
    [sym__string] = STATE(2321),
    [sym_conditional_expression] = STATE(2321),
    [sym_assignment_expression] = STATE(2321),
    [sym_pointer_expression] = STATE(2330),
    [sym_unary_expression] = STATE(2321),
    [sym_binary_expression] = STATE(2321),
    [sym_update_expression] = STATE(2321),
    [sym_cast_expression] = STATE(2321),
    [sym_sizeof_expression] = STATE(2321),
    [sym_alignof_expression] = STATE(2321),
    [sym_offsetof_expression] = STATE(2321),
    [sym_generic_expression] = STATE(2321),
    [sym_subscript_expression] = STATE(2330),
    [sym_call_expression] = STATE(2330),
    [sym_gnu_asm_expression] = STATE(2321),
    [sym_field_expression] = STATE(2330),
    [sym_compound_literal_expression] = STATE(2321),
    [sym_parenthesized_expression] = STATE(2330),
    [sym_char_literal] = STATE(2742),
    [sym_concatenated_string] = STATE(2737),
    [sym_string_literal] = STATE(1811),
    [sym_null] = STATE(2321),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7365),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(2321),
    [sym_raw_string_literal] = STATE(1813),
    [sym_co_await_expression] = STATE(2321),
    [sym_new_expression] = STATE(2321),
    [sym_delete_expression] = STATE(2321),
    [sym_requires_clause] = STATE(2321),
    [sym_requires_expression] = STATE(2321),
    [sym_lambda_expression] = STATE(2321),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(2321),
    [sym_parameter_pack_expansion] = STATE(2321),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2330),
    [sym_qualified_type_identifier] = STATE(7365),
    [sym_user_defined_literal] = STATE(2330),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2456),
    [anon_sym_compl] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_sizeof] = ACTIONS(2462),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1453] = {
    [sym_expression] = STATE(3931),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(2718),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(2718),
    [sym_call_expression] = STATE(2718),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(2718),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(2718),
    [sym_char_literal] = STATE(3956),
    [sym_concatenated_string] = STATE(3952),
    [sym_string_literal] = STATE(2827),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2825),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(2718),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(2718),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4240),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4242),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1454] = {
    [sym_expression] = STATE(4276),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1455] = {
    [sym_expression] = STATE(4275),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1456] = {
    [sym_expression] = STATE(4258),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1457] = {
    [sym_expression] = STATE(4130),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1458] = {
    [sym_expression] = STATE(3475),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3221),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3221),
    [sym_call_expression] = STATE(3221),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3221),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3221),
    [sym_char_literal] = STATE(3520),
    [sym_concatenated_string] = STATE(3510),
    [sym_string_literal] = STATE(2332),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7125),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2358),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(5531),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3221),
    [sym_qualified_type_identifier] = STATE(7125),
    [sym_user_defined_literal] = STATE(3221),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2492),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1459] = {
    [sym_expression] = STATE(4083),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1460] = {
    [sym_expression] = STATE(3040),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1461] = {
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1462] = {
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1463] = {
    [sym_expression] = STATE(4064),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1464] = {
    [sym_expression] = STATE(4060),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1465] = {
    [sym_expression] = STATE(4059),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1466] = {
    [sym_expression] = STATE(4056),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1467] = {
    [sym_expression] = STATE(4055),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1468] = {
    [sym_expression] = STATE(4430),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1469] = {
    [sym_expression] = STATE(4052),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1470] = {
    [sym_expression] = STATE(4107),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1471] = {
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3404),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3404),
    [sym_call_expression] = STATE(3404),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3404),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3404),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3404),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3404),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3534),
    [anon_sym_compl] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_sizeof] = ACTIONS(3540),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1472] = {
    [sym_expression] = STATE(4362),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1473] = {
    [sym_expression] = STATE(4133),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1474] = {
    [sym_expression] = STATE(4209),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1475] = {
    [sym_expression] = STATE(4050),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1476] = {
    [sym_expression] = STATE(4048),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1477] = {
    [sym_expression] = STATE(3001),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(4574),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1478] = {
    [sym_expression] = STATE(4047),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1479] = {
    [sym_expression] = STATE(2878),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1480] = {
    [sym_expression] = STATE(3562),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1481] = {
    [sym_expression] = STATE(2877),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1482] = {
    [sym_expression] = STATE(2980),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1483] = {
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1484] = {
    [sym_expression] = STATE(4044),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3210),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3210),
    [sym_call_expression] = STATE(3210),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3210),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3210),
    [sym_char_literal] = STATE(4243),
    [sym_concatenated_string] = STATE(4244),
    [sym_string_literal] = STATE(3446),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(3449),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3210),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3210),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4067),
    [anon_sym_AMP] = ACTIONS(4067),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4071),
    [anon_sym_PLUS_PLUS] = ACTIONS(4071),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1485] = {
    [sym_expression] = STATE(4094),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1486] = {
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1487] = {
    [sym_expression] = STATE(4238),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1488] = {
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1489] = {
    [sym_expression] = STATE(2876),
    [sym__string] = STATE(3341),
    [sym_conditional_expression] = STATE(3341),
    [sym_assignment_expression] = STATE(3341),
    [sym_pointer_expression] = STATE(3316),
    [sym_unary_expression] = STATE(3341),
    [sym_binary_expression] = STATE(3341),
    [sym_update_expression] = STATE(3341),
    [sym_cast_expression] = STATE(3341),
    [sym_sizeof_expression] = STATE(3341),
    [sym_alignof_expression] = STATE(3341),
    [sym_offsetof_expression] = STATE(3341),
    [sym_generic_expression] = STATE(3341),
    [sym_subscript_expression] = STATE(3316),
    [sym_call_expression] = STATE(3316),
    [sym_gnu_asm_expression] = STATE(3341),
    [sym_field_expression] = STATE(3316),
    [sym_compound_literal_expression] = STATE(3341),
    [sym_parenthesized_expression] = STATE(3316),
    [sym_char_literal] = STATE(3011),
    [sym_concatenated_string] = STATE(3101),
    [sym_string_literal] = STATE(1999),
    [sym_null] = STATE(3341),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7305),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3341),
    [sym_raw_string_literal] = STATE(2077),
    [sym_co_await_expression] = STATE(3341),
    [sym_new_expression] = STATE(3341),
    [sym_delete_expression] = STATE(3341),
    [sym_requires_clause] = STATE(3341),
    [sym_requires_expression] = STATE(3341),
    [sym_lambda_expression] = STATE(3341),
    [sym_lambda_capture_specifier] = STATE(5508),
    [sym_fold_expression] = STATE(3341),
    [sym_parameter_pack_expansion] = STATE(3341),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5277),
    [sym_qualified_identifier] = STATE(3316),
    [sym_qualified_type_identifier] = STATE(7305),
    [sym_user_defined_literal] = STATE(3316),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2120),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1490] = {
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1491] = {
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1492] = {
    [sym_expression] = STATE(3016),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1493] = {
    [sym_expression] = STATE(3019),
    [sym__string] = STATE(3451),
    [sym_conditional_expression] = STATE(3451),
    [sym_assignment_expression] = STATE(3451),
    [sym_pointer_expression] = STATE(3445),
    [sym_unary_expression] = STATE(3451),
    [sym_binary_expression] = STATE(3451),
    [sym_update_expression] = STATE(3451),
    [sym_cast_expression] = STATE(3451),
    [sym_sizeof_expression] = STATE(3451),
    [sym_alignof_expression] = STATE(3451),
    [sym_offsetof_expression] = STATE(3451),
    [sym_generic_expression] = STATE(3451),
    [sym_subscript_expression] = STATE(3445),
    [sym_call_expression] = STATE(3445),
    [sym_gnu_asm_expression] = STATE(3451),
    [sym_field_expression] = STATE(3445),
    [sym_compound_literal_expression] = STATE(3451),
    [sym_parenthesized_expression] = STATE(3445),
    [sym_char_literal] = STATE(3225),
    [sym_concatenated_string] = STATE(3224),
    [sym_string_literal] = STATE(2200),
    [sym_null] = STATE(3451),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7266),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3451),
    [sym_raw_string_literal] = STATE(2199),
    [sym_co_await_expression] = STATE(3451),
    [sym_new_expression] = STATE(3451),
    [sym_delete_expression] = STATE(3451),
    [sym_requires_clause] = STATE(3451),
    [sym_requires_expression] = STATE(3451),
    [sym_lambda_expression] = STATE(3451),
    [sym_lambda_capture_specifier] = STATE(5521),
    [sym_fold_expression] = STATE(3451),
    [sym_parameter_pack_expansion] = STATE(3451),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3445),
    [sym_qualified_type_identifier] = STATE(7266),
    [sym_user_defined_literal] = STATE(3445),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(4576),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_not] = ACTIONS(2416),
    [anon_sym_compl] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(4123),
    [anon_sym_PLUS_PLUS] = ACTIONS(4123),
    [anon_sym_sizeof] = ACTIONS(2426),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2430),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2440),
    [anon_sym_u_DQUOTE] = ACTIONS(2440),
    [anon_sym_U_DQUOTE] = ACTIONS(2440),
    [anon_sym_u8_DQUOTE] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2440),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2446),
    [anon_sym_R_DQUOTE] = ACTIONS(2448),
    [anon_sym_LR_DQUOTE] = ACTIONS(2448),
    [anon_sym_uR_DQUOTE] = ACTIONS(2448),
    [anon_sym_UR_DQUOTE] = ACTIONS(2448),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2448),
    [anon_sym_co_await] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_requires] = ACTIONS(2454),
    [sym_this] = ACTIONS(2442),
  },
  [1494] = {
    [sym_expression] = STATE(4034),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1495] = {
    [sym_expression] = STATE(4264),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3090),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3090),
    [sym_call_expression] = STATE(3090),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3090),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3090),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3090),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3090),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1496] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(3701),
    [sym_conditional_expression] = STATE(3701),
    [sym_assignment_expression] = STATE(3701),
    [sym_pointer_expression] = STATE(3385),
    [sym_unary_expression] = STATE(3701),
    [sym_binary_expression] = STATE(3701),
    [sym_update_expression] = STATE(3701),
    [sym_cast_expression] = STATE(3701),
    [sym_sizeof_expression] = STATE(3701),
    [sym_alignof_expression] = STATE(3701),
    [sym_offsetof_expression] = STATE(3701),
    [sym_generic_expression] = STATE(3701),
    [sym_subscript_expression] = STATE(3385),
    [sym_call_expression] = STATE(3385),
    [sym_gnu_asm_expression] = STATE(3701),
    [sym_field_expression] = STATE(3385),
    [sym_compound_literal_expression] = STATE(3701),
    [sym_parenthesized_expression] = STATE(3385),
    [sym_char_literal] = STATE(3978),
    [sym_concatenated_string] = STATE(3997),
    [sym_string_literal] = STATE(2870),
    [sym_null] = STATE(3701),
    [sym_decltype] = STATE(7962),
    [sym__class_name] = STATE(7245),
    [sym_template_type] = STATE(2227),
    [sym_template_function] = STATE(3701),
    [sym_raw_string_literal] = STATE(2948),
    [sym_co_await_expression] = STATE(3701),
    [sym_new_expression] = STATE(3701),
    [sym_delete_expression] = STATE(3701),
    [sym_requires_clause] = STATE(3701),
    [sym_requires_expression] = STATE(3701),
    [sym_lambda_expression] = STATE(3701),
    [sym_lambda_capture_specifier] = STATE(5547),
    [sym_fold_expression] = STATE(3701),
    [sym_parameter_pack_expansion] = STATE(3701),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5332),
    [sym_qualified_identifier] = STATE(3385),
    [sym_qualified_type_identifier] = STATE(7245),
    [sym_user_defined_literal] = STATE(3385),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3518),
    [anon_sym_compl] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3524),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1497] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym_SEMI] = ACTIONS(4582),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4582),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym___cdecl] = ACTIONS(4578),
    [anon_sym___clrcall] = ACTIONS(4578),
    [anon_sym___stdcall] = ACTIONS(4578),
    [anon_sym___fastcall] = ACTIONS(4578),
    [anon_sym___thiscall] = ACTIONS(4578),
    [anon_sym___vectorcall] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1498] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_ms_call_modifier] = STATE(5899),
    [sym__abstract_declarator] = STATE(6356),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_list] = STATE(3215),
    [sym_parameter_declaration] = STATE(6876),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6876),
    [sym_variadic_parameter_declaration] = STATE(6876),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(4594),
    [anon_sym_STAR] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4604),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1499] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_ms_call_modifier] = STATE(5929),
    [sym__abstract_declarator] = STATE(6383),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_list] = STATE(3215),
    [sym_parameter_declaration] = STATE(6876),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6876),
    [sym_variadic_parameter_declaration] = STATE(6876),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(4594),
    [anon_sym_STAR] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4604),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1500] = {
    [sym_identifier] = ACTIONS(3139),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3139),
    [anon_sym_extern] = ACTIONS(3139),
    [anon_sym___attribute__] = ACTIONS(3139),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3139),
    [anon_sym_signed] = ACTIONS(3139),
    [anon_sym_unsigned] = ACTIONS(3139),
    [anon_sym_long] = ACTIONS(3139),
    [anon_sym_short] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_static] = ACTIONS(3139),
    [anon_sym_register] = ACTIONS(3139),
    [anon_sym_inline] = ACTIONS(3139),
    [anon_sym___inline] = ACTIONS(3139),
    [anon_sym___inline__] = ACTIONS(3139),
    [anon_sym___forceinline] = ACTIONS(3139),
    [anon_sym_thread_local] = ACTIONS(3139),
    [anon_sym___thread] = ACTIONS(3139),
    [anon_sym_const] = ACTIONS(3139),
    [anon_sym_constexpr] = ACTIONS(3139),
    [anon_sym_volatile] = ACTIONS(3139),
    [anon_sym_restrict] = ACTIONS(3139),
    [anon_sym___restrict__] = ACTIONS(3139),
    [anon_sym__Atomic] = ACTIONS(3139),
    [anon_sym__Noreturn] = ACTIONS(3139),
    [anon_sym_noreturn] = ACTIONS(3139),
    [anon_sym_mutable] = ACTIONS(3139),
    [anon_sym_constinit] = ACTIONS(3139),
    [anon_sym_consteval] = ACTIONS(3139),
    [anon_sym_alignas] = ACTIONS(3139),
    [anon_sym__Alignas] = ACTIONS(3139),
    [sym_primitive_type] = ACTIONS(3139),
    [anon_sym_enum] = ACTIONS(3139),
    [anon_sym_class] = ACTIONS(3139),
    [anon_sym_struct] = ACTIONS(3139),
    [anon_sym_union] = ACTIONS(3139),
    [anon_sym_not] = ACTIONS(3139),
    [anon_sym_compl] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3139),
    [anon_sym___alignof__] = ACTIONS(3139),
    [anon_sym___alignof] = ACTIONS(3139),
    [anon_sym__alignof] = ACTIONS(3139),
    [anon_sym_alignof] = ACTIONS(3139),
    [anon_sym__Alignof] = ACTIONS(3139),
    [anon_sym_offsetof] = ACTIONS(3139),
    [anon_sym__Generic] = ACTIONS(3139),
    [anon_sym_asm] = ACTIONS(3139),
    [anon_sym___asm__] = ACTIONS(3139),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3139),
    [sym_false] = ACTIONS(3139),
    [anon_sym_NULL] = ACTIONS(3139),
    [anon_sym_nullptr] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3139),
    [anon_sym_decltype] = ACTIONS(3139),
    [sym_virtual] = ACTIONS(3139),
    [anon_sym_typename] = ACTIONS(3139),
    [anon_sym_template] = ACTIONS(3139),
    [anon_sym_delete] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(3139),
    [anon_sym_requires] = ACTIONS(3139),
    [sym_this] = ACTIONS(3139),
  },
  [1501] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4966),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6180),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_parameter_list] = STATE(769),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(4012),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1502] = {
    [sym_identifier] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [1503] = {
    [sym_identifier] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [1504] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4936),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6215),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_parameter_list] = STATE(774),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(4012),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1505] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4957),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6223),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_parameter_list] = STATE(772),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(4012),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1506] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4928),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6188),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5904),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_parameter_list] = STATE(776),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(4012),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5255),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_type_identifier] = STATE(3070),
    [sym_operator_name] = STATE(5904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1507] = {
    [sym_template_argument_list] = STATE(1510),
    [sym_identifier] = ACTIONS(4513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4515),
    [anon_sym_COMMA] = ACTIONS(4515),
    [anon_sym_RPAREN] = ACTIONS(4515),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_TILDE] = ACTIONS(4520),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym_SEMI] = ACTIONS(4515),
    [anon_sym___extension__] = ACTIONS(4513),
    [anon_sym_extern] = ACTIONS(4513),
    [anon_sym___attribute__] = ACTIONS(4513),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4520),
    [anon_sym___declspec] = ACTIONS(4513),
    [anon_sym___based] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4513),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_register] = ACTIONS(4513),
    [anon_sym_inline] = ACTIONS(4513),
    [anon_sym___inline] = ACTIONS(4513),
    [anon_sym___inline__] = ACTIONS(4513),
    [anon_sym___forceinline] = ACTIONS(4513),
    [anon_sym_thread_local] = ACTIONS(4513),
    [anon_sym___thread] = ACTIONS(4513),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4513),
    [anon_sym_volatile] = ACTIONS(4513),
    [anon_sym_restrict] = ACTIONS(4513),
    [anon_sym___restrict__] = ACTIONS(4513),
    [anon_sym__Atomic] = ACTIONS(4513),
    [anon_sym__Noreturn] = ACTIONS(4513),
    [anon_sym_noreturn] = ACTIONS(4513),
    [anon_sym_mutable] = ACTIONS(4513),
    [anon_sym_constinit] = ACTIONS(4513),
    [anon_sym_consteval] = ACTIONS(4513),
    [anon_sym_alignas] = ACTIONS(4513),
    [anon_sym__Alignas] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4513),
    [anon_sym_decltype] = ACTIONS(4513),
    [sym_virtual] = ACTIONS(4513),
    [anon_sym_template] = ACTIONS(4513),
    [anon_sym_operator] = ACTIONS(4513),
  },
  [1508] = {
    [sym_string_literal] = STATE(1857),
    [sym_template_argument_list] = STATE(1606),
    [sym_raw_string_literal] = STATE(1857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4612),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4615),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4617),
    [anon_sym_unsigned] = ACTIONS(4617),
    [anon_sym_long] = ACTIONS(4617),
    [anon_sym_short] = ACTIONS(4617),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1509] = {
    [sym_template_argument_list] = STATE(1511),
    [sym_identifier] = ACTIONS(4513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4517),
    [anon_sym_COMMA] = ACTIONS(4517),
    [anon_sym_RPAREN] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_TILDE] = ACTIONS(4520),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4623),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4513),
    [anon_sym_extern] = ACTIONS(4513),
    [anon_sym___attribute__] = ACTIONS(4513),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4520),
    [anon_sym___declspec] = ACTIONS(4513),
    [anon_sym___based] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4513),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_register] = ACTIONS(4513),
    [anon_sym_inline] = ACTIONS(4513),
    [anon_sym___inline] = ACTIONS(4513),
    [anon_sym___inline__] = ACTIONS(4513),
    [anon_sym___forceinline] = ACTIONS(4513),
    [anon_sym_thread_local] = ACTIONS(4513),
    [anon_sym___thread] = ACTIONS(4513),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4513),
    [anon_sym_volatile] = ACTIONS(4513),
    [anon_sym_restrict] = ACTIONS(4513),
    [anon_sym___restrict__] = ACTIONS(4513),
    [anon_sym__Atomic] = ACTIONS(4513),
    [anon_sym__Noreturn] = ACTIONS(4513),
    [anon_sym_noreturn] = ACTIONS(4513),
    [anon_sym_mutable] = ACTIONS(4513),
    [anon_sym_constinit] = ACTIONS(4513),
    [anon_sym_consteval] = ACTIONS(4513),
    [anon_sym_alignas] = ACTIONS(4513),
    [anon_sym__Alignas] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4513),
    [anon_sym_decltype] = ACTIONS(4513),
    [sym_virtual] = ACTIONS(4513),
    [anon_sym_template] = ACTIONS(4513),
    [anon_sym_operator] = ACTIONS(4513),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4515),
  },
  [1510] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1511] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4589),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1512] = {
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym_extern] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4532),
    [anon_sym___declspec] = ACTIONS(4530),
    [anon_sym___based] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_static] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_register] = ACTIONS(4530),
    [anon_sym_inline] = ACTIONS(4530),
    [anon_sym___inline] = ACTIONS(4530),
    [anon_sym___inline__] = ACTIONS(4530),
    [anon_sym___forceinline] = ACTIONS(4530),
    [anon_sym_thread_local] = ACTIONS(4530),
    [anon_sym___thread] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_alignas] = ACTIONS(4530),
    [anon_sym__Alignas] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_STAR_EQ] = ACTIONS(4532),
    [anon_sym_SLASH_EQ] = ACTIONS(4532),
    [anon_sym_PERCENT_EQ] = ACTIONS(4532),
    [anon_sym_PLUS_EQ] = ACTIONS(4532),
    [anon_sym_DASH_EQ] = ACTIONS(4532),
    [anon_sym_LT_LT_EQ] = ACTIONS(4532),
    [anon_sym_GT_GT_EQ] = ACTIONS(4532),
    [anon_sym_AMP_EQ] = ACTIONS(4532),
    [anon_sym_CARET_EQ] = ACTIONS(4532),
    [anon_sym_PIPE_EQ] = ACTIONS(4532),
    [anon_sym_and_eq] = ACTIONS(4530),
    [anon_sym_or_eq] = ACTIONS(4530),
    [anon_sym_xor_eq] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [sym_virtual] = ACTIONS(4530),
    [anon_sym_template] = ACTIONS(4530),
    [anon_sym_operator] = ACTIONS(4530),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4532),
  },
  [1513] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4536),
  },
  [1514] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4538),
    [anon_sym_or_eq] = ACTIONS(4538),
    [anon_sym_xor_eq] = ACTIONS(4538),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4540),
  },
  [1515] = {
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_TILDE] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym_extern] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4495),
    [anon_sym___declspec] = ACTIONS(4493),
    [anon_sym___based] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_static] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_register] = ACTIONS(4493),
    [anon_sym_inline] = ACTIONS(4493),
    [anon_sym___inline] = ACTIONS(4493),
    [anon_sym___inline__] = ACTIONS(4493),
    [anon_sym___forceinline] = ACTIONS(4493),
    [anon_sym_thread_local] = ACTIONS(4493),
    [anon_sym___thread] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_alignas] = ACTIONS(4493),
    [anon_sym__Alignas] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_STAR_EQ] = ACTIONS(4495),
    [anon_sym_SLASH_EQ] = ACTIONS(4495),
    [anon_sym_PERCENT_EQ] = ACTIONS(4495),
    [anon_sym_PLUS_EQ] = ACTIONS(4495),
    [anon_sym_DASH_EQ] = ACTIONS(4495),
    [anon_sym_LT_LT_EQ] = ACTIONS(4495),
    [anon_sym_GT_GT_EQ] = ACTIONS(4495),
    [anon_sym_AMP_EQ] = ACTIONS(4495),
    [anon_sym_CARET_EQ] = ACTIONS(4495),
    [anon_sym_PIPE_EQ] = ACTIONS(4495),
    [anon_sym_and_eq] = ACTIONS(4493),
    [anon_sym_or_eq] = ACTIONS(4493),
    [anon_sym_xor_eq] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [sym_virtual] = ACTIONS(4493),
    [anon_sym_template] = ACTIONS(4493),
    [anon_sym_operator] = ACTIONS(4493),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4495),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1517] = {
    [sym_string_literal] = STATE(1857),
    [sym_template_argument_list] = STATE(1625),
    [sym_raw_string_literal] = STATE(1857),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4626),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4617),
    [anon_sym_unsigned] = ACTIONS(4617),
    [anon_sym_long] = ACTIONS(4617),
    [anon_sym_short] = ACTIONS(4617),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1518] = {
    [sym_template_argument_list] = STATE(1522),
    [sym_identifier] = ACTIONS(4513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4517),
    [anon_sym_COMMA] = ACTIONS(4517),
    [anon_sym_RPAREN] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_TILDE] = ACTIONS(4520),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4513),
    [anon_sym_extern] = ACTIONS(4513),
    [anon_sym___attribute__] = ACTIONS(4513),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4520),
    [anon_sym___declspec] = ACTIONS(4513),
    [anon_sym___based] = ACTIONS(4513),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_static] = ACTIONS(4513),
    [anon_sym_EQ] = ACTIONS(4524),
    [anon_sym_register] = ACTIONS(4513),
    [anon_sym_inline] = ACTIONS(4513),
    [anon_sym___inline] = ACTIONS(4513),
    [anon_sym___inline__] = ACTIONS(4513),
    [anon_sym___forceinline] = ACTIONS(4513),
    [anon_sym_thread_local] = ACTIONS(4513),
    [anon_sym___thread] = ACTIONS(4513),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4513),
    [anon_sym_volatile] = ACTIONS(4513),
    [anon_sym_restrict] = ACTIONS(4513),
    [anon_sym___restrict__] = ACTIONS(4513),
    [anon_sym__Atomic] = ACTIONS(4513),
    [anon_sym__Noreturn] = ACTIONS(4513),
    [anon_sym_noreturn] = ACTIONS(4513),
    [anon_sym_mutable] = ACTIONS(4513),
    [anon_sym_constinit] = ACTIONS(4513),
    [anon_sym_consteval] = ACTIONS(4513),
    [anon_sym_alignas] = ACTIONS(4513),
    [anon_sym__Alignas] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4513),
    [anon_sym_decltype] = ACTIONS(4513),
    [sym_virtual] = ACTIONS(4513),
    [anon_sym_template] = ACTIONS(4513),
    [anon_sym_operator] = ACTIONS(4513),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_TILDE] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4505),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym__Alignas] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4503),
    [anon_sym_or_eq] = ACTIONS(4503),
    [anon_sym_xor_eq] = ACTIONS(4503),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4505),
  },
  [1520] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4477),
    [anon_sym_or_eq] = ACTIONS(4477),
    [anon_sym_xor_eq] = ACTIONS(4477),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4479),
  },
  [1521] = {
    [sym_string_literal] = STATE(3252),
    [sym_template_argument_list] = STATE(2865),
    [sym_raw_string_literal] = STATE(3252),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3783),
    [anon_sym_COMMA] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3778),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4629),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4632),
    [anon_sym_unsigned] = ACTIONS(4632),
    [anon_sym_long] = ACTIONS(4632),
    [anon_sym_short] = ACTIONS(4632),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_EQ] = ACTIONS(4634),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(4636),
    [anon_sym_SLASH_EQ] = ACTIONS(4636),
    [anon_sym_PERCENT_EQ] = ACTIONS(4636),
    [anon_sym_PLUS_EQ] = ACTIONS(4636),
    [anon_sym_DASH_EQ] = ACTIONS(4636),
    [anon_sym_LT_LT_EQ] = ACTIONS(4636),
    [anon_sym_GT_GT_EQ] = ACTIONS(4634),
    [anon_sym_AMP_EQ] = ACTIONS(4636),
    [anon_sym_CARET_EQ] = ACTIONS(4636),
    [anon_sym_PIPE_EQ] = ACTIONS(4636),
    [anon_sym_and_eq] = ACTIONS(4636),
    [anon_sym_or_eq] = ACTIONS(4636),
    [anon_sym_xor_eq] = ACTIONS(4636),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(4638),
    [anon_sym_u_DQUOTE] = ACTIONS(4638),
    [anon_sym_U_DQUOTE] = ACTIONS(4638),
    [anon_sym_u8_DQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_GT2] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(4640),
    [anon_sym_LR_DQUOTE] = ACTIONS(4640),
    [anon_sym_uR_DQUOTE] = ACTIONS(4640),
    [anon_sym_UR_DQUOTE] = ACTIONS(4640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4640),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4589),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4479),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym___cdecl] = ACTIONS(4477),
    [anon_sym___clrcall] = ACTIONS(4477),
    [anon_sym___stdcall] = ACTIONS(4477),
    [anon_sym___fastcall] = ACTIONS(4477),
    [anon_sym___thiscall] = ACTIONS(4477),
    [anon_sym___vectorcall] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [anon_sym_final] = ACTIONS(4477),
    [anon_sym_override] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_try] = ACTIONS(4477),
    [anon_sym_requires] = ACTIONS(4477),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_TILDE] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym_SEMI] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym_extern] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4495),
    [anon_sym___declspec] = ACTIONS(4493),
    [anon_sym___based] = ACTIONS(4493),
    [anon_sym___cdecl] = ACTIONS(4493),
    [anon_sym___clrcall] = ACTIONS(4493),
    [anon_sym___stdcall] = ACTIONS(4493),
    [anon_sym___fastcall] = ACTIONS(4493),
    [anon_sym___thiscall] = ACTIONS(4493),
    [anon_sym___vectorcall] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_RBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_static] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_register] = ACTIONS(4493),
    [anon_sym_inline] = ACTIONS(4493),
    [anon_sym___inline] = ACTIONS(4493),
    [anon_sym___inline__] = ACTIONS(4493),
    [anon_sym___forceinline] = ACTIONS(4493),
    [anon_sym_thread_local] = ACTIONS(4493),
    [anon_sym___thread] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_alignas] = ACTIONS(4493),
    [anon_sym__Alignas] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [anon_sym_final] = ACTIONS(4493),
    [anon_sym_override] = ACTIONS(4493),
    [sym_virtual] = ACTIONS(4493),
    [anon_sym_template] = ACTIONS(4493),
    [anon_sym_operator] = ACTIONS(4493),
    [anon_sym_try] = ACTIONS(4493),
    [anon_sym_requires] = ACTIONS(4493),
  },
  [1525] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4501),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4501),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4501),
    [anon_sym_GT_GT] = ACTIONS(4501),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym___cdecl] = ACTIONS(4499),
    [anon_sym___clrcall] = ACTIONS(4499),
    [anon_sym___stdcall] = ACTIONS(4499),
    [anon_sym___fastcall] = ACTIONS(4499),
    [anon_sym___thiscall] = ACTIONS(4499),
    [anon_sym___vectorcall] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_try] = ACTIONS(4499),
    [anon_sym_requires] = ACTIONS(4499),
  },
  [1526] = {
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_SEMI] = ACTIONS(4532),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym_extern] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4532),
    [anon_sym___declspec] = ACTIONS(4530),
    [anon_sym___based] = ACTIONS(4530),
    [anon_sym___cdecl] = ACTIONS(4530),
    [anon_sym___clrcall] = ACTIONS(4530),
    [anon_sym___stdcall] = ACTIONS(4530),
    [anon_sym___fastcall] = ACTIONS(4530),
    [anon_sym___thiscall] = ACTIONS(4530),
    [anon_sym___vectorcall] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_RBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_static] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_register] = ACTIONS(4530),
    [anon_sym_inline] = ACTIONS(4530),
    [anon_sym___inline] = ACTIONS(4530),
    [anon_sym___inline__] = ACTIONS(4530),
    [anon_sym___forceinline] = ACTIONS(4530),
    [anon_sym_thread_local] = ACTIONS(4530),
    [anon_sym___thread] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_alignas] = ACTIONS(4530),
    [anon_sym__Alignas] = ACTIONS(4530),
    [anon_sym_COLON] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [anon_sym_final] = ACTIONS(4530),
    [anon_sym_override] = ACTIONS(4530),
    [sym_virtual] = ACTIONS(4530),
    [anon_sym_template] = ACTIONS(4530),
    [anon_sym_operator] = ACTIONS(4530),
    [anon_sym_try] = ACTIONS(4530),
    [anon_sym_requires] = ACTIONS(4530),
  },
  [1527] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4536),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym___cdecl] = ACTIONS(4534),
    [anon_sym___clrcall] = ACTIONS(4534),
    [anon_sym___stdcall] = ACTIONS(4534),
    [anon_sym___fastcall] = ACTIONS(4534),
    [anon_sym___thiscall] = ACTIONS(4534),
    [anon_sym___vectorcall] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [anon_sym_final] = ACTIONS(4534),
    [anon_sym_override] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
    [anon_sym_try] = ACTIONS(4534),
    [anon_sym_requires] = ACTIONS(4534),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4540),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym___cdecl] = ACTIONS(4538),
    [anon_sym___clrcall] = ACTIONS(4538),
    [anon_sym___stdcall] = ACTIONS(4538),
    [anon_sym___fastcall] = ACTIONS(4538),
    [anon_sym___thiscall] = ACTIONS(4538),
    [anon_sym___vectorcall] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [anon_sym_final] = ACTIONS(4538),
    [anon_sym_override] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
    [anon_sym_try] = ACTIONS(4538),
    [anon_sym_requires] = ACTIONS(4538),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_TILDE] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4505),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4505),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4505),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4505),
    [anon_sym_GT_GT] = ACTIONS(4505),
    [anon_sym_SEMI] = ACTIONS(4505),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4505),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym___cdecl] = ACTIONS(4503),
    [anon_sym___clrcall] = ACTIONS(4503),
    [anon_sym___stdcall] = ACTIONS(4503),
    [anon_sym___fastcall] = ACTIONS(4503),
    [anon_sym___thiscall] = ACTIONS(4503),
    [anon_sym___vectorcall] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym__Alignas] = ACTIONS(4503),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [anon_sym_final] = ACTIONS(4503),
    [anon_sym_override] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
    [anon_sym_try] = ACTIONS(4503),
    [anon_sym_requires] = ACTIONS(4503),
  },
  [1530] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(2940),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4617),
    [anon_sym_unsigned] = ACTIONS(4617),
    [anon_sym_long] = ACTIONS(4617),
    [anon_sym_short] = ACTIONS(4617),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1531] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_TILDE] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_TILDE] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym_extern] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4495),
    [anon_sym___declspec] = ACTIONS(4493),
    [anon_sym___based] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [anon_sym_static] = ACTIONS(4493),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_register] = ACTIONS(4493),
    [anon_sym_inline] = ACTIONS(4493),
    [anon_sym___inline] = ACTIONS(4493),
    [anon_sym___inline__] = ACTIONS(4493),
    [anon_sym___forceinline] = ACTIONS(4493),
    [anon_sym_thread_local] = ACTIONS(4493),
    [anon_sym___thread] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_alignas] = ACTIONS(4493),
    [anon_sym__Alignas] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_STAR_EQ] = ACTIONS(4495),
    [anon_sym_SLASH_EQ] = ACTIONS(4495),
    [anon_sym_PERCENT_EQ] = ACTIONS(4495),
    [anon_sym_PLUS_EQ] = ACTIONS(4495),
    [anon_sym_DASH_EQ] = ACTIONS(4495),
    [anon_sym_LT_LT_EQ] = ACTIONS(4495),
    [anon_sym_GT_GT_EQ] = ACTIONS(4495),
    [anon_sym_AMP_EQ] = ACTIONS(4495),
    [anon_sym_CARET_EQ] = ACTIONS(4495),
    [anon_sym_PIPE_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [sym_virtual] = ACTIONS(4493),
    [anon_sym_template] = ACTIONS(4493),
    [anon_sym_operator] = ACTIONS(4493),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4495),
  },
  [1533] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4540),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4589),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1535] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4479),
  },
  [1536] = {
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_TILDE] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym_extern] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4505),
    [anon_sym___declspec] = ACTIONS(4503),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_static] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_register] = ACTIONS(4503),
    [anon_sym_inline] = ACTIONS(4503),
    [anon_sym___inline] = ACTIONS(4503),
    [anon_sym___inline__] = ACTIONS(4503),
    [anon_sym___forceinline] = ACTIONS(4503),
    [anon_sym_thread_local] = ACTIONS(4503),
    [anon_sym___thread] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym__Alignas] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [sym_virtual] = ACTIONS(4503),
    [anon_sym_template] = ACTIONS(4503),
    [anon_sym_operator] = ACTIONS(4503),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4505),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4536),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_TILDE] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym_extern] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4532),
    [anon_sym___declspec] = ACTIONS(4530),
    [anon_sym___based] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [anon_sym_static] = ACTIONS(4530),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_register] = ACTIONS(4530),
    [anon_sym_inline] = ACTIONS(4530),
    [anon_sym___inline] = ACTIONS(4530),
    [anon_sym___inline__] = ACTIONS(4530),
    [anon_sym___forceinline] = ACTIONS(4530),
    [anon_sym_thread_local] = ACTIONS(4530),
    [anon_sym___thread] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_alignas] = ACTIONS(4530),
    [anon_sym__Alignas] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_STAR_EQ] = ACTIONS(4532),
    [anon_sym_SLASH_EQ] = ACTIONS(4532),
    [anon_sym_PERCENT_EQ] = ACTIONS(4532),
    [anon_sym_PLUS_EQ] = ACTIONS(4532),
    [anon_sym_DASH_EQ] = ACTIONS(4532),
    [anon_sym_LT_LT_EQ] = ACTIONS(4532),
    [anon_sym_GT_GT_EQ] = ACTIONS(4532),
    [anon_sym_AMP_EQ] = ACTIONS(4532),
    [anon_sym_CARET_EQ] = ACTIONS(4532),
    [anon_sym_PIPE_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [sym_virtual] = ACTIONS(4530),
    [anon_sym_template] = ACTIONS(4530),
    [anon_sym_operator] = ACTIONS(4530),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4532),
  },
  [1539] = {
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [aux_sym_preproc_if_token2] = ACTIONS(4495),
    [aux_sym_preproc_else_token1] = ACTIONS(4495),
    [aux_sym_preproc_elif_token1] = ACTIONS(4493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4495),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_RBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_alignas] = ACTIONS(4493),
    [anon_sym__Alignas] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_STAR_EQ] = ACTIONS(4495),
    [anon_sym_SLASH_EQ] = ACTIONS(4495),
    [anon_sym_PERCENT_EQ] = ACTIONS(4495),
    [anon_sym_PLUS_EQ] = ACTIONS(4495),
    [anon_sym_DASH_EQ] = ACTIONS(4495),
    [anon_sym_LT_LT_EQ] = ACTIONS(4495),
    [anon_sym_GT_GT_EQ] = ACTIONS(4495),
    [anon_sym_AMP_EQ] = ACTIONS(4495),
    [anon_sym_CARET_EQ] = ACTIONS(4495),
    [anon_sym_PIPE_EQ] = ACTIONS(4495),
    [anon_sym_and_eq] = ACTIONS(4493),
    [anon_sym_or_eq] = ACTIONS(4493),
    [anon_sym_xor_eq] = ACTIONS(4493),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [anon_sym_final] = ACTIONS(4493),
    [anon_sym_override] = ACTIONS(4493),
  },
  [1540] = {
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [aux_sym_preproc_if_token2] = ACTIONS(4532),
    [aux_sym_preproc_else_token1] = ACTIONS(4532),
    [aux_sym_preproc_elif_token1] = ACTIONS(4530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym_SEMI] = ACTIONS(4532),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_RBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4532),
    [anon_sym_RBRACK] = ACTIONS(4532),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_alignas] = ACTIONS(4530),
    [anon_sym__Alignas] = ACTIONS(4530),
    [anon_sym_COLON] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_STAR_EQ] = ACTIONS(4532),
    [anon_sym_SLASH_EQ] = ACTIONS(4532),
    [anon_sym_PERCENT_EQ] = ACTIONS(4532),
    [anon_sym_PLUS_EQ] = ACTIONS(4532),
    [anon_sym_DASH_EQ] = ACTIONS(4532),
    [anon_sym_LT_LT_EQ] = ACTIONS(4532),
    [anon_sym_GT_GT_EQ] = ACTIONS(4532),
    [anon_sym_AMP_EQ] = ACTIONS(4532),
    [anon_sym_CARET_EQ] = ACTIONS(4532),
    [anon_sym_PIPE_EQ] = ACTIONS(4532),
    [anon_sym_and_eq] = ACTIONS(4530),
    [anon_sym_or_eq] = ACTIONS(4530),
    [anon_sym_xor_eq] = ACTIONS(4530),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [anon_sym_final] = ACTIONS(4530),
    [anon_sym_override] = ACTIONS(4530),
  },
  [1541] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [aux_sym_preproc_if_token2] = ACTIONS(4501),
    [aux_sym_preproc_else_token1] = ACTIONS(4501),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_RBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [aux_sym_preproc_if_token2] = ACTIONS(4540),
    [aux_sym_preproc_else_token1] = ACTIONS(4540),
    [aux_sym_preproc_elif_token1] = ACTIONS(4538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_RBRACK] = ACTIONS(4540),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4538),
    [anon_sym_or_eq] = ACTIONS(4538),
    [anon_sym_xor_eq] = ACTIONS(4538),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [anon_sym_final] = ACTIONS(4538),
    [anon_sym_override] = ACTIONS(4538),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [aux_sym_preproc_if_token2] = ACTIONS(4505),
    [aux_sym_preproc_else_token1] = ACTIONS(4505),
    [aux_sym_preproc_elif_token1] = ACTIONS(4503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym_SEMI] = ACTIONS(4505),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [anon_sym_RBRACK] = ACTIONS(4505),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym__Alignas] = ACTIONS(4503),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4503),
    [anon_sym_or_eq] = ACTIONS(4503),
    [anon_sym_xor_eq] = ACTIONS(4503),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [anon_sym_final] = ACTIONS(4503),
    [anon_sym_override] = ACTIONS(4503),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [aux_sym_preproc_if_token2] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [anon_sym_final] = ACTIONS(4534),
    [anon_sym_override] = ACTIONS(4534),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [aux_sym_preproc_if_token2] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4479),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4477),
    [anon_sym_or_eq] = ACTIONS(4477),
    [anon_sym_xor_eq] = ACTIONS(4477),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [anon_sym_final] = ACTIONS(4477),
    [anon_sym_override] = ACTIONS(4477),
  },
  [1546] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4582),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4580),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4580),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4580),
    [anon_sym_GT_GT] = ACTIONS(4580),
    [anon_sym_SEMI] = ACTIONS(4582),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4582),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym___cdecl] = ACTIONS(4578),
    [anon_sym___clrcall] = ACTIONS(4578),
    [anon_sym___stdcall] = ACTIONS(4578),
    [anon_sym___fastcall] = ACTIONS(4578),
    [anon_sym___thiscall] = ACTIONS(4578),
    [anon_sym___vectorcall] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1547] = {
    [sym_function_definition] = STATE(552),
    [sym_declaration] = STATE(552),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_declaration_list] = STATE(552),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4649),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1548] = {
    [sym_function_definition] = STATE(287),
    [sym_declaration] = STATE(287),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1862),
    [sym_declaration_list] = STATE(287),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4651),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1549] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_STAR] = ACTIONS(4585),
    [anon_sym_PIPE_PIPE] = ACTIONS(4585),
    [anon_sym_AMP_AMP] = ACTIONS(4585),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym___cdecl] = ACTIONS(4578),
    [anon_sym___clrcall] = ACTIONS(4578),
    [anon_sym___stdcall] = ACTIONS(4578),
    [anon_sym___fastcall] = ACTIONS(4578),
    [anon_sym___thiscall] = ACTIONS(4578),
    [anon_sym___vectorcall] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_signed] = ACTIONS(4578),
    [anon_sym_unsigned] = ACTIONS(4578),
    [anon_sym_long] = ACTIONS(4578),
    [anon_sym_short] = ACTIONS(4578),
    [anon_sym_LBRACK] = ACTIONS(4578),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4585),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [sym_primitive_type] = ACTIONS(4578),
    [anon_sym_enum] = ACTIONS(4578),
    [anon_sym_class] = ACTIONS(4578),
    [anon_sym_struct] = ACTIONS(4578),
    [anon_sym_union] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(4578),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_asm] = ACTIONS(4578),
    [anon_sym___asm__] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [anon_sym_final] = ACTIONS(4578),
    [anon_sym_override] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_explicit] = ACTIONS(4578),
    [anon_sym_typename] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_GT2] = ACTIONS(4585),
    [anon_sym_operator] = ACTIONS(4578),
    [anon_sym_try] = ACTIONS(4578),
    [anon_sym_friend] = ACTIONS(4578),
    [anon_sym_using] = ACTIONS(4578),
    [anon_sym_concept] = ACTIONS(4578),
    [anon_sym_requires] = ACTIONS(4578),
  },
  [1550] = {
    [sym_function_definition] = STATE(599),
    [sym_declaration] = STATE(599),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1865),
    [sym_declaration_list] = STATE(599),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4653),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1551] = {
    [sym_function_definition] = STATE(723),
    [sym_declaration] = STATE(723),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_declaration_list] = STATE(723),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4655),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1552] = {
    [sym_function_definition] = STATE(1668),
    [sym_declaration] = STATE(1668),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4306),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1860),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7429),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4659),
    [anon_sym_struct] = ACTIONS(4661),
    [anon_sym_union] = ACTIONS(4663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1553] = {
    [sym_function_definition] = STATE(1921),
    [sym_declaration] = STATE(1921),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4391),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1864),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7463),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4665),
    [anon_sym_struct] = ACTIONS(4667),
    [anon_sym_union] = ACTIONS(4669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1554] = {
    [sym_function_definition] = STATE(551),
    [sym_declaration] = STATE(551),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4365),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1850),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7457),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4671),
    [anon_sym_struct] = ACTIONS(4673),
    [anon_sym_union] = ACTIONS(4675),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1555] = {
    [sym_function_definition] = STATE(340),
    [sym_declaration] = STATE(340),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4449),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1862),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7990),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4677),
    [anon_sym_struct] = ACTIONS(4679),
    [anon_sym_union] = ACTIONS(4681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1556] = {
    [sym_function_definition] = STATE(674),
    [sym_declaration] = STATE(674),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4401),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1848),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7679),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4683),
    [anon_sym_struct] = ACTIONS(4685),
    [anon_sym_union] = ACTIONS(4687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1557] = {
    [sym_function_definition] = STATE(573),
    [sym_declaration] = STATE(573),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4427),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1865),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(7682),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4689),
    [anon_sym_struct] = ACTIONS(4691),
    [anon_sym_union] = ACTIONS(4693),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1558] = {
    [sym_function_definition] = STATE(2090),
    [sym_declaration] = STATE(2090),
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4338),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_ms_call_modifier] = STATE(1851),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym__class_name] = STATE(8093),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(3734),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3736),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4695),
    [anon_sym_struct] = ACTIONS(4697),
    [anon_sym_union] = ACTIONS(4699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(4701),
    [anon_sym_COMMA] = ACTIONS(4703),
    [anon_sym_RPAREN] = ACTIONS(4703),
    [anon_sym_LPAREN2] = ACTIONS(4703),
    [anon_sym_TILDE] = ACTIONS(4703),
    [anon_sym_STAR] = ACTIONS(4703),
    [anon_sym_PIPE_PIPE] = ACTIONS(4703),
    [anon_sym_AMP_AMP] = ACTIONS(4703),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(4701),
    [anon_sym_extern] = ACTIONS(4701),
    [anon_sym___attribute__] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(4703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4703),
    [anon_sym___declspec] = ACTIONS(4701),
    [anon_sym___based] = ACTIONS(4701),
    [anon_sym___cdecl] = ACTIONS(4701),
    [anon_sym___clrcall] = ACTIONS(4701),
    [anon_sym___stdcall] = ACTIONS(4701),
    [anon_sym___fastcall] = ACTIONS(4701),
    [anon_sym___thiscall] = ACTIONS(4701),
    [anon_sym___vectorcall] = ACTIONS(4701),
    [anon_sym_LBRACE] = ACTIONS(4703),
    [anon_sym_signed] = ACTIONS(4701),
    [anon_sym_unsigned] = ACTIONS(4701),
    [anon_sym_long] = ACTIONS(4701),
    [anon_sym_short] = ACTIONS(4701),
    [anon_sym_LBRACK] = ACTIONS(4701),
    [anon_sym_static] = ACTIONS(4701),
    [anon_sym_EQ] = ACTIONS(4703),
    [anon_sym_register] = ACTIONS(4701),
    [anon_sym_inline] = ACTIONS(4701),
    [anon_sym___inline] = ACTIONS(4701),
    [anon_sym___inline__] = ACTIONS(4701),
    [anon_sym___forceinline] = ACTIONS(4701),
    [anon_sym_thread_local] = ACTIONS(4701),
    [anon_sym___thread] = ACTIONS(4701),
    [anon_sym_const] = ACTIONS(4701),
    [anon_sym_constexpr] = ACTIONS(4701),
    [anon_sym_volatile] = ACTIONS(4701),
    [anon_sym_restrict] = ACTIONS(4701),
    [anon_sym___restrict__] = ACTIONS(4701),
    [anon_sym__Atomic] = ACTIONS(4701),
    [anon_sym__Noreturn] = ACTIONS(4701),
    [anon_sym_noreturn] = ACTIONS(4701),
    [anon_sym_mutable] = ACTIONS(4701),
    [anon_sym_constinit] = ACTIONS(4701),
    [anon_sym_consteval] = ACTIONS(4701),
    [anon_sym_alignas] = ACTIONS(4701),
    [anon_sym__Alignas] = ACTIONS(4701),
    [sym_primitive_type] = ACTIONS(4701),
    [anon_sym_enum] = ACTIONS(4701),
    [anon_sym_class] = ACTIONS(4701),
    [anon_sym_struct] = ACTIONS(4701),
    [anon_sym_union] = ACTIONS(4701),
    [anon_sym_or] = ACTIONS(4701),
    [anon_sym_and] = ACTIONS(4701),
    [anon_sym_asm] = ACTIONS(4701),
    [anon_sym___asm__] = ACTIONS(4701),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4701),
    [anon_sym_decltype] = ACTIONS(4701),
    [anon_sym_final] = ACTIONS(4701),
    [anon_sym_override] = ACTIONS(4701),
    [sym_virtual] = ACTIONS(4701),
    [anon_sym_explicit] = ACTIONS(4701),
    [anon_sym_typename] = ACTIONS(4701),
    [anon_sym_template] = ACTIONS(4701),
    [anon_sym_GT2] = ACTIONS(4703),
    [anon_sym_operator] = ACTIONS(4701),
    [anon_sym_try] = ACTIONS(4701),
    [anon_sym_friend] = ACTIONS(4701),
    [anon_sym_using] = ACTIONS(4701),
    [anon_sym_concept] = ACTIONS(4701),
    [anon_sym_requires] = ACTIONS(4701),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym__Alignas] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4711),
    [anon_sym_RPAREN] = ACTIONS(4711),
    [anon_sym_LPAREN2] = ACTIONS(4711),
    [anon_sym_TILDE] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_PIPE_PIPE] = ACTIONS(4711),
    [anon_sym_AMP_AMP] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4709),
    [anon_sym_SEMI] = ACTIONS(4711),
    [anon_sym___extension__] = ACTIONS(4709),
    [anon_sym_extern] = ACTIONS(4709),
    [anon_sym___attribute__] = ACTIONS(4709),
    [anon_sym_COLON_COLON] = ACTIONS(4711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4711),
    [anon_sym___declspec] = ACTIONS(4709),
    [anon_sym___based] = ACTIONS(4709),
    [anon_sym___cdecl] = ACTIONS(4709),
    [anon_sym___clrcall] = ACTIONS(4709),
    [anon_sym___stdcall] = ACTIONS(4709),
    [anon_sym___fastcall] = ACTIONS(4709),
    [anon_sym___thiscall] = ACTIONS(4709),
    [anon_sym___vectorcall] = ACTIONS(4709),
    [anon_sym_LBRACE] = ACTIONS(4711),
    [anon_sym_signed] = ACTIONS(4709),
    [anon_sym_unsigned] = ACTIONS(4709),
    [anon_sym_long] = ACTIONS(4709),
    [anon_sym_short] = ACTIONS(4709),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_static] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_register] = ACTIONS(4709),
    [anon_sym_inline] = ACTIONS(4709),
    [anon_sym___inline] = ACTIONS(4709),
    [anon_sym___inline__] = ACTIONS(4709),
    [anon_sym___forceinline] = ACTIONS(4709),
    [anon_sym_thread_local] = ACTIONS(4709),
    [anon_sym___thread] = ACTIONS(4709),
    [anon_sym_const] = ACTIONS(4709),
    [anon_sym_constexpr] = ACTIONS(4709),
    [anon_sym_volatile] = ACTIONS(4709),
    [anon_sym_restrict] = ACTIONS(4709),
    [anon_sym___restrict__] = ACTIONS(4709),
    [anon_sym__Atomic] = ACTIONS(4709),
    [anon_sym__Noreturn] = ACTIONS(4709),
    [anon_sym_noreturn] = ACTIONS(4709),
    [anon_sym_mutable] = ACTIONS(4709),
    [anon_sym_constinit] = ACTIONS(4709),
    [anon_sym_consteval] = ACTIONS(4709),
    [anon_sym_alignas] = ACTIONS(4709),
    [anon_sym__Alignas] = ACTIONS(4709),
    [sym_primitive_type] = ACTIONS(4709),
    [anon_sym_enum] = ACTIONS(4709),
    [anon_sym_class] = ACTIONS(4709),
    [anon_sym_struct] = ACTIONS(4709),
    [anon_sym_union] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_asm] = ACTIONS(4709),
    [anon_sym___asm__] = ACTIONS(4709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4709),
    [anon_sym_decltype] = ACTIONS(4709),
    [anon_sym_final] = ACTIONS(4709),
    [anon_sym_override] = ACTIONS(4709),
    [sym_virtual] = ACTIONS(4709),
    [anon_sym_explicit] = ACTIONS(4709),
    [anon_sym_typename] = ACTIONS(4709),
    [anon_sym_template] = ACTIONS(4709),
    [anon_sym_GT2] = ACTIONS(4711),
    [anon_sym_operator] = ACTIONS(4709),
    [anon_sym_try] = ACTIONS(4709),
    [anon_sym_friend] = ACTIONS(4709),
    [anon_sym_using] = ACTIONS(4709),
    [anon_sym_concept] = ACTIONS(4709),
    [anon_sym_requires] = ACTIONS(4709),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4713),
    [anon_sym_COMMA] = ACTIONS(4715),
    [anon_sym_RPAREN] = ACTIONS(4715),
    [anon_sym_LPAREN2] = ACTIONS(4715),
    [anon_sym_TILDE] = ACTIONS(4715),
    [anon_sym_STAR] = ACTIONS(4715),
    [anon_sym_PIPE_PIPE] = ACTIONS(4715),
    [anon_sym_AMP_AMP] = ACTIONS(4715),
    [anon_sym_AMP] = ACTIONS(4713),
    [anon_sym_SEMI] = ACTIONS(4715),
    [anon_sym___extension__] = ACTIONS(4713),
    [anon_sym_extern] = ACTIONS(4713),
    [anon_sym___attribute__] = ACTIONS(4713),
    [anon_sym_COLON_COLON] = ACTIONS(4715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4715),
    [anon_sym___declspec] = ACTIONS(4713),
    [anon_sym___based] = ACTIONS(4713),
    [anon_sym___cdecl] = ACTIONS(4713),
    [anon_sym___clrcall] = ACTIONS(4713),
    [anon_sym___stdcall] = ACTIONS(4713),
    [anon_sym___fastcall] = ACTIONS(4713),
    [anon_sym___thiscall] = ACTIONS(4713),
    [anon_sym___vectorcall] = ACTIONS(4713),
    [anon_sym_LBRACE] = ACTIONS(4715),
    [anon_sym_signed] = ACTIONS(4713),
    [anon_sym_unsigned] = ACTIONS(4713),
    [anon_sym_long] = ACTIONS(4713),
    [anon_sym_short] = ACTIONS(4713),
    [anon_sym_LBRACK] = ACTIONS(4713),
    [anon_sym_static] = ACTIONS(4713),
    [anon_sym_EQ] = ACTIONS(4715),
    [anon_sym_register] = ACTIONS(4713),
    [anon_sym_inline] = ACTIONS(4713),
    [anon_sym___inline] = ACTIONS(4713),
    [anon_sym___inline__] = ACTIONS(4713),
    [anon_sym___forceinline] = ACTIONS(4713),
    [anon_sym_thread_local] = ACTIONS(4713),
    [anon_sym___thread] = ACTIONS(4713),
    [anon_sym_const] = ACTIONS(4713),
    [anon_sym_constexpr] = ACTIONS(4713),
    [anon_sym_volatile] = ACTIONS(4713),
    [anon_sym_restrict] = ACTIONS(4713),
    [anon_sym___restrict__] = ACTIONS(4713),
    [anon_sym__Atomic] = ACTIONS(4713),
    [anon_sym__Noreturn] = ACTIONS(4713),
    [anon_sym_noreturn] = ACTIONS(4713),
    [anon_sym_mutable] = ACTIONS(4713),
    [anon_sym_constinit] = ACTIONS(4713),
    [anon_sym_consteval] = ACTIONS(4713),
    [anon_sym_alignas] = ACTIONS(4713),
    [anon_sym__Alignas] = ACTIONS(4713),
    [sym_primitive_type] = ACTIONS(4713),
    [anon_sym_enum] = ACTIONS(4713),
    [anon_sym_class] = ACTIONS(4713),
    [anon_sym_struct] = ACTIONS(4713),
    [anon_sym_union] = ACTIONS(4713),
    [anon_sym_or] = ACTIONS(4713),
    [anon_sym_and] = ACTIONS(4713),
    [anon_sym_asm] = ACTIONS(4713),
    [anon_sym___asm__] = ACTIONS(4713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4713),
    [anon_sym_decltype] = ACTIONS(4713),
    [anon_sym_final] = ACTIONS(4713),
    [anon_sym_override] = ACTIONS(4713),
    [sym_virtual] = ACTIONS(4713),
    [anon_sym_explicit] = ACTIONS(4713),
    [anon_sym_typename] = ACTIONS(4713),
    [anon_sym_template] = ACTIONS(4713),
    [anon_sym_GT2] = ACTIONS(4715),
    [anon_sym_operator] = ACTIONS(4713),
    [anon_sym_try] = ACTIONS(4713),
    [anon_sym_friend] = ACTIONS(4713),
    [anon_sym_using] = ACTIONS(4713),
    [anon_sym_concept] = ACTIONS(4713),
    [anon_sym_requires] = ACTIONS(4713),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4717),
    [anon_sym_COMMA] = ACTIONS(4719),
    [anon_sym_RPAREN] = ACTIONS(4719),
    [anon_sym_LPAREN2] = ACTIONS(4719),
    [anon_sym_TILDE] = ACTIONS(4719),
    [anon_sym_STAR] = ACTIONS(4719),
    [anon_sym_PIPE_PIPE] = ACTIONS(4719),
    [anon_sym_AMP_AMP] = ACTIONS(4719),
    [anon_sym_AMP] = ACTIONS(4717),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(4717),
    [anon_sym_extern] = ACTIONS(4717),
    [anon_sym___attribute__] = ACTIONS(4717),
    [anon_sym_COLON_COLON] = ACTIONS(4719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4719),
    [anon_sym___declspec] = ACTIONS(4717),
    [anon_sym___based] = ACTIONS(4717),
    [anon_sym___cdecl] = ACTIONS(4717),
    [anon_sym___clrcall] = ACTIONS(4717),
    [anon_sym___stdcall] = ACTIONS(4717),
    [anon_sym___fastcall] = ACTIONS(4717),
    [anon_sym___thiscall] = ACTIONS(4717),
    [anon_sym___vectorcall] = ACTIONS(4717),
    [anon_sym_LBRACE] = ACTIONS(4719),
    [anon_sym_signed] = ACTIONS(4717),
    [anon_sym_unsigned] = ACTIONS(4717),
    [anon_sym_long] = ACTIONS(4717),
    [anon_sym_short] = ACTIONS(4717),
    [anon_sym_LBRACK] = ACTIONS(4717),
    [anon_sym_static] = ACTIONS(4717),
    [anon_sym_EQ] = ACTIONS(4719),
    [anon_sym_register] = ACTIONS(4717),
    [anon_sym_inline] = ACTIONS(4717),
    [anon_sym___inline] = ACTIONS(4717),
    [anon_sym___inline__] = ACTIONS(4717),
    [anon_sym___forceinline] = ACTIONS(4717),
    [anon_sym_thread_local] = ACTIONS(4717),
    [anon_sym___thread] = ACTIONS(4717),
    [anon_sym_const] = ACTIONS(4717),
    [anon_sym_constexpr] = ACTIONS(4717),
    [anon_sym_volatile] = ACTIONS(4717),
    [anon_sym_restrict] = ACTIONS(4717),
    [anon_sym___restrict__] = ACTIONS(4717),
    [anon_sym__Atomic] = ACTIONS(4717),
    [anon_sym__Noreturn] = ACTIONS(4717),
    [anon_sym_noreturn] = ACTIONS(4717),
    [anon_sym_mutable] = ACTIONS(4717),
    [anon_sym_constinit] = ACTIONS(4717),
    [anon_sym_consteval] = ACTIONS(4717),
    [anon_sym_alignas] = ACTIONS(4717),
    [anon_sym__Alignas] = ACTIONS(4717),
    [sym_primitive_type] = ACTIONS(4717),
    [anon_sym_enum] = ACTIONS(4717),
    [anon_sym_class] = ACTIONS(4717),
    [anon_sym_struct] = ACTIONS(4717),
    [anon_sym_union] = ACTIONS(4717),
    [anon_sym_or] = ACTIONS(4717),
    [anon_sym_and] = ACTIONS(4717),
    [anon_sym_asm] = ACTIONS(4717),
    [anon_sym___asm__] = ACTIONS(4717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4717),
    [anon_sym_decltype] = ACTIONS(4717),
    [anon_sym_final] = ACTIONS(4717),
    [anon_sym_override] = ACTIONS(4717),
    [sym_virtual] = ACTIONS(4717),
    [anon_sym_explicit] = ACTIONS(4717),
    [anon_sym_typename] = ACTIONS(4717),
    [anon_sym_template] = ACTIONS(4717),
    [anon_sym_GT2] = ACTIONS(4719),
    [anon_sym_operator] = ACTIONS(4717),
    [anon_sym_try] = ACTIONS(4717),
    [anon_sym_friend] = ACTIONS(4717),
    [anon_sym_using] = ACTIONS(4717),
    [anon_sym_concept] = ACTIONS(4717),
    [anon_sym_requires] = ACTIONS(4717),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4721),
    [anon_sym_COMMA] = ACTIONS(4723),
    [anon_sym_RPAREN] = ACTIONS(4723),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_TILDE] = ACTIONS(4723),
    [anon_sym_STAR] = ACTIONS(4723),
    [anon_sym_PIPE_PIPE] = ACTIONS(4723),
    [anon_sym_AMP_AMP] = ACTIONS(4723),
    [anon_sym_AMP] = ACTIONS(4721),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym___extension__] = ACTIONS(4721),
    [anon_sym_extern] = ACTIONS(4721),
    [anon_sym___attribute__] = ACTIONS(4721),
    [anon_sym_COLON_COLON] = ACTIONS(4723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4723),
    [anon_sym___declspec] = ACTIONS(4721),
    [anon_sym___based] = ACTIONS(4721),
    [anon_sym___cdecl] = ACTIONS(4721),
    [anon_sym___clrcall] = ACTIONS(4721),
    [anon_sym___stdcall] = ACTIONS(4721),
    [anon_sym___fastcall] = ACTIONS(4721),
    [anon_sym___thiscall] = ACTIONS(4721),
    [anon_sym___vectorcall] = ACTIONS(4721),
    [anon_sym_LBRACE] = ACTIONS(4723),
    [anon_sym_signed] = ACTIONS(4721),
    [anon_sym_unsigned] = ACTIONS(4721),
    [anon_sym_long] = ACTIONS(4721),
    [anon_sym_short] = ACTIONS(4721),
    [anon_sym_LBRACK] = ACTIONS(4721),
    [anon_sym_static] = ACTIONS(4721),
    [anon_sym_EQ] = ACTIONS(4723),
    [anon_sym_register] = ACTIONS(4721),
    [anon_sym_inline] = ACTIONS(4721),
    [anon_sym___inline] = ACTIONS(4721),
    [anon_sym___inline__] = ACTIONS(4721),
    [anon_sym___forceinline] = ACTIONS(4721),
    [anon_sym_thread_local] = ACTIONS(4721),
    [anon_sym___thread] = ACTIONS(4721),
    [anon_sym_const] = ACTIONS(4721),
    [anon_sym_constexpr] = ACTIONS(4721),
    [anon_sym_volatile] = ACTIONS(4721),
    [anon_sym_restrict] = ACTIONS(4721),
    [anon_sym___restrict__] = ACTIONS(4721),
    [anon_sym__Atomic] = ACTIONS(4721),
    [anon_sym__Noreturn] = ACTIONS(4721),
    [anon_sym_noreturn] = ACTIONS(4721),
    [anon_sym_mutable] = ACTIONS(4721),
    [anon_sym_constinit] = ACTIONS(4721),
    [anon_sym_consteval] = ACTIONS(4721),
    [anon_sym_alignas] = ACTIONS(4721),
    [anon_sym__Alignas] = ACTIONS(4721),
    [sym_primitive_type] = ACTIONS(4721),
    [anon_sym_enum] = ACTIONS(4721),
    [anon_sym_class] = ACTIONS(4721),
    [anon_sym_struct] = ACTIONS(4721),
    [anon_sym_union] = ACTIONS(4721),
    [anon_sym_or] = ACTIONS(4721),
    [anon_sym_and] = ACTIONS(4721),
    [anon_sym_asm] = ACTIONS(4721),
    [anon_sym___asm__] = ACTIONS(4721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4721),
    [anon_sym_decltype] = ACTIONS(4721),
    [anon_sym_final] = ACTIONS(4721),
    [anon_sym_override] = ACTIONS(4721),
    [sym_virtual] = ACTIONS(4721),
    [anon_sym_explicit] = ACTIONS(4721),
    [anon_sym_typename] = ACTIONS(4721),
    [anon_sym_template] = ACTIONS(4721),
    [anon_sym_GT2] = ACTIONS(4723),
    [anon_sym_operator] = ACTIONS(4721),
    [anon_sym_try] = ACTIONS(4721),
    [anon_sym_friend] = ACTIONS(4721),
    [anon_sym_using] = ACTIONS(4721),
    [anon_sym_concept] = ACTIONS(4721),
    [anon_sym_requires] = ACTIONS(4721),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4725),
    [anon_sym_COMMA] = ACTIONS(4727),
    [anon_sym_RPAREN] = ACTIONS(4727),
    [anon_sym_LPAREN2] = ACTIONS(4727),
    [anon_sym_TILDE] = ACTIONS(4727),
    [anon_sym_STAR] = ACTIONS(4727),
    [anon_sym_PIPE_PIPE] = ACTIONS(4727),
    [anon_sym_AMP_AMP] = ACTIONS(4727),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_SEMI] = ACTIONS(4727),
    [anon_sym___extension__] = ACTIONS(4725),
    [anon_sym_extern] = ACTIONS(4725),
    [anon_sym___attribute__] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(4727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4727),
    [anon_sym___declspec] = ACTIONS(4725),
    [anon_sym___based] = ACTIONS(4725),
    [anon_sym___cdecl] = ACTIONS(4725),
    [anon_sym___clrcall] = ACTIONS(4725),
    [anon_sym___stdcall] = ACTIONS(4725),
    [anon_sym___fastcall] = ACTIONS(4725),
    [anon_sym___thiscall] = ACTIONS(4725),
    [anon_sym___vectorcall] = ACTIONS(4725),
    [anon_sym_LBRACE] = ACTIONS(4727),
    [anon_sym_signed] = ACTIONS(4725),
    [anon_sym_unsigned] = ACTIONS(4725),
    [anon_sym_long] = ACTIONS(4725),
    [anon_sym_short] = ACTIONS(4725),
    [anon_sym_LBRACK] = ACTIONS(4725),
    [anon_sym_static] = ACTIONS(4725),
    [anon_sym_EQ] = ACTIONS(4727),
    [anon_sym_register] = ACTIONS(4725),
    [anon_sym_inline] = ACTIONS(4725),
    [anon_sym___inline] = ACTIONS(4725),
    [anon_sym___inline__] = ACTIONS(4725),
    [anon_sym___forceinline] = ACTIONS(4725),
    [anon_sym_thread_local] = ACTIONS(4725),
    [anon_sym___thread] = ACTIONS(4725),
    [anon_sym_const] = ACTIONS(4725),
    [anon_sym_constexpr] = ACTIONS(4725),
    [anon_sym_volatile] = ACTIONS(4725),
    [anon_sym_restrict] = ACTIONS(4725),
    [anon_sym___restrict__] = ACTIONS(4725),
    [anon_sym__Atomic] = ACTIONS(4725),
    [anon_sym__Noreturn] = ACTIONS(4725),
    [anon_sym_noreturn] = ACTIONS(4725),
    [anon_sym_mutable] = ACTIONS(4725),
    [anon_sym_constinit] = ACTIONS(4725),
    [anon_sym_consteval] = ACTIONS(4725),
    [anon_sym_alignas] = ACTIONS(4725),
    [anon_sym__Alignas] = ACTIONS(4725),
    [sym_primitive_type] = ACTIONS(4725),
    [anon_sym_enum] = ACTIONS(4725),
    [anon_sym_class] = ACTIONS(4725),
    [anon_sym_struct] = ACTIONS(4725),
    [anon_sym_union] = ACTIONS(4725),
    [anon_sym_or] = ACTIONS(4725),
    [anon_sym_and] = ACTIONS(4725),
    [anon_sym_asm] = ACTIONS(4725),
    [anon_sym___asm__] = ACTIONS(4725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4725),
    [anon_sym_decltype] = ACTIONS(4725),
    [anon_sym_final] = ACTIONS(4725),
    [anon_sym_override] = ACTIONS(4725),
    [sym_virtual] = ACTIONS(4725),
    [anon_sym_explicit] = ACTIONS(4725),
    [anon_sym_typename] = ACTIONS(4725),
    [anon_sym_template] = ACTIONS(4725),
    [anon_sym_GT2] = ACTIONS(4727),
    [anon_sym_operator] = ACTIONS(4725),
    [anon_sym_try] = ACTIONS(4725),
    [anon_sym_friend] = ACTIONS(4725),
    [anon_sym_using] = ACTIONS(4725),
    [anon_sym_concept] = ACTIONS(4725),
    [anon_sym_requires] = ACTIONS(4725),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4729),
    [anon_sym_COMMA] = ACTIONS(4731),
    [anon_sym_RPAREN] = ACTIONS(4731),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_TILDE] = ACTIONS(4731),
    [anon_sym_STAR] = ACTIONS(4731),
    [anon_sym_PIPE_PIPE] = ACTIONS(4731),
    [anon_sym_AMP_AMP] = ACTIONS(4731),
    [anon_sym_AMP] = ACTIONS(4729),
    [anon_sym_SEMI] = ACTIONS(4731),
    [anon_sym___extension__] = ACTIONS(4729),
    [anon_sym_extern] = ACTIONS(4729),
    [anon_sym___attribute__] = ACTIONS(4729),
    [anon_sym_COLON_COLON] = ACTIONS(4731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4731),
    [anon_sym___declspec] = ACTIONS(4729),
    [anon_sym___based] = ACTIONS(4729),
    [anon_sym___cdecl] = ACTIONS(4729),
    [anon_sym___clrcall] = ACTIONS(4729),
    [anon_sym___stdcall] = ACTIONS(4729),
    [anon_sym___fastcall] = ACTIONS(4729),
    [anon_sym___thiscall] = ACTIONS(4729),
    [anon_sym___vectorcall] = ACTIONS(4729),
    [anon_sym_LBRACE] = ACTIONS(4731),
    [anon_sym_signed] = ACTIONS(4729),
    [anon_sym_unsigned] = ACTIONS(4729),
    [anon_sym_long] = ACTIONS(4729),
    [anon_sym_short] = ACTIONS(4729),
    [anon_sym_LBRACK] = ACTIONS(4729),
    [anon_sym_static] = ACTIONS(4729),
    [anon_sym_EQ] = ACTIONS(4731),
    [anon_sym_register] = ACTIONS(4729),
    [anon_sym_inline] = ACTIONS(4729),
    [anon_sym___inline] = ACTIONS(4729),
    [anon_sym___inline__] = ACTIONS(4729),
    [anon_sym___forceinline] = ACTIONS(4729),
    [anon_sym_thread_local] = ACTIONS(4729),
    [anon_sym___thread] = ACTIONS(4729),
    [anon_sym_const] = ACTIONS(4729),
    [anon_sym_constexpr] = ACTIONS(4729),
    [anon_sym_volatile] = ACTIONS(4729),
    [anon_sym_restrict] = ACTIONS(4729),
    [anon_sym___restrict__] = ACTIONS(4729),
    [anon_sym__Atomic] = ACTIONS(4729),
    [anon_sym__Noreturn] = ACTIONS(4729),
    [anon_sym_noreturn] = ACTIONS(4729),
    [anon_sym_mutable] = ACTIONS(4729),
    [anon_sym_constinit] = ACTIONS(4729),
    [anon_sym_consteval] = ACTIONS(4729),
    [anon_sym_alignas] = ACTIONS(4729),
    [anon_sym__Alignas] = ACTIONS(4729),
    [sym_primitive_type] = ACTIONS(4729),
    [anon_sym_enum] = ACTIONS(4729),
    [anon_sym_class] = ACTIONS(4729),
    [anon_sym_struct] = ACTIONS(4729),
    [anon_sym_union] = ACTIONS(4729),
    [anon_sym_or] = ACTIONS(4729),
    [anon_sym_and] = ACTIONS(4729),
    [anon_sym_asm] = ACTIONS(4729),
    [anon_sym___asm__] = ACTIONS(4729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4729),
    [anon_sym_decltype] = ACTIONS(4729),
    [anon_sym_final] = ACTIONS(4729),
    [anon_sym_override] = ACTIONS(4729),
    [sym_virtual] = ACTIONS(4729),
    [anon_sym_explicit] = ACTIONS(4729),
    [anon_sym_typename] = ACTIONS(4729),
    [anon_sym_template] = ACTIONS(4729),
    [anon_sym_GT2] = ACTIONS(4731),
    [anon_sym_operator] = ACTIONS(4729),
    [anon_sym_try] = ACTIONS(4729),
    [anon_sym_friend] = ACTIONS(4729),
    [anon_sym_using] = ACTIONS(4729),
    [anon_sym_concept] = ACTIONS(4729),
    [anon_sym_requires] = ACTIONS(4729),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4733),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_RPAREN] = ACTIONS(4735),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4735),
    [anon_sym_STAR] = ACTIONS(4735),
    [anon_sym_PIPE_PIPE] = ACTIONS(4735),
    [anon_sym_AMP_AMP] = ACTIONS(4735),
    [anon_sym_AMP] = ACTIONS(4733),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym___extension__] = ACTIONS(4733),
    [anon_sym_extern] = ACTIONS(4733),
    [anon_sym___attribute__] = ACTIONS(4733),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4735),
    [anon_sym___declspec] = ACTIONS(4733),
    [anon_sym___based] = ACTIONS(4733),
    [anon_sym___cdecl] = ACTIONS(4733),
    [anon_sym___clrcall] = ACTIONS(4733),
    [anon_sym___stdcall] = ACTIONS(4733),
    [anon_sym___fastcall] = ACTIONS(4733),
    [anon_sym___thiscall] = ACTIONS(4733),
    [anon_sym___vectorcall] = ACTIONS(4733),
    [anon_sym_LBRACE] = ACTIONS(4735),
    [anon_sym_signed] = ACTIONS(4733),
    [anon_sym_unsigned] = ACTIONS(4733),
    [anon_sym_long] = ACTIONS(4733),
    [anon_sym_short] = ACTIONS(4733),
    [anon_sym_LBRACK] = ACTIONS(4733),
    [anon_sym_static] = ACTIONS(4733),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_register] = ACTIONS(4733),
    [anon_sym_inline] = ACTIONS(4733),
    [anon_sym___inline] = ACTIONS(4733),
    [anon_sym___inline__] = ACTIONS(4733),
    [anon_sym___forceinline] = ACTIONS(4733),
    [anon_sym_thread_local] = ACTIONS(4733),
    [anon_sym___thread] = ACTIONS(4733),
    [anon_sym_const] = ACTIONS(4733),
    [anon_sym_constexpr] = ACTIONS(4733),
    [anon_sym_volatile] = ACTIONS(4733),
    [anon_sym_restrict] = ACTIONS(4733),
    [anon_sym___restrict__] = ACTIONS(4733),
    [anon_sym__Atomic] = ACTIONS(4733),
    [anon_sym__Noreturn] = ACTIONS(4733),
    [anon_sym_noreturn] = ACTIONS(4733),
    [anon_sym_mutable] = ACTIONS(4733),
    [anon_sym_constinit] = ACTIONS(4733),
    [anon_sym_consteval] = ACTIONS(4733),
    [anon_sym_alignas] = ACTIONS(4733),
    [anon_sym__Alignas] = ACTIONS(4733),
    [sym_primitive_type] = ACTIONS(4733),
    [anon_sym_enum] = ACTIONS(4733),
    [anon_sym_class] = ACTIONS(4733),
    [anon_sym_struct] = ACTIONS(4733),
    [anon_sym_union] = ACTIONS(4733),
    [anon_sym_or] = ACTIONS(4733),
    [anon_sym_and] = ACTIONS(4733),
    [anon_sym_asm] = ACTIONS(4733),
    [anon_sym___asm__] = ACTIONS(4733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4733),
    [anon_sym_decltype] = ACTIONS(4733),
    [anon_sym_final] = ACTIONS(4733),
    [anon_sym_override] = ACTIONS(4733),
    [sym_virtual] = ACTIONS(4733),
    [anon_sym_explicit] = ACTIONS(4733),
    [anon_sym_typename] = ACTIONS(4733),
    [anon_sym_template] = ACTIONS(4733),
    [anon_sym_GT2] = ACTIONS(4735),
    [anon_sym_operator] = ACTIONS(4733),
    [anon_sym_try] = ACTIONS(4733),
    [anon_sym_friend] = ACTIONS(4733),
    [anon_sym_using] = ACTIONS(4733),
    [anon_sym_concept] = ACTIONS(4733),
    [anon_sym_requires] = ACTIONS(4733),
  },
  [1568] = {
    [sym_string_literal] = STATE(1579),
    [sym_template_argument_list] = STATE(2231),
    [sym_raw_string_literal] = STATE(1579),
    [sym_identifier] = ACTIONS(3778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(3770),
    [aux_sym_preproc_else_token1] = ACTIONS(3770),
    [aux_sym_preproc_elif_token1] = ACTIONS(3778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4737),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_COLON] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(4740),
    [anon_sym_COMMA] = ACTIONS(4742),
    [anon_sym_RPAREN] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(4742),
    [anon_sym_TILDE] = ACTIONS(4742),
    [anon_sym_STAR] = ACTIONS(4742),
    [anon_sym_PIPE_PIPE] = ACTIONS(4742),
    [anon_sym_AMP_AMP] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(4740),
    [anon_sym_SEMI] = ACTIONS(4742),
    [anon_sym___extension__] = ACTIONS(4740),
    [anon_sym_extern] = ACTIONS(4740),
    [anon_sym___attribute__] = ACTIONS(4740),
    [anon_sym_COLON_COLON] = ACTIONS(4742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4742),
    [anon_sym___declspec] = ACTIONS(4740),
    [anon_sym___based] = ACTIONS(4740),
    [anon_sym___cdecl] = ACTIONS(4740),
    [anon_sym___clrcall] = ACTIONS(4740),
    [anon_sym___stdcall] = ACTIONS(4740),
    [anon_sym___fastcall] = ACTIONS(4740),
    [anon_sym___thiscall] = ACTIONS(4740),
    [anon_sym___vectorcall] = ACTIONS(4740),
    [anon_sym_LBRACE] = ACTIONS(4742),
    [anon_sym_signed] = ACTIONS(4740),
    [anon_sym_unsigned] = ACTIONS(4740),
    [anon_sym_long] = ACTIONS(4740),
    [anon_sym_short] = ACTIONS(4740),
    [anon_sym_LBRACK] = ACTIONS(4740),
    [anon_sym_static] = ACTIONS(4740),
    [anon_sym_EQ] = ACTIONS(4742),
    [anon_sym_register] = ACTIONS(4740),
    [anon_sym_inline] = ACTIONS(4740),
    [anon_sym___inline] = ACTIONS(4740),
    [anon_sym___inline__] = ACTIONS(4740),
    [anon_sym___forceinline] = ACTIONS(4740),
    [anon_sym_thread_local] = ACTIONS(4740),
    [anon_sym___thread] = ACTIONS(4740),
    [anon_sym_const] = ACTIONS(4740),
    [anon_sym_constexpr] = ACTIONS(4740),
    [anon_sym_volatile] = ACTIONS(4740),
    [anon_sym_restrict] = ACTIONS(4740),
    [anon_sym___restrict__] = ACTIONS(4740),
    [anon_sym__Atomic] = ACTIONS(4740),
    [anon_sym__Noreturn] = ACTIONS(4740),
    [anon_sym_noreturn] = ACTIONS(4740),
    [anon_sym_mutable] = ACTIONS(4740),
    [anon_sym_constinit] = ACTIONS(4740),
    [anon_sym_consteval] = ACTIONS(4740),
    [anon_sym_alignas] = ACTIONS(4740),
    [anon_sym__Alignas] = ACTIONS(4740),
    [sym_primitive_type] = ACTIONS(4740),
    [anon_sym_enum] = ACTIONS(4740),
    [anon_sym_class] = ACTIONS(4740),
    [anon_sym_struct] = ACTIONS(4740),
    [anon_sym_union] = ACTIONS(4740),
    [anon_sym_or] = ACTIONS(4740),
    [anon_sym_and] = ACTIONS(4740),
    [anon_sym_asm] = ACTIONS(4740),
    [anon_sym___asm__] = ACTIONS(4740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4740),
    [anon_sym_decltype] = ACTIONS(4740),
    [anon_sym_final] = ACTIONS(4740),
    [anon_sym_override] = ACTIONS(4740),
    [sym_virtual] = ACTIONS(4740),
    [anon_sym_explicit] = ACTIONS(4740),
    [anon_sym_typename] = ACTIONS(4740),
    [anon_sym_template] = ACTIONS(4740),
    [anon_sym_GT2] = ACTIONS(4742),
    [anon_sym_operator] = ACTIONS(4740),
    [anon_sym_try] = ACTIONS(4740),
    [anon_sym_friend] = ACTIONS(4740),
    [anon_sym_using] = ACTIONS(4740),
    [anon_sym_concept] = ACTIONS(4740),
    [anon_sym_requires] = ACTIONS(4740),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_COMMA] = ACTIONS(4746),
    [anon_sym_RPAREN] = ACTIONS(4746),
    [anon_sym_LPAREN2] = ACTIONS(4746),
    [anon_sym_TILDE] = ACTIONS(4746),
    [anon_sym_STAR] = ACTIONS(4746),
    [anon_sym_PIPE_PIPE] = ACTIONS(4746),
    [anon_sym_AMP_AMP] = ACTIONS(4746),
    [anon_sym_AMP] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(4746),
    [anon_sym___extension__] = ACTIONS(4744),
    [anon_sym_extern] = ACTIONS(4744),
    [anon_sym___attribute__] = ACTIONS(4744),
    [anon_sym_COLON_COLON] = ACTIONS(4746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4746),
    [anon_sym___declspec] = ACTIONS(4744),
    [anon_sym___based] = ACTIONS(4744),
    [anon_sym___cdecl] = ACTIONS(4744),
    [anon_sym___clrcall] = ACTIONS(4744),
    [anon_sym___stdcall] = ACTIONS(4744),
    [anon_sym___fastcall] = ACTIONS(4744),
    [anon_sym___thiscall] = ACTIONS(4744),
    [anon_sym___vectorcall] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(4746),
    [anon_sym_signed] = ACTIONS(4744),
    [anon_sym_unsigned] = ACTIONS(4744),
    [anon_sym_long] = ACTIONS(4744),
    [anon_sym_short] = ACTIONS(4744),
    [anon_sym_LBRACK] = ACTIONS(4744),
    [anon_sym_static] = ACTIONS(4744),
    [anon_sym_EQ] = ACTIONS(4746),
    [anon_sym_register] = ACTIONS(4744),
    [anon_sym_inline] = ACTIONS(4744),
    [anon_sym___inline] = ACTIONS(4744),
    [anon_sym___inline__] = ACTIONS(4744),
    [anon_sym___forceinline] = ACTIONS(4744),
    [anon_sym_thread_local] = ACTIONS(4744),
    [anon_sym___thread] = ACTIONS(4744),
    [anon_sym_const] = ACTIONS(4744),
    [anon_sym_constexpr] = ACTIONS(4744),
    [anon_sym_volatile] = ACTIONS(4744),
    [anon_sym_restrict] = ACTIONS(4744),
    [anon_sym___restrict__] = ACTIONS(4744),
    [anon_sym__Atomic] = ACTIONS(4744),
    [anon_sym__Noreturn] = ACTIONS(4744),
    [anon_sym_noreturn] = ACTIONS(4744),
    [anon_sym_mutable] = ACTIONS(4744),
    [anon_sym_constinit] = ACTIONS(4744),
    [anon_sym_consteval] = ACTIONS(4744),
    [anon_sym_alignas] = ACTIONS(4744),
    [anon_sym__Alignas] = ACTIONS(4744),
    [sym_primitive_type] = ACTIONS(4744),
    [anon_sym_enum] = ACTIONS(4744),
    [anon_sym_class] = ACTIONS(4744),
    [anon_sym_struct] = ACTIONS(4744),
    [anon_sym_union] = ACTIONS(4744),
    [anon_sym_or] = ACTIONS(4744),
    [anon_sym_and] = ACTIONS(4744),
    [anon_sym_asm] = ACTIONS(4744),
    [anon_sym___asm__] = ACTIONS(4744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4744),
    [anon_sym_decltype] = ACTIONS(4744),
    [anon_sym_final] = ACTIONS(4744),
    [anon_sym_override] = ACTIONS(4744),
    [sym_virtual] = ACTIONS(4744),
    [anon_sym_explicit] = ACTIONS(4744),
    [anon_sym_typename] = ACTIONS(4744),
    [anon_sym_template] = ACTIONS(4744),
    [anon_sym_GT2] = ACTIONS(4746),
    [anon_sym_operator] = ACTIONS(4744),
    [anon_sym_try] = ACTIONS(4744),
    [anon_sym_friend] = ACTIONS(4744),
    [anon_sym_using] = ACTIONS(4744),
    [anon_sym_concept] = ACTIONS(4744),
    [anon_sym_requires] = ACTIONS(4744),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(4748),
    [anon_sym_COMMA] = ACTIONS(4750),
    [anon_sym_RPAREN] = ACTIONS(4750),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_TILDE] = ACTIONS(4750),
    [anon_sym_STAR] = ACTIONS(4750),
    [anon_sym_PIPE_PIPE] = ACTIONS(4750),
    [anon_sym_AMP_AMP] = ACTIONS(4750),
    [anon_sym_AMP] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4750),
    [anon_sym___extension__] = ACTIONS(4748),
    [anon_sym_extern] = ACTIONS(4748),
    [anon_sym___attribute__] = ACTIONS(4748),
    [anon_sym_COLON_COLON] = ACTIONS(4750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4750),
    [anon_sym___declspec] = ACTIONS(4748),
    [anon_sym___based] = ACTIONS(4748),
    [anon_sym___cdecl] = ACTIONS(4748),
    [anon_sym___clrcall] = ACTIONS(4748),
    [anon_sym___stdcall] = ACTIONS(4748),
    [anon_sym___fastcall] = ACTIONS(4748),
    [anon_sym___thiscall] = ACTIONS(4748),
    [anon_sym___vectorcall] = ACTIONS(4748),
    [anon_sym_LBRACE] = ACTIONS(4750),
    [anon_sym_signed] = ACTIONS(4748),
    [anon_sym_unsigned] = ACTIONS(4748),
    [anon_sym_long] = ACTIONS(4748),
    [anon_sym_short] = ACTIONS(4748),
    [anon_sym_LBRACK] = ACTIONS(4748),
    [anon_sym_static] = ACTIONS(4748),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_register] = ACTIONS(4748),
    [anon_sym_inline] = ACTIONS(4748),
    [anon_sym___inline] = ACTIONS(4748),
    [anon_sym___inline__] = ACTIONS(4748),
    [anon_sym___forceinline] = ACTIONS(4748),
    [anon_sym_thread_local] = ACTIONS(4748),
    [anon_sym___thread] = ACTIONS(4748),
    [anon_sym_const] = ACTIONS(4748),
    [anon_sym_constexpr] = ACTIONS(4748),
    [anon_sym_volatile] = ACTIONS(4748),
    [anon_sym_restrict] = ACTIONS(4748),
    [anon_sym___restrict__] = ACTIONS(4748),
    [anon_sym__Atomic] = ACTIONS(4748),
    [anon_sym__Noreturn] = ACTIONS(4748),
    [anon_sym_noreturn] = ACTIONS(4748),
    [anon_sym_mutable] = ACTIONS(4748),
    [anon_sym_constinit] = ACTIONS(4748),
    [anon_sym_consteval] = ACTIONS(4748),
    [anon_sym_alignas] = ACTIONS(4748),
    [anon_sym__Alignas] = ACTIONS(4748),
    [sym_primitive_type] = ACTIONS(4748),
    [anon_sym_enum] = ACTIONS(4748),
    [anon_sym_class] = ACTIONS(4748),
    [anon_sym_struct] = ACTIONS(4748),
    [anon_sym_union] = ACTIONS(4748),
    [anon_sym_or] = ACTIONS(4748),
    [anon_sym_and] = ACTIONS(4748),
    [anon_sym_asm] = ACTIONS(4748),
    [anon_sym___asm__] = ACTIONS(4748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4748),
    [anon_sym_decltype] = ACTIONS(4748),
    [anon_sym_final] = ACTIONS(4748),
    [anon_sym_override] = ACTIONS(4748),
    [sym_virtual] = ACTIONS(4748),
    [anon_sym_explicit] = ACTIONS(4748),
    [anon_sym_typename] = ACTIONS(4748),
    [anon_sym_template] = ACTIONS(4748),
    [anon_sym_GT2] = ACTIONS(4750),
    [anon_sym_operator] = ACTIONS(4748),
    [anon_sym_try] = ACTIONS(4748),
    [anon_sym_friend] = ACTIONS(4748),
    [anon_sym_using] = ACTIONS(4748),
    [anon_sym_concept] = ACTIONS(4748),
    [anon_sym_requires] = ACTIONS(4748),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym__Alignas] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1573] = {
    [sym_identifier] = ACTIONS(4752),
    [anon_sym_COMMA] = ACTIONS(4754),
    [anon_sym_RPAREN] = ACTIONS(4754),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_TILDE] = ACTIONS(4754),
    [anon_sym_STAR] = ACTIONS(4754),
    [anon_sym_PIPE_PIPE] = ACTIONS(4754),
    [anon_sym_AMP_AMP] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(4752),
    [anon_sym_SEMI] = ACTIONS(4754),
    [anon_sym___extension__] = ACTIONS(4752),
    [anon_sym_extern] = ACTIONS(4752),
    [anon_sym___attribute__] = ACTIONS(4752),
    [anon_sym_COLON_COLON] = ACTIONS(4754),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4754),
    [anon_sym___declspec] = ACTIONS(4752),
    [anon_sym___based] = ACTIONS(4752),
    [anon_sym___cdecl] = ACTIONS(4752),
    [anon_sym___clrcall] = ACTIONS(4752),
    [anon_sym___stdcall] = ACTIONS(4752),
    [anon_sym___fastcall] = ACTIONS(4752),
    [anon_sym___thiscall] = ACTIONS(4752),
    [anon_sym___vectorcall] = ACTIONS(4752),
    [anon_sym_LBRACE] = ACTIONS(4754),
    [anon_sym_signed] = ACTIONS(4752),
    [anon_sym_unsigned] = ACTIONS(4752),
    [anon_sym_long] = ACTIONS(4752),
    [anon_sym_short] = ACTIONS(4752),
    [anon_sym_LBRACK] = ACTIONS(4752),
    [anon_sym_static] = ACTIONS(4752),
    [anon_sym_EQ] = ACTIONS(4754),
    [anon_sym_register] = ACTIONS(4752),
    [anon_sym_inline] = ACTIONS(4752),
    [anon_sym___inline] = ACTIONS(4752),
    [anon_sym___inline__] = ACTIONS(4752),
    [anon_sym___forceinline] = ACTIONS(4752),
    [anon_sym_thread_local] = ACTIONS(4752),
    [anon_sym___thread] = ACTIONS(4752),
    [anon_sym_const] = ACTIONS(4752),
    [anon_sym_constexpr] = ACTIONS(4752),
    [anon_sym_volatile] = ACTIONS(4752),
    [anon_sym_restrict] = ACTIONS(4752),
    [anon_sym___restrict__] = ACTIONS(4752),
    [anon_sym__Atomic] = ACTIONS(4752),
    [anon_sym__Noreturn] = ACTIONS(4752),
    [anon_sym_noreturn] = ACTIONS(4752),
    [anon_sym_mutable] = ACTIONS(4752),
    [anon_sym_constinit] = ACTIONS(4752),
    [anon_sym_consteval] = ACTIONS(4752),
    [anon_sym_alignas] = ACTIONS(4752),
    [anon_sym__Alignas] = ACTIONS(4752),
    [sym_primitive_type] = ACTIONS(4752),
    [anon_sym_enum] = ACTIONS(4752),
    [anon_sym_class] = ACTIONS(4752),
    [anon_sym_struct] = ACTIONS(4752),
    [anon_sym_union] = ACTIONS(4752),
    [anon_sym_or] = ACTIONS(4752),
    [anon_sym_and] = ACTIONS(4752),
    [anon_sym_asm] = ACTIONS(4752),
    [anon_sym___asm__] = ACTIONS(4752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4752),
    [anon_sym_decltype] = ACTIONS(4752),
    [anon_sym_final] = ACTIONS(4752),
    [anon_sym_override] = ACTIONS(4752),
    [sym_virtual] = ACTIONS(4752),
    [anon_sym_explicit] = ACTIONS(4752),
    [anon_sym_typename] = ACTIONS(4752),
    [anon_sym_template] = ACTIONS(4752),
    [anon_sym_GT2] = ACTIONS(4754),
    [anon_sym_operator] = ACTIONS(4752),
    [anon_sym_try] = ACTIONS(4752),
    [anon_sym_friend] = ACTIONS(4752),
    [anon_sym_using] = ACTIONS(4752),
    [anon_sym_concept] = ACTIONS(4752),
    [anon_sym_requires] = ACTIONS(4752),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym__Alignas] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1575] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3913),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6902),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_type_parameter_declaration] = STATE(6902),
    [sym_variadic_type_parameter_declaration] = STATE(6902),
    [sym_optional_type_parameter_declaration] = STATE(6902),
    [sym_template_template_parameter_declaration] = STATE(6902),
    [sym_optional_parameter_declaration] = STATE(6902),
    [sym_variadic_parameter_declaration] = STATE(6902),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(4756),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(4758),
    [anon_sym_template] = ACTIONS(4760),
    [anon_sym_GT2] = ACTIONS(4762),
  },
  [1576] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3913),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6721),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_type_parameter_declaration] = STATE(6721),
    [sym_variadic_type_parameter_declaration] = STATE(6721),
    [sym_optional_type_parameter_declaration] = STATE(6721),
    [sym_template_template_parameter_declaration] = STATE(6721),
    [sym_optional_parameter_declaration] = STATE(6721),
    [sym_variadic_parameter_declaration] = STATE(6721),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(4756),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(4758),
    [anon_sym_template] = ACTIONS(4760),
    [anon_sym_GT2] = ACTIONS(4764),
  },
  [1577] = {
    [sym_string_literal] = STATE(1577),
    [sym_raw_string_literal] = STATE(1577),
    [aux_sym_concatenated_string_repeat1] = STATE(1577),
    [sym_identifier] = ACTIONS(4766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4769),
    [anon_sym_COMMA] = ACTIONS(4769),
    [anon_sym_RPAREN] = ACTIONS(4769),
    [aux_sym_preproc_if_token2] = ACTIONS(4769),
    [aux_sym_preproc_else_token1] = ACTIONS(4769),
    [aux_sym_preproc_elif_token1] = ACTIONS(4771),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4769),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4769),
    [anon_sym_LPAREN2] = ACTIONS(4769),
    [anon_sym_DASH] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4771),
    [anon_sym_STAR] = ACTIONS(4771),
    [anon_sym_SLASH] = ACTIONS(4771),
    [anon_sym_PERCENT] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE] = ACTIONS(4769),
    [anon_sym_AMP_AMP] = ACTIONS(4769),
    [anon_sym_PIPE] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4771),
    [anon_sym_AMP] = ACTIONS(4771),
    [anon_sym_EQ_EQ] = ACTIONS(4769),
    [anon_sym_BANG_EQ] = ACTIONS(4769),
    [anon_sym_GT] = ACTIONS(4771),
    [anon_sym_GT_EQ] = ACTIONS(4769),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4771),
    [anon_sym_LT_LT] = ACTIONS(4771),
    [anon_sym_GT_GT] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4769),
    [anon_sym_RBRACE] = ACTIONS(4769),
    [anon_sym_LBRACK] = ACTIONS(4769),
    [anon_sym_RBRACK] = ACTIONS(4769),
    [anon_sym_EQ] = ACTIONS(4771),
    [anon_sym_COLON] = ACTIONS(4769),
    [anon_sym_QMARK] = ACTIONS(4769),
    [anon_sym_STAR_EQ] = ACTIONS(4769),
    [anon_sym_SLASH_EQ] = ACTIONS(4769),
    [anon_sym_PERCENT_EQ] = ACTIONS(4769),
    [anon_sym_PLUS_EQ] = ACTIONS(4769),
    [anon_sym_DASH_EQ] = ACTIONS(4769),
    [anon_sym_LT_LT_EQ] = ACTIONS(4769),
    [anon_sym_GT_GT_EQ] = ACTIONS(4769),
    [anon_sym_AMP_EQ] = ACTIONS(4769),
    [anon_sym_CARET_EQ] = ACTIONS(4769),
    [anon_sym_PIPE_EQ] = ACTIONS(4769),
    [anon_sym_and_eq] = ACTIONS(4771),
    [anon_sym_or_eq] = ACTIONS(4771),
    [anon_sym_xor_eq] = ACTIONS(4771),
    [anon_sym_LT_EQ_GT] = ACTIONS(4769),
    [anon_sym_or] = ACTIONS(4771),
    [anon_sym_and] = ACTIONS(4771),
    [anon_sym_bitor] = ACTIONS(4771),
    [anon_sym_xor] = ACTIONS(4771),
    [anon_sym_bitand] = ACTIONS(4771),
    [anon_sym_not_eq] = ACTIONS(4771),
    [anon_sym_DASH_DASH] = ACTIONS(4769),
    [anon_sym_PLUS_PLUS] = ACTIONS(4769),
    [anon_sym_DOT] = ACTIONS(4771),
    [anon_sym_DOT_STAR] = ACTIONS(4769),
    [anon_sym_DASH_GT] = ACTIONS(4769),
    [anon_sym_L_DQUOTE] = ACTIONS(4773),
    [anon_sym_u_DQUOTE] = ACTIONS(4773),
    [anon_sym_U_DQUOTE] = ACTIONS(4773),
    [anon_sym_u8_DQUOTE] = ACTIONS(4773),
    [anon_sym_DQUOTE] = ACTIONS(4773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4776),
    [anon_sym_LR_DQUOTE] = ACTIONS(4776),
    [anon_sym_uR_DQUOTE] = ACTIONS(4776),
    [anon_sym_UR_DQUOTE] = ACTIONS(4776),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4776),
    [sym_literal_suffix] = ACTIONS(4771),
  },
  [1578] = {
    [sym_string_literal] = STATE(1577),
    [sym_raw_string_literal] = STATE(1577),
    [aux_sym_concatenated_string_repeat1] = STATE(1577),
    [sym_identifier] = ACTIONS(4779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4781),
    [anon_sym_COMMA] = ACTIONS(4781),
    [anon_sym_RPAREN] = ACTIONS(4781),
    [aux_sym_preproc_if_token2] = ACTIONS(4781),
    [aux_sym_preproc_else_token1] = ACTIONS(4781),
    [aux_sym_preproc_elif_token1] = ACTIONS(4783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(4781),
    [anon_sym_DASH] = ACTIONS(4783),
    [anon_sym_PLUS] = ACTIONS(4783),
    [anon_sym_STAR] = ACTIONS(4783),
    [anon_sym_SLASH] = ACTIONS(4783),
    [anon_sym_PERCENT] = ACTIONS(4783),
    [anon_sym_PIPE_PIPE] = ACTIONS(4781),
    [anon_sym_AMP_AMP] = ACTIONS(4781),
    [anon_sym_PIPE] = ACTIONS(4783),
    [anon_sym_CARET] = ACTIONS(4783),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_EQ_EQ] = ACTIONS(4781),
    [anon_sym_BANG_EQ] = ACTIONS(4781),
    [anon_sym_GT] = ACTIONS(4783),
    [anon_sym_GT_EQ] = ACTIONS(4781),
    [anon_sym_LT_EQ] = ACTIONS(4783),
    [anon_sym_LT] = ACTIONS(4783),
    [anon_sym_LT_LT] = ACTIONS(4783),
    [anon_sym_GT_GT] = ACTIONS(4783),
    [anon_sym_SEMI] = ACTIONS(4781),
    [anon_sym_RBRACE] = ACTIONS(4781),
    [anon_sym_LBRACK] = ACTIONS(4781),
    [anon_sym_RBRACK] = ACTIONS(4781),
    [anon_sym_EQ] = ACTIONS(4783),
    [anon_sym_COLON] = ACTIONS(4781),
    [anon_sym_QMARK] = ACTIONS(4781),
    [anon_sym_STAR_EQ] = ACTIONS(4781),
    [anon_sym_SLASH_EQ] = ACTIONS(4781),
    [anon_sym_PERCENT_EQ] = ACTIONS(4781),
    [anon_sym_PLUS_EQ] = ACTIONS(4781),
    [anon_sym_DASH_EQ] = ACTIONS(4781),
    [anon_sym_LT_LT_EQ] = ACTIONS(4781),
    [anon_sym_GT_GT_EQ] = ACTIONS(4781),
    [anon_sym_AMP_EQ] = ACTIONS(4781),
    [anon_sym_CARET_EQ] = ACTIONS(4781),
    [anon_sym_PIPE_EQ] = ACTIONS(4781),
    [anon_sym_and_eq] = ACTIONS(4783),
    [anon_sym_or_eq] = ACTIONS(4783),
    [anon_sym_xor_eq] = ACTIONS(4783),
    [anon_sym_LT_EQ_GT] = ACTIONS(4781),
    [anon_sym_or] = ACTIONS(4783),
    [anon_sym_and] = ACTIONS(4783),
    [anon_sym_bitor] = ACTIONS(4783),
    [anon_sym_xor] = ACTIONS(4783),
    [anon_sym_bitand] = ACTIONS(4783),
    [anon_sym_not_eq] = ACTIONS(4783),
    [anon_sym_DASH_DASH] = ACTIONS(4781),
    [anon_sym_PLUS_PLUS] = ACTIONS(4781),
    [anon_sym_DOT] = ACTIONS(4783),
    [anon_sym_DOT_STAR] = ACTIONS(4781),
    [anon_sym_DASH_GT] = ACTIONS(4781),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4783),
  },
  [1579] = {
    [sym_string_literal] = STATE(1578),
    [sym_raw_string_literal] = STATE(1578),
    [aux_sym_concatenated_string_repeat1] = STATE(1578),
    [sym_identifier] = ACTIONS(4785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4787),
    [anon_sym_COMMA] = ACTIONS(4787),
    [anon_sym_RPAREN] = ACTIONS(4787),
    [aux_sym_preproc_if_token2] = ACTIONS(4787),
    [aux_sym_preproc_else_token1] = ACTIONS(4787),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4787),
    [anon_sym_LPAREN2] = ACTIONS(4787),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4789),
    [anon_sym_SLASH] = ACTIONS(4789),
    [anon_sym_PERCENT] = ACTIONS(4789),
    [anon_sym_PIPE_PIPE] = ACTIONS(4787),
    [anon_sym_AMP_AMP] = ACTIONS(4787),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_CARET] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(4789),
    [anon_sym_EQ_EQ] = ACTIONS(4787),
    [anon_sym_BANG_EQ] = ACTIONS(4787),
    [anon_sym_GT] = ACTIONS(4789),
    [anon_sym_GT_EQ] = ACTIONS(4787),
    [anon_sym_LT_EQ] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4789),
    [anon_sym_LT_LT] = ACTIONS(4789),
    [anon_sym_GT_GT] = ACTIONS(4789),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym_RBRACE] = ACTIONS(4787),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [anon_sym_RBRACK] = ACTIONS(4787),
    [anon_sym_EQ] = ACTIONS(4789),
    [anon_sym_COLON] = ACTIONS(4787),
    [anon_sym_QMARK] = ACTIONS(4787),
    [anon_sym_STAR_EQ] = ACTIONS(4787),
    [anon_sym_SLASH_EQ] = ACTIONS(4787),
    [anon_sym_PERCENT_EQ] = ACTIONS(4787),
    [anon_sym_PLUS_EQ] = ACTIONS(4787),
    [anon_sym_DASH_EQ] = ACTIONS(4787),
    [anon_sym_LT_LT_EQ] = ACTIONS(4787),
    [anon_sym_GT_GT_EQ] = ACTIONS(4787),
    [anon_sym_AMP_EQ] = ACTIONS(4787),
    [anon_sym_CARET_EQ] = ACTIONS(4787),
    [anon_sym_PIPE_EQ] = ACTIONS(4787),
    [anon_sym_and_eq] = ACTIONS(4789),
    [anon_sym_or_eq] = ACTIONS(4789),
    [anon_sym_xor_eq] = ACTIONS(4789),
    [anon_sym_LT_EQ_GT] = ACTIONS(4787),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_bitor] = ACTIONS(4789),
    [anon_sym_xor] = ACTIONS(4789),
    [anon_sym_bitand] = ACTIONS(4789),
    [anon_sym_not_eq] = ACTIONS(4789),
    [anon_sym_DASH_DASH] = ACTIONS(4787),
    [anon_sym_PLUS_PLUS] = ACTIONS(4787),
    [anon_sym_DOT] = ACTIONS(4789),
    [anon_sym_DOT_STAR] = ACTIONS(4787),
    [anon_sym_DASH_GT] = ACTIONS(4787),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4789),
  },
  [1580] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4479),
    [anon_sym___attribute__] = ACTIONS(4479),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4479),
    [anon_sym_volatile] = ACTIONS(4479),
    [anon_sym_restrict] = ACTIONS(4479),
    [anon_sym___restrict__] = ACTIONS(4479),
    [anon_sym__Atomic] = ACTIONS(4479),
    [anon_sym__Noreturn] = ACTIONS(4479),
    [anon_sym_noreturn] = ACTIONS(4479),
    [anon_sym_mutable] = ACTIONS(4479),
    [anon_sym_constinit] = ACTIONS(4479),
    [anon_sym_consteval] = ACTIONS(4479),
    [anon_sym_alignas] = ACTIONS(4479),
    [anon_sym__Alignas] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4479),
    [anon_sym_or_eq] = ACTIONS(4479),
    [anon_sym_xor_eq] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4479),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4479),
    [anon_sym_not_eq] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4479),
    [anon_sym_decltype] = ACTIONS(4479),
    [anon_sym_final] = ACTIONS(4479),
    [anon_sym_override] = ACTIONS(4479),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4479),
  },
  [1581] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4532),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym__Alignas] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_STAR_EQ] = ACTIONS(4532),
    [anon_sym_SLASH_EQ] = ACTIONS(4532),
    [anon_sym_PERCENT_EQ] = ACTIONS(4532),
    [anon_sym_PLUS_EQ] = ACTIONS(4532),
    [anon_sym_DASH_EQ] = ACTIONS(4532),
    [anon_sym_LT_LT_EQ] = ACTIONS(4532),
    [anon_sym_GT_GT_EQ] = ACTIONS(4532),
    [anon_sym_AMP_EQ] = ACTIONS(4532),
    [anon_sym_CARET_EQ] = ACTIONS(4532),
    [anon_sym_PIPE_EQ] = ACTIONS(4532),
    [anon_sym_and_eq] = ACTIONS(4532),
    [anon_sym_or_eq] = ACTIONS(4532),
    [anon_sym_xor_eq] = ACTIONS(4532),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4532),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4532),
    [anon_sym_not_eq] = ACTIONS(4532),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [anon_sym_final] = ACTIONS(4532),
    [anon_sym_override] = ACTIONS(4532),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4532),
  },
  [1582] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4536),
    [anon_sym___attribute__] = ACTIONS(4536),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4536),
    [anon_sym_volatile] = ACTIONS(4536),
    [anon_sym_restrict] = ACTIONS(4536),
    [anon_sym___restrict__] = ACTIONS(4536),
    [anon_sym__Atomic] = ACTIONS(4536),
    [anon_sym__Noreturn] = ACTIONS(4536),
    [anon_sym_noreturn] = ACTIONS(4536),
    [anon_sym_mutable] = ACTIONS(4536),
    [anon_sym_constinit] = ACTIONS(4536),
    [anon_sym_consteval] = ACTIONS(4536),
    [anon_sym_alignas] = ACTIONS(4536),
    [anon_sym__Alignas] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4536),
    [anon_sym_or_eq] = ACTIONS(4536),
    [anon_sym_xor_eq] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4536),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4536),
    [anon_sym_not_eq] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4536),
    [anon_sym_decltype] = ACTIONS(4536),
    [anon_sym_final] = ACTIONS(4536),
    [anon_sym_override] = ACTIONS(4536),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4536),
  },
  [1583] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym___extension__] = ACTIONS(4505),
    [anon_sym___attribute__] = ACTIONS(4505),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4505),
    [anon_sym_volatile] = ACTIONS(4505),
    [anon_sym_restrict] = ACTIONS(4505),
    [anon_sym___restrict__] = ACTIONS(4505),
    [anon_sym__Atomic] = ACTIONS(4505),
    [anon_sym__Noreturn] = ACTIONS(4505),
    [anon_sym_noreturn] = ACTIONS(4505),
    [anon_sym_mutable] = ACTIONS(4505),
    [anon_sym_constinit] = ACTIONS(4505),
    [anon_sym_consteval] = ACTIONS(4505),
    [anon_sym_alignas] = ACTIONS(4505),
    [anon_sym__Alignas] = ACTIONS(4505),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4505),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4505),
    [anon_sym_or_eq] = ACTIONS(4505),
    [anon_sym_xor_eq] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4505),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4505),
    [anon_sym_not_eq] = ACTIONS(4505),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4503),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4505),
    [anon_sym_decltype] = ACTIONS(4505),
    [anon_sym_final] = ACTIONS(4505),
    [anon_sym_override] = ACTIONS(4505),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4505),
  },
  [1584] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4582),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4580),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4580),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4580),
    [anon_sym_GT_GT] = ACTIONS(4580),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1585] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4540),
    [anon_sym___attribute__] = ACTIONS(4540),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4540),
    [anon_sym_volatile] = ACTIONS(4540),
    [anon_sym_restrict] = ACTIONS(4540),
    [anon_sym___restrict__] = ACTIONS(4540),
    [anon_sym__Atomic] = ACTIONS(4540),
    [anon_sym__Noreturn] = ACTIONS(4540),
    [anon_sym_noreturn] = ACTIONS(4540),
    [anon_sym_mutable] = ACTIONS(4540),
    [anon_sym_constinit] = ACTIONS(4540),
    [anon_sym_consteval] = ACTIONS(4540),
    [anon_sym_alignas] = ACTIONS(4540),
    [anon_sym__Alignas] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4540),
    [anon_sym_or_eq] = ACTIONS(4540),
    [anon_sym_xor_eq] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4540),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4540),
    [anon_sym_not_eq] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4540),
    [anon_sym_decltype] = ACTIONS(4540),
    [anon_sym_final] = ACTIONS(4540),
    [anon_sym_override] = ACTIONS(4540),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4540),
  },
  [1586] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3913),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(7093),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_type_parameter_declaration] = STATE(7093),
    [sym_variadic_type_parameter_declaration] = STATE(7093),
    [sym_optional_type_parameter_declaration] = STATE(7093),
    [sym_template_template_parameter_declaration] = STATE(7093),
    [sym_optional_parameter_declaration] = STATE(7093),
    [sym_variadic_parameter_declaration] = STATE(7093),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(4756),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(4758),
    [anon_sym_template] = ACTIONS(4760),
  },
  [1587] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4582),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4580),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4580),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4580),
    [anon_sym_GT_GT] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1588] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1588),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4793),
    [aux_sym_preproc_if_token2] = ACTIONS(4793),
    [aux_sym_preproc_else_token1] = ACTIONS(4793),
    [aux_sym_preproc_elif_token1] = ACTIONS(4791),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4793),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4793),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4793),
    [anon_sym_GT_GT] = ACTIONS(4793),
    [anon_sym_SEMI] = ACTIONS(4793),
    [anon_sym___extension__] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_RBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(4795),
    [anon_sym_unsigned] = ACTIONS(4795),
    [anon_sym_long] = ACTIONS(4795),
    [anon_sym_short] = ACTIONS(4795),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_RBRACK] = ACTIONS(4793),
    [anon_sym_const] = ACTIONS(4791),
    [anon_sym_constexpr] = ACTIONS(4791),
    [anon_sym_volatile] = ACTIONS(4791),
    [anon_sym_restrict] = ACTIONS(4791),
    [anon_sym___restrict__] = ACTIONS(4791),
    [anon_sym__Atomic] = ACTIONS(4791),
    [anon_sym__Noreturn] = ACTIONS(4791),
    [anon_sym_noreturn] = ACTIONS(4791),
    [anon_sym_mutable] = ACTIONS(4791),
    [anon_sym_constinit] = ACTIONS(4791),
    [anon_sym_consteval] = ACTIONS(4791),
    [anon_sym_alignas] = ACTIONS(4791),
    [anon_sym__Alignas] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4793),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
    [anon_sym_final] = ACTIONS(4791),
    [anon_sym_override] = ACTIONS(4791),
    [anon_sym_requires] = ACTIONS(4791),
  },
  [1589] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [anon_sym_alignas] = ACTIONS(4495),
    [anon_sym__Alignas] = ACTIONS(4495),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_STAR_EQ] = ACTIONS(4495),
    [anon_sym_SLASH_EQ] = ACTIONS(4495),
    [anon_sym_PERCENT_EQ] = ACTIONS(4495),
    [anon_sym_PLUS_EQ] = ACTIONS(4495),
    [anon_sym_DASH_EQ] = ACTIONS(4495),
    [anon_sym_LT_LT_EQ] = ACTIONS(4495),
    [anon_sym_GT_GT_EQ] = ACTIONS(4495),
    [anon_sym_AMP_EQ] = ACTIONS(4495),
    [anon_sym_CARET_EQ] = ACTIONS(4495),
    [anon_sym_PIPE_EQ] = ACTIONS(4495),
    [anon_sym_and_eq] = ACTIONS(4495),
    [anon_sym_or_eq] = ACTIONS(4495),
    [anon_sym_xor_eq] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [anon_sym_final] = ACTIONS(4495),
    [anon_sym_override] = ACTIONS(4495),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4495),
  },
  [1590] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4501),
    [anon_sym___attribute__] = ACTIONS(4501),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4501),
    [anon_sym_volatile] = ACTIONS(4501),
    [anon_sym_restrict] = ACTIONS(4501),
    [anon_sym___restrict__] = ACTIONS(4501),
    [anon_sym__Atomic] = ACTIONS(4501),
    [anon_sym__Noreturn] = ACTIONS(4501),
    [anon_sym_noreturn] = ACTIONS(4501),
    [anon_sym_mutable] = ACTIONS(4501),
    [anon_sym_constinit] = ACTIONS(4501),
    [anon_sym_consteval] = ACTIONS(4501),
    [anon_sym_alignas] = ACTIONS(4501),
    [anon_sym__Alignas] = ACTIONS(4501),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4501),
    [anon_sym_decltype] = ACTIONS(4501),
    [anon_sym_final] = ACTIONS(4501),
    [anon_sym_override] = ACTIONS(4501),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1591] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4503),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4503),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4503),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4503),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4503),
    [anon_sym_GT_GT] = ACTIONS(4503),
    [anon_sym___extension__] = ACTIONS(4505),
    [anon_sym___attribute__] = ACTIONS(4505),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [anon_sym_EQ] = ACTIONS(4503),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4505),
    [anon_sym_volatile] = ACTIONS(4505),
    [anon_sym_restrict] = ACTIONS(4505),
    [anon_sym___restrict__] = ACTIONS(4505),
    [anon_sym__Atomic] = ACTIONS(4505),
    [anon_sym__Noreturn] = ACTIONS(4505),
    [anon_sym_noreturn] = ACTIONS(4505),
    [anon_sym_mutable] = ACTIONS(4505),
    [anon_sym_constinit] = ACTIONS(4505),
    [anon_sym_consteval] = ACTIONS(4505),
    [anon_sym_alignas] = ACTIONS(4505),
    [anon_sym__Alignas] = ACTIONS(4505),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_STAR_EQ] = ACTIONS(4505),
    [anon_sym_SLASH_EQ] = ACTIONS(4505),
    [anon_sym_PERCENT_EQ] = ACTIONS(4505),
    [anon_sym_PLUS_EQ] = ACTIONS(4505),
    [anon_sym_DASH_EQ] = ACTIONS(4505),
    [anon_sym_LT_LT_EQ] = ACTIONS(4505),
    [anon_sym_GT_GT_EQ] = ACTIONS(4503),
    [anon_sym_AMP_EQ] = ACTIONS(4505),
    [anon_sym_CARET_EQ] = ACTIONS(4505),
    [anon_sym_PIPE_EQ] = ACTIONS(4505),
    [anon_sym_and_eq] = ACTIONS(4505),
    [anon_sym_or_eq] = ACTIONS(4505),
    [anon_sym_xor_eq] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4505),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4505),
    [anon_sym_not_eq] = ACTIONS(4505),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4505),
    [anon_sym_decltype] = ACTIONS(4505),
    [anon_sym_final] = ACTIONS(4505),
    [anon_sym_override] = ACTIONS(4505),
    [anon_sym_GT2] = ACTIONS(4505),
  },
  [1592] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4477),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4479),
    [anon_sym___attribute__] = ACTIONS(4479),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4479),
    [anon_sym_volatile] = ACTIONS(4479),
    [anon_sym_restrict] = ACTIONS(4479),
    [anon_sym___restrict__] = ACTIONS(4479),
    [anon_sym__Atomic] = ACTIONS(4479),
    [anon_sym__Noreturn] = ACTIONS(4479),
    [anon_sym_noreturn] = ACTIONS(4479),
    [anon_sym_mutable] = ACTIONS(4479),
    [anon_sym_constinit] = ACTIONS(4479),
    [anon_sym_consteval] = ACTIONS(4479),
    [anon_sym_alignas] = ACTIONS(4479),
    [anon_sym__Alignas] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4477),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4479),
    [anon_sym_or_eq] = ACTIONS(4479),
    [anon_sym_xor_eq] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4479),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4479),
    [anon_sym_not_eq] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4479),
    [anon_sym_decltype] = ACTIONS(4479),
    [anon_sym_final] = ACTIONS(4479),
    [anon_sym_override] = ACTIONS(4479),
    [anon_sym_GT2] = ACTIONS(4479),
  },
  [1593] = {
    [sym_identifier] = ACTIONS(4798),
    [anon_sym_LPAREN2] = ACTIONS(4800),
    [anon_sym_BANG] = ACTIONS(4800),
    [anon_sym_TILDE] = ACTIONS(4800),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_STAR] = ACTIONS(4800),
    [anon_sym_AMP] = ACTIONS(4800),
    [anon_sym_SEMI] = ACTIONS(4800),
    [anon_sym_COLON_COLON] = ACTIONS(4800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4800),
    [anon_sym_LBRACE] = ACTIONS(4800),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [sym_primitive_type] = ACTIONS(4798),
    [anon_sym_if] = ACTIONS(4798),
    [anon_sym_switch] = ACTIONS(4798),
    [anon_sym_case] = ACTIONS(4798),
    [anon_sym_default] = ACTIONS(4798),
    [anon_sym_while] = ACTIONS(4798),
    [anon_sym_do] = ACTIONS(4798),
    [anon_sym_for] = ACTIONS(4798),
    [anon_sym_return] = ACTIONS(4798),
    [anon_sym_break] = ACTIONS(4798),
    [anon_sym_continue] = ACTIONS(4798),
    [anon_sym_goto] = ACTIONS(4798),
    [anon_sym___try] = ACTIONS(4798),
    [anon_sym___leave] = ACTIONS(4798),
    [anon_sym_not] = ACTIONS(4798),
    [anon_sym_compl] = ACTIONS(4798),
    [anon_sym_DASH_DASH] = ACTIONS(4800),
    [anon_sym_PLUS_PLUS] = ACTIONS(4800),
    [anon_sym_sizeof] = ACTIONS(4798),
    [anon_sym___alignof__] = ACTIONS(4798),
    [anon_sym___alignof] = ACTIONS(4798),
    [anon_sym__alignof] = ACTIONS(4798),
    [anon_sym_alignof] = ACTIONS(4798),
    [anon_sym__Alignof] = ACTIONS(4798),
    [anon_sym_offsetof] = ACTIONS(4798),
    [anon_sym__Generic] = ACTIONS(4798),
    [anon_sym_asm] = ACTIONS(4798),
    [anon_sym___asm__] = ACTIONS(4798),
    [sym_number_literal] = ACTIONS(4800),
    [anon_sym_L_SQUOTE] = ACTIONS(4800),
    [anon_sym_u_SQUOTE] = ACTIONS(4800),
    [anon_sym_U_SQUOTE] = ACTIONS(4800),
    [anon_sym_u8_SQUOTE] = ACTIONS(4800),
    [anon_sym_SQUOTE] = ACTIONS(4800),
    [anon_sym_L_DQUOTE] = ACTIONS(4800),
    [anon_sym_u_DQUOTE] = ACTIONS(4800),
    [anon_sym_U_DQUOTE] = ACTIONS(4800),
    [anon_sym_u8_DQUOTE] = ACTIONS(4800),
    [anon_sym_DQUOTE] = ACTIONS(4800),
    [sym_true] = ACTIONS(4798),
    [sym_false] = ACTIONS(4798),
    [anon_sym_NULL] = ACTIONS(4798),
    [anon_sym_nullptr] = ACTIONS(4798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4798),
    [anon_sym_template] = ACTIONS(4798),
    [anon_sym_try] = ACTIONS(4798),
    [anon_sym_delete] = ACTIONS(4798),
    [anon_sym_throw] = ACTIONS(4798),
    [anon_sym_co_return] = ACTIONS(4798),
    [anon_sym_co_yield] = ACTIONS(4798),
    [anon_sym_R_DQUOTE] = ACTIONS(4800),
    [anon_sym_LR_DQUOTE] = ACTIONS(4800),
    [anon_sym_uR_DQUOTE] = ACTIONS(4800),
    [anon_sym_UR_DQUOTE] = ACTIONS(4800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4800),
    [anon_sym_co_await] = ACTIONS(4798),
    [anon_sym_new] = ACTIONS(4798),
    [anon_sym_requires] = ACTIONS(4798),
    [sym_this] = ACTIONS(4798),
  },
  [1594] = {
    [sym_identifier] = ACTIONS(4802),
    [anon_sym_LPAREN2] = ACTIONS(4804),
    [anon_sym_BANG] = ACTIONS(4804),
    [anon_sym_TILDE] = ACTIONS(4804),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_STAR] = ACTIONS(4804),
    [anon_sym_AMP] = ACTIONS(4804),
    [anon_sym_SEMI] = ACTIONS(4804),
    [anon_sym_COLON_COLON] = ACTIONS(4804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4804),
    [anon_sym_LBRACE] = ACTIONS(4804),
    [anon_sym_LBRACK] = ACTIONS(4802),
    [sym_primitive_type] = ACTIONS(4802),
    [anon_sym_if] = ACTIONS(4802),
    [anon_sym_switch] = ACTIONS(4802),
    [anon_sym_case] = ACTIONS(4802),
    [anon_sym_default] = ACTIONS(4802),
    [anon_sym_while] = ACTIONS(4802),
    [anon_sym_do] = ACTIONS(4802),
    [anon_sym_for] = ACTIONS(4802),
    [anon_sym_return] = ACTIONS(4802),
    [anon_sym_break] = ACTIONS(4802),
    [anon_sym_continue] = ACTIONS(4802),
    [anon_sym_goto] = ACTIONS(4802),
    [anon_sym___try] = ACTIONS(4802),
    [anon_sym___leave] = ACTIONS(4802),
    [anon_sym_not] = ACTIONS(4802),
    [anon_sym_compl] = ACTIONS(4802),
    [anon_sym_DASH_DASH] = ACTIONS(4804),
    [anon_sym_PLUS_PLUS] = ACTIONS(4804),
    [anon_sym_sizeof] = ACTIONS(4802),
    [anon_sym___alignof__] = ACTIONS(4802),
    [anon_sym___alignof] = ACTIONS(4802),
    [anon_sym__alignof] = ACTIONS(4802),
    [anon_sym_alignof] = ACTIONS(4802),
    [anon_sym__Alignof] = ACTIONS(4802),
    [anon_sym_offsetof] = ACTIONS(4802),
    [anon_sym__Generic] = ACTIONS(4802),
    [anon_sym_asm] = ACTIONS(4802),
    [anon_sym___asm__] = ACTIONS(4802),
    [sym_number_literal] = ACTIONS(4804),
    [anon_sym_L_SQUOTE] = ACTIONS(4804),
    [anon_sym_u_SQUOTE] = ACTIONS(4804),
    [anon_sym_U_SQUOTE] = ACTIONS(4804),
    [anon_sym_u8_SQUOTE] = ACTIONS(4804),
    [anon_sym_SQUOTE] = ACTIONS(4804),
    [anon_sym_L_DQUOTE] = ACTIONS(4804),
    [anon_sym_u_DQUOTE] = ACTIONS(4804),
    [anon_sym_U_DQUOTE] = ACTIONS(4804),
    [anon_sym_u8_DQUOTE] = ACTIONS(4804),
    [anon_sym_DQUOTE] = ACTIONS(4804),
    [sym_true] = ACTIONS(4802),
    [sym_false] = ACTIONS(4802),
    [anon_sym_NULL] = ACTIONS(4802),
    [anon_sym_nullptr] = ACTIONS(4802),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4802),
    [anon_sym_template] = ACTIONS(4802),
    [anon_sym_try] = ACTIONS(4802),
    [anon_sym_delete] = ACTIONS(4802),
    [anon_sym_throw] = ACTIONS(4802),
    [anon_sym_co_return] = ACTIONS(4802),
    [anon_sym_co_yield] = ACTIONS(4802),
    [anon_sym_R_DQUOTE] = ACTIONS(4804),
    [anon_sym_LR_DQUOTE] = ACTIONS(4804),
    [anon_sym_uR_DQUOTE] = ACTIONS(4804),
    [anon_sym_UR_DQUOTE] = ACTIONS(4804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4804),
    [anon_sym_co_await] = ACTIONS(4802),
    [anon_sym_new] = ACTIONS(4802),
    [anon_sym_requires] = ACTIONS(4802),
    [sym_this] = ACTIONS(4802),
  },
  [1595] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4499),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym___extension__] = ACTIONS(4501),
    [anon_sym___attribute__] = ACTIONS(4501),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4501),
    [anon_sym_volatile] = ACTIONS(4501),
    [anon_sym_restrict] = ACTIONS(4501),
    [anon_sym___restrict__] = ACTIONS(4501),
    [anon_sym__Atomic] = ACTIONS(4501),
    [anon_sym__Noreturn] = ACTIONS(4501),
    [anon_sym_noreturn] = ACTIONS(4501),
    [anon_sym_mutable] = ACTIONS(4501),
    [anon_sym_constinit] = ACTIONS(4501),
    [anon_sym_consteval] = ACTIONS(4501),
    [anon_sym_alignas] = ACTIONS(4501),
    [anon_sym__Alignas] = ACTIONS(4501),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4499),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4501),
    [anon_sym_decltype] = ACTIONS(4501),
    [anon_sym_final] = ACTIONS(4501),
    [anon_sym_override] = ACTIONS(4501),
    [anon_sym_GT2] = ACTIONS(4501),
  },
  [1596] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4530),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4530),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4530),
    [anon_sym_GT_GT] = ACTIONS(4530),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym___attribute__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_LBRACK] = ACTIONS(4532),
    [anon_sym_EQ] = ACTIONS(4530),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4532),
    [anon_sym_volatile] = ACTIONS(4532),
    [anon_sym_restrict] = ACTIONS(4532),
    [anon_sym___restrict__] = ACTIONS(4532),
    [anon_sym__Atomic] = ACTIONS(4532),
    [anon_sym__Noreturn] = ACTIONS(4532),
    [anon_sym_noreturn] = ACTIONS(4532),
    [anon_sym_mutable] = ACTIONS(4532),
    [anon_sym_constinit] = ACTIONS(4532),
    [anon_sym_consteval] = ACTIONS(4532),
    [anon_sym_alignas] = ACTIONS(4532),
    [anon_sym__Alignas] = ACTIONS(4532),
    [anon_sym_COLON] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_STAR_EQ] = ACTIONS(4532),
    [anon_sym_SLASH_EQ] = ACTIONS(4532),
    [anon_sym_PERCENT_EQ] = ACTIONS(4532),
    [anon_sym_PLUS_EQ] = ACTIONS(4532),
    [anon_sym_DASH_EQ] = ACTIONS(4532),
    [anon_sym_LT_LT_EQ] = ACTIONS(4532),
    [anon_sym_GT_GT_EQ] = ACTIONS(4530),
    [anon_sym_AMP_EQ] = ACTIONS(4532),
    [anon_sym_CARET_EQ] = ACTIONS(4532),
    [anon_sym_PIPE_EQ] = ACTIONS(4532),
    [anon_sym_and_eq] = ACTIONS(4532),
    [anon_sym_or_eq] = ACTIONS(4532),
    [anon_sym_xor_eq] = ACTIONS(4532),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4532),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4532),
    [anon_sym_not_eq] = ACTIONS(4532),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4532),
    [anon_sym_decltype] = ACTIONS(4532),
    [anon_sym_final] = ACTIONS(4532),
    [anon_sym_override] = ACTIONS(4532),
    [anon_sym_GT2] = ACTIONS(4532),
  },
  [1597] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4536),
    [anon_sym___attribute__] = ACTIONS(4536),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4536),
    [anon_sym_volatile] = ACTIONS(4536),
    [anon_sym_restrict] = ACTIONS(4536),
    [anon_sym___restrict__] = ACTIONS(4536),
    [anon_sym__Atomic] = ACTIONS(4536),
    [anon_sym__Noreturn] = ACTIONS(4536),
    [anon_sym_noreturn] = ACTIONS(4536),
    [anon_sym_mutable] = ACTIONS(4536),
    [anon_sym_constinit] = ACTIONS(4536),
    [anon_sym_consteval] = ACTIONS(4536),
    [anon_sym_alignas] = ACTIONS(4536),
    [anon_sym__Alignas] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4536),
    [anon_sym_or_eq] = ACTIONS(4536),
    [anon_sym_xor_eq] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4536),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4536),
    [anon_sym_not_eq] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4536),
    [anon_sym_decltype] = ACTIONS(4536),
    [anon_sym_final] = ACTIONS(4536),
    [anon_sym_override] = ACTIONS(4536),
    [anon_sym_GT2] = ACTIONS(4536),
  },
  [1598] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4493),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4493),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4493),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4493),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4493),
    [anon_sym_GT_GT] = ACTIONS(4493),
    [anon_sym___extension__] = ACTIONS(4495),
    [anon_sym___attribute__] = ACTIONS(4495),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_EQ] = ACTIONS(4493),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4495),
    [anon_sym_volatile] = ACTIONS(4495),
    [anon_sym_restrict] = ACTIONS(4495),
    [anon_sym___restrict__] = ACTIONS(4495),
    [anon_sym__Atomic] = ACTIONS(4495),
    [anon_sym__Noreturn] = ACTIONS(4495),
    [anon_sym_noreturn] = ACTIONS(4495),
    [anon_sym_mutable] = ACTIONS(4495),
    [anon_sym_constinit] = ACTIONS(4495),
    [anon_sym_consteval] = ACTIONS(4495),
    [anon_sym_alignas] = ACTIONS(4495),
    [anon_sym__Alignas] = ACTIONS(4495),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_STAR_EQ] = ACTIONS(4495),
    [anon_sym_SLASH_EQ] = ACTIONS(4495),
    [anon_sym_PERCENT_EQ] = ACTIONS(4495),
    [anon_sym_PLUS_EQ] = ACTIONS(4495),
    [anon_sym_DASH_EQ] = ACTIONS(4495),
    [anon_sym_LT_LT_EQ] = ACTIONS(4495),
    [anon_sym_GT_GT_EQ] = ACTIONS(4493),
    [anon_sym_AMP_EQ] = ACTIONS(4495),
    [anon_sym_CARET_EQ] = ACTIONS(4495),
    [anon_sym_PIPE_EQ] = ACTIONS(4495),
    [anon_sym_and_eq] = ACTIONS(4495),
    [anon_sym_or_eq] = ACTIONS(4495),
    [anon_sym_xor_eq] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4495),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4495),
    [anon_sym_not_eq] = ACTIONS(4495),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4495),
    [anon_sym_decltype] = ACTIONS(4495),
    [anon_sym_final] = ACTIONS(4495),
    [anon_sym_override] = ACTIONS(4495),
    [anon_sym_GT2] = ACTIONS(4495),
  },
  [1599] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4538),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4540),
    [anon_sym___attribute__] = ACTIONS(4540),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4540),
    [anon_sym_volatile] = ACTIONS(4540),
    [anon_sym_restrict] = ACTIONS(4540),
    [anon_sym___restrict__] = ACTIONS(4540),
    [anon_sym__Atomic] = ACTIONS(4540),
    [anon_sym__Noreturn] = ACTIONS(4540),
    [anon_sym_noreturn] = ACTIONS(4540),
    [anon_sym_mutable] = ACTIONS(4540),
    [anon_sym_constinit] = ACTIONS(4540),
    [anon_sym_consteval] = ACTIONS(4540),
    [anon_sym_alignas] = ACTIONS(4540),
    [anon_sym__Alignas] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4538),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4540),
    [anon_sym_or_eq] = ACTIONS(4540),
    [anon_sym_xor_eq] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4540),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4540),
    [anon_sym_not_eq] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4540),
    [anon_sym_decltype] = ACTIONS(4540),
    [anon_sym_final] = ACTIONS(4540),
    [anon_sym_override] = ACTIONS(4540),
    [anon_sym_GT2] = ACTIONS(4540),
  },
  [1600] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6750),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6750),
    [sym_variadic_parameter_declaration] = STATE(6750),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4806),
    [anon_sym_RPAREN] = ACTIONS(4808),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1601] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6876),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6876),
    [sym_variadic_parameter_declaration] = STATE(6876),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1602] = {
    [sym_catch_clause] = STATE(1612),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1612),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(4810),
  },
  [1603] = {
    [sym_catch_clause] = STATE(1612),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1612),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(4810),
  },
  [1604] = {
    [sym_template_argument_list] = STATE(1606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4515),
    [anon_sym_COMMA] = ACTIONS(4515),
    [anon_sym_RPAREN] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4623),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4515),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym__Alignas] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4515),
    [anon_sym_or_eq] = ACTIONS(4515),
    [anon_sym_xor_eq] = ACTIONS(4515),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4515),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4515),
    [anon_sym_not_eq] = ACTIONS(4515),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4515),
  },
  [1605] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6728),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6728),
    [sym_variadic_parameter_declaration] = STATE(6728),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_RPAREN] = ACTIONS(4814),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1606] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4580),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1607] = {
    [sym_catch_clause] = STATE(1612),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1612),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [aux_sym_preproc_else_token1] = ACTIONS(2468),
    [aux_sym_preproc_elif_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_friend] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(4810),
  },
  [1608] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6926),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6926),
    [sym_variadic_parameter_declaration] = STATE(6926),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4818),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1609] = {
    [sym_identifier] = ACTIONS(4820),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4822),
    [anon_sym_COMMA] = ACTIONS(4822),
    [anon_sym_RPAREN] = ACTIONS(4822),
    [aux_sym_preproc_if_token2] = ACTIONS(4822),
    [aux_sym_preproc_else_token1] = ACTIONS(4822),
    [aux_sym_preproc_elif_token1] = ACTIONS(4820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4820),
    [anon_sym_PLUS] = ACTIONS(4820),
    [anon_sym_STAR] = ACTIONS(4820),
    [anon_sym_SLASH] = ACTIONS(4820),
    [anon_sym_PERCENT] = ACTIONS(4820),
    [anon_sym_PIPE_PIPE] = ACTIONS(4822),
    [anon_sym_AMP_AMP] = ACTIONS(4822),
    [anon_sym_PIPE] = ACTIONS(4820),
    [anon_sym_CARET] = ACTIONS(4820),
    [anon_sym_AMP] = ACTIONS(4820),
    [anon_sym_EQ_EQ] = ACTIONS(4822),
    [anon_sym_BANG_EQ] = ACTIONS(4822),
    [anon_sym_GT] = ACTIONS(4820),
    [anon_sym_GT_EQ] = ACTIONS(4822),
    [anon_sym_LT_EQ] = ACTIONS(4820),
    [anon_sym_LT] = ACTIONS(4820),
    [anon_sym_LT_LT] = ACTIONS(4820),
    [anon_sym_GT_GT] = ACTIONS(4820),
    [anon_sym_SEMI] = ACTIONS(4822),
    [anon_sym_RBRACE] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4822),
    [anon_sym_EQ] = ACTIONS(4820),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4822),
    [anon_sym_STAR_EQ] = ACTIONS(4822),
    [anon_sym_SLASH_EQ] = ACTIONS(4822),
    [anon_sym_PERCENT_EQ] = ACTIONS(4822),
    [anon_sym_PLUS_EQ] = ACTIONS(4822),
    [anon_sym_DASH_EQ] = ACTIONS(4822),
    [anon_sym_LT_LT_EQ] = ACTIONS(4822),
    [anon_sym_GT_GT_EQ] = ACTIONS(4822),
    [anon_sym_AMP_EQ] = ACTIONS(4822),
    [anon_sym_CARET_EQ] = ACTIONS(4822),
    [anon_sym_PIPE_EQ] = ACTIONS(4822),
    [anon_sym_and_eq] = ACTIONS(4820),
    [anon_sym_or_eq] = ACTIONS(4820),
    [anon_sym_xor_eq] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4822),
    [anon_sym_or] = ACTIONS(4820),
    [anon_sym_and] = ACTIONS(4820),
    [anon_sym_bitor] = ACTIONS(4820),
    [anon_sym_xor] = ACTIONS(4820),
    [anon_sym_bitand] = ACTIONS(4820),
    [anon_sym_not_eq] = ACTIONS(4820),
    [anon_sym_DASH_DASH] = ACTIONS(4822),
    [anon_sym_PLUS_PLUS] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4820),
    [anon_sym_DOT_STAR] = ACTIONS(4822),
    [anon_sym_DASH_GT] = ACTIONS(4822),
    [anon_sym_L_DQUOTE] = ACTIONS(4822),
    [anon_sym_u_DQUOTE] = ACTIONS(4822),
    [anon_sym_U_DQUOTE] = ACTIONS(4822),
    [anon_sym_u8_DQUOTE] = ACTIONS(4822),
    [anon_sym_DQUOTE] = ACTIONS(4822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4822),
    [anon_sym_LR_DQUOTE] = ACTIONS(4822),
    [anon_sym_uR_DQUOTE] = ACTIONS(4822),
    [anon_sym_UR_DQUOTE] = ACTIONS(4822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4822),
    [sym_literal_suffix] = ACTIONS(4820),
  },
  [1610] = {
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4826),
    [anon_sym_COMMA] = ACTIONS(4826),
    [anon_sym_RPAREN] = ACTIONS(4826),
    [aux_sym_preproc_if_token2] = ACTIONS(4826),
    [aux_sym_preproc_else_token1] = ACTIONS(4826),
    [aux_sym_preproc_elif_token1] = ACTIONS(4824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4826),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4826),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4824),
    [anon_sym_STAR] = ACTIONS(4824),
    [anon_sym_SLASH] = ACTIONS(4824),
    [anon_sym_PERCENT] = ACTIONS(4824),
    [anon_sym_PIPE_PIPE] = ACTIONS(4826),
    [anon_sym_AMP_AMP] = ACTIONS(4826),
    [anon_sym_PIPE] = ACTIONS(4824),
    [anon_sym_CARET] = ACTIONS(4824),
    [anon_sym_AMP] = ACTIONS(4824),
    [anon_sym_EQ_EQ] = ACTIONS(4826),
    [anon_sym_BANG_EQ] = ACTIONS(4826),
    [anon_sym_GT] = ACTIONS(4824),
    [anon_sym_GT_EQ] = ACTIONS(4826),
    [anon_sym_LT_EQ] = ACTIONS(4824),
    [anon_sym_LT] = ACTIONS(4824),
    [anon_sym_LT_LT] = ACTIONS(4824),
    [anon_sym_GT_GT] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4826),
    [anon_sym_RBRACE] = ACTIONS(4826),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_RBRACK] = ACTIONS(4826),
    [anon_sym_EQ] = ACTIONS(4824),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4826),
    [anon_sym_STAR_EQ] = ACTIONS(4826),
    [anon_sym_SLASH_EQ] = ACTIONS(4826),
    [anon_sym_PERCENT_EQ] = ACTIONS(4826),
    [anon_sym_PLUS_EQ] = ACTIONS(4826),
    [anon_sym_DASH_EQ] = ACTIONS(4826),
    [anon_sym_LT_LT_EQ] = ACTIONS(4826),
    [anon_sym_GT_GT_EQ] = ACTIONS(4826),
    [anon_sym_AMP_EQ] = ACTIONS(4826),
    [anon_sym_CARET_EQ] = ACTIONS(4826),
    [anon_sym_PIPE_EQ] = ACTIONS(4826),
    [anon_sym_and_eq] = ACTIONS(4824),
    [anon_sym_or_eq] = ACTIONS(4824),
    [anon_sym_xor_eq] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4826),
    [anon_sym_or] = ACTIONS(4824),
    [anon_sym_and] = ACTIONS(4824),
    [anon_sym_bitor] = ACTIONS(4824),
    [anon_sym_xor] = ACTIONS(4824),
    [anon_sym_bitand] = ACTIONS(4824),
    [anon_sym_not_eq] = ACTIONS(4824),
    [anon_sym_DASH_DASH] = ACTIONS(4826),
    [anon_sym_PLUS_PLUS] = ACTIONS(4826),
    [anon_sym_DOT] = ACTIONS(4824),
    [anon_sym_DOT_STAR] = ACTIONS(4826),
    [anon_sym_DASH_GT] = ACTIONS(4826),
    [anon_sym_L_DQUOTE] = ACTIONS(4826),
    [anon_sym_u_DQUOTE] = ACTIONS(4826),
    [anon_sym_U_DQUOTE] = ACTIONS(4826),
    [anon_sym_u8_DQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4826),
    [anon_sym_LR_DQUOTE] = ACTIONS(4826),
    [anon_sym_uR_DQUOTE] = ACTIONS(4826),
    [anon_sym_UR_DQUOTE] = ACTIONS(4826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4826),
    [sym_literal_suffix] = ACTIONS(4824),
  },
  [1611] = {
    [sym_identifier] = ACTIONS(4828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4830),
    [anon_sym_COMMA] = ACTIONS(4830),
    [anon_sym_RPAREN] = ACTIONS(4830),
    [aux_sym_preproc_if_token2] = ACTIONS(4830),
    [aux_sym_preproc_else_token1] = ACTIONS(4830),
    [aux_sym_preproc_elif_token1] = ACTIONS(4828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(4830),
    [anon_sym_DASH] = ACTIONS(4828),
    [anon_sym_PLUS] = ACTIONS(4828),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_SLASH] = ACTIONS(4828),
    [anon_sym_PERCENT] = ACTIONS(4828),
    [anon_sym_PIPE_PIPE] = ACTIONS(4830),
    [anon_sym_AMP_AMP] = ACTIONS(4830),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_CARET] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym_EQ_EQ] = ACTIONS(4830),
    [anon_sym_BANG_EQ] = ACTIONS(4830),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_GT_EQ] = ACTIONS(4830),
    [anon_sym_LT_EQ] = ACTIONS(4828),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_LT_LT] = ACTIONS(4828),
    [anon_sym_GT_GT] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(4830),
    [anon_sym_RBRACE] = ACTIONS(4830),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_RBRACK] = ACTIONS(4830),
    [anon_sym_EQ] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4830),
    [anon_sym_STAR_EQ] = ACTIONS(4830),
    [anon_sym_SLASH_EQ] = ACTIONS(4830),
    [anon_sym_PERCENT_EQ] = ACTIONS(4830),
    [anon_sym_PLUS_EQ] = ACTIONS(4830),
    [anon_sym_DASH_EQ] = ACTIONS(4830),
    [anon_sym_LT_LT_EQ] = ACTIONS(4830),
    [anon_sym_GT_GT_EQ] = ACTIONS(4830),
    [anon_sym_AMP_EQ] = ACTIONS(4830),
    [anon_sym_CARET_EQ] = ACTIONS(4830),
    [anon_sym_PIPE_EQ] = ACTIONS(4830),
    [anon_sym_and_eq] = ACTIONS(4828),
    [anon_sym_or_eq] = ACTIONS(4828),
    [anon_sym_xor_eq] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4830),
    [anon_sym_or] = ACTIONS(4828),
    [anon_sym_and] = ACTIONS(4828),
    [anon_sym_bitor] = ACTIONS(4828),
    [anon_sym_xor] = ACTIONS(4828),
    [anon_sym_bitand] = ACTIONS(4828),
    [anon_sym_not_eq] = ACTIONS(4828),
    [anon_sym_DASH_DASH] = ACTIONS(4830),
    [anon_sym_PLUS_PLUS] = ACTIONS(4830),
    [anon_sym_DOT] = ACTIONS(4828),
    [anon_sym_DOT_STAR] = ACTIONS(4830),
    [anon_sym_DASH_GT] = ACTIONS(4830),
    [anon_sym_L_DQUOTE] = ACTIONS(4830),
    [anon_sym_u_DQUOTE] = ACTIONS(4830),
    [anon_sym_U_DQUOTE] = ACTIONS(4830),
    [anon_sym_u8_DQUOTE] = ACTIONS(4830),
    [anon_sym_DQUOTE] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4830),
    [anon_sym_LR_DQUOTE] = ACTIONS(4830),
    [anon_sym_uR_DQUOTE] = ACTIONS(4830),
    [anon_sym_UR_DQUOTE] = ACTIONS(4830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4830),
    [sym_literal_suffix] = ACTIONS(4828),
  },
  [1612] = {
    [sym_catch_clause] = STATE(1612),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1612),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [aux_sym_preproc_else_token1] = ACTIONS(2407),
    [aux_sym_preproc_elif_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_friend] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(4832),
  },
  [1613] = {
    [sym_type_qualifier] = STATE(1613),
    [sym_alignas_qualifier] = STATE(1683),
    [aux_sym_array_declarator_repeat1] = STATE(1613),
    [sym_identifier] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4837),
    [anon_sym_BANG] = ACTIONS(4837),
    [anon_sym_TILDE] = ACTIONS(4837),
    [anon_sym_DASH] = ACTIONS(4835),
    [anon_sym_PLUS] = ACTIONS(4835),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4837),
    [anon_sym_LBRACK] = ACTIONS(4837),
    [anon_sym_static] = ACTIONS(4842),
    [anon_sym_RBRACK] = ACTIONS(4837),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [sym_primitive_type] = ACTIONS(4835),
    [anon_sym_not] = ACTIONS(4835),
    [anon_sym_compl] = ACTIONS(4835),
    [anon_sym_DASH_DASH] = ACTIONS(4837),
    [anon_sym_PLUS_PLUS] = ACTIONS(4837),
    [anon_sym_sizeof] = ACTIONS(4835),
    [anon_sym___alignof__] = ACTIONS(4835),
    [anon_sym___alignof] = ACTIONS(4835),
    [anon_sym__alignof] = ACTIONS(4835),
    [anon_sym_alignof] = ACTIONS(4835),
    [anon_sym__Alignof] = ACTIONS(4835),
    [anon_sym_offsetof] = ACTIONS(4835),
    [anon_sym__Generic] = ACTIONS(4835),
    [anon_sym_asm] = ACTIONS(4835),
    [anon_sym___asm__] = ACTIONS(4835),
    [sym_number_literal] = ACTIONS(4837),
    [anon_sym_L_SQUOTE] = ACTIONS(4837),
    [anon_sym_u_SQUOTE] = ACTIONS(4837),
    [anon_sym_U_SQUOTE] = ACTIONS(4837),
    [anon_sym_u8_SQUOTE] = ACTIONS(4837),
    [anon_sym_SQUOTE] = ACTIONS(4837),
    [anon_sym_L_DQUOTE] = ACTIONS(4837),
    [anon_sym_u_DQUOTE] = ACTIONS(4837),
    [anon_sym_U_DQUOTE] = ACTIONS(4837),
    [anon_sym_u8_DQUOTE] = ACTIONS(4837),
    [anon_sym_DQUOTE] = ACTIONS(4837),
    [sym_true] = ACTIONS(4835),
    [sym_false] = ACTIONS(4835),
    [anon_sym_NULL] = ACTIONS(4835),
    [anon_sym_nullptr] = ACTIONS(4835),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4835),
    [anon_sym_template] = ACTIONS(4835),
    [anon_sym_delete] = ACTIONS(4835),
    [anon_sym_R_DQUOTE] = ACTIONS(4837),
    [anon_sym_LR_DQUOTE] = ACTIONS(4837),
    [anon_sym_uR_DQUOTE] = ACTIONS(4837),
    [anon_sym_UR_DQUOTE] = ACTIONS(4837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4837),
    [anon_sym_co_await] = ACTIONS(4835),
    [anon_sym_new] = ACTIONS(4835),
    [anon_sym_requires] = ACTIONS(4835),
    [sym_this] = ACTIONS(4835),
  },
  [1614] = {
    [sym_identifier] = ACTIONS(4848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [aux_sym_preproc_if_token2] = ACTIONS(4850),
    [aux_sym_preproc_else_token1] = ACTIONS(4850),
    [aux_sym_preproc_elif_token1] = ACTIONS(4848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_RBRACK] = ACTIONS(4850),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_COLON] = ACTIONS(4850),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4848),
    [anon_sym_or_eq] = ACTIONS(4848),
    [anon_sym_xor_eq] = ACTIONS(4848),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [anon_sym_L_DQUOTE] = ACTIONS(4850),
    [anon_sym_u_DQUOTE] = ACTIONS(4850),
    [anon_sym_U_DQUOTE] = ACTIONS(4850),
    [anon_sym_u8_DQUOTE] = ACTIONS(4850),
    [anon_sym_DQUOTE] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4850),
    [anon_sym_LR_DQUOTE] = ACTIONS(4850),
    [anon_sym_uR_DQUOTE] = ACTIONS(4850),
    [anon_sym_UR_DQUOTE] = ACTIONS(4850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4850),
    [sym_literal_suffix] = ACTIONS(4848),
  },
  [1615] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(6941),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(6941),
    [sym_variadic_parameter_declaration] = STATE(6941),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1616] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4793),
    [aux_sym_preproc_if_token2] = ACTIONS(4793),
    [aux_sym_preproc_else_token1] = ACTIONS(4793),
    [aux_sym_preproc_elif_token1] = ACTIONS(4791),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4791),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4793),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4791),
    [anon_sym_GT_GT] = ACTIONS(4791),
    [anon_sym_SEMI] = ACTIONS(4793),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_RBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_RBRACK] = ACTIONS(4793),
    [anon_sym_EQ] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4793),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_STAR_EQ] = ACTIONS(4793),
    [anon_sym_SLASH_EQ] = ACTIONS(4793),
    [anon_sym_PERCENT_EQ] = ACTIONS(4793),
    [anon_sym_PLUS_EQ] = ACTIONS(4793),
    [anon_sym_DASH_EQ] = ACTIONS(4793),
    [anon_sym_LT_LT_EQ] = ACTIONS(4793),
    [anon_sym_GT_GT_EQ] = ACTIONS(4793),
    [anon_sym_AMP_EQ] = ACTIONS(4793),
    [anon_sym_CARET_EQ] = ACTIONS(4793),
    [anon_sym_PIPE_EQ] = ACTIONS(4793),
    [anon_sym_and_eq] = ACTIONS(4791),
    [anon_sym_or_eq] = ACTIONS(4791),
    [anon_sym_xor_eq] = ACTIONS(4791),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
  },
  [1617] = {
    [sym_template_argument_list] = STATE(1625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4515),
    [anon_sym_COMMA] = ACTIONS(4515),
    [anon_sym_RPAREN] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4855),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym__Alignas] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4515),
    [anon_sym_or_eq] = ACTIONS(4515),
    [anon_sym_xor_eq] = ACTIONS(4515),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4515),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4515),
    [anon_sym_not_eq] = ACTIONS(4515),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4515),
  },
  [1618] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1619] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1620] = {
    [sym_attribute_specifier] = STATE(1932),
    [sym_field_declaration_list] = STATE(1911),
    [sym_virtual_specifier] = STATE(6603),
    [sym_base_class_clause] = STATE(7326),
    [sym_identifier] = ACTIONS(4860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [aux_sym_preproc_if_token2] = ACTIONS(4862),
    [aux_sym_preproc_else_token1] = ACTIONS(4862),
    [aux_sym_preproc_elif_token1] = ACTIONS(4860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_STAR_EQ] = ACTIONS(4862),
    [anon_sym_SLASH_EQ] = ACTIONS(4862),
    [anon_sym_PERCENT_EQ] = ACTIONS(4862),
    [anon_sym_PLUS_EQ] = ACTIONS(4862),
    [anon_sym_DASH_EQ] = ACTIONS(4862),
    [anon_sym_LT_LT_EQ] = ACTIONS(4862),
    [anon_sym_GT_GT_EQ] = ACTIONS(4862),
    [anon_sym_AMP_EQ] = ACTIONS(4862),
    [anon_sym_CARET_EQ] = ACTIONS(4862),
    [anon_sym_PIPE_EQ] = ACTIONS(4862),
    [anon_sym_and_eq] = ACTIONS(4860),
    [anon_sym_or_eq] = ACTIONS(4860),
    [anon_sym_xor_eq] = ACTIONS(4860),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4860),
    [anon_sym_and] = ACTIONS(4860),
    [anon_sym_bitor] = ACTIONS(4860),
    [anon_sym_xor] = ACTIONS(4860),
    [anon_sym_bitand] = ACTIONS(4860),
    [anon_sym_not_eq] = ACTIONS(4860),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4860),
    [anon_sym_decltype] = ACTIONS(4860),
    [anon_sym_final] = ACTIONS(4870),
    [anon_sym_override] = ACTIONS(4870),
  },
  [1621] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(7053),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(7053),
    [sym_variadic_parameter_declaration] = STATE(7053),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1622] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [sym_identifier] = ACTIONS(3778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(3770),
    [aux_sym_preproc_else_token1] = ACTIONS(3770),
    [aux_sym_preproc_elif_token1] = ACTIONS(3778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4874),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(4877),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(4879),
    [anon_sym_SLASH_EQ] = ACTIONS(4879),
    [anon_sym_PERCENT_EQ] = ACTIONS(4879),
    [anon_sym_PLUS_EQ] = ACTIONS(4879),
    [anon_sym_DASH_EQ] = ACTIONS(4879),
    [anon_sym_LT_LT_EQ] = ACTIONS(4879),
    [anon_sym_GT_GT_EQ] = ACTIONS(4879),
    [anon_sym_AMP_EQ] = ACTIONS(4879),
    [anon_sym_CARET_EQ] = ACTIONS(4879),
    [anon_sym_PIPE_EQ] = ACTIONS(4879),
    [anon_sym_and_eq] = ACTIONS(4877),
    [anon_sym_or_eq] = ACTIONS(4877),
    [anon_sym_xor_eq] = ACTIONS(4877),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1623] = {
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4883),
    [anon_sym_GT_GT] = ACTIONS(4883),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4881),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym___based] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_signed] = ACTIONS(4881),
    [anon_sym_unsigned] = ACTIONS(4881),
    [anon_sym_long] = ACTIONS(4881),
    [anon_sym_short] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_const] = ACTIONS(4881),
    [anon_sym_constexpr] = ACTIONS(4881),
    [anon_sym_volatile] = ACTIONS(4881),
    [anon_sym_restrict] = ACTIONS(4881),
    [anon_sym___restrict__] = ACTIONS(4881),
    [anon_sym__Atomic] = ACTIONS(4881),
    [anon_sym__Noreturn] = ACTIONS(4881),
    [anon_sym_noreturn] = ACTIONS(4881),
    [anon_sym_mutable] = ACTIONS(4881),
    [anon_sym_constinit] = ACTIONS(4881),
    [anon_sym_consteval] = ACTIONS(4881),
    [anon_sym_alignas] = ACTIONS(4881),
    [anon_sym__Alignas] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4881),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(4881),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
    [anon_sym_requires] = ACTIONS(4881),
  },
  [1624] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5765),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6289),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6289),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1625] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4582),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1626] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5795),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6295),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6295),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1627] = {
    [sym_decltype_auto] = STATE(1793),
    [sym_identifier] = ACTIONS(4905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4907),
    [anon_sym_COMMA] = ACTIONS(4907),
    [anon_sym_RPAREN] = ACTIONS(4907),
    [anon_sym_LPAREN2] = ACTIONS(4907),
    [anon_sym_DASH] = ACTIONS(4905),
    [anon_sym_PLUS] = ACTIONS(4905),
    [anon_sym_STAR] = ACTIONS(4907),
    [anon_sym_SLASH] = ACTIONS(4905),
    [anon_sym_PERCENT] = ACTIONS(4907),
    [anon_sym_PIPE_PIPE] = ACTIONS(4907),
    [anon_sym_AMP_AMP] = ACTIONS(4907),
    [anon_sym_PIPE] = ACTIONS(4905),
    [anon_sym_CARET] = ACTIONS(4907),
    [anon_sym_AMP] = ACTIONS(4905),
    [anon_sym_EQ_EQ] = ACTIONS(4907),
    [anon_sym_BANG_EQ] = ACTIONS(4907),
    [anon_sym_GT] = ACTIONS(4905),
    [anon_sym_GT_EQ] = ACTIONS(4907),
    [anon_sym_LT_EQ] = ACTIONS(4905),
    [anon_sym_LT] = ACTIONS(4905),
    [anon_sym_LT_LT] = ACTIONS(4907),
    [anon_sym_GT_GT] = ACTIONS(4907),
    [anon_sym_SEMI] = ACTIONS(4907),
    [anon_sym___extension__] = ACTIONS(4905),
    [anon_sym___attribute__] = ACTIONS(4905),
    [anon_sym___based] = ACTIONS(4905),
    [anon_sym_LBRACE] = ACTIONS(4907),
    [anon_sym_RBRACE] = ACTIONS(4907),
    [anon_sym_signed] = ACTIONS(4905),
    [anon_sym_unsigned] = ACTIONS(4905),
    [anon_sym_long] = ACTIONS(4905),
    [anon_sym_short] = ACTIONS(4905),
    [anon_sym_LBRACK] = ACTIONS(4907),
    [anon_sym_RBRACK] = ACTIONS(4907),
    [anon_sym_const] = ACTIONS(4905),
    [anon_sym_constexpr] = ACTIONS(4905),
    [anon_sym_volatile] = ACTIONS(4905),
    [anon_sym_restrict] = ACTIONS(4905),
    [anon_sym___restrict__] = ACTIONS(4905),
    [anon_sym__Atomic] = ACTIONS(4905),
    [anon_sym__Noreturn] = ACTIONS(4905),
    [anon_sym_noreturn] = ACTIONS(4905),
    [anon_sym_mutable] = ACTIONS(4905),
    [anon_sym_constinit] = ACTIONS(4905),
    [anon_sym_consteval] = ACTIONS(4905),
    [anon_sym_alignas] = ACTIONS(4905),
    [anon_sym__Alignas] = ACTIONS(4905),
    [sym_primitive_type] = ACTIONS(4905),
    [anon_sym_COLON] = ACTIONS(4907),
    [anon_sym_QMARK] = ACTIONS(4907),
    [anon_sym_LT_EQ_GT] = ACTIONS(4907),
    [anon_sym_or] = ACTIONS(4905),
    [anon_sym_and] = ACTIONS(4905),
    [anon_sym_bitor] = ACTIONS(4905),
    [anon_sym_xor] = ACTIONS(4905),
    [anon_sym_bitand] = ACTIONS(4905),
    [anon_sym_not_eq] = ACTIONS(4905),
    [anon_sym_DASH_DASH] = ACTIONS(4907),
    [anon_sym_PLUS_PLUS] = ACTIONS(4907),
    [anon_sym_DOT] = ACTIONS(4905),
    [anon_sym_DOT_STAR] = ACTIONS(4907),
    [anon_sym_DASH_GT] = ACTIONS(4907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4909),
    [anon_sym_decltype] = ACTIONS(4911),
    [anon_sym_final] = ACTIONS(4905),
    [anon_sym_override] = ACTIONS(4905),
    [anon_sym_requires] = ACTIONS(4905),
  },
  [1628] = {
    [sym_identifier] = ACTIONS(4913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4915),
    [anon_sym_LPAREN2] = ACTIONS(4915),
    [anon_sym_DASH] = ACTIONS(4913),
    [anon_sym_PLUS] = ACTIONS(4913),
    [anon_sym_STAR] = ACTIONS(4915),
    [anon_sym_SLASH] = ACTIONS(4913),
    [anon_sym_PERCENT] = ACTIONS(4915),
    [anon_sym_PIPE_PIPE] = ACTIONS(4915),
    [anon_sym_AMP_AMP] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_CARET] = ACTIONS(4915),
    [anon_sym_AMP] = ACTIONS(4913),
    [anon_sym_EQ_EQ] = ACTIONS(4915),
    [anon_sym_BANG_EQ] = ACTIONS(4915),
    [anon_sym_GT] = ACTIONS(4913),
    [anon_sym_GT_EQ] = ACTIONS(4915),
    [anon_sym_LT_EQ] = ACTIONS(4913),
    [anon_sym_LT] = ACTIONS(4913),
    [anon_sym_LT_LT] = ACTIONS(4915),
    [anon_sym_GT_GT] = ACTIONS(4915),
    [anon_sym_SEMI] = ACTIONS(4915),
    [anon_sym___extension__] = ACTIONS(4913),
    [anon_sym___attribute__] = ACTIONS(4913),
    [anon_sym_COLON_COLON] = ACTIONS(4915),
    [anon_sym___based] = ACTIONS(4913),
    [anon_sym_LBRACE] = ACTIONS(4915),
    [anon_sym_RBRACE] = ACTIONS(4915),
    [anon_sym_signed] = ACTIONS(4913),
    [anon_sym_unsigned] = ACTIONS(4913),
    [anon_sym_long] = ACTIONS(4913),
    [anon_sym_short] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(4915),
    [anon_sym_RBRACK] = ACTIONS(4915),
    [anon_sym_const] = ACTIONS(4913),
    [anon_sym_constexpr] = ACTIONS(4913),
    [anon_sym_volatile] = ACTIONS(4913),
    [anon_sym_restrict] = ACTIONS(4913),
    [anon_sym___restrict__] = ACTIONS(4913),
    [anon_sym__Atomic] = ACTIONS(4913),
    [anon_sym__Noreturn] = ACTIONS(4913),
    [anon_sym_noreturn] = ACTIONS(4913),
    [anon_sym_mutable] = ACTIONS(4913),
    [anon_sym_constinit] = ACTIONS(4913),
    [anon_sym_consteval] = ACTIONS(4913),
    [anon_sym_alignas] = ACTIONS(4913),
    [anon_sym__Alignas] = ACTIONS(4913),
    [sym_primitive_type] = ACTIONS(4913),
    [anon_sym_COLON] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4915),
    [anon_sym_LT_EQ_GT] = ACTIONS(4915),
    [anon_sym_or] = ACTIONS(4913),
    [anon_sym_and] = ACTIONS(4913),
    [anon_sym_bitor] = ACTIONS(4913),
    [anon_sym_xor] = ACTIONS(4913),
    [anon_sym_bitand] = ACTIONS(4913),
    [anon_sym_not_eq] = ACTIONS(4913),
    [anon_sym_DASH_DASH] = ACTIONS(4915),
    [anon_sym_PLUS_PLUS] = ACTIONS(4915),
    [anon_sym_DOT] = ACTIONS(4913),
    [anon_sym_DOT_STAR] = ACTIONS(4915),
    [anon_sym_DASH_GT] = ACTIONS(4915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4913),
    [anon_sym_decltype] = ACTIONS(4913),
    [anon_sym_final] = ACTIONS(4913),
    [anon_sym_override] = ACTIONS(4913),
    [anon_sym_requires] = ACTIONS(4913),
  },
  [1629] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5784),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6316),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6316),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1630] = {
    [sym_identifier] = ACTIONS(4917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4919),
    [anon_sym_COMMA] = ACTIONS(4919),
    [anon_sym_RPAREN] = ACTIONS(4919),
    [anon_sym_LPAREN2] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4917),
    [anon_sym_PLUS] = ACTIONS(4917),
    [anon_sym_STAR] = ACTIONS(4919),
    [anon_sym_SLASH] = ACTIONS(4917),
    [anon_sym_PERCENT] = ACTIONS(4919),
    [anon_sym_PIPE_PIPE] = ACTIONS(4919),
    [anon_sym_AMP_AMP] = ACTIONS(4919),
    [anon_sym_PIPE] = ACTIONS(4917),
    [anon_sym_CARET] = ACTIONS(4919),
    [anon_sym_AMP] = ACTIONS(4917),
    [anon_sym_EQ_EQ] = ACTIONS(4919),
    [anon_sym_BANG_EQ] = ACTIONS(4919),
    [anon_sym_GT] = ACTIONS(4917),
    [anon_sym_GT_EQ] = ACTIONS(4919),
    [anon_sym_LT_EQ] = ACTIONS(4917),
    [anon_sym_LT] = ACTIONS(4917),
    [anon_sym_LT_LT] = ACTIONS(4919),
    [anon_sym_GT_GT] = ACTIONS(4919),
    [anon_sym_SEMI] = ACTIONS(4919),
    [anon_sym___extension__] = ACTIONS(4917),
    [anon_sym___attribute__] = ACTIONS(4917),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym___based] = ACTIONS(4917),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_RBRACE] = ACTIONS(4919),
    [anon_sym_signed] = ACTIONS(4917),
    [anon_sym_unsigned] = ACTIONS(4917),
    [anon_sym_long] = ACTIONS(4917),
    [anon_sym_short] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_RBRACK] = ACTIONS(4919),
    [anon_sym_const] = ACTIONS(4917),
    [anon_sym_constexpr] = ACTIONS(4917),
    [anon_sym_volatile] = ACTIONS(4917),
    [anon_sym_restrict] = ACTIONS(4917),
    [anon_sym___restrict__] = ACTIONS(4917),
    [anon_sym__Atomic] = ACTIONS(4917),
    [anon_sym__Noreturn] = ACTIONS(4917),
    [anon_sym_noreturn] = ACTIONS(4917),
    [anon_sym_mutable] = ACTIONS(4917),
    [anon_sym_constinit] = ACTIONS(4917),
    [anon_sym_consteval] = ACTIONS(4917),
    [anon_sym_alignas] = ACTIONS(4917),
    [anon_sym__Alignas] = ACTIONS(4917),
    [sym_primitive_type] = ACTIONS(4917),
    [anon_sym_COLON] = ACTIONS(4917),
    [anon_sym_QMARK] = ACTIONS(4919),
    [anon_sym_LT_EQ_GT] = ACTIONS(4919),
    [anon_sym_or] = ACTIONS(4917),
    [anon_sym_and] = ACTIONS(4917),
    [anon_sym_bitor] = ACTIONS(4917),
    [anon_sym_xor] = ACTIONS(4917),
    [anon_sym_bitand] = ACTIONS(4917),
    [anon_sym_not_eq] = ACTIONS(4917),
    [anon_sym_DASH_DASH] = ACTIONS(4919),
    [anon_sym_PLUS_PLUS] = ACTIONS(4919),
    [anon_sym_DOT] = ACTIONS(4917),
    [anon_sym_DOT_STAR] = ACTIONS(4919),
    [anon_sym_DASH_GT] = ACTIONS(4919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4917),
    [anon_sym_decltype] = ACTIONS(4917),
    [anon_sym_final] = ACTIONS(4917),
    [anon_sym_override] = ACTIONS(4917),
    [anon_sym_requires] = ACTIONS(4917),
  },
  [1631] = {
    [sym__declaration_modifiers] = STATE(1906),
    [sym__declaration_specifiers] = STATE(3902),
    [sym_attribute_specifier] = STATE(1906),
    [sym_attribute_declaration] = STATE(1906),
    [sym_ms_declspec_modifier] = STATE(1906),
    [sym_storage_class_specifier] = STATE(1906),
    [sym_type_qualifier] = STATE(1906),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_parameter_declaration] = STATE(7076),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_optional_parameter_declaration] = STATE(7076),
    [sym_variadic_parameter_declaration] = STATE(7076),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1906),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1632] = {
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4883),
    [anon_sym_GT_GT] = ACTIONS(4883),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4881),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym___based] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_signed] = ACTIONS(4881),
    [anon_sym_unsigned] = ACTIONS(4881),
    [anon_sym_long] = ACTIONS(4881),
    [anon_sym_short] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_const] = ACTIONS(4881),
    [anon_sym_constexpr] = ACTIONS(4881),
    [anon_sym_volatile] = ACTIONS(4881),
    [anon_sym_restrict] = ACTIONS(4881),
    [anon_sym___restrict__] = ACTIONS(4881),
    [anon_sym__Atomic] = ACTIONS(4881),
    [anon_sym__Noreturn] = ACTIONS(4881),
    [anon_sym_noreturn] = ACTIONS(4881),
    [anon_sym_mutable] = ACTIONS(4881),
    [anon_sym_constinit] = ACTIONS(4881),
    [anon_sym_consteval] = ACTIONS(4881),
    [anon_sym_alignas] = ACTIONS(4881),
    [anon_sym__Alignas] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4881),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(4881),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
    [anon_sym_requires] = ACTIONS(4881),
  },
  [1633] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5826),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6285),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1634] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5890),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6289),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6289),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1635] = {
    [sym_template_argument_list] = STATE(1788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4517),
    [anon_sym_COMMA] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4522),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(4921),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym__Alignas] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4522),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4515),
    [anon_sym_or_eq] = ACTIONS(4515),
    [anon_sym_xor_eq] = ACTIONS(4515),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4515),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4515),
    [anon_sym_not_eq] = ACTIONS(4515),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
    [anon_sym_GT2] = ACTIONS(4517),
  },
  [1636] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5845),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6316),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6316),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1637] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5772),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6310),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6310),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [aux_sym_preproc_else_token1] = ACTIONS(1882),
    [aux_sym_preproc_elif_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_friend] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1882),
    [anon_sym_private] = ACTIONS(1882),
    [anon_sym_protected] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
  },
  [1639] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5926),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6327),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6327),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1640] = {
    [sym_identifier] = ACTIONS(4503),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_COMMA] = ACTIONS(4505),
    [anon_sym_RPAREN] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4503),
    [anon_sym_STAR] = ACTIONS(4505),
    [anon_sym_SLASH] = ACTIONS(4503),
    [anon_sym_PERCENT] = ACTIONS(4505),
    [anon_sym_PIPE_PIPE] = ACTIONS(4505),
    [anon_sym_AMP_AMP] = ACTIONS(4505),
    [anon_sym_PIPE] = ACTIONS(4503),
    [anon_sym_CARET] = ACTIONS(4505),
    [anon_sym_AMP] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4505),
    [anon_sym_BANG_EQ] = ACTIONS(4505),
    [anon_sym_GT] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4503),
    [anon_sym_LT] = ACTIONS(4503),
    [anon_sym_LT_LT] = ACTIONS(4505),
    [anon_sym_GT_GT] = ACTIONS(4505),
    [anon_sym_SEMI] = ACTIONS(4505),
    [anon_sym___extension__] = ACTIONS(4503),
    [anon_sym___attribute__] = ACTIONS(4503),
    [anon_sym_COLON_COLON] = ACTIONS(4505),
    [anon_sym___based] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(4505),
    [anon_sym_RBRACE] = ACTIONS(4505),
    [anon_sym_signed] = ACTIONS(4503),
    [anon_sym_unsigned] = ACTIONS(4503),
    [anon_sym_long] = ACTIONS(4503),
    [anon_sym_short] = ACTIONS(4503),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [anon_sym_RBRACK] = ACTIONS(4505),
    [anon_sym_const] = ACTIONS(4503),
    [anon_sym_constexpr] = ACTIONS(4503),
    [anon_sym_volatile] = ACTIONS(4503),
    [anon_sym_restrict] = ACTIONS(4503),
    [anon_sym___restrict__] = ACTIONS(4503),
    [anon_sym__Atomic] = ACTIONS(4503),
    [anon_sym__Noreturn] = ACTIONS(4503),
    [anon_sym_noreturn] = ACTIONS(4503),
    [anon_sym_mutable] = ACTIONS(4503),
    [anon_sym_constinit] = ACTIONS(4503),
    [anon_sym_consteval] = ACTIONS(4503),
    [anon_sym_alignas] = ACTIONS(4503),
    [anon_sym__Alignas] = ACTIONS(4503),
    [sym_primitive_type] = ACTIONS(4503),
    [anon_sym_COLON] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(4505),
    [anon_sym_LT_EQ_GT] = ACTIONS(4505),
    [anon_sym_or] = ACTIONS(4503),
    [anon_sym_and] = ACTIONS(4503),
    [anon_sym_bitor] = ACTIONS(4503),
    [anon_sym_xor] = ACTIONS(4503),
    [anon_sym_bitand] = ACTIONS(4503),
    [anon_sym_not_eq] = ACTIONS(4503),
    [anon_sym_DASH_DASH] = ACTIONS(4505),
    [anon_sym_PLUS_PLUS] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_DOT_STAR] = ACTIONS(4505),
    [anon_sym_DASH_GT] = ACTIONS(4505),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4503),
    [anon_sym_decltype] = ACTIONS(4503),
    [anon_sym_final] = ACTIONS(4503),
    [anon_sym_override] = ACTIONS(4503),
    [anon_sym_requires] = ACTIONS(4503),
  },
  [1641] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4479),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_signed] = ACTIONS(4477),
    [anon_sym_unsigned] = ACTIONS(4477),
    [anon_sym_long] = ACTIONS(4477),
    [anon_sym_short] = ACTIONS(4477),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [sym_primitive_type] = ACTIONS(4477),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [anon_sym_final] = ACTIONS(4477),
    [anon_sym_override] = ACTIONS(4477),
    [anon_sym_requires] = ACTIONS(4477),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(4530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4532),
    [anon_sym_COMMA] = ACTIONS(4532),
    [anon_sym_RPAREN] = ACTIONS(4532),
    [anon_sym_LPAREN2] = ACTIONS(4532),
    [anon_sym_DASH] = ACTIONS(4530),
    [anon_sym_PLUS] = ACTIONS(4530),
    [anon_sym_STAR] = ACTIONS(4532),
    [anon_sym_SLASH] = ACTIONS(4530),
    [anon_sym_PERCENT] = ACTIONS(4532),
    [anon_sym_PIPE_PIPE] = ACTIONS(4532),
    [anon_sym_AMP_AMP] = ACTIONS(4532),
    [anon_sym_PIPE] = ACTIONS(4530),
    [anon_sym_CARET] = ACTIONS(4532),
    [anon_sym_AMP] = ACTIONS(4530),
    [anon_sym_EQ_EQ] = ACTIONS(4532),
    [anon_sym_BANG_EQ] = ACTIONS(4532),
    [anon_sym_GT] = ACTIONS(4530),
    [anon_sym_GT_EQ] = ACTIONS(4532),
    [anon_sym_LT_EQ] = ACTIONS(4530),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_LT_LT] = ACTIONS(4532),
    [anon_sym_GT_GT] = ACTIONS(4532),
    [anon_sym_SEMI] = ACTIONS(4532),
    [anon_sym___extension__] = ACTIONS(4530),
    [anon_sym___attribute__] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(4532),
    [anon_sym___based] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4532),
    [anon_sym_RBRACE] = ACTIONS(4532),
    [anon_sym_signed] = ACTIONS(4530),
    [anon_sym_unsigned] = ACTIONS(4530),
    [anon_sym_long] = ACTIONS(4530),
    [anon_sym_short] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4532),
    [anon_sym_RBRACK] = ACTIONS(4532),
    [anon_sym_const] = ACTIONS(4530),
    [anon_sym_constexpr] = ACTIONS(4530),
    [anon_sym_volatile] = ACTIONS(4530),
    [anon_sym_restrict] = ACTIONS(4530),
    [anon_sym___restrict__] = ACTIONS(4530),
    [anon_sym__Atomic] = ACTIONS(4530),
    [anon_sym__Noreturn] = ACTIONS(4530),
    [anon_sym_noreturn] = ACTIONS(4530),
    [anon_sym_mutable] = ACTIONS(4530),
    [anon_sym_constinit] = ACTIONS(4530),
    [anon_sym_consteval] = ACTIONS(4530),
    [anon_sym_alignas] = ACTIONS(4530),
    [anon_sym__Alignas] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(4530),
    [anon_sym_COLON] = ACTIONS(4530),
    [anon_sym_QMARK] = ACTIONS(4532),
    [anon_sym_LT_EQ_GT] = ACTIONS(4532),
    [anon_sym_or] = ACTIONS(4530),
    [anon_sym_and] = ACTIONS(4530),
    [anon_sym_bitor] = ACTIONS(4530),
    [anon_sym_xor] = ACTIONS(4530),
    [anon_sym_bitand] = ACTIONS(4530),
    [anon_sym_not_eq] = ACTIONS(4530),
    [anon_sym_DASH_DASH] = ACTIONS(4532),
    [anon_sym_PLUS_PLUS] = ACTIONS(4532),
    [anon_sym_DOT] = ACTIONS(4530),
    [anon_sym_DOT_STAR] = ACTIONS(4532),
    [anon_sym_DASH_GT] = ACTIONS(4532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4530),
    [anon_sym_decltype] = ACTIONS(4530),
    [anon_sym_final] = ACTIONS(4530),
    [anon_sym_override] = ACTIONS(4530),
    [anon_sym_requires] = ACTIONS(4530),
  },
  [1643] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [aux_sym_preproc_else_token1] = ACTIONS(2494),
    [aux_sym_preproc_elif_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_friend] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
  },
  [1644] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4536),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_signed] = ACTIONS(4534),
    [anon_sym_unsigned] = ACTIONS(4534),
    [anon_sym_long] = ACTIONS(4534),
    [anon_sym_short] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [sym_primitive_type] = ACTIONS(4534),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [anon_sym_final] = ACTIONS(4534),
    [anon_sym_override] = ACTIONS(4534),
    [anon_sym_requires] = ACTIONS(4534),
  },
  [1645] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4540),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_signed] = ACTIONS(4538),
    [anon_sym_unsigned] = ACTIONS(4538),
    [anon_sym_long] = ACTIONS(4538),
    [anon_sym_short] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_RBRACK] = ACTIONS(4540),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(4538),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [anon_sym_final] = ACTIONS(4538),
    [anon_sym_override] = ACTIONS(4538),
    [anon_sym_requires] = ACTIONS(4538),
  },
  [1646] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
  },
  [1647] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5914),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6310),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6310),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1648] = {
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4501),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4501),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4501),
    [anon_sym_GT_GT] = ACTIONS(4501),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(4501),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4501),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_signed] = ACTIONS(4499),
    [anon_sym_unsigned] = ACTIONS(4499),
    [anon_sym_long] = ACTIONS(4499),
    [anon_sym_short] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_RBRACK] = ACTIONS(4501),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [sym_primitive_type] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
    [anon_sym_requires] = ACTIONS(4499),
  },
  [1649] = {
    [sym_identifier] = ACTIONS(4493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4495),
    [anon_sym_COMMA] = ACTIONS(4495),
    [anon_sym_RPAREN] = ACTIONS(4495),
    [anon_sym_LPAREN2] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_STAR] = ACTIONS(4495),
    [anon_sym_SLASH] = ACTIONS(4493),
    [anon_sym_PERCENT] = ACTIONS(4495),
    [anon_sym_PIPE_PIPE] = ACTIONS(4495),
    [anon_sym_AMP_AMP] = ACTIONS(4495),
    [anon_sym_PIPE] = ACTIONS(4493),
    [anon_sym_CARET] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(4493),
    [anon_sym_EQ_EQ] = ACTIONS(4495),
    [anon_sym_BANG_EQ] = ACTIONS(4495),
    [anon_sym_GT] = ACTIONS(4493),
    [anon_sym_GT_EQ] = ACTIONS(4495),
    [anon_sym_LT_EQ] = ACTIONS(4493),
    [anon_sym_LT] = ACTIONS(4493),
    [anon_sym_LT_LT] = ACTIONS(4495),
    [anon_sym_GT_GT] = ACTIONS(4495),
    [anon_sym_SEMI] = ACTIONS(4495),
    [anon_sym___extension__] = ACTIONS(4493),
    [anon_sym___attribute__] = ACTIONS(4493),
    [anon_sym_COLON_COLON] = ACTIONS(4495),
    [anon_sym___based] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4495),
    [anon_sym_RBRACE] = ACTIONS(4495),
    [anon_sym_signed] = ACTIONS(4493),
    [anon_sym_unsigned] = ACTIONS(4493),
    [anon_sym_long] = ACTIONS(4493),
    [anon_sym_short] = ACTIONS(4493),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_const] = ACTIONS(4493),
    [anon_sym_constexpr] = ACTIONS(4493),
    [anon_sym_volatile] = ACTIONS(4493),
    [anon_sym_restrict] = ACTIONS(4493),
    [anon_sym___restrict__] = ACTIONS(4493),
    [anon_sym__Atomic] = ACTIONS(4493),
    [anon_sym__Noreturn] = ACTIONS(4493),
    [anon_sym_noreturn] = ACTIONS(4493),
    [anon_sym_mutable] = ACTIONS(4493),
    [anon_sym_constinit] = ACTIONS(4493),
    [anon_sym_consteval] = ACTIONS(4493),
    [anon_sym_alignas] = ACTIONS(4493),
    [anon_sym__Alignas] = ACTIONS(4493),
    [sym_primitive_type] = ACTIONS(4493),
    [anon_sym_COLON] = ACTIONS(4493),
    [anon_sym_QMARK] = ACTIONS(4495),
    [anon_sym_LT_EQ_GT] = ACTIONS(4495),
    [anon_sym_or] = ACTIONS(4493),
    [anon_sym_and] = ACTIONS(4493),
    [anon_sym_bitor] = ACTIONS(4493),
    [anon_sym_xor] = ACTIONS(4493),
    [anon_sym_bitand] = ACTIONS(4493),
    [anon_sym_not_eq] = ACTIONS(4493),
    [anon_sym_DASH_DASH] = ACTIONS(4495),
    [anon_sym_PLUS_PLUS] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_DOT_STAR] = ACTIONS(4495),
    [anon_sym_DASH_GT] = ACTIONS(4495),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4493),
    [anon_sym_decltype] = ACTIONS(4493),
    [anon_sym_final] = ACTIONS(4493),
    [anon_sym_override] = ACTIONS(4493),
    [anon_sym_requires] = ACTIONS(4493),
  },
  [1650] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5762),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6327),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6327),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1651] = {
    [sym__declaration_modifiers] = STATE(3456),
    [sym_attribute_specifier] = STATE(3456),
    [sym_attribute_declaration] = STATE(3456),
    [sym_ms_declspec_modifier] = STATE(3456),
    [sym_ms_based_modifier] = STATE(8088),
    [sym__declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_function_declarator] = STATE(5754),
    [sym_array_declarator] = STATE(5904),
    [sym_storage_class_specifier] = STATE(3456),
    [sym_type_qualifier] = STATE(3456),
    [sym_alignas_qualifier] = STATE(3126),
    [sym_decltype] = STATE(7962),
    [sym_explicit_function_specifier] = STATE(3456),
    [sym_operator_cast] = STATE(6319),
    [sym__constructor_specifiers] = STATE(3456),
    [sym_reference_declarator] = STATE(5904),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5142),
    [sym_qualified_identifier] = STATE(5904),
    [sym_qualified_operator_cast_identifier] = STATE(6319),
    [sym_operator_name] = STATE(5904),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3456),
    [sym_identifier] = ACTIONS(4887),
    [anon_sym_LPAREN2] = ACTIONS(3039),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym___extension__] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4891),
    [anon_sym___attribute__] = ACTIONS(4893),
    [anon_sym_COLON_COLON] = ACTIONS(4895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4897),
    [anon_sym___declspec] = ACTIONS(4899),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3053),
    [anon_sym_static] = ACTIONS(4891),
    [anon_sym_register] = ACTIONS(4891),
    [anon_sym_inline] = ACTIONS(4891),
    [anon_sym___inline] = ACTIONS(4891),
    [anon_sym___inline__] = ACTIONS(4891),
    [anon_sym___forceinline] = ACTIONS(4891),
    [anon_sym_thread_local] = ACTIONS(4891),
    [anon_sym___thread] = ACTIONS(4891),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_constexpr] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_restrict] = ACTIONS(4889),
    [anon_sym___restrict__] = ACTIONS(4889),
    [anon_sym__Atomic] = ACTIONS(4889),
    [anon_sym__Noreturn] = ACTIONS(4889),
    [anon_sym_noreturn] = ACTIONS(4889),
    [anon_sym_mutable] = ACTIONS(4889),
    [anon_sym_constinit] = ACTIONS(4889),
    [anon_sym_consteval] = ACTIONS(4889),
    [anon_sym_alignas] = ACTIONS(4901),
    [anon_sym__Alignas] = ACTIONS(4901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4903),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1652] = {
    [sym_identifier] = ACTIONS(4924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4926),
    [anon_sym_COMMA] = ACTIONS(4926),
    [anon_sym_RPAREN] = ACTIONS(4926),
    [anon_sym_LPAREN2] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4924),
    [anon_sym_STAR] = ACTIONS(4926),
    [anon_sym_SLASH] = ACTIONS(4924),
    [anon_sym_PERCENT] = ACTIONS(4926),
    [anon_sym_PIPE_PIPE] = ACTIONS(4926),
    [anon_sym_AMP_AMP] = ACTIONS(4926),
    [anon_sym_PIPE] = ACTIONS(4924),
    [anon_sym_CARET] = ACTIONS(4926),
    [anon_sym_AMP] = ACTIONS(4924),
    [anon_sym_EQ_EQ] = ACTIONS(4926),
    [anon_sym_BANG_EQ] = ACTIONS(4926),
    [anon_sym_GT] = ACTIONS(4924),
    [anon_sym_GT_EQ] = ACTIONS(4926),
    [anon_sym_LT_EQ] = ACTIONS(4924),
    [anon_sym_LT] = ACTIONS(4924),
    [anon_sym_LT_LT] = ACTIONS(4926),
    [anon_sym_GT_GT] = ACTIONS(4926),
    [anon_sym_SEMI] = ACTIONS(4926),
    [anon_sym___extension__] = ACTIONS(4924),
    [anon_sym___attribute__] = ACTIONS(4924),
    [anon_sym_COLON_COLON] = ACTIONS(4926),
    [anon_sym___based] = ACTIONS(4924),
    [anon_sym_LBRACE] = ACTIONS(4926),
    [anon_sym_RBRACE] = ACTIONS(4926),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [anon_sym_const] = ACTIONS(4924),
    [anon_sym_constexpr] = ACTIONS(4924),
    [anon_sym_volatile] = ACTIONS(4924),
    [anon_sym_restrict] = ACTIONS(4924),
    [anon_sym___restrict__] = ACTIONS(4924),
    [anon_sym__Atomic] = ACTIONS(4924),
    [anon_sym__Noreturn] = ACTIONS(4924),
    [anon_sym_noreturn] = ACTIONS(4924),
    [anon_sym_mutable] = ACTIONS(4924),
    [anon_sym_constinit] = ACTIONS(4924),
    [anon_sym_consteval] = ACTIONS(4924),
    [anon_sym_alignas] = ACTIONS(4924),
    [anon_sym__Alignas] = ACTIONS(4924),
    [sym_primitive_type] = ACTIONS(4924),
    [anon_sym_COLON] = ACTIONS(4924),
    [anon_sym_QMARK] = ACTIONS(4926),
    [anon_sym_LT_EQ_GT] = ACTIONS(4926),
    [anon_sym_or] = ACTIONS(4924),
    [anon_sym_and] = ACTIONS(4924),
    [anon_sym_bitor] = ACTIONS(4924),
    [anon_sym_xor] = ACTIONS(4924),
    [anon_sym_bitand] = ACTIONS(4924),
    [anon_sym_not_eq] = ACTIONS(4924),
    [anon_sym_DASH_DASH] = ACTIONS(4926),
    [anon_sym_PLUS_PLUS] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_DOT_STAR] = ACTIONS(4926),
    [anon_sym_DASH_GT] = ACTIONS(4926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4924),
    [anon_sym_decltype] = ACTIONS(4924),
    [anon_sym_final] = ACTIONS(4924),
    [anon_sym_override] = ACTIONS(4924),
    [anon_sym_requires] = ACTIONS(4924),
  },
  [1653] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4928),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym___based] = ACTIONS(4928),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_signed] = ACTIONS(4928),
    [anon_sym_unsigned] = ACTIONS(4928),
    [anon_sym_long] = ACTIONS(4928),
    [anon_sym_short] = ACTIONS(4928),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4928),
    [anon_sym_constexpr] = ACTIONS(4928),
    [anon_sym_volatile] = ACTIONS(4928),
    [anon_sym_restrict] = ACTIONS(4928),
    [anon_sym___restrict__] = ACTIONS(4928),
    [anon_sym__Atomic] = ACTIONS(4928),
    [anon_sym__Noreturn] = ACTIONS(4928),
    [anon_sym_noreturn] = ACTIONS(4928),
    [anon_sym_mutable] = ACTIONS(4928),
    [anon_sym_constinit] = ACTIONS(4928),
    [anon_sym_consteval] = ACTIONS(4928),
    [anon_sym_alignas] = ACTIONS(4928),
    [anon_sym__Alignas] = ACTIONS(4928),
    [sym_primitive_type] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4928),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
    [anon_sym_final] = ACTIONS(4928),
    [anon_sym_override] = ACTIONS(4928),
    [anon_sym_requires] = ACTIONS(4928),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4932),
    [anon_sym_typedef] = ACTIONS(4932),
    [anon_sym_extern] = ACTIONS(4932),
    [anon_sym___attribute__] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4934),
    [anon_sym___declspec] = ACTIONS(4932),
    [anon_sym___based] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4932),
    [anon_sym_unsigned] = ACTIONS(4932),
    [anon_sym_long] = ACTIONS(4932),
    [anon_sym_short] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4932),
    [anon_sym_inline] = ACTIONS(4932),
    [anon_sym___inline] = ACTIONS(4932),
    [anon_sym___inline__] = ACTIONS(4932),
    [anon_sym___forceinline] = ACTIONS(4932),
    [anon_sym_thread_local] = ACTIONS(4932),
    [anon_sym___thread] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4932),
    [anon_sym_constexpr] = ACTIONS(4932),
    [anon_sym_volatile] = ACTIONS(4932),
    [anon_sym_restrict] = ACTIONS(4932),
    [anon_sym___restrict__] = ACTIONS(4932),
    [anon_sym__Atomic] = ACTIONS(4932),
    [anon_sym__Noreturn] = ACTIONS(4932),
    [anon_sym_noreturn] = ACTIONS(4932),
    [anon_sym_mutable] = ACTIONS(4932),
    [anon_sym_constinit] = ACTIONS(4932),
    [anon_sym_consteval] = ACTIONS(4932),
    [anon_sym_alignas] = ACTIONS(4932),
    [anon_sym__Alignas] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_union] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4932),
    [anon_sym_decltype] = ACTIONS(4932),
    [sym_virtual] = ACTIONS(4932),
    [anon_sym_explicit] = ACTIONS(4932),
    [anon_sym_typename] = ACTIONS(4932),
    [anon_sym_template] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4932),
    [anon_sym_friend] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_protected] = ACTIONS(4932),
    [anon_sym_using] = ACTIONS(4932),
    [anon_sym_static_assert] = ACTIONS(4932),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [1656] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [aux_sym_preproc_else_token1] = ACTIONS(2892),
    [aux_sym_preproc_elif_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_friend] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
  },
  [1657] = {
    [sym_identifier] = ACTIONS(4936),
    [aux_sym_preproc_def_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4936),
    [aux_sym_preproc_else_token1] = ACTIONS(4936),
    [aux_sym_preproc_elif_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4936),
    [sym_preproc_directive] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4938),
    [anon_sym_TILDE] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_AMP_AMP] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_typedef] = ACTIONS(4936),
    [anon_sym_extern] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4938),
    [anon_sym___declspec] = ACTIONS(4936),
    [anon_sym___based] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4936),
    [anon_sym_unsigned] = ACTIONS(4936),
    [anon_sym_long] = ACTIONS(4936),
    [anon_sym_short] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_static] = ACTIONS(4936),
    [anon_sym_register] = ACTIONS(4936),
    [anon_sym_inline] = ACTIONS(4936),
    [anon_sym___inline] = ACTIONS(4936),
    [anon_sym___inline__] = ACTIONS(4936),
    [anon_sym___forceinline] = ACTIONS(4936),
    [anon_sym_thread_local] = ACTIONS(4936),
    [anon_sym___thread] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [sym_primitive_type] = ACTIONS(4936),
    [anon_sym_enum] = ACTIONS(4936),
    [anon_sym_class] = ACTIONS(4936),
    [anon_sym_struct] = ACTIONS(4936),
    [anon_sym_union] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
    [sym_virtual] = ACTIONS(4936),
    [anon_sym_explicit] = ACTIONS(4936),
    [anon_sym_typename] = ACTIONS(4936),
    [anon_sym_template] = ACTIONS(4936),
    [anon_sym_operator] = ACTIONS(4936),
    [anon_sym_friend] = ACTIONS(4936),
    [anon_sym_public] = ACTIONS(4936),
    [anon_sym_private] = ACTIONS(4936),
    [anon_sym_protected] = ACTIONS(4936),
    [anon_sym_using] = ACTIONS(4936),
    [anon_sym_static_assert] = ACTIONS(4936),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [aux_sym_preproc_else_token1] = ACTIONS(2644),
    [aux_sym_preproc_elif_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_friend] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
  },
  [1659] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [aux_sym_preproc_else_token1] = ACTIONS(2892),
    [aux_sym_preproc_elif_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_friend] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [aux_sym_preproc_else_token1] = ACTIONS(2858),
    [aux_sym_preproc_elif_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_friend] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(4940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4942),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(4942),
    [anon_sym_SLASH] = ACTIONS(4940),
    [anon_sym_PERCENT] = ACTIONS(4942),
    [anon_sym_PIPE_PIPE] = ACTIONS(4942),
    [anon_sym_AMP_AMP] = ACTIONS(4942),
    [anon_sym_PIPE] = ACTIONS(4940),
    [anon_sym_CARET] = ACTIONS(4942),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4942),
    [anon_sym_BANG_EQ] = ACTIONS(4942),
    [anon_sym_GT] = ACTIONS(4940),
    [anon_sym_GT_EQ] = ACTIONS(4942),
    [anon_sym_LT_EQ] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_LT_LT] = ACTIONS(4942),
    [anon_sym_GT_GT] = ACTIONS(4942),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4940),
    [anon_sym___based] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4942),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_signed] = ACTIONS(4940),
    [anon_sym_unsigned] = ACTIONS(4940),
    [anon_sym_long] = ACTIONS(4940),
    [anon_sym_short] = ACTIONS(4940),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [sym_primitive_type] = ACTIONS(4940),
    [anon_sym_COLON] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4942),
    [anon_sym_or] = ACTIONS(4940),
    [anon_sym_and] = ACTIONS(4940),
    [anon_sym_bitor] = ACTIONS(4940),
    [anon_sym_xor] = ACTIONS(4940),
    [anon_sym_bitand] = ACTIONS(4940),
    [anon_sym_not_eq] = ACTIONS(4940),
    [anon_sym_DASH_DASH] = ACTIONS(4942),
    [anon_sym_PLUS_PLUS] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_DOT_STAR] = ACTIONS(4942),
    [anon_sym_DASH_GT] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4940),
    [anon_sym_decltype] = ACTIONS(4940),
    [anon_sym_final] = ACTIONS(4940),
    [anon_sym_override] = ACTIONS(4940),
    [anon_sym_requires] = ACTIONS(4940),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(4940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4942),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(4942),
    [anon_sym_SLASH] = ACTIONS(4940),
    [anon_sym_PERCENT] = ACTIONS(4942),
    [anon_sym_PIPE_PIPE] = ACTIONS(4942),
    [anon_sym_AMP_AMP] = ACTIONS(4942),
    [anon_sym_PIPE] = ACTIONS(4940),
    [anon_sym_CARET] = ACTIONS(4942),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4942),
    [anon_sym_BANG_EQ] = ACTIONS(4942),
    [anon_sym_GT] = ACTIONS(4940),
    [anon_sym_GT_EQ] = ACTIONS(4942),
    [anon_sym_LT_EQ] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_LT_LT] = ACTIONS(4942),
    [anon_sym_GT_GT] = ACTIONS(4942),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4940),
    [anon_sym___based] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4942),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_signed] = ACTIONS(4940),
    [anon_sym_unsigned] = ACTIONS(4940),
    [anon_sym_long] = ACTIONS(4940),
    [anon_sym_short] = ACTIONS(4940),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [sym_primitive_type] = ACTIONS(4940),
    [anon_sym_COLON] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4942),
    [anon_sym_or] = ACTIONS(4940),
    [anon_sym_and] = ACTIONS(4940),
    [anon_sym_bitor] = ACTIONS(4940),
    [anon_sym_xor] = ACTIONS(4940),
    [anon_sym_bitand] = ACTIONS(4940),
    [anon_sym_not_eq] = ACTIONS(4940),
    [anon_sym_DASH_DASH] = ACTIONS(4942),
    [anon_sym_PLUS_PLUS] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_DOT_STAR] = ACTIONS(4942),
    [anon_sym_DASH_GT] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4940),
    [anon_sym_decltype] = ACTIONS(4940),
    [anon_sym_final] = ACTIONS(4940),
    [anon_sym_override] = ACTIONS(4940),
    [anon_sym_requires] = ACTIONS(4940),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [aux_sym_preproc_else_token1] = ACTIONS(3011),
    [aux_sym_preproc_elif_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_friend] = ACTIONS(3011),
    [anon_sym_public] = ACTIONS(3011),
    [anon_sym_private] = ACTIONS(3011),
    [anon_sym_protected] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(4944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4946),
    [anon_sym_COMMA] = ACTIONS(4946),
    [anon_sym_RPAREN] = ACTIONS(4946),
    [anon_sym_LPAREN2] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_STAR] = ACTIONS(4946),
    [anon_sym_SLASH] = ACTIONS(4944),
    [anon_sym_PERCENT] = ACTIONS(4946),
    [anon_sym_PIPE_PIPE] = ACTIONS(4946),
    [anon_sym_AMP_AMP] = ACTIONS(4946),
    [anon_sym_PIPE] = ACTIONS(4944),
    [anon_sym_CARET] = ACTIONS(4946),
    [anon_sym_AMP] = ACTIONS(4944),
    [anon_sym_EQ_EQ] = ACTIONS(4946),
    [anon_sym_BANG_EQ] = ACTIONS(4946),
    [anon_sym_GT] = ACTIONS(4944),
    [anon_sym_GT_EQ] = ACTIONS(4946),
    [anon_sym_LT_EQ] = ACTIONS(4944),
    [anon_sym_LT] = ACTIONS(4944),
    [anon_sym_LT_LT] = ACTIONS(4946),
    [anon_sym_GT_GT] = ACTIONS(4946),
    [anon_sym_SEMI] = ACTIONS(4946),
    [anon_sym___extension__] = ACTIONS(4944),
    [anon_sym___attribute__] = ACTIONS(4944),
    [anon_sym___based] = ACTIONS(4944),
    [anon_sym_LBRACE] = ACTIONS(4946),
    [anon_sym_RBRACE] = ACTIONS(4946),
    [anon_sym_signed] = ACTIONS(4944),
    [anon_sym_unsigned] = ACTIONS(4944),
    [anon_sym_long] = ACTIONS(4944),
    [anon_sym_short] = ACTIONS(4944),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [anon_sym_RBRACK] = ACTIONS(4946),
    [anon_sym_const] = ACTIONS(4944),
    [anon_sym_constexpr] = ACTIONS(4944),
    [anon_sym_volatile] = ACTIONS(4944),
    [anon_sym_restrict] = ACTIONS(4944),
    [anon_sym___restrict__] = ACTIONS(4944),
    [anon_sym__Atomic] = ACTIONS(4944),
    [anon_sym__Noreturn] = ACTIONS(4944),
    [anon_sym_noreturn] = ACTIONS(4944),
    [anon_sym_mutable] = ACTIONS(4944),
    [anon_sym_constinit] = ACTIONS(4944),
    [anon_sym_consteval] = ACTIONS(4944),
    [anon_sym_alignas] = ACTIONS(4944),
    [anon_sym__Alignas] = ACTIONS(4944),
    [sym_primitive_type] = ACTIONS(4944),
    [anon_sym_COLON] = ACTIONS(4946),
    [anon_sym_QMARK] = ACTIONS(4946),
    [anon_sym_LT_EQ_GT] = ACTIONS(4946),
    [anon_sym_or] = ACTIONS(4944),
    [anon_sym_and] = ACTIONS(4944),
    [anon_sym_bitor] = ACTIONS(4944),
    [anon_sym_xor] = ACTIONS(4944),
    [anon_sym_bitand] = ACTIONS(4944),
    [anon_sym_not_eq] = ACTIONS(4944),
    [anon_sym_DASH_DASH] = ACTIONS(4946),
    [anon_sym_PLUS_PLUS] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_DOT_STAR] = ACTIONS(4946),
    [anon_sym_DASH_GT] = ACTIONS(4946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4944),
    [anon_sym_decltype] = ACTIONS(4944),
    [anon_sym_final] = ACTIONS(4944),
    [anon_sym_override] = ACTIONS(4944),
    [anon_sym_requires] = ACTIONS(4944),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(4948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4950),
    [anon_sym_COMMA] = ACTIONS(4950),
    [anon_sym_RPAREN] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4948),
    [anon_sym_STAR] = ACTIONS(4950),
    [anon_sym_SLASH] = ACTIONS(4948),
    [anon_sym_PERCENT] = ACTIONS(4950),
    [anon_sym_PIPE_PIPE] = ACTIONS(4950),
    [anon_sym_AMP_AMP] = ACTIONS(4950),
    [anon_sym_PIPE] = ACTIONS(4948),
    [anon_sym_CARET] = ACTIONS(4950),
    [anon_sym_AMP] = ACTIONS(4948),
    [anon_sym_EQ_EQ] = ACTIONS(4950),
    [anon_sym_BANG_EQ] = ACTIONS(4950),
    [anon_sym_GT] = ACTIONS(4948),
    [anon_sym_GT_EQ] = ACTIONS(4950),
    [anon_sym_LT_EQ] = ACTIONS(4948),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4950),
    [anon_sym_GT_GT] = ACTIONS(4950),
    [anon_sym_SEMI] = ACTIONS(4950),
    [anon_sym___extension__] = ACTIONS(4948),
    [anon_sym___attribute__] = ACTIONS(4948),
    [anon_sym___based] = ACTIONS(4948),
    [anon_sym_LBRACE] = ACTIONS(4950),
    [anon_sym_RBRACE] = ACTIONS(4950),
    [anon_sym_signed] = ACTIONS(4948),
    [anon_sym_unsigned] = ACTIONS(4948),
    [anon_sym_long] = ACTIONS(4948),
    [anon_sym_short] = ACTIONS(4948),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [anon_sym_RBRACK] = ACTIONS(4950),
    [anon_sym_const] = ACTIONS(4948),
    [anon_sym_constexpr] = ACTIONS(4948),
    [anon_sym_volatile] = ACTIONS(4948),
    [anon_sym_restrict] = ACTIONS(4948),
    [anon_sym___restrict__] = ACTIONS(4948),
    [anon_sym__Atomic] = ACTIONS(4948),
    [anon_sym__Noreturn] = ACTIONS(4948),
    [anon_sym_noreturn] = ACTIONS(4948),
    [anon_sym_mutable] = ACTIONS(4948),
    [anon_sym_constinit] = ACTIONS(4948),
    [anon_sym_consteval] = ACTIONS(4948),
    [anon_sym_alignas] = ACTIONS(4948),
    [anon_sym__Alignas] = ACTIONS(4948),
    [sym_primitive_type] = ACTIONS(4948),
    [anon_sym_COLON] = ACTIONS(4950),
    [anon_sym_QMARK] = ACTIONS(4950),
    [anon_sym_LT_EQ_GT] = ACTIONS(4950),
    [anon_sym_or] = ACTIONS(4948),
    [anon_sym_and] = ACTIONS(4948),
    [anon_sym_bitor] = ACTIONS(4948),
    [anon_sym_xor] = ACTIONS(4948),
    [anon_sym_bitand] = ACTIONS(4948),
    [anon_sym_not_eq] = ACTIONS(4948),
    [anon_sym_DASH_DASH] = ACTIONS(4950),
    [anon_sym_PLUS_PLUS] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_DOT_STAR] = ACTIONS(4950),
    [anon_sym_DASH_GT] = ACTIONS(4950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4948),
    [anon_sym_decltype] = ACTIONS(4948),
    [anon_sym_final] = ACTIONS(4948),
    [anon_sym_override] = ACTIONS(4948),
    [anon_sym_requires] = ACTIONS(4948),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_friend] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_protected] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
  },
  [1668] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [aux_sym_preproc_else_token1] = ACTIONS(4952),
    [aux_sym_preproc_elif_token1] = ACTIONS(4952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_TILDE] = ACTIONS(4954),
    [anon_sym_STAR] = ACTIONS(4954),
    [anon_sym_AMP_AMP] = ACTIONS(4954),
    [anon_sym_AMP] = ACTIONS(4952),
    [anon_sym___extension__] = ACTIONS(4952),
    [anon_sym_typedef] = ACTIONS(4952),
    [anon_sym_extern] = ACTIONS(4952),
    [anon_sym___attribute__] = ACTIONS(4952),
    [anon_sym_COLON_COLON] = ACTIONS(4954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4954),
    [anon_sym___declspec] = ACTIONS(4952),
    [anon_sym___based] = ACTIONS(4952),
    [anon_sym_signed] = ACTIONS(4952),
    [anon_sym_unsigned] = ACTIONS(4952),
    [anon_sym_long] = ACTIONS(4952),
    [anon_sym_short] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(4952),
    [anon_sym_static] = ACTIONS(4952),
    [anon_sym_register] = ACTIONS(4952),
    [anon_sym_inline] = ACTIONS(4952),
    [anon_sym___inline] = ACTIONS(4952),
    [anon_sym___inline__] = ACTIONS(4952),
    [anon_sym___forceinline] = ACTIONS(4952),
    [anon_sym_thread_local] = ACTIONS(4952),
    [anon_sym___thread] = ACTIONS(4952),
    [anon_sym_const] = ACTIONS(4952),
    [anon_sym_constexpr] = ACTIONS(4952),
    [anon_sym_volatile] = ACTIONS(4952),
    [anon_sym_restrict] = ACTIONS(4952),
    [anon_sym___restrict__] = ACTIONS(4952),
    [anon_sym__Atomic] = ACTIONS(4952),
    [anon_sym__Noreturn] = ACTIONS(4952),
    [anon_sym_noreturn] = ACTIONS(4952),
    [anon_sym_mutable] = ACTIONS(4952),
    [anon_sym_constinit] = ACTIONS(4952),
    [anon_sym_consteval] = ACTIONS(4952),
    [anon_sym_alignas] = ACTIONS(4952),
    [anon_sym__Alignas] = ACTIONS(4952),
    [sym_primitive_type] = ACTIONS(4952),
    [anon_sym_enum] = ACTIONS(4952),
    [anon_sym_class] = ACTIONS(4952),
    [anon_sym_struct] = ACTIONS(4952),
    [anon_sym_union] = ACTIONS(4952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4952),
    [anon_sym_decltype] = ACTIONS(4952),
    [sym_virtual] = ACTIONS(4952),
    [anon_sym_explicit] = ACTIONS(4952),
    [anon_sym_typename] = ACTIONS(4952),
    [anon_sym_template] = ACTIONS(4952),
    [anon_sym_operator] = ACTIONS(4952),
    [anon_sym_friend] = ACTIONS(4952),
    [anon_sym_public] = ACTIONS(4952),
    [anon_sym_private] = ACTIONS(4952),
    [anon_sym_protected] = ACTIONS(4952),
    [anon_sym_using] = ACTIONS(4952),
    [anon_sym_static_assert] = ACTIONS(4952),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(4940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4942),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(4942),
    [anon_sym_SLASH] = ACTIONS(4940),
    [anon_sym_PERCENT] = ACTIONS(4942),
    [anon_sym_PIPE_PIPE] = ACTIONS(4942),
    [anon_sym_AMP_AMP] = ACTIONS(4942),
    [anon_sym_PIPE] = ACTIONS(4940),
    [anon_sym_CARET] = ACTIONS(4942),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4942),
    [anon_sym_BANG_EQ] = ACTIONS(4942),
    [anon_sym_GT] = ACTIONS(4940),
    [anon_sym_GT_EQ] = ACTIONS(4942),
    [anon_sym_LT_EQ] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_LT_LT] = ACTIONS(4942),
    [anon_sym_GT_GT] = ACTIONS(4942),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym___extension__] = ACTIONS(4940),
    [anon_sym___attribute__] = ACTIONS(4940),
    [anon_sym___based] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4942),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_signed] = ACTIONS(4940),
    [anon_sym_unsigned] = ACTIONS(4940),
    [anon_sym_long] = ACTIONS(4940),
    [anon_sym_short] = ACTIONS(4940),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [anon_sym_const] = ACTIONS(4940),
    [anon_sym_constexpr] = ACTIONS(4940),
    [anon_sym_volatile] = ACTIONS(4940),
    [anon_sym_restrict] = ACTIONS(4940),
    [anon_sym___restrict__] = ACTIONS(4940),
    [anon_sym__Atomic] = ACTIONS(4940),
    [anon_sym__Noreturn] = ACTIONS(4940),
    [anon_sym_noreturn] = ACTIONS(4940),
    [anon_sym_mutable] = ACTIONS(4940),
    [anon_sym_constinit] = ACTIONS(4940),
    [anon_sym_consteval] = ACTIONS(4940),
    [anon_sym_alignas] = ACTIONS(4940),
    [anon_sym__Alignas] = ACTIONS(4940),
    [sym_primitive_type] = ACTIONS(4940),
    [anon_sym_COLON] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_LT_EQ_GT] = ACTIONS(4942),
    [anon_sym_or] = ACTIONS(4940),
    [anon_sym_and] = ACTIONS(4940),
    [anon_sym_bitor] = ACTIONS(4940),
    [anon_sym_xor] = ACTIONS(4940),
    [anon_sym_bitand] = ACTIONS(4940),
    [anon_sym_not_eq] = ACTIONS(4940),
    [anon_sym_DASH_DASH] = ACTIONS(4942),
    [anon_sym_PLUS_PLUS] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_DOT_STAR] = ACTIONS(4942),
    [anon_sym_DASH_GT] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4940),
    [anon_sym_decltype] = ACTIONS(4940),
    [anon_sym_final] = ACTIONS(4940),
    [anon_sym_override] = ACTIONS(4940),
    [anon_sym_requires] = ACTIONS(4940),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(4956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4958),
    [anon_sym_COMMA] = ACTIONS(4958),
    [anon_sym_RPAREN] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4958),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4958),
    [anon_sym_SLASH] = ACTIONS(4956),
    [anon_sym_PERCENT] = ACTIONS(4958),
    [anon_sym_PIPE_PIPE] = ACTIONS(4958),
    [anon_sym_AMP_AMP] = ACTIONS(4958),
    [anon_sym_PIPE] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4958),
    [anon_sym_AMP] = ACTIONS(4956),
    [anon_sym_EQ_EQ] = ACTIONS(4958),
    [anon_sym_BANG_EQ] = ACTIONS(4958),
    [anon_sym_GT] = ACTIONS(4956),
    [anon_sym_GT_EQ] = ACTIONS(4958),
    [anon_sym_LT_EQ] = ACTIONS(4956),
    [anon_sym_LT] = ACTIONS(4956),
    [anon_sym_LT_LT] = ACTIONS(4958),
    [anon_sym_GT_GT] = ACTIONS(4958),
    [anon_sym_SEMI] = ACTIONS(4958),
    [anon_sym___extension__] = ACTIONS(4956),
    [anon_sym___attribute__] = ACTIONS(4956),
    [anon_sym___based] = ACTIONS(4956),
    [anon_sym_LBRACE] = ACTIONS(4958),
    [anon_sym_RBRACE] = ACTIONS(4958),
    [anon_sym_signed] = ACTIONS(4956),
    [anon_sym_unsigned] = ACTIONS(4956),
    [anon_sym_long] = ACTIONS(4956),
    [anon_sym_short] = ACTIONS(4956),
    [anon_sym_LBRACK] = ACTIONS(4958),
    [anon_sym_RBRACK] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4956),
    [anon_sym_constexpr] = ACTIONS(4956),
    [anon_sym_volatile] = ACTIONS(4956),
    [anon_sym_restrict] = ACTIONS(4956),
    [anon_sym___restrict__] = ACTIONS(4956),
    [anon_sym__Atomic] = ACTIONS(4956),
    [anon_sym__Noreturn] = ACTIONS(4956),
    [anon_sym_noreturn] = ACTIONS(4956),
    [anon_sym_mutable] = ACTIONS(4956),
    [anon_sym_constinit] = ACTIONS(4956),
    [anon_sym_consteval] = ACTIONS(4956),
    [anon_sym_alignas] = ACTIONS(4956),
    [anon_sym__Alignas] = ACTIONS(4956),
    [sym_primitive_type] = ACTIONS(4956),
    [anon_sym_COLON] = ACTIONS(4958),
    [anon_sym_QMARK] = ACTIONS(4958),
    [anon_sym_LT_EQ_GT] = ACTIONS(4958),
    [anon_sym_or] = ACTIONS(4956),
    [anon_sym_and] = ACTIONS(4956),
    [anon_sym_bitor] = ACTIONS(4956),
    [anon_sym_xor] = ACTIONS(4956),
    [anon_sym_bitand] = ACTIONS(4956),
    [anon_sym_not_eq] = ACTIONS(4956),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_DOT] = ACTIONS(4956),
    [anon_sym_DOT_STAR] = ACTIONS(4958),
    [anon_sym_DASH_GT] = ACTIONS(4958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4956),
    [anon_sym_decltype] = ACTIONS(4956),
    [anon_sym_final] = ACTIONS(4956),
    [anon_sym_override] = ACTIONS(4956),
    [anon_sym_requires] = ACTIONS(4956),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_friend] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_protected] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(4960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4962),
    [anon_sym_COMMA] = ACTIONS(4962),
    [anon_sym_RPAREN] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4962),
    [anon_sym_DASH] = ACTIONS(4960),
    [anon_sym_PLUS] = ACTIONS(4960),
    [anon_sym_STAR] = ACTIONS(4962),
    [anon_sym_SLASH] = ACTIONS(4960),
    [anon_sym_PERCENT] = ACTIONS(4962),
    [anon_sym_PIPE_PIPE] = ACTIONS(4962),
    [anon_sym_AMP_AMP] = ACTIONS(4962),
    [anon_sym_PIPE] = ACTIONS(4960),
    [anon_sym_CARET] = ACTIONS(4962),
    [anon_sym_AMP] = ACTIONS(4960),
    [anon_sym_EQ_EQ] = ACTIONS(4962),
    [anon_sym_BANG_EQ] = ACTIONS(4962),
    [anon_sym_GT] = ACTIONS(4960),
    [anon_sym_GT_EQ] = ACTIONS(4962),
    [anon_sym_LT_EQ] = ACTIONS(4960),
    [anon_sym_LT] = ACTIONS(4960),
    [anon_sym_LT_LT] = ACTIONS(4962),
    [anon_sym_GT_GT] = ACTIONS(4962),
    [anon_sym_SEMI] = ACTIONS(4962),
    [anon_sym___extension__] = ACTIONS(4960),
    [anon_sym___attribute__] = ACTIONS(4960),
    [anon_sym___based] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(4962),
    [anon_sym_RBRACE] = ACTIONS(4962),
    [anon_sym_signed] = ACTIONS(4960),
    [anon_sym_unsigned] = ACTIONS(4960),
    [anon_sym_long] = ACTIONS(4960),
    [anon_sym_short] = ACTIONS(4960),
    [anon_sym_LBRACK] = ACTIONS(4962),
    [anon_sym_RBRACK] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_constexpr] = ACTIONS(4960),
    [anon_sym_volatile] = ACTIONS(4960),
    [anon_sym_restrict] = ACTIONS(4960),
    [anon_sym___restrict__] = ACTIONS(4960),
    [anon_sym__Atomic] = ACTIONS(4960),
    [anon_sym__Noreturn] = ACTIONS(4960),
    [anon_sym_noreturn] = ACTIONS(4960),
    [anon_sym_mutable] = ACTIONS(4960),
    [anon_sym_constinit] = ACTIONS(4960),
    [anon_sym_consteval] = ACTIONS(4960),
    [anon_sym_alignas] = ACTIONS(4960),
    [anon_sym__Alignas] = ACTIONS(4960),
    [sym_primitive_type] = ACTIONS(4960),
    [anon_sym_COLON] = ACTIONS(4962),
    [anon_sym_QMARK] = ACTIONS(4962),
    [anon_sym_LT_EQ_GT] = ACTIONS(4962),
    [anon_sym_or] = ACTIONS(4960),
    [anon_sym_and] = ACTIONS(4960),
    [anon_sym_bitor] = ACTIONS(4960),
    [anon_sym_xor] = ACTIONS(4960),
    [anon_sym_bitand] = ACTIONS(4960),
    [anon_sym_not_eq] = ACTIONS(4960),
    [anon_sym_DASH_DASH] = ACTIONS(4962),
    [anon_sym_PLUS_PLUS] = ACTIONS(4962),
    [anon_sym_DOT] = ACTIONS(4960),
    [anon_sym_DOT_STAR] = ACTIONS(4962),
    [anon_sym_DASH_GT] = ACTIONS(4962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4960),
    [anon_sym_decltype] = ACTIONS(4960),
    [anon_sym_final] = ACTIONS(4960),
    [anon_sym_override] = ACTIONS(4960),
    [anon_sym_requires] = ACTIONS(4960),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_protected] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(4964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4966),
    [anon_sym_COMMA] = ACTIONS(4966),
    [anon_sym_RPAREN] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(4966),
    [anon_sym_DASH] = ACTIONS(4964),
    [anon_sym_PLUS] = ACTIONS(4964),
    [anon_sym_STAR] = ACTIONS(4966),
    [anon_sym_SLASH] = ACTIONS(4964),
    [anon_sym_PERCENT] = ACTIONS(4966),
    [anon_sym_PIPE_PIPE] = ACTIONS(4966),
    [anon_sym_AMP_AMP] = ACTIONS(4966),
    [anon_sym_PIPE] = ACTIONS(4964),
    [anon_sym_CARET] = ACTIONS(4966),
    [anon_sym_AMP] = ACTIONS(4964),
    [anon_sym_EQ_EQ] = ACTIONS(4966),
    [anon_sym_BANG_EQ] = ACTIONS(4966),
    [anon_sym_GT] = ACTIONS(4964),
    [anon_sym_GT_EQ] = ACTIONS(4966),
    [anon_sym_LT_EQ] = ACTIONS(4964),
    [anon_sym_LT] = ACTIONS(4964),
    [anon_sym_LT_LT] = ACTIONS(4966),
    [anon_sym_GT_GT] = ACTIONS(4966),
    [anon_sym_SEMI] = ACTIONS(4966),
    [anon_sym___extension__] = ACTIONS(4964),
    [anon_sym___attribute__] = ACTIONS(4964),
    [anon_sym___based] = ACTIONS(4964),
    [anon_sym_LBRACE] = ACTIONS(4966),
    [anon_sym_RBRACE] = ACTIONS(4966),
    [anon_sym_signed] = ACTIONS(4964),
    [anon_sym_unsigned] = ACTIONS(4964),
    [anon_sym_long] = ACTIONS(4964),
    [anon_sym_short] = ACTIONS(4964),
    [anon_sym_LBRACK] = ACTIONS(4966),
    [anon_sym_RBRACK] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4964),
    [anon_sym_constexpr] = ACTIONS(4964),
    [anon_sym_volatile] = ACTIONS(4964),
    [anon_sym_restrict] = ACTIONS(4964),
    [anon_sym___restrict__] = ACTIONS(4964),
    [anon_sym__Atomic] = ACTIONS(4964),
    [anon_sym__Noreturn] = ACTIONS(4964),
    [anon_sym_noreturn] = ACTIONS(4964),
    [anon_sym_mutable] = ACTIONS(4964),
    [anon_sym_constinit] = ACTIONS(4964),
    [anon_sym_consteval] = ACTIONS(4964),
    [anon_sym_alignas] = ACTIONS(4964),
    [anon_sym__Alignas] = ACTIONS(4964),
    [sym_primitive_type] = ACTIONS(4964),
    [anon_sym_COLON] = ACTIONS(4966),
    [anon_sym_QMARK] = ACTIONS(4966),
    [anon_sym_LT_EQ_GT] = ACTIONS(4966),
    [anon_sym_or] = ACTIONS(4964),
    [anon_sym_and] = ACTIONS(4964),
    [anon_sym_bitor] = ACTIONS(4964),
    [anon_sym_xor] = ACTIONS(4964),
    [anon_sym_bitand] = ACTIONS(4964),
    [anon_sym_not_eq] = ACTIONS(4964),
    [anon_sym_DASH_DASH] = ACTIONS(4966),
    [anon_sym_PLUS_PLUS] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(4964),
    [anon_sym_DOT_STAR] = ACTIONS(4966),
    [anon_sym_DASH_GT] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4964),
    [anon_sym_decltype] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4964),
    [anon_sym_requires] = ACTIONS(4964),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(4968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4970),
    [anon_sym_COMMA] = ACTIONS(4970),
    [anon_sym_RPAREN] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_DASH] = ACTIONS(4968),
    [anon_sym_PLUS] = ACTIONS(4968),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_SLASH] = ACTIONS(4968),
    [anon_sym_PERCENT] = ACTIONS(4970),
    [anon_sym_PIPE_PIPE] = ACTIONS(4970),
    [anon_sym_AMP_AMP] = ACTIONS(4970),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_CARET] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(4968),
    [anon_sym_EQ_EQ] = ACTIONS(4970),
    [anon_sym_BANG_EQ] = ACTIONS(4970),
    [anon_sym_GT] = ACTIONS(4968),
    [anon_sym_GT_EQ] = ACTIONS(4970),
    [anon_sym_LT_EQ] = ACTIONS(4968),
    [anon_sym_LT] = ACTIONS(4968),
    [anon_sym_LT_LT] = ACTIONS(4970),
    [anon_sym_GT_GT] = ACTIONS(4970),
    [anon_sym_SEMI] = ACTIONS(4970),
    [anon_sym___extension__] = ACTIONS(4968),
    [anon_sym___attribute__] = ACTIONS(4968),
    [anon_sym___based] = ACTIONS(4968),
    [anon_sym_LBRACE] = ACTIONS(4970),
    [anon_sym_RBRACE] = ACTIONS(4970),
    [anon_sym_signed] = ACTIONS(4968),
    [anon_sym_unsigned] = ACTIONS(4968),
    [anon_sym_long] = ACTIONS(4968),
    [anon_sym_short] = ACTIONS(4968),
    [anon_sym_LBRACK] = ACTIONS(4970),
    [anon_sym_RBRACK] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4968),
    [anon_sym_constexpr] = ACTIONS(4968),
    [anon_sym_volatile] = ACTIONS(4968),
    [anon_sym_restrict] = ACTIONS(4968),
    [anon_sym___restrict__] = ACTIONS(4968),
    [anon_sym__Atomic] = ACTIONS(4968),
    [anon_sym__Noreturn] = ACTIONS(4968),
    [anon_sym_noreturn] = ACTIONS(4968),
    [anon_sym_mutable] = ACTIONS(4968),
    [anon_sym_constinit] = ACTIONS(4968),
    [anon_sym_consteval] = ACTIONS(4968),
    [anon_sym_alignas] = ACTIONS(4968),
    [anon_sym__Alignas] = ACTIONS(4968),
    [sym_primitive_type] = ACTIONS(4968),
    [anon_sym_COLON] = ACTIONS(4970),
    [anon_sym_QMARK] = ACTIONS(4970),
    [anon_sym_LT_EQ_GT] = ACTIONS(4970),
    [anon_sym_or] = ACTIONS(4968),
    [anon_sym_and] = ACTIONS(4968),
    [anon_sym_bitor] = ACTIONS(4968),
    [anon_sym_xor] = ACTIONS(4968),
    [anon_sym_bitand] = ACTIONS(4968),
    [anon_sym_not_eq] = ACTIONS(4968),
    [anon_sym_DASH_DASH] = ACTIONS(4970),
    [anon_sym_PLUS_PLUS] = ACTIONS(4970),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_DOT_STAR] = ACTIONS(4970),
    [anon_sym_DASH_GT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4968),
    [anon_sym_decltype] = ACTIONS(4968),
    [anon_sym_final] = ACTIONS(4968),
    [anon_sym_override] = ACTIONS(4968),
    [anon_sym_requires] = ACTIONS(4968),
  },
  [1677] = {
    [sym_template_argument_list] = STATE(1806),
    [sym_identifier] = ACTIONS(4972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3794),
    [anon_sym_COMMA] = ACTIONS(3794),
    [anon_sym_RPAREN] = ACTIONS(3794),
    [aux_sym_preproc_if_token2] = ACTIONS(3794),
    [aux_sym_preproc_else_token1] = ACTIONS(3794),
    [aux_sym_preproc_elif_token1] = ACTIONS(4972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3794),
    [anon_sym_LPAREN2] = ACTIONS(3794),
    [anon_sym_DASH] = ACTIONS(4972),
    [anon_sym_PLUS] = ACTIONS(4972),
    [anon_sym_STAR] = ACTIONS(4972),
    [anon_sym_SLASH] = ACTIONS(4972),
    [anon_sym_PERCENT] = ACTIONS(4972),
    [anon_sym_PIPE_PIPE] = ACTIONS(3794),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(4972),
    [anon_sym_CARET] = ACTIONS(4972),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_EQ_EQ] = ACTIONS(3794),
    [anon_sym_BANG_EQ] = ACTIONS(3794),
    [anon_sym_GT] = ACTIONS(4972),
    [anon_sym_GT_EQ] = ACTIONS(3794),
    [anon_sym_LT_EQ] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(4972),
    [anon_sym_GT_GT] = ACTIONS(4972),
    [anon_sym_SEMI] = ACTIONS(3794),
    [anon_sym___attribute__] = ACTIONS(4972),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_RBRACK] = ACTIONS(3794),
    [anon_sym_EQ] = ACTIONS(4972),
    [anon_sym_COLON] = ACTIONS(4972),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_STAR_EQ] = ACTIONS(3794),
    [anon_sym_SLASH_EQ] = ACTIONS(3794),
    [anon_sym_PERCENT_EQ] = ACTIONS(3794),
    [anon_sym_PLUS_EQ] = ACTIONS(3794),
    [anon_sym_DASH_EQ] = ACTIONS(3794),
    [anon_sym_LT_LT_EQ] = ACTIONS(3794),
    [anon_sym_GT_GT_EQ] = ACTIONS(3794),
    [anon_sym_AMP_EQ] = ACTIONS(3794),
    [anon_sym_CARET_EQ] = ACTIONS(3794),
    [anon_sym_PIPE_EQ] = ACTIONS(3794),
    [anon_sym_and_eq] = ACTIONS(4972),
    [anon_sym_or_eq] = ACTIONS(4972),
    [anon_sym_xor_eq] = ACTIONS(4972),
    [anon_sym_LT_EQ_GT] = ACTIONS(3794),
    [anon_sym_or] = ACTIONS(4972),
    [anon_sym_and] = ACTIONS(4972),
    [anon_sym_bitor] = ACTIONS(4972),
    [anon_sym_xor] = ACTIONS(4972),
    [anon_sym_bitand] = ACTIONS(4972),
    [anon_sym_not_eq] = ACTIONS(4972),
    [anon_sym_DASH_DASH] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3794),
    [anon_sym_DOT] = ACTIONS(4972),
    [anon_sym_DOT_STAR] = ACTIONS(3794),
    [anon_sym_DASH_GT] = ACTIONS(3794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4972),
    [anon_sym_decltype] = ACTIONS(4972),
    [anon_sym_final] = ACTIONS(4972),
    [anon_sym_override] = ACTIONS(4972),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_friend] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_friend] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [aux_sym_preproc_else_token1] = ACTIONS(2596),
    [aux_sym_preproc_elif_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_friend] = ACTIONS(2596),
    [anon_sym_public] = ACTIONS(2596),
    [anon_sym_private] = ACTIONS(2596),
    [anon_sym_protected] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_RBRACK] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym__Alignas] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(4976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4978),
    [anon_sym_COMMA] = ACTIONS(4978),
    [anon_sym_RPAREN] = ACTIONS(4978),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_DASH] = ACTIONS(4976),
    [anon_sym_PLUS] = ACTIONS(4976),
    [anon_sym_STAR] = ACTIONS(4978),
    [anon_sym_SLASH] = ACTIONS(4976),
    [anon_sym_PERCENT] = ACTIONS(4978),
    [anon_sym_PIPE_PIPE] = ACTIONS(4978),
    [anon_sym_AMP_AMP] = ACTIONS(4978),
    [anon_sym_PIPE] = ACTIONS(4976),
    [anon_sym_CARET] = ACTIONS(4978),
    [anon_sym_AMP] = ACTIONS(4976),
    [anon_sym_EQ_EQ] = ACTIONS(4978),
    [anon_sym_BANG_EQ] = ACTIONS(4978),
    [anon_sym_GT] = ACTIONS(4976),
    [anon_sym_GT_EQ] = ACTIONS(4978),
    [anon_sym_LT_EQ] = ACTIONS(4976),
    [anon_sym_LT] = ACTIONS(4976),
    [anon_sym_LT_LT] = ACTIONS(4978),
    [anon_sym_GT_GT] = ACTIONS(4978),
    [anon_sym_SEMI] = ACTIONS(4978),
    [anon_sym___extension__] = ACTIONS(4976),
    [anon_sym___attribute__] = ACTIONS(4976),
    [anon_sym___based] = ACTIONS(4976),
    [anon_sym_LBRACE] = ACTIONS(4978),
    [anon_sym_RBRACE] = ACTIONS(4978),
    [anon_sym_signed] = ACTIONS(4976),
    [anon_sym_unsigned] = ACTIONS(4976),
    [anon_sym_long] = ACTIONS(4976),
    [anon_sym_short] = ACTIONS(4976),
    [anon_sym_LBRACK] = ACTIONS(4978),
    [anon_sym_RBRACK] = ACTIONS(4978),
    [anon_sym_const] = ACTIONS(4976),
    [anon_sym_constexpr] = ACTIONS(4976),
    [anon_sym_volatile] = ACTIONS(4976),
    [anon_sym_restrict] = ACTIONS(4976),
    [anon_sym___restrict__] = ACTIONS(4976),
    [anon_sym__Atomic] = ACTIONS(4976),
    [anon_sym__Noreturn] = ACTIONS(4976),
    [anon_sym_noreturn] = ACTIONS(4976),
    [anon_sym_mutable] = ACTIONS(4976),
    [anon_sym_constinit] = ACTIONS(4976),
    [anon_sym_consteval] = ACTIONS(4976),
    [anon_sym_alignas] = ACTIONS(4976),
    [anon_sym__Alignas] = ACTIONS(4976),
    [sym_primitive_type] = ACTIONS(4976),
    [anon_sym_COLON] = ACTIONS(4978),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_LT_EQ_GT] = ACTIONS(4978),
    [anon_sym_or] = ACTIONS(4976),
    [anon_sym_and] = ACTIONS(4976),
    [anon_sym_bitor] = ACTIONS(4976),
    [anon_sym_xor] = ACTIONS(4976),
    [anon_sym_bitand] = ACTIONS(4976),
    [anon_sym_not_eq] = ACTIONS(4976),
    [anon_sym_DASH_DASH] = ACTIONS(4978),
    [anon_sym_PLUS_PLUS] = ACTIONS(4978),
    [anon_sym_DOT] = ACTIONS(4976),
    [anon_sym_DOT_STAR] = ACTIONS(4978),
    [anon_sym_DASH_GT] = ACTIONS(4978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4976),
    [anon_sym_decltype] = ACTIONS(4976),
    [anon_sym_final] = ACTIONS(4976),
    [anon_sym_override] = ACTIONS(4976),
    [anon_sym_requires] = ACTIONS(4976),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_COMMA] = ACTIONS(4982),
    [anon_sym_RPAREN] = ACTIONS(4982),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_DASH] = ACTIONS(4980),
    [anon_sym_PLUS] = ACTIONS(4980),
    [anon_sym_STAR] = ACTIONS(4982),
    [anon_sym_SLASH] = ACTIONS(4980),
    [anon_sym_PERCENT] = ACTIONS(4982),
    [anon_sym_PIPE_PIPE] = ACTIONS(4982),
    [anon_sym_AMP_AMP] = ACTIONS(4982),
    [anon_sym_PIPE] = ACTIONS(4980),
    [anon_sym_CARET] = ACTIONS(4982),
    [anon_sym_AMP] = ACTIONS(4980),
    [anon_sym_EQ_EQ] = ACTIONS(4982),
    [anon_sym_BANG_EQ] = ACTIONS(4982),
    [anon_sym_GT] = ACTIONS(4980),
    [anon_sym_GT_EQ] = ACTIONS(4982),
    [anon_sym_LT_EQ] = ACTIONS(4980),
    [anon_sym_LT] = ACTIONS(4980),
    [anon_sym_LT_LT] = ACTIONS(4982),
    [anon_sym_GT_GT] = ACTIONS(4982),
    [anon_sym_SEMI] = ACTIONS(4982),
    [anon_sym___extension__] = ACTIONS(4980),
    [anon_sym___attribute__] = ACTIONS(4980),
    [anon_sym___based] = ACTIONS(4980),
    [anon_sym_LBRACE] = ACTIONS(4982),
    [anon_sym_RBRACE] = ACTIONS(4982),
    [anon_sym_signed] = ACTIONS(4980),
    [anon_sym_unsigned] = ACTIONS(4980),
    [anon_sym_long] = ACTIONS(4980),
    [anon_sym_short] = ACTIONS(4980),
    [anon_sym_LBRACK] = ACTIONS(4982),
    [anon_sym_RBRACK] = ACTIONS(4982),
    [anon_sym_const] = ACTIONS(4980),
    [anon_sym_constexpr] = ACTIONS(4980),
    [anon_sym_volatile] = ACTIONS(4980),
    [anon_sym_restrict] = ACTIONS(4980),
    [anon_sym___restrict__] = ACTIONS(4980),
    [anon_sym__Atomic] = ACTIONS(4980),
    [anon_sym__Noreturn] = ACTIONS(4980),
    [anon_sym_noreturn] = ACTIONS(4980),
    [anon_sym_mutable] = ACTIONS(4980),
    [anon_sym_constinit] = ACTIONS(4980),
    [anon_sym_consteval] = ACTIONS(4980),
    [anon_sym_alignas] = ACTIONS(4980),
    [anon_sym__Alignas] = ACTIONS(4980),
    [sym_primitive_type] = ACTIONS(4980),
    [anon_sym_COLON] = ACTIONS(4982),
    [anon_sym_QMARK] = ACTIONS(4982),
    [anon_sym_LT_EQ_GT] = ACTIONS(4982),
    [anon_sym_or] = ACTIONS(4980),
    [anon_sym_and] = ACTIONS(4980),
    [anon_sym_bitor] = ACTIONS(4980),
    [anon_sym_xor] = ACTIONS(4980),
    [anon_sym_bitand] = ACTIONS(4980),
    [anon_sym_not_eq] = ACTIONS(4980),
    [anon_sym_DASH_DASH] = ACTIONS(4982),
    [anon_sym_PLUS_PLUS] = ACTIONS(4982),
    [anon_sym_DOT] = ACTIONS(4980),
    [anon_sym_DOT_STAR] = ACTIONS(4982),
    [anon_sym_DASH_GT] = ACTIONS(4982),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4980),
    [anon_sym_decltype] = ACTIONS(4980),
    [anon_sym_final] = ACTIONS(4980),
    [anon_sym_override] = ACTIONS(4980),
    [anon_sym_requires] = ACTIONS(4980),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(4984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4986),
    [anon_sym_COMMA] = ACTIONS(4986),
    [anon_sym_RPAREN] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_DASH] = ACTIONS(4984),
    [anon_sym_PLUS] = ACTIONS(4984),
    [anon_sym_STAR] = ACTIONS(4986),
    [anon_sym_SLASH] = ACTIONS(4984),
    [anon_sym_PERCENT] = ACTIONS(4986),
    [anon_sym_PIPE_PIPE] = ACTIONS(4986),
    [anon_sym_AMP_AMP] = ACTIONS(4986),
    [anon_sym_PIPE] = ACTIONS(4984),
    [anon_sym_CARET] = ACTIONS(4986),
    [anon_sym_AMP] = ACTIONS(4984),
    [anon_sym_EQ_EQ] = ACTIONS(4986),
    [anon_sym_BANG_EQ] = ACTIONS(4986),
    [anon_sym_GT] = ACTIONS(4984),
    [anon_sym_GT_EQ] = ACTIONS(4986),
    [anon_sym_LT_EQ] = ACTIONS(4984),
    [anon_sym_LT] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4986),
    [anon_sym_GT_GT] = ACTIONS(4986),
    [anon_sym_SEMI] = ACTIONS(4986),
    [anon_sym___extension__] = ACTIONS(4984),
    [anon_sym___attribute__] = ACTIONS(4984),
    [anon_sym___based] = ACTIONS(4984),
    [anon_sym_LBRACE] = ACTIONS(4986),
    [anon_sym_RBRACE] = ACTIONS(4986),
    [anon_sym_signed] = ACTIONS(4984),
    [anon_sym_unsigned] = ACTIONS(4984),
    [anon_sym_long] = ACTIONS(4984),
    [anon_sym_short] = ACTIONS(4984),
    [anon_sym_LBRACK] = ACTIONS(4986),
    [anon_sym_RBRACK] = ACTIONS(4986),
    [anon_sym_const] = ACTIONS(4984),
    [anon_sym_constexpr] = ACTIONS(4984),
    [anon_sym_volatile] = ACTIONS(4984),
    [anon_sym_restrict] = ACTIONS(4984),
    [anon_sym___restrict__] = ACTIONS(4984),
    [anon_sym__Atomic] = ACTIONS(4984),
    [anon_sym__Noreturn] = ACTIONS(4984),
    [anon_sym_noreturn] = ACTIONS(4984),
    [anon_sym_mutable] = ACTIONS(4984),
    [anon_sym_constinit] = ACTIONS(4984),
    [anon_sym_consteval] = ACTIONS(4984),
    [anon_sym_alignas] = ACTIONS(4984),
    [anon_sym__Alignas] = ACTIONS(4984),
    [sym_primitive_type] = ACTIONS(4984),
    [anon_sym_COLON] = ACTIONS(4986),
    [anon_sym_QMARK] = ACTIONS(4986),
    [anon_sym_LT_EQ_GT] = ACTIONS(4986),
    [anon_sym_or] = ACTIONS(4984),
    [anon_sym_and] = ACTIONS(4984),
    [anon_sym_bitor] = ACTIONS(4984),
    [anon_sym_xor] = ACTIONS(4984),
    [anon_sym_bitand] = ACTIONS(4984),
    [anon_sym_not_eq] = ACTIONS(4984),
    [anon_sym_DASH_DASH] = ACTIONS(4986),
    [anon_sym_PLUS_PLUS] = ACTIONS(4986),
    [anon_sym_DOT] = ACTIONS(4984),
    [anon_sym_DOT_STAR] = ACTIONS(4986),
    [anon_sym_DASH_GT] = ACTIONS(4986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4984),
    [anon_sym_decltype] = ACTIONS(4984),
    [anon_sym_final] = ACTIONS(4984),
    [anon_sym_override] = ACTIONS(4984),
    [anon_sym_requires] = ACTIONS(4984),
  },
  [1687] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [aux_sym_preproc_else_token1] = ACTIONS(4988),
    [aux_sym_preproc_elif_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4990),
    [anon_sym_TILDE] = ACTIONS(4990),
    [anon_sym_STAR] = ACTIONS(4990),
    [anon_sym_AMP_AMP] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(4988),
    [anon_sym___extension__] = ACTIONS(4988),
    [anon_sym_typedef] = ACTIONS(4988),
    [anon_sym_extern] = ACTIONS(4988),
    [anon_sym___attribute__] = ACTIONS(4988),
    [anon_sym_COLON_COLON] = ACTIONS(4990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4990),
    [anon_sym___declspec] = ACTIONS(4988),
    [anon_sym___based] = ACTIONS(4988),
    [anon_sym_signed] = ACTIONS(4988),
    [anon_sym_unsigned] = ACTIONS(4988),
    [anon_sym_long] = ACTIONS(4988),
    [anon_sym_short] = ACTIONS(4988),
    [anon_sym_LBRACK] = ACTIONS(4988),
    [anon_sym_static] = ACTIONS(4988),
    [anon_sym_register] = ACTIONS(4988),
    [anon_sym_inline] = ACTIONS(4988),
    [anon_sym___inline] = ACTIONS(4988),
    [anon_sym___inline__] = ACTIONS(4988),
    [anon_sym___forceinline] = ACTIONS(4988),
    [anon_sym_thread_local] = ACTIONS(4988),
    [anon_sym___thread] = ACTIONS(4988),
    [anon_sym_const] = ACTIONS(4988),
    [anon_sym_constexpr] = ACTIONS(4988),
    [anon_sym_volatile] = ACTIONS(4988),
    [anon_sym_restrict] = ACTIONS(4988),
    [anon_sym___restrict__] = ACTIONS(4988),
    [anon_sym__Atomic] = ACTIONS(4988),
    [anon_sym__Noreturn] = ACTIONS(4988),
    [anon_sym_noreturn] = ACTIONS(4988),
    [anon_sym_mutable] = ACTIONS(4988),
    [anon_sym_constinit] = ACTIONS(4988),
    [anon_sym_consteval] = ACTIONS(4988),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [sym_primitive_type] = ACTIONS(4988),
    [anon_sym_enum] = ACTIONS(4988),
    [anon_sym_class] = ACTIONS(4988),
    [anon_sym_struct] = ACTIONS(4988),
    [anon_sym_union] = ACTIONS(4988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4988),
    [anon_sym_decltype] = ACTIONS(4988),
    [sym_virtual] = ACTIONS(4988),
    [anon_sym_explicit] = ACTIONS(4988),
    [anon_sym_typename] = ACTIONS(4988),
    [anon_sym_template] = ACTIONS(4988),
    [anon_sym_operator] = ACTIONS(4988),
    [anon_sym_friend] = ACTIONS(4988),
    [anon_sym_public] = ACTIONS(4988),
    [anon_sym_private] = ACTIONS(4988),
    [anon_sym_protected] = ACTIONS(4988),
    [anon_sym_using] = ACTIONS(4988),
    [anon_sym_static_assert] = ACTIONS(4988),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [aux_sym_preproc_else_token1] = ACTIONS(4992),
    [aux_sym_preproc_elif_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym__Alignas] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [aux_sym_preproc_else_token1] = ACTIONS(4996),
    [aux_sym_preproc_elif_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4998),
    [anon_sym_TILDE] = ACTIONS(4998),
    [anon_sym_STAR] = ACTIONS(4998),
    [anon_sym_AMP_AMP] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4996),
    [anon_sym_typedef] = ACTIONS(4996),
    [anon_sym_extern] = ACTIONS(4996),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym_COLON_COLON] = ACTIONS(4998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4998),
    [anon_sym___declspec] = ACTIONS(4996),
    [anon_sym___based] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(4996),
    [anon_sym_unsigned] = ACTIONS(4996),
    [anon_sym_long] = ACTIONS(4996),
    [anon_sym_short] = ACTIONS(4996),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_static] = ACTIONS(4996),
    [anon_sym_register] = ACTIONS(4996),
    [anon_sym_inline] = ACTIONS(4996),
    [anon_sym___inline] = ACTIONS(4996),
    [anon_sym___inline__] = ACTIONS(4996),
    [anon_sym___forceinline] = ACTIONS(4996),
    [anon_sym_thread_local] = ACTIONS(4996),
    [anon_sym___thread] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4996),
    [anon_sym_constexpr] = ACTIONS(4996),
    [anon_sym_volatile] = ACTIONS(4996),
    [anon_sym_restrict] = ACTIONS(4996),
    [anon_sym___restrict__] = ACTIONS(4996),
    [anon_sym__Atomic] = ACTIONS(4996),
    [anon_sym__Noreturn] = ACTIONS(4996),
    [anon_sym_noreturn] = ACTIONS(4996),
    [anon_sym_mutable] = ACTIONS(4996),
    [anon_sym_constinit] = ACTIONS(4996),
    [anon_sym_consteval] = ACTIONS(4996),
    [anon_sym_alignas] = ACTIONS(4996),
    [anon_sym__Alignas] = ACTIONS(4996),
    [sym_primitive_type] = ACTIONS(4996),
    [anon_sym_enum] = ACTIONS(4996),
    [anon_sym_class] = ACTIONS(4996),
    [anon_sym_struct] = ACTIONS(4996),
    [anon_sym_union] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [sym_virtual] = ACTIONS(4996),
    [anon_sym_explicit] = ACTIONS(4996),
    [anon_sym_typename] = ACTIONS(4996),
    [anon_sym_template] = ACTIONS(4996),
    [anon_sym_operator] = ACTIONS(4996),
    [anon_sym_friend] = ACTIONS(4996),
    [anon_sym_public] = ACTIONS(4996),
    [anon_sym_private] = ACTIONS(4996),
    [anon_sym_protected] = ACTIONS(4996),
    [anon_sym_using] = ACTIONS(4996),
    [anon_sym_static_assert] = ACTIONS(4996),
  },
  [1691] = {
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token2] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [aux_sym_preproc_else_token1] = ACTIONS(2792),
    [aux_sym_preproc_elif_token1] = ACTIONS(2792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_friend] = ACTIONS(2792),
    [anon_sym_public] = ACTIONS(2792),
    [anon_sym_private] = ACTIONS(2792),
    [anon_sym_protected] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token2] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [aux_sym_preproc_else_token1] = ACTIONS(2784),
    [aux_sym_preproc_elif_token1] = ACTIONS(2784),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_friend] = ACTIONS(2784),
    [anon_sym_public] = ACTIONS(2784),
    [anon_sym_private] = ACTIONS(2784),
    [anon_sym_protected] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [aux_sym_preproc_else_token1] = ACTIONS(5000),
    [aux_sym_preproc_elif_token1] = ACTIONS(5000),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_TILDE] = ACTIONS(5002),
    [anon_sym_STAR] = ACTIONS(5002),
    [anon_sym_AMP_AMP] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(5000),
    [anon_sym___extension__] = ACTIONS(5000),
    [anon_sym_typedef] = ACTIONS(5000),
    [anon_sym_extern] = ACTIONS(5000),
    [anon_sym___attribute__] = ACTIONS(5000),
    [anon_sym_COLON_COLON] = ACTIONS(5002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5002),
    [anon_sym___declspec] = ACTIONS(5000),
    [anon_sym___based] = ACTIONS(5000),
    [anon_sym_signed] = ACTIONS(5000),
    [anon_sym_unsigned] = ACTIONS(5000),
    [anon_sym_long] = ACTIONS(5000),
    [anon_sym_short] = ACTIONS(5000),
    [anon_sym_LBRACK] = ACTIONS(5000),
    [anon_sym_static] = ACTIONS(5000),
    [anon_sym_register] = ACTIONS(5000),
    [anon_sym_inline] = ACTIONS(5000),
    [anon_sym___inline] = ACTIONS(5000),
    [anon_sym___inline__] = ACTIONS(5000),
    [anon_sym___forceinline] = ACTIONS(5000),
    [anon_sym_thread_local] = ACTIONS(5000),
    [anon_sym___thread] = ACTIONS(5000),
    [anon_sym_const] = ACTIONS(5000),
    [anon_sym_constexpr] = ACTIONS(5000),
    [anon_sym_volatile] = ACTIONS(5000),
    [anon_sym_restrict] = ACTIONS(5000),
    [anon_sym___restrict__] = ACTIONS(5000),
    [anon_sym__Atomic] = ACTIONS(5000),
    [anon_sym__Noreturn] = ACTIONS(5000),
    [anon_sym_noreturn] = ACTIONS(5000),
    [anon_sym_mutable] = ACTIONS(5000),
    [anon_sym_constinit] = ACTIONS(5000),
    [anon_sym_consteval] = ACTIONS(5000),
    [anon_sym_alignas] = ACTIONS(5000),
    [anon_sym__Alignas] = ACTIONS(5000),
    [sym_primitive_type] = ACTIONS(5000),
    [anon_sym_enum] = ACTIONS(5000),
    [anon_sym_class] = ACTIONS(5000),
    [anon_sym_struct] = ACTIONS(5000),
    [anon_sym_union] = ACTIONS(5000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5000),
    [anon_sym_decltype] = ACTIONS(5000),
    [sym_virtual] = ACTIONS(5000),
    [anon_sym_explicit] = ACTIONS(5000),
    [anon_sym_typename] = ACTIONS(5000),
    [anon_sym_template] = ACTIONS(5000),
    [anon_sym_operator] = ACTIONS(5000),
    [anon_sym_friend] = ACTIONS(5000),
    [anon_sym_public] = ACTIONS(5000),
    [anon_sym_private] = ACTIONS(5000),
    [anon_sym_protected] = ACTIONS(5000),
    [anon_sym_using] = ACTIONS(5000),
    [anon_sym_static_assert] = ACTIONS(5000),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [aux_sym_preproc_else_token1] = ACTIONS(3015),
    [aux_sym_preproc_elif_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_friend] = ACTIONS(3015),
    [anon_sym_public] = ACTIONS(3015),
    [anon_sym_private] = ACTIONS(3015),
    [anon_sym_protected] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_friend] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token2] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [aux_sym_preproc_else_token1] = ACTIONS(2882),
    [aux_sym_preproc_elif_token1] = ACTIONS(2882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_friend] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_protected] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(5004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5006),
    [anon_sym_COMMA] = ACTIONS(5006),
    [anon_sym_RPAREN] = ACTIONS(5006),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5004),
    [anon_sym_STAR] = ACTIONS(5006),
    [anon_sym_SLASH] = ACTIONS(5004),
    [anon_sym_PERCENT] = ACTIONS(5006),
    [anon_sym_PIPE_PIPE] = ACTIONS(5006),
    [anon_sym_AMP_AMP] = ACTIONS(5006),
    [anon_sym_PIPE] = ACTIONS(5004),
    [anon_sym_CARET] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(5004),
    [anon_sym_EQ_EQ] = ACTIONS(5006),
    [anon_sym_BANG_EQ] = ACTIONS(5006),
    [anon_sym_GT] = ACTIONS(5004),
    [anon_sym_GT_EQ] = ACTIONS(5006),
    [anon_sym_LT_EQ] = ACTIONS(5004),
    [anon_sym_LT] = ACTIONS(5004),
    [anon_sym_LT_LT] = ACTIONS(5006),
    [anon_sym_GT_GT] = ACTIONS(5006),
    [anon_sym_SEMI] = ACTIONS(5006),
    [anon_sym___extension__] = ACTIONS(5004),
    [anon_sym___attribute__] = ACTIONS(5004),
    [anon_sym___based] = ACTIONS(5004),
    [anon_sym_LBRACE] = ACTIONS(5006),
    [anon_sym_RBRACE] = ACTIONS(5006),
    [anon_sym_signed] = ACTIONS(5004),
    [anon_sym_unsigned] = ACTIONS(5004),
    [anon_sym_long] = ACTIONS(5004),
    [anon_sym_short] = ACTIONS(5004),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [anon_sym_RBRACK] = ACTIONS(5006),
    [anon_sym_const] = ACTIONS(5004),
    [anon_sym_constexpr] = ACTIONS(5004),
    [anon_sym_volatile] = ACTIONS(5004),
    [anon_sym_restrict] = ACTIONS(5004),
    [anon_sym___restrict__] = ACTIONS(5004),
    [anon_sym__Atomic] = ACTIONS(5004),
    [anon_sym__Noreturn] = ACTIONS(5004),
    [anon_sym_noreturn] = ACTIONS(5004),
    [anon_sym_mutable] = ACTIONS(5004),
    [anon_sym_constinit] = ACTIONS(5004),
    [anon_sym_consteval] = ACTIONS(5004),
    [anon_sym_alignas] = ACTIONS(5004),
    [anon_sym__Alignas] = ACTIONS(5004),
    [sym_primitive_type] = ACTIONS(5004),
    [anon_sym_COLON] = ACTIONS(5006),
    [anon_sym_QMARK] = ACTIONS(5006),
    [anon_sym_LT_EQ_GT] = ACTIONS(5006),
    [anon_sym_or] = ACTIONS(5004),
    [anon_sym_and] = ACTIONS(5004),
    [anon_sym_bitor] = ACTIONS(5004),
    [anon_sym_xor] = ACTIONS(5004),
    [anon_sym_bitand] = ACTIONS(5004),
    [anon_sym_not_eq] = ACTIONS(5004),
    [anon_sym_DASH_DASH] = ACTIONS(5006),
    [anon_sym_PLUS_PLUS] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_DOT_STAR] = ACTIONS(5006),
    [anon_sym_DASH_GT] = ACTIONS(5006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5004),
    [anon_sym_decltype] = ACTIONS(5004),
    [anon_sym_final] = ACTIONS(5004),
    [anon_sym_override] = ACTIONS(5004),
    [anon_sym_requires] = ACTIONS(5004),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [aux_sym_preproc_else_token1] = ACTIONS(5008),
    [aux_sym_preproc_elif_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [aux_sym_preproc_else_token1] = ACTIONS(5008),
    [aux_sym_preproc_elif_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [1702] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1588),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5012),
    [anon_sym_COMMA] = ACTIONS(5012),
    [anon_sym_RPAREN] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5012),
    [anon_sym_PIPE_PIPE] = ACTIONS(5012),
    [anon_sym_AMP_AMP] = ACTIONS(5012),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5012),
    [anon_sym_BANG_EQ] = ACTIONS(5012),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5012),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5012),
    [anon_sym_GT_GT] = ACTIONS(5012),
    [anon_sym_SEMI] = ACTIONS(5012),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5012),
    [anon_sym_RBRACE] = ACTIONS(5012),
    [anon_sym_signed] = ACTIONS(4795),
    [anon_sym_unsigned] = ACTIONS(4795),
    [anon_sym_long] = ACTIONS(4795),
    [anon_sym_short] = ACTIONS(4795),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [anon_sym_RBRACK] = ACTIONS(5012),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym__Alignas] = ACTIONS(5015),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(5012),
    [anon_sym_QMARK] = ACTIONS(5012),
    [anon_sym_LT_EQ_GT] = ACTIONS(5012),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5012),
    [anon_sym_PLUS_PLUS] = ACTIONS(5012),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5012),
    [anon_sym_DASH_GT] = ACTIONS(5012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_final] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
    [anon_sym_requires] = ACTIONS(5015),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token2] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [aux_sym_preproc_else_token1] = ACTIONS(2874),
    [aux_sym_preproc_elif_token1] = ACTIONS(2874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_friend] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_protected] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(5018),
    [aux_sym_preproc_def_token1] = ACTIONS(5018),
    [aux_sym_preproc_if_token1] = ACTIONS(5018),
    [aux_sym_preproc_if_token2] = ACTIONS(5018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5018),
    [aux_sym_preproc_else_token1] = ACTIONS(5018),
    [aux_sym_preproc_elif_token1] = ACTIONS(5018),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5018),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5018),
    [sym_preproc_directive] = ACTIONS(5018),
    [anon_sym_LPAREN2] = ACTIONS(5020),
    [anon_sym_TILDE] = ACTIONS(5020),
    [anon_sym_STAR] = ACTIONS(5020),
    [anon_sym_AMP_AMP] = ACTIONS(5020),
    [anon_sym_AMP] = ACTIONS(5018),
    [anon_sym___extension__] = ACTIONS(5018),
    [anon_sym_typedef] = ACTIONS(5018),
    [anon_sym_extern] = ACTIONS(5018),
    [anon_sym___attribute__] = ACTIONS(5018),
    [anon_sym_COLON_COLON] = ACTIONS(5020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5020),
    [anon_sym___declspec] = ACTIONS(5018),
    [anon_sym___based] = ACTIONS(5018),
    [anon_sym_signed] = ACTIONS(5018),
    [anon_sym_unsigned] = ACTIONS(5018),
    [anon_sym_long] = ACTIONS(5018),
    [anon_sym_short] = ACTIONS(5018),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [anon_sym_static] = ACTIONS(5018),
    [anon_sym_register] = ACTIONS(5018),
    [anon_sym_inline] = ACTIONS(5018),
    [anon_sym___inline] = ACTIONS(5018),
    [anon_sym___inline__] = ACTIONS(5018),
    [anon_sym___forceinline] = ACTIONS(5018),
    [anon_sym_thread_local] = ACTIONS(5018),
    [anon_sym___thread] = ACTIONS(5018),
    [anon_sym_const] = ACTIONS(5018),
    [anon_sym_constexpr] = ACTIONS(5018),
    [anon_sym_volatile] = ACTIONS(5018),
    [anon_sym_restrict] = ACTIONS(5018),
    [anon_sym___restrict__] = ACTIONS(5018),
    [anon_sym__Atomic] = ACTIONS(5018),
    [anon_sym__Noreturn] = ACTIONS(5018),
    [anon_sym_noreturn] = ACTIONS(5018),
    [anon_sym_mutable] = ACTIONS(5018),
    [anon_sym_constinit] = ACTIONS(5018),
    [anon_sym_consteval] = ACTIONS(5018),
    [anon_sym_alignas] = ACTIONS(5018),
    [anon_sym__Alignas] = ACTIONS(5018),
    [sym_primitive_type] = ACTIONS(5018),
    [anon_sym_enum] = ACTIONS(5018),
    [anon_sym_class] = ACTIONS(5018),
    [anon_sym_struct] = ACTIONS(5018),
    [anon_sym_union] = ACTIONS(5018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5018),
    [anon_sym_decltype] = ACTIONS(5018),
    [sym_virtual] = ACTIONS(5018),
    [anon_sym_explicit] = ACTIONS(5018),
    [anon_sym_typename] = ACTIONS(5018),
    [anon_sym_template] = ACTIONS(5018),
    [anon_sym_operator] = ACTIONS(5018),
    [anon_sym_friend] = ACTIONS(5018),
    [anon_sym_public] = ACTIONS(5018),
    [anon_sym_private] = ACTIONS(5018),
    [anon_sym_protected] = ACTIONS(5018),
    [anon_sym_using] = ACTIONS(5018),
    [anon_sym_static_assert] = ACTIONS(5018),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_friend] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(5022),
    [aux_sym_preproc_def_token1] = ACTIONS(5022),
    [aux_sym_preproc_if_token1] = ACTIONS(5022),
    [aux_sym_preproc_if_token2] = ACTIONS(5022),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5022),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5022),
    [aux_sym_preproc_else_token1] = ACTIONS(5022),
    [aux_sym_preproc_elif_token1] = ACTIONS(5022),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5022),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5022),
    [sym_preproc_directive] = ACTIONS(5022),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_TILDE] = ACTIONS(5024),
    [anon_sym_STAR] = ACTIONS(5024),
    [anon_sym_AMP_AMP] = ACTIONS(5024),
    [anon_sym_AMP] = ACTIONS(5022),
    [anon_sym___extension__] = ACTIONS(5022),
    [anon_sym_typedef] = ACTIONS(5022),
    [anon_sym_extern] = ACTIONS(5022),
    [anon_sym___attribute__] = ACTIONS(5022),
    [anon_sym_COLON_COLON] = ACTIONS(5024),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5024),
    [anon_sym___declspec] = ACTIONS(5022),
    [anon_sym___based] = ACTIONS(5022),
    [anon_sym_signed] = ACTIONS(5022),
    [anon_sym_unsigned] = ACTIONS(5022),
    [anon_sym_long] = ACTIONS(5022),
    [anon_sym_short] = ACTIONS(5022),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [anon_sym_static] = ACTIONS(5022),
    [anon_sym_register] = ACTIONS(5022),
    [anon_sym_inline] = ACTIONS(5022),
    [anon_sym___inline] = ACTIONS(5022),
    [anon_sym___inline__] = ACTIONS(5022),
    [anon_sym___forceinline] = ACTIONS(5022),
    [anon_sym_thread_local] = ACTIONS(5022),
    [anon_sym___thread] = ACTIONS(5022),
    [anon_sym_const] = ACTIONS(5022),
    [anon_sym_constexpr] = ACTIONS(5022),
    [anon_sym_volatile] = ACTIONS(5022),
    [anon_sym_restrict] = ACTIONS(5022),
    [anon_sym___restrict__] = ACTIONS(5022),
    [anon_sym__Atomic] = ACTIONS(5022),
    [anon_sym__Noreturn] = ACTIONS(5022),
    [anon_sym_noreturn] = ACTIONS(5022),
    [anon_sym_mutable] = ACTIONS(5022),
    [anon_sym_constinit] = ACTIONS(5022),
    [anon_sym_consteval] = ACTIONS(5022),
    [anon_sym_alignas] = ACTIONS(5022),
    [anon_sym__Alignas] = ACTIONS(5022),
    [sym_primitive_type] = ACTIONS(5022),
    [anon_sym_enum] = ACTIONS(5022),
    [anon_sym_class] = ACTIONS(5022),
    [anon_sym_struct] = ACTIONS(5022),
    [anon_sym_union] = ACTIONS(5022),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5022),
    [anon_sym_decltype] = ACTIONS(5022),
    [sym_virtual] = ACTIONS(5022),
    [anon_sym_explicit] = ACTIONS(5022),
    [anon_sym_typename] = ACTIONS(5022),
    [anon_sym_template] = ACTIONS(5022),
    [anon_sym_operator] = ACTIONS(5022),
    [anon_sym_friend] = ACTIONS(5022),
    [anon_sym_public] = ACTIONS(5022),
    [anon_sym_private] = ACTIONS(5022),
    [anon_sym_protected] = ACTIONS(5022),
    [anon_sym_using] = ACTIONS(5022),
    [anon_sym_static_assert] = ACTIONS(5022),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(5026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5028),
    [anon_sym_COMMA] = ACTIONS(5028),
    [anon_sym_RPAREN] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(5028),
    [anon_sym_DASH] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5026),
    [anon_sym_STAR] = ACTIONS(5028),
    [anon_sym_SLASH] = ACTIONS(5026),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5028),
    [anon_sym_AMP_AMP] = ACTIONS(5028),
    [anon_sym_PIPE] = ACTIONS(5026),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5026),
    [anon_sym_EQ_EQ] = ACTIONS(5028),
    [anon_sym_BANG_EQ] = ACTIONS(5028),
    [anon_sym_GT] = ACTIONS(5026),
    [anon_sym_GT_EQ] = ACTIONS(5028),
    [anon_sym_LT_EQ] = ACTIONS(5026),
    [anon_sym_LT] = ACTIONS(5026),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5026),
    [anon_sym___attribute__] = ACTIONS(5026),
    [anon_sym___based] = ACTIONS(5026),
    [anon_sym_LBRACE] = ACTIONS(5028),
    [anon_sym_RBRACE] = ACTIONS(5028),
    [anon_sym_signed] = ACTIONS(5026),
    [anon_sym_unsigned] = ACTIONS(5026),
    [anon_sym_long] = ACTIONS(5026),
    [anon_sym_short] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5028),
    [anon_sym_RBRACK] = ACTIONS(5028),
    [anon_sym_const] = ACTIONS(5026),
    [anon_sym_constexpr] = ACTIONS(5026),
    [anon_sym_volatile] = ACTIONS(5026),
    [anon_sym_restrict] = ACTIONS(5026),
    [anon_sym___restrict__] = ACTIONS(5026),
    [anon_sym__Atomic] = ACTIONS(5026),
    [anon_sym__Noreturn] = ACTIONS(5026),
    [anon_sym_noreturn] = ACTIONS(5026),
    [anon_sym_mutable] = ACTIONS(5026),
    [anon_sym_constinit] = ACTIONS(5026),
    [anon_sym_consteval] = ACTIONS(5026),
    [anon_sym_alignas] = ACTIONS(5026),
    [anon_sym__Alignas] = ACTIONS(5026),
    [sym_primitive_type] = ACTIONS(5026),
    [anon_sym_COLON] = ACTIONS(5028),
    [anon_sym_QMARK] = ACTIONS(5028),
    [anon_sym_LT_EQ_GT] = ACTIONS(5028),
    [anon_sym_or] = ACTIONS(5026),
    [anon_sym_and] = ACTIONS(5026),
    [anon_sym_bitor] = ACTIONS(5026),
    [anon_sym_xor] = ACTIONS(5026),
    [anon_sym_bitand] = ACTIONS(5026),
    [anon_sym_not_eq] = ACTIONS(5026),
    [anon_sym_DASH_DASH] = ACTIONS(5028),
    [anon_sym_PLUS_PLUS] = ACTIONS(5028),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_DOT_STAR] = ACTIONS(5028),
    [anon_sym_DASH_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5026),
    [anon_sym_decltype] = ACTIONS(5026),
    [anon_sym_final] = ACTIONS(5026),
    [anon_sym_override] = ACTIONS(5026),
    [anon_sym_requires] = ACTIONS(5026),
  },
  [1708] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [aux_sym_preproc_else_token1] = ACTIONS(2648),
    [aux_sym_preproc_elif_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_friend] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token2] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [aux_sym_preproc_else_token1] = ACTIONS(5030),
    [aux_sym_preproc_elif_token1] = ACTIONS(5030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(5034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5036),
    [anon_sym_COMMA] = ACTIONS(5036),
    [anon_sym_RPAREN] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_STAR] = ACTIONS(5036),
    [anon_sym_SLASH] = ACTIONS(5034),
    [anon_sym_PERCENT] = ACTIONS(5036),
    [anon_sym_PIPE_PIPE] = ACTIONS(5036),
    [anon_sym_AMP_AMP] = ACTIONS(5036),
    [anon_sym_PIPE] = ACTIONS(5034),
    [anon_sym_CARET] = ACTIONS(5036),
    [anon_sym_AMP] = ACTIONS(5034),
    [anon_sym_EQ_EQ] = ACTIONS(5036),
    [anon_sym_BANG_EQ] = ACTIONS(5036),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5034),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5036),
    [anon_sym_GT_GT] = ACTIONS(5036),
    [anon_sym_SEMI] = ACTIONS(5036),
    [anon_sym___extension__] = ACTIONS(5034),
    [anon_sym___attribute__] = ACTIONS(5034),
    [anon_sym___based] = ACTIONS(5034),
    [anon_sym_LBRACE] = ACTIONS(5036),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_signed] = ACTIONS(5034),
    [anon_sym_unsigned] = ACTIONS(5034),
    [anon_sym_long] = ACTIONS(5034),
    [anon_sym_short] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [anon_sym_RBRACK] = ACTIONS(5036),
    [anon_sym_const] = ACTIONS(5034),
    [anon_sym_constexpr] = ACTIONS(5034),
    [anon_sym_volatile] = ACTIONS(5034),
    [anon_sym_restrict] = ACTIONS(5034),
    [anon_sym___restrict__] = ACTIONS(5034),
    [anon_sym__Atomic] = ACTIONS(5034),
    [anon_sym__Noreturn] = ACTIONS(5034),
    [anon_sym_noreturn] = ACTIONS(5034),
    [anon_sym_mutable] = ACTIONS(5034),
    [anon_sym_constinit] = ACTIONS(5034),
    [anon_sym_consteval] = ACTIONS(5034),
    [anon_sym_alignas] = ACTIONS(5034),
    [anon_sym__Alignas] = ACTIONS(5034),
    [sym_primitive_type] = ACTIONS(5034),
    [anon_sym_COLON] = ACTIONS(5036),
    [anon_sym_QMARK] = ACTIONS(5036),
    [anon_sym_LT_EQ_GT] = ACTIONS(5036),
    [anon_sym_or] = ACTIONS(5034),
    [anon_sym_and] = ACTIONS(5034),
    [anon_sym_bitor] = ACTIONS(5034),
    [anon_sym_xor] = ACTIONS(5034),
    [anon_sym_bitand] = ACTIONS(5034),
    [anon_sym_not_eq] = ACTIONS(5034),
    [anon_sym_DASH_DASH] = ACTIONS(5036),
    [anon_sym_PLUS_PLUS] = ACTIONS(5036),
    [anon_sym_DOT] = ACTIONS(5034),
    [anon_sym_DOT_STAR] = ACTIONS(5036),
    [anon_sym_DASH_GT] = ACTIONS(5036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5034),
    [anon_sym_decltype] = ACTIONS(5034),
    [anon_sym_final] = ACTIONS(5034),
    [anon_sym_override] = ACTIONS(5034),
    [anon_sym_requires] = ACTIONS(5034),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(5038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(5040),
    [anon_sym_RPAREN] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5038),
    [anon_sym_STAR] = ACTIONS(5040),
    [anon_sym_SLASH] = ACTIONS(5038),
    [anon_sym_PERCENT] = ACTIONS(5040),
    [anon_sym_PIPE_PIPE] = ACTIONS(5040),
    [anon_sym_AMP_AMP] = ACTIONS(5040),
    [anon_sym_PIPE] = ACTIONS(5038),
    [anon_sym_CARET] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(5038),
    [anon_sym_EQ_EQ] = ACTIONS(5040),
    [anon_sym_BANG_EQ] = ACTIONS(5040),
    [anon_sym_GT] = ACTIONS(5038),
    [anon_sym_GT_EQ] = ACTIONS(5040),
    [anon_sym_LT_EQ] = ACTIONS(5038),
    [anon_sym_LT] = ACTIONS(5038),
    [anon_sym_LT_LT] = ACTIONS(5040),
    [anon_sym_GT_GT] = ACTIONS(5040),
    [anon_sym_SEMI] = ACTIONS(5040),
    [anon_sym___extension__] = ACTIONS(5038),
    [anon_sym___attribute__] = ACTIONS(5038),
    [anon_sym___based] = ACTIONS(5038),
    [anon_sym_LBRACE] = ACTIONS(5040),
    [anon_sym_RBRACE] = ACTIONS(5040),
    [anon_sym_signed] = ACTIONS(5038),
    [anon_sym_unsigned] = ACTIONS(5038),
    [anon_sym_long] = ACTIONS(5038),
    [anon_sym_short] = ACTIONS(5038),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [anon_sym_RBRACK] = ACTIONS(5040),
    [anon_sym_const] = ACTIONS(5038),
    [anon_sym_constexpr] = ACTIONS(5038),
    [anon_sym_volatile] = ACTIONS(5038),
    [anon_sym_restrict] = ACTIONS(5038),
    [anon_sym___restrict__] = ACTIONS(5038),
    [anon_sym__Atomic] = ACTIONS(5038),
    [anon_sym__Noreturn] = ACTIONS(5038),
    [anon_sym_noreturn] = ACTIONS(5038),
    [anon_sym_mutable] = ACTIONS(5038),
    [anon_sym_constinit] = ACTIONS(5038),
    [anon_sym_consteval] = ACTIONS(5038),
    [anon_sym_alignas] = ACTIONS(5038),
    [anon_sym__Alignas] = ACTIONS(5038),
    [sym_primitive_type] = ACTIONS(5038),
    [anon_sym_COLON] = ACTIONS(5040),
    [anon_sym_QMARK] = ACTIONS(5040),
    [anon_sym_LT_EQ_GT] = ACTIONS(5040),
    [anon_sym_or] = ACTIONS(5038),
    [anon_sym_and] = ACTIONS(5038),
    [anon_sym_bitor] = ACTIONS(5038),
    [anon_sym_xor] = ACTIONS(5038),
    [anon_sym_bitand] = ACTIONS(5038),
    [anon_sym_not_eq] = ACTIONS(5038),
    [anon_sym_DASH_DASH] = ACTIONS(5040),
    [anon_sym_PLUS_PLUS] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_DOT_STAR] = ACTIONS(5040),
    [anon_sym_DASH_GT] = ACTIONS(5040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5038),
    [anon_sym_decltype] = ACTIONS(5038),
    [anon_sym_final] = ACTIONS(5038),
    [anon_sym_override] = ACTIONS(5038),
    [anon_sym_requires] = ACTIONS(5038),
  },
  [1713] = {
    [sym_argument_list] = STATE(2363),
    [sym_initializer_list] = STATE(2363),
    [sym_decltype_auto] = STATE(2007),
    [sym_new_declarator] = STATE(1930),
    [sym_identifier] = ACTIONS(5042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5044),
    [anon_sym_COMMA] = ACTIONS(5044),
    [anon_sym_RPAREN] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_else_token1] = ACTIONS(5044),
    [aux_sym_preproc_elif_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5042),
    [anon_sym_STAR] = ACTIONS(5042),
    [anon_sym_SLASH] = ACTIONS(5042),
    [anon_sym_PERCENT] = ACTIONS(5042),
    [anon_sym_PIPE_PIPE] = ACTIONS(5044),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5042),
    [anon_sym_CARET] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(5042),
    [anon_sym_EQ_EQ] = ACTIONS(5044),
    [anon_sym_BANG_EQ] = ACTIONS(5044),
    [anon_sym_GT] = ACTIONS(5042),
    [anon_sym_GT_EQ] = ACTIONS(5044),
    [anon_sym_LT_EQ] = ACTIONS(5042),
    [anon_sym_LT] = ACTIONS(5042),
    [anon_sym_LT_LT] = ACTIONS(5042),
    [anon_sym_GT_GT] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [anon_sym___attribute__] = ACTIONS(5042),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_RBRACK] = ACTIONS(5044),
    [anon_sym_EQ] = ACTIONS(5042),
    [anon_sym_COLON] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_STAR_EQ] = ACTIONS(5044),
    [anon_sym_SLASH_EQ] = ACTIONS(5044),
    [anon_sym_PERCENT_EQ] = ACTIONS(5044),
    [anon_sym_PLUS_EQ] = ACTIONS(5044),
    [anon_sym_DASH_EQ] = ACTIONS(5044),
    [anon_sym_LT_LT_EQ] = ACTIONS(5044),
    [anon_sym_GT_GT_EQ] = ACTIONS(5044),
    [anon_sym_AMP_EQ] = ACTIONS(5044),
    [anon_sym_CARET_EQ] = ACTIONS(5044),
    [anon_sym_PIPE_EQ] = ACTIONS(5044),
    [anon_sym_and_eq] = ACTIONS(5042),
    [anon_sym_or_eq] = ACTIONS(5042),
    [anon_sym_xor_eq] = ACTIONS(5042),
    [anon_sym_LT_EQ_GT] = ACTIONS(5044),
    [anon_sym_or] = ACTIONS(5042),
    [anon_sym_and] = ACTIONS(5042),
    [anon_sym_bitor] = ACTIONS(5042),
    [anon_sym_xor] = ACTIONS(5042),
    [anon_sym_bitand] = ACTIONS(5042),
    [anon_sym_not_eq] = ACTIONS(5042),
    [anon_sym_DASH_DASH] = ACTIONS(5044),
    [anon_sym_PLUS_PLUS] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_DOT_STAR] = ACTIONS(5044),
    [anon_sym_DASH_GT] = ACTIONS(5044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5050),
    [anon_sym_decltype] = ACTIONS(5052),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_RPAREN] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_STAR] = ACTIONS(5056),
    [anon_sym_SLASH] = ACTIONS(5054),
    [anon_sym_PERCENT] = ACTIONS(5056),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5056),
    [anon_sym_PIPE] = ACTIONS(5054),
    [anon_sym_CARET] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(5054),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5054),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5054),
    [anon_sym_LT] = ACTIONS(5054),
    [anon_sym_LT_LT] = ACTIONS(5056),
    [anon_sym_GT_GT] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(5056),
    [anon_sym___extension__] = ACTIONS(5054),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym___based] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(5056),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_signed] = ACTIONS(5054),
    [anon_sym_unsigned] = ACTIONS(5054),
    [anon_sym_long] = ACTIONS(5054),
    [anon_sym_short] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [anon_sym_RBRACK] = ACTIONS(5056),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5054),
    [anon_sym_volatile] = ACTIONS(5054),
    [anon_sym_restrict] = ACTIONS(5054),
    [anon_sym___restrict__] = ACTIONS(5054),
    [anon_sym__Atomic] = ACTIONS(5054),
    [anon_sym__Noreturn] = ACTIONS(5054),
    [anon_sym_noreturn] = ACTIONS(5054),
    [anon_sym_mutable] = ACTIONS(5054),
    [anon_sym_constinit] = ACTIONS(5054),
    [anon_sym_consteval] = ACTIONS(5054),
    [anon_sym_alignas] = ACTIONS(5054),
    [anon_sym__Alignas] = ACTIONS(5054),
    [sym_primitive_type] = ACTIONS(5054),
    [anon_sym_COLON] = ACTIONS(5056),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5054),
    [anon_sym_and] = ACTIONS(5054),
    [anon_sym_bitor] = ACTIONS(5054),
    [anon_sym_xor] = ACTIONS(5054),
    [anon_sym_bitand] = ACTIONS(5054),
    [anon_sym_not_eq] = ACTIONS(5054),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_final] = ACTIONS(5054),
    [anon_sym_override] = ACTIONS(5054),
    [anon_sym_requires] = ACTIONS(5054),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token2] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [aux_sym_preproc_else_token1] = ACTIONS(5030),
    [aux_sym_preproc_elif_token1] = ACTIONS(5030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_RPAREN] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5058),
    [anon_sym_STAR] = ACTIONS(5060),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5060),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5060),
    [anon_sym_PIPE] = ACTIONS(5058),
    [anon_sym_CARET] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(5058),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5058),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5058),
    [anon_sym_LT] = ACTIONS(5058),
    [anon_sym_LT_LT] = ACTIONS(5060),
    [anon_sym_GT_GT] = ACTIONS(5060),
    [anon_sym_SEMI] = ACTIONS(5060),
    [anon_sym___extension__] = ACTIONS(5058),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym___based] = ACTIONS(5058),
    [anon_sym_LBRACE] = ACTIONS(5060),
    [anon_sym_RBRACE] = ACTIONS(5060),
    [anon_sym_signed] = ACTIONS(5058),
    [anon_sym_unsigned] = ACTIONS(5058),
    [anon_sym_long] = ACTIONS(5058),
    [anon_sym_short] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [anon_sym_RBRACK] = ACTIONS(5060),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5058),
    [anon_sym_volatile] = ACTIONS(5058),
    [anon_sym_restrict] = ACTIONS(5058),
    [anon_sym___restrict__] = ACTIONS(5058),
    [anon_sym__Atomic] = ACTIONS(5058),
    [anon_sym__Noreturn] = ACTIONS(5058),
    [anon_sym_noreturn] = ACTIONS(5058),
    [anon_sym_mutable] = ACTIONS(5058),
    [anon_sym_constinit] = ACTIONS(5058),
    [anon_sym_consteval] = ACTIONS(5058),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym__Alignas] = ACTIONS(5058),
    [sym_primitive_type] = ACTIONS(5058),
    [anon_sym_COLON] = ACTIONS(5060),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5058),
    [anon_sym_and] = ACTIONS(5058),
    [anon_sym_bitor] = ACTIONS(5058),
    [anon_sym_xor] = ACTIONS(5058),
    [anon_sym_bitand] = ACTIONS(5058),
    [anon_sym_not_eq] = ACTIONS(5058),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_final] = ACTIONS(5058),
    [anon_sym_override] = ACTIONS(5058),
    [anon_sym_requires] = ACTIONS(5058),
  },
  [1717] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [aux_sym_preproc_else_token1] = ACTIONS(2612),
    [aux_sym_preproc_elif_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_friend] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [aux_sym_preproc_else_token1] = ACTIONS(5062),
    [aux_sym_preproc_elif_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5064),
    [anon_sym_TILDE] = ACTIONS(5064),
    [anon_sym_STAR] = ACTIONS(5064),
    [anon_sym_AMP_AMP] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(5062),
    [anon_sym___extension__] = ACTIONS(5062),
    [anon_sym_typedef] = ACTIONS(5062),
    [anon_sym_extern] = ACTIONS(5062),
    [anon_sym___attribute__] = ACTIONS(5062),
    [anon_sym_COLON_COLON] = ACTIONS(5064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5064),
    [anon_sym___declspec] = ACTIONS(5062),
    [anon_sym___based] = ACTIONS(5062),
    [anon_sym_signed] = ACTIONS(5062),
    [anon_sym_unsigned] = ACTIONS(5062),
    [anon_sym_long] = ACTIONS(5062),
    [anon_sym_short] = ACTIONS(5062),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [anon_sym_static] = ACTIONS(5062),
    [anon_sym_register] = ACTIONS(5062),
    [anon_sym_inline] = ACTIONS(5062),
    [anon_sym___inline] = ACTIONS(5062),
    [anon_sym___inline__] = ACTIONS(5062),
    [anon_sym___forceinline] = ACTIONS(5062),
    [anon_sym_thread_local] = ACTIONS(5062),
    [anon_sym___thread] = ACTIONS(5062),
    [anon_sym_const] = ACTIONS(5062),
    [anon_sym_constexpr] = ACTIONS(5062),
    [anon_sym_volatile] = ACTIONS(5062),
    [anon_sym_restrict] = ACTIONS(5062),
    [anon_sym___restrict__] = ACTIONS(5062),
    [anon_sym__Atomic] = ACTIONS(5062),
    [anon_sym__Noreturn] = ACTIONS(5062),
    [anon_sym_noreturn] = ACTIONS(5062),
    [anon_sym_mutable] = ACTIONS(5062),
    [anon_sym_constinit] = ACTIONS(5062),
    [anon_sym_consteval] = ACTIONS(5062),
    [anon_sym_alignas] = ACTIONS(5062),
    [anon_sym__Alignas] = ACTIONS(5062),
    [sym_primitive_type] = ACTIONS(5062),
    [anon_sym_enum] = ACTIONS(5062),
    [anon_sym_class] = ACTIONS(5062),
    [anon_sym_struct] = ACTIONS(5062),
    [anon_sym_union] = ACTIONS(5062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5062),
    [anon_sym_decltype] = ACTIONS(5062),
    [sym_virtual] = ACTIONS(5062),
    [anon_sym_explicit] = ACTIONS(5062),
    [anon_sym_typename] = ACTIONS(5062),
    [anon_sym_template] = ACTIONS(5062),
    [anon_sym_operator] = ACTIONS(5062),
    [anon_sym_friend] = ACTIONS(5062),
    [anon_sym_public] = ACTIONS(5062),
    [anon_sym_private] = ACTIONS(5062),
    [anon_sym_protected] = ACTIONS(5062),
    [anon_sym_using] = ACTIONS(5062),
    [anon_sym_static_assert] = ACTIONS(5062),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4928),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym___based] = ACTIONS(4928),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_signed] = ACTIONS(4928),
    [anon_sym_unsigned] = ACTIONS(4928),
    [anon_sym_long] = ACTIONS(4928),
    [anon_sym_short] = ACTIONS(4928),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4928),
    [anon_sym_constexpr] = ACTIONS(4928),
    [anon_sym_volatile] = ACTIONS(4928),
    [anon_sym_restrict] = ACTIONS(4928),
    [anon_sym___restrict__] = ACTIONS(4928),
    [anon_sym__Atomic] = ACTIONS(4928),
    [anon_sym__Noreturn] = ACTIONS(4928),
    [anon_sym_noreturn] = ACTIONS(4928),
    [anon_sym_mutable] = ACTIONS(4928),
    [anon_sym_constinit] = ACTIONS(4928),
    [anon_sym_consteval] = ACTIONS(4928),
    [anon_sym_alignas] = ACTIONS(4928),
    [anon_sym__Alignas] = ACTIONS(4928),
    [sym_primitive_type] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
    [anon_sym_final] = ACTIONS(4928),
    [anon_sym_override] = ACTIONS(4928),
    [anon_sym_requires] = ACTIONS(4928),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token2] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [aux_sym_preproc_else_token1] = ACTIONS(5066),
    [aux_sym_preproc_elif_token1] = ACTIONS(5066),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_TILDE] = ACTIONS(5068),
    [anon_sym_STAR] = ACTIONS(5068),
    [anon_sym_AMP_AMP] = ACTIONS(5068),
    [anon_sym_AMP] = ACTIONS(5066),
    [anon_sym___extension__] = ACTIONS(5066),
    [anon_sym_typedef] = ACTIONS(5066),
    [anon_sym_extern] = ACTIONS(5066),
    [anon_sym___attribute__] = ACTIONS(5066),
    [anon_sym_COLON_COLON] = ACTIONS(5068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5068),
    [anon_sym___declspec] = ACTIONS(5066),
    [anon_sym___based] = ACTIONS(5066),
    [anon_sym_signed] = ACTIONS(5066),
    [anon_sym_unsigned] = ACTIONS(5066),
    [anon_sym_long] = ACTIONS(5066),
    [anon_sym_short] = ACTIONS(5066),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [anon_sym_static] = ACTIONS(5066),
    [anon_sym_register] = ACTIONS(5066),
    [anon_sym_inline] = ACTIONS(5066),
    [anon_sym___inline] = ACTIONS(5066),
    [anon_sym___inline__] = ACTIONS(5066),
    [anon_sym___forceinline] = ACTIONS(5066),
    [anon_sym_thread_local] = ACTIONS(5066),
    [anon_sym___thread] = ACTIONS(5066),
    [anon_sym_const] = ACTIONS(5066),
    [anon_sym_constexpr] = ACTIONS(5066),
    [anon_sym_volatile] = ACTIONS(5066),
    [anon_sym_restrict] = ACTIONS(5066),
    [anon_sym___restrict__] = ACTIONS(5066),
    [anon_sym__Atomic] = ACTIONS(5066),
    [anon_sym__Noreturn] = ACTIONS(5066),
    [anon_sym_noreturn] = ACTIONS(5066),
    [anon_sym_mutable] = ACTIONS(5066),
    [anon_sym_constinit] = ACTIONS(5066),
    [anon_sym_consteval] = ACTIONS(5066),
    [anon_sym_alignas] = ACTIONS(5066),
    [anon_sym__Alignas] = ACTIONS(5066),
    [sym_primitive_type] = ACTIONS(5066),
    [anon_sym_enum] = ACTIONS(5066),
    [anon_sym_class] = ACTIONS(5066),
    [anon_sym_struct] = ACTIONS(5066),
    [anon_sym_union] = ACTIONS(5066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5066),
    [anon_sym_decltype] = ACTIONS(5066),
    [sym_virtual] = ACTIONS(5066),
    [anon_sym_explicit] = ACTIONS(5066),
    [anon_sym_typename] = ACTIONS(5066),
    [anon_sym_template] = ACTIONS(5066),
    [anon_sym_operator] = ACTIONS(5066),
    [anon_sym_friend] = ACTIONS(5066),
    [anon_sym_public] = ACTIONS(5066),
    [anon_sym_private] = ACTIONS(5066),
    [anon_sym_protected] = ACTIONS(5066),
    [anon_sym_using] = ACTIONS(5066),
    [anon_sym_static_assert] = ACTIONS(5066),
  },
  [1722] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [aux_sym_preproc_else_token1] = ACTIONS(5070),
    [aux_sym_preproc_elif_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_TILDE] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_AMP] = ACTIONS(5070),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym_COLON_COLON] = ACTIONS(5072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___based] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_mutable] = ACTIONS(5070),
    [anon_sym_constinit] = ACTIONS(5070),
    [anon_sym_consteval] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_class] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5070),
    [anon_sym_decltype] = ACTIONS(5070),
    [sym_virtual] = ACTIONS(5070),
    [anon_sym_explicit] = ACTIONS(5070),
    [anon_sym_typename] = ACTIONS(5070),
    [anon_sym_template] = ACTIONS(5070),
    [anon_sym_operator] = ACTIONS(5070),
    [anon_sym_friend] = ACTIONS(5070),
    [anon_sym_public] = ACTIONS(5070),
    [anon_sym_private] = ACTIONS(5070),
    [anon_sym_protected] = ACTIONS(5070),
    [anon_sym_using] = ACTIONS(5070),
    [anon_sym_static_assert] = ACTIONS(5070),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(5074),
    [aux_sym_preproc_def_token1] = ACTIONS(5074),
    [aux_sym_preproc_if_token1] = ACTIONS(5074),
    [aux_sym_preproc_if_token2] = ACTIONS(5074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5074),
    [aux_sym_preproc_else_token1] = ACTIONS(5074),
    [aux_sym_preproc_elif_token1] = ACTIONS(5074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5074),
    [sym_preproc_directive] = ACTIONS(5074),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [anon_sym_TILDE] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5076),
    [anon_sym_AMP] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5074),
    [anon_sym_typedef] = ACTIONS(5074),
    [anon_sym_extern] = ACTIONS(5074),
    [anon_sym___attribute__] = ACTIONS(5074),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5076),
    [anon_sym___declspec] = ACTIONS(5074),
    [anon_sym___based] = ACTIONS(5074),
    [anon_sym_signed] = ACTIONS(5074),
    [anon_sym_unsigned] = ACTIONS(5074),
    [anon_sym_long] = ACTIONS(5074),
    [anon_sym_short] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym_static] = ACTIONS(5074),
    [anon_sym_register] = ACTIONS(5074),
    [anon_sym_inline] = ACTIONS(5074),
    [anon_sym___inline] = ACTIONS(5074),
    [anon_sym___inline__] = ACTIONS(5074),
    [anon_sym___forceinline] = ACTIONS(5074),
    [anon_sym_thread_local] = ACTIONS(5074),
    [anon_sym___thread] = ACTIONS(5074),
    [anon_sym_const] = ACTIONS(5074),
    [anon_sym_constexpr] = ACTIONS(5074),
    [anon_sym_volatile] = ACTIONS(5074),
    [anon_sym_restrict] = ACTIONS(5074),
    [anon_sym___restrict__] = ACTIONS(5074),
    [anon_sym__Atomic] = ACTIONS(5074),
    [anon_sym__Noreturn] = ACTIONS(5074),
    [anon_sym_noreturn] = ACTIONS(5074),
    [anon_sym_mutable] = ACTIONS(5074),
    [anon_sym_constinit] = ACTIONS(5074),
    [anon_sym_consteval] = ACTIONS(5074),
    [anon_sym_alignas] = ACTIONS(5074),
    [anon_sym__Alignas] = ACTIONS(5074),
    [sym_primitive_type] = ACTIONS(5074),
    [anon_sym_enum] = ACTIONS(5074),
    [anon_sym_class] = ACTIONS(5074),
    [anon_sym_struct] = ACTIONS(5074),
    [anon_sym_union] = ACTIONS(5074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5074),
    [anon_sym_decltype] = ACTIONS(5074),
    [sym_virtual] = ACTIONS(5074),
    [anon_sym_explicit] = ACTIONS(5074),
    [anon_sym_typename] = ACTIONS(5074),
    [anon_sym_template] = ACTIONS(5074),
    [anon_sym_operator] = ACTIONS(5074),
    [anon_sym_friend] = ACTIONS(5074),
    [anon_sym_public] = ACTIONS(5074),
    [anon_sym_private] = ACTIONS(5074),
    [anon_sym_protected] = ACTIONS(5074),
    [anon_sym_using] = ACTIONS(5074),
    [anon_sym_static_assert] = ACTIONS(5074),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(5078),
    [aux_sym_preproc_def_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5078),
    [aux_sym_preproc_else_token1] = ACTIONS(5078),
    [aux_sym_preproc_elif_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5078),
    [sym_preproc_directive] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym_typedef] = ACTIONS(5078),
    [anon_sym_extern] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5080),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5080),
    [anon_sym___declspec] = ACTIONS(5078),
    [anon_sym___based] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5078),
    [anon_sym_unsigned] = ACTIONS(5078),
    [anon_sym_long] = ACTIONS(5078),
    [anon_sym_short] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_static] = ACTIONS(5078),
    [anon_sym_register] = ACTIONS(5078),
    [anon_sym_inline] = ACTIONS(5078),
    [anon_sym___inline] = ACTIONS(5078),
    [anon_sym___inline__] = ACTIONS(5078),
    [anon_sym___forceinline] = ACTIONS(5078),
    [anon_sym_thread_local] = ACTIONS(5078),
    [anon_sym___thread] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5078),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_alignas] = ACTIONS(5078),
    [anon_sym__Alignas] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(5078),
    [anon_sym_enum] = ACTIONS(5078),
    [anon_sym_class] = ACTIONS(5078),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [sym_virtual] = ACTIONS(5078),
    [anon_sym_explicit] = ACTIONS(5078),
    [anon_sym_typename] = ACTIONS(5078),
    [anon_sym_template] = ACTIONS(5078),
    [anon_sym_operator] = ACTIONS(5078),
    [anon_sym_friend] = ACTIONS(5078),
    [anon_sym_public] = ACTIONS(5078),
    [anon_sym_private] = ACTIONS(5078),
    [anon_sym_protected] = ACTIONS(5078),
    [anon_sym_using] = ACTIONS(5078),
    [anon_sym_static_assert] = ACTIONS(5078),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [aux_sym_preproc_if_token2] = ACTIONS(4585),
    [aux_sym_preproc_else_token1] = ACTIONS(4585),
    [aux_sym_preproc_elif_token1] = ACTIONS(4578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4585),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4585),
    [anon_sym_PIPE_PIPE] = ACTIONS(4585),
    [anon_sym_AMP_AMP] = ACTIONS(4585),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4585),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_EQ_EQ] = ACTIONS(4585),
    [anon_sym_BANG_EQ] = ACTIONS(4585),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4585),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4585),
    [anon_sym_GT_GT] = ACTIONS(4585),
    [anon_sym_SEMI] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4585),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LT_EQ_GT] = ACTIONS(4585),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4585),
    [anon_sym_PLUS_PLUS] = ACTIONS(4585),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4585),
    [anon_sym_DASH_GT] = ACTIONS(4585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [anon_sym_final] = ACTIONS(4578),
    [anon_sym_override] = ACTIONS(4578),
    [anon_sym_requires] = ACTIONS(4578),
  },
  [1726] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1702),
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_RBRACE] = ACTIONS(5084),
    [anon_sym_signed] = ACTIONS(5088),
    [anon_sym_unsigned] = ACTIONS(5088),
    [anon_sym_long] = ACTIONS(5088),
    [anon_sym_short] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_RBRACK] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym__Alignas] = ACTIONS(5086),
    [sym_primitive_type] = ACTIONS(5090),
    [anon_sym_COLON] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_final] = ACTIONS(5086),
    [anon_sym_override] = ACTIONS(5086),
    [anon_sym_requires] = ACTIONS(5086),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(5078),
    [aux_sym_preproc_def_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5078),
    [aux_sym_preproc_else_token1] = ACTIONS(5078),
    [aux_sym_preproc_elif_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5078),
    [sym_preproc_directive] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym_typedef] = ACTIONS(5078),
    [anon_sym_extern] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5080),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5080),
    [anon_sym___declspec] = ACTIONS(5078),
    [anon_sym___based] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5078),
    [anon_sym_unsigned] = ACTIONS(5078),
    [anon_sym_long] = ACTIONS(5078),
    [anon_sym_short] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_static] = ACTIONS(5078),
    [anon_sym_register] = ACTIONS(5078),
    [anon_sym_inline] = ACTIONS(5078),
    [anon_sym___inline] = ACTIONS(5078),
    [anon_sym___inline__] = ACTIONS(5078),
    [anon_sym___forceinline] = ACTIONS(5078),
    [anon_sym_thread_local] = ACTIONS(5078),
    [anon_sym___thread] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5078),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_alignas] = ACTIONS(5078),
    [anon_sym__Alignas] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(5078),
    [anon_sym_enum] = ACTIONS(5078),
    [anon_sym_class] = ACTIONS(5078),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [sym_virtual] = ACTIONS(5078),
    [anon_sym_explicit] = ACTIONS(5078),
    [anon_sym_typename] = ACTIONS(5078),
    [anon_sym_template] = ACTIONS(5078),
    [anon_sym_operator] = ACTIONS(5078),
    [anon_sym_friend] = ACTIONS(5078),
    [anon_sym_public] = ACTIONS(5078),
    [anon_sym_private] = ACTIONS(5078),
    [anon_sym_protected] = ACTIONS(5078),
    [anon_sym_using] = ACTIONS(5078),
    [anon_sym_static_assert] = ACTIONS(5078),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [aux_sym_preproc_else_token1] = ACTIONS(2612),
    [aux_sym_preproc_elif_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_friend] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
  },
  [1729] = {
    [sym_template_argument_list] = STATE(1823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4515),
    [anon_sym_RPAREN] = ACTIONS(4517),
    [anon_sym_LPAREN2] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4524),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4517),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4524),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(5092),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4520),
    [anon_sym_volatile] = ACTIONS(4520),
    [anon_sym_restrict] = ACTIONS(4520),
    [anon_sym___restrict__] = ACTIONS(4520),
    [anon_sym__Atomic] = ACTIONS(4520),
    [anon_sym__Noreturn] = ACTIONS(4520),
    [anon_sym_noreturn] = ACTIONS(4520),
    [anon_sym_mutable] = ACTIONS(4520),
    [anon_sym_constinit] = ACTIONS(4520),
    [anon_sym_consteval] = ACTIONS(4520),
    [anon_sym_alignas] = ACTIONS(4520),
    [anon_sym__Alignas] = ACTIONS(4520),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4515),
    [anon_sym_or_eq] = ACTIONS(4515),
    [anon_sym_xor_eq] = ACTIONS(4515),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4515),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4515),
    [anon_sym_not_eq] = ACTIONS(4515),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4520),
    [anon_sym_decltype] = ACTIONS(4520),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_friend] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(5095),
    [aux_sym_preproc_def_token1] = ACTIONS(5095),
    [aux_sym_preproc_if_token1] = ACTIONS(5095),
    [aux_sym_preproc_if_token2] = ACTIONS(5095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5095),
    [aux_sym_preproc_else_token1] = ACTIONS(5095),
    [aux_sym_preproc_elif_token1] = ACTIONS(5095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5095),
    [sym_preproc_directive] = ACTIONS(5095),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_STAR] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_typedef] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym_signed] = ACTIONS(5095),
    [anon_sym_unsigned] = ACTIONS(5095),
    [anon_sym_long] = ACTIONS(5095),
    [anon_sym_short] = ACTIONS(5095),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym__Alignas] = ACTIONS(5095),
    [sym_primitive_type] = ACTIONS(5095),
    [anon_sym_enum] = ACTIONS(5095),
    [anon_sym_class] = ACTIONS(5095),
    [anon_sym_struct] = ACTIONS(5095),
    [anon_sym_union] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [sym_virtual] = ACTIONS(5095),
    [anon_sym_explicit] = ACTIONS(5095),
    [anon_sym_typename] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
    [anon_sym_friend] = ACTIONS(5095),
    [anon_sym_public] = ACTIONS(5095),
    [anon_sym_private] = ACTIONS(5095),
    [anon_sym_protected] = ACTIONS(5095),
    [anon_sym_using] = ACTIONS(5095),
    [anon_sym_static_assert] = ACTIONS(5095),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4883),
    [anon_sym_GT_GT] = ACTIONS(4883),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4881),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym___based] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_signed] = ACTIONS(4881),
    [anon_sym_unsigned] = ACTIONS(4881),
    [anon_sym_long] = ACTIONS(4881),
    [anon_sym_short] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_const] = ACTIONS(4881),
    [anon_sym_constexpr] = ACTIONS(4881),
    [anon_sym_volatile] = ACTIONS(4881),
    [anon_sym_restrict] = ACTIONS(4881),
    [anon_sym___restrict__] = ACTIONS(4881),
    [anon_sym__Atomic] = ACTIONS(4881),
    [anon_sym__Noreturn] = ACTIONS(4881),
    [anon_sym_noreturn] = ACTIONS(4881),
    [anon_sym_mutable] = ACTIONS(4881),
    [anon_sym_constinit] = ACTIONS(4881),
    [anon_sym_consteval] = ACTIONS(4881),
    [anon_sym_alignas] = ACTIONS(4881),
    [anon_sym__Alignas] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(4881),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
    [anon_sym_requires] = ACTIONS(4881),
  },
  [1733] = {
    [sym_template_argument_list] = STATE(1806),
    [sym_identifier] = ACTIONS(4513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4520),
    [anon_sym_COMMA] = ACTIONS(4520),
    [anon_sym_RPAREN] = ACTIONS(4520),
    [aux_sym_preproc_if_token2] = ACTIONS(4520),
    [aux_sym_preproc_else_token1] = ACTIONS(4520),
    [aux_sym_preproc_elif_token1] = ACTIONS(4513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4520),
    [anon_sym_LPAREN2] = ACTIONS(4520),
    [anon_sym_DASH] = ACTIONS(4513),
    [anon_sym_PLUS] = ACTIONS(4513),
    [anon_sym_STAR] = ACTIONS(4513),
    [anon_sym_SLASH] = ACTIONS(4513),
    [anon_sym_PERCENT] = ACTIONS(4513),
    [anon_sym_PIPE_PIPE] = ACTIONS(4520),
    [anon_sym_AMP_AMP] = ACTIONS(4520),
    [anon_sym_PIPE] = ACTIONS(4513),
    [anon_sym_CARET] = ACTIONS(4513),
    [anon_sym_AMP] = ACTIONS(4513),
    [anon_sym_EQ_EQ] = ACTIONS(4520),
    [anon_sym_BANG_EQ] = ACTIONS(4520),
    [anon_sym_GT] = ACTIONS(4513),
    [anon_sym_GT_EQ] = ACTIONS(4520),
    [anon_sym_LT_EQ] = ACTIONS(4513),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(4513),
    [anon_sym_GT_GT] = ACTIONS(4513),
    [anon_sym_SEMI] = ACTIONS(4520),
    [anon_sym___attribute__] = ACTIONS(4513),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_RBRACE] = ACTIONS(4520),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_RBRACK] = ACTIONS(4520),
    [anon_sym_EQ] = ACTIONS(4513),
    [anon_sym_COLON] = ACTIONS(4513),
    [anon_sym_QMARK] = ACTIONS(4520),
    [anon_sym_STAR_EQ] = ACTIONS(4520),
    [anon_sym_SLASH_EQ] = ACTIONS(4520),
    [anon_sym_PERCENT_EQ] = ACTIONS(4520),
    [anon_sym_PLUS_EQ] = ACTIONS(4520),
    [anon_sym_DASH_EQ] = ACTIONS(4520),
    [anon_sym_LT_LT_EQ] = ACTIONS(4520),
    [anon_sym_GT_GT_EQ] = ACTIONS(4520),
    [anon_sym_AMP_EQ] = ACTIONS(4520),
    [anon_sym_CARET_EQ] = ACTIONS(4520),
    [anon_sym_PIPE_EQ] = ACTIONS(4520),
    [anon_sym_and_eq] = ACTIONS(4513),
    [anon_sym_or_eq] = ACTIONS(4513),
    [anon_sym_xor_eq] = ACTIONS(4513),
    [anon_sym_LT_EQ_GT] = ACTIONS(4520),
    [anon_sym_or] = ACTIONS(4513),
    [anon_sym_and] = ACTIONS(4513),
    [anon_sym_bitor] = ACTIONS(4513),
    [anon_sym_xor] = ACTIONS(4513),
    [anon_sym_bitand] = ACTIONS(4513),
    [anon_sym_not_eq] = ACTIONS(4513),
    [anon_sym_DASH_DASH] = ACTIONS(4520),
    [anon_sym_PLUS_PLUS] = ACTIONS(4520),
    [anon_sym_DOT] = ACTIONS(4513),
    [anon_sym_DOT_STAR] = ACTIONS(4520),
    [anon_sym_DASH_GT] = ACTIONS(4520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4513),
    [anon_sym_decltype] = ACTIONS(4513),
    [anon_sym_final] = ACTIONS(4513),
    [anon_sym_override] = ACTIONS(4513),
  },
  [1734] = {
    [sym_identifier] = ACTIONS(5102),
    [aux_sym_preproc_def_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token2] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5102),
    [aux_sym_preproc_else_token1] = ACTIONS(5102),
    [aux_sym_preproc_elif_token1] = ACTIONS(5102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5102),
    [sym_preproc_directive] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_STAR] = ACTIONS(5104),
    [anon_sym_AMP_AMP] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(5102),
    [anon_sym___extension__] = ACTIONS(5102),
    [anon_sym_typedef] = ACTIONS(5102),
    [anon_sym_extern] = ACTIONS(5102),
    [anon_sym___attribute__] = ACTIONS(5102),
    [anon_sym_COLON_COLON] = ACTIONS(5104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5104),
    [anon_sym___declspec] = ACTIONS(5102),
    [anon_sym___based] = ACTIONS(5102),
    [anon_sym_signed] = ACTIONS(5102),
    [anon_sym_unsigned] = ACTIONS(5102),
    [anon_sym_long] = ACTIONS(5102),
    [anon_sym_short] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [anon_sym_static] = ACTIONS(5102),
    [anon_sym_register] = ACTIONS(5102),
    [anon_sym_inline] = ACTIONS(5102),
    [anon_sym___inline] = ACTIONS(5102),
    [anon_sym___inline__] = ACTIONS(5102),
    [anon_sym___forceinline] = ACTIONS(5102),
    [anon_sym_thread_local] = ACTIONS(5102),
    [anon_sym___thread] = ACTIONS(5102),
    [anon_sym_const] = ACTIONS(5102),
    [anon_sym_constexpr] = ACTIONS(5102),
    [anon_sym_volatile] = ACTIONS(5102),
    [anon_sym_restrict] = ACTIONS(5102),
    [anon_sym___restrict__] = ACTIONS(5102),
    [anon_sym__Atomic] = ACTIONS(5102),
    [anon_sym__Noreturn] = ACTIONS(5102),
    [anon_sym_noreturn] = ACTIONS(5102),
    [anon_sym_mutable] = ACTIONS(5102),
    [anon_sym_constinit] = ACTIONS(5102),
    [anon_sym_consteval] = ACTIONS(5102),
    [anon_sym_alignas] = ACTIONS(5102),
    [anon_sym__Alignas] = ACTIONS(5102),
    [sym_primitive_type] = ACTIONS(5102),
    [anon_sym_enum] = ACTIONS(5102),
    [anon_sym_class] = ACTIONS(5102),
    [anon_sym_struct] = ACTIONS(5102),
    [anon_sym_union] = ACTIONS(5102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5102),
    [anon_sym_decltype] = ACTIONS(5102),
    [sym_virtual] = ACTIONS(5102),
    [anon_sym_explicit] = ACTIONS(5102),
    [anon_sym_typename] = ACTIONS(5102),
    [anon_sym_template] = ACTIONS(5102),
    [anon_sym_operator] = ACTIONS(5102),
    [anon_sym_friend] = ACTIONS(5102),
    [anon_sym_public] = ACTIONS(5102),
    [anon_sym_private] = ACTIONS(5102),
    [anon_sym_protected] = ACTIONS(5102),
    [anon_sym_using] = ACTIONS(5102),
    [anon_sym_static_assert] = ACTIONS(5102),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [aux_sym_preproc_else_token1] = ACTIONS(2672),
    [aux_sym_preproc_elif_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_friend] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(5106),
    [aux_sym_preproc_def_token1] = ACTIONS(5106),
    [aux_sym_preproc_if_token1] = ACTIONS(5106),
    [aux_sym_preproc_if_token2] = ACTIONS(5106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5106),
    [aux_sym_preproc_else_token1] = ACTIONS(5106),
    [aux_sym_preproc_elif_token1] = ACTIONS(5106),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5106),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5106),
    [sym_preproc_directive] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_TILDE] = ACTIONS(5108),
    [anon_sym_STAR] = ACTIONS(5108),
    [anon_sym_AMP_AMP] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(5106),
    [anon_sym___extension__] = ACTIONS(5106),
    [anon_sym_typedef] = ACTIONS(5106),
    [anon_sym_extern] = ACTIONS(5106),
    [anon_sym___attribute__] = ACTIONS(5106),
    [anon_sym_COLON_COLON] = ACTIONS(5108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5108),
    [anon_sym___declspec] = ACTIONS(5106),
    [anon_sym___based] = ACTIONS(5106),
    [anon_sym_signed] = ACTIONS(5106),
    [anon_sym_unsigned] = ACTIONS(5106),
    [anon_sym_long] = ACTIONS(5106),
    [anon_sym_short] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [anon_sym_static] = ACTIONS(5106),
    [anon_sym_register] = ACTIONS(5106),
    [anon_sym_inline] = ACTIONS(5106),
    [anon_sym___inline] = ACTIONS(5106),
    [anon_sym___inline__] = ACTIONS(5106),
    [anon_sym___forceinline] = ACTIONS(5106),
    [anon_sym_thread_local] = ACTIONS(5106),
    [anon_sym___thread] = ACTIONS(5106),
    [anon_sym_const] = ACTIONS(5106),
    [anon_sym_constexpr] = ACTIONS(5106),
    [anon_sym_volatile] = ACTIONS(5106),
    [anon_sym_restrict] = ACTIONS(5106),
    [anon_sym___restrict__] = ACTIONS(5106),
    [anon_sym__Atomic] = ACTIONS(5106),
    [anon_sym__Noreturn] = ACTIONS(5106),
    [anon_sym_noreturn] = ACTIONS(5106),
    [anon_sym_mutable] = ACTIONS(5106),
    [anon_sym_constinit] = ACTIONS(5106),
    [anon_sym_consteval] = ACTIONS(5106),
    [anon_sym_alignas] = ACTIONS(5106),
    [anon_sym__Alignas] = ACTIONS(5106),
    [sym_primitive_type] = ACTIONS(5106),
    [anon_sym_enum] = ACTIONS(5106),
    [anon_sym_class] = ACTIONS(5106),
    [anon_sym_struct] = ACTIONS(5106),
    [anon_sym_union] = ACTIONS(5106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5106),
    [anon_sym_decltype] = ACTIONS(5106),
    [sym_virtual] = ACTIONS(5106),
    [anon_sym_explicit] = ACTIONS(5106),
    [anon_sym_typename] = ACTIONS(5106),
    [anon_sym_template] = ACTIONS(5106),
    [anon_sym_operator] = ACTIONS(5106),
    [anon_sym_friend] = ACTIONS(5106),
    [anon_sym_public] = ACTIONS(5106),
    [anon_sym_private] = ACTIONS(5106),
    [anon_sym_protected] = ACTIONS(5106),
    [anon_sym_using] = ACTIONS(5106),
    [anon_sym_static_assert] = ACTIONS(5106),
  },
  [1737] = {
    [sym_identifier] = ACTIONS(5110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_RPAREN] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5112),
    [anon_sym_SLASH] = ACTIONS(5110),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5110),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5110),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5110),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5110),
    [anon_sym_LT] = ACTIONS(5110),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5110),
    [anon_sym___attribute__] = ACTIONS(5110),
    [anon_sym___based] = ACTIONS(5110),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5112),
    [anon_sym_signed] = ACTIONS(5110),
    [anon_sym_unsigned] = ACTIONS(5110),
    [anon_sym_long] = ACTIONS(5110),
    [anon_sym_short] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5110),
    [anon_sym_constexpr] = ACTIONS(5110),
    [anon_sym_volatile] = ACTIONS(5110),
    [anon_sym_restrict] = ACTIONS(5110),
    [anon_sym___restrict__] = ACTIONS(5110),
    [anon_sym__Atomic] = ACTIONS(5110),
    [anon_sym__Noreturn] = ACTIONS(5110),
    [anon_sym_noreturn] = ACTIONS(5110),
    [anon_sym_mutable] = ACTIONS(5110),
    [anon_sym_constinit] = ACTIONS(5110),
    [anon_sym_consteval] = ACTIONS(5110),
    [anon_sym_alignas] = ACTIONS(5110),
    [anon_sym__Alignas] = ACTIONS(5110),
    [sym_primitive_type] = ACTIONS(5110),
    [anon_sym_COLON] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5110),
    [anon_sym_and] = ACTIONS(5110),
    [anon_sym_bitor] = ACTIONS(5110),
    [anon_sym_xor] = ACTIONS(5110),
    [anon_sym_bitand] = ACTIONS(5110),
    [anon_sym_not_eq] = ACTIONS(5110),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5110),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5110),
    [anon_sym_decltype] = ACTIONS(5110),
    [anon_sym_final] = ACTIONS(5110),
    [anon_sym_override] = ACTIONS(5110),
    [anon_sym_requires] = ACTIONS(5110),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(5114),
    [aux_sym_preproc_def_token1] = ACTIONS(5114),
    [aux_sym_preproc_if_token1] = ACTIONS(5114),
    [aux_sym_preproc_if_token2] = ACTIONS(5114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5114),
    [aux_sym_preproc_else_token1] = ACTIONS(5114),
    [aux_sym_preproc_elif_token1] = ACTIONS(5114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5114),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5114),
    [sym_preproc_directive] = ACTIONS(5114),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym_typedef] = ACTIONS(5114),
    [anon_sym_extern] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_COLON_COLON] = ACTIONS(5116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5116),
    [anon_sym___declspec] = ACTIONS(5114),
    [anon_sym___based] = ACTIONS(5114),
    [anon_sym_signed] = ACTIONS(5114),
    [anon_sym_unsigned] = ACTIONS(5114),
    [anon_sym_long] = ACTIONS(5114),
    [anon_sym_short] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5114),
    [anon_sym_register] = ACTIONS(5114),
    [anon_sym_inline] = ACTIONS(5114),
    [anon_sym___inline] = ACTIONS(5114),
    [anon_sym___inline__] = ACTIONS(5114),
    [anon_sym___forceinline] = ACTIONS(5114),
    [anon_sym_thread_local] = ACTIONS(5114),
    [anon_sym___thread] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5114),
    [anon_sym_constexpr] = ACTIONS(5114),
    [anon_sym_volatile] = ACTIONS(5114),
    [anon_sym_restrict] = ACTIONS(5114),
    [anon_sym___restrict__] = ACTIONS(5114),
    [anon_sym__Atomic] = ACTIONS(5114),
    [anon_sym__Noreturn] = ACTIONS(5114),
    [anon_sym_noreturn] = ACTIONS(5114),
    [anon_sym_mutable] = ACTIONS(5114),
    [anon_sym_constinit] = ACTIONS(5114),
    [anon_sym_consteval] = ACTIONS(5114),
    [anon_sym_alignas] = ACTIONS(5114),
    [anon_sym__Alignas] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_enum] = ACTIONS(5114),
    [anon_sym_class] = ACTIONS(5114),
    [anon_sym_struct] = ACTIONS(5114),
    [anon_sym_union] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
    [sym_virtual] = ACTIONS(5114),
    [anon_sym_explicit] = ACTIONS(5114),
    [anon_sym_typename] = ACTIONS(5114),
    [anon_sym_template] = ACTIONS(5114),
    [anon_sym_operator] = ACTIONS(5114),
    [anon_sym_friend] = ACTIONS(5114),
    [anon_sym_public] = ACTIONS(5114),
    [anon_sym_private] = ACTIONS(5114),
    [anon_sym_protected] = ACTIONS(5114),
    [anon_sym_using] = ACTIONS(5114),
    [anon_sym_static_assert] = ACTIONS(5114),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [aux_sym_preproc_else_token1] = ACTIONS(5118),
    [aux_sym_preproc_elif_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5118),
    [anon_sym___extension__] = ACTIONS(5118),
    [anon_sym_typedef] = ACTIONS(5118),
    [anon_sym_extern] = ACTIONS(5118),
    [anon_sym___attribute__] = ACTIONS(5118),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5118),
    [anon_sym___based] = ACTIONS(5118),
    [anon_sym_signed] = ACTIONS(5118),
    [anon_sym_unsigned] = ACTIONS(5118),
    [anon_sym_long] = ACTIONS(5118),
    [anon_sym_short] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [anon_sym_static] = ACTIONS(5118),
    [anon_sym_register] = ACTIONS(5118),
    [anon_sym_inline] = ACTIONS(5118),
    [anon_sym___inline] = ACTIONS(5118),
    [anon_sym___inline__] = ACTIONS(5118),
    [anon_sym___forceinline] = ACTIONS(5118),
    [anon_sym_thread_local] = ACTIONS(5118),
    [anon_sym___thread] = ACTIONS(5118),
    [anon_sym_const] = ACTIONS(5118),
    [anon_sym_constexpr] = ACTIONS(5118),
    [anon_sym_volatile] = ACTIONS(5118),
    [anon_sym_restrict] = ACTIONS(5118),
    [anon_sym___restrict__] = ACTIONS(5118),
    [anon_sym__Atomic] = ACTIONS(5118),
    [anon_sym__Noreturn] = ACTIONS(5118),
    [anon_sym_noreturn] = ACTIONS(5118),
    [anon_sym_mutable] = ACTIONS(5118),
    [anon_sym_constinit] = ACTIONS(5118),
    [anon_sym_consteval] = ACTIONS(5118),
    [anon_sym_alignas] = ACTIONS(5118),
    [anon_sym__Alignas] = ACTIONS(5118),
    [sym_primitive_type] = ACTIONS(5118),
    [anon_sym_enum] = ACTIONS(5118),
    [anon_sym_class] = ACTIONS(5118),
    [anon_sym_struct] = ACTIONS(5118),
    [anon_sym_union] = ACTIONS(5118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5118),
    [anon_sym_decltype] = ACTIONS(5118),
    [sym_virtual] = ACTIONS(5118),
    [anon_sym_explicit] = ACTIONS(5118),
    [anon_sym_typename] = ACTIONS(5118),
    [anon_sym_template] = ACTIONS(5118),
    [anon_sym_operator] = ACTIONS(5118),
    [anon_sym_friend] = ACTIONS(5118),
    [anon_sym_public] = ACTIONS(5118),
    [anon_sym_private] = ACTIONS(5118),
    [anon_sym_protected] = ACTIONS(5118),
    [anon_sym_using] = ACTIONS(5118),
    [anon_sym_static_assert] = ACTIONS(5118),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_friend] = ACTIONS(2750),
    [anon_sym_public] = ACTIONS(2750),
    [anon_sym_private] = ACTIONS(2750),
    [anon_sym_protected] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token2] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [aux_sym_preproc_else_token1] = ACTIONS(5030),
    [aux_sym_preproc_elif_token1] = ACTIONS(5030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [1742] = {
    [sym_argument_list] = STATE(2373),
    [sym_initializer_list] = STATE(2373),
    [sym_decltype_auto] = STATE(2007),
    [sym_new_declarator] = STATE(1977),
    [sym_identifier] = ACTIONS(5122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5124),
    [anon_sym_COMMA] = ACTIONS(5124),
    [anon_sym_RPAREN] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_else_token1] = ACTIONS(5124),
    [aux_sym_preproc_elif_token1] = ACTIONS(5122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5122),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5124),
    [anon_sym_AMP_AMP] = ACTIONS(5124),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5122),
    [anon_sym_EQ_EQ] = ACTIONS(5124),
    [anon_sym_BANG_EQ] = ACTIONS(5124),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5124),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym_SEMI] = ACTIONS(5124),
    [anon_sym___attribute__] = ACTIONS(5122),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5124),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_RBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_COLON] = ACTIONS(5124),
    [anon_sym_QMARK] = ACTIONS(5124),
    [anon_sym_STAR_EQ] = ACTIONS(5124),
    [anon_sym_SLASH_EQ] = ACTIONS(5124),
    [anon_sym_PERCENT_EQ] = ACTIONS(5124),
    [anon_sym_PLUS_EQ] = ACTIONS(5124),
    [anon_sym_DASH_EQ] = ACTIONS(5124),
    [anon_sym_LT_LT_EQ] = ACTIONS(5124),
    [anon_sym_GT_GT_EQ] = ACTIONS(5124),
    [anon_sym_AMP_EQ] = ACTIONS(5124),
    [anon_sym_CARET_EQ] = ACTIONS(5124),
    [anon_sym_PIPE_EQ] = ACTIONS(5124),
    [anon_sym_and_eq] = ACTIONS(5122),
    [anon_sym_or_eq] = ACTIONS(5122),
    [anon_sym_xor_eq] = ACTIONS(5122),
    [anon_sym_LT_EQ_GT] = ACTIONS(5124),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5124),
    [anon_sym_PLUS_PLUS] = ACTIONS(5124),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5124),
    [anon_sym_DASH_GT] = ACTIONS(5124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5050),
    [anon_sym_decltype] = ACTIONS(5052),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(5126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym_COMMA] = ACTIONS(5128),
    [anon_sym_RPAREN] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_STAR] = ACTIONS(5128),
    [anon_sym_SLASH] = ACTIONS(5126),
    [anon_sym_PERCENT] = ACTIONS(5128),
    [anon_sym_PIPE_PIPE] = ACTIONS(5128),
    [anon_sym_AMP_AMP] = ACTIONS(5128),
    [anon_sym_PIPE] = ACTIONS(5126),
    [anon_sym_CARET] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(5126),
    [anon_sym_EQ_EQ] = ACTIONS(5128),
    [anon_sym_BANG_EQ] = ACTIONS(5128),
    [anon_sym_GT] = ACTIONS(5126),
    [anon_sym_GT_EQ] = ACTIONS(5128),
    [anon_sym_LT_EQ] = ACTIONS(5126),
    [anon_sym_LT] = ACTIONS(5126),
    [anon_sym_LT_LT] = ACTIONS(5128),
    [anon_sym_GT_GT] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5128),
    [anon_sym___extension__] = ACTIONS(5126),
    [anon_sym___attribute__] = ACTIONS(5126),
    [anon_sym___based] = ACTIONS(5126),
    [anon_sym_LBRACE] = ACTIONS(5128),
    [anon_sym_RBRACE] = ACTIONS(5128),
    [anon_sym_signed] = ACTIONS(5126),
    [anon_sym_unsigned] = ACTIONS(5126),
    [anon_sym_long] = ACTIONS(5126),
    [anon_sym_short] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [anon_sym_RBRACK] = ACTIONS(5128),
    [anon_sym_const] = ACTIONS(5126),
    [anon_sym_constexpr] = ACTIONS(5126),
    [anon_sym_volatile] = ACTIONS(5126),
    [anon_sym_restrict] = ACTIONS(5126),
    [anon_sym___restrict__] = ACTIONS(5126),
    [anon_sym__Atomic] = ACTIONS(5126),
    [anon_sym__Noreturn] = ACTIONS(5126),
    [anon_sym_noreturn] = ACTIONS(5126),
    [anon_sym_mutable] = ACTIONS(5126),
    [anon_sym_constinit] = ACTIONS(5126),
    [anon_sym_consteval] = ACTIONS(5126),
    [anon_sym_alignas] = ACTIONS(5126),
    [anon_sym__Alignas] = ACTIONS(5126),
    [sym_primitive_type] = ACTIONS(5126),
    [anon_sym_COLON] = ACTIONS(5128),
    [anon_sym_QMARK] = ACTIONS(5128),
    [anon_sym_LT_EQ_GT] = ACTIONS(5128),
    [anon_sym_or] = ACTIONS(5126),
    [anon_sym_and] = ACTIONS(5126),
    [anon_sym_bitor] = ACTIONS(5126),
    [anon_sym_xor] = ACTIONS(5126),
    [anon_sym_bitand] = ACTIONS(5126),
    [anon_sym_not_eq] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5128),
    [anon_sym_PLUS_PLUS] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5126),
    [anon_sym_DOT_STAR] = ACTIONS(5128),
    [anon_sym_DASH_GT] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5126),
    [anon_sym_decltype] = ACTIONS(5126),
    [anon_sym_final] = ACTIONS(5126),
    [anon_sym_override] = ACTIONS(5126),
    [anon_sym_requires] = ACTIONS(5126),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5132),
    [anon_sym_COMMA] = ACTIONS(5132),
    [anon_sym_RPAREN] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_STAR] = ACTIONS(5132),
    [anon_sym_SLASH] = ACTIONS(5130),
    [anon_sym_PERCENT] = ACTIONS(5132),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(5130),
    [anon_sym_EQ_EQ] = ACTIONS(5132),
    [anon_sym_BANG_EQ] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5130),
    [anon_sym_GT_EQ] = ACTIONS(5132),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5130),
    [anon_sym_LT_LT] = ACTIONS(5132),
    [anon_sym_GT_GT] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5132),
    [anon_sym___extension__] = ACTIONS(5130),
    [anon_sym___attribute__] = ACTIONS(5130),
    [anon_sym___based] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(5132),
    [anon_sym_RBRACE] = ACTIONS(5132),
    [anon_sym_signed] = ACTIONS(5130),
    [anon_sym_unsigned] = ACTIONS(5130),
    [anon_sym_long] = ACTIONS(5130),
    [anon_sym_short] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [anon_sym_RBRACK] = ACTIONS(5132),
    [anon_sym_const] = ACTIONS(5130),
    [anon_sym_constexpr] = ACTIONS(5130),
    [anon_sym_volatile] = ACTIONS(5130),
    [anon_sym_restrict] = ACTIONS(5130),
    [anon_sym___restrict__] = ACTIONS(5130),
    [anon_sym__Atomic] = ACTIONS(5130),
    [anon_sym__Noreturn] = ACTIONS(5130),
    [anon_sym_noreturn] = ACTIONS(5130),
    [anon_sym_mutable] = ACTIONS(5130),
    [anon_sym_constinit] = ACTIONS(5130),
    [anon_sym_consteval] = ACTIONS(5130),
    [anon_sym_alignas] = ACTIONS(5130),
    [anon_sym__Alignas] = ACTIONS(5130),
    [sym_primitive_type] = ACTIONS(5130),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_QMARK] = ACTIONS(5132),
    [anon_sym_LT_EQ_GT] = ACTIONS(5132),
    [anon_sym_or] = ACTIONS(5130),
    [anon_sym_and] = ACTIONS(5130),
    [anon_sym_bitor] = ACTIONS(5130),
    [anon_sym_xor] = ACTIONS(5130),
    [anon_sym_bitand] = ACTIONS(5130),
    [anon_sym_not_eq] = ACTIONS(5130),
    [anon_sym_DASH_DASH] = ACTIONS(5132),
    [anon_sym_PLUS_PLUS] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_DOT_STAR] = ACTIONS(5132),
    [anon_sym_DASH_GT] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5130),
    [anon_sym_decltype] = ACTIONS(5130),
    [anon_sym_final] = ACTIONS(5130),
    [anon_sym_override] = ACTIONS(5130),
    [anon_sym_requires] = ACTIONS(5130),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(5134),
    [aux_sym_preproc_def_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token2] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5134),
    [aux_sym_preproc_else_token1] = ACTIONS(5134),
    [aux_sym_preproc_elif_token1] = ACTIONS(5134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5134),
    [sym_preproc_directive] = ACTIONS(5134),
    [anon_sym_LPAREN2] = ACTIONS(5136),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_STAR] = ACTIONS(5136),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5134),
    [anon_sym___extension__] = ACTIONS(5134),
    [anon_sym_typedef] = ACTIONS(5134),
    [anon_sym_extern] = ACTIONS(5134),
    [anon_sym___attribute__] = ACTIONS(5134),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5134),
    [anon_sym___based] = ACTIONS(5134),
    [anon_sym_signed] = ACTIONS(5134),
    [anon_sym_unsigned] = ACTIONS(5134),
    [anon_sym_long] = ACTIONS(5134),
    [anon_sym_short] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [anon_sym_static] = ACTIONS(5134),
    [anon_sym_register] = ACTIONS(5134),
    [anon_sym_inline] = ACTIONS(5134),
    [anon_sym___inline] = ACTIONS(5134),
    [anon_sym___inline__] = ACTIONS(5134),
    [anon_sym___forceinline] = ACTIONS(5134),
    [anon_sym_thread_local] = ACTIONS(5134),
    [anon_sym___thread] = ACTIONS(5134),
    [anon_sym_const] = ACTIONS(5134),
    [anon_sym_constexpr] = ACTIONS(5134),
    [anon_sym_volatile] = ACTIONS(5134),
    [anon_sym_restrict] = ACTIONS(5134),
    [anon_sym___restrict__] = ACTIONS(5134),
    [anon_sym__Atomic] = ACTIONS(5134),
    [anon_sym__Noreturn] = ACTIONS(5134),
    [anon_sym_noreturn] = ACTIONS(5134),
    [anon_sym_mutable] = ACTIONS(5134),
    [anon_sym_constinit] = ACTIONS(5134),
    [anon_sym_consteval] = ACTIONS(5134),
    [anon_sym_alignas] = ACTIONS(5134),
    [anon_sym__Alignas] = ACTIONS(5134),
    [sym_primitive_type] = ACTIONS(5134),
    [anon_sym_enum] = ACTIONS(5134),
    [anon_sym_class] = ACTIONS(5134),
    [anon_sym_struct] = ACTIONS(5134),
    [anon_sym_union] = ACTIONS(5134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5134),
    [anon_sym_decltype] = ACTIONS(5134),
    [sym_virtual] = ACTIONS(5134),
    [anon_sym_explicit] = ACTIONS(5134),
    [anon_sym_typename] = ACTIONS(5134),
    [anon_sym_template] = ACTIONS(5134),
    [anon_sym_operator] = ACTIONS(5134),
    [anon_sym_friend] = ACTIONS(5134),
    [anon_sym_public] = ACTIONS(5134),
    [anon_sym_private] = ACTIONS(5134),
    [anon_sym_protected] = ACTIONS(5134),
    [anon_sym_using] = ACTIONS(5134),
    [anon_sym_static_assert] = ACTIONS(5134),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [1748] = {
    [sym_identifier] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [aux_sym_preproc_else_token1] = ACTIONS(5138),
    [aux_sym_preproc_elif_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [anon_sym_TILDE] = ACTIONS(5140),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_AMP_AMP] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5138),
    [anon_sym_typedef] = ACTIONS(5138),
    [anon_sym_extern] = ACTIONS(5138),
    [anon_sym___attribute__] = ACTIONS(5138),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5140),
    [anon_sym___declspec] = ACTIONS(5138),
    [anon_sym___based] = ACTIONS(5138),
    [anon_sym_signed] = ACTIONS(5138),
    [anon_sym_unsigned] = ACTIONS(5138),
    [anon_sym_long] = ACTIONS(5138),
    [anon_sym_short] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [anon_sym_static] = ACTIONS(5138),
    [anon_sym_register] = ACTIONS(5138),
    [anon_sym_inline] = ACTIONS(5138),
    [anon_sym___inline] = ACTIONS(5138),
    [anon_sym___inline__] = ACTIONS(5138),
    [anon_sym___forceinline] = ACTIONS(5138),
    [anon_sym_thread_local] = ACTIONS(5138),
    [anon_sym___thread] = ACTIONS(5138),
    [anon_sym_const] = ACTIONS(5138),
    [anon_sym_constexpr] = ACTIONS(5138),
    [anon_sym_volatile] = ACTIONS(5138),
    [anon_sym_restrict] = ACTIONS(5138),
    [anon_sym___restrict__] = ACTIONS(5138),
    [anon_sym__Atomic] = ACTIONS(5138),
    [anon_sym__Noreturn] = ACTIONS(5138),
    [anon_sym_noreturn] = ACTIONS(5138),
    [anon_sym_mutable] = ACTIONS(5138),
    [anon_sym_constinit] = ACTIONS(5138),
    [anon_sym_consteval] = ACTIONS(5138),
    [anon_sym_alignas] = ACTIONS(5138),
    [anon_sym__Alignas] = ACTIONS(5138),
    [sym_primitive_type] = ACTIONS(5138),
    [anon_sym_enum] = ACTIONS(5138),
    [anon_sym_class] = ACTIONS(5138),
    [anon_sym_struct] = ACTIONS(5138),
    [anon_sym_union] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5138),
    [sym_virtual] = ACTIONS(5138),
    [anon_sym_explicit] = ACTIONS(5138),
    [anon_sym_typename] = ACTIONS(5138),
    [anon_sym_template] = ACTIONS(5138),
    [anon_sym_operator] = ACTIONS(5138),
    [anon_sym_friend] = ACTIONS(5138),
    [anon_sym_public] = ACTIONS(5138),
    [anon_sym_private] = ACTIONS(5138),
    [anon_sym_protected] = ACTIONS(5138),
    [anon_sym_using] = ACTIONS(5138),
    [anon_sym_static_assert] = ACTIONS(5138),
  },
  [1749] = {
    [sym_argument_list] = STATE(2339),
    [sym_initializer_list] = STATE(2339),
    [sym_decltype_auto] = STATE(2007),
    [sym_new_declarator] = STATE(2069),
    [sym_identifier] = ACTIONS(5142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [aux_sym_preproc_if_token2] = ACTIONS(5144),
    [aux_sym_preproc_else_token1] = ACTIONS(5144),
    [aux_sym_preproc_elif_token1] = ACTIONS(5142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5142),
    [anon_sym_SLASH] = ACTIONS(5142),
    [anon_sym_PERCENT] = ACTIONS(5142),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5142),
    [anon_sym_CARET] = ACTIONS(5142),
    [anon_sym_AMP] = ACTIONS(5142),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5142),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5142),
    [anon_sym_LT] = ACTIONS(5142),
    [anon_sym_LT_LT] = ACTIONS(5142),
    [anon_sym_GT_GT] = ACTIONS(5142),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym___attribute__] = ACTIONS(5142),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_RBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5142),
    [anon_sym_COLON] = ACTIONS(5144),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5144),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5142),
    [anon_sym_or_eq] = ACTIONS(5142),
    [anon_sym_xor_eq] = ACTIONS(5142),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5142),
    [anon_sym_and] = ACTIONS(5142),
    [anon_sym_bitor] = ACTIONS(5142),
    [anon_sym_xor] = ACTIONS(5142),
    [anon_sym_bitand] = ACTIONS(5142),
    [anon_sym_not_eq] = ACTIONS(5142),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5050),
    [anon_sym_decltype] = ACTIONS(5052),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(5146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5148),
    [anon_sym_COMMA] = ACTIONS(5148),
    [anon_sym_RPAREN] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5148),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5148),
    [anon_sym_PIPE_PIPE] = ACTIONS(5148),
    [anon_sym_AMP_AMP] = ACTIONS(5148),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5148),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5148),
    [anon_sym_BANG_EQ] = ACTIONS(5148),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5148),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5148),
    [anon_sym_GT_GT] = ACTIONS(5148),
    [anon_sym_SEMI] = ACTIONS(5148),
    [anon_sym___extension__] = ACTIONS(5146),
    [anon_sym___attribute__] = ACTIONS(5146),
    [anon_sym___based] = ACTIONS(5146),
    [anon_sym_LBRACE] = ACTIONS(5148),
    [anon_sym_RBRACE] = ACTIONS(5148),
    [anon_sym_signed] = ACTIONS(5146),
    [anon_sym_unsigned] = ACTIONS(5146),
    [anon_sym_long] = ACTIONS(5146),
    [anon_sym_short] = ACTIONS(5146),
    [anon_sym_LBRACK] = ACTIONS(5148),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [anon_sym_const] = ACTIONS(5146),
    [anon_sym_constexpr] = ACTIONS(5146),
    [anon_sym_volatile] = ACTIONS(5146),
    [anon_sym_restrict] = ACTIONS(5146),
    [anon_sym___restrict__] = ACTIONS(5146),
    [anon_sym__Atomic] = ACTIONS(5146),
    [anon_sym__Noreturn] = ACTIONS(5146),
    [anon_sym_noreturn] = ACTIONS(5146),
    [anon_sym_mutable] = ACTIONS(5146),
    [anon_sym_constinit] = ACTIONS(5146),
    [anon_sym_consteval] = ACTIONS(5146),
    [anon_sym_alignas] = ACTIONS(5146),
    [anon_sym__Alignas] = ACTIONS(5146),
    [sym_primitive_type] = ACTIONS(5146),
    [anon_sym_COLON] = ACTIONS(5148),
    [anon_sym_QMARK] = ACTIONS(5148),
    [anon_sym_LT_EQ_GT] = ACTIONS(5148),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5148),
    [anon_sym_PLUS_PLUS] = ACTIONS(5148),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5148),
    [anon_sym_DASH_GT] = ACTIONS(5148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5146),
    [anon_sym_decltype] = ACTIONS(5146),
    [anon_sym_final] = ACTIONS(5146),
    [anon_sym_override] = ACTIONS(5146),
    [anon_sym_requires] = ACTIONS(5146),
  },
  [1752] = {
    [sym_string_literal] = STATE(1579),
    [sym_raw_string_literal] = STATE(1579),
    [sym_identifier] = ACTIONS(3778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(3770),
    [aux_sym_preproc_else_token1] = ACTIONS(3770),
    [aux_sym_preproc_elif_token1] = ACTIONS(3778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(5150),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1754] = {
    [sym_identifier] = ACTIONS(5152),
    [aux_sym_preproc_def_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token2] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5152),
    [aux_sym_preproc_else_token1] = ACTIONS(5152),
    [aux_sym_preproc_elif_token1] = ACTIONS(5152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5152),
    [sym_preproc_directive] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [anon_sym_TILDE] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_AMP_AMP] = ACTIONS(5154),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5152),
    [anon_sym_typedef] = ACTIONS(5152),
    [anon_sym_extern] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5152),
    [anon_sym_COLON_COLON] = ACTIONS(5154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5154),
    [anon_sym___declspec] = ACTIONS(5152),
    [anon_sym___based] = ACTIONS(5152),
    [anon_sym_signed] = ACTIONS(5152),
    [anon_sym_unsigned] = ACTIONS(5152),
    [anon_sym_long] = ACTIONS(5152),
    [anon_sym_short] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5152),
    [anon_sym_register] = ACTIONS(5152),
    [anon_sym_inline] = ACTIONS(5152),
    [anon_sym___inline] = ACTIONS(5152),
    [anon_sym___inline__] = ACTIONS(5152),
    [anon_sym___forceinline] = ACTIONS(5152),
    [anon_sym_thread_local] = ACTIONS(5152),
    [anon_sym___thread] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5152),
    [anon_sym_constexpr] = ACTIONS(5152),
    [anon_sym_volatile] = ACTIONS(5152),
    [anon_sym_restrict] = ACTIONS(5152),
    [anon_sym___restrict__] = ACTIONS(5152),
    [anon_sym__Atomic] = ACTIONS(5152),
    [anon_sym__Noreturn] = ACTIONS(5152),
    [anon_sym_noreturn] = ACTIONS(5152),
    [anon_sym_mutable] = ACTIONS(5152),
    [anon_sym_constinit] = ACTIONS(5152),
    [anon_sym_consteval] = ACTIONS(5152),
    [anon_sym_alignas] = ACTIONS(5152),
    [anon_sym__Alignas] = ACTIONS(5152),
    [sym_primitive_type] = ACTIONS(5152),
    [anon_sym_enum] = ACTIONS(5152),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5152),
    [anon_sym_union] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5152),
    [anon_sym_decltype] = ACTIONS(5152),
    [sym_virtual] = ACTIONS(5152),
    [anon_sym_explicit] = ACTIONS(5152),
    [anon_sym_typename] = ACTIONS(5152),
    [anon_sym_template] = ACTIONS(5152),
    [anon_sym_operator] = ACTIONS(5152),
    [anon_sym_friend] = ACTIONS(5152),
    [anon_sym_public] = ACTIONS(5152),
    [anon_sym_private] = ACTIONS(5152),
    [anon_sym_protected] = ACTIONS(5152),
    [anon_sym_using] = ACTIONS(5152),
    [anon_sym_static_assert] = ACTIONS(5152),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_friend] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
  },
  [1756] = {
    [sym_string_literal] = STATE(1579),
    [sym_raw_string_literal] = STATE(1579),
    [sym_identifier] = ACTIONS(5156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [aux_sym_preproc_if_token2] = ACTIONS(5158),
    [aux_sym_preproc_else_token1] = ACTIONS(5158),
    [aux_sym_preproc_elif_token1] = ACTIONS(5156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_SLASH] = ACTIONS(5156),
    [anon_sym_PERCENT] = ACTIONS(5156),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5156),
    [anon_sym_CARET] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5156),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_GT] = ACTIONS(5156),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5156),
    [anon_sym_LT] = ACTIONS(5156),
    [anon_sym_LT_LT] = ACTIONS(5156),
    [anon_sym_GT_GT] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5156),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_STAR_EQ] = ACTIONS(5158),
    [anon_sym_SLASH_EQ] = ACTIONS(5158),
    [anon_sym_PERCENT_EQ] = ACTIONS(5158),
    [anon_sym_PLUS_EQ] = ACTIONS(5158),
    [anon_sym_DASH_EQ] = ACTIONS(5158),
    [anon_sym_LT_LT_EQ] = ACTIONS(5158),
    [anon_sym_GT_GT_EQ] = ACTIONS(5158),
    [anon_sym_AMP_EQ] = ACTIONS(5158),
    [anon_sym_CARET_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_and_eq] = ACTIONS(5156),
    [anon_sym_or_eq] = ACTIONS(5156),
    [anon_sym_xor_eq] = ACTIONS(5156),
    [anon_sym_LT_EQ_GT] = ACTIONS(5158),
    [anon_sym_or] = ACTIONS(5156),
    [anon_sym_and] = ACTIONS(5156),
    [anon_sym_bitor] = ACTIONS(5156),
    [anon_sym_xor] = ACTIONS(5156),
    [anon_sym_bitand] = ACTIONS(5156),
    [anon_sym_not_eq] = ACTIONS(5156),
    [anon_sym_DASH_DASH] = ACTIONS(5158),
    [anon_sym_PLUS_PLUS] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5156),
    [anon_sym_DOT_STAR] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5158),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(5150),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [aux_sym_preproc_else_token1] = ACTIONS(5160),
    [aux_sym_preproc_elif_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5162),
    [anon_sym_TILDE] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_AMP_AMP] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5160),
    [anon_sym_typedef] = ACTIONS(5160),
    [anon_sym_extern] = ACTIONS(5160),
    [anon_sym___attribute__] = ACTIONS(5160),
    [anon_sym_COLON_COLON] = ACTIONS(5162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5162),
    [anon_sym___declspec] = ACTIONS(5160),
    [anon_sym___based] = ACTIONS(5160),
    [anon_sym_signed] = ACTIONS(5160),
    [anon_sym_unsigned] = ACTIONS(5160),
    [anon_sym_long] = ACTIONS(5160),
    [anon_sym_short] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5160),
    [anon_sym_register] = ACTIONS(5160),
    [anon_sym_inline] = ACTIONS(5160),
    [anon_sym___inline] = ACTIONS(5160),
    [anon_sym___inline__] = ACTIONS(5160),
    [anon_sym___forceinline] = ACTIONS(5160),
    [anon_sym_thread_local] = ACTIONS(5160),
    [anon_sym___thread] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5160),
    [anon_sym_constexpr] = ACTIONS(5160),
    [anon_sym_volatile] = ACTIONS(5160),
    [anon_sym_restrict] = ACTIONS(5160),
    [anon_sym___restrict__] = ACTIONS(5160),
    [anon_sym__Atomic] = ACTIONS(5160),
    [anon_sym__Noreturn] = ACTIONS(5160),
    [anon_sym_noreturn] = ACTIONS(5160),
    [anon_sym_mutable] = ACTIONS(5160),
    [anon_sym_constinit] = ACTIONS(5160),
    [anon_sym_consteval] = ACTIONS(5160),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [sym_primitive_type] = ACTIONS(5160),
    [anon_sym_enum] = ACTIONS(5160),
    [anon_sym_class] = ACTIONS(5160),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5160),
    [anon_sym_decltype] = ACTIONS(5160),
    [sym_virtual] = ACTIONS(5160),
    [anon_sym_explicit] = ACTIONS(5160),
    [anon_sym_typename] = ACTIONS(5160),
    [anon_sym_template] = ACTIONS(5160),
    [anon_sym_operator] = ACTIONS(5160),
    [anon_sym_friend] = ACTIONS(5160),
    [anon_sym_public] = ACTIONS(5160),
    [anon_sym_private] = ACTIONS(5160),
    [anon_sym_protected] = ACTIONS(5160),
    [anon_sym_using] = ACTIONS(5160),
    [anon_sym_static_assert] = ACTIONS(5160),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_friend] = ACTIONS(2512),
    [anon_sym_public] = ACTIONS(2512),
    [anon_sym_private] = ACTIONS(2512),
    [anon_sym_protected] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(5152),
    [aux_sym_preproc_def_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token2] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5152),
    [aux_sym_preproc_else_token1] = ACTIONS(5152),
    [aux_sym_preproc_elif_token1] = ACTIONS(5152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5152),
    [sym_preproc_directive] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [anon_sym_TILDE] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_AMP_AMP] = ACTIONS(5154),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5152),
    [anon_sym_typedef] = ACTIONS(5152),
    [anon_sym_extern] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5152),
    [anon_sym_COLON_COLON] = ACTIONS(5154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5154),
    [anon_sym___declspec] = ACTIONS(5152),
    [anon_sym___based] = ACTIONS(5152),
    [anon_sym_signed] = ACTIONS(5152),
    [anon_sym_unsigned] = ACTIONS(5152),
    [anon_sym_long] = ACTIONS(5152),
    [anon_sym_short] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5152),
    [anon_sym_register] = ACTIONS(5152),
    [anon_sym_inline] = ACTIONS(5152),
    [anon_sym___inline] = ACTIONS(5152),
    [anon_sym___inline__] = ACTIONS(5152),
    [anon_sym___forceinline] = ACTIONS(5152),
    [anon_sym_thread_local] = ACTIONS(5152),
    [anon_sym___thread] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5152),
    [anon_sym_constexpr] = ACTIONS(5152),
    [anon_sym_volatile] = ACTIONS(5152),
    [anon_sym_restrict] = ACTIONS(5152),
    [anon_sym___restrict__] = ACTIONS(5152),
    [anon_sym__Atomic] = ACTIONS(5152),
    [anon_sym__Noreturn] = ACTIONS(5152),
    [anon_sym_noreturn] = ACTIONS(5152),
    [anon_sym_mutable] = ACTIONS(5152),
    [anon_sym_constinit] = ACTIONS(5152),
    [anon_sym_consteval] = ACTIONS(5152),
    [anon_sym_alignas] = ACTIONS(5152),
    [anon_sym__Alignas] = ACTIONS(5152),
    [sym_primitive_type] = ACTIONS(5152),
    [anon_sym_enum] = ACTIONS(5152),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5152),
    [anon_sym_union] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5152),
    [anon_sym_decltype] = ACTIONS(5152),
    [sym_virtual] = ACTIONS(5152),
    [anon_sym_explicit] = ACTIONS(5152),
    [anon_sym_typename] = ACTIONS(5152),
    [anon_sym_template] = ACTIONS(5152),
    [anon_sym_operator] = ACTIONS(5152),
    [anon_sym_friend] = ACTIONS(5152),
    [anon_sym_public] = ACTIONS(5152),
    [anon_sym_private] = ACTIONS(5152),
    [anon_sym_protected] = ACTIONS(5152),
    [anon_sym_using] = ACTIONS(5152),
    [anon_sym_static_assert] = ACTIONS(5152),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [aux_sym_preproc_else_token1] = ACTIONS(5160),
    [aux_sym_preproc_elif_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5162),
    [anon_sym_TILDE] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_AMP_AMP] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5160),
    [anon_sym_typedef] = ACTIONS(5160),
    [anon_sym_extern] = ACTIONS(5160),
    [anon_sym___attribute__] = ACTIONS(5160),
    [anon_sym_COLON_COLON] = ACTIONS(5162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5162),
    [anon_sym___declspec] = ACTIONS(5160),
    [anon_sym___based] = ACTIONS(5160),
    [anon_sym_signed] = ACTIONS(5160),
    [anon_sym_unsigned] = ACTIONS(5160),
    [anon_sym_long] = ACTIONS(5160),
    [anon_sym_short] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5160),
    [anon_sym_register] = ACTIONS(5160),
    [anon_sym_inline] = ACTIONS(5160),
    [anon_sym___inline] = ACTIONS(5160),
    [anon_sym___inline__] = ACTIONS(5160),
    [anon_sym___forceinline] = ACTIONS(5160),
    [anon_sym_thread_local] = ACTIONS(5160),
    [anon_sym___thread] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5160),
    [anon_sym_constexpr] = ACTIONS(5160),
    [anon_sym_volatile] = ACTIONS(5160),
    [anon_sym_restrict] = ACTIONS(5160),
    [anon_sym___restrict__] = ACTIONS(5160),
    [anon_sym__Atomic] = ACTIONS(5160),
    [anon_sym__Noreturn] = ACTIONS(5160),
    [anon_sym_noreturn] = ACTIONS(5160),
    [anon_sym_mutable] = ACTIONS(5160),
    [anon_sym_constinit] = ACTIONS(5160),
    [anon_sym_consteval] = ACTIONS(5160),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [sym_primitive_type] = ACTIONS(5160),
    [anon_sym_enum] = ACTIONS(5160),
    [anon_sym_class] = ACTIONS(5160),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5160),
    [anon_sym_decltype] = ACTIONS(5160),
    [sym_virtual] = ACTIONS(5160),
    [anon_sym_explicit] = ACTIONS(5160),
    [anon_sym_typename] = ACTIONS(5160),
    [anon_sym_template] = ACTIONS(5160),
    [anon_sym_operator] = ACTIONS(5160),
    [anon_sym_friend] = ACTIONS(5160),
    [anon_sym_public] = ACTIONS(5160),
    [anon_sym_private] = ACTIONS(5160),
    [anon_sym_protected] = ACTIONS(5160),
    [anon_sym_using] = ACTIONS(5160),
    [anon_sym_static_assert] = ACTIONS(5160),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(5164),
    [aux_sym_preproc_def_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token2] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5164),
    [aux_sym_preproc_else_token1] = ACTIONS(5164),
    [aux_sym_preproc_elif_token1] = ACTIONS(5164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5164),
    [sym_preproc_directive] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5166),
    [anon_sym_TILDE] = ACTIONS(5166),
    [anon_sym_STAR] = ACTIONS(5166),
    [anon_sym_AMP_AMP] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(5164),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_typedef] = ACTIONS(5164),
    [anon_sym_extern] = ACTIONS(5164),
    [anon_sym___attribute__] = ACTIONS(5164),
    [anon_sym_COLON_COLON] = ACTIONS(5166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5166),
    [anon_sym___declspec] = ACTIONS(5164),
    [anon_sym___based] = ACTIONS(5164),
    [anon_sym_signed] = ACTIONS(5164),
    [anon_sym_unsigned] = ACTIONS(5164),
    [anon_sym_long] = ACTIONS(5164),
    [anon_sym_short] = ACTIONS(5164),
    [anon_sym_LBRACK] = ACTIONS(5164),
    [anon_sym_static] = ACTIONS(5164),
    [anon_sym_register] = ACTIONS(5164),
    [anon_sym_inline] = ACTIONS(5164),
    [anon_sym___inline] = ACTIONS(5164),
    [anon_sym___inline__] = ACTIONS(5164),
    [anon_sym___forceinline] = ACTIONS(5164),
    [anon_sym_thread_local] = ACTIONS(5164),
    [anon_sym___thread] = ACTIONS(5164),
    [anon_sym_const] = ACTIONS(5164),
    [anon_sym_constexpr] = ACTIONS(5164),
    [anon_sym_volatile] = ACTIONS(5164),
    [anon_sym_restrict] = ACTIONS(5164),
    [anon_sym___restrict__] = ACTIONS(5164),
    [anon_sym__Atomic] = ACTIONS(5164),
    [anon_sym__Noreturn] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5164),
    [anon_sym_mutable] = ACTIONS(5164),
    [anon_sym_constinit] = ACTIONS(5164),
    [anon_sym_consteval] = ACTIONS(5164),
    [anon_sym_alignas] = ACTIONS(5164),
    [anon_sym__Alignas] = ACTIONS(5164),
    [sym_primitive_type] = ACTIONS(5164),
    [anon_sym_enum] = ACTIONS(5164),
    [anon_sym_class] = ACTIONS(5164),
    [anon_sym_struct] = ACTIONS(5164),
    [anon_sym_union] = ACTIONS(5164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5164),
    [anon_sym_decltype] = ACTIONS(5164),
    [sym_virtual] = ACTIONS(5164),
    [anon_sym_explicit] = ACTIONS(5164),
    [anon_sym_typename] = ACTIONS(5164),
    [anon_sym_template] = ACTIONS(5164),
    [anon_sym_operator] = ACTIONS(5164),
    [anon_sym_friend] = ACTIONS(5164),
    [anon_sym_public] = ACTIONS(5164),
    [anon_sym_private] = ACTIONS(5164),
    [anon_sym_protected] = ACTIONS(5164),
    [anon_sym_using] = ACTIONS(5164),
    [anon_sym_static_assert] = ACTIONS(5164),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(5168),
    [aux_sym_preproc_def_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token2] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5168),
    [aux_sym_preproc_else_token1] = ACTIONS(5168),
    [aux_sym_preproc_elif_token1] = ACTIONS(5168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5168),
    [sym_preproc_directive] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5170),
    [anon_sym_TILDE] = ACTIONS(5170),
    [anon_sym_STAR] = ACTIONS(5170),
    [anon_sym_AMP_AMP] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(5168),
    [anon_sym___extension__] = ACTIONS(5168),
    [anon_sym_typedef] = ACTIONS(5168),
    [anon_sym_extern] = ACTIONS(5168),
    [anon_sym___attribute__] = ACTIONS(5168),
    [anon_sym_COLON_COLON] = ACTIONS(5170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5170),
    [anon_sym___declspec] = ACTIONS(5168),
    [anon_sym___based] = ACTIONS(5168),
    [anon_sym_signed] = ACTIONS(5168),
    [anon_sym_unsigned] = ACTIONS(5168),
    [anon_sym_long] = ACTIONS(5168),
    [anon_sym_short] = ACTIONS(5168),
    [anon_sym_LBRACK] = ACTIONS(5168),
    [anon_sym_static] = ACTIONS(5168),
    [anon_sym_register] = ACTIONS(5168),
    [anon_sym_inline] = ACTIONS(5168),
    [anon_sym___inline] = ACTIONS(5168),
    [anon_sym___inline__] = ACTIONS(5168),
    [anon_sym___forceinline] = ACTIONS(5168),
    [anon_sym_thread_local] = ACTIONS(5168),
    [anon_sym___thread] = ACTIONS(5168),
    [anon_sym_const] = ACTIONS(5168),
    [anon_sym_constexpr] = ACTIONS(5168),
    [anon_sym_volatile] = ACTIONS(5168),
    [anon_sym_restrict] = ACTIONS(5168),
    [anon_sym___restrict__] = ACTIONS(5168),
    [anon_sym__Atomic] = ACTIONS(5168),
    [anon_sym__Noreturn] = ACTIONS(5168),
    [anon_sym_noreturn] = ACTIONS(5168),
    [anon_sym_mutable] = ACTIONS(5168),
    [anon_sym_constinit] = ACTIONS(5168),
    [anon_sym_consteval] = ACTIONS(5168),
    [anon_sym_alignas] = ACTIONS(5168),
    [anon_sym__Alignas] = ACTIONS(5168),
    [sym_primitive_type] = ACTIONS(5168),
    [anon_sym_enum] = ACTIONS(5168),
    [anon_sym_class] = ACTIONS(5168),
    [anon_sym_struct] = ACTIONS(5168),
    [anon_sym_union] = ACTIONS(5168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5168),
    [anon_sym_decltype] = ACTIONS(5168),
    [sym_virtual] = ACTIONS(5168),
    [anon_sym_explicit] = ACTIONS(5168),
    [anon_sym_typename] = ACTIONS(5168),
    [anon_sym_template] = ACTIONS(5168),
    [anon_sym_operator] = ACTIONS(5168),
    [anon_sym_friend] = ACTIONS(5168),
    [anon_sym_public] = ACTIONS(5168),
    [anon_sym_private] = ACTIONS(5168),
    [anon_sym_protected] = ACTIONS(5168),
    [anon_sym_using] = ACTIONS(5168),
    [anon_sym_static_assert] = ACTIONS(5168),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(5172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5174),
    [anon_sym_COMMA] = ACTIONS(5174),
    [anon_sym_RPAREN] = ACTIONS(5174),
    [anon_sym_LPAREN2] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5172),
    [anon_sym_STAR] = ACTIONS(5174),
    [anon_sym_SLASH] = ACTIONS(5172),
    [anon_sym_PERCENT] = ACTIONS(5174),
    [anon_sym_PIPE_PIPE] = ACTIONS(5174),
    [anon_sym_AMP_AMP] = ACTIONS(5174),
    [anon_sym_PIPE] = ACTIONS(5172),
    [anon_sym_CARET] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(5172),
    [anon_sym_EQ_EQ] = ACTIONS(5174),
    [anon_sym_BANG_EQ] = ACTIONS(5174),
    [anon_sym_GT] = ACTIONS(5172),
    [anon_sym_GT_EQ] = ACTIONS(5174),
    [anon_sym_LT_EQ] = ACTIONS(5172),
    [anon_sym_LT] = ACTIONS(5172),
    [anon_sym_LT_LT] = ACTIONS(5174),
    [anon_sym_GT_GT] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5174),
    [anon_sym___extension__] = ACTIONS(5172),
    [anon_sym___attribute__] = ACTIONS(5172),
    [anon_sym___based] = ACTIONS(5172),
    [anon_sym_LBRACE] = ACTIONS(5174),
    [anon_sym_RBRACE] = ACTIONS(5174),
    [anon_sym_signed] = ACTIONS(5172),
    [anon_sym_unsigned] = ACTIONS(5172),
    [anon_sym_long] = ACTIONS(5172),
    [anon_sym_short] = ACTIONS(5172),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [anon_sym_RBRACK] = ACTIONS(5174),
    [anon_sym_const] = ACTIONS(5172),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym_noreturn] = ACTIONS(5172),
    [anon_sym_mutable] = ACTIONS(5172),
    [anon_sym_constinit] = ACTIONS(5172),
    [anon_sym_consteval] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5172),
    [anon_sym__Alignas] = ACTIONS(5172),
    [sym_primitive_type] = ACTIONS(5172),
    [anon_sym_COLON] = ACTIONS(5174),
    [anon_sym_QMARK] = ACTIONS(5174),
    [anon_sym_LT_EQ_GT] = ACTIONS(5174),
    [anon_sym_or] = ACTIONS(5172),
    [anon_sym_and] = ACTIONS(5172),
    [anon_sym_bitor] = ACTIONS(5172),
    [anon_sym_xor] = ACTIONS(5172),
    [anon_sym_bitand] = ACTIONS(5172),
    [anon_sym_not_eq] = ACTIONS(5172),
    [anon_sym_DASH_DASH] = ACTIONS(5174),
    [anon_sym_PLUS_PLUS] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_DOT_STAR] = ACTIONS(5174),
    [anon_sym_DASH_GT] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5172),
    [anon_sym_decltype] = ACTIONS(5172),
    [anon_sym_final] = ACTIONS(5172),
    [anon_sym_override] = ACTIONS(5172),
    [anon_sym_requires] = ACTIONS(5172),
  },
  [1764] = {
    [sym_identifier] = ACTIONS(5176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_RPAREN] = ACTIONS(5178),
    [anon_sym_LPAREN2] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5178),
    [anon_sym_PIPE] = ACTIONS(5176),
    [anon_sym_CARET] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(5176),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_GT] = ACTIONS(5176),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5176),
    [anon_sym_LT] = ACTIONS(5176),
    [anon_sym_LT_LT] = ACTIONS(5178),
    [anon_sym_GT_GT] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym___extension__] = ACTIONS(5176),
    [anon_sym___attribute__] = ACTIONS(5176),
    [anon_sym___based] = ACTIONS(5176),
    [anon_sym_LBRACE] = ACTIONS(5178),
    [anon_sym_RBRACE] = ACTIONS(5178),
    [anon_sym_signed] = ACTIONS(5176),
    [anon_sym_unsigned] = ACTIONS(5176),
    [anon_sym_long] = ACTIONS(5176),
    [anon_sym_short] = ACTIONS(5176),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_RBRACK] = ACTIONS(5178),
    [anon_sym_const] = ACTIONS(5176),
    [anon_sym_constexpr] = ACTIONS(5176),
    [anon_sym_volatile] = ACTIONS(5176),
    [anon_sym_restrict] = ACTIONS(5176),
    [anon_sym___restrict__] = ACTIONS(5176),
    [anon_sym__Atomic] = ACTIONS(5176),
    [anon_sym__Noreturn] = ACTIONS(5176),
    [anon_sym_noreturn] = ACTIONS(5176),
    [anon_sym_mutable] = ACTIONS(5176),
    [anon_sym_constinit] = ACTIONS(5176),
    [anon_sym_consteval] = ACTIONS(5176),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [sym_primitive_type] = ACTIONS(5176),
    [anon_sym_COLON] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_LT_EQ_GT] = ACTIONS(5178),
    [anon_sym_or] = ACTIONS(5176),
    [anon_sym_and] = ACTIONS(5176),
    [anon_sym_bitor] = ACTIONS(5176),
    [anon_sym_xor] = ACTIONS(5176),
    [anon_sym_bitand] = ACTIONS(5176),
    [anon_sym_not_eq] = ACTIONS(5176),
    [anon_sym_DASH_DASH] = ACTIONS(5178),
    [anon_sym_PLUS_PLUS] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_DOT_STAR] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5176),
    [anon_sym_decltype] = ACTIONS(5176),
    [anon_sym_final] = ACTIONS(5176),
    [anon_sym_override] = ACTIONS(5176),
    [anon_sym_requires] = ACTIONS(5176),
  },
  [1765] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [aux_sym_preproc_else_token1] = ACTIONS(2836),
    [aux_sym_preproc_elif_token1] = ACTIONS(2836),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_friend] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [aux_sym_preproc_else_token1] = ACTIONS(4992),
    [aux_sym_preproc_elif_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym__Alignas] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [aux_sym_preproc_else_token1] = ACTIONS(2588),
    [aux_sym_preproc_elif_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_friend] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(5180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5182),
    [anon_sym_COMMA] = ACTIONS(5182),
    [anon_sym_RPAREN] = ACTIONS(5182),
    [anon_sym_LPAREN2] = ACTIONS(5182),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5182),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5182),
    [anon_sym_PIPE_PIPE] = ACTIONS(5182),
    [anon_sym_AMP_AMP] = ACTIONS(5182),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_CARET] = ACTIONS(5182),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5182),
    [anon_sym_BANG_EQ] = ACTIONS(5182),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5182),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5182),
    [anon_sym_GT_GT] = ACTIONS(5182),
    [anon_sym_SEMI] = ACTIONS(5182),
    [anon_sym___extension__] = ACTIONS(5180),
    [anon_sym___attribute__] = ACTIONS(5180),
    [anon_sym___based] = ACTIONS(5180),
    [anon_sym_LBRACE] = ACTIONS(5182),
    [anon_sym_RBRACE] = ACTIONS(5182),
    [anon_sym_signed] = ACTIONS(5180),
    [anon_sym_unsigned] = ACTIONS(5180),
    [anon_sym_long] = ACTIONS(5180),
    [anon_sym_short] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5182),
    [anon_sym_RBRACK] = ACTIONS(5182),
    [anon_sym_const] = ACTIONS(5180),
    [anon_sym_constexpr] = ACTIONS(5180),
    [anon_sym_volatile] = ACTIONS(5180),
    [anon_sym_restrict] = ACTIONS(5180),
    [anon_sym___restrict__] = ACTIONS(5180),
    [anon_sym__Atomic] = ACTIONS(5180),
    [anon_sym__Noreturn] = ACTIONS(5180),
    [anon_sym_noreturn] = ACTIONS(5180),
    [anon_sym_mutable] = ACTIONS(5180),
    [anon_sym_constinit] = ACTIONS(5180),
    [anon_sym_consteval] = ACTIONS(5180),
    [anon_sym_alignas] = ACTIONS(5180),
    [anon_sym__Alignas] = ACTIONS(5180),
    [sym_primitive_type] = ACTIONS(5180),
    [anon_sym_COLON] = ACTIONS(5182),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_LT_EQ_GT] = ACTIONS(5182),
    [anon_sym_or] = ACTIONS(5180),
    [anon_sym_and] = ACTIONS(5180),
    [anon_sym_bitor] = ACTIONS(5180),
    [anon_sym_xor] = ACTIONS(5180),
    [anon_sym_bitand] = ACTIONS(5180),
    [anon_sym_not_eq] = ACTIONS(5180),
    [anon_sym_DASH_DASH] = ACTIONS(5182),
    [anon_sym_PLUS_PLUS] = ACTIONS(5182),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_DOT_STAR] = ACTIONS(5182),
    [anon_sym_DASH_GT] = ACTIONS(5182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5180),
    [anon_sym_decltype] = ACTIONS(5180),
    [anon_sym_final] = ACTIONS(5180),
    [anon_sym_override] = ACTIONS(5180),
    [anon_sym_requires] = ACTIONS(5180),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_COMMA] = ACTIONS(5186),
    [anon_sym_RPAREN] = ACTIONS(5186),
    [anon_sym_LPAREN2] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5184),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_SLASH] = ACTIONS(5184),
    [anon_sym_PERCENT] = ACTIONS(5186),
    [anon_sym_PIPE_PIPE] = ACTIONS(5186),
    [anon_sym_AMP_AMP] = ACTIONS(5186),
    [anon_sym_PIPE] = ACTIONS(5184),
    [anon_sym_CARET] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5184),
    [anon_sym_EQ_EQ] = ACTIONS(5186),
    [anon_sym_BANG_EQ] = ACTIONS(5186),
    [anon_sym_GT] = ACTIONS(5184),
    [anon_sym_GT_EQ] = ACTIONS(5186),
    [anon_sym_LT_EQ] = ACTIONS(5184),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_LT_LT] = ACTIONS(5186),
    [anon_sym_GT_GT] = ACTIONS(5186),
    [anon_sym_SEMI] = ACTIONS(5186),
    [anon_sym___extension__] = ACTIONS(5184),
    [anon_sym___attribute__] = ACTIONS(5184),
    [anon_sym___based] = ACTIONS(5184),
    [anon_sym_LBRACE] = ACTIONS(5186),
    [anon_sym_RBRACE] = ACTIONS(5186),
    [anon_sym_signed] = ACTIONS(5184),
    [anon_sym_unsigned] = ACTIONS(5184),
    [anon_sym_long] = ACTIONS(5184),
    [anon_sym_short] = ACTIONS(5184),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [anon_sym_RBRACK] = ACTIONS(5186),
    [anon_sym_const] = ACTIONS(5184),
    [anon_sym_constexpr] = ACTIONS(5184),
    [anon_sym_volatile] = ACTIONS(5184),
    [anon_sym_restrict] = ACTIONS(5184),
    [anon_sym___restrict__] = ACTIONS(5184),
    [anon_sym__Atomic] = ACTIONS(5184),
    [anon_sym__Noreturn] = ACTIONS(5184),
    [anon_sym_noreturn] = ACTIONS(5184),
    [anon_sym_mutable] = ACTIONS(5184),
    [anon_sym_constinit] = ACTIONS(5184),
    [anon_sym_consteval] = ACTIONS(5184),
    [anon_sym_alignas] = ACTIONS(5184),
    [anon_sym__Alignas] = ACTIONS(5184),
    [sym_primitive_type] = ACTIONS(5184),
    [anon_sym_COLON] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(5186),
    [anon_sym_LT_EQ_GT] = ACTIONS(5186),
    [anon_sym_or] = ACTIONS(5184),
    [anon_sym_and] = ACTIONS(5184),
    [anon_sym_bitor] = ACTIONS(5184),
    [anon_sym_xor] = ACTIONS(5184),
    [anon_sym_bitand] = ACTIONS(5184),
    [anon_sym_not_eq] = ACTIONS(5184),
    [anon_sym_DASH_DASH] = ACTIONS(5186),
    [anon_sym_PLUS_PLUS] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_DOT_STAR] = ACTIONS(5186),
    [anon_sym_DASH_GT] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5184),
    [anon_sym_decltype] = ACTIONS(5184),
    [anon_sym_final] = ACTIONS(5184),
    [anon_sym_override] = ACTIONS(5184),
    [anon_sym_requires] = ACTIONS(5184),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [aux_sym_preproc_else_token1] = ACTIONS(2767),
    [aux_sym_preproc_elif_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_friend] = ACTIONS(2767),
    [anon_sym_public] = ACTIONS(2767),
    [anon_sym_private] = ACTIONS(2767),
    [anon_sym_protected] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(5188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym_COMMA] = ACTIONS(5190),
    [anon_sym_RPAREN] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5188),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_SLASH] = ACTIONS(5188),
    [anon_sym_PERCENT] = ACTIONS(5190),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_PIPE] = ACTIONS(5188),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5188),
    [anon_sym_EQ_EQ] = ACTIONS(5190),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_GT] = ACTIONS(5188),
    [anon_sym_GT_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5188),
    [anon_sym_LT] = ACTIONS(5188),
    [anon_sym_LT_LT] = ACTIONS(5190),
    [anon_sym_GT_GT] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(5190),
    [anon_sym___extension__] = ACTIONS(5188),
    [anon_sym___attribute__] = ACTIONS(5188),
    [anon_sym___based] = ACTIONS(5188),
    [anon_sym_LBRACE] = ACTIONS(5190),
    [anon_sym_RBRACE] = ACTIONS(5190),
    [anon_sym_signed] = ACTIONS(5188),
    [anon_sym_unsigned] = ACTIONS(5188),
    [anon_sym_long] = ACTIONS(5188),
    [anon_sym_short] = ACTIONS(5188),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym_RBRACK] = ACTIONS(5190),
    [anon_sym_const] = ACTIONS(5188),
    [anon_sym_constexpr] = ACTIONS(5188),
    [anon_sym_volatile] = ACTIONS(5188),
    [anon_sym_restrict] = ACTIONS(5188),
    [anon_sym___restrict__] = ACTIONS(5188),
    [anon_sym__Atomic] = ACTIONS(5188),
    [anon_sym__Noreturn] = ACTIONS(5188),
    [anon_sym_noreturn] = ACTIONS(5188),
    [anon_sym_mutable] = ACTIONS(5188),
    [anon_sym_constinit] = ACTIONS(5188),
    [anon_sym_consteval] = ACTIONS(5188),
    [anon_sym_alignas] = ACTIONS(5188),
    [anon_sym__Alignas] = ACTIONS(5188),
    [sym_primitive_type] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_QMARK] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_bitor] = ACTIONS(5188),
    [anon_sym_xor] = ACTIONS(5188),
    [anon_sym_bitand] = ACTIONS(5188),
    [anon_sym_not_eq] = ACTIONS(5188),
    [anon_sym_DASH_DASH] = ACTIONS(5190),
    [anon_sym_PLUS_PLUS] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_DOT_STAR] = ACTIONS(5190),
    [anon_sym_DASH_GT] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5188),
    [anon_sym_decltype] = ACTIONS(5188),
    [anon_sym_final] = ACTIONS(5188),
    [anon_sym_override] = ACTIONS(5188),
    [anon_sym_requires] = ACTIONS(5188),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(5192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_COMMA] = ACTIONS(5194),
    [anon_sym_RPAREN] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5192),
    [anon_sym_PLUS] = ACTIONS(5192),
    [anon_sym_STAR] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5192),
    [anon_sym_PERCENT] = ACTIONS(5194),
    [anon_sym_PIPE_PIPE] = ACTIONS(5194),
    [anon_sym_AMP_AMP] = ACTIONS(5194),
    [anon_sym_PIPE] = ACTIONS(5192),
    [anon_sym_CARET] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5194),
    [anon_sym_GT] = ACTIONS(5192),
    [anon_sym_GT_EQ] = ACTIONS(5194),
    [anon_sym_LT_EQ] = ACTIONS(5192),
    [anon_sym_LT] = ACTIONS(5192),
    [anon_sym_LT_LT] = ACTIONS(5194),
    [anon_sym_GT_GT] = ACTIONS(5194),
    [anon_sym_SEMI] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(5192),
    [anon_sym___attribute__] = ACTIONS(5192),
    [anon_sym___based] = ACTIONS(5192),
    [anon_sym_LBRACE] = ACTIONS(5194),
    [anon_sym_RBRACE] = ACTIONS(5194),
    [anon_sym_signed] = ACTIONS(5192),
    [anon_sym_unsigned] = ACTIONS(5192),
    [anon_sym_long] = ACTIONS(5192),
    [anon_sym_short] = ACTIONS(5192),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [anon_sym_RBRACK] = ACTIONS(5194),
    [anon_sym_const] = ACTIONS(5192),
    [anon_sym_constexpr] = ACTIONS(5192),
    [anon_sym_volatile] = ACTIONS(5192),
    [anon_sym_restrict] = ACTIONS(5192),
    [anon_sym___restrict__] = ACTIONS(5192),
    [anon_sym__Atomic] = ACTIONS(5192),
    [anon_sym__Noreturn] = ACTIONS(5192),
    [anon_sym_noreturn] = ACTIONS(5192),
    [anon_sym_mutable] = ACTIONS(5192),
    [anon_sym_constinit] = ACTIONS(5192),
    [anon_sym_consteval] = ACTIONS(5192),
    [anon_sym_alignas] = ACTIONS(5192),
    [anon_sym__Alignas] = ACTIONS(5192),
    [sym_primitive_type] = ACTIONS(5192),
    [anon_sym_COLON] = ACTIONS(5194),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_LT_EQ_GT] = ACTIONS(5194),
    [anon_sym_or] = ACTIONS(5192),
    [anon_sym_and] = ACTIONS(5192),
    [anon_sym_bitor] = ACTIONS(5192),
    [anon_sym_xor] = ACTIONS(5192),
    [anon_sym_bitand] = ACTIONS(5192),
    [anon_sym_not_eq] = ACTIONS(5192),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5192),
    [anon_sym_DOT_STAR] = ACTIONS(5194),
    [anon_sym_DASH_GT] = ACTIONS(5194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5192),
    [anon_sym_decltype] = ACTIONS(5192),
    [anon_sym_final] = ACTIONS(5192),
    [anon_sym_override] = ACTIONS(5192),
    [anon_sym_requires] = ACTIONS(5192),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [aux_sym_preproc_else_token1] = ACTIONS(5196),
    [aux_sym_preproc_elif_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(5196),
    [anon_sym_typedef] = ACTIONS(5196),
    [anon_sym_extern] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_COLON_COLON] = ACTIONS(5198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5198),
    [anon_sym___declspec] = ACTIONS(5196),
    [anon_sym___based] = ACTIONS(5196),
    [anon_sym_signed] = ACTIONS(5196),
    [anon_sym_unsigned] = ACTIONS(5196),
    [anon_sym_long] = ACTIONS(5196),
    [anon_sym_short] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5196),
    [anon_sym_static] = ACTIONS(5196),
    [anon_sym_register] = ACTIONS(5196),
    [anon_sym_inline] = ACTIONS(5196),
    [anon_sym___inline] = ACTIONS(5196),
    [anon_sym___inline__] = ACTIONS(5196),
    [anon_sym___forceinline] = ACTIONS(5196),
    [anon_sym_thread_local] = ACTIONS(5196),
    [anon_sym___thread] = ACTIONS(5196),
    [anon_sym_const] = ACTIONS(5196),
    [anon_sym_constexpr] = ACTIONS(5196),
    [anon_sym_volatile] = ACTIONS(5196),
    [anon_sym_restrict] = ACTIONS(5196),
    [anon_sym___restrict__] = ACTIONS(5196),
    [anon_sym__Atomic] = ACTIONS(5196),
    [anon_sym__Noreturn] = ACTIONS(5196),
    [anon_sym_noreturn] = ACTIONS(5196),
    [anon_sym_mutable] = ACTIONS(5196),
    [anon_sym_constinit] = ACTIONS(5196),
    [anon_sym_consteval] = ACTIONS(5196),
    [anon_sym_alignas] = ACTIONS(5196),
    [anon_sym__Alignas] = ACTIONS(5196),
    [sym_primitive_type] = ACTIONS(5196),
    [anon_sym_enum] = ACTIONS(5196),
    [anon_sym_class] = ACTIONS(5196),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5196),
    [anon_sym_decltype] = ACTIONS(5196),
    [sym_virtual] = ACTIONS(5196),
    [anon_sym_explicit] = ACTIONS(5196),
    [anon_sym_typename] = ACTIONS(5196),
    [anon_sym_template] = ACTIONS(5196),
    [anon_sym_operator] = ACTIONS(5196),
    [anon_sym_friend] = ACTIONS(5196),
    [anon_sym_public] = ACTIONS(5196),
    [anon_sym_private] = ACTIONS(5196),
    [anon_sym_protected] = ACTIONS(5196),
    [anon_sym_using] = ACTIONS(5196),
    [anon_sym_static_assert] = ACTIONS(5196),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(5200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5202),
    [anon_sym_COMMA] = ACTIONS(5202),
    [anon_sym_RPAREN] = ACTIONS(5202),
    [anon_sym_LPAREN2] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_STAR] = ACTIONS(5202),
    [anon_sym_SLASH] = ACTIONS(5200),
    [anon_sym_PERCENT] = ACTIONS(5202),
    [anon_sym_PIPE_PIPE] = ACTIONS(5202),
    [anon_sym_AMP_AMP] = ACTIONS(5202),
    [anon_sym_PIPE] = ACTIONS(5200),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_AMP] = ACTIONS(5200),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_GT] = ACTIONS(5200),
    [anon_sym_GT_EQ] = ACTIONS(5202),
    [anon_sym_LT_EQ] = ACTIONS(5200),
    [anon_sym_LT] = ACTIONS(5200),
    [anon_sym_LT_LT] = ACTIONS(5202),
    [anon_sym_GT_GT] = ACTIONS(5202),
    [anon_sym_SEMI] = ACTIONS(5202),
    [anon_sym___extension__] = ACTIONS(5200),
    [anon_sym___attribute__] = ACTIONS(5200),
    [anon_sym___based] = ACTIONS(5200),
    [anon_sym_LBRACE] = ACTIONS(5202),
    [anon_sym_RBRACE] = ACTIONS(5202),
    [anon_sym_signed] = ACTIONS(5200),
    [anon_sym_unsigned] = ACTIONS(5200),
    [anon_sym_long] = ACTIONS(5200),
    [anon_sym_short] = ACTIONS(5200),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [anon_sym_RBRACK] = ACTIONS(5202),
    [anon_sym_const] = ACTIONS(5200),
    [anon_sym_constexpr] = ACTIONS(5200),
    [anon_sym_volatile] = ACTIONS(5200),
    [anon_sym_restrict] = ACTIONS(5200),
    [anon_sym___restrict__] = ACTIONS(5200),
    [anon_sym__Atomic] = ACTIONS(5200),
    [anon_sym__Noreturn] = ACTIONS(5200),
    [anon_sym_noreturn] = ACTIONS(5200),
    [anon_sym_mutable] = ACTIONS(5200),
    [anon_sym_constinit] = ACTIONS(5200),
    [anon_sym_consteval] = ACTIONS(5200),
    [anon_sym_alignas] = ACTIONS(5200),
    [anon_sym__Alignas] = ACTIONS(5200),
    [sym_primitive_type] = ACTIONS(5200),
    [anon_sym_COLON] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5202),
    [anon_sym_LT_EQ_GT] = ACTIONS(5202),
    [anon_sym_or] = ACTIONS(5200),
    [anon_sym_and] = ACTIONS(5200),
    [anon_sym_bitor] = ACTIONS(5200),
    [anon_sym_xor] = ACTIONS(5200),
    [anon_sym_bitand] = ACTIONS(5200),
    [anon_sym_not_eq] = ACTIONS(5200),
    [anon_sym_DASH_DASH] = ACTIONS(5202),
    [anon_sym_PLUS_PLUS] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_DOT_STAR] = ACTIONS(5202),
    [anon_sym_DASH_GT] = ACTIONS(5202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5200),
    [anon_sym_decltype] = ACTIONS(5200),
    [anon_sym_final] = ACTIONS(5200),
    [anon_sym_override] = ACTIONS(5200),
    [anon_sym_requires] = ACTIONS(5200),
  },
  [1775] = {
    [sym_argument_list] = STATE(2295),
    [sym_initializer_list] = STATE(2295),
    [sym_decltype_auto] = STATE(2007),
    [sym_new_declarator] = STATE(2167),
    [sym_identifier] = ACTIONS(5204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5206),
    [anon_sym_COMMA] = ACTIONS(5206),
    [anon_sym_RPAREN] = ACTIONS(5206),
    [aux_sym_preproc_if_token2] = ACTIONS(5206),
    [aux_sym_preproc_else_token1] = ACTIONS(5206),
    [aux_sym_preproc_elif_token1] = ACTIONS(5204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5206),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5204),
    [anon_sym_STAR] = ACTIONS(5204),
    [anon_sym_SLASH] = ACTIONS(5204),
    [anon_sym_PERCENT] = ACTIONS(5204),
    [anon_sym_PIPE_PIPE] = ACTIONS(5206),
    [anon_sym_AMP_AMP] = ACTIONS(5206),
    [anon_sym_PIPE] = ACTIONS(5204),
    [anon_sym_CARET] = ACTIONS(5204),
    [anon_sym_AMP] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5206),
    [anon_sym_BANG_EQ] = ACTIONS(5206),
    [anon_sym_GT] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5204),
    [anon_sym_LT] = ACTIONS(5204),
    [anon_sym_LT_LT] = ACTIONS(5204),
    [anon_sym_GT_GT] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5206),
    [anon_sym___attribute__] = ACTIONS(5204),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5206),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_RBRACK] = ACTIONS(5206),
    [anon_sym_EQ] = ACTIONS(5204),
    [anon_sym_COLON] = ACTIONS(5206),
    [anon_sym_QMARK] = ACTIONS(5206),
    [anon_sym_STAR_EQ] = ACTIONS(5206),
    [anon_sym_SLASH_EQ] = ACTIONS(5206),
    [anon_sym_PERCENT_EQ] = ACTIONS(5206),
    [anon_sym_PLUS_EQ] = ACTIONS(5206),
    [anon_sym_DASH_EQ] = ACTIONS(5206),
    [anon_sym_LT_LT_EQ] = ACTIONS(5206),
    [anon_sym_GT_GT_EQ] = ACTIONS(5206),
    [anon_sym_AMP_EQ] = ACTIONS(5206),
    [anon_sym_CARET_EQ] = ACTIONS(5206),
    [anon_sym_PIPE_EQ] = ACTIONS(5206),
    [anon_sym_and_eq] = ACTIONS(5204),
    [anon_sym_or_eq] = ACTIONS(5204),
    [anon_sym_xor_eq] = ACTIONS(5204),
    [anon_sym_LT_EQ_GT] = ACTIONS(5206),
    [anon_sym_or] = ACTIONS(5204),
    [anon_sym_and] = ACTIONS(5204),
    [anon_sym_bitor] = ACTIONS(5204),
    [anon_sym_xor] = ACTIONS(5204),
    [anon_sym_bitand] = ACTIONS(5204),
    [anon_sym_not_eq] = ACTIONS(5204),
    [anon_sym_DASH_DASH] = ACTIONS(5206),
    [anon_sym_PLUS_PLUS] = ACTIONS(5206),
    [anon_sym_DOT] = ACTIONS(5204),
    [anon_sym_DOT_STAR] = ACTIONS(5206),
    [anon_sym_DASH_GT] = ACTIONS(5206),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5050),
    [anon_sym_decltype] = ACTIONS(5052),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [aux_sym_preproc_else_token1] = ACTIONS(5196),
    [aux_sym_preproc_elif_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(5196),
    [anon_sym_typedef] = ACTIONS(5196),
    [anon_sym_extern] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_COLON_COLON] = ACTIONS(5198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5198),
    [anon_sym___declspec] = ACTIONS(5196),
    [anon_sym___based] = ACTIONS(5196),
    [anon_sym_signed] = ACTIONS(5196),
    [anon_sym_unsigned] = ACTIONS(5196),
    [anon_sym_long] = ACTIONS(5196),
    [anon_sym_short] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5196),
    [anon_sym_static] = ACTIONS(5196),
    [anon_sym_register] = ACTIONS(5196),
    [anon_sym_inline] = ACTIONS(5196),
    [anon_sym___inline] = ACTIONS(5196),
    [anon_sym___inline__] = ACTIONS(5196),
    [anon_sym___forceinline] = ACTIONS(5196),
    [anon_sym_thread_local] = ACTIONS(5196),
    [anon_sym___thread] = ACTIONS(5196),
    [anon_sym_const] = ACTIONS(5196),
    [anon_sym_constexpr] = ACTIONS(5196),
    [anon_sym_volatile] = ACTIONS(5196),
    [anon_sym_restrict] = ACTIONS(5196),
    [anon_sym___restrict__] = ACTIONS(5196),
    [anon_sym__Atomic] = ACTIONS(5196),
    [anon_sym__Noreturn] = ACTIONS(5196),
    [anon_sym_noreturn] = ACTIONS(5196),
    [anon_sym_mutable] = ACTIONS(5196),
    [anon_sym_constinit] = ACTIONS(5196),
    [anon_sym_consteval] = ACTIONS(5196),
    [anon_sym_alignas] = ACTIONS(5196),
    [anon_sym__Alignas] = ACTIONS(5196),
    [sym_primitive_type] = ACTIONS(5196),
    [anon_sym_enum] = ACTIONS(5196),
    [anon_sym_class] = ACTIONS(5196),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5196),
    [anon_sym_decltype] = ACTIONS(5196),
    [sym_virtual] = ACTIONS(5196),
    [anon_sym_explicit] = ACTIONS(5196),
    [anon_sym_typename] = ACTIONS(5196),
    [anon_sym_template] = ACTIONS(5196),
    [anon_sym_operator] = ACTIONS(5196),
    [anon_sym_friend] = ACTIONS(5196),
    [anon_sym_public] = ACTIONS(5196),
    [anon_sym_private] = ACTIONS(5196),
    [anon_sym_protected] = ACTIONS(5196),
    [anon_sym_using] = ACTIONS(5196),
    [anon_sym_static_assert] = ACTIONS(5196),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(5208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5210),
    [anon_sym_COMMA] = ACTIONS(5210),
    [anon_sym_RPAREN] = ACTIONS(5210),
    [anon_sym_LPAREN2] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5208),
    [anon_sym_STAR] = ACTIONS(5210),
    [anon_sym_SLASH] = ACTIONS(5208),
    [anon_sym_PERCENT] = ACTIONS(5210),
    [anon_sym_PIPE_PIPE] = ACTIONS(5210),
    [anon_sym_AMP_AMP] = ACTIONS(5210),
    [anon_sym_PIPE] = ACTIONS(5208),
    [anon_sym_CARET] = ACTIONS(5210),
    [anon_sym_AMP] = ACTIONS(5208),
    [anon_sym_EQ_EQ] = ACTIONS(5210),
    [anon_sym_BANG_EQ] = ACTIONS(5210),
    [anon_sym_GT] = ACTIONS(5208),
    [anon_sym_GT_EQ] = ACTIONS(5210),
    [anon_sym_LT_EQ] = ACTIONS(5208),
    [anon_sym_LT] = ACTIONS(5208),
    [anon_sym_LT_LT] = ACTIONS(5210),
    [anon_sym_GT_GT] = ACTIONS(5210),
    [anon_sym_SEMI] = ACTIONS(5210),
    [anon_sym___extension__] = ACTIONS(5208),
    [anon_sym___attribute__] = ACTIONS(5208),
    [anon_sym___based] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(5210),
    [anon_sym_RBRACE] = ACTIONS(5210),
    [anon_sym_signed] = ACTIONS(5208),
    [anon_sym_unsigned] = ACTIONS(5208),
    [anon_sym_long] = ACTIONS(5208),
    [anon_sym_short] = ACTIONS(5208),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [anon_sym_RBRACK] = ACTIONS(5210),
    [anon_sym_const] = ACTIONS(5208),
    [anon_sym_constexpr] = ACTIONS(5208),
    [anon_sym_volatile] = ACTIONS(5208),
    [anon_sym_restrict] = ACTIONS(5208),
    [anon_sym___restrict__] = ACTIONS(5208),
    [anon_sym__Atomic] = ACTIONS(5208),
    [anon_sym__Noreturn] = ACTIONS(5208),
    [anon_sym_noreturn] = ACTIONS(5208),
    [anon_sym_mutable] = ACTIONS(5208),
    [anon_sym_constinit] = ACTIONS(5208),
    [anon_sym_consteval] = ACTIONS(5208),
    [anon_sym_alignas] = ACTIONS(5208),
    [anon_sym__Alignas] = ACTIONS(5208),
    [sym_primitive_type] = ACTIONS(5208),
    [anon_sym_COLON] = ACTIONS(5210),
    [anon_sym_QMARK] = ACTIONS(5210),
    [anon_sym_LT_EQ_GT] = ACTIONS(5210),
    [anon_sym_or] = ACTIONS(5208),
    [anon_sym_and] = ACTIONS(5208),
    [anon_sym_bitor] = ACTIONS(5208),
    [anon_sym_xor] = ACTIONS(5208),
    [anon_sym_bitand] = ACTIONS(5208),
    [anon_sym_not_eq] = ACTIONS(5208),
    [anon_sym_DASH_DASH] = ACTIONS(5210),
    [anon_sym_PLUS_PLUS] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5208),
    [anon_sym_DOT_STAR] = ACTIONS(5210),
    [anon_sym_DASH_GT] = ACTIONS(5210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5208),
    [anon_sym_decltype] = ACTIONS(5208),
    [anon_sym_final] = ACTIONS(5208),
    [anon_sym_override] = ACTIONS(5208),
    [anon_sym_requires] = ACTIONS(5208),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(5212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5214),
    [anon_sym_COMMA] = ACTIONS(5214),
    [anon_sym_RPAREN] = ACTIONS(5214),
    [anon_sym_LPAREN2] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5212),
    [anon_sym_STAR] = ACTIONS(5214),
    [anon_sym_SLASH] = ACTIONS(5212),
    [anon_sym_PERCENT] = ACTIONS(5214),
    [anon_sym_PIPE_PIPE] = ACTIONS(5214),
    [anon_sym_AMP_AMP] = ACTIONS(5214),
    [anon_sym_PIPE] = ACTIONS(5212),
    [anon_sym_CARET] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(5212),
    [anon_sym_EQ_EQ] = ACTIONS(5214),
    [anon_sym_BANG_EQ] = ACTIONS(5214),
    [anon_sym_GT] = ACTIONS(5212),
    [anon_sym_GT_EQ] = ACTIONS(5214),
    [anon_sym_LT_EQ] = ACTIONS(5212),
    [anon_sym_LT] = ACTIONS(5212),
    [anon_sym_LT_LT] = ACTIONS(5214),
    [anon_sym_GT_GT] = ACTIONS(5214),
    [anon_sym_SEMI] = ACTIONS(5214),
    [anon_sym___extension__] = ACTIONS(5212),
    [anon_sym___attribute__] = ACTIONS(5212),
    [anon_sym___based] = ACTIONS(5212),
    [anon_sym_LBRACE] = ACTIONS(5214),
    [anon_sym_RBRACE] = ACTIONS(5214),
    [anon_sym_signed] = ACTIONS(5212),
    [anon_sym_unsigned] = ACTIONS(5212),
    [anon_sym_long] = ACTIONS(5212),
    [anon_sym_short] = ACTIONS(5212),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [anon_sym_RBRACK] = ACTIONS(5214),
    [anon_sym_const] = ACTIONS(5212),
    [anon_sym_constexpr] = ACTIONS(5212),
    [anon_sym_volatile] = ACTIONS(5212),
    [anon_sym_restrict] = ACTIONS(5212),
    [anon_sym___restrict__] = ACTIONS(5212),
    [anon_sym__Atomic] = ACTIONS(5212),
    [anon_sym__Noreturn] = ACTIONS(5212),
    [anon_sym_noreturn] = ACTIONS(5212),
    [anon_sym_mutable] = ACTIONS(5212),
    [anon_sym_constinit] = ACTIONS(5212),
    [anon_sym_consteval] = ACTIONS(5212),
    [anon_sym_alignas] = ACTIONS(5212),
    [anon_sym__Alignas] = ACTIONS(5212),
    [sym_primitive_type] = ACTIONS(5212),
    [anon_sym_COLON] = ACTIONS(5214),
    [anon_sym_QMARK] = ACTIONS(5214),
    [anon_sym_LT_EQ_GT] = ACTIONS(5214),
    [anon_sym_or] = ACTIONS(5212),
    [anon_sym_and] = ACTIONS(5212),
    [anon_sym_bitor] = ACTIONS(5212),
    [anon_sym_xor] = ACTIONS(5212),
    [anon_sym_bitand] = ACTIONS(5212),
    [anon_sym_not_eq] = ACTIONS(5212),
    [anon_sym_DASH_DASH] = ACTIONS(5214),
    [anon_sym_PLUS_PLUS] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_DOT_STAR] = ACTIONS(5214),
    [anon_sym_DASH_GT] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5212),
    [anon_sym_decltype] = ACTIONS(5212),
    [anon_sym_final] = ACTIONS(5212),
    [anon_sym_override] = ACTIONS(5212),
    [anon_sym_requires] = ACTIONS(5212),
  },
  [1780] = {
    [sym_identifier] = ACTIONS(5216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_COMMA] = ACTIONS(5218),
    [anon_sym_RPAREN] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5216),
    [anon_sym_STAR] = ACTIONS(5218),
    [anon_sym_SLASH] = ACTIONS(5216),
    [anon_sym_PERCENT] = ACTIONS(5218),
    [anon_sym_PIPE_PIPE] = ACTIONS(5218),
    [anon_sym_AMP_AMP] = ACTIONS(5218),
    [anon_sym_PIPE] = ACTIONS(5216),
    [anon_sym_CARET] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(5216),
    [anon_sym_EQ_EQ] = ACTIONS(5218),
    [anon_sym_BANG_EQ] = ACTIONS(5218),
    [anon_sym_GT] = ACTIONS(5216),
    [anon_sym_GT_EQ] = ACTIONS(5218),
    [anon_sym_LT_EQ] = ACTIONS(5216),
    [anon_sym_LT] = ACTIONS(5216),
    [anon_sym_LT_LT] = ACTIONS(5218),
    [anon_sym_GT_GT] = ACTIONS(5218),
    [anon_sym_SEMI] = ACTIONS(5218),
    [anon_sym___extension__] = ACTIONS(5216),
    [anon_sym___attribute__] = ACTIONS(5216),
    [anon_sym___based] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(5218),
    [anon_sym_RBRACE] = ACTIONS(5218),
    [anon_sym_signed] = ACTIONS(5216),
    [anon_sym_unsigned] = ACTIONS(5216),
    [anon_sym_long] = ACTIONS(5216),
    [anon_sym_short] = ACTIONS(5216),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [anon_sym_RBRACK] = ACTIONS(5218),
    [anon_sym_const] = ACTIONS(5216),
    [anon_sym_constexpr] = ACTIONS(5216),
    [anon_sym_volatile] = ACTIONS(5216),
    [anon_sym_restrict] = ACTIONS(5216),
    [anon_sym___restrict__] = ACTIONS(5216),
    [anon_sym__Atomic] = ACTIONS(5216),
    [anon_sym__Noreturn] = ACTIONS(5216),
    [anon_sym_noreturn] = ACTIONS(5216),
    [anon_sym_mutable] = ACTIONS(5216),
    [anon_sym_constinit] = ACTIONS(5216),
    [anon_sym_consteval] = ACTIONS(5216),
    [anon_sym_alignas] = ACTIONS(5216),
    [anon_sym__Alignas] = ACTIONS(5216),
    [sym_primitive_type] = ACTIONS(5216),
    [anon_sym_COLON] = ACTIONS(5218),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_LT_EQ_GT] = ACTIONS(5218),
    [anon_sym_or] = ACTIONS(5216),
    [anon_sym_and] = ACTIONS(5216),
    [anon_sym_bitor] = ACTIONS(5216),
    [anon_sym_xor] = ACTIONS(5216),
    [anon_sym_bitand] = ACTIONS(5216),
    [anon_sym_not_eq] = ACTIONS(5216),
    [anon_sym_DASH_DASH] = ACTIONS(5218),
    [anon_sym_PLUS_PLUS] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_DOT_STAR] = ACTIONS(5218),
    [anon_sym_DASH_GT] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(5216),
    [anon_sym_final] = ACTIONS(5216),
    [anon_sym_override] = ACTIONS(5216),
    [anon_sym_requires] = ACTIONS(5216),
  },
  [1781] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(5220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5222),
    [anon_sym_COMMA] = ACTIONS(5222),
    [anon_sym_RPAREN] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5220),
    [anon_sym_STAR] = ACTIONS(5222),
    [anon_sym_SLASH] = ACTIONS(5220),
    [anon_sym_PERCENT] = ACTIONS(5222),
    [anon_sym_PIPE_PIPE] = ACTIONS(5222),
    [anon_sym_AMP_AMP] = ACTIONS(5222),
    [anon_sym_PIPE] = ACTIONS(5220),
    [anon_sym_CARET] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(5220),
    [anon_sym_EQ_EQ] = ACTIONS(5222),
    [anon_sym_BANG_EQ] = ACTIONS(5222),
    [anon_sym_GT] = ACTIONS(5220),
    [anon_sym_GT_EQ] = ACTIONS(5222),
    [anon_sym_LT_EQ] = ACTIONS(5220),
    [anon_sym_LT] = ACTIONS(5220),
    [anon_sym_LT_LT] = ACTIONS(5222),
    [anon_sym_GT_GT] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5222),
    [anon_sym___extension__] = ACTIONS(5220),
    [anon_sym___attribute__] = ACTIONS(5220),
    [anon_sym___based] = ACTIONS(5220),
    [anon_sym_LBRACE] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5220),
    [anon_sym_unsigned] = ACTIONS(5220),
    [anon_sym_long] = ACTIONS(5220),
    [anon_sym_short] = ACTIONS(5220),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_RBRACK] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5220),
    [anon_sym_constexpr] = ACTIONS(5220),
    [anon_sym_volatile] = ACTIONS(5220),
    [anon_sym_restrict] = ACTIONS(5220),
    [anon_sym___restrict__] = ACTIONS(5220),
    [anon_sym__Atomic] = ACTIONS(5220),
    [anon_sym__Noreturn] = ACTIONS(5220),
    [anon_sym_noreturn] = ACTIONS(5220),
    [anon_sym_mutable] = ACTIONS(5220),
    [anon_sym_constinit] = ACTIONS(5220),
    [anon_sym_consteval] = ACTIONS(5220),
    [anon_sym_alignas] = ACTIONS(5220),
    [anon_sym__Alignas] = ACTIONS(5220),
    [sym_primitive_type] = ACTIONS(5220),
    [anon_sym_COLON] = ACTIONS(5222),
    [anon_sym_QMARK] = ACTIONS(5222),
    [anon_sym_LT_EQ_GT] = ACTIONS(5222),
    [anon_sym_or] = ACTIONS(5220),
    [anon_sym_and] = ACTIONS(5220),
    [anon_sym_bitor] = ACTIONS(5220),
    [anon_sym_xor] = ACTIONS(5220),
    [anon_sym_bitand] = ACTIONS(5220),
    [anon_sym_not_eq] = ACTIONS(5220),
    [anon_sym_DASH_DASH] = ACTIONS(5222),
    [anon_sym_PLUS_PLUS] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_DOT_STAR] = ACTIONS(5222),
    [anon_sym_DASH_GT] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5220),
    [anon_sym_decltype] = ACTIONS(5220),
    [anon_sym_final] = ACTIONS(5220),
    [anon_sym_override] = ACTIONS(5220),
    [anon_sym_requires] = ACTIONS(5220),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5226),
    [anon_sym_COMMA] = ACTIONS(5226),
    [anon_sym_RPAREN] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5226),
    [anon_sym_SLASH] = ACTIONS(5224),
    [anon_sym_PERCENT] = ACTIONS(5226),
    [anon_sym_PIPE_PIPE] = ACTIONS(5226),
    [anon_sym_AMP_AMP] = ACTIONS(5226),
    [anon_sym_PIPE] = ACTIONS(5224),
    [anon_sym_CARET] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(5224),
    [anon_sym_EQ_EQ] = ACTIONS(5226),
    [anon_sym_BANG_EQ] = ACTIONS(5226),
    [anon_sym_GT] = ACTIONS(5224),
    [anon_sym_GT_EQ] = ACTIONS(5226),
    [anon_sym_LT_EQ] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_LT_LT] = ACTIONS(5226),
    [anon_sym_GT_GT] = ACTIONS(5226),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___extension__] = ACTIONS(5224),
    [anon_sym___attribute__] = ACTIONS(5224),
    [anon_sym___based] = ACTIONS(5224),
    [anon_sym_LBRACE] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5226),
    [anon_sym_signed] = ACTIONS(5224),
    [anon_sym_unsigned] = ACTIONS(5224),
    [anon_sym_long] = ACTIONS(5224),
    [anon_sym_short] = ACTIONS(5224),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_const] = ACTIONS(5224),
    [anon_sym_constexpr] = ACTIONS(5224),
    [anon_sym_volatile] = ACTIONS(5224),
    [anon_sym_restrict] = ACTIONS(5224),
    [anon_sym___restrict__] = ACTIONS(5224),
    [anon_sym__Atomic] = ACTIONS(5224),
    [anon_sym__Noreturn] = ACTIONS(5224),
    [anon_sym_noreturn] = ACTIONS(5224),
    [anon_sym_mutable] = ACTIONS(5224),
    [anon_sym_constinit] = ACTIONS(5224),
    [anon_sym_consteval] = ACTIONS(5224),
    [anon_sym_alignas] = ACTIONS(5224),
    [anon_sym__Alignas] = ACTIONS(5224),
    [sym_primitive_type] = ACTIONS(5224),
    [anon_sym_COLON] = ACTIONS(5226),
    [anon_sym_QMARK] = ACTIONS(5226),
    [anon_sym_LT_EQ_GT] = ACTIONS(5226),
    [anon_sym_or] = ACTIONS(5224),
    [anon_sym_and] = ACTIONS(5224),
    [anon_sym_bitor] = ACTIONS(5224),
    [anon_sym_xor] = ACTIONS(5224),
    [anon_sym_bitand] = ACTIONS(5224),
    [anon_sym_not_eq] = ACTIONS(5224),
    [anon_sym_DASH_DASH] = ACTIONS(5226),
    [anon_sym_PLUS_PLUS] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_DOT_STAR] = ACTIONS(5226),
    [anon_sym_DASH_GT] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5224),
    [anon_sym_decltype] = ACTIONS(5224),
    [anon_sym_final] = ACTIONS(5224),
    [anon_sym_override] = ACTIONS(5224),
    [anon_sym_requires] = ACTIONS(5224),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym_COMMA] = ACTIONS(5190),
    [anon_sym_RPAREN] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5188),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_SLASH] = ACTIONS(5188),
    [anon_sym_PERCENT] = ACTIONS(5190),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_PIPE] = ACTIONS(5188),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5188),
    [anon_sym_EQ_EQ] = ACTIONS(5190),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_GT] = ACTIONS(5188),
    [anon_sym_GT_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5188),
    [anon_sym_LT] = ACTIONS(5188),
    [anon_sym_LT_LT] = ACTIONS(5190),
    [anon_sym_GT_GT] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(5190),
    [anon_sym___extension__] = ACTIONS(5188),
    [anon_sym___attribute__] = ACTIONS(5188),
    [anon_sym___based] = ACTIONS(5188),
    [anon_sym_LBRACE] = ACTIONS(5190),
    [anon_sym_RBRACE] = ACTIONS(5190),
    [anon_sym_signed] = ACTIONS(5188),
    [anon_sym_unsigned] = ACTIONS(5188),
    [anon_sym_long] = ACTIONS(5188),
    [anon_sym_short] = ACTIONS(5188),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym_RBRACK] = ACTIONS(5190),
    [anon_sym_const] = ACTIONS(5188),
    [anon_sym_constexpr] = ACTIONS(5188),
    [anon_sym_volatile] = ACTIONS(5188),
    [anon_sym_restrict] = ACTIONS(5188),
    [anon_sym___restrict__] = ACTIONS(5188),
    [anon_sym__Atomic] = ACTIONS(5188),
    [anon_sym__Noreturn] = ACTIONS(5188),
    [anon_sym_noreturn] = ACTIONS(5188),
    [anon_sym_mutable] = ACTIONS(5188),
    [anon_sym_constinit] = ACTIONS(5188),
    [anon_sym_consteval] = ACTIONS(5188),
    [anon_sym_alignas] = ACTIONS(5188),
    [anon_sym__Alignas] = ACTIONS(5188),
    [sym_primitive_type] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_QMARK] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_bitor] = ACTIONS(5188),
    [anon_sym_xor] = ACTIONS(5188),
    [anon_sym_bitand] = ACTIONS(5188),
    [anon_sym_not_eq] = ACTIONS(5188),
    [anon_sym_DASH_DASH] = ACTIONS(5190),
    [anon_sym_PLUS_PLUS] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_DOT_STAR] = ACTIONS(5190),
    [anon_sym_DASH_GT] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5188),
    [anon_sym_decltype] = ACTIONS(5188),
    [anon_sym_final] = ACTIONS(5188),
    [anon_sym_override] = ACTIONS(5188),
    [anon_sym_requires] = ACTIONS(5188),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token2] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [aux_sym_preproc_else_token1] = ACTIONS(2780),
    [aux_sym_preproc_elif_token1] = ACTIONS(2780),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_friend] = ACTIONS(2780),
    [anon_sym_public] = ACTIONS(2780),
    [anon_sym_private] = ACTIONS(2780),
    [anon_sym_protected] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
  },
  [1786] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_friend] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
  },
  [1787] = {
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_BANG] = ACTIONS(5230),
    [anon_sym_TILDE] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5228),
    [anon_sym_STAR] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(5230),
    [anon_sym___extension__] = ACTIONS(5228),
    [anon_sym_COLON_COLON] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_static] = ACTIONS(5228),
    [anon_sym_RBRACK] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5228),
    [anon_sym_constexpr] = ACTIONS(5228),
    [anon_sym_volatile] = ACTIONS(5228),
    [anon_sym_restrict] = ACTIONS(5228),
    [anon_sym___restrict__] = ACTIONS(5228),
    [anon_sym__Atomic] = ACTIONS(5228),
    [anon_sym__Noreturn] = ACTIONS(5228),
    [anon_sym_noreturn] = ACTIONS(5228),
    [anon_sym_mutable] = ACTIONS(5228),
    [anon_sym_constinit] = ACTIONS(5228),
    [anon_sym_consteval] = ACTIONS(5228),
    [anon_sym_alignas] = ACTIONS(5228),
    [anon_sym__Alignas] = ACTIONS(5228),
    [sym_primitive_type] = ACTIONS(5228),
    [anon_sym_not] = ACTIONS(5228),
    [anon_sym_compl] = ACTIONS(5228),
    [anon_sym_DASH_DASH] = ACTIONS(5230),
    [anon_sym_PLUS_PLUS] = ACTIONS(5230),
    [anon_sym_sizeof] = ACTIONS(5228),
    [anon_sym___alignof__] = ACTIONS(5228),
    [anon_sym___alignof] = ACTIONS(5228),
    [anon_sym__alignof] = ACTIONS(5228),
    [anon_sym_alignof] = ACTIONS(5228),
    [anon_sym__Alignof] = ACTIONS(5228),
    [anon_sym_offsetof] = ACTIONS(5228),
    [anon_sym__Generic] = ACTIONS(5228),
    [anon_sym_asm] = ACTIONS(5228),
    [anon_sym___asm__] = ACTIONS(5228),
    [sym_number_literal] = ACTIONS(5230),
    [anon_sym_L_SQUOTE] = ACTIONS(5230),
    [anon_sym_u_SQUOTE] = ACTIONS(5230),
    [anon_sym_U_SQUOTE] = ACTIONS(5230),
    [anon_sym_u8_SQUOTE] = ACTIONS(5230),
    [anon_sym_SQUOTE] = ACTIONS(5230),
    [anon_sym_L_DQUOTE] = ACTIONS(5230),
    [anon_sym_u_DQUOTE] = ACTIONS(5230),
    [anon_sym_U_DQUOTE] = ACTIONS(5230),
    [anon_sym_u8_DQUOTE] = ACTIONS(5230),
    [anon_sym_DQUOTE] = ACTIONS(5230),
    [sym_true] = ACTIONS(5228),
    [sym_false] = ACTIONS(5228),
    [anon_sym_NULL] = ACTIONS(5228),
    [anon_sym_nullptr] = ACTIONS(5228),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5228),
    [anon_sym_template] = ACTIONS(5228),
    [anon_sym_delete] = ACTIONS(5228),
    [anon_sym_R_DQUOTE] = ACTIONS(5230),
    [anon_sym_LR_DQUOTE] = ACTIONS(5230),
    [anon_sym_uR_DQUOTE] = ACTIONS(5230),
    [anon_sym_UR_DQUOTE] = ACTIONS(5230),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5230),
    [anon_sym_co_await] = ACTIONS(5228),
    [anon_sym_new] = ACTIONS(5228),
    [anon_sym_requires] = ACTIONS(5228),
    [sym_this] = ACTIONS(5228),
  },
  [1788] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4587),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4582),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4587),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
    [anon_sym_GT2] = ACTIONS(4582),
  },
  [1789] = {
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token2] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [aux_sym_preproc_else_token1] = ACTIONS(2788),
    [aux_sym_preproc_elif_token1] = ACTIONS(2788),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_friend] = ACTIONS(2788),
    [anon_sym_public] = ACTIONS(2788),
    [anon_sym_private] = ACTIONS(2788),
    [anon_sym_protected] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [aux_sym_preproc_else_token1] = ACTIONS(2822),
    [aux_sym_preproc_elif_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(5232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5234),
    [anon_sym_COMMA] = ACTIONS(5234),
    [anon_sym_RPAREN] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5234),
    [anon_sym_AMP_AMP] = ACTIONS(5234),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5234),
    [anon_sym_BANG_EQ] = ACTIONS(5234),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5234),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5234),
    [anon_sym_GT_GT] = ACTIONS(5234),
    [anon_sym_SEMI] = ACTIONS(5234),
    [anon_sym___extension__] = ACTIONS(5232),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym___based] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5234),
    [anon_sym_RBRACE] = ACTIONS(5234),
    [anon_sym_signed] = ACTIONS(5232),
    [anon_sym_unsigned] = ACTIONS(5232),
    [anon_sym_long] = ACTIONS(5232),
    [anon_sym_short] = ACTIONS(5232),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [anon_sym_RBRACK] = ACTIONS(5234),
    [anon_sym_const] = ACTIONS(5232),
    [anon_sym_constexpr] = ACTIONS(5232),
    [anon_sym_volatile] = ACTIONS(5232),
    [anon_sym_restrict] = ACTIONS(5232),
    [anon_sym___restrict__] = ACTIONS(5232),
    [anon_sym__Atomic] = ACTIONS(5232),
    [anon_sym__Noreturn] = ACTIONS(5232),
    [anon_sym_noreturn] = ACTIONS(5232),
    [anon_sym_mutable] = ACTIONS(5232),
    [anon_sym_constinit] = ACTIONS(5232),
    [anon_sym_consteval] = ACTIONS(5232),
    [anon_sym_alignas] = ACTIONS(5232),
    [anon_sym__Alignas] = ACTIONS(5232),
    [sym_primitive_type] = ACTIONS(5232),
    [anon_sym_COLON] = ACTIONS(5234),
    [anon_sym_QMARK] = ACTIONS(5234),
    [anon_sym_LT_EQ_GT] = ACTIONS(5234),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5234),
    [anon_sym_PLUS_PLUS] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5234),
    [anon_sym_DASH_GT] = ACTIONS(5234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
    [anon_sym_final] = ACTIONS(5232),
    [anon_sym_override] = ACTIONS(5232),
    [anon_sym_requires] = ACTIONS(5232),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_friend] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [1797] = {
    [sym_string_literal] = STATE(1857),
    [sym_template_argument_list] = STATE(2835),
    [sym_raw_string_literal] = STATE(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4612),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4615),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1798] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1799] = {
    [sym_string_literal] = STATE(1579),
    [sym_template_argument_list] = STATE(2231),
    [sym_raw_string_literal] = STATE(1579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4737),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
  },
  [1800] = {
    [sym_catch_clause] = STATE(1801),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(5246),
  },
  [1801] = {
    [sym_catch_clause] = STATE(1801),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_friend] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(5248),
  },
  [1802] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_friend] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(5251),
  },
  [1803] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(5253),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1804] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1805] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_friend] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(5255),
  },
  [1806] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [aux_sym_preproc_if_token2] = ACTIONS(4585),
    [aux_sym_preproc_else_token1] = ACTIONS(4585),
    [aux_sym_preproc_elif_token1] = ACTIONS(4578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4585),
    [anon_sym_AMP_AMP] = ACTIONS(4585),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_EQ_EQ] = ACTIONS(4585),
    [anon_sym_BANG_EQ] = ACTIONS(4585),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4585),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4585),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4585),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_STAR_EQ] = ACTIONS(4585),
    [anon_sym_SLASH_EQ] = ACTIONS(4585),
    [anon_sym_PERCENT_EQ] = ACTIONS(4585),
    [anon_sym_PLUS_EQ] = ACTIONS(4585),
    [anon_sym_DASH_EQ] = ACTIONS(4585),
    [anon_sym_LT_LT_EQ] = ACTIONS(4585),
    [anon_sym_GT_GT_EQ] = ACTIONS(4585),
    [anon_sym_AMP_EQ] = ACTIONS(4585),
    [anon_sym_CARET_EQ] = ACTIONS(4585),
    [anon_sym_PIPE_EQ] = ACTIONS(4585),
    [anon_sym_and_eq] = ACTIONS(4578),
    [anon_sym_or_eq] = ACTIONS(4578),
    [anon_sym_xor_eq] = ACTIONS(4578),
    [anon_sym_LT_EQ_GT] = ACTIONS(4585),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4585),
    [anon_sym_PLUS_PLUS] = ACTIONS(4585),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4585),
    [anon_sym_DASH_GT] = ACTIONS(4585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [anon_sym_final] = ACTIONS(4578),
    [anon_sym_override] = ACTIONS(4578),
  },
  [1807] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1808] = {
    [sym_catch_clause] = STATE(1801),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(5246),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(4913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4915),
    [anon_sym_COMMA] = ACTIONS(4915),
    [anon_sym_RPAREN] = ACTIONS(4915),
    [aux_sym_preproc_if_token2] = ACTIONS(4915),
    [aux_sym_preproc_else_token1] = ACTIONS(4915),
    [aux_sym_preproc_elif_token1] = ACTIONS(4913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4915),
    [anon_sym_LPAREN2] = ACTIONS(4915),
    [anon_sym_DASH] = ACTIONS(4913),
    [anon_sym_PLUS] = ACTIONS(4913),
    [anon_sym_STAR] = ACTIONS(4913),
    [anon_sym_SLASH] = ACTIONS(4913),
    [anon_sym_PERCENT] = ACTIONS(4913),
    [anon_sym_PIPE_PIPE] = ACTIONS(4915),
    [anon_sym_AMP_AMP] = ACTIONS(4915),
    [anon_sym_PIPE] = ACTIONS(4913),
    [anon_sym_CARET] = ACTIONS(4913),
    [anon_sym_AMP] = ACTIONS(4913),
    [anon_sym_EQ_EQ] = ACTIONS(4915),
    [anon_sym_BANG_EQ] = ACTIONS(4915),
    [anon_sym_GT] = ACTIONS(4913),
    [anon_sym_GT_EQ] = ACTIONS(4915),
    [anon_sym_LT_EQ] = ACTIONS(4913),
    [anon_sym_LT] = ACTIONS(4913),
    [anon_sym_LT_LT] = ACTIONS(4913),
    [anon_sym_GT_GT] = ACTIONS(4913),
    [anon_sym_SEMI] = ACTIONS(4915),
    [anon_sym___attribute__] = ACTIONS(4913),
    [anon_sym_COLON_COLON] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(4915),
    [anon_sym_RBRACE] = ACTIONS(4915),
    [anon_sym_LBRACK] = ACTIONS(4915),
    [anon_sym_RBRACK] = ACTIONS(4915),
    [anon_sym_EQ] = ACTIONS(4913),
    [anon_sym_COLON] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4915),
    [anon_sym_STAR_EQ] = ACTIONS(4915),
    [anon_sym_SLASH_EQ] = ACTIONS(4915),
    [anon_sym_PERCENT_EQ] = ACTIONS(4915),
    [anon_sym_PLUS_EQ] = ACTIONS(4915),
    [anon_sym_DASH_EQ] = ACTIONS(4915),
    [anon_sym_LT_LT_EQ] = ACTIONS(4915),
    [anon_sym_GT_GT_EQ] = ACTIONS(4915),
    [anon_sym_AMP_EQ] = ACTIONS(4915),
    [anon_sym_CARET_EQ] = ACTIONS(4915),
    [anon_sym_PIPE_EQ] = ACTIONS(4915),
    [anon_sym_and_eq] = ACTIONS(4913),
    [anon_sym_or_eq] = ACTIONS(4913),
    [anon_sym_xor_eq] = ACTIONS(4913),
    [anon_sym_LT_EQ_GT] = ACTIONS(4915),
    [anon_sym_or] = ACTIONS(4913),
    [anon_sym_and] = ACTIONS(4913),
    [anon_sym_bitor] = ACTIONS(4913),
    [anon_sym_xor] = ACTIONS(4913),
    [anon_sym_bitand] = ACTIONS(4913),
    [anon_sym_not_eq] = ACTIONS(4913),
    [anon_sym_DASH_DASH] = ACTIONS(4915),
    [anon_sym_PLUS_PLUS] = ACTIONS(4915),
    [anon_sym_DOT] = ACTIONS(4913),
    [anon_sym_DOT_STAR] = ACTIONS(4915),
    [anon_sym_DASH_GT] = ACTIONS(4915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4913),
    [anon_sym_decltype] = ACTIONS(4913),
    [anon_sym_final] = ACTIONS(4913),
    [anon_sym_override] = ACTIONS(4913),
  },
  [1810] = {
    [sym_string_literal] = STATE(1579),
    [sym_template_argument_list] = STATE(2670),
    [sym_raw_string_literal] = STATE(1579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(5258),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4615),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(5239),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
  },
  [1811] = {
    [sym_string_literal] = STATE(1579),
    [sym_raw_string_literal] = STATE(1579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_RPAREN] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_SLASH] = ACTIONS(5156),
    [anon_sym_PERCENT] = ACTIONS(5156),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5156),
    [anon_sym_CARET] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5156),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_GT] = ACTIONS(5156),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5156),
    [anon_sym_LT] = ACTIONS(5156),
    [anon_sym_LT_LT] = ACTIONS(5156),
    [anon_sym_GT_GT] = ACTIONS(5156),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_RBRACK] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5156),
    [anon_sym_COLON] = ACTIONS(5158),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_STAR_EQ] = ACTIONS(5158),
    [anon_sym_SLASH_EQ] = ACTIONS(5158),
    [anon_sym_PERCENT_EQ] = ACTIONS(5158),
    [anon_sym_PLUS_EQ] = ACTIONS(5158),
    [anon_sym_DASH_EQ] = ACTIONS(5158),
    [anon_sym_LT_LT_EQ] = ACTIONS(5158),
    [anon_sym_GT_GT_EQ] = ACTIONS(5158),
    [anon_sym_AMP_EQ] = ACTIONS(5158),
    [anon_sym_CARET_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_and_eq] = ACTIONS(5156),
    [anon_sym_or_eq] = ACTIONS(5156),
    [anon_sym_xor_eq] = ACTIONS(5156),
    [anon_sym_LT_EQ_GT] = ACTIONS(5158),
    [anon_sym_or] = ACTIONS(5156),
    [anon_sym_and] = ACTIONS(5156),
    [anon_sym_bitor] = ACTIONS(5156),
    [anon_sym_xor] = ACTIONS(5156),
    [anon_sym_bitand] = ACTIONS(5156),
    [anon_sym_not_eq] = ACTIONS(5156),
    [anon_sym_DASH_DASH] = ACTIONS(5158),
    [anon_sym_PLUS_PLUS] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5156),
    [anon_sym_DOT_STAR] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5158),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(5150),
  },
  [1812] = {
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4881),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4881),
    [anon_sym_GT_GT] = ACTIONS(4881),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_EQ] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4881),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_STAR_EQ] = ACTIONS(4883),
    [anon_sym_SLASH_EQ] = ACTIONS(4883),
    [anon_sym_PERCENT_EQ] = ACTIONS(4883),
    [anon_sym_PLUS_EQ] = ACTIONS(4883),
    [anon_sym_DASH_EQ] = ACTIONS(4883),
    [anon_sym_LT_LT_EQ] = ACTIONS(4883),
    [anon_sym_GT_GT_EQ] = ACTIONS(4883),
    [anon_sym_AMP_EQ] = ACTIONS(4883),
    [anon_sym_CARET_EQ] = ACTIONS(4883),
    [anon_sym_PIPE_EQ] = ACTIONS(4883),
    [anon_sym_and_eq] = ACTIONS(4881),
    [anon_sym_or_eq] = ACTIONS(4881),
    [anon_sym_xor_eq] = ACTIONS(4881),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(4881),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
  },
  [1813] = {
    [sym_string_literal] = STATE(1579),
    [sym_raw_string_literal] = STATE(1579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_COLON] = ACTIONS(3770),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(5150),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4881),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4881),
    [anon_sym_GT_GT] = ACTIONS(4881),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_EQ] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4881),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_STAR_EQ] = ACTIONS(4883),
    [anon_sym_SLASH_EQ] = ACTIONS(4883),
    [anon_sym_PERCENT_EQ] = ACTIONS(4883),
    [anon_sym_PLUS_EQ] = ACTIONS(4883),
    [anon_sym_DASH_EQ] = ACTIONS(4883),
    [anon_sym_LT_LT_EQ] = ACTIONS(4883),
    [anon_sym_GT_GT_EQ] = ACTIONS(4883),
    [anon_sym_AMP_EQ] = ACTIONS(4883),
    [anon_sym_CARET_EQ] = ACTIONS(4883),
    [anon_sym_PIPE_EQ] = ACTIONS(4883),
    [anon_sym_and_eq] = ACTIONS(4881),
    [anon_sym_or_eq] = ACTIONS(4881),
    [anon_sym_xor_eq] = ACTIONS(4881),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(4881),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
  },
  [1815] = {
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym__Alignas] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_final] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [sym_virtual] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_GT2] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_noexcept] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
  },
  [1816] = {
    [sym_identifier] = ACTIONS(5261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5263),
    [anon_sym_COMMA] = ACTIONS(5263),
    [anon_sym_RPAREN] = ACTIONS(5263),
    [aux_sym_preproc_if_token2] = ACTIONS(5263),
    [aux_sym_preproc_else_token1] = ACTIONS(5263),
    [aux_sym_preproc_elif_token1] = ACTIONS(5261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5263),
    [anon_sym_DASH] = ACTIONS(5261),
    [anon_sym_PLUS] = ACTIONS(5261),
    [anon_sym_STAR] = ACTIONS(5263),
    [anon_sym_SLASH] = ACTIONS(5261),
    [anon_sym_PERCENT] = ACTIONS(5263),
    [anon_sym_PIPE_PIPE] = ACTIONS(5263),
    [anon_sym_AMP_AMP] = ACTIONS(5263),
    [anon_sym_PIPE] = ACTIONS(5261),
    [anon_sym_CARET] = ACTIONS(5263),
    [anon_sym_AMP] = ACTIONS(5261),
    [anon_sym_EQ_EQ] = ACTIONS(5263),
    [anon_sym_BANG_EQ] = ACTIONS(5263),
    [anon_sym_GT] = ACTIONS(5261),
    [anon_sym_GT_EQ] = ACTIONS(5263),
    [anon_sym_LT_EQ] = ACTIONS(5261),
    [anon_sym_LT] = ACTIONS(5261),
    [anon_sym_LT_LT] = ACTIONS(5263),
    [anon_sym_GT_GT] = ACTIONS(5263),
    [anon_sym_SEMI] = ACTIONS(5263),
    [anon_sym___extension__] = ACTIONS(5261),
    [anon_sym___attribute__] = ACTIONS(5261),
    [anon_sym_LBRACE] = ACTIONS(5263),
    [anon_sym_RBRACE] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_RBRACK] = ACTIONS(5263),
    [anon_sym_const] = ACTIONS(5261),
    [anon_sym_constexpr] = ACTIONS(5261),
    [anon_sym_volatile] = ACTIONS(5261),
    [anon_sym_restrict] = ACTIONS(5261),
    [anon_sym___restrict__] = ACTIONS(5261),
    [anon_sym__Atomic] = ACTIONS(5261),
    [anon_sym__Noreturn] = ACTIONS(5261),
    [anon_sym_noreturn] = ACTIONS(5261),
    [anon_sym_mutable] = ACTIONS(5261),
    [anon_sym_constinit] = ACTIONS(5261),
    [anon_sym_consteval] = ACTIONS(5261),
    [anon_sym_alignas] = ACTIONS(5261),
    [anon_sym__Alignas] = ACTIONS(5261),
    [anon_sym_COLON] = ACTIONS(5263),
    [anon_sym_QMARK] = ACTIONS(5263),
    [anon_sym_LT_EQ_GT] = ACTIONS(5263),
    [anon_sym_or] = ACTIONS(5261),
    [anon_sym_and] = ACTIONS(5261),
    [anon_sym_bitor] = ACTIONS(5261),
    [anon_sym_xor] = ACTIONS(5261),
    [anon_sym_bitand] = ACTIONS(5261),
    [anon_sym_not_eq] = ACTIONS(5261),
    [anon_sym_DASH_DASH] = ACTIONS(5263),
    [anon_sym_PLUS_PLUS] = ACTIONS(5263),
    [anon_sym_DOT] = ACTIONS(5261),
    [anon_sym_DOT_STAR] = ACTIONS(5263),
    [anon_sym_DASH_GT] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5261),
    [anon_sym_decltype] = ACTIONS(5261),
    [anon_sym_final] = ACTIONS(5261),
    [anon_sym_override] = ACTIONS(5261),
    [anon_sym_requires] = ACTIONS(5261),
  },
  [1817] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(5251),
  },
  [1818] = {
    [sym_string_literal] = STATE(1857),
    [sym_template_argument_list] = STATE(2987),
    [sym_raw_string_literal] = STATE(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(5242),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4626),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5230),
    [anon_sym_RPAREN] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_TILDE] = ACTIONS(5230),
    [anon_sym_STAR] = ACTIONS(5230),
    [anon_sym_AMP_AMP] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [anon_sym___extension__] = ACTIONS(5228),
    [anon_sym_extern] = ACTIONS(5228),
    [anon_sym___attribute__] = ACTIONS(5228),
    [anon_sym_COLON_COLON] = ACTIONS(5230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5230),
    [anon_sym___declspec] = ACTIONS(5228),
    [anon_sym___based] = ACTIONS(5228),
    [anon_sym_LBRACE] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5228),
    [anon_sym_unsigned] = ACTIONS(5228),
    [anon_sym_long] = ACTIONS(5228),
    [anon_sym_short] = ACTIONS(5228),
    [anon_sym_LBRACK] = ACTIONS(5228),
    [anon_sym_static] = ACTIONS(5228),
    [anon_sym_EQ] = ACTIONS(5230),
    [anon_sym_register] = ACTIONS(5228),
    [anon_sym_inline] = ACTIONS(5228),
    [anon_sym___inline] = ACTIONS(5228),
    [anon_sym___inline__] = ACTIONS(5228),
    [anon_sym___forceinline] = ACTIONS(5228),
    [anon_sym_thread_local] = ACTIONS(5228),
    [anon_sym___thread] = ACTIONS(5228),
    [anon_sym_const] = ACTIONS(5228),
    [anon_sym_constexpr] = ACTIONS(5228),
    [anon_sym_volatile] = ACTIONS(5228),
    [anon_sym_restrict] = ACTIONS(5228),
    [anon_sym___restrict__] = ACTIONS(5228),
    [anon_sym__Atomic] = ACTIONS(5228),
    [anon_sym__Noreturn] = ACTIONS(5228),
    [anon_sym_noreturn] = ACTIONS(5228),
    [anon_sym_mutable] = ACTIONS(5228),
    [anon_sym_constinit] = ACTIONS(5228),
    [anon_sym_consteval] = ACTIONS(5228),
    [anon_sym_alignas] = ACTIONS(5228),
    [anon_sym__Alignas] = ACTIONS(5228),
    [sym_primitive_type] = ACTIONS(5228),
    [anon_sym_enum] = ACTIONS(5228),
    [anon_sym_class] = ACTIONS(5228),
    [anon_sym_struct] = ACTIONS(5228),
    [anon_sym_union] = ACTIONS(5228),
    [anon_sym_asm] = ACTIONS(5228),
    [anon_sym___asm__] = ACTIONS(5228),
    [anon_sym_DASH_GT] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5228),
    [anon_sym_decltype] = ACTIONS(5228),
    [anon_sym_final] = ACTIONS(5228),
    [anon_sym_override] = ACTIONS(5228),
    [sym_virtual] = ACTIONS(5228),
    [anon_sym_explicit] = ACTIONS(5228),
    [anon_sym_typename] = ACTIONS(5228),
    [anon_sym_template] = ACTIONS(5228),
    [anon_sym_GT2] = ACTIONS(5230),
    [anon_sym_operator] = ACTIONS(5228),
    [anon_sym_try] = ACTIONS(5228),
    [anon_sym_noexcept] = ACTIONS(5228),
    [anon_sym_throw] = ACTIONS(5228),
    [anon_sym_requires] = ACTIONS(5228),
  },
  [1820] = {
    [sym_identifier] = ACTIONS(5261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5263),
    [anon_sym_COMMA] = ACTIONS(5263),
    [anon_sym_RPAREN] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5263),
    [anon_sym_TILDE] = ACTIONS(5263),
    [anon_sym_STAR] = ACTIONS(5263),
    [anon_sym_AMP_AMP] = ACTIONS(5263),
    [anon_sym_AMP] = ACTIONS(5261),
    [anon_sym_SEMI] = ACTIONS(5263),
    [anon_sym___extension__] = ACTIONS(5261),
    [anon_sym_extern] = ACTIONS(5261),
    [anon_sym___attribute__] = ACTIONS(5261),
    [anon_sym_COLON_COLON] = ACTIONS(5263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5263),
    [anon_sym___declspec] = ACTIONS(5261),
    [anon_sym___based] = ACTIONS(5261),
    [anon_sym_LBRACE] = ACTIONS(5263),
    [anon_sym_signed] = ACTIONS(5261),
    [anon_sym_unsigned] = ACTIONS(5261),
    [anon_sym_long] = ACTIONS(5261),
    [anon_sym_short] = ACTIONS(5261),
    [anon_sym_LBRACK] = ACTIONS(5261),
    [anon_sym_static] = ACTIONS(5261),
    [anon_sym_EQ] = ACTIONS(5263),
    [anon_sym_register] = ACTIONS(5261),
    [anon_sym_inline] = ACTIONS(5261),
    [anon_sym___inline] = ACTIONS(5261),
    [anon_sym___inline__] = ACTIONS(5261),
    [anon_sym___forceinline] = ACTIONS(5261),
    [anon_sym_thread_local] = ACTIONS(5261),
    [anon_sym___thread] = ACTIONS(5261),
    [anon_sym_const] = ACTIONS(5261),
    [anon_sym_constexpr] = ACTIONS(5261),
    [anon_sym_volatile] = ACTIONS(5261),
    [anon_sym_restrict] = ACTIONS(5261),
    [anon_sym___restrict__] = ACTIONS(5261),
    [anon_sym__Atomic] = ACTIONS(5261),
    [anon_sym__Noreturn] = ACTIONS(5261),
    [anon_sym_noreturn] = ACTIONS(5261),
    [anon_sym_mutable] = ACTIONS(5261),
    [anon_sym_constinit] = ACTIONS(5261),
    [anon_sym_consteval] = ACTIONS(5261),
    [anon_sym_alignas] = ACTIONS(5261),
    [anon_sym__Alignas] = ACTIONS(5261),
    [sym_primitive_type] = ACTIONS(5261),
    [anon_sym_enum] = ACTIONS(5261),
    [anon_sym_class] = ACTIONS(5261),
    [anon_sym_struct] = ACTIONS(5261),
    [anon_sym_union] = ACTIONS(5261),
    [anon_sym_asm] = ACTIONS(5261),
    [anon_sym___asm__] = ACTIONS(5261),
    [anon_sym_DASH_GT] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5261),
    [anon_sym_decltype] = ACTIONS(5261),
    [anon_sym_final] = ACTIONS(5261),
    [anon_sym_override] = ACTIONS(5261),
    [sym_virtual] = ACTIONS(5261),
    [anon_sym_explicit] = ACTIONS(5261),
    [anon_sym_typename] = ACTIONS(5261),
    [anon_sym_template] = ACTIONS(5261),
    [anon_sym_GT2] = ACTIONS(5263),
    [anon_sym_operator] = ACTIONS(5261),
    [anon_sym_try] = ACTIONS(5261),
    [anon_sym_noexcept] = ACTIONS(5261),
    [anon_sym_throw] = ACTIONS(5261),
    [anon_sym_requires] = ACTIONS(5261),
  },
  [1821] = {
    [sym_catch_clause] = STATE(1801),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1801),
    [sym_identifier] = ACTIONS(2468),
    [aux_sym_preproc_def_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token1] = ACTIONS(2468),
    [aux_sym_preproc_if_token2] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2468),
    [sym_preproc_directive] = ACTIONS(2468),
    [anon_sym_LPAREN2] = ACTIONS(2470),
    [anon_sym_TILDE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym___extension__] = ACTIONS(2468),
    [anon_sym_typedef] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym___attribute__] = ACTIONS(2468),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2470),
    [anon_sym___declspec] = ACTIONS(2468),
    [anon_sym___based] = ACTIONS(2468),
    [anon_sym_signed] = ACTIONS(2468),
    [anon_sym_unsigned] = ACTIONS(2468),
    [anon_sym_long] = ACTIONS(2468),
    [anon_sym_short] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_register] = ACTIONS(2468),
    [anon_sym_inline] = ACTIONS(2468),
    [anon_sym___inline] = ACTIONS(2468),
    [anon_sym___inline__] = ACTIONS(2468),
    [anon_sym___forceinline] = ACTIONS(2468),
    [anon_sym_thread_local] = ACTIONS(2468),
    [anon_sym___thread] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_constexpr] = ACTIONS(2468),
    [anon_sym_volatile] = ACTIONS(2468),
    [anon_sym_restrict] = ACTIONS(2468),
    [anon_sym___restrict__] = ACTIONS(2468),
    [anon_sym__Atomic] = ACTIONS(2468),
    [anon_sym__Noreturn] = ACTIONS(2468),
    [anon_sym_noreturn] = ACTIONS(2468),
    [anon_sym_mutable] = ACTIONS(2468),
    [anon_sym_constinit] = ACTIONS(2468),
    [anon_sym_consteval] = ACTIONS(2468),
    [anon_sym_alignas] = ACTIONS(2468),
    [anon_sym__Alignas] = ACTIONS(2468),
    [sym_primitive_type] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_class] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2468),
    [anon_sym_decltype] = ACTIONS(2468),
    [sym_virtual] = ACTIONS(2468),
    [anon_sym_explicit] = ACTIONS(2468),
    [anon_sym_typename] = ACTIONS(2468),
    [anon_sym_template] = ACTIONS(2468),
    [anon_sym_operator] = ACTIONS(2468),
    [anon_sym_friend] = ACTIONS(2468),
    [anon_sym_public] = ACTIONS(2468),
    [anon_sym_private] = ACTIONS(2468),
    [anon_sym_protected] = ACTIONS(2468),
    [anon_sym_using] = ACTIONS(2468),
    [anon_sym_static_assert] = ACTIONS(2468),
    [anon_sym_catch] = ACTIONS(5246),
  },
  [1822] = {
    [sym_catch_clause] = STATE(1805),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1805),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(5251),
  },
  [1823] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4582),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
  },
  [1824] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [aux_sym_preproc_if_token2] = ACTIONS(4930),
    [aux_sym_preproc_else_token1] = ACTIONS(4930),
    [aux_sym_preproc_elif_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4928),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4928),
    [anon_sym_constexpr] = ACTIONS(4928),
    [anon_sym_volatile] = ACTIONS(4928),
    [anon_sym_restrict] = ACTIONS(4928),
    [anon_sym___restrict__] = ACTIONS(4928),
    [anon_sym__Atomic] = ACTIONS(4928),
    [anon_sym__Noreturn] = ACTIONS(4928),
    [anon_sym_noreturn] = ACTIONS(4928),
    [anon_sym_mutable] = ACTIONS(4928),
    [anon_sym_constinit] = ACTIONS(4928),
    [anon_sym_consteval] = ACTIONS(4928),
    [anon_sym_alignas] = ACTIONS(4928),
    [anon_sym__Alignas] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
    [anon_sym_final] = ACTIONS(4928),
    [anon_sym_override] = ACTIONS(4928),
    [anon_sym_requires] = ACTIONS(4928),
  },
  [1825] = {
    [sym_identifier] = ACTIONS(4917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4919),
    [anon_sym_COMMA] = ACTIONS(4919),
    [anon_sym_RPAREN] = ACTIONS(4919),
    [aux_sym_preproc_if_token2] = ACTIONS(4919),
    [aux_sym_preproc_else_token1] = ACTIONS(4919),
    [aux_sym_preproc_elif_token1] = ACTIONS(4917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4919),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4919),
    [anon_sym_LPAREN2] = ACTIONS(4919),
    [anon_sym_DASH] = ACTIONS(4917),
    [anon_sym_PLUS] = ACTIONS(4917),
    [anon_sym_STAR] = ACTIONS(4917),
    [anon_sym_SLASH] = ACTIONS(4917),
    [anon_sym_PERCENT] = ACTIONS(4917),
    [anon_sym_PIPE_PIPE] = ACTIONS(4919),
    [anon_sym_AMP_AMP] = ACTIONS(4919),
    [anon_sym_PIPE] = ACTIONS(4917),
    [anon_sym_CARET] = ACTIONS(4917),
    [anon_sym_AMP] = ACTIONS(4917),
    [anon_sym_EQ_EQ] = ACTIONS(4919),
    [anon_sym_BANG_EQ] = ACTIONS(4919),
    [anon_sym_GT] = ACTIONS(4917),
    [anon_sym_GT_EQ] = ACTIONS(4919),
    [anon_sym_LT_EQ] = ACTIONS(4917),
    [anon_sym_LT] = ACTIONS(4917),
    [anon_sym_LT_LT] = ACTIONS(4917),
    [anon_sym_GT_GT] = ACTIONS(4917),
    [anon_sym_SEMI] = ACTIONS(4919),
    [anon_sym___attribute__] = ACTIONS(4917),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym_LBRACE] = ACTIONS(4919),
    [anon_sym_RBRACE] = ACTIONS(4919),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_RBRACK] = ACTIONS(4919),
    [anon_sym_EQ] = ACTIONS(4917),
    [anon_sym_COLON] = ACTIONS(4917),
    [anon_sym_QMARK] = ACTIONS(4919),
    [anon_sym_STAR_EQ] = ACTIONS(4919),
    [anon_sym_SLASH_EQ] = ACTIONS(4919),
    [anon_sym_PERCENT_EQ] = ACTIONS(4919),
    [anon_sym_PLUS_EQ] = ACTIONS(4919),
    [anon_sym_DASH_EQ] = ACTIONS(4919),
    [anon_sym_LT_LT_EQ] = ACTIONS(4919),
    [anon_sym_GT_GT_EQ] = ACTIONS(4919),
    [anon_sym_AMP_EQ] = ACTIONS(4919),
    [anon_sym_CARET_EQ] = ACTIONS(4919),
    [anon_sym_PIPE_EQ] = ACTIONS(4919),
    [anon_sym_and_eq] = ACTIONS(4917),
    [anon_sym_or_eq] = ACTIONS(4917),
    [anon_sym_xor_eq] = ACTIONS(4917),
    [anon_sym_LT_EQ_GT] = ACTIONS(4919),
    [anon_sym_or] = ACTIONS(4917),
    [anon_sym_and] = ACTIONS(4917),
    [anon_sym_bitor] = ACTIONS(4917),
    [anon_sym_xor] = ACTIONS(4917),
    [anon_sym_bitand] = ACTIONS(4917),
    [anon_sym_not_eq] = ACTIONS(4917),
    [anon_sym_DASH_DASH] = ACTIONS(4919),
    [anon_sym_PLUS_PLUS] = ACTIONS(4919),
    [anon_sym_DOT] = ACTIONS(4917),
    [anon_sym_DOT_STAR] = ACTIONS(4919),
    [anon_sym_DASH_GT] = ACTIONS(4919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4917),
    [anon_sym_decltype] = ACTIONS(4917),
    [anon_sym_final] = ACTIONS(4917),
    [anon_sym_override] = ACTIONS(4917),
  },
  [1826] = {
    [sym_string_literal] = STATE(1841),
    [sym_raw_string_literal] = STATE(1841),
    [aux_sym_concatenated_string_repeat1] = STATE(1841),
    [sym_identifier] = ACTIONS(5265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4781),
    [anon_sym_COMMA] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(4781),
    [anon_sym_DASH] = ACTIONS(4783),
    [anon_sym_PLUS] = ACTIONS(4783),
    [anon_sym_STAR] = ACTIONS(4783),
    [anon_sym_SLASH] = ACTIONS(4783),
    [anon_sym_PERCENT] = ACTIONS(4783),
    [anon_sym_PIPE_PIPE] = ACTIONS(4781),
    [anon_sym_AMP_AMP] = ACTIONS(4781),
    [anon_sym_PIPE] = ACTIONS(4783),
    [anon_sym_CARET] = ACTIONS(4783),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_EQ_EQ] = ACTIONS(4781),
    [anon_sym_BANG_EQ] = ACTIONS(4781),
    [anon_sym_GT] = ACTIONS(4783),
    [anon_sym_GT_EQ] = ACTIONS(4781),
    [anon_sym_LT_EQ] = ACTIONS(4783),
    [anon_sym_LT] = ACTIONS(4783),
    [anon_sym_LT_LT] = ACTIONS(4783),
    [anon_sym_GT_GT] = ACTIONS(4783),
    [anon_sym_SEMI] = ACTIONS(4781),
    [anon_sym___attribute__] = ACTIONS(4783),
    [anon_sym_LBRACK] = ACTIONS(4781),
    [anon_sym_EQ] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(4781),
    [anon_sym_STAR_EQ] = ACTIONS(4781),
    [anon_sym_SLASH_EQ] = ACTIONS(4781),
    [anon_sym_PERCENT_EQ] = ACTIONS(4781),
    [anon_sym_PLUS_EQ] = ACTIONS(4781),
    [anon_sym_DASH_EQ] = ACTIONS(4781),
    [anon_sym_LT_LT_EQ] = ACTIONS(4781),
    [anon_sym_GT_GT_EQ] = ACTIONS(4781),
    [anon_sym_AMP_EQ] = ACTIONS(4781),
    [anon_sym_CARET_EQ] = ACTIONS(4781),
    [anon_sym_PIPE_EQ] = ACTIONS(4781),
    [anon_sym_and_eq] = ACTIONS(4783),
    [anon_sym_or_eq] = ACTIONS(4783),
    [anon_sym_xor_eq] = ACTIONS(4783),
    [anon_sym_LT_EQ_GT] = ACTIONS(4781),
    [anon_sym_or] = ACTIONS(4783),
    [anon_sym_and] = ACTIONS(4783),
    [anon_sym_bitor] = ACTIONS(4783),
    [anon_sym_xor] = ACTIONS(4783),
    [anon_sym_bitand] = ACTIONS(4783),
    [anon_sym_not_eq] = ACTIONS(4783),
    [anon_sym_DASH_DASH] = ACTIONS(4781),
    [anon_sym_PLUS_PLUS] = ACTIONS(4781),
    [anon_sym_DOT] = ACTIONS(4783),
    [anon_sym_DOT_STAR] = ACTIONS(4781),
    [anon_sym_DASH_GT] = ACTIONS(4781),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(4783),
  },
  [1827] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4944),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1828] = {
    [sym_ms_based_modifier] = STATE(7569),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(1831),
    [sym__declarator] = STATE(5945),
    [sym__abstract_declarator] = STATE(6077),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_type_qualifier] = STATE(2531),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_parameter_list] = STATE(2857),
    [sym_decltype] = STATE(7962),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5390),
    [sym_qualified_identifier] = STATE(5904),
    [sym_operator_name] = STATE(5904),
    [aux_sym__type_definition_type_repeat1] = STATE(2531),
    [aux_sym_pointer_declarator_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5273),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(5275),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_EQ] = ACTIONS(5273),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5273),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1829] = {
    [sym_string_literal] = STATE(1842),
    [sym_template_argument_list] = STATE(2231),
    [sym_raw_string_literal] = STATE(1842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4737),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___attribute__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
  },
  [1830] = {
    [sym_string_literal] = STATE(1854),
    [sym_raw_string_literal] = STATE(1854),
    [aux_sym_concatenated_string_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(5285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4781),
    [anon_sym_COMMA] = ACTIONS(4781),
    [anon_sym_RPAREN] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(4781),
    [anon_sym_DASH] = ACTIONS(4783),
    [anon_sym_PLUS] = ACTIONS(4783),
    [anon_sym_STAR] = ACTIONS(4783),
    [anon_sym_SLASH] = ACTIONS(4783),
    [anon_sym_PERCENT] = ACTIONS(4783),
    [anon_sym_PIPE_PIPE] = ACTIONS(4781),
    [anon_sym_AMP_AMP] = ACTIONS(4781),
    [anon_sym_PIPE] = ACTIONS(4783),
    [anon_sym_CARET] = ACTIONS(4783),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_EQ_EQ] = ACTIONS(4781),
    [anon_sym_BANG_EQ] = ACTIONS(4781),
    [anon_sym_GT] = ACTIONS(4783),
    [anon_sym_GT_EQ] = ACTIONS(4781),
    [anon_sym_LT_EQ] = ACTIONS(4783),
    [anon_sym_LT] = ACTIONS(4783),
    [anon_sym_LT_LT] = ACTIONS(4783),
    [anon_sym_GT_GT] = ACTIONS(4783),
    [anon_sym_LBRACK] = ACTIONS(4781),
    [anon_sym_EQ] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(4781),
    [anon_sym_STAR_EQ] = ACTIONS(4781),
    [anon_sym_SLASH_EQ] = ACTIONS(4781),
    [anon_sym_PERCENT_EQ] = ACTIONS(4781),
    [anon_sym_PLUS_EQ] = ACTIONS(4781),
    [anon_sym_DASH_EQ] = ACTIONS(4781),
    [anon_sym_LT_LT_EQ] = ACTIONS(4781),
    [anon_sym_GT_GT_EQ] = ACTIONS(4781),
    [anon_sym_AMP_EQ] = ACTIONS(4781),
    [anon_sym_CARET_EQ] = ACTIONS(4781),
    [anon_sym_PIPE_EQ] = ACTIONS(4781),
    [anon_sym_and_eq] = ACTIONS(4783),
    [anon_sym_or_eq] = ACTIONS(4783),
    [anon_sym_xor_eq] = ACTIONS(4783),
    [anon_sym_LT_EQ_GT] = ACTIONS(4781),
    [anon_sym_or] = ACTIONS(4783),
    [anon_sym_and] = ACTIONS(4783),
    [anon_sym_bitor] = ACTIONS(4783),
    [anon_sym_xor] = ACTIONS(4783),
    [anon_sym_bitand] = ACTIONS(4783),
    [anon_sym_not_eq] = ACTIONS(4783),
    [anon_sym_DASH_DASH] = ACTIONS(4781),
    [anon_sym_PLUS_PLUS] = ACTIONS(4781),
    [anon_sym_DOT] = ACTIONS(4783),
    [anon_sym_DOT_STAR] = ACTIONS(4781),
    [anon_sym_DASH_GT] = ACTIONS(4783),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4781),
    [sym_literal_suffix] = ACTIONS(4783),
  },
  [1831] = {
    [sym_ms_based_modifier] = STATE(7569),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(3811),
    [sym__declarator] = STATE(5965),
    [sym__abstract_declarator] = STATE(6005),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_type_qualifier] = STATE(2525),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_parameter_list] = STATE(2857),
    [sym_decltype] = STATE(7962),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5390),
    [sym_qualified_identifier] = STATE(5904),
    [sym_operator_name] = STATE(5904),
    [aux_sym__type_definition_type_repeat1] = STATE(2525),
    [aux_sym_pointer_declarator_repeat1] = STATE(3811),
    [sym_identifier] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5287),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(5275),
    [anon_sym_AMP_AMP] = ACTIONS(5277),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_EQ] = ACTIONS(5287),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5287),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1832] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1833] = {
    [sym_string_literal] = STATE(2183),
    [sym_template_argument_list] = STATE(3447),
    [sym_raw_string_literal] = STATE(2183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(5289),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(5292),
    [anon_sym_or_eq] = ACTIONS(5292),
    [anon_sym_xor_eq] = ACTIONS(5292),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(3846),
    [anon_sym_u_DQUOTE] = ACTIONS(3846),
    [anon_sym_U_DQUOTE] = ACTIONS(3846),
    [anon_sym_u8_DQUOTE] = ACTIONS(3846),
    [anon_sym_DQUOTE] = ACTIONS(3846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3848),
    [anon_sym_LR_DQUOTE] = ACTIONS(3848),
    [anon_sym_uR_DQUOTE] = ACTIONS(3848),
    [anon_sym_UR_DQUOTE] = ACTIONS(3848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3848),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1834] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(5297),
    [anon_sym_EQ] = ACTIONS(5300),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5302),
    [anon_sym_SLASH_EQ] = ACTIONS(5302),
    [anon_sym_PERCENT_EQ] = ACTIONS(5302),
    [anon_sym_PLUS_EQ] = ACTIONS(5302),
    [anon_sym_DASH_EQ] = ACTIONS(5302),
    [anon_sym_LT_LT_EQ] = ACTIONS(5302),
    [anon_sym_GT_GT_EQ] = ACTIONS(5302),
    [anon_sym_AMP_EQ] = ACTIONS(5302),
    [anon_sym_CARET_EQ] = ACTIONS(5302),
    [anon_sym_PIPE_EQ] = ACTIONS(5302),
    [anon_sym_and_eq] = ACTIONS(5302),
    [anon_sym_or_eq] = ACTIONS(5302),
    [anon_sym_xor_eq] = ACTIONS(5302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1835] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5304),
    [anon_sym_COMMA] = ACTIONS(5304),
    [anon_sym_RPAREN] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5304),
    [anon_sym_SLASH] = ACTIONS(5306),
    [anon_sym_PERCENT] = ACTIONS(5304),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_PIPE] = ACTIONS(5306),
    [anon_sym_CARET] = ACTIONS(5304),
    [anon_sym_AMP] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5304),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_GT] = ACTIONS(5306),
    [anon_sym_GT_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5306),
    [anon_sym_LT] = ACTIONS(5306),
    [anon_sym_LT_LT] = ACTIONS(5304),
    [anon_sym_GT_GT] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5304),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym___attribute__] = ACTIONS(5304),
    [anon_sym_LBRACE] = ACTIONS(5304),
    [anon_sym_RBRACE] = ACTIONS(5304),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_RBRACK] = ACTIONS(5304),
    [anon_sym_const] = ACTIONS(5306),
    [anon_sym_constexpr] = ACTIONS(5304),
    [anon_sym_volatile] = ACTIONS(5304),
    [anon_sym_restrict] = ACTIONS(5304),
    [anon_sym___restrict__] = ACTIONS(5304),
    [anon_sym__Atomic] = ACTIONS(5304),
    [anon_sym__Noreturn] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(5304),
    [anon_sym_mutable] = ACTIONS(5304),
    [anon_sym_constinit] = ACTIONS(5304),
    [anon_sym_consteval] = ACTIONS(5304),
    [anon_sym_alignas] = ACTIONS(5304),
    [anon_sym__Alignas] = ACTIONS(5304),
    [anon_sym_COLON] = ACTIONS(5304),
    [anon_sym_QMARK] = ACTIONS(5304),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_or] = ACTIONS(5304),
    [anon_sym_and] = ACTIONS(5304),
    [anon_sym_bitor] = ACTIONS(5304),
    [anon_sym_xor] = ACTIONS(5304),
    [anon_sym_bitand] = ACTIONS(5304),
    [anon_sym_not_eq] = ACTIONS(5304),
    [anon_sym_DASH_DASH] = ACTIONS(5304),
    [anon_sym_PLUS_PLUS] = ACTIONS(5304),
    [anon_sym_DOT] = ACTIONS(5306),
    [anon_sym_DOT_STAR] = ACTIONS(5304),
    [anon_sym_DASH_GT] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(5304),
    [anon_sym_final] = ACTIONS(5304),
    [anon_sym_override] = ACTIONS(5304),
    [anon_sym_requires] = ACTIONS(5304),
  },
  [1836] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5310),
    [anon_sym_COMMA] = ACTIONS(5310),
    [anon_sym_RPAREN] = ACTIONS(5310),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5312),
    [anon_sym_STAR] = ACTIONS(5310),
    [anon_sym_SLASH] = ACTIONS(5312),
    [anon_sym_PERCENT] = ACTIONS(5310),
    [anon_sym_PIPE_PIPE] = ACTIONS(5310),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_PIPE] = ACTIONS(5312),
    [anon_sym_CARET] = ACTIONS(5310),
    [anon_sym_AMP] = ACTIONS(5312),
    [anon_sym_EQ_EQ] = ACTIONS(5310),
    [anon_sym_BANG_EQ] = ACTIONS(5310),
    [anon_sym_GT] = ACTIONS(5312),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_LT_EQ] = ACTIONS(5312),
    [anon_sym_LT] = ACTIONS(5312),
    [anon_sym_LT_LT] = ACTIONS(5310),
    [anon_sym_GT_GT] = ACTIONS(5310),
    [anon_sym_SEMI] = ACTIONS(5310),
    [anon_sym___extension__] = ACTIONS(5310),
    [anon_sym___attribute__] = ACTIONS(5310),
    [anon_sym_LBRACE] = ACTIONS(5310),
    [anon_sym_RBRACE] = ACTIONS(5310),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [anon_sym_RBRACK] = ACTIONS(5310),
    [anon_sym_const] = ACTIONS(5312),
    [anon_sym_constexpr] = ACTIONS(5310),
    [anon_sym_volatile] = ACTIONS(5310),
    [anon_sym_restrict] = ACTIONS(5310),
    [anon_sym___restrict__] = ACTIONS(5310),
    [anon_sym__Atomic] = ACTIONS(5310),
    [anon_sym__Noreturn] = ACTIONS(5310),
    [anon_sym_noreturn] = ACTIONS(5310),
    [anon_sym_mutable] = ACTIONS(5310),
    [anon_sym_constinit] = ACTIONS(5310),
    [anon_sym_consteval] = ACTIONS(5310),
    [anon_sym_alignas] = ACTIONS(5310),
    [anon_sym__Alignas] = ACTIONS(5310),
    [anon_sym_COLON] = ACTIONS(5310),
    [anon_sym_QMARK] = ACTIONS(5310),
    [anon_sym_LT_EQ_GT] = ACTIONS(5310),
    [anon_sym_or] = ACTIONS(5310),
    [anon_sym_and] = ACTIONS(5310),
    [anon_sym_bitor] = ACTIONS(5310),
    [anon_sym_xor] = ACTIONS(5310),
    [anon_sym_bitand] = ACTIONS(5310),
    [anon_sym_not_eq] = ACTIONS(5310),
    [anon_sym_DASH_DASH] = ACTIONS(5310),
    [anon_sym_PLUS_PLUS] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_DOT_STAR] = ACTIONS(5310),
    [anon_sym_DASH_GT] = ACTIONS(5310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5310),
    [anon_sym_decltype] = ACTIONS(5310),
    [anon_sym_final] = ACTIONS(5310),
    [anon_sym_override] = ACTIONS(5310),
    [anon_sym_requires] = ACTIONS(5310),
  },
  [1837] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(5314),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1838] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5036),
    [anon_sym_COMMA] = ACTIONS(5036),
    [anon_sym_RPAREN] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_STAR] = ACTIONS(5036),
    [anon_sym_SLASH] = ACTIONS(5034),
    [anon_sym_PERCENT] = ACTIONS(5036),
    [anon_sym_PIPE_PIPE] = ACTIONS(5036),
    [anon_sym_AMP_AMP] = ACTIONS(5036),
    [anon_sym_PIPE] = ACTIONS(5034),
    [anon_sym_CARET] = ACTIONS(5036),
    [anon_sym_AMP] = ACTIONS(5034),
    [anon_sym_EQ_EQ] = ACTIONS(5036),
    [anon_sym_BANG_EQ] = ACTIONS(5036),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5034),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5036),
    [anon_sym_GT_GT] = ACTIONS(5036),
    [anon_sym_SEMI] = ACTIONS(5036),
    [anon_sym___extension__] = ACTIONS(5036),
    [anon_sym___attribute__] = ACTIONS(5036),
    [anon_sym_LBRACE] = ACTIONS(5036),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [anon_sym_RBRACK] = ACTIONS(5036),
    [anon_sym_const] = ACTIONS(5034),
    [anon_sym_constexpr] = ACTIONS(5036),
    [anon_sym_volatile] = ACTIONS(5036),
    [anon_sym_restrict] = ACTIONS(5036),
    [anon_sym___restrict__] = ACTIONS(5036),
    [anon_sym__Atomic] = ACTIONS(5036),
    [anon_sym__Noreturn] = ACTIONS(5036),
    [anon_sym_noreturn] = ACTIONS(5036),
    [anon_sym_mutable] = ACTIONS(5036),
    [anon_sym_constinit] = ACTIONS(5036),
    [anon_sym_consteval] = ACTIONS(5036),
    [anon_sym_alignas] = ACTIONS(5036),
    [anon_sym__Alignas] = ACTIONS(5036),
    [anon_sym_COLON] = ACTIONS(5036),
    [anon_sym_QMARK] = ACTIONS(5036),
    [anon_sym_LT_EQ_GT] = ACTIONS(5036),
    [anon_sym_or] = ACTIONS(5036),
    [anon_sym_and] = ACTIONS(5036),
    [anon_sym_bitor] = ACTIONS(5036),
    [anon_sym_xor] = ACTIONS(5036),
    [anon_sym_bitand] = ACTIONS(5036),
    [anon_sym_not_eq] = ACTIONS(5036),
    [anon_sym_DASH_DASH] = ACTIONS(5036),
    [anon_sym_PLUS_PLUS] = ACTIONS(5036),
    [anon_sym_DOT] = ACTIONS(5034),
    [anon_sym_DOT_STAR] = ACTIONS(5036),
    [anon_sym_DASH_GT] = ACTIONS(5036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5036),
    [anon_sym_decltype] = ACTIONS(5036),
    [anon_sym_final] = ACTIONS(5036),
    [anon_sym_override] = ACTIONS(5036),
    [anon_sym_requires] = ACTIONS(5036),
  },
  [1839] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [anon_sym_RPAREN] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5320),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_SLASH] = ACTIONS(5320),
    [anon_sym_PERCENT] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5320),
    [anon_sym_CARET] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5320),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5320),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5320),
    [anon_sym_LT] = ACTIONS(5320),
    [anon_sym_LT_LT] = ACTIONS(5318),
    [anon_sym_GT_GT] = ACTIONS(5318),
    [anon_sym_SEMI] = ACTIONS(5318),
    [anon_sym___extension__] = ACTIONS(5318),
    [anon_sym___attribute__] = ACTIONS(5318),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_RBRACE] = ACTIONS(5318),
    [anon_sym_signed] = ACTIONS(5322),
    [anon_sym_unsigned] = ACTIONS(5322),
    [anon_sym_long] = ACTIONS(5322),
    [anon_sym_short] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_RBRACK] = ACTIONS(5318),
    [anon_sym_const] = ACTIONS(5320),
    [anon_sym_constexpr] = ACTIONS(5318),
    [anon_sym_volatile] = ACTIONS(5318),
    [anon_sym_restrict] = ACTIONS(5318),
    [anon_sym___restrict__] = ACTIONS(5318),
    [anon_sym__Atomic] = ACTIONS(5318),
    [anon_sym__Noreturn] = ACTIONS(5318),
    [anon_sym_noreturn] = ACTIONS(5318),
    [anon_sym_mutable] = ACTIONS(5318),
    [anon_sym_constinit] = ACTIONS(5318),
    [anon_sym_consteval] = ACTIONS(5318),
    [anon_sym_alignas] = ACTIONS(5318),
    [anon_sym__Alignas] = ACTIONS(5318),
    [anon_sym_COLON] = ACTIONS(5318),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5318),
    [anon_sym_and] = ACTIONS(5318),
    [anon_sym_bitor] = ACTIONS(5318),
    [anon_sym_xor] = ACTIONS(5318),
    [anon_sym_bitand] = ACTIONS(5318),
    [anon_sym_not_eq] = ACTIONS(5318),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5320),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5318),
    [anon_sym_decltype] = ACTIONS(5318),
    [anon_sym_final] = ACTIONS(5318),
    [anon_sym_override] = ACTIONS(5318),
    [anon_sym_requires] = ACTIONS(5318),
  },
  [1840] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5324),
    [anon_sym_COMMA] = ACTIONS(5324),
    [anon_sym_RPAREN] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_STAR] = ACTIONS(5324),
    [anon_sym_SLASH] = ACTIONS(5326),
    [anon_sym_PERCENT] = ACTIONS(5324),
    [anon_sym_PIPE_PIPE] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5324),
    [anon_sym_PIPE] = ACTIONS(5326),
    [anon_sym_CARET] = ACTIONS(5324),
    [anon_sym_AMP] = ACTIONS(5326),
    [anon_sym_EQ_EQ] = ACTIONS(5324),
    [anon_sym_BANG_EQ] = ACTIONS(5324),
    [anon_sym_GT] = ACTIONS(5326),
    [anon_sym_GT_EQ] = ACTIONS(5324),
    [anon_sym_LT_EQ] = ACTIONS(5326),
    [anon_sym_LT] = ACTIONS(5326),
    [anon_sym_LT_LT] = ACTIONS(5324),
    [anon_sym_GT_GT] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5324),
    [anon_sym___extension__] = ACTIONS(5324),
    [anon_sym___attribute__] = ACTIONS(5324),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_RBRACE] = ACTIONS(5324),
    [anon_sym_signed] = ACTIONS(5328),
    [anon_sym_unsigned] = ACTIONS(5328),
    [anon_sym_long] = ACTIONS(5328),
    [anon_sym_short] = ACTIONS(5328),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym_RBRACK] = ACTIONS(5324),
    [anon_sym_const] = ACTIONS(5326),
    [anon_sym_constexpr] = ACTIONS(5324),
    [anon_sym_volatile] = ACTIONS(5324),
    [anon_sym_restrict] = ACTIONS(5324),
    [anon_sym___restrict__] = ACTIONS(5324),
    [anon_sym__Atomic] = ACTIONS(5324),
    [anon_sym__Noreturn] = ACTIONS(5324),
    [anon_sym_noreturn] = ACTIONS(5324),
    [anon_sym_mutable] = ACTIONS(5324),
    [anon_sym_constinit] = ACTIONS(5324),
    [anon_sym_consteval] = ACTIONS(5324),
    [anon_sym_alignas] = ACTIONS(5324),
    [anon_sym__Alignas] = ACTIONS(5324),
    [anon_sym_COLON] = ACTIONS(5324),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_LT_EQ_GT] = ACTIONS(5324),
    [anon_sym_or] = ACTIONS(5324),
    [anon_sym_and] = ACTIONS(5324),
    [anon_sym_bitor] = ACTIONS(5324),
    [anon_sym_xor] = ACTIONS(5324),
    [anon_sym_bitand] = ACTIONS(5324),
    [anon_sym_not_eq] = ACTIONS(5324),
    [anon_sym_DASH_DASH] = ACTIONS(5324),
    [anon_sym_PLUS_PLUS] = ACTIONS(5324),
    [anon_sym_DOT] = ACTIONS(5326),
    [anon_sym_DOT_STAR] = ACTIONS(5324),
    [anon_sym_DASH_GT] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5324),
    [anon_sym_decltype] = ACTIONS(5324),
    [anon_sym_final] = ACTIONS(5324),
    [anon_sym_override] = ACTIONS(5324),
    [anon_sym_requires] = ACTIONS(5324),
  },
  [1841] = {
    [sym_string_literal] = STATE(1841),
    [sym_raw_string_literal] = STATE(1841),
    [aux_sym_concatenated_string_repeat1] = STATE(1841),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4769),
    [anon_sym_COMMA] = ACTIONS(4769),
    [anon_sym_LPAREN2] = ACTIONS(4769),
    [anon_sym_DASH] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4771),
    [anon_sym_STAR] = ACTIONS(4771),
    [anon_sym_SLASH] = ACTIONS(4771),
    [anon_sym_PERCENT] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE] = ACTIONS(4769),
    [anon_sym_AMP_AMP] = ACTIONS(4769),
    [anon_sym_PIPE] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4771),
    [anon_sym_AMP] = ACTIONS(4771),
    [anon_sym_EQ_EQ] = ACTIONS(4769),
    [anon_sym_BANG_EQ] = ACTIONS(4769),
    [anon_sym_GT] = ACTIONS(4771),
    [anon_sym_GT_EQ] = ACTIONS(4769),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4771),
    [anon_sym_LT_LT] = ACTIONS(4771),
    [anon_sym_GT_GT] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4769),
    [anon_sym___attribute__] = ACTIONS(4771),
    [anon_sym_LBRACK] = ACTIONS(4769),
    [anon_sym_EQ] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4769),
    [anon_sym_STAR_EQ] = ACTIONS(4769),
    [anon_sym_SLASH_EQ] = ACTIONS(4769),
    [anon_sym_PERCENT_EQ] = ACTIONS(4769),
    [anon_sym_PLUS_EQ] = ACTIONS(4769),
    [anon_sym_DASH_EQ] = ACTIONS(4769),
    [anon_sym_LT_LT_EQ] = ACTIONS(4769),
    [anon_sym_GT_GT_EQ] = ACTIONS(4769),
    [anon_sym_AMP_EQ] = ACTIONS(4769),
    [anon_sym_CARET_EQ] = ACTIONS(4769),
    [anon_sym_PIPE_EQ] = ACTIONS(4769),
    [anon_sym_and_eq] = ACTIONS(4771),
    [anon_sym_or_eq] = ACTIONS(4771),
    [anon_sym_xor_eq] = ACTIONS(4771),
    [anon_sym_LT_EQ_GT] = ACTIONS(4769),
    [anon_sym_or] = ACTIONS(4771),
    [anon_sym_and] = ACTIONS(4771),
    [anon_sym_bitor] = ACTIONS(4771),
    [anon_sym_xor] = ACTIONS(4771),
    [anon_sym_bitand] = ACTIONS(4771),
    [anon_sym_not_eq] = ACTIONS(4771),
    [anon_sym_DASH_DASH] = ACTIONS(4769),
    [anon_sym_PLUS_PLUS] = ACTIONS(4769),
    [anon_sym_DOT] = ACTIONS(4771),
    [anon_sym_DOT_STAR] = ACTIONS(4769),
    [anon_sym_DASH_GT] = ACTIONS(4769),
    [anon_sym_L_DQUOTE] = ACTIONS(5333),
    [anon_sym_u_DQUOTE] = ACTIONS(5333),
    [anon_sym_U_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8_DQUOTE] = ACTIONS(5333),
    [anon_sym_DQUOTE] = ACTIONS(5333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5336),
    [anon_sym_LR_DQUOTE] = ACTIONS(5336),
    [anon_sym_uR_DQUOTE] = ACTIONS(5336),
    [anon_sym_UR_DQUOTE] = ACTIONS(5336),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5336),
    [sym_literal_suffix] = ACTIONS(4771),
  },
  [1842] = {
    [sym_string_literal] = STATE(1826),
    [sym_raw_string_literal] = STATE(1826),
    [aux_sym_concatenated_string_repeat1] = STATE(1826),
    [sym_identifier] = ACTIONS(5339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4787),
    [anon_sym_COMMA] = ACTIONS(4787),
    [anon_sym_LPAREN2] = ACTIONS(4787),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4789),
    [anon_sym_SLASH] = ACTIONS(4789),
    [anon_sym_PERCENT] = ACTIONS(4789),
    [anon_sym_PIPE_PIPE] = ACTIONS(4787),
    [anon_sym_AMP_AMP] = ACTIONS(4787),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_CARET] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(4789),
    [anon_sym_EQ_EQ] = ACTIONS(4787),
    [anon_sym_BANG_EQ] = ACTIONS(4787),
    [anon_sym_GT] = ACTIONS(4789),
    [anon_sym_GT_EQ] = ACTIONS(4787),
    [anon_sym_LT_EQ] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4789),
    [anon_sym_LT_LT] = ACTIONS(4789),
    [anon_sym_GT_GT] = ACTIONS(4789),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym___attribute__] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [anon_sym_EQ] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(4787),
    [anon_sym_STAR_EQ] = ACTIONS(4787),
    [anon_sym_SLASH_EQ] = ACTIONS(4787),
    [anon_sym_PERCENT_EQ] = ACTIONS(4787),
    [anon_sym_PLUS_EQ] = ACTIONS(4787),
    [anon_sym_DASH_EQ] = ACTIONS(4787),
    [anon_sym_LT_LT_EQ] = ACTIONS(4787),
    [anon_sym_GT_GT_EQ] = ACTIONS(4787),
    [anon_sym_AMP_EQ] = ACTIONS(4787),
    [anon_sym_CARET_EQ] = ACTIONS(4787),
    [anon_sym_PIPE_EQ] = ACTIONS(4787),
    [anon_sym_and_eq] = ACTIONS(4789),
    [anon_sym_or_eq] = ACTIONS(4789),
    [anon_sym_xor_eq] = ACTIONS(4789),
    [anon_sym_LT_EQ_GT] = ACTIONS(4787),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_bitor] = ACTIONS(4789),
    [anon_sym_xor] = ACTIONS(4789),
    [anon_sym_bitand] = ACTIONS(4789),
    [anon_sym_not_eq] = ACTIONS(4789),
    [anon_sym_DASH_DASH] = ACTIONS(4787),
    [anon_sym_PLUS_PLUS] = ACTIONS(4787),
    [anon_sym_DOT] = ACTIONS(4789),
    [anon_sym_DOT_STAR] = ACTIONS(4787),
    [anon_sym_DASH_GT] = ACTIONS(4787),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(4789),
  },
  [1843] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1844] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1845] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3850),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1846] = {
    [sym_attribute_specifier] = STATE(1973),
    [sym_enumerator_list] = STATE(1914),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5341),
    [anon_sym_GT_GT] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5341),
    [anon_sym_or_eq] = ACTIONS(5341),
    [anon_sym_xor_eq] = ACTIONS(5341),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
  },
  [1847] = {
    [sym_attribute_specifier] = STATE(1981),
    [sym_enumerator_list] = STATE(1895),
    [sym_identifier] = ACTIONS(5347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5349),
    [anon_sym_COMMA] = ACTIONS(5349),
    [anon_sym_RPAREN] = ACTIONS(5349),
    [aux_sym_preproc_if_token2] = ACTIONS(5349),
    [aux_sym_preproc_else_token1] = ACTIONS(5349),
    [aux_sym_preproc_elif_token1] = ACTIONS(5347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5349),
    [anon_sym_LPAREN2] = ACTIONS(5349),
    [anon_sym_DASH] = ACTIONS(5347),
    [anon_sym_PLUS] = ACTIONS(5347),
    [anon_sym_STAR] = ACTIONS(5347),
    [anon_sym_SLASH] = ACTIONS(5347),
    [anon_sym_PERCENT] = ACTIONS(5347),
    [anon_sym_PIPE_PIPE] = ACTIONS(5349),
    [anon_sym_AMP_AMP] = ACTIONS(5349),
    [anon_sym_PIPE] = ACTIONS(5347),
    [anon_sym_CARET] = ACTIONS(5347),
    [anon_sym_AMP] = ACTIONS(5347),
    [anon_sym_EQ_EQ] = ACTIONS(5349),
    [anon_sym_BANG_EQ] = ACTIONS(5349),
    [anon_sym_GT] = ACTIONS(5347),
    [anon_sym_GT_EQ] = ACTIONS(5349),
    [anon_sym_LT_EQ] = ACTIONS(5347),
    [anon_sym_LT] = ACTIONS(5347),
    [anon_sym_LT_LT] = ACTIONS(5347),
    [anon_sym_GT_GT] = ACTIONS(5347),
    [anon_sym_SEMI] = ACTIONS(5349),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_RBRACE] = ACTIONS(5349),
    [anon_sym_LBRACK] = ACTIONS(5349),
    [anon_sym_RBRACK] = ACTIONS(5349),
    [anon_sym_EQ] = ACTIONS(5347),
    [anon_sym_COLON] = ACTIONS(5349),
    [anon_sym_QMARK] = ACTIONS(5349),
    [anon_sym_STAR_EQ] = ACTIONS(5349),
    [anon_sym_SLASH_EQ] = ACTIONS(5349),
    [anon_sym_PERCENT_EQ] = ACTIONS(5349),
    [anon_sym_PLUS_EQ] = ACTIONS(5349),
    [anon_sym_DASH_EQ] = ACTIONS(5349),
    [anon_sym_LT_LT_EQ] = ACTIONS(5349),
    [anon_sym_GT_GT_EQ] = ACTIONS(5349),
    [anon_sym_AMP_EQ] = ACTIONS(5349),
    [anon_sym_CARET_EQ] = ACTIONS(5349),
    [anon_sym_PIPE_EQ] = ACTIONS(5349),
    [anon_sym_and_eq] = ACTIONS(5347),
    [anon_sym_or_eq] = ACTIONS(5347),
    [anon_sym_xor_eq] = ACTIONS(5347),
    [anon_sym_LT_EQ_GT] = ACTIONS(5349),
    [anon_sym_or] = ACTIONS(5347),
    [anon_sym_and] = ACTIONS(5347),
    [anon_sym_bitor] = ACTIONS(5347),
    [anon_sym_xor] = ACTIONS(5347),
    [anon_sym_bitand] = ACTIONS(5347),
    [anon_sym_not_eq] = ACTIONS(5347),
    [anon_sym_DASH_DASH] = ACTIONS(5349),
    [anon_sym_PLUS_PLUS] = ACTIONS(5349),
    [anon_sym_DOT] = ACTIONS(5347),
    [anon_sym_DOT_STAR] = ACTIONS(5349),
    [anon_sym_DASH_GT] = ACTIONS(5349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5347),
    [anon_sym_decltype] = ACTIONS(5347),
  },
  [1848] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4531),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1849] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1850] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4535),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1851] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4544),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1852] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_signed] = ACTIONS(5316),
    [anon_sym_unsigned] = ACTIONS(5316),
    [anon_sym_long] = ACTIONS(5316),
    [anon_sym_short] = ACTIONS(5316),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4928),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym_mutable] = ACTIONS(4930),
    [anon_sym_constinit] = ACTIONS(4930),
    [anon_sym_consteval] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [anon_sym_COLON] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4930),
    [anon_sym_and] = ACTIONS(4930),
    [anon_sym_bitor] = ACTIONS(4930),
    [anon_sym_xor] = ACTIONS(4930),
    [anon_sym_bitand] = ACTIONS(4930),
    [anon_sym_not_eq] = ACTIONS(4930),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4930),
    [anon_sym_decltype] = ACTIONS(4930),
    [anon_sym_final] = ACTIONS(4930),
    [anon_sym_override] = ACTIONS(4930),
    [anon_sym_requires] = ACTIONS(4930),
  },
  [1853] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3811),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1854] = {
    [sym_string_literal] = STATE(1854),
    [sym_raw_string_literal] = STATE(1854),
    [aux_sym_concatenated_string_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(5351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4769),
    [anon_sym_COMMA] = ACTIONS(4769),
    [anon_sym_RPAREN] = ACTIONS(4769),
    [anon_sym_LPAREN2] = ACTIONS(4769),
    [anon_sym_DASH] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4771),
    [anon_sym_STAR] = ACTIONS(4771),
    [anon_sym_SLASH] = ACTIONS(4771),
    [anon_sym_PERCENT] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE] = ACTIONS(4769),
    [anon_sym_AMP_AMP] = ACTIONS(4769),
    [anon_sym_PIPE] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4771),
    [anon_sym_AMP] = ACTIONS(4771),
    [anon_sym_EQ_EQ] = ACTIONS(4769),
    [anon_sym_BANG_EQ] = ACTIONS(4769),
    [anon_sym_GT] = ACTIONS(4771),
    [anon_sym_GT_EQ] = ACTIONS(4769),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4771),
    [anon_sym_LT_LT] = ACTIONS(4771),
    [anon_sym_GT_GT] = ACTIONS(4771),
    [anon_sym_LBRACK] = ACTIONS(4769),
    [anon_sym_EQ] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4769),
    [anon_sym_STAR_EQ] = ACTIONS(4769),
    [anon_sym_SLASH_EQ] = ACTIONS(4769),
    [anon_sym_PERCENT_EQ] = ACTIONS(4769),
    [anon_sym_PLUS_EQ] = ACTIONS(4769),
    [anon_sym_DASH_EQ] = ACTIONS(4769),
    [anon_sym_LT_LT_EQ] = ACTIONS(4769),
    [anon_sym_GT_GT_EQ] = ACTIONS(4769),
    [anon_sym_AMP_EQ] = ACTIONS(4769),
    [anon_sym_CARET_EQ] = ACTIONS(4769),
    [anon_sym_PIPE_EQ] = ACTIONS(4769),
    [anon_sym_and_eq] = ACTIONS(4771),
    [anon_sym_or_eq] = ACTIONS(4771),
    [anon_sym_xor_eq] = ACTIONS(4771),
    [anon_sym_LT_EQ_GT] = ACTIONS(4769),
    [anon_sym_or] = ACTIONS(4771),
    [anon_sym_and] = ACTIONS(4771),
    [anon_sym_bitor] = ACTIONS(4771),
    [anon_sym_xor] = ACTIONS(4771),
    [anon_sym_bitand] = ACTIONS(4771),
    [anon_sym_not_eq] = ACTIONS(4771),
    [anon_sym_DASH_DASH] = ACTIONS(4769),
    [anon_sym_PLUS_PLUS] = ACTIONS(4769),
    [anon_sym_DOT] = ACTIONS(4771),
    [anon_sym_DOT_STAR] = ACTIONS(4769),
    [anon_sym_DASH_GT] = ACTIONS(4771),
    [anon_sym_L_DQUOTE] = ACTIONS(5354),
    [anon_sym_u_DQUOTE] = ACTIONS(5354),
    [anon_sym_U_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8_DQUOTE] = ACTIONS(5354),
    [anon_sym_DQUOTE] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5357),
    [anon_sym_LR_DQUOTE] = ACTIONS(5357),
    [anon_sym_uR_DQUOTE] = ACTIONS(5357),
    [anon_sym_UR_DQUOTE] = ACTIONS(5357),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5357),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4769),
    [sym_literal_suffix] = ACTIONS(4771),
  },
  [1855] = {
    [sym_string_literal] = STATE(2992),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___attribute__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(5360),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5362),
    [anon_sym_SLASH_EQ] = ACTIONS(5362),
    [anon_sym_PERCENT_EQ] = ACTIONS(5362),
    [anon_sym_PLUS_EQ] = ACTIONS(5362),
    [anon_sym_DASH_EQ] = ACTIONS(5362),
    [anon_sym_LT_LT_EQ] = ACTIONS(5362),
    [anon_sym_GT_GT_EQ] = ACTIONS(5362),
    [anon_sym_AMP_EQ] = ACTIONS(5362),
    [anon_sym_CARET_EQ] = ACTIONS(5362),
    [anon_sym_PIPE_EQ] = ACTIONS(5362),
    [anon_sym_and_eq] = ACTIONS(5362),
    [anon_sym_or_eq] = ACTIONS(5362),
    [anon_sym_xor_eq] = ACTIONS(5362),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5364),
    [anon_sym_u_DQUOTE] = ACTIONS(5364),
    [anon_sym_U_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8_DQUOTE] = ACTIONS(5364),
    [anon_sym_DQUOTE] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5366),
    [anon_sym_LR_DQUOTE] = ACTIONS(5366),
    [anon_sym_uR_DQUOTE] = ACTIONS(5366),
    [anon_sym_UR_DQUOTE] = ACTIONS(5366),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5366),
  },
  [1856] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [anon_sym_RPAREN] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5368),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5368),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5368),
    [anon_sym_GT_GT] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5368),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym_LBRACE] = ACTIONS(5368),
    [anon_sym_RBRACE] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_RBRACK] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5370),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym__Alignas] = ACTIONS(5368),
    [anon_sym_COLON] = ACTIONS(5368),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5368),
    [anon_sym_and] = ACTIONS(5368),
    [anon_sym_bitor] = ACTIONS(5368),
    [anon_sym_xor] = ACTIONS(5368),
    [anon_sym_bitand] = ACTIONS(5368),
    [anon_sym_not_eq] = ACTIONS(5368),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_final] = ACTIONS(5368),
    [anon_sym_override] = ACTIONS(5368),
    [anon_sym_requires] = ACTIONS(5368),
  },
  [1857] = {
    [sym_string_literal] = STATE(1830),
    [sym_raw_string_literal] = STATE(1830),
    [aux_sym_concatenated_string_repeat1] = STATE(1830),
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4787),
    [anon_sym_COMMA] = ACTIONS(4787),
    [anon_sym_RPAREN] = ACTIONS(4787),
    [anon_sym_LPAREN2] = ACTIONS(4787),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4789),
    [anon_sym_SLASH] = ACTIONS(4789),
    [anon_sym_PERCENT] = ACTIONS(4789),
    [anon_sym_PIPE_PIPE] = ACTIONS(4787),
    [anon_sym_AMP_AMP] = ACTIONS(4787),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_CARET] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(4789),
    [anon_sym_EQ_EQ] = ACTIONS(4787),
    [anon_sym_BANG_EQ] = ACTIONS(4787),
    [anon_sym_GT] = ACTIONS(4789),
    [anon_sym_GT_EQ] = ACTIONS(4787),
    [anon_sym_LT_EQ] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4789),
    [anon_sym_LT_LT] = ACTIONS(4789),
    [anon_sym_GT_GT] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [anon_sym_EQ] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(4787),
    [anon_sym_STAR_EQ] = ACTIONS(4787),
    [anon_sym_SLASH_EQ] = ACTIONS(4787),
    [anon_sym_PERCENT_EQ] = ACTIONS(4787),
    [anon_sym_PLUS_EQ] = ACTIONS(4787),
    [anon_sym_DASH_EQ] = ACTIONS(4787),
    [anon_sym_LT_LT_EQ] = ACTIONS(4787),
    [anon_sym_GT_GT_EQ] = ACTIONS(4787),
    [anon_sym_AMP_EQ] = ACTIONS(4787),
    [anon_sym_CARET_EQ] = ACTIONS(4787),
    [anon_sym_PIPE_EQ] = ACTIONS(4787),
    [anon_sym_and_eq] = ACTIONS(4789),
    [anon_sym_or_eq] = ACTIONS(4789),
    [anon_sym_xor_eq] = ACTIONS(4789),
    [anon_sym_LT_EQ_GT] = ACTIONS(4787),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_bitor] = ACTIONS(4789),
    [anon_sym_xor] = ACTIONS(4789),
    [anon_sym_bitand] = ACTIONS(4789),
    [anon_sym_not_eq] = ACTIONS(4789),
    [anon_sym_DASH_DASH] = ACTIONS(4787),
    [anon_sym_PLUS_PLUS] = ACTIONS(4787),
    [anon_sym_DOT] = ACTIONS(4789),
    [anon_sym_DOT_STAR] = ACTIONS(4787),
    [anon_sym_DASH_GT] = ACTIONS(4789),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4787),
    [sym_literal_suffix] = ACTIONS(4789),
  },
  [1858] = {
    [sym_string_literal] = STATE(1857),
    [sym_template_argument_list] = STATE(2987),
    [sym_raw_string_literal] = STATE(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4626),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1859] = {
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4881),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4881),
    [anon_sym_GT_GT] = ACTIONS(4881),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_EQ] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_STAR_EQ] = ACTIONS(4883),
    [anon_sym_SLASH_EQ] = ACTIONS(4883),
    [anon_sym_PERCENT_EQ] = ACTIONS(4883),
    [anon_sym_PLUS_EQ] = ACTIONS(4883),
    [anon_sym_DASH_EQ] = ACTIONS(4883),
    [anon_sym_LT_LT_EQ] = ACTIONS(4883),
    [anon_sym_GT_GT_EQ] = ACTIONS(4883),
    [anon_sym_AMP_EQ] = ACTIONS(4883),
    [anon_sym_CARET_EQ] = ACTIONS(4883),
    [anon_sym_PIPE_EQ] = ACTIONS(4883),
    [anon_sym_and_eq] = ACTIONS(4881),
    [anon_sym_or_eq] = ACTIONS(4881),
    [anon_sym_xor_eq] = ACTIONS(4881),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(4881),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
  },
  [1860] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1861] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1862] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4546),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1863] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1864] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4481),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1865] = {
    [sym__declaration_modifiers] = STATE(1869),
    [sym__declaration_specifiers] = STATE(4550),
    [sym_attribute_specifier] = STATE(1869),
    [sym_attribute_declaration] = STATE(1869),
    [sym_ms_declspec_modifier] = STATE(1869),
    [sym_storage_class_specifier] = STATE(1869),
    [sym_type_qualifier] = STATE(1869),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2307),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1869),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1866] = {
    [sym_template_argument_list] = STATE(1549),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1954),
    [sym_identifier] = ACTIONS(5374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [aux_sym_preproc_if_token2] = ACTIONS(5376),
    [aux_sym_preproc_else_token1] = ACTIONS(5376),
    [aux_sym_preproc_elif_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5378),
    [anon_sym_unsigned] = ACTIONS(5378),
    [anon_sym_long] = ACTIONS(5378),
    [anon_sym_short] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_STAR_EQ] = ACTIONS(5376),
    [anon_sym_SLASH_EQ] = ACTIONS(5376),
    [anon_sym_PERCENT_EQ] = ACTIONS(5376),
    [anon_sym_PLUS_EQ] = ACTIONS(5376),
    [anon_sym_DASH_EQ] = ACTIONS(5376),
    [anon_sym_LT_LT_EQ] = ACTIONS(5376),
    [anon_sym_GT_GT_EQ] = ACTIONS(5376),
    [anon_sym_AMP_EQ] = ACTIONS(5376),
    [anon_sym_CARET_EQ] = ACTIONS(5376),
    [anon_sym_PIPE_EQ] = ACTIONS(5376),
    [anon_sym_and_eq] = ACTIONS(5374),
    [anon_sym_or_eq] = ACTIONS(5374),
    [anon_sym_xor_eq] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
  },
  [1867] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(5380),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(5297),
    [anon_sym_EQ] = ACTIONS(5300),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5302),
    [anon_sym_SLASH_EQ] = ACTIONS(5302),
    [anon_sym_PERCENT_EQ] = ACTIONS(5302),
    [anon_sym_PLUS_EQ] = ACTIONS(5302),
    [anon_sym_DASH_EQ] = ACTIONS(5302),
    [anon_sym_LT_LT_EQ] = ACTIONS(5302),
    [anon_sym_GT_GT_EQ] = ACTIONS(5302),
    [anon_sym_AMP_EQ] = ACTIONS(5302),
    [anon_sym_CARET_EQ] = ACTIONS(5302),
    [anon_sym_PIPE_EQ] = ACTIONS(5302),
    [anon_sym_and_eq] = ACTIONS(5302),
    [anon_sym_or_eq] = ACTIONS(5302),
    [anon_sym_xor_eq] = ACTIONS(5302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1868] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5382),
    [anon_sym_GT_GT] = ACTIONS(5382),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5382),
    [anon_sym___attribute__] = ACTIONS(5382),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5382),
    [anon_sym_volatile] = ACTIONS(5382),
    [anon_sym_restrict] = ACTIONS(5382),
    [anon_sym___restrict__] = ACTIONS(5382),
    [anon_sym__Atomic] = ACTIONS(5382),
    [anon_sym__Noreturn] = ACTIONS(5382),
    [anon_sym_noreturn] = ACTIONS(5382),
    [anon_sym_mutable] = ACTIONS(5382),
    [anon_sym_constinit] = ACTIONS(5382),
    [anon_sym_consteval] = ACTIONS(5382),
    [anon_sym_alignas] = ACTIONS(5382),
    [anon_sym__Alignas] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5382),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5382),
    [anon_sym_and] = ACTIONS(5382),
    [anon_sym_bitor] = ACTIONS(5382),
    [anon_sym_xor] = ACTIONS(5382),
    [anon_sym_bitand] = ACTIONS(5382),
    [anon_sym_not_eq] = ACTIONS(5382),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5382),
    [anon_sym_decltype] = ACTIONS(5382),
    [anon_sym_final] = ACTIONS(5382),
    [anon_sym_override] = ACTIONS(5382),
    [anon_sym_requires] = ACTIONS(5382),
  },
  [1869] = {
    [sym__declaration_modifiers] = STATE(3444),
    [sym_attribute_specifier] = STATE(3444),
    [sym_attribute_declaration] = STATE(3444),
    [sym_ms_declspec_modifier] = STATE(3444),
    [sym_storage_class_specifier] = STATE(3444),
    [sym_type_qualifier] = STATE(3444),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2386),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3444),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5386),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1870] = {
    [sym_attribute_specifier] = STATE(1665),
    [sym_field_declaration_list] = STATE(2241),
    [sym_virtual_specifier] = STATE(6412),
    [sym_base_class_clause] = STATE(7175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4862),
    [anon_sym_COMMA] = ACTIONS(4862),
    [anon_sym_RPAREN] = ACTIONS(4862),
    [anon_sym_LPAREN2] = ACTIONS(4862),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4862),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4862),
    [anon_sym_PIPE_PIPE] = ACTIONS(4862),
    [anon_sym_AMP_AMP] = ACTIONS(4862),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_CARET] = ACTIONS(4862),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4862),
    [anon_sym_BANG_EQ] = ACTIONS(4862),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4862),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4862),
    [anon_sym_GT_GT] = ACTIONS(4862),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(4862),
    [anon_sym___attribute__] = ACTIONS(5388),
    [anon_sym_LBRACE] = ACTIONS(5390),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_RBRACK] = ACTIONS(4862),
    [anon_sym_const] = ACTIONS(4860),
    [anon_sym_constexpr] = ACTIONS(4862),
    [anon_sym_volatile] = ACTIONS(4862),
    [anon_sym_restrict] = ACTIONS(4862),
    [anon_sym___restrict__] = ACTIONS(4862),
    [anon_sym__Atomic] = ACTIONS(4862),
    [anon_sym__Noreturn] = ACTIONS(4862),
    [anon_sym_noreturn] = ACTIONS(4862),
    [anon_sym_mutable] = ACTIONS(4862),
    [anon_sym_constinit] = ACTIONS(4862),
    [anon_sym_consteval] = ACTIONS(4862),
    [anon_sym_alignas] = ACTIONS(4862),
    [anon_sym__Alignas] = ACTIONS(4862),
    [anon_sym_COLON] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4862),
    [anon_sym_LT_EQ_GT] = ACTIONS(4862),
    [anon_sym_or] = ACTIONS(4862),
    [anon_sym_and] = ACTIONS(4862),
    [anon_sym_bitor] = ACTIONS(4862),
    [anon_sym_xor] = ACTIONS(4862),
    [anon_sym_bitand] = ACTIONS(4862),
    [anon_sym_not_eq] = ACTIONS(4862),
    [anon_sym_DASH_DASH] = ACTIONS(4862),
    [anon_sym_PLUS_PLUS] = ACTIONS(4862),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_DOT_STAR] = ACTIONS(4862),
    [anon_sym_DASH_GT] = ACTIONS(4862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4862),
    [anon_sym_decltype] = ACTIONS(4862),
    [anon_sym_final] = ACTIONS(5392),
    [anon_sym_override] = ACTIONS(5392),
    [anon_sym_requires] = ACTIONS(4862),
  },
  [1871] = {
    [sym_attribute_specifier] = STATE(2019),
    [sym_identifier] = ACTIONS(5394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5396),
    [anon_sym_COMMA] = ACTIONS(5396),
    [anon_sym_RPAREN] = ACTIONS(5396),
    [aux_sym_preproc_if_token2] = ACTIONS(5396),
    [aux_sym_preproc_else_token1] = ACTIONS(5396),
    [aux_sym_preproc_elif_token1] = ACTIONS(5394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5396),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5396),
    [anon_sym_LPAREN2] = ACTIONS(5396),
    [anon_sym_DASH] = ACTIONS(5394),
    [anon_sym_PLUS] = ACTIONS(5394),
    [anon_sym_STAR] = ACTIONS(5394),
    [anon_sym_SLASH] = ACTIONS(5394),
    [anon_sym_PERCENT] = ACTIONS(5394),
    [anon_sym_PIPE_PIPE] = ACTIONS(5396),
    [anon_sym_AMP_AMP] = ACTIONS(5396),
    [anon_sym_PIPE] = ACTIONS(5394),
    [anon_sym_CARET] = ACTIONS(5394),
    [anon_sym_AMP] = ACTIONS(5394),
    [anon_sym_EQ_EQ] = ACTIONS(5396),
    [anon_sym_BANG_EQ] = ACTIONS(5396),
    [anon_sym_GT] = ACTIONS(5394),
    [anon_sym_GT_EQ] = ACTIONS(5396),
    [anon_sym_LT_EQ] = ACTIONS(5394),
    [anon_sym_LT] = ACTIONS(5394),
    [anon_sym_LT_LT] = ACTIONS(5394),
    [anon_sym_GT_GT] = ACTIONS(5394),
    [anon_sym_SEMI] = ACTIONS(5396),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5396),
    [anon_sym_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACK] = ACTIONS(5396),
    [anon_sym_EQ] = ACTIONS(5394),
    [anon_sym_COLON] = ACTIONS(5396),
    [anon_sym_QMARK] = ACTIONS(5396),
    [anon_sym_STAR_EQ] = ACTIONS(5396),
    [anon_sym_SLASH_EQ] = ACTIONS(5396),
    [anon_sym_PERCENT_EQ] = ACTIONS(5396),
    [anon_sym_PLUS_EQ] = ACTIONS(5396),
    [anon_sym_DASH_EQ] = ACTIONS(5396),
    [anon_sym_LT_LT_EQ] = ACTIONS(5396),
    [anon_sym_GT_GT_EQ] = ACTIONS(5396),
    [anon_sym_AMP_EQ] = ACTIONS(5396),
    [anon_sym_CARET_EQ] = ACTIONS(5396),
    [anon_sym_PIPE_EQ] = ACTIONS(5396),
    [anon_sym_and_eq] = ACTIONS(5394),
    [anon_sym_or_eq] = ACTIONS(5394),
    [anon_sym_xor_eq] = ACTIONS(5394),
    [anon_sym_LT_EQ_GT] = ACTIONS(5396),
    [anon_sym_or] = ACTIONS(5394),
    [anon_sym_and] = ACTIONS(5394),
    [anon_sym_bitor] = ACTIONS(5394),
    [anon_sym_xor] = ACTIONS(5394),
    [anon_sym_bitand] = ACTIONS(5394),
    [anon_sym_not_eq] = ACTIONS(5394),
    [anon_sym_DASH_DASH] = ACTIONS(5396),
    [anon_sym_PLUS_PLUS] = ACTIONS(5396),
    [anon_sym_DOT] = ACTIONS(5394),
    [anon_sym_DOT_STAR] = ACTIONS(5396),
    [anon_sym_DASH_GT] = ACTIONS(5396),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5394),
    [anon_sym_decltype] = ACTIONS(5394),
  },
  [1872] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
  },
  [1873] = {
    [sym__declaration_modifiers] = STATE(3444),
    [sym_attribute_specifier] = STATE(3444),
    [sym_attribute_declaration] = STATE(3444),
    [sym_ms_declspec_modifier] = STATE(3444),
    [sym_storage_class_specifier] = STATE(3444),
    [sym_type_qualifier] = STATE(3444),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2386),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6173),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3444),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3057),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3061),
    [anon_sym_union] = ACTIONS(3063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5386),
    [anon_sym_typename] = ACTIONS(3065),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1874] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5012),
    [anon_sym_COMMA] = ACTIONS(5012),
    [anon_sym_RPAREN] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5012),
    [anon_sym_AMP_AMP] = ACTIONS(5012),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5012),
    [anon_sym_BANG_EQ] = ACTIONS(5012),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5012),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym_SEMI] = ACTIONS(5012),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5012),
    [anon_sym_RBRACE] = ACTIONS(5012),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [anon_sym_RBRACK] = ACTIONS(5012),
    [anon_sym_EQ] = ACTIONS(5015),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(5012),
    [anon_sym_QMARK] = ACTIONS(5012),
    [anon_sym_STAR_EQ] = ACTIONS(5012),
    [anon_sym_SLASH_EQ] = ACTIONS(5012),
    [anon_sym_PERCENT_EQ] = ACTIONS(5012),
    [anon_sym_PLUS_EQ] = ACTIONS(5012),
    [anon_sym_DASH_EQ] = ACTIONS(5012),
    [anon_sym_LT_LT_EQ] = ACTIONS(5012),
    [anon_sym_GT_GT_EQ] = ACTIONS(5012),
    [anon_sym_AMP_EQ] = ACTIONS(5012),
    [anon_sym_CARET_EQ] = ACTIONS(5012),
    [anon_sym_PIPE_EQ] = ACTIONS(5012),
    [anon_sym_and_eq] = ACTIONS(5015),
    [anon_sym_or_eq] = ACTIONS(5015),
    [anon_sym_xor_eq] = ACTIONS(5015),
    [anon_sym_LT_EQ_GT] = ACTIONS(5012),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5012),
    [anon_sym_PLUS_PLUS] = ACTIONS(5012),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5012),
    [anon_sym_DASH_GT] = ACTIONS(5012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
  },
  [1875] = {
    [sym_attribute_declaration] = STATE(2113),
    [sym_parameter_list] = STATE(2121),
    [aux_sym_attributed_declarator_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(5398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5400),
    [anon_sym_COMMA] = ACTIONS(5400),
    [anon_sym_RPAREN] = ACTIONS(5400),
    [aux_sym_preproc_if_token2] = ACTIONS(5400),
    [aux_sym_preproc_else_token1] = ACTIONS(5400),
    [aux_sym_preproc_elif_token1] = ACTIONS(5398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5400),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5398),
    [anon_sym_PLUS] = ACTIONS(5398),
    [anon_sym_STAR] = ACTIONS(5398),
    [anon_sym_SLASH] = ACTIONS(5398),
    [anon_sym_PERCENT] = ACTIONS(5398),
    [anon_sym_PIPE_PIPE] = ACTIONS(5400),
    [anon_sym_AMP_AMP] = ACTIONS(5400),
    [anon_sym_PIPE] = ACTIONS(5398),
    [anon_sym_CARET] = ACTIONS(5398),
    [anon_sym_AMP] = ACTIONS(5398),
    [anon_sym_EQ_EQ] = ACTIONS(5400),
    [anon_sym_BANG_EQ] = ACTIONS(5400),
    [anon_sym_GT] = ACTIONS(5398),
    [anon_sym_GT_EQ] = ACTIONS(5400),
    [anon_sym_LT_EQ] = ACTIONS(5398),
    [anon_sym_LT] = ACTIONS(5398),
    [anon_sym_LT_LT] = ACTIONS(5398),
    [anon_sym_GT_GT] = ACTIONS(5398),
    [anon_sym_SEMI] = ACTIONS(5400),
    [anon_sym___attribute__] = ACTIONS(5398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5400),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5400),
    [anon_sym_EQ] = ACTIONS(5398),
    [anon_sym_COLON] = ACTIONS(5400),
    [anon_sym_QMARK] = ACTIONS(5400),
    [anon_sym_STAR_EQ] = ACTIONS(5400),
    [anon_sym_SLASH_EQ] = ACTIONS(5400),
    [anon_sym_PERCENT_EQ] = ACTIONS(5400),
    [anon_sym_PLUS_EQ] = ACTIONS(5400),
    [anon_sym_DASH_EQ] = ACTIONS(5400),
    [anon_sym_LT_LT_EQ] = ACTIONS(5400),
    [anon_sym_GT_GT_EQ] = ACTIONS(5400),
    [anon_sym_AMP_EQ] = ACTIONS(5400),
    [anon_sym_CARET_EQ] = ACTIONS(5400),
    [anon_sym_PIPE_EQ] = ACTIONS(5400),
    [anon_sym_and_eq] = ACTIONS(5398),
    [anon_sym_or_eq] = ACTIONS(5398),
    [anon_sym_xor_eq] = ACTIONS(5398),
    [anon_sym_LT_EQ_GT] = ACTIONS(5400),
    [anon_sym_or] = ACTIONS(5398),
    [anon_sym_and] = ACTIONS(5398),
    [anon_sym_bitor] = ACTIONS(5398),
    [anon_sym_xor] = ACTIONS(5398),
    [anon_sym_bitand] = ACTIONS(5398),
    [anon_sym_not_eq] = ACTIONS(5398),
    [anon_sym_DASH_DASH] = ACTIONS(5400),
    [anon_sym_PLUS_PLUS] = ACTIONS(5400),
    [anon_sym_DOT] = ACTIONS(5398),
    [anon_sym_DOT_STAR] = ACTIONS(5400),
    [anon_sym_DASH_GT] = ACTIONS(5400),
    [sym_comment] = ACTIONS(3),
  },
  [1876] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
  },
  [1877] = {
    [sym_attribute_declaration] = STATE(2113),
    [sym_parameter_list] = STATE(2121),
    [aux_sym_attributed_declarator_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(5408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5410),
    [anon_sym_COMMA] = ACTIONS(5410),
    [anon_sym_RPAREN] = ACTIONS(5410),
    [aux_sym_preproc_if_token2] = ACTIONS(5410),
    [aux_sym_preproc_else_token1] = ACTIONS(5410),
    [aux_sym_preproc_elif_token1] = ACTIONS(5408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5410),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(5408),
    [anon_sym_STAR] = ACTIONS(5408),
    [anon_sym_SLASH] = ACTIONS(5408),
    [anon_sym_PERCENT] = ACTIONS(5408),
    [anon_sym_PIPE_PIPE] = ACTIONS(5410),
    [anon_sym_AMP_AMP] = ACTIONS(5410),
    [anon_sym_PIPE] = ACTIONS(5408),
    [anon_sym_CARET] = ACTIONS(5408),
    [anon_sym_AMP] = ACTIONS(5408),
    [anon_sym_EQ_EQ] = ACTIONS(5410),
    [anon_sym_BANG_EQ] = ACTIONS(5410),
    [anon_sym_GT] = ACTIONS(5408),
    [anon_sym_GT_EQ] = ACTIONS(5410),
    [anon_sym_LT_EQ] = ACTIONS(5408),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym_LT_LT] = ACTIONS(5408),
    [anon_sym_GT_GT] = ACTIONS(5408),
    [anon_sym_SEMI] = ACTIONS(5410),
    [anon_sym___attribute__] = ACTIONS(5408),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5410),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_EQ] = ACTIONS(5408),
    [anon_sym_COLON] = ACTIONS(5410),
    [anon_sym_QMARK] = ACTIONS(5410),
    [anon_sym_STAR_EQ] = ACTIONS(5410),
    [anon_sym_SLASH_EQ] = ACTIONS(5410),
    [anon_sym_PERCENT_EQ] = ACTIONS(5410),
    [anon_sym_PLUS_EQ] = ACTIONS(5410),
    [anon_sym_DASH_EQ] = ACTIONS(5410),
    [anon_sym_LT_LT_EQ] = ACTIONS(5410),
    [anon_sym_GT_GT_EQ] = ACTIONS(5410),
    [anon_sym_AMP_EQ] = ACTIONS(5410),
    [anon_sym_CARET_EQ] = ACTIONS(5410),
    [anon_sym_PIPE_EQ] = ACTIONS(5410),
    [anon_sym_and_eq] = ACTIONS(5408),
    [anon_sym_or_eq] = ACTIONS(5408),
    [anon_sym_xor_eq] = ACTIONS(5408),
    [anon_sym_LT_EQ_GT] = ACTIONS(5410),
    [anon_sym_or] = ACTIONS(5408),
    [anon_sym_and] = ACTIONS(5408),
    [anon_sym_bitor] = ACTIONS(5408),
    [anon_sym_xor] = ACTIONS(5408),
    [anon_sym_bitand] = ACTIONS(5408),
    [anon_sym_not_eq] = ACTIONS(5408),
    [anon_sym_DASH_DASH] = ACTIONS(5410),
    [anon_sym_PLUS_PLUS] = ACTIONS(5410),
    [anon_sym_DOT] = ACTIONS(5408),
    [anon_sym_DOT_STAR] = ACTIONS(5410),
    [anon_sym_DASH_GT] = ACTIONS(5410),
    [sym_comment] = ACTIONS(3),
  },
  [1878] = {
    [sym_attribute_specifier] = STATE(2017),
    [sym_identifier] = ACTIONS(5412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5414),
    [anon_sym_COMMA] = ACTIONS(5414),
    [anon_sym_RPAREN] = ACTIONS(5414),
    [aux_sym_preproc_if_token2] = ACTIONS(5414),
    [aux_sym_preproc_else_token1] = ACTIONS(5414),
    [aux_sym_preproc_elif_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5414),
    [anon_sym_LPAREN2] = ACTIONS(5414),
    [anon_sym_DASH] = ACTIONS(5412),
    [anon_sym_PLUS] = ACTIONS(5412),
    [anon_sym_STAR] = ACTIONS(5412),
    [anon_sym_SLASH] = ACTIONS(5412),
    [anon_sym_PERCENT] = ACTIONS(5412),
    [anon_sym_PIPE_PIPE] = ACTIONS(5414),
    [anon_sym_AMP_AMP] = ACTIONS(5414),
    [anon_sym_PIPE] = ACTIONS(5412),
    [anon_sym_CARET] = ACTIONS(5412),
    [anon_sym_AMP] = ACTIONS(5412),
    [anon_sym_EQ_EQ] = ACTIONS(5414),
    [anon_sym_BANG_EQ] = ACTIONS(5414),
    [anon_sym_GT] = ACTIONS(5412),
    [anon_sym_GT_EQ] = ACTIONS(5414),
    [anon_sym_LT_EQ] = ACTIONS(5412),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(5412),
    [anon_sym_GT_GT] = ACTIONS(5412),
    [anon_sym_SEMI] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5414),
    [anon_sym_RBRACE] = ACTIONS(5414),
    [anon_sym_LBRACK] = ACTIONS(5414),
    [anon_sym_RBRACK] = ACTIONS(5414),
    [anon_sym_EQ] = ACTIONS(5412),
    [anon_sym_COLON] = ACTIONS(5414),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_STAR_EQ] = ACTIONS(5414),
    [anon_sym_SLASH_EQ] = ACTIONS(5414),
    [anon_sym_PERCENT_EQ] = ACTIONS(5414),
    [anon_sym_PLUS_EQ] = ACTIONS(5414),
    [anon_sym_DASH_EQ] = ACTIONS(5414),
    [anon_sym_LT_LT_EQ] = ACTIONS(5414),
    [anon_sym_GT_GT_EQ] = ACTIONS(5414),
    [anon_sym_AMP_EQ] = ACTIONS(5414),
    [anon_sym_CARET_EQ] = ACTIONS(5414),
    [anon_sym_PIPE_EQ] = ACTIONS(5414),
    [anon_sym_and_eq] = ACTIONS(5412),
    [anon_sym_or_eq] = ACTIONS(5412),
    [anon_sym_xor_eq] = ACTIONS(5412),
    [anon_sym_LT_EQ_GT] = ACTIONS(5414),
    [anon_sym_or] = ACTIONS(5412),
    [anon_sym_and] = ACTIONS(5412),
    [anon_sym_bitor] = ACTIONS(5412),
    [anon_sym_xor] = ACTIONS(5412),
    [anon_sym_bitand] = ACTIONS(5412),
    [anon_sym_not_eq] = ACTIONS(5412),
    [anon_sym_DASH_DASH] = ACTIONS(5414),
    [anon_sym_PLUS_PLUS] = ACTIONS(5414),
    [anon_sym_DOT] = ACTIONS(5412),
    [anon_sym_DOT_STAR] = ACTIONS(5414),
    [anon_sym_DASH_GT] = ACTIONS(5414),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5412),
    [anon_sym_decltype] = ACTIONS(5412),
  },
  [1879] = {
    [sym_identifier] = ACTIONS(4924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4926),
    [anon_sym_COMMA] = ACTIONS(4926),
    [anon_sym_RPAREN] = ACTIONS(4926),
    [aux_sym_preproc_if_token2] = ACTIONS(4926),
    [aux_sym_preproc_else_token1] = ACTIONS(4926),
    [aux_sym_preproc_elif_token1] = ACTIONS(4924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4926),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4926),
    [anon_sym_LPAREN2] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4924),
    [anon_sym_STAR] = ACTIONS(4924),
    [anon_sym_SLASH] = ACTIONS(4924),
    [anon_sym_PERCENT] = ACTIONS(4924),
    [anon_sym_PIPE_PIPE] = ACTIONS(4926),
    [anon_sym_AMP_AMP] = ACTIONS(4926),
    [anon_sym_PIPE] = ACTIONS(4924),
    [anon_sym_CARET] = ACTIONS(4924),
    [anon_sym_AMP] = ACTIONS(4924),
    [anon_sym_EQ_EQ] = ACTIONS(4926),
    [anon_sym_BANG_EQ] = ACTIONS(4926),
    [anon_sym_GT] = ACTIONS(4924),
    [anon_sym_GT_EQ] = ACTIONS(4926),
    [anon_sym_LT_EQ] = ACTIONS(4924),
    [anon_sym_LT] = ACTIONS(4924),
    [anon_sym_LT_LT] = ACTIONS(4924),
    [anon_sym_GT_GT] = ACTIONS(4924),
    [anon_sym_SEMI] = ACTIONS(4926),
    [anon_sym___attribute__] = ACTIONS(4924),
    [anon_sym_COLON_COLON] = ACTIONS(4926),
    [anon_sym_LBRACE] = ACTIONS(4926),
    [anon_sym_RBRACE] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [anon_sym_EQ] = ACTIONS(4924),
    [anon_sym_COLON] = ACTIONS(4924),
    [anon_sym_QMARK] = ACTIONS(4926),
    [anon_sym_STAR_EQ] = ACTIONS(4926),
    [anon_sym_SLASH_EQ] = ACTIONS(4926),
    [anon_sym_PERCENT_EQ] = ACTIONS(4926),
    [anon_sym_PLUS_EQ] = ACTIONS(4926),
    [anon_sym_DASH_EQ] = ACTIONS(4926),
    [anon_sym_LT_LT_EQ] = ACTIONS(4926),
    [anon_sym_GT_GT_EQ] = ACTIONS(4926),
    [anon_sym_AMP_EQ] = ACTIONS(4926),
    [anon_sym_CARET_EQ] = ACTIONS(4926),
    [anon_sym_PIPE_EQ] = ACTIONS(4926),
    [anon_sym_and_eq] = ACTIONS(4924),
    [anon_sym_or_eq] = ACTIONS(4924),
    [anon_sym_xor_eq] = ACTIONS(4924),
    [anon_sym_LT_EQ_GT] = ACTIONS(4926),
    [anon_sym_or] = ACTIONS(4924),
    [anon_sym_and] = ACTIONS(4924),
    [anon_sym_bitor] = ACTIONS(4924),
    [anon_sym_xor] = ACTIONS(4924),
    [anon_sym_bitand] = ACTIONS(4924),
    [anon_sym_not_eq] = ACTIONS(4924),
    [anon_sym_DASH_DASH] = ACTIONS(4926),
    [anon_sym_PLUS_PLUS] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_DOT_STAR] = ACTIONS(4926),
    [anon_sym_DASH_GT] = ACTIONS(4926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4924),
    [anon_sym_decltype] = ACTIONS(4924),
  },
  [1880] = {
    [sym_template_argument_list] = STATE(1549),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5376),
    [anon_sym_COMMA] = ACTIONS(5376),
    [anon_sym_RPAREN] = ACTIONS(5376),
    [anon_sym_LPAREN2] = ACTIONS(5376),
    [anon_sym_DASH] = ACTIONS(5374),
    [anon_sym_PLUS] = ACTIONS(5374),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5374),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5376),
    [anon_sym_AMP_AMP] = ACTIONS(5376),
    [anon_sym_PIPE] = ACTIONS(5374),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5374),
    [anon_sym_EQ_EQ] = ACTIONS(5376),
    [anon_sym_BANG_EQ] = ACTIONS(5376),
    [anon_sym_GT] = ACTIONS(5374),
    [anon_sym_GT_EQ] = ACTIONS(5376),
    [anon_sym_LT_EQ] = ACTIONS(5374),
    [anon_sym_LT] = ACTIONS(5374),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(5376),
    [anon_sym_RBRACE] = ACTIONS(5376),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5376),
    [anon_sym_RBRACK] = ACTIONS(5376),
    [anon_sym_EQ] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5376),
    [anon_sym_STAR_EQ] = ACTIONS(5376),
    [anon_sym_SLASH_EQ] = ACTIONS(5376),
    [anon_sym_PERCENT_EQ] = ACTIONS(5376),
    [anon_sym_PLUS_EQ] = ACTIONS(5376),
    [anon_sym_DASH_EQ] = ACTIONS(5376),
    [anon_sym_LT_LT_EQ] = ACTIONS(5376),
    [anon_sym_GT_GT_EQ] = ACTIONS(5376),
    [anon_sym_AMP_EQ] = ACTIONS(5376),
    [anon_sym_CARET_EQ] = ACTIONS(5376),
    [anon_sym_PIPE_EQ] = ACTIONS(5376),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5376),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5376),
    [anon_sym_PLUS_PLUS] = ACTIONS(5376),
    [anon_sym_DOT] = ACTIONS(5374),
    [anon_sym_DOT_STAR] = ACTIONS(5376),
    [anon_sym_DASH_GT] = ACTIONS(5376),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
  },
  [1881] = {
    [sym_attribute_declaration] = STATE(2113),
    [sym_parameter_list] = STATE(2121),
    [aux_sym_attributed_declarator_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(5418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5420),
    [anon_sym_COMMA] = ACTIONS(5420),
    [anon_sym_RPAREN] = ACTIONS(5420),
    [aux_sym_preproc_if_token2] = ACTIONS(5420),
    [aux_sym_preproc_else_token1] = ACTIONS(5420),
    [aux_sym_preproc_elif_token1] = ACTIONS(5418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5420),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5418),
    [anon_sym_PLUS] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(5418),
    [anon_sym_SLASH] = ACTIONS(5418),
    [anon_sym_PERCENT] = ACTIONS(5418),
    [anon_sym_PIPE_PIPE] = ACTIONS(5420),
    [anon_sym_AMP_AMP] = ACTIONS(5420),
    [anon_sym_PIPE] = ACTIONS(5418),
    [anon_sym_CARET] = ACTIONS(5418),
    [anon_sym_AMP] = ACTIONS(5418),
    [anon_sym_EQ_EQ] = ACTIONS(5420),
    [anon_sym_BANG_EQ] = ACTIONS(5420),
    [anon_sym_GT] = ACTIONS(5418),
    [anon_sym_GT_EQ] = ACTIONS(5420),
    [anon_sym_LT_EQ] = ACTIONS(5418),
    [anon_sym_LT] = ACTIONS(5418),
    [anon_sym_LT_LT] = ACTIONS(5418),
    [anon_sym_GT_GT] = ACTIONS(5418),
    [anon_sym_SEMI] = ACTIONS(5420),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5420),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5420),
    [anon_sym_EQ] = ACTIONS(5418),
    [anon_sym_COLON] = ACTIONS(5420),
    [anon_sym_QMARK] = ACTIONS(5420),
    [anon_sym_STAR_EQ] = ACTIONS(5420),
    [anon_sym_SLASH_EQ] = ACTIONS(5420),
    [anon_sym_PERCENT_EQ] = ACTIONS(5420),
    [anon_sym_PLUS_EQ] = ACTIONS(5420),
    [anon_sym_DASH_EQ] = ACTIONS(5420),
    [anon_sym_LT_LT_EQ] = ACTIONS(5420),
    [anon_sym_GT_GT_EQ] = ACTIONS(5420),
    [anon_sym_AMP_EQ] = ACTIONS(5420),
    [anon_sym_CARET_EQ] = ACTIONS(5420),
    [anon_sym_PIPE_EQ] = ACTIONS(5420),
    [anon_sym_and_eq] = ACTIONS(5418),
    [anon_sym_or_eq] = ACTIONS(5418),
    [anon_sym_xor_eq] = ACTIONS(5418),
    [anon_sym_LT_EQ_GT] = ACTIONS(5420),
    [anon_sym_or] = ACTIONS(5418),
    [anon_sym_and] = ACTIONS(5418),
    [anon_sym_bitor] = ACTIONS(5418),
    [anon_sym_xor] = ACTIONS(5418),
    [anon_sym_bitand] = ACTIONS(5418),
    [anon_sym_not_eq] = ACTIONS(5418),
    [anon_sym_DASH_DASH] = ACTIONS(5420),
    [anon_sym_PLUS_PLUS] = ACTIONS(5420),
    [anon_sym_DOT] = ACTIONS(5418),
    [anon_sym_DOT_STAR] = ACTIONS(5420),
    [anon_sym_DASH_GT] = ACTIONS(5420),
    [sym_comment] = ACTIONS(3),
  },
  [1882] = {
    [sym_attribute_declaration] = STATE(2113),
    [sym_parameter_list] = STATE(2121),
    [aux_sym_attributed_declarator_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5422),
    [anon_sym_GT_GT] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_EQ] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5424),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_STAR_EQ] = ACTIONS(5424),
    [anon_sym_SLASH_EQ] = ACTIONS(5424),
    [anon_sym_PERCENT_EQ] = ACTIONS(5424),
    [anon_sym_PLUS_EQ] = ACTIONS(5424),
    [anon_sym_DASH_EQ] = ACTIONS(5424),
    [anon_sym_LT_LT_EQ] = ACTIONS(5424),
    [anon_sym_GT_GT_EQ] = ACTIONS(5424),
    [anon_sym_AMP_EQ] = ACTIONS(5424),
    [anon_sym_CARET_EQ] = ACTIONS(5424),
    [anon_sym_PIPE_EQ] = ACTIONS(5424),
    [anon_sym_and_eq] = ACTIONS(5422),
    [anon_sym_or_eq] = ACTIONS(5422),
    [anon_sym_xor_eq] = ACTIONS(5422),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
  },
  [1883] = {
    [sym_template_argument_list] = STATE(1806),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1954),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_COMMA] = ACTIONS(3776),
    [aux_sym_preproc_if_token2] = ACTIONS(3776),
    [aux_sym_preproc_else_token1] = ACTIONS(3776),
    [aux_sym_preproc_elif_token1] = ACTIONS(3768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3768),
    [anon_sym_PLUS] = ACTIONS(3768),
    [anon_sym_STAR] = ACTIONS(3768),
    [anon_sym_SLASH] = ACTIONS(3768),
    [anon_sym_PERCENT] = ACTIONS(3768),
    [anon_sym_PIPE_PIPE] = ACTIONS(3776),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3768),
    [anon_sym_CARET] = ACTIONS(3768),
    [anon_sym_AMP] = ACTIONS(3768),
    [anon_sym_EQ_EQ] = ACTIONS(3776),
    [anon_sym_BANG_EQ] = ACTIONS(3776),
    [anon_sym_GT] = ACTIONS(3768),
    [anon_sym_GT_EQ] = ACTIONS(3776),
    [anon_sym_LT_EQ] = ACTIONS(3768),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(3768),
    [anon_sym_GT_GT] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3776),
    [anon_sym_signed] = ACTIONS(5378),
    [anon_sym_unsigned] = ACTIONS(5378),
    [anon_sym_long] = ACTIONS(5378),
    [anon_sym_short] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(3776),
    [anon_sym_EQ] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3776),
    [anon_sym_STAR_EQ] = ACTIONS(3776),
    [anon_sym_SLASH_EQ] = ACTIONS(3776),
    [anon_sym_PERCENT_EQ] = ACTIONS(3776),
    [anon_sym_PLUS_EQ] = ACTIONS(3776),
    [anon_sym_DASH_EQ] = ACTIONS(3776),
    [anon_sym_LT_LT_EQ] = ACTIONS(3776),
    [anon_sym_GT_GT_EQ] = ACTIONS(3776),
    [anon_sym_AMP_EQ] = ACTIONS(3776),
    [anon_sym_CARET_EQ] = ACTIONS(3776),
    [anon_sym_PIPE_EQ] = ACTIONS(3776),
    [anon_sym_and_eq] = ACTIONS(3768),
    [anon_sym_or_eq] = ACTIONS(3768),
    [anon_sym_xor_eq] = ACTIONS(3768),
    [anon_sym_LT_EQ_GT] = ACTIONS(3776),
    [anon_sym_or] = ACTIONS(3768),
    [anon_sym_and] = ACTIONS(3768),
    [anon_sym_bitor] = ACTIONS(3768),
    [anon_sym_xor] = ACTIONS(3768),
    [anon_sym_bitand] = ACTIONS(3768),
    [anon_sym_not_eq] = ACTIONS(3768),
    [anon_sym_DASH_DASH] = ACTIONS(3776),
    [anon_sym_PLUS_PLUS] = ACTIONS(3776),
    [anon_sym_DOT] = ACTIONS(3768),
    [anon_sym_DOT_STAR] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
  },
  [1884] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(5300),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5302),
    [anon_sym_SLASH_EQ] = ACTIONS(5302),
    [anon_sym_PERCENT_EQ] = ACTIONS(5302),
    [anon_sym_PLUS_EQ] = ACTIONS(5302),
    [anon_sym_DASH_EQ] = ACTIONS(5302),
    [anon_sym_LT_LT_EQ] = ACTIONS(5302),
    [anon_sym_GT_GT_EQ] = ACTIONS(5302),
    [anon_sym_AMP_EQ] = ACTIONS(5302),
    [anon_sym_CARET_EQ] = ACTIONS(5302),
    [anon_sym_PIPE_EQ] = ACTIONS(5302),
    [anon_sym_and_eq] = ACTIONS(5302),
    [anon_sym_or_eq] = ACTIONS(5302),
    [anon_sym_xor_eq] = ACTIONS(5302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1885] = {
    [sym_attribute_declaration] = STATE(2113),
    [sym_parameter_list] = STATE(2121),
    [aux_sym_attributed_declarator_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(5426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5428),
    [anon_sym_COMMA] = ACTIONS(5428),
    [anon_sym_RPAREN] = ACTIONS(5428),
    [aux_sym_preproc_if_token2] = ACTIONS(5428),
    [aux_sym_preproc_else_token1] = ACTIONS(5428),
    [aux_sym_preproc_elif_token1] = ACTIONS(5426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5428),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5426),
    [anon_sym_PLUS] = ACTIONS(5426),
    [anon_sym_STAR] = ACTIONS(5426),
    [anon_sym_SLASH] = ACTIONS(5426),
    [anon_sym_PERCENT] = ACTIONS(5426),
    [anon_sym_PIPE_PIPE] = ACTIONS(5428),
    [anon_sym_AMP_AMP] = ACTIONS(5428),
    [anon_sym_PIPE] = ACTIONS(5426),
    [anon_sym_CARET] = ACTIONS(5426),
    [anon_sym_AMP] = ACTIONS(5426),
    [anon_sym_EQ_EQ] = ACTIONS(5428),
    [anon_sym_BANG_EQ] = ACTIONS(5428),
    [anon_sym_GT] = ACTIONS(5426),
    [anon_sym_GT_EQ] = ACTIONS(5428),
    [anon_sym_LT_EQ] = ACTIONS(5426),
    [anon_sym_LT] = ACTIONS(5426),
    [anon_sym_LT_LT] = ACTIONS(5426),
    [anon_sym_GT_GT] = ACTIONS(5426),
    [anon_sym_SEMI] = ACTIONS(5428),
    [anon_sym___attribute__] = ACTIONS(5426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5428),
    [anon_sym_EQ] = ACTIONS(5426),
    [anon_sym_COLON] = ACTIONS(5428),
    [anon_sym_QMARK] = ACTIONS(5428),
    [anon_sym_STAR_EQ] = ACTIONS(5428),
    [anon_sym_SLASH_EQ] = ACTIONS(5428),
    [anon_sym_PERCENT_EQ] = ACTIONS(5428),
    [anon_sym_PLUS_EQ] = ACTIONS(5428),
    [anon_sym_DASH_EQ] = ACTIONS(5428),
    [anon_sym_LT_LT_EQ] = ACTIONS(5428),
    [anon_sym_GT_GT_EQ] = ACTIONS(5428),
    [anon_sym_AMP_EQ] = ACTIONS(5428),
    [anon_sym_CARET_EQ] = ACTIONS(5428),
    [anon_sym_PIPE_EQ] = ACTIONS(5428),
    [anon_sym_and_eq] = ACTIONS(5426),
    [anon_sym_or_eq] = ACTIONS(5426),
    [anon_sym_xor_eq] = ACTIONS(5426),
    [anon_sym_LT_EQ_GT] = ACTIONS(5428),
    [anon_sym_or] = ACTIONS(5426),
    [anon_sym_and] = ACTIONS(5426),
    [anon_sym_bitor] = ACTIONS(5426),
    [anon_sym_xor] = ACTIONS(5426),
    [anon_sym_bitand] = ACTIONS(5426),
    [anon_sym_not_eq] = ACTIONS(5426),
    [anon_sym_DASH_DASH] = ACTIONS(5428),
    [anon_sym_PLUS_PLUS] = ACTIONS(5428),
    [anon_sym_DOT] = ACTIONS(5426),
    [anon_sym_DOT_STAR] = ACTIONS(5428),
    [anon_sym_DASH_GT] = ACTIONS(5428),
    [sym_comment] = ACTIONS(3),
  },
  [1886] = {
    [sym_attribute_specifier] = STATE(1972),
    [sym_identifier] = ACTIONS(5430),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5432),
    [anon_sym_COMMA] = ACTIONS(5432),
    [anon_sym_RPAREN] = ACTIONS(5432),
    [aux_sym_preproc_if_token2] = ACTIONS(5432),
    [aux_sym_preproc_else_token1] = ACTIONS(5432),
    [aux_sym_preproc_elif_token1] = ACTIONS(5430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5432),
    [anon_sym_LPAREN2] = ACTIONS(5432),
    [anon_sym_DASH] = ACTIONS(5430),
    [anon_sym_PLUS] = ACTIONS(5430),
    [anon_sym_STAR] = ACTIONS(5430),
    [anon_sym_SLASH] = ACTIONS(5430),
    [anon_sym_PERCENT] = ACTIONS(5430),
    [anon_sym_PIPE_PIPE] = ACTIONS(5432),
    [anon_sym_AMP_AMP] = ACTIONS(5432),
    [anon_sym_PIPE] = ACTIONS(5430),
    [anon_sym_CARET] = ACTIONS(5430),
    [anon_sym_AMP] = ACTIONS(5430),
    [anon_sym_EQ_EQ] = ACTIONS(5432),
    [anon_sym_BANG_EQ] = ACTIONS(5432),
    [anon_sym_GT] = ACTIONS(5430),
    [anon_sym_GT_EQ] = ACTIONS(5432),
    [anon_sym_LT_EQ] = ACTIONS(5430),
    [anon_sym_LT] = ACTIONS(5430),
    [anon_sym_LT_LT] = ACTIONS(5430),
    [anon_sym_GT_GT] = ACTIONS(5430),
    [anon_sym_SEMI] = ACTIONS(5432),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5432),
    [anon_sym_RBRACE] = ACTIONS(5432),
    [anon_sym_LBRACK] = ACTIONS(5432),
    [anon_sym_RBRACK] = ACTIONS(5432),
    [anon_sym_EQ] = ACTIONS(5430),
    [anon_sym_COLON] = ACTIONS(5432),
    [anon_sym_QMARK] = ACTIONS(5432),
    [anon_sym_STAR_EQ] = ACTIONS(5432),
    [anon_sym_SLASH_EQ] = ACTIONS(5432),
    [anon_sym_PERCENT_EQ] = ACTIONS(5432),
    [anon_sym_PLUS_EQ] = ACTIONS(5432),
    [anon_sym_DASH_EQ] = ACTIONS(5432),
    [anon_sym_LT_LT_EQ] = ACTIONS(5432),
    [anon_sym_GT_GT_EQ] = ACTIONS(5432),
    [anon_sym_AMP_EQ] = ACTIONS(5432),
    [anon_sym_CARET_EQ] = ACTIONS(5432),
    [anon_sym_PIPE_EQ] = ACTIONS(5432),
    [anon_sym_and_eq] = ACTIONS(5430),
    [anon_sym_or_eq] = ACTIONS(5430),
    [anon_sym_xor_eq] = ACTIONS(5430),
    [anon_sym_LT_EQ_GT] = ACTIONS(5432),
    [anon_sym_or] = ACTIONS(5430),
    [anon_sym_and] = ACTIONS(5430),
    [anon_sym_bitor] = ACTIONS(5430),
    [anon_sym_xor] = ACTIONS(5430),
    [anon_sym_bitand] = ACTIONS(5430),
    [anon_sym_not_eq] = ACTIONS(5430),
    [anon_sym_DASH_DASH] = ACTIONS(5432),
    [anon_sym_PLUS_PLUS] = ACTIONS(5432),
    [anon_sym_DOT] = ACTIONS(5430),
    [anon_sym_DOT_STAR] = ACTIONS(5432),
    [anon_sym_DASH_GT] = ACTIONS(5432),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5430),
    [anon_sym_decltype] = ACTIONS(5430),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_friend] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1882),
    [anon_sym_private] = ACTIONS(1882),
    [anon_sym_protected] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
  },
  [1888] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym_RBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_friend] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1882),
    [anon_sym_private] = ACTIONS(1882),
    [anon_sym_protected] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
  },
  [1889] = {
    [sym_string_literal] = STATE(1891),
    [sym_raw_string_literal] = STATE(1891),
    [aux_sym_concatenated_string_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(5434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4781),
    [anon_sym_COMMA] = ACTIONS(4781),
    [anon_sym_LPAREN2] = ACTIONS(4781),
    [anon_sym_DASH] = ACTIONS(4783),
    [anon_sym_PLUS] = ACTIONS(4783),
    [anon_sym_STAR] = ACTIONS(4783),
    [anon_sym_SLASH] = ACTIONS(4783),
    [anon_sym_PERCENT] = ACTIONS(4783),
    [anon_sym_PIPE_PIPE] = ACTIONS(4781),
    [anon_sym_AMP_AMP] = ACTIONS(4781),
    [anon_sym_PIPE] = ACTIONS(4783),
    [anon_sym_CARET] = ACTIONS(4783),
    [anon_sym_AMP] = ACTIONS(4783),
    [anon_sym_EQ_EQ] = ACTIONS(4781),
    [anon_sym_BANG_EQ] = ACTIONS(4781),
    [anon_sym_GT] = ACTIONS(4783),
    [anon_sym_GT_EQ] = ACTIONS(4783),
    [anon_sym_LT_EQ] = ACTIONS(4783),
    [anon_sym_LT] = ACTIONS(4783),
    [anon_sym_LT_LT] = ACTIONS(4783),
    [anon_sym_GT_GT] = ACTIONS(4783),
    [anon_sym_LBRACK] = ACTIONS(4781),
    [anon_sym_EQ] = ACTIONS(4783),
    [anon_sym_QMARK] = ACTIONS(4781),
    [anon_sym_STAR_EQ] = ACTIONS(4781),
    [anon_sym_SLASH_EQ] = ACTIONS(4781),
    [anon_sym_PERCENT_EQ] = ACTIONS(4781),
    [anon_sym_PLUS_EQ] = ACTIONS(4781),
    [anon_sym_DASH_EQ] = ACTIONS(4781),
    [anon_sym_LT_LT_EQ] = ACTIONS(4781),
    [anon_sym_GT_GT_EQ] = ACTIONS(4783),
    [anon_sym_AMP_EQ] = ACTIONS(4781),
    [anon_sym_CARET_EQ] = ACTIONS(4781),
    [anon_sym_PIPE_EQ] = ACTIONS(4781),
    [anon_sym_and_eq] = ACTIONS(4783),
    [anon_sym_or_eq] = ACTIONS(4783),
    [anon_sym_xor_eq] = ACTIONS(4783),
    [anon_sym_LT_EQ_GT] = ACTIONS(4781),
    [anon_sym_or] = ACTIONS(4783),
    [anon_sym_and] = ACTIONS(4783),
    [anon_sym_bitor] = ACTIONS(4783),
    [anon_sym_xor] = ACTIONS(4783),
    [anon_sym_bitand] = ACTIONS(4783),
    [anon_sym_not_eq] = ACTIONS(4783),
    [anon_sym_DASH_DASH] = ACTIONS(4781),
    [anon_sym_PLUS_PLUS] = ACTIONS(4781),
    [anon_sym_DOT] = ACTIONS(4783),
    [anon_sym_DOT_STAR] = ACTIONS(4781),
    [anon_sym_DASH_GT] = ACTIONS(4781),
    [anon_sym_L_DQUOTE] = ACTIONS(5436),
    [anon_sym_u_DQUOTE] = ACTIONS(5436),
    [anon_sym_U_DQUOTE] = ACTIONS(5436),
    [anon_sym_u8_DQUOTE] = ACTIONS(5436),
    [anon_sym_DQUOTE] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4781),
    [anon_sym_R_DQUOTE] = ACTIONS(5438),
    [anon_sym_LR_DQUOTE] = ACTIONS(5438),
    [anon_sym_uR_DQUOTE] = ACTIONS(5438),
    [anon_sym_UR_DQUOTE] = ACTIONS(5438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5438),
    [sym_literal_suffix] = ACTIONS(4783),
  },
  [1890] = {
    [sym_attribute_specifier] = STATE(1964),
    [sym_identifier] = ACTIONS(5440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5442),
    [anon_sym_COMMA] = ACTIONS(5442),
    [anon_sym_RPAREN] = ACTIONS(5442),
    [aux_sym_preproc_if_token2] = ACTIONS(5442),
    [aux_sym_preproc_else_token1] = ACTIONS(5442),
    [aux_sym_preproc_elif_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5442),
    [anon_sym_LPAREN2] = ACTIONS(5442),
    [anon_sym_DASH] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5440),
    [anon_sym_SLASH] = ACTIONS(5440),
    [anon_sym_PERCENT] = ACTIONS(5440),
    [anon_sym_PIPE_PIPE] = ACTIONS(5442),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_PIPE] = ACTIONS(5440),
    [anon_sym_CARET] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5440),
    [anon_sym_EQ_EQ] = ACTIONS(5442),
    [anon_sym_BANG_EQ] = ACTIONS(5442),
    [anon_sym_GT] = ACTIONS(5440),
    [anon_sym_GT_EQ] = ACTIONS(5442),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5440),
    [anon_sym_LT_LT] = ACTIONS(5440),
    [anon_sym_GT_GT] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5442),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5442),
    [anon_sym_RBRACE] = ACTIONS(5442),
    [anon_sym_LBRACK] = ACTIONS(5442),
    [anon_sym_RBRACK] = ACTIONS(5442),
    [anon_sym_EQ] = ACTIONS(5440),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_QMARK] = ACTIONS(5442),
    [anon_sym_STAR_EQ] = ACTIONS(5442),
    [anon_sym_SLASH_EQ] = ACTIONS(5442),
    [anon_sym_PERCENT_EQ] = ACTIONS(5442),
    [anon_sym_PLUS_EQ] = ACTIONS(5442),
    [anon_sym_DASH_EQ] = ACTIONS(5442),
    [anon_sym_LT_LT_EQ] = ACTIONS(5442),
    [anon_sym_GT_GT_EQ] = ACTIONS(5442),
    [anon_sym_AMP_EQ] = ACTIONS(5442),
    [anon_sym_CARET_EQ] = ACTIONS(5442),
    [anon_sym_PIPE_EQ] = ACTIONS(5442),
    [anon_sym_and_eq] = ACTIONS(5440),
    [anon_sym_or_eq] = ACTIONS(5440),
    [anon_sym_xor_eq] = ACTIONS(5440),
    [anon_sym_LT_EQ_GT] = ACTIONS(5442),
    [anon_sym_or] = ACTIONS(5440),
    [anon_sym_and] = ACTIONS(5440),
    [anon_sym_bitor] = ACTIONS(5440),
    [anon_sym_xor] = ACTIONS(5440),
    [anon_sym_bitand] = ACTIONS(5440),
    [anon_sym_not_eq] = ACTIONS(5440),
    [anon_sym_DASH_DASH] = ACTIONS(5442),
    [anon_sym_PLUS_PLUS] = ACTIONS(5442),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_DOT_STAR] = ACTIONS(5442),
    [anon_sym_DASH_GT] = ACTIONS(5442),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5440),
    [anon_sym_decltype] = ACTIONS(5440),
  },
  [1891] = {
    [sym_string_literal] = STATE(1891),
    [sym_raw_string_literal] = STATE(1891),
    [aux_sym_concatenated_string_repeat1] = STATE(1891),
    [sym_identifier] = ACTIONS(5444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4769),
    [anon_sym_COMMA] = ACTIONS(4769),
    [anon_sym_LPAREN2] = ACTIONS(4769),
    [anon_sym_DASH] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4771),
    [anon_sym_STAR] = ACTIONS(4771),
    [anon_sym_SLASH] = ACTIONS(4771),
    [anon_sym_PERCENT] = ACTIONS(4771),
    [anon_sym_PIPE_PIPE] = ACTIONS(4769),
    [anon_sym_AMP_AMP] = ACTIONS(4769),
    [anon_sym_PIPE] = ACTIONS(4771),
    [anon_sym_CARET] = ACTIONS(4771),
    [anon_sym_AMP] = ACTIONS(4771),
    [anon_sym_EQ_EQ] = ACTIONS(4769),
    [anon_sym_BANG_EQ] = ACTIONS(4769),
    [anon_sym_GT] = ACTIONS(4771),
    [anon_sym_GT_EQ] = ACTIONS(4771),
    [anon_sym_LT_EQ] = ACTIONS(4771),
    [anon_sym_LT] = ACTIONS(4771),
    [anon_sym_LT_LT] = ACTIONS(4771),
    [anon_sym_GT_GT] = ACTIONS(4771),
    [anon_sym_LBRACK] = ACTIONS(4769),
    [anon_sym_EQ] = ACTIONS(4771),
    [anon_sym_QMARK] = ACTIONS(4769),
    [anon_sym_STAR_EQ] = ACTIONS(4769),
    [anon_sym_SLASH_EQ] = ACTIONS(4769),
    [anon_sym_PERCENT_EQ] = ACTIONS(4769),
    [anon_sym_PLUS_EQ] = ACTIONS(4769),
    [anon_sym_DASH_EQ] = ACTIONS(4769),
    [anon_sym_LT_LT_EQ] = ACTIONS(4769),
    [anon_sym_GT_GT_EQ] = ACTIONS(4771),
    [anon_sym_AMP_EQ] = ACTIONS(4769),
    [anon_sym_CARET_EQ] = ACTIONS(4769),
    [anon_sym_PIPE_EQ] = ACTIONS(4769),
    [anon_sym_and_eq] = ACTIONS(4771),
    [anon_sym_or_eq] = ACTIONS(4771),
    [anon_sym_xor_eq] = ACTIONS(4771),
    [anon_sym_LT_EQ_GT] = ACTIONS(4769),
    [anon_sym_or] = ACTIONS(4771),
    [anon_sym_and] = ACTIONS(4771),
    [anon_sym_bitor] = ACTIONS(4771),
    [anon_sym_xor] = ACTIONS(4771),
    [anon_sym_bitand] = ACTIONS(4771),
    [anon_sym_not_eq] = ACTIONS(4771),
    [anon_sym_DASH_DASH] = ACTIONS(4769),
    [anon_sym_PLUS_PLUS] = ACTIONS(4769),
    [anon_sym_DOT] = ACTIONS(4771),
    [anon_sym_DOT_STAR] = ACTIONS(4769),
    [anon_sym_DASH_GT] = ACTIONS(4769),
    [anon_sym_L_DQUOTE] = ACTIONS(5447),
    [anon_sym_u_DQUOTE] = ACTIONS(5447),
    [anon_sym_U_DQUOTE] = ACTIONS(5447),
    [anon_sym_u8_DQUOTE] = ACTIONS(5447),
    [anon_sym_DQUOTE] = ACTIONS(5447),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4769),
    [anon_sym_R_DQUOTE] = ACTIONS(5450),
    [anon_sym_LR_DQUOTE] = ACTIONS(5450),
    [anon_sym_uR_DQUOTE] = ACTIONS(5450),
    [anon_sym_UR_DQUOTE] = ACTIONS(5450),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5450),
    [sym_literal_suffix] = ACTIONS(4771),
  },
  [1892] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4826),
    [anon_sym_COMMA] = ACTIONS(4826),
    [anon_sym_RPAREN] = ACTIONS(4826),
    [anon_sym_LPAREN2] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4824),
    [anon_sym_STAR] = ACTIONS(4824),
    [anon_sym_SLASH] = ACTIONS(4824),
    [anon_sym_PERCENT] = ACTIONS(4824),
    [anon_sym_PIPE_PIPE] = ACTIONS(4826),
    [anon_sym_AMP_AMP] = ACTIONS(4826),
    [anon_sym_PIPE] = ACTIONS(4824),
    [anon_sym_CARET] = ACTIONS(4824),
    [anon_sym_AMP] = ACTIONS(4824),
    [anon_sym_EQ_EQ] = ACTIONS(4826),
    [anon_sym_BANG_EQ] = ACTIONS(4826),
    [anon_sym_GT] = ACTIONS(4824),
    [anon_sym_GT_EQ] = ACTIONS(4826),
    [anon_sym_LT_EQ] = ACTIONS(4824),
    [anon_sym_LT] = ACTIONS(4824),
    [anon_sym_LT_LT] = ACTIONS(4824),
    [anon_sym_GT_GT] = ACTIONS(4824),
    [anon_sym_SEMI] = ACTIONS(4826),
    [anon_sym_RBRACE] = ACTIONS(4826),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_RBRACK] = ACTIONS(4826),
    [anon_sym_EQ] = ACTIONS(4824),
    [anon_sym_COLON] = ACTIONS(4826),
    [anon_sym_QMARK] = ACTIONS(4826),
    [anon_sym_STAR_EQ] = ACTIONS(4826),
    [anon_sym_SLASH_EQ] = ACTIONS(4826),
    [anon_sym_PERCENT_EQ] = ACTIONS(4826),
    [anon_sym_PLUS_EQ] = ACTIONS(4826),
    [anon_sym_DASH_EQ] = ACTIONS(4826),
    [anon_sym_LT_LT_EQ] = ACTIONS(4826),
    [anon_sym_GT_GT_EQ] = ACTIONS(4826),
    [anon_sym_AMP_EQ] = ACTIONS(4826),
    [anon_sym_CARET_EQ] = ACTIONS(4826),
    [anon_sym_PIPE_EQ] = ACTIONS(4826),
    [anon_sym_and_eq] = ACTIONS(4824),
    [anon_sym_or_eq] = ACTIONS(4824),
    [anon_sym_xor_eq] = ACTIONS(4824),
    [anon_sym_LT_EQ_GT] = ACTIONS(4826),
    [anon_sym_or] = ACTIONS(4824),
    [anon_sym_and] = ACTIONS(4824),
    [anon_sym_bitor] = ACTIONS(4824),
    [anon_sym_xor] = ACTIONS(4824),
    [anon_sym_bitand] = ACTIONS(4824),
    [anon_sym_not_eq] = ACTIONS(4824),
    [anon_sym_DASH_DASH] = ACTIONS(4826),
    [anon_sym_PLUS_PLUS] = ACTIONS(4826),
    [anon_sym_DOT] = ACTIONS(4824),
    [anon_sym_DOT_STAR] = ACTIONS(4826),
    [anon_sym_DASH_GT] = ACTIONS(4826),
    [anon_sym_L_DQUOTE] = ACTIONS(4826),
    [anon_sym_u_DQUOTE] = ACTIONS(4826),
    [anon_sym_U_DQUOTE] = ACTIONS(4826),
    [anon_sym_u8_DQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4826),
    [anon_sym_LR_DQUOTE] = ACTIONS(4826),
    [anon_sym_uR_DQUOTE] = ACTIONS(4826),
    [anon_sym_UR_DQUOTE] = ACTIONS(4826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4826),
    [sym_literal_suffix] = ACTIONS(4824),
  },
  [1893] = {
    [sym_decltype_auto] = STATE(2007),
    [sym_identifier] = ACTIONS(4905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4907),
    [anon_sym_COMMA] = ACTIONS(4907),
    [anon_sym_RPAREN] = ACTIONS(4907),
    [aux_sym_preproc_if_token2] = ACTIONS(4907),
    [aux_sym_preproc_else_token1] = ACTIONS(4907),
    [aux_sym_preproc_elif_token1] = ACTIONS(4905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4907),
    [anon_sym_LPAREN2] = ACTIONS(4907),
    [anon_sym_DASH] = ACTIONS(4905),
    [anon_sym_PLUS] = ACTIONS(4905),
    [anon_sym_STAR] = ACTIONS(4905),
    [anon_sym_SLASH] = ACTIONS(4905),
    [anon_sym_PERCENT] = ACTIONS(4905),
    [anon_sym_PIPE_PIPE] = ACTIONS(4907),
    [anon_sym_AMP_AMP] = ACTIONS(4907),
    [anon_sym_PIPE] = ACTIONS(4905),
    [anon_sym_CARET] = ACTIONS(4905),
    [anon_sym_AMP] = ACTIONS(4905),
    [anon_sym_EQ_EQ] = ACTIONS(4907),
    [anon_sym_BANG_EQ] = ACTIONS(4907),
    [anon_sym_GT] = ACTIONS(4905),
    [anon_sym_GT_EQ] = ACTIONS(4907),
    [anon_sym_LT_EQ] = ACTIONS(4905),
    [anon_sym_LT] = ACTIONS(4905),
    [anon_sym_LT_LT] = ACTIONS(4905),
    [anon_sym_GT_GT] = ACTIONS(4905),
    [anon_sym_SEMI] = ACTIONS(4907),
    [anon_sym___attribute__] = ACTIONS(4905),
    [anon_sym_LBRACE] = ACTIONS(4907),
    [anon_sym_RBRACE] = ACTIONS(4907),
    [anon_sym_LBRACK] = ACTIONS(4907),
    [anon_sym_RBRACK] = ACTIONS(4907),
    [anon_sym_EQ] = ACTIONS(4905),
    [anon_sym_COLON] = ACTIONS(4907),
    [anon_sym_QMARK] = ACTIONS(4907),
    [anon_sym_STAR_EQ] = ACTIONS(4907),
    [anon_sym_SLASH_EQ] = ACTIONS(4907),
    [anon_sym_PERCENT_EQ] = ACTIONS(4907),
    [anon_sym_PLUS_EQ] = ACTIONS(4907),
    [anon_sym_DASH_EQ] = ACTIONS(4907),
    [anon_sym_LT_LT_EQ] = ACTIONS(4907),
    [anon_sym_GT_GT_EQ] = ACTIONS(4907),
    [anon_sym_AMP_EQ] = ACTIONS(4907),
    [anon_sym_CARET_EQ] = ACTIONS(4907),
    [anon_sym_PIPE_EQ] = ACTIONS(4907),
    [anon_sym_and_eq] = ACTIONS(4905),
    [anon_sym_or_eq] = ACTIONS(4905),
    [anon_sym_xor_eq] = ACTIONS(4905),
    [anon_sym_LT_EQ_GT] = ACTIONS(4907),
    [anon_sym_or] = ACTIONS(4905),
    [anon_sym_and] = ACTIONS(4905),
    [anon_sym_bitor] = ACTIONS(4905),
    [anon_sym_xor] = ACTIONS(4905),
    [anon_sym_bitand] = ACTIONS(4905),
    [anon_sym_not_eq] = ACTIONS(4905),
    [anon_sym_DASH_DASH] = ACTIONS(4907),
    [anon_sym_PLUS_PLUS] = ACTIONS(4907),
    [anon_sym_DOT] = ACTIONS(4905),
    [anon_sym_DOT_STAR] = ACTIONS(4907),
    [anon_sym_DASH_GT] = ACTIONS(4907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5050),
    [anon_sym_decltype] = ACTIONS(5052),
  },
  [1894] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_friend] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
  },
  [1895] = {
    [sym_attribute_specifier] = STATE(2035),
    [sym_identifier] = ACTIONS(5453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5455),
    [anon_sym_COMMA] = ACTIONS(5455),
    [anon_sym_RPAREN] = ACTIONS(5455),
    [aux_sym_preproc_if_token2] = ACTIONS(5455),
    [aux_sym_preproc_else_token1] = ACTIONS(5455),
    [aux_sym_preproc_elif_token1] = ACTIONS(5453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5455),
    [anon_sym_AMP_AMP] = ACTIONS(5455),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_EQ_EQ] = ACTIONS(5455),
    [anon_sym_BANG_EQ] = ACTIONS(5455),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5453),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5455),
    [anon_sym_RBRACE] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_RBRACK] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_COLON] = ACTIONS(5455),
    [anon_sym_QMARK] = ACTIONS(5455),
    [anon_sym_STAR_EQ] = ACTIONS(5455),
    [anon_sym_SLASH_EQ] = ACTIONS(5455),
    [anon_sym_PERCENT_EQ] = ACTIONS(5455),
    [anon_sym_PLUS_EQ] = ACTIONS(5455),
    [anon_sym_DASH_EQ] = ACTIONS(5455),
    [anon_sym_LT_LT_EQ] = ACTIONS(5455),
    [anon_sym_GT_GT_EQ] = ACTIONS(5455),
    [anon_sym_AMP_EQ] = ACTIONS(5455),
    [anon_sym_CARET_EQ] = ACTIONS(5455),
    [anon_sym_PIPE_EQ] = ACTIONS(5455),
    [anon_sym_and_eq] = ACTIONS(5453),
    [anon_sym_or_eq] = ACTIONS(5453),
    [anon_sym_xor_eq] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5455),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(5453),
    [anon_sym_bitor] = ACTIONS(5453),
    [anon_sym_xor] = ACTIONS(5453),
    [anon_sym_bitand] = ACTIONS(5453),
    [anon_sym_not_eq] = ACTIONS(5453),
    [anon_sym_DASH_DASH] = ACTIONS(5455),
    [anon_sym_PLUS_PLUS] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_DOT_STAR] = ACTIONS(5455),
    [anon_sym_DASH_GT] = ACTIONS(5455),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5453),
    [anon_sym_decltype] = ACTIONS(5453),
  },
  [1896] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4850),
    [anon_sym_COMMA] = ACTIONS(4850),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym_LPAREN2] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4848),
    [anon_sym_STAR] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4848),
    [anon_sym_PERCENT] = ACTIONS(4848),
    [anon_sym_PIPE_PIPE] = ACTIONS(4850),
    [anon_sym_AMP_AMP] = ACTIONS(4850),
    [anon_sym_PIPE] = ACTIONS(4848),
    [anon_sym_CARET] = ACTIONS(4848),
    [anon_sym_AMP] = ACTIONS(4848),
    [anon_sym_EQ_EQ] = ACTIONS(4850),
    [anon_sym_BANG_EQ] = ACTIONS(4850),
    [anon_sym_GT] = ACTIONS(4848),
    [anon_sym_GT_EQ] = ACTIONS(4850),
    [anon_sym_LT_EQ] = ACTIONS(4848),
    [anon_sym_LT] = ACTIONS(4848),
    [anon_sym_LT_LT] = ACTIONS(4848),
    [anon_sym_GT_GT] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_RBRACK] = ACTIONS(4850),
    [anon_sym_EQ] = ACTIONS(4848),
    [anon_sym_COLON] = ACTIONS(4850),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_STAR_EQ] = ACTIONS(4850),
    [anon_sym_SLASH_EQ] = ACTIONS(4850),
    [anon_sym_PERCENT_EQ] = ACTIONS(4850),
    [anon_sym_PLUS_EQ] = ACTIONS(4850),
    [anon_sym_DASH_EQ] = ACTIONS(4850),
    [anon_sym_LT_LT_EQ] = ACTIONS(4850),
    [anon_sym_GT_GT_EQ] = ACTIONS(4850),
    [anon_sym_AMP_EQ] = ACTIONS(4850),
    [anon_sym_CARET_EQ] = ACTIONS(4850),
    [anon_sym_PIPE_EQ] = ACTIONS(4850),
    [anon_sym_and_eq] = ACTIONS(4848),
    [anon_sym_or_eq] = ACTIONS(4848),
    [anon_sym_xor_eq] = ACTIONS(4848),
    [anon_sym_LT_EQ_GT] = ACTIONS(4850),
    [anon_sym_or] = ACTIONS(4848),
    [anon_sym_and] = ACTIONS(4848),
    [anon_sym_bitor] = ACTIONS(4848),
    [anon_sym_xor] = ACTIONS(4848),
    [anon_sym_bitand] = ACTIONS(4848),
    [anon_sym_not_eq] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4850),
    [anon_sym_PLUS_PLUS] = ACTIONS(4850),
    [anon_sym_DOT] = ACTIONS(4848),
    [anon_sym_DOT_STAR] = ACTIONS(4850),
    [anon_sym_DASH_GT] = ACTIONS(4850),
    [anon_sym_L_DQUOTE] = ACTIONS(4850),
    [anon_sym_u_DQUOTE] = ACTIONS(4850),
    [anon_sym_U_DQUOTE] = ACTIONS(4850),
    [anon_sym_u8_DQUOTE] = ACTIONS(4850),
    [anon_sym_DQUOTE] = ACTIONS(4850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4850),
    [anon_sym_LR_DQUOTE] = ACTIONS(4850),
    [anon_sym_uR_DQUOTE] = ACTIONS(4850),
    [anon_sym_UR_DQUOTE] = ACTIONS(4850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4850),
    [sym_literal_suffix] = ACTIONS(4848),
  },
  [1897] = {
    [sym_attribute_specifier] = STATE(2040),
    [sym_identifier] = ACTIONS(5457),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5459),
    [anon_sym_COMMA] = ACTIONS(5459),
    [anon_sym_RPAREN] = ACTIONS(5459),
    [aux_sym_preproc_if_token2] = ACTIONS(5459),
    [aux_sym_preproc_else_token1] = ACTIONS(5459),
    [aux_sym_preproc_elif_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5459),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5459),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5457),
    [anon_sym_PLUS] = ACTIONS(5457),
    [anon_sym_STAR] = ACTIONS(5457),
    [anon_sym_SLASH] = ACTIONS(5457),
    [anon_sym_PERCENT] = ACTIONS(5457),
    [anon_sym_PIPE_PIPE] = ACTIONS(5459),
    [anon_sym_AMP_AMP] = ACTIONS(5459),
    [anon_sym_PIPE] = ACTIONS(5457),
    [anon_sym_CARET] = ACTIONS(5457),
    [anon_sym_AMP] = ACTIONS(5457),
    [anon_sym_EQ_EQ] = ACTIONS(5459),
    [anon_sym_BANG_EQ] = ACTIONS(5459),
    [anon_sym_GT] = ACTIONS(5457),
    [anon_sym_GT_EQ] = ACTIONS(5459),
    [anon_sym_LT_EQ] = ACTIONS(5457),
    [anon_sym_LT] = ACTIONS(5457),
    [anon_sym_LT_LT] = ACTIONS(5457),
    [anon_sym_GT_GT] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5459),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5459),
    [anon_sym_RBRACE] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_EQ] = ACTIONS(5457),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_QMARK] = ACTIONS(5459),
    [anon_sym_STAR_EQ] = ACTIONS(5459),
    [anon_sym_SLASH_EQ] = ACTIONS(5459),
    [anon_sym_PERCENT_EQ] = ACTIONS(5459),
    [anon_sym_PLUS_EQ] = ACTIONS(5459),
    [anon_sym_DASH_EQ] = ACTIONS(5459),
    [anon_sym_LT_LT_EQ] = ACTIONS(5459),
    [anon_sym_GT_GT_EQ] = ACTIONS(5459),
    [anon_sym_AMP_EQ] = ACTIONS(5459),
    [anon_sym_CARET_EQ] = ACTIONS(5459),
    [anon_sym_PIPE_EQ] = ACTIONS(5459),
    [anon_sym_and_eq] = ACTIONS(5457),
    [anon_sym_or_eq] = ACTIONS(5457),
    [anon_sym_xor_eq] = ACTIONS(5457),
    [anon_sym_LT_EQ_GT] = ACTIONS(5459),
    [anon_sym_or] = ACTIONS(5457),
    [anon_sym_and] = ACTIONS(5457),
    [anon_sym_bitor] = ACTIONS(5457),
    [anon_sym_xor] = ACTIONS(5457),
    [anon_sym_bitand] = ACTIONS(5457),
    [anon_sym_not_eq] = ACTIONS(5457),
    [anon_sym_DASH_DASH] = ACTIONS(5459),
    [anon_sym_PLUS_PLUS] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5457),
    [anon_sym_DOT_STAR] = ACTIONS(5459),
    [anon_sym_DASH_GT] = ACTIONS(5459),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5457),
    [anon_sym_decltype] = ACTIONS(5457),
  },
  [1898] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1616),
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5012),
    [anon_sym_COMMA] = ACTIONS(5012),
    [aux_sym_preproc_if_token2] = ACTIONS(5012),
    [aux_sym_preproc_else_token1] = ACTIONS(5012),
    [aux_sym_preproc_elif_token1] = ACTIONS(5015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5012),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5012),
    [anon_sym_AMP_AMP] = ACTIONS(5012),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5012),
    [anon_sym_BANG_EQ] = ACTIONS(5012),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5012),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5012),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [anon_sym_EQ] = ACTIONS(5015),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(5012),
    [anon_sym_STAR_EQ] = ACTIONS(5012),
    [anon_sym_SLASH_EQ] = ACTIONS(5012),
    [anon_sym_PERCENT_EQ] = ACTIONS(5012),
    [anon_sym_PLUS_EQ] = ACTIONS(5012),
    [anon_sym_DASH_EQ] = ACTIONS(5012),
    [anon_sym_LT_LT_EQ] = ACTIONS(5012),
    [anon_sym_GT_GT_EQ] = ACTIONS(5012),
    [anon_sym_AMP_EQ] = ACTIONS(5012),
    [anon_sym_CARET_EQ] = ACTIONS(5012),
    [anon_sym_PIPE_EQ] = ACTIONS(5012),
    [anon_sym_and_eq] = ACTIONS(5015),
    [anon_sym_or_eq] = ACTIONS(5015),
    [anon_sym_xor_eq] = ACTIONS(5015),
    [anon_sym_LT_EQ_GT] = ACTIONS(5012),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5012),
    [anon_sym_PLUS_PLUS] = ACTIONS(5012),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5012),
    [anon_sym_DASH_GT] = ACTIONS(5012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
  },
  [1899] = {
    [sym_attribute_specifier] = STATE(2014),
    [sym_identifier] = ACTIONS(5461),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [anon_sym_RPAREN] = ACTIONS(5463),
    [aux_sym_preproc_if_token2] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5463),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5463),
    [anon_sym_LPAREN2] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5461),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5461),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_CARET] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5461),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5461),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5463),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_EQ] = ACTIONS(5461),
    [anon_sym_COLON] = ACTIONS(5463),
    [anon_sym_QMARK] = ACTIONS(5463),
    [anon_sym_STAR_EQ] = ACTIONS(5463),
    [anon_sym_SLASH_EQ] = ACTIONS(5463),
    [anon_sym_PERCENT_EQ] = ACTIONS(5463),
    [anon_sym_PLUS_EQ] = ACTIONS(5463),
    [anon_sym_DASH_EQ] = ACTIONS(5463),
    [anon_sym_LT_LT_EQ] = ACTIONS(5463),
    [anon_sym_GT_GT_EQ] = ACTIONS(5463),
    [anon_sym_AMP_EQ] = ACTIONS(5463),
    [anon_sym_CARET_EQ] = ACTIONS(5463),
    [anon_sym_PIPE_EQ] = ACTIONS(5463),
    [anon_sym_and_eq] = ACTIONS(5461),
    [anon_sym_or_eq] = ACTIONS(5461),
    [anon_sym_xor_eq] = ACTIONS(5461),
    [anon_sym_LT_EQ_GT] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5461),
    [anon_sym_and] = ACTIONS(5461),
    [anon_sym_bitor] = ACTIONS(5461),
    [anon_sym_xor] = ACTIONS(5461),
    [anon_sym_bitand] = ACTIONS(5461),
    [anon_sym_not_eq] = ACTIONS(5461),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_DOT_STAR] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5461),
    [anon_sym_decltype] = ACTIONS(5461),
  },
  [1900] = {
    [sym_template_argument_list] = STATE(1806),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3768),
    [anon_sym_PLUS] = ACTIONS(3768),
    [anon_sym_STAR] = ACTIONS(3768),
    [anon_sym_SLASH] = ACTIONS(3768),
    [anon_sym_PERCENT] = ACTIONS(3768),
    [anon_sym_PIPE_PIPE] = ACTIONS(3776),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3768),
    [anon_sym_CARET] = ACTIONS(3768),
    [anon_sym_AMP] = ACTIONS(3768),
    [anon_sym_EQ_EQ] = ACTIONS(3776),
    [anon_sym_BANG_EQ] = ACTIONS(3776),
    [anon_sym_GT] = ACTIONS(3768),
    [anon_sym_GT_EQ] = ACTIONS(3776),
    [anon_sym_LT_EQ] = ACTIONS(3768),
    [anon_sym_LT] = ACTIONS(4974),
    [anon_sym_LT_LT] = ACTIONS(3768),
    [anon_sym_GT_GT] = ACTIONS(3768),
    [anon_sym_SEMI] = ACTIONS(3776),
    [anon_sym___attribute__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3776),
    [anon_sym_signed] = ACTIONS(5416),
    [anon_sym_unsigned] = ACTIONS(5416),
    [anon_sym_long] = ACTIONS(5416),
    [anon_sym_short] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(3776),
    [anon_sym_RBRACK] = ACTIONS(3776),
    [anon_sym_EQ] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3776),
    [anon_sym_STAR_EQ] = ACTIONS(3776),
    [anon_sym_SLASH_EQ] = ACTIONS(3776),
    [anon_sym_PERCENT_EQ] = ACTIONS(3776),
    [anon_sym_PLUS_EQ] = ACTIONS(3776),
    [anon_sym_DASH_EQ] = ACTIONS(3776),
    [anon_sym_LT_LT_EQ] = ACTIONS(3776),
    [anon_sym_GT_GT_EQ] = ACTIONS(3776),
    [anon_sym_AMP_EQ] = ACTIONS(3776),
    [anon_sym_CARET_EQ] = ACTIONS(3776),
    [anon_sym_PIPE_EQ] = ACTIONS(3776),
    [anon_sym_and_eq] = ACTIONS(3776),
    [anon_sym_or_eq] = ACTIONS(3776),
    [anon_sym_xor_eq] = ACTIONS(3776),
    [anon_sym_LT_EQ_GT] = ACTIONS(3776),
    [anon_sym_or] = ACTIONS(3768),
    [anon_sym_and] = ACTIONS(3768),
    [anon_sym_bitor] = ACTIONS(3776),
    [anon_sym_xor] = ACTIONS(3768),
    [anon_sym_bitand] = ACTIONS(3776),
    [anon_sym_not_eq] = ACTIONS(3776),
    [anon_sym_DASH_DASH] = ACTIONS(3776),
    [anon_sym_PLUS_PLUS] = ACTIONS(3776),
    [anon_sym_DOT] = ACTIONS(3768),
    [anon_sym_DOT_STAR] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_friend] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
  },
  [1902] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4830),
    [anon_sym_COMMA] = ACTIONS(4830),
    [anon_sym_RPAREN] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(4830),
    [anon_sym_DASH] = ACTIONS(4828),
    [anon_sym_PLUS] = ACTIONS(4828),
    [anon_sym_STAR] = ACTIONS(4828),
    [anon_sym_SLASH] = ACTIONS(4828),
    [anon_sym_PERCENT] = ACTIONS(4828),
    [anon_sym_PIPE_PIPE] = ACTIONS(4830),
    [anon_sym_AMP_AMP] = ACTIONS(4830),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_CARET] = ACTIONS(4828),
    [anon_sym_AMP] = ACTIONS(4828),
    [anon_sym_EQ_EQ] = ACTIONS(4830),
    [anon_sym_BANG_EQ] = ACTIONS(4830),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_GT_EQ] = ACTIONS(4830),
    [anon_sym_LT_EQ] = ACTIONS(4828),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_LT_LT] = ACTIONS(4828),
    [anon_sym_GT_GT] = ACTIONS(4828),
    [anon_sym_SEMI] = ACTIONS(4830),
    [anon_sym_RBRACE] = ACTIONS(4830),
    [anon_sym_LBRACK] = ACTIONS(4830),
    [anon_sym_RBRACK] = ACTIONS(4830),
    [anon_sym_EQ] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4830),
    [anon_sym_QMARK] = ACTIONS(4830),
    [anon_sym_STAR_EQ] = ACTIONS(4830),
    [anon_sym_SLASH_EQ] = ACTIONS(4830),
    [anon_sym_PERCENT_EQ] = ACTIONS(4830),
    [anon_sym_PLUS_EQ] = ACTIONS(4830),
    [anon_sym_DASH_EQ] = ACTIONS(4830),
    [anon_sym_LT_LT_EQ] = ACTIONS(4830),
    [anon_sym_GT_GT_EQ] = ACTIONS(4830),
    [anon_sym_AMP_EQ] = ACTIONS(4830),
    [anon_sym_CARET_EQ] = ACTIONS(4830),
    [anon_sym_PIPE_EQ] = ACTIONS(4830),
    [anon_sym_and_eq] = ACTIONS(4828),
    [anon_sym_or_eq] = ACTIONS(4828),
    [anon_sym_xor_eq] = ACTIONS(4828),
    [anon_sym_LT_EQ_GT] = ACTIONS(4830),
    [anon_sym_or] = ACTIONS(4828),
    [anon_sym_and] = ACTIONS(4828),
    [anon_sym_bitor] = ACTIONS(4828),
    [anon_sym_xor] = ACTIONS(4828),
    [anon_sym_bitand] = ACTIONS(4828),
    [anon_sym_not_eq] = ACTIONS(4828),
    [anon_sym_DASH_DASH] = ACTIONS(4830),
    [anon_sym_PLUS_PLUS] = ACTIONS(4830),
    [anon_sym_DOT] = ACTIONS(4828),
    [anon_sym_DOT_STAR] = ACTIONS(4830),
    [anon_sym_DASH_GT] = ACTIONS(4830),
    [anon_sym_L_DQUOTE] = ACTIONS(4830),
    [anon_sym_u_DQUOTE] = ACTIONS(4830),
    [anon_sym_U_DQUOTE] = ACTIONS(4830),
    [anon_sym_u8_DQUOTE] = ACTIONS(4830),
    [anon_sym_DQUOTE] = ACTIONS(4830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4830),
    [anon_sym_LR_DQUOTE] = ACTIONS(4830),
    [anon_sym_uR_DQUOTE] = ACTIONS(4830),
    [anon_sym_UR_DQUOTE] = ACTIONS(4830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4830),
    [sym_literal_suffix] = ACTIONS(4828),
  },
  [1903] = {
    [sym_template_argument_list] = STATE(1549),
    [sym_identifier] = ACTIONS(4513),
    [anon_sym_LPAREN2] = ACTIONS(4520),
    [anon_sym_TILDE] = ACTIONS(4520),
    [anon_sym_STAR] = ACTIONS(4520),
    [anon_sym_PIPE_PIPE] = ACTIONS(4520),
    [anon_sym_AMP_AMP] = ACTIONS(4520),
    [anon_sym_AMP] = ACTIONS(4513),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym___extension__] = ACTIONS(4513),
    [anon_sym_extern] = ACTIONS(4513),
    [anon_sym___attribute__] = ACTIONS(4513),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4520),
    [anon_sym___declspec] = ACTIONS(4513),
    [anon_sym___based] = ACTIONS(4513),
    [anon_sym___cdecl] = ACTIONS(4513),
    [anon_sym___clrcall] = ACTIONS(4513),
    [anon_sym___stdcall] = ACTIONS(4513),
    [anon_sym___fastcall] = ACTIONS(4513),
    [anon_sym___thiscall] = ACTIONS(4513),
    [anon_sym___vectorcall] = ACTIONS(4513),
    [anon_sym_signed] = ACTIONS(4513),
    [anon_sym_unsigned] = ACTIONS(4513),
    [anon_sym_long] = ACTIONS(4513),
    [anon_sym_short] = ACTIONS(4513),
    [anon_sym_LBRACK] = ACTIONS(4513),
    [anon_sym_static] = ACTIONS(4513),
    [anon_sym_register] = ACTIONS(4513),
    [anon_sym_inline] = ACTIONS(4513),
    [anon_sym___inline] = ACTIONS(4513),
    [anon_sym___inline__] = ACTIONS(4513),
    [anon_sym___forceinline] = ACTIONS(4513),
    [anon_sym_thread_local] = ACTIONS(4513),
    [anon_sym___thread] = ACTIONS(4513),
    [anon_sym_const] = ACTIONS(4513),
    [anon_sym_constexpr] = ACTIONS(4513),
    [anon_sym_volatile] = ACTIONS(4513),
    [anon_sym_restrict] = ACTIONS(4513),
    [anon_sym___restrict__] = ACTIONS(4513),
    [anon_sym__Atomic] = ACTIONS(4513),
    [anon_sym__Noreturn] = ACTIONS(4513),
    [anon_sym_noreturn] = ACTIONS(4513),
    [anon_sym_mutable] = ACTIONS(4513),
    [anon_sym_constinit] = ACTIONS(4513),
    [anon_sym_consteval] = ACTIONS(4513),
    [anon_sym_alignas] = ACTIONS(4513),
    [anon_sym__Alignas] = ACTIONS(4513),
    [sym_primitive_type] = ACTIONS(4513),
    [anon_sym_enum] = ACTIONS(4513),
    [anon_sym_class] = ACTIONS(4513),
    [anon_sym_struct] = ACTIONS(4513),
    [anon_sym_union] = ACTIONS(4513),
    [anon_sym_or] = ACTIONS(4513),
    [anon_sym_and] = ACTIONS(4513),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4513),
    [anon_sym_decltype] = ACTIONS(4513),
    [sym_virtual] = ACTIONS(4513),
    [anon_sym_explicit] = ACTIONS(4513),
    [anon_sym_typename] = ACTIONS(4513),
    [anon_sym_template] = ACTIONS(4513),
    [anon_sym_operator] = ACTIONS(4513),
    [anon_sym_friend] = ACTIONS(4513),
    [anon_sym_using] = ACTIONS(4513),
    [anon_sym_concept] = ACTIONS(4513),
  },
  [1904] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1904),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_SEMI] = ACTIONS(4793),
    [anon_sym___extension__] = ACTIONS(4791),
    [anon_sym_extern] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_COLON_COLON] = ACTIONS(4793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4793),
    [anon_sym___declspec] = ACTIONS(4791),
    [anon_sym___based] = ACTIONS(4791),
    [anon_sym___cdecl] = ACTIONS(4791),
    [anon_sym___clrcall] = ACTIONS(4791),
    [anon_sym___stdcall] = ACTIONS(4791),
    [anon_sym___fastcall] = ACTIONS(4791),
    [anon_sym___thiscall] = ACTIONS(4791),
    [anon_sym___vectorcall] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(5467),
    [anon_sym_unsigned] = ACTIONS(5467),
    [anon_sym_long] = ACTIONS(5467),
    [anon_sym_short] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_static] = ACTIONS(4791),
    [anon_sym_EQ] = ACTIONS(4793),
    [anon_sym_register] = ACTIONS(4791),
    [anon_sym_inline] = ACTIONS(4791),
    [anon_sym___inline] = ACTIONS(4791),
    [anon_sym___inline__] = ACTIONS(4791),
    [anon_sym___forceinline] = ACTIONS(4791),
    [anon_sym_thread_local] = ACTIONS(4791),
    [anon_sym___thread] = ACTIONS(4791),
    [anon_sym_const] = ACTIONS(4791),
    [anon_sym_constexpr] = ACTIONS(4791),
    [anon_sym_volatile] = ACTIONS(4791),
    [anon_sym_restrict] = ACTIONS(4791),
    [anon_sym___restrict__] = ACTIONS(4791),
    [anon_sym__Atomic] = ACTIONS(4791),
    [anon_sym__Noreturn] = ACTIONS(4791),
    [anon_sym_noreturn] = ACTIONS(4791),
    [anon_sym_mutable] = ACTIONS(4791),
    [anon_sym_constinit] = ACTIONS(4791),
    [anon_sym_consteval] = ACTIONS(4791),
    [anon_sym_alignas] = ACTIONS(4791),
    [anon_sym__Alignas] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_asm] = ACTIONS(4791),
    [anon_sym___asm__] = ACTIONS(4791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
    [anon_sym_final] = ACTIONS(4791),
    [anon_sym_override] = ACTIONS(4791),
    [sym_virtual] = ACTIONS(4791),
    [anon_sym_template] = ACTIONS(4791),
    [anon_sym_GT2] = ACTIONS(4793),
    [anon_sym_operator] = ACTIONS(4791),
    [anon_sym_try] = ACTIONS(4791),
    [anon_sym_requires] = ACTIONS(4791),
  },
  [1905] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4822),
    [anon_sym_COMMA] = ACTIONS(4822),
    [anon_sym_RPAREN] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(4822),
    [anon_sym_DASH] = ACTIONS(4820),
    [anon_sym_PLUS] = ACTIONS(4820),
    [anon_sym_STAR] = ACTIONS(4820),
    [anon_sym_SLASH] = ACTIONS(4820),
    [anon_sym_PERCENT] = ACTIONS(4820),
    [anon_sym_PIPE_PIPE] = ACTIONS(4822),
    [anon_sym_AMP_AMP] = ACTIONS(4822),
    [anon_sym_PIPE] = ACTIONS(4820),
    [anon_sym_CARET] = ACTIONS(4820),
    [anon_sym_AMP] = ACTIONS(4820),
    [anon_sym_EQ_EQ] = ACTIONS(4822),
    [anon_sym_BANG_EQ] = ACTIONS(4822),
    [anon_sym_GT] = ACTIONS(4820),
    [anon_sym_GT_EQ] = ACTIONS(4822),
    [anon_sym_LT_EQ] = ACTIONS(4820),
    [anon_sym_LT] = ACTIONS(4820),
    [anon_sym_LT_LT] = ACTIONS(4820),
    [anon_sym_GT_GT] = ACTIONS(4820),
    [anon_sym_SEMI] = ACTIONS(4822),
    [anon_sym_RBRACE] = ACTIONS(4822),
    [anon_sym_LBRACK] = ACTIONS(4822),
    [anon_sym_RBRACK] = ACTIONS(4822),
    [anon_sym_EQ] = ACTIONS(4820),
    [anon_sym_COLON] = ACTIONS(4822),
    [anon_sym_QMARK] = ACTIONS(4822),
    [anon_sym_STAR_EQ] = ACTIONS(4822),
    [anon_sym_SLASH_EQ] = ACTIONS(4822),
    [anon_sym_PERCENT_EQ] = ACTIONS(4822),
    [anon_sym_PLUS_EQ] = ACTIONS(4822),
    [anon_sym_DASH_EQ] = ACTIONS(4822),
    [anon_sym_LT_LT_EQ] = ACTIONS(4822),
    [anon_sym_GT_GT_EQ] = ACTIONS(4822),
    [anon_sym_AMP_EQ] = ACTIONS(4822),
    [anon_sym_CARET_EQ] = ACTIONS(4822),
    [anon_sym_PIPE_EQ] = ACTIONS(4822),
    [anon_sym_and_eq] = ACTIONS(4820),
    [anon_sym_or_eq] = ACTIONS(4820),
    [anon_sym_xor_eq] = ACTIONS(4820),
    [anon_sym_LT_EQ_GT] = ACTIONS(4822),
    [anon_sym_or] = ACTIONS(4820),
    [anon_sym_and] = ACTIONS(4820),
    [anon_sym_bitor] = ACTIONS(4820),
    [anon_sym_xor] = ACTIONS(4820),
    [anon_sym_bitand] = ACTIONS(4820),
    [anon_sym_not_eq] = ACTIONS(4820),
    [anon_sym_DASH_DASH] = ACTIONS(4822),
    [anon_sym_PLUS_PLUS] = ACTIONS(4822),
    [anon_sym_DOT] = ACTIONS(4820),
    [anon_sym_DOT_STAR] = ACTIONS(4822),
    [anon_sym_DASH_GT] = ACTIONS(4822),
    [anon_sym_L_DQUOTE] = ACTIONS(4822),
    [anon_sym_u_DQUOTE] = ACTIONS(4822),
    [anon_sym_U_DQUOTE] = ACTIONS(4822),
    [anon_sym_u8_DQUOTE] = ACTIONS(4822),
    [anon_sym_DQUOTE] = ACTIONS(4822),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4822),
    [anon_sym_LR_DQUOTE] = ACTIONS(4822),
    [anon_sym_uR_DQUOTE] = ACTIONS(4822),
    [anon_sym_UR_DQUOTE] = ACTIONS(4822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4822),
    [sym_literal_suffix] = ACTIONS(4820),
  },
  [1906] = {
    [sym__declaration_modifiers] = STATE(3444),
    [sym_attribute_specifier] = STATE(3444),
    [sym_attribute_declaration] = STATE(3444),
    [sym_ms_declspec_modifier] = STATE(3444),
    [sym_storage_class_specifier] = STATE(3444),
    [sym_type_qualifier] = STATE(3444),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(2386),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_type_identifier] = STATE(3070),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3444),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5386),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1907] = {
    [sym_string_literal] = STATE(1889),
    [sym_raw_string_literal] = STATE(1889),
    [aux_sym_concatenated_string_repeat1] = STATE(1889),
    [sym_identifier] = ACTIONS(5470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4787),
    [anon_sym_COMMA] = ACTIONS(4787),
    [anon_sym_LPAREN2] = ACTIONS(4787),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4789),
    [anon_sym_SLASH] = ACTIONS(4789),
    [anon_sym_PERCENT] = ACTIONS(4789),
    [anon_sym_PIPE_PIPE] = ACTIONS(4787),
    [anon_sym_AMP_AMP] = ACTIONS(4787),
    [anon_sym_PIPE] = ACTIONS(4789),
    [anon_sym_CARET] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(4789),
    [anon_sym_EQ_EQ] = ACTIONS(4787),
    [anon_sym_BANG_EQ] = ACTIONS(4787),
    [anon_sym_GT] = ACTIONS(4789),
    [anon_sym_GT_EQ] = ACTIONS(4789),
    [anon_sym_LT_EQ] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4789),
    [anon_sym_LT_LT] = ACTIONS(4789),
    [anon_sym_GT_GT] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [anon_sym_EQ] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(4787),
    [anon_sym_STAR_EQ] = ACTIONS(4787),
    [anon_sym_SLASH_EQ] = ACTIONS(4787),
    [anon_sym_PERCENT_EQ] = ACTIONS(4787),
    [anon_sym_PLUS_EQ] = ACTIONS(4787),
    [anon_sym_DASH_EQ] = ACTIONS(4787),
    [anon_sym_LT_LT_EQ] = ACTIONS(4787),
    [anon_sym_GT_GT_EQ] = ACTIONS(4789),
    [anon_sym_AMP_EQ] = ACTIONS(4787),
    [anon_sym_CARET_EQ] = ACTIONS(4787),
    [anon_sym_PIPE_EQ] = ACTIONS(4787),
    [anon_sym_and_eq] = ACTIONS(4789),
    [anon_sym_or_eq] = ACTIONS(4789),
    [anon_sym_xor_eq] = ACTIONS(4789),
    [anon_sym_LT_EQ_GT] = ACTIONS(4787),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_bitor] = ACTIONS(4789),
    [anon_sym_xor] = ACTIONS(4789),
    [anon_sym_bitand] = ACTIONS(4789),
    [anon_sym_not_eq] = ACTIONS(4789),
    [anon_sym_DASH_DASH] = ACTIONS(4787),
    [anon_sym_PLUS_PLUS] = ACTIONS(4787),
    [anon_sym_DOT] = ACTIONS(4789),
    [anon_sym_DOT_STAR] = ACTIONS(4787),
    [anon_sym_DASH_GT] = ACTIONS(4787),
    [anon_sym_L_DQUOTE] = ACTIONS(5436),
    [anon_sym_u_DQUOTE] = ACTIONS(5436),
    [anon_sym_U_DQUOTE] = ACTIONS(5436),
    [anon_sym_u8_DQUOTE] = ACTIONS(5436),
    [anon_sym_DQUOTE] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4787),
    [anon_sym_R_DQUOTE] = ACTIONS(5438),
    [anon_sym_LR_DQUOTE] = ACTIONS(5438),
    [anon_sym_uR_DQUOTE] = ACTIONS(5438),
    [anon_sym_UR_DQUOTE] = ACTIONS(5438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5438),
    [sym_literal_suffix] = ACTIONS(4789),
  },
  [1908] = {
    [sym_template_argument_list] = STATE(1549),
    [sym_identifier] = ACTIONS(4972),
    [anon_sym_LPAREN2] = ACTIONS(3794),
    [anon_sym_TILDE] = ACTIONS(3794),
    [anon_sym_STAR] = ACTIONS(3794),
    [anon_sym_PIPE_PIPE] = ACTIONS(3794),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_AMP] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym___extension__] = ACTIONS(4972),
    [anon_sym_extern] = ACTIONS(4972),
    [anon_sym___attribute__] = ACTIONS(4972),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3794),
    [anon_sym___declspec] = ACTIONS(4972),
    [anon_sym___based] = ACTIONS(4972),
    [anon_sym___cdecl] = ACTIONS(4972),
    [anon_sym___clrcall] = ACTIONS(4972),
    [anon_sym___stdcall] = ACTIONS(4972),
    [anon_sym___fastcall] = ACTIONS(4972),
    [anon_sym___thiscall] = ACTIONS(4972),
    [anon_sym___vectorcall] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4972),
    [anon_sym_unsigned] = ACTIONS(4972),
    [anon_sym_long] = ACTIONS(4972),
    [anon_sym_short] = ACTIONS(4972),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym_static] = ACTIONS(4972),
    [anon_sym_register] = ACTIONS(4972),
    [anon_sym_inline] = ACTIONS(4972),
    [anon_sym___inline] = ACTIONS(4972),
    [anon_sym___inline__] = ACTIONS(4972),
    [anon_sym___forceinline] = ACTIONS(4972),
    [anon_sym_thread_local] = ACTIONS(4972),
    [anon_sym___thread] = ACTIONS(4972),
    [anon_sym_const] = ACTIONS(4972),
    [anon_sym_constexpr] = ACTIONS(4972),
    [anon_sym_volatile] = ACTIONS(4972),
    [anon_sym_restrict] = ACTIONS(4972),
    [anon_sym___restrict__] = ACTIONS(4972),
    [anon_sym__Atomic] = ACTIONS(4972),
    [anon_sym__Noreturn] = ACTIONS(4972),
    [anon_sym_noreturn] = ACTIONS(4972),
    [anon_sym_mutable] = ACTIONS(4972),
    [anon_sym_constinit] = ACTIONS(4972),
    [anon_sym_consteval] = ACTIONS(4972),
    [anon_sym_alignas] = ACTIONS(4972),
    [anon_sym__Alignas] = ACTIONS(4972),
    [sym_primitive_type] = ACTIONS(4972),
    [anon_sym_enum] = ACTIONS(4972),
    [anon_sym_class] = ACTIONS(4972),
    [anon_sym_struct] = ACTIONS(4972),
    [anon_sym_union] = ACTIONS(4972),
    [anon_sym_or] = ACTIONS(4972),
    [anon_sym_and] = ACTIONS(4972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4972),
    [anon_sym_decltype] = ACTIONS(4972),
    [sym_virtual] = ACTIONS(4972),
    [anon_sym_explicit] = ACTIONS(4972),
    [anon_sym_typename] = ACTIONS(4972),
    [anon_sym_template] = ACTIONS(4972),
    [anon_sym_operator] = ACTIONS(4972),
    [anon_sym_friend] = ACTIONS(4972),
    [anon_sym_using] = ACTIONS(4972),
    [anon_sym_concept] = ACTIONS(4972),
  },
  [1909] = {
    [sym_attribute_specifier] = STATE(1983),
    [sym_identifier] = ACTIONS(5472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [aux_sym_preproc_if_token2] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5474),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5472),
    [anon_sym_STAR] = ACTIONS(5472),
    [anon_sym_SLASH] = ACTIONS(5472),
    [anon_sym_PERCENT] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5472),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5472),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5472),
    [anon_sym_LT_LT] = ACTIONS(5472),
    [anon_sym_GT_GT] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_EQ] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5474),
    [anon_sym_STAR_EQ] = ACTIONS(5474),
    [anon_sym_SLASH_EQ] = ACTIONS(5474),
    [anon_sym_PERCENT_EQ] = ACTIONS(5474),
    [anon_sym_PLUS_EQ] = ACTIONS(5474),
    [anon_sym_DASH_EQ] = ACTIONS(5474),
    [anon_sym_LT_LT_EQ] = ACTIONS(5474),
    [anon_sym_GT_GT_EQ] = ACTIONS(5474),
    [anon_sym_AMP_EQ] = ACTIONS(5474),
    [anon_sym_CARET_EQ] = ACTIONS(5474),
    [anon_sym_PIPE_EQ] = ACTIONS(5474),
    [anon_sym_and_eq] = ACTIONS(5472),
    [anon_sym_or_eq] = ACTIONS(5472),
    [anon_sym_xor_eq] = ACTIONS(5472),
    [anon_sym_LT_EQ_GT] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5472),
    [anon_sym_and] = ACTIONS(5472),
    [anon_sym_bitor] = ACTIONS(5472),
    [anon_sym_xor] = ACTIONS(5472),
    [anon_sym_bitand] = ACTIONS(5472),
    [anon_sym_not_eq] = ACTIONS(5472),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5472),
    [anon_sym_DOT_STAR] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
  },
  [1910] = {
    [sym_string_literal] = STATE(1907),
    [sym_template_argument_list] = STATE(3115),
    [sym_raw_string_literal] = STATE(1907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3778),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3778),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5436),
    [anon_sym_u_DQUOTE] = ACTIONS(5436),
    [anon_sym_U_DQUOTE] = ACTIONS(5436),
    [anon_sym_u8_DQUOTE] = ACTIONS(5436),
    [anon_sym_DQUOTE] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(3770),
    [anon_sym_R_DQUOTE] = ACTIONS(5438),
    [anon_sym_LR_DQUOTE] = ACTIONS(5438),
    [anon_sym_uR_DQUOTE] = ACTIONS(5438),
    [anon_sym_UR_DQUOTE] = ACTIONS(5438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5438),
  },
  [1911] = {
    [sym_attribute_specifier] = STATE(1982),
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [aux_sym_preproc_if_token2] = ACTIONS(5481),
    [aux_sym_preproc_else_token1] = ACTIONS(5481),
    [aux_sym_preproc_elif_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5479),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5479),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5479),
    [anon_sym_GT_GT] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_EQ] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_STAR_EQ] = ACTIONS(5481),
    [anon_sym_SLASH_EQ] = ACTIONS(5481),
    [anon_sym_PERCENT_EQ] = ACTIONS(5481),
    [anon_sym_PLUS_EQ] = ACTIONS(5481),
    [anon_sym_DASH_EQ] = ACTIONS(5481),
    [anon_sym_LT_LT_EQ] = ACTIONS(5481),
    [anon_sym_GT_GT_EQ] = ACTIONS(5481),
    [anon_sym_AMP_EQ] = ACTIONS(5481),
    [anon_sym_CARET_EQ] = ACTIONS(5481),
    [anon_sym_PIPE_EQ] = ACTIONS(5481),
    [anon_sym_and_eq] = ACTIONS(5479),
    [anon_sym_or_eq] = ACTIONS(5479),
    [anon_sym_xor_eq] = ACTIONS(5479),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [aux_sym_preproc_if_token2] = ACTIONS(4930),
    [aux_sym_preproc_else_token1] = ACTIONS(4930),
    [aux_sym_preproc_elif_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4928),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4928),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4928),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4928),
    [anon_sym_GT_GT] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_COLON_COLON] = ACTIONS(4885),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4928),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_STAR_EQ] = ACTIONS(4930),
    [anon_sym_SLASH_EQ] = ACTIONS(4930),
    [anon_sym_PERCENT_EQ] = ACTIONS(4930),
    [anon_sym_PLUS_EQ] = ACTIONS(4930),
    [anon_sym_DASH_EQ] = ACTIONS(4930),
    [anon_sym_LT_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT_GT_EQ] = ACTIONS(4930),
    [anon_sym_AMP_EQ] = ACTIONS(4930),
    [anon_sym_CARET_EQ] = ACTIONS(4930),
    [anon_sym_PIPE_EQ] = ACTIONS(4930),
    [anon_sym_and_eq] = ACTIONS(4928),
    [anon_sym_or_eq] = ACTIONS(4928),
    [anon_sym_xor_eq] = ACTIONS(4928),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
  },
  [1913] = {
    [sym_string_literal] = STATE(3252),
    [sym_template_argument_list] = STATE(4220),
    [sym_raw_string_literal] = STATE(3252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3778),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4629),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(4634),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(4636),
    [anon_sym_SLASH_EQ] = ACTIONS(4636),
    [anon_sym_PERCENT_EQ] = ACTIONS(4636),
    [anon_sym_PLUS_EQ] = ACTIONS(4636),
    [anon_sym_DASH_EQ] = ACTIONS(4636),
    [anon_sym_LT_LT_EQ] = ACTIONS(4636),
    [anon_sym_GT_GT_EQ] = ACTIONS(4634),
    [anon_sym_AMP_EQ] = ACTIONS(4636),
    [anon_sym_CARET_EQ] = ACTIONS(4636),
    [anon_sym_PIPE_EQ] = ACTIONS(4636),
    [anon_sym_and_eq] = ACTIONS(4636),
    [anon_sym_or_eq] = ACTIONS(4636),
    [anon_sym_xor_eq] = ACTIONS(4636),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(4638),
    [anon_sym_u_DQUOTE] = ACTIONS(4638),
    [anon_sym_U_DQUOTE] = ACTIONS(4638),
    [anon_sym_u8_DQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(3770),
    [anon_sym_R_DQUOTE] = ACTIONS(4640),
    [anon_sym_LR_DQUOTE] = ACTIONS(4640),
    [anon_sym_uR_DQUOTE] = ACTIONS(4640),
    [anon_sym_UR_DQUOTE] = ACTIONS(4640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4640),
  },
  [1914] = {
    [sym_attribute_specifier] = STATE(2016),
    [sym_identifier] = ACTIONS(5483),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5485),
    [anon_sym_COMMA] = ACTIONS(5485),
    [anon_sym_RPAREN] = ACTIONS(5485),
    [aux_sym_preproc_if_token2] = ACTIONS(5485),
    [aux_sym_preproc_else_token1] = ACTIONS(5485),
    [aux_sym_preproc_elif_token1] = ACTIONS(5483),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5485),
    [anon_sym_LPAREN2] = ACTIONS(5485),
    [anon_sym_DASH] = ACTIONS(5483),
    [anon_sym_PLUS] = ACTIONS(5483),
    [anon_sym_STAR] = ACTIONS(5483),
    [anon_sym_SLASH] = ACTIONS(5483),
    [anon_sym_PERCENT] = ACTIONS(5483),
    [anon_sym_PIPE_PIPE] = ACTIONS(5485),
    [anon_sym_AMP_AMP] = ACTIONS(5485),
    [anon_sym_PIPE] = ACTIONS(5483),
    [anon_sym_CARET] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(5483),
    [anon_sym_EQ_EQ] = ACTIONS(5485),
    [anon_sym_BANG_EQ] = ACTIONS(5485),
    [anon_sym_GT] = ACTIONS(5483),
    [anon_sym_GT_EQ] = ACTIONS(5485),
    [anon_sym_LT_EQ] = ACTIONS(5483),
    [anon_sym_LT] = ACTIONS(5483),
    [anon_sym_LT_LT] = ACTIONS(5483),
    [anon_sym_GT_GT] = ACTIONS(5483),
    [anon_sym_SEMI] = ACTIONS(5485),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5485),
    [anon_sym_RBRACE] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym_RBRACK] = ACTIONS(5485),
    [anon_sym_EQ] = ACTIONS(5483),
    [anon_sym_COLON] = ACTIONS(5485),
    [anon_sym_QMARK] = ACTIONS(5485),
    [anon_sym_STAR_EQ] = ACTIONS(5485),
    [anon_sym_SLASH_EQ] = ACTIONS(5485),
    [anon_sym_PERCENT_EQ] = ACTIONS(5485),
    [anon_sym_PLUS_EQ] = ACTIONS(5485),
    [anon_sym_DASH_EQ] = ACTIONS(5485),
    [anon_sym_LT_LT_EQ] = ACTIONS(5485),
    [anon_sym_GT_GT_EQ] = ACTIONS(5485),
    [anon_sym_AMP_EQ] = ACTIONS(5485),
    [anon_sym_CARET_EQ] = ACTIONS(5485),
    [anon_sym_PIPE_EQ] = ACTIONS(5485),
    [anon_sym_and_eq] = ACTIONS(5483),
    [anon_sym_or_eq] = ACTIONS(5483),
    [anon_sym_xor_eq] = ACTIONS(5483),
    [anon_sym_LT_EQ_GT] = ACTIONS(5485),
    [anon_sym_or] = ACTIONS(5483),
    [anon_sym_and] = ACTIONS(5483),
    [anon_sym_bitor] = ACTIONS(5483),
    [anon_sym_xor] = ACTIONS(5483),
    [anon_sym_bitand] = ACTIONS(5483),
    [anon_sym_not_eq] = ACTIONS(5483),
    [anon_sym_DASH_DASH] = ACTIONS(5485),
    [anon_sym_PLUS_PLUS] = ACTIONS(5485),
    [anon_sym_DOT] = ACTIONS(5483),
    [anon_sym_DOT_STAR] = ACTIONS(5485),
    [anon_sym_DASH_GT] = ACTIONS(5485),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5483),
    [anon_sym_decltype] = ACTIONS(5483),
  },
  [1915] = {
    [sym_attribute_specifier] = STATE(1933),
    [sym_identifier] = ACTIONS(5487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5489),
    [anon_sym_COMMA] = ACTIONS(5489),
    [anon_sym_RPAREN] = ACTIONS(5489),
    [aux_sym_preproc_if_token2] = ACTIONS(5489),
    [aux_sym_preproc_else_token1] = ACTIONS(5489),
    [aux_sym_preproc_elif_token1] = ACTIONS(5487),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5489),
    [anon_sym_LPAREN2] = ACTIONS(5489),
    [anon_sym_DASH] = ACTIONS(5487),
    [anon_sym_PLUS] = ACTIONS(5487),
    [anon_sym_STAR] = ACTIONS(5487),
    [anon_sym_SLASH] = ACTIONS(5487),
    [anon_sym_PERCENT] = ACTIONS(5487),
    [anon_sym_PIPE_PIPE] = ACTIONS(5489),
    [anon_sym_AMP_AMP] = ACTIONS(5489),
    [anon_sym_PIPE] = ACTIONS(5487),
    [anon_sym_CARET] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(5487),
    [anon_sym_EQ_EQ] = ACTIONS(5489),
    [anon_sym_BANG_EQ] = ACTIONS(5489),
    [anon_sym_GT] = ACTIONS(5487),
    [anon_sym_GT_EQ] = ACTIONS(5489),
    [anon_sym_LT_EQ] = ACTIONS(5487),
    [anon_sym_LT] = ACTIONS(5487),
    [anon_sym_LT_LT] = ACTIONS(5487),
    [anon_sym_GT_GT] = ACTIONS(5487),
    [anon_sym_SEMI] = ACTIONS(5489),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5489),
    [anon_sym_RBRACE] = ACTIONS(5489),
    [anon_sym_LBRACK] = ACTIONS(5489),
    [anon_sym_RBRACK] = ACTIONS(5489),
    [anon_sym_EQ] = ACTIONS(5487),
    [anon_sym_COLON] = ACTIONS(5489),
    [anon_sym_QMARK] = ACTIONS(5489),
    [anon_sym_STAR_EQ] = ACTIONS(5489),
    [anon_sym_SLASH_EQ] = ACTIONS(5489),
    [anon_sym_PERCENT_EQ] = ACTIONS(5489),
    [anon_sym_PLUS_EQ] = ACTIONS(5489),
    [anon_sym_DASH_EQ] = ACTIONS(5489),
    [anon_sym_LT_LT_EQ] = ACTIONS(5489),
    [anon_sym_GT_GT_EQ] = ACTIONS(5489),
    [anon_sym_AMP_EQ] = ACTIONS(5489),
    [anon_sym_CARET_EQ] = ACTIONS(5489),
    [anon_sym_PIPE_EQ] = ACTIONS(5489),
    [anon_sym_and_eq] = ACTIONS(5487),
    [anon_sym_or_eq] = ACTIONS(5487),
    [anon_sym_xor_eq] = ACTIONS(5487),
    [anon_sym_LT_EQ_GT] = ACTIONS(5489),
    [anon_sym_or] = ACTIONS(5487),
    [anon_sym_and] = ACTIONS(5487),
    [anon_sym_bitor] = ACTIONS(5487),
    [anon_sym_xor] = ACTIONS(5487),
    [anon_sym_bitand] = ACTIONS(5487),
    [anon_sym_not_eq] = ACTIONS(5487),
    [anon_sym_DASH_DASH] = ACTIONS(5489),
    [anon_sym_PLUS_PLUS] = ACTIONS(5489),
    [anon_sym_DOT] = ACTIONS(5487),
    [anon_sym_DOT_STAR] = ACTIONS(5489),
    [anon_sym_DASH_GT] = ACTIONS(5489),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5487),
    [anon_sym_decltype] = ACTIONS(5487),
  },
  [1916] = {
    [sym__declaration_modifiers] = STATE(3444),
    [sym_attribute_specifier] = STATE(3444),
    [sym_attribute_declaration] = STATE(3444),
    [sym_ms_declspec_modifier] = STATE(3444),
    [sym_storage_class_specifier] = STATE(3444),
    [sym_type_qualifier] = STATE(3444),
    [sym_alignas_qualifier] = STATE(1815),
    [sym_type_specifier] = STATE(3925),
    [sym_sized_type_specifier] = STATE(2411),
    [sym_enum_specifier] = STATE(2411),
    [sym_struct_specifier] = STATE(2411),
    [sym_union_specifier] = STATE(2411),
    [sym_placeholder_type_specifier] = STATE(2411),
    [sym_decltype_auto] = STATE(2442),
    [sym_decltype] = STATE(2393),
    [sym_class_specifier] = STATE(2411),
    [sym_dependent_type] = STATE(2411),
    [sym_template_type] = STATE(2393),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(6138),
    [sym_qualified_type_identifier] = STATE(2866),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3444),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2984),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3568),
    [anon_sym_unsigned] = ACTIONS(3568),
    [anon_sym_long] = ACTIONS(3568),
    [anon_sym_short] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_struct] = ACTIONS(3576),
    [anon_sym_union] = ACTIONS(3578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5386),
    [anon_sym_typename] = ACTIONS(3582),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1917] = {
    [sym_attribute_specifier] = STATE(1952),
    [sym_identifier] = ACTIONS(5491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5493),
    [anon_sym_COMMA] = ACTIONS(5493),
    [anon_sym_RPAREN] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5491),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5493),
    [anon_sym_LPAREN2] = ACTIONS(5493),
    [anon_sym_DASH] = ACTIONS(5491),
    [anon_sym_PLUS] = ACTIONS(5491),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_SLASH] = ACTIONS(5491),
    [anon_sym_PERCENT] = ACTIONS(5491),
    [anon_sym_PIPE_PIPE] = ACTIONS(5493),
    [anon_sym_AMP_AMP] = ACTIONS(5493),
    [anon_sym_PIPE] = ACTIONS(5491),
    [anon_sym_CARET] = ACTIONS(5491),
    [anon_sym_AMP] = ACTIONS(5491),
    [anon_sym_EQ_EQ] = ACTIONS(5493),
    [anon_sym_BANG_EQ] = ACTIONS(5493),
    [anon_sym_GT] = ACTIONS(5491),
    [anon_sym_GT_EQ] = ACTIONS(5493),
    [anon_sym_LT_EQ] = ACTIONS(5491),
    [anon_sym_LT] = ACTIONS(5491),
    [anon_sym_LT_LT] = ACTIONS(5491),
    [anon_sym_GT_GT] = ACTIONS(5491),
    [anon_sym_SEMI] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(4864),
    [anon_sym_LBRACE] = ACTIONS(5493),
    [anon_sym_RBRACE] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5493),
    [anon_sym_RBRACK] = ACTIONS(5493),
    [anon_sym_EQ] = ACTIONS(5491),
    [anon_sym_COLON] = ACTIONS(5493),
    [anon_sym_QMARK] = ACTIONS(5493),
    [anon_sym_STAR_EQ] = ACTIONS(5493),
    [anon_sym_SLASH_EQ] = ACTIONS(5493),
    [anon_sym_PERCENT_EQ] = ACTIONS(5493),
    [anon_sym_PLUS_EQ] = ACTIONS(5493),
    [anon_sym_DASH_EQ] = ACTIONS(5493),
    [anon_sym_LT_LT_EQ] = ACTIONS(5493),
    [anon_sym_GT_GT_EQ] = ACTIONS(5493),
    [anon_sym_AMP_EQ] = ACTIONS(5493),
    [anon_sym_CARET_EQ] = ACTIONS(5493),
    [anon_sym_PIPE_EQ] = ACTIONS(5493),
    [anon_sym_and_eq] = ACTIONS(5491),
    [anon_sym_or_eq] = ACTIONS(5491),
    [anon_sym_xor_eq] = ACTIONS(5491),
    [anon_sym_LT_EQ_GT] = ACTIONS(5493),
    [anon_sym_or] = ACTIONS(5491),
    [anon_sym_and] = ACTIONS(5491),
    [anon_sym_bitor] = ACTIONS(5491),
    [anon_sym_xor] = ACTIONS(5491),
    [anon_sym_bitand] = ACTIONS(5491),
    [anon_sym_not_eq] = ACTIONS(5491),
    [anon_sym_DASH_DASH] = ACTIONS(5493),
    [anon_sym_PLUS_PLUS] = ACTIONS(5493),
    [anon_sym_DOT] = ACTIONS(5491),
    [anon_sym_DOT_STAR] = ACTIONS(5493),
    [anon_sym_DASH_GT] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5491),
    [anon_sym_decltype] = ACTIONS(5491),
  },
  [1918] = {
    [sym_string_literal] = STATE(2409),
    [sym_template_argument_list] = STATE(3514),
    [sym_raw_string_literal] = STATE(2409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(5495),
    [anon_sym_COLON] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5497),
    [anon_sym_SLASH_EQ] = ACTIONS(5497),
    [anon_sym_PERCENT_EQ] = ACTIONS(5497),
    [anon_sym_PLUS_EQ] = ACTIONS(5497),
    [anon_sym_DASH_EQ] = ACTIONS(5497),
    [anon_sym_LT_LT_EQ] = ACTIONS(5497),
    [anon_sym_GT_GT_EQ] = ACTIONS(5497),
    [anon_sym_AMP_EQ] = ACTIONS(5497),
    [anon_sym_CARET_EQ] = ACTIONS(5497),
    [anon_sym_PIPE_EQ] = ACTIONS(5497),
    [anon_sym_and_eq] = ACTIONS(5497),
    [anon_sym_or_eq] = ACTIONS(5497),
    [anon_sym_xor_eq] = ACTIONS(5497),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1919] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1874),
    [sym_identifier] = ACTIONS(5499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_RBRACE] = ACTIONS(5084),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_RBRACK] = ACTIONS(5084),
    [anon_sym_EQ] = ACTIONS(5086),
    [sym_primitive_type] = ACTIONS(5503),
    [anon_sym_COLON] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
  },
  [1920] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(5505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [aux_sym_preproc_if_token2] = ACTIONS(5084),
    [aux_sym_preproc_else_token1] = ACTIONS(5084),
    [aux_sym_preproc_elif_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_signed] = ACTIONS(5508),
    [anon_sym_unsigned] = ACTIONS(5508),
    [anon_sym_long] = ACTIONS(5508),
    [anon_sym_short] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_EQ] = ACTIONS(5086),
    [sym_primitive_type] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [1923] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1923),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [aux_sym_preproc_if_token2] = ACTIONS(4793),
    [aux_sym_preproc_else_token1] = ACTIONS(4793),
    [aux_sym_preproc_elif_token1] = ACTIONS(4791),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4791),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4793),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4791),
    [anon_sym_GT_GT] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(5512),
    [anon_sym_unsigned] = ACTIONS(5512),
    [anon_sym_long] = ACTIONS(5512),
    [anon_sym_short] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_EQ] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_STAR_EQ] = ACTIONS(4793),
    [anon_sym_SLASH_EQ] = ACTIONS(4793),
    [anon_sym_PERCENT_EQ] = ACTIONS(4793),
    [anon_sym_PLUS_EQ] = ACTIONS(4793),
    [anon_sym_DASH_EQ] = ACTIONS(4793),
    [anon_sym_LT_LT_EQ] = ACTIONS(4793),
    [anon_sym_GT_GT_EQ] = ACTIONS(4793),
    [anon_sym_AMP_EQ] = ACTIONS(4793),
    [anon_sym_CARET_EQ] = ACTIONS(4793),
    [anon_sym_PIPE_EQ] = ACTIONS(4793),
    [anon_sym_and_eq] = ACTIONS(4791),
    [anon_sym_or_eq] = ACTIONS(4791),
    [anon_sym_xor_eq] = ACTIONS(4791),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(5515),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5517),
    [anon_sym_COMMA] = ACTIONS(5517),
    [anon_sym_RPAREN] = ACTIONS(5517),
    [aux_sym_preproc_if_token2] = ACTIONS(5517),
    [aux_sym_preproc_else_token1] = ACTIONS(5517),
    [aux_sym_preproc_elif_token1] = ACTIONS(5515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5517),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5517),
    [anon_sym_DASH] = ACTIONS(5515),
    [anon_sym_PLUS] = ACTIONS(5515),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5515),
    [anon_sym_PERCENT] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5517),
    [anon_sym_AMP_AMP] = ACTIONS(5517),
    [anon_sym_PIPE] = ACTIONS(5515),
    [anon_sym_CARET] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5515),
    [anon_sym_EQ_EQ] = ACTIONS(5517),
    [anon_sym_BANG_EQ] = ACTIONS(5517),
    [anon_sym_GT] = ACTIONS(5515),
    [anon_sym_GT_EQ] = ACTIONS(5517),
    [anon_sym_LT_EQ] = ACTIONS(5515),
    [anon_sym_LT] = ACTIONS(5515),
    [anon_sym_LT_LT] = ACTIONS(5515),
    [anon_sym_GT_GT] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5517),
    [anon_sym___attribute__] = ACTIONS(5515),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5517),
    [anon_sym_RBRACE] = ACTIONS(5517),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5517),
    [anon_sym_EQ] = ACTIONS(5515),
    [anon_sym_COLON] = ACTIONS(5517),
    [anon_sym_QMARK] = ACTIONS(5517),
    [anon_sym_STAR_EQ] = ACTIONS(5517),
    [anon_sym_SLASH_EQ] = ACTIONS(5517),
    [anon_sym_PERCENT_EQ] = ACTIONS(5517),
    [anon_sym_PLUS_EQ] = ACTIONS(5517),
    [anon_sym_DASH_EQ] = ACTIONS(5517),
    [anon_sym_LT_LT_EQ] = ACTIONS(5517),
    [anon_sym_GT_GT_EQ] = ACTIONS(5517),
    [anon_sym_AMP_EQ] = ACTIONS(5517),
    [anon_sym_CARET_EQ] = ACTIONS(5517),
    [anon_sym_PIPE_EQ] = ACTIONS(5517),
    [anon_sym_and_eq] = ACTIONS(5515),
    [anon_sym_or_eq] = ACTIONS(5515),
    [anon_sym_xor_eq] = ACTIONS(5515),
    [anon_sym_LT_EQ_GT] = ACTIONS(5517),
    [anon_sym_or] = ACTIONS(5515),
    [anon_sym_and] = ACTIONS(5515),
    [anon_sym_bitor] = ACTIONS(5515),
    [anon_sym_xor] = ACTIONS(5515),
    [anon_sym_bitand] = ACTIONS(5515),
    [anon_sym_not_eq] = ACTIONS(5515),
    [anon_sym_DASH_DASH] = ACTIONS(5517),
    [anon_sym_PLUS_PLUS] = ACTIONS(5517),
    [anon_sym_DOT] = ACTIONS(5515),
    [anon_sym_DOT_STAR] = ACTIONS(5517),
    [anon_sym_DASH_GT] = ACTIONS(5517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5515),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(5519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5521),
    [anon_sym_COMMA] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5519),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5521),
    [anon_sym_DASH] = ACTIONS(5519),
    [anon_sym_PLUS] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_SLASH] = ACTIONS(5519),
    [anon_sym_PERCENT] = ACTIONS(5519),
    [anon_sym_PIPE_PIPE] = ACTIONS(5521),
    [anon_sym_AMP_AMP] = ACTIONS(5521),
    [anon_sym_PIPE] = ACTIONS(5519),
    [anon_sym_CARET] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5519),
    [anon_sym_EQ_EQ] = ACTIONS(5521),
    [anon_sym_BANG_EQ] = ACTIONS(5521),
    [anon_sym_GT] = ACTIONS(5519),
    [anon_sym_GT_EQ] = ACTIONS(5521),
    [anon_sym_LT_EQ] = ACTIONS(5519),
    [anon_sym_LT] = ACTIONS(5519),
    [anon_sym_LT_LT] = ACTIONS(5519),
    [anon_sym_GT_GT] = ACTIONS(5519),
    [anon_sym_SEMI] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5519),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5521),
    [anon_sym_LBRACE] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5519),
    [anon_sym_RBRACK] = ACTIONS(5521),
    [anon_sym_EQ] = ACTIONS(5519),
    [anon_sym_COLON] = ACTIONS(5521),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_STAR_EQ] = ACTIONS(5521),
    [anon_sym_SLASH_EQ] = ACTIONS(5521),
    [anon_sym_PERCENT_EQ] = ACTIONS(5521),
    [anon_sym_PLUS_EQ] = ACTIONS(5521),
    [anon_sym_DASH_EQ] = ACTIONS(5521),
    [anon_sym_LT_LT_EQ] = ACTIONS(5521),
    [anon_sym_GT_GT_EQ] = ACTIONS(5521),
    [anon_sym_AMP_EQ] = ACTIONS(5521),
    [anon_sym_CARET_EQ] = ACTIONS(5521),
    [anon_sym_PIPE_EQ] = ACTIONS(5521),
    [anon_sym_and_eq] = ACTIONS(5519),
    [anon_sym_or_eq] = ACTIONS(5519),
    [anon_sym_xor_eq] = ACTIONS(5519),
    [anon_sym_LT_EQ_GT] = ACTIONS(5521),
    [anon_sym_or] = ACTIONS(5519),
    [anon_sym_and] = ACTIONS(5519),
    [anon_sym_bitor] = ACTIONS(5519),
    [anon_sym_xor] = ACTIONS(5519),
    [anon_sym_bitand] = ACTIONS(5519),
    [anon_sym_not_eq] = ACTIONS(5519),
    [anon_sym_DASH_DASH] = ACTIONS(5521),
    [anon_sym_PLUS_PLUS] = ACTIONS(5521),
    [anon_sym_DOT] = ACTIONS(5519),
    [anon_sym_DOT_STAR] = ACTIONS(5521),
    [anon_sym_DASH_GT] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5519),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_friend] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(5523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5525),
    [anon_sym_COMMA] = ACTIONS(5525),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [aux_sym_preproc_if_token2] = ACTIONS(5525),
    [aux_sym_preproc_else_token1] = ACTIONS(5525),
    [aux_sym_preproc_elif_token1] = ACTIONS(5523),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5525),
    [anon_sym_LPAREN2] = ACTIONS(5525),
    [anon_sym_DASH] = ACTIONS(5523),
    [anon_sym_PLUS] = ACTIONS(5523),
    [anon_sym_STAR] = ACTIONS(5523),
    [anon_sym_SLASH] = ACTIONS(5523),
    [anon_sym_PERCENT] = ACTIONS(5523),
    [anon_sym_PIPE_PIPE] = ACTIONS(5525),
    [anon_sym_AMP_AMP] = ACTIONS(5525),
    [anon_sym_PIPE] = ACTIONS(5523),
    [anon_sym_CARET] = ACTIONS(5523),
    [anon_sym_AMP] = ACTIONS(5523),
    [anon_sym_EQ_EQ] = ACTIONS(5525),
    [anon_sym_BANG_EQ] = ACTIONS(5525),
    [anon_sym_GT] = ACTIONS(5523),
    [anon_sym_GT_EQ] = ACTIONS(5525),
    [anon_sym_LT_EQ] = ACTIONS(5523),
    [anon_sym_LT] = ACTIONS(5523),
    [anon_sym_LT_LT] = ACTIONS(5523),
    [anon_sym_GT_GT] = ACTIONS(5523),
    [anon_sym_SEMI] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5523),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(5525),
    [anon_sym_RBRACE] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5523),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_EQ] = ACTIONS(5523),
    [anon_sym_COLON] = ACTIONS(5525),
    [anon_sym_QMARK] = ACTIONS(5525),
    [anon_sym_STAR_EQ] = ACTIONS(5525),
    [anon_sym_SLASH_EQ] = ACTIONS(5525),
    [anon_sym_PERCENT_EQ] = ACTIONS(5525),
    [anon_sym_PLUS_EQ] = ACTIONS(5525),
    [anon_sym_DASH_EQ] = ACTIONS(5525),
    [anon_sym_LT_LT_EQ] = ACTIONS(5525),
    [anon_sym_GT_GT_EQ] = ACTIONS(5525),
    [anon_sym_AMP_EQ] = ACTIONS(5525),
    [anon_sym_CARET_EQ] = ACTIONS(5525),
    [anon_sym_PIPE_EQ] = ACTIONS(5525),
    [anon_sym_and_eq] = ACTIONS(5523),
    [anon_sym_or_eq] = ACTIONS(5523),
    [anon_sym_xor_eq] = ACTIONS(5523),
    [anon_sym_LT_EQ_GT] = ACTIONS(5525),
    [anon_sym_or] = ACTIONS(5523),
    [anon_sym_and] = ACTIONS(5523),
    [anon_sym_bitor] = ACTIONS(5523),
    [anon_sym_xor] = ACTIONS(5523),
    [anon_sym_bitand] = ACTIONS(5523),
    [anon_sym_not_eq] = ACTIONS(5523),
    [anon_sym_DASH_DASH] = ACTIONS(5525),
    [anon_sym_PLUS_PLUS] = ACTIONS(5525),
    [anon_sym_DOT] = ACTIONS(5523),
    [anon_sym_DOT_STAR] = ACTIONS(5525),
    [anon_sym_DASH_GT] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5523),
  },
  [1928] = {
    [sym_ms_based_modifier] = STATE(7569),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(3811),
    [sym__declarator] = STATE(5965),
    [sym__abstract_declarator] = STATE(6249),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_type_qualifier] = STATE(2690),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_parameter_list] = STATE(3454),
    [sym_decltype] = STATE(7962),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5390),
    [sym_qualified_identifier] = STATE(5904),
    [sym_operator_name] = STATE(5904),
    [aux_sym__type_definition_type_repeat1] = STATE(2690),
    [aux_sym_pointer_declarator_repeat1] = STATE(3811),
    [sym_identifier] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(5287),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_AMP] = ACTIONS(5531),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5287),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1929] = {
    [sym_attribute_declaration] = STATE(1929),
    [aux_sym_attributed_declarator_repeat1] = STATE(1929),
    [sym_identifier] = ACTIONS(5533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5535),
    [anon_sym_COMMA] = ACTIONS(5535),
    [anon_sym_RPAREN] = ACTIONS(5535),
    [aux_sym_preproc_if_token2] = ACTIONS(5535),
    [aux_sym_preproc_else_token1] = ACTIONS(5535),
    [aux_sym_preproc_elif_token1] = ACTIONS(5533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5535),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5535),
    [anon_sym_LPAREN2] = ACTIONS(5535),
    [anon_sym_DASH] = ACTIONS(5533),
    [anon_sym_PLUS] = ACTIONS(5533),
    [anon_sym_STAR] = ACTIONS(5533),
    [anon_sym_SLASH] = ACTIONS(5533),
    [anon_sym_PERCENT] = ACTIONS(5533),
    [anon_sym_PIPE_PIPE] = ACTIONS(5535),
    [anon_sym_AMP_AMP] = ACTIONS(5535),
    [anon_sym_PIPE] = ACTIONS(5533),
    [anon_sym_CARET] = ACTIONS(5533),
    [anon_sym_AMP] = ACTIONS(5533),
    [anon_sym_EQ_EQ] = ACTIONS(5535),
    [anon_sym_BANG_EQ] = ACTIONS(5535),
    [anon_sym_GT] = ACTIONS(5533),
    [anon_sym_GT_EQ] = ACTIONS(5535),
    [anon_sym_LT_EQ] = ACTIONS(5533),
    [anon_sym_LT] = ACTIONS(5533),
    [anon_sym_LT_LT] = ACTIONS(5533),
    [anon_sym_GT_GT] = ACTIONS(5533),
    [anon_sym_SEMI] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5533),
    [anon_sym_RBRACK] = ACTIONS(5535),
    [anon_sym_EQ] = ACTIONS(5533),
    [anon_sym_COLON] = ACTIONS(5535),
    [anon_sym_QMARK] = ACTIONS(5535),
    [anon_sym_STAR_EQ] = ACTIONS(5535),
    [anon_sym_SLASH_EQ] = ACTIONS(5535),
    [anon_sym_PERCENT_EQ] = ACTIONS(5535),
    [anon_sym_PLUS_EQ] = ACTIONS(5535),
    [anon_sym_DASH_EQ] = ACTIONS(5535),
    [anon_sym_LT_LT_EQ] = ACTIONS(5535),
    [anon_sym_GT_GT_EQ] = ACTIONS(5535),
    [anon_sym_AMP_EQ] = ACTIONS(5535),
    [anon_sym_CARET_EQ] = ACTIONS(5535),
    [anon_sym_PIPE_EQ] = ACTIONS(5535),
    [anon_sym_and_eq] = ACTIONS(5533),
    [anon_sym_or_eq] = ACTIONS(5533),
    [anon_sym_xor_eq] = ACTIONS(5533),
    [anon_sym_LT_EQ_GT] = ACTIONS(5535),
    [anon_sym_or] = ACTIONS(5533),
    [anon_sym_and] = ACTIONS(5533),
    [anon_sym_bitor] = ACTIONS(5533),
    [anon_sym_xor] = ACTIONS(5533),
    [anon_sym_bitand] = ACTIONS(5533),
    [anon_sym_not_eq] = ACTIONS(5533),
    [anon_sym_DASH_DASH] = ACTIONS(5535),
    [anon_sym_PLUS_PLUS] = ACTIONS(5535),
    [anon_sym_DOT] = ACTIONS(5533),
    [anon_sym_DOT_STAR] = ACTIONS(5535),
    [anon_sym_DASH_GT] = ACTIONS(5535),
    [sym_comment] = ACTIONS(3),
  },
  [1930] = {
    [sym_argument_list] = STATE(2340),
    [sym_initializer_list] = STATE(2340),
    [sym_identifier] = ACTIONS(5540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5542),
    [anon_sym_COMMA] = ACTIONS(5542),
    [anon_sym_RPAREN] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5540),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_SLASH] = ACTIONS(5540),
    [anon_sym_PERCENT] = ACTIONS(5540),
    [anon_sym_PIPE_PIPE] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_PIPE] = ACTIONS(5540),
    [anon_sym_CARET] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym_EQ_EQ] = ACTIONS(5542),
    [anon_sym_BANG_EQ] = ACTIONS(5542),
    [anon_sym_GT] = ACTIONS(5540),
    [anon_sym_GT_EQ] = ACTIONS(5542),
    [anon_sym_LT_EQ] = ACTIONS(5540),
    [anon_sym_LT] = ACTIONS(5540),
    [anon_sym_LT_LT] = ACTIONS(5540),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_SEMI] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_RBRACK] = ACTIONS(5542),
    [anon_sym_EQ] = ACTIONS(5540),
    [anon_sym_COLON] = ACTIONS(5542),
    [anon_sym_QMARK] = ACTIONS(5542),
    [anon_sym_STAR_EQ] = ACTIONS(5542),
    [anon_sym_SLASH_EQ] = ACTIONS(5542),
    [anon_sym_PERCENT_EQ] = ACTIONS(5542),
    [anon_sym_PLUS_EQ] = ACTIONS(5542),
    [anon_sym_DASH_EQ] = ACTIONS(5542),
    [anon_sym_LT_LT_EQ] = ACTIONS(5542),
    [anon_sym_GT_GT_EQ] = ACTIONS(5542),
    [anon_sym_AMP_EQ] = ACTIONS(5542),
    [anon_sym_CARET_EQ] = ACTIONS(5542),
    [anon_sym_PIPE_EQ] = ACTIONS(5542),
    [anon_sym_and_eq] = ACTIONS(5540),
    [anon_sym_or_eq] = ACTIONS(5540),
    [anon_sym_xor_eq] = ACTIONS(5540),
    [anon_sym_LT_EQ_GT] = ACTIONS(5542),
    [anon_sym_or] = ACTIONS(5540),
    [anon_sym_and] = ACTIONS(5540),
    [anon_sym_bitor] = ACTIONS(5540),
    [anon_sym_xor] = ACTIONS(5540),
    [anon_sym_bitand] = ACTIONS(5540),
    [anon_sym_not_eq] = ACTIONS(5540),
    [anon_sym_DASH_DASH] = ACTIONS(5542),
    [anon_sym_PLUS_PLUS] = ACTIONS(5542),
    [anon_sym_DOT] = ACTIONS(5540),
    [anon_sym_DOT_STAR] = ACTIONS(5542),
    [anon_sym_DASH_GT] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(5544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5546),
    [anon_sym_COMMA] = ACTIONS(5546),
    [anon_sym_RPAREN] = ACTIONS(5546),
    [aux_sym_preproc_if_token2] = ACTIONS(5546),
    [aux_sym_preproc_else_token1] = ACTIONS(5546),
    [aux_sym_preproc_elif_token1] = ACTIONS(5544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5546),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5546),
    [anon_sym_LPAREN2] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5544),
    [anon_sym_PLUS] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5544),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5546),
    [anon_sym_AMP_AMP] = ACTIONS(5546),
    [anon_sym_PIPE] = ACTIONS(5544),
    [anon_sym_CARET] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5544),
    [anon_sym_EQ_EQ] = ACTIONS(5546),
    [anon_sym_BANG_EQ] = ACTIONS(5546),
    [anon_sym_GT] = ACTIONS(5544),
    [anon_sym_GT_EQ] = ACTIONS(5546),
    [anon_sym_LT_EQ] = ACTIONS(5544),
    [anon_sym_LT] = ACTIONS(5544),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5544),
    [anon_sym_SEMI] = ACTIONS(5546),
    [anon_sym___attribute__] = ACTIONS(5544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5546),
    [anon_sym_LBRACE] = ACTIONS(5546),
    [anon_sym_RBRACE] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5546),
    [anon_sym_EQ] = ACTIONS(5544),
    [anon_sym_COLON] = ACTIONS(5546),
    [anon_sym_QMARK] = ACTIONS(5546),
    [anon_sym_STAR_EQ] = ACTIONS(5546),
    [anon_sym_SLASH_EQ] = ACTIONS(5546),
    [anon_sym_PERCENT_EQ] = ACTIONS(5546),
    [anon_sym_PLUS_EQ] = ACTIONS(5546),
    [anon_sym_DASH_EQ] = ACTIONS(5546),
    [anon_sym_LT_LT_EQ] = ACTIONS(5546),
    [anon_sym_GT_GT_EQ] = ACTIONS(5546),
    [anon_sym_AMP_EQ] = ACTIONS(5546),
    [anon_sym_CARET_EQ] = ACTIONS(5546),
    [anon_sym_PIPE_EQ] = ACTIONS(5546),
    [anon_sym_and_eq] = ACTIONS(5544),
    [anon_sym_or_eq] = ACTIONS(5544),
    [anon_sym_xor_eq] = ACTIONS(5544),
    [anon_sym_LT_EQ_GT] = ACTIONS(5546),
    [anon_sym_or] = ACTIONS(5544),
    [anon_sym_and] = ACTIONS(5544),
    [anon_sym_bitor] = ACTIONS(5544),
    [anon_sym_xor] = ACTIONS(5544),
    [anon_sym_bitand] = ACTIONS(5544),
    [anon_sym_not_eq] = ACTIONS(5544),
    [anon_sym_DASH_DASH] = ACTIONS(5546),
    [anon_sym_PLUS_PLUS] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5544),
    [anon_sym_DOT_STAR] = ACTIONS(5546),
    [anon_sym_DASH_GT] = ACTIONS(5546),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5544),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(4944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4946),
    [anon_sym_COMMA] = ACTIONS(4946),
    [anon_sym_RPAREN] = ACTIONS(4946),
    [aux_sym_preproc_if_token2] = ACTIONS(4946),
    [aux_sym_preproc_else_token1] = ACTIONS(4946),
    [aux_sym_preproc_elif_token1] = ACTIONS(4944),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4946),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4946),
    [anon_sym_LPAREN2] = ACTIONS(4946),
    [anon_sym_DASH] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_STAR] = ACTIONS(4944),
    [anon_sym_SLASH] = ACTIONS(4944),
    [anon_sym_PERCENT] = ACTIONS(4944),
    [anon_sym_PIPE_PIPE] = ACTIONS(4946),
    [anon_sym_AMP_AMP] = ACTIONS(4946),
    [anon_sym_PIPE] = ACTIONS(4944),
    [anon_sym_CARET] = ACTIONS(4944),
    [anon_sym_AMP] = ACTIONS(4944),
    [anon_sym_EQ_EQ] = ACTIONS(4946),
    [anon_sym_BANG_EQ] = ACTIONS(4946),
    [anon_sym_GT] = ACTIONS(4944),
    [anon_sym_GT_EQ] = ACTIONS(4946),
    [anon_sym_LT_EQ] = ACTIONS(4944),
    [anon_sym_LT] = ACTIONS(4944),
    [anon_sym_LT_LT] = ACTIONS(4944),
    [anon_sym_GT_GT] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4946),
    [anon_sym___attribute__] = ACTIONS(4944),
    [anon_sym_LBRACE] = ACTIONS(4946),
    [anon_sym_RBRACE] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [anon_sym_RBRACK] = ACTIONS(4946),
    [anon_sym_EQ] = ACTIONS(4944),
    [anon_sym_COLON] = ACTIONS(4946),
    [anon_sym_QMARK] = ACTIONS(4946),
    [anon_sym_STAR_EQ] = ACTIONS(4946),
    [anon_sym_SLASH_EQ] = ACTIONS(4946),
    [anon_sym_PERCENT_EQ] = ACTIONS(4946),
    [anon_sym_PLUS_EQ] = ACTIONS(4946),
    [anon_sym_DASH_EQ] = ACTIONS(4946),
    [anon_sym_LT_LT_EQ] = ACTIONS(4946),
    [anon_sym_GT_GT_EQ] = ACTIONS(4946),
    [anon_sym_AMP_EQ] = ACTIONS(4946),
    [anon_sym_CARET_EQ] = ACTIONS(4946),
    [anon_sym_PIPE_EQ] = ACTIONS(4946),
    [anon_sym_and_eq] = ACTIONS(4944),
    [anon_sym_or_eq] = ACTIONS(4944),
    [anon_sym_xor_eq] = ACTIONS(4944),
    [anon_sym_LT_EQ_GT] = ACTIONS(4946),
    [anon_sym_or] = ACTIONS(4944),
    [anon_sym_and] = ACTIONS(4944),
    [anon_sym_bitor] = ACTIONS(4944),
    [anon_sym_xor] = ACTIONS(4944),
    [anon_sym_bitand] = ACTIONS(4944),
    [anon_sym_not_eq] = ACTIONS(4944),
    [anon_sym_DASH_DASH] = ACTIONS(4946),
    [anon_sym_PLUS_PLUS] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_DOT_STAR] = ACTIONS(4946),
    [anon_sym_DASH_GT] = ACTIONS(4946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4944),
    [anon_sym_decltype] = ACTIONS(4944),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(4948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4950),
    [anon_sym_COMMA] = ACTIONS(4950),
    [anon_sym_RPAREN] = ACTIONS(4950),
    [aux_sym_preproc_if_token2] = ACTIONS(4950),
    [aux_sym_preproc_else_token1] = ACTIONS(4950),
    [aux_sym_preproc_elif_token1] = ACTIONS(4948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4950),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(4950),
    [anon_sym_DASH] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4948),
    [anon_sym_STAR] = ACTIONS(4948),
    [anon_sym_SLASH] = ACTIONS(4948),
    [anon_sym_PERCENT] = ACTIONS(4948),
    [anon_sym_PIPE_PIPE] = ACTIONS(4950),
    [anon_sym_AMP_AMP] = ACTIONS(4950),
    [anon_sym_PIPE] = ACTIONS(4948),
    [anon_sym_CARET] = ACTIONS(4948),
    [anon_sym_AMP] = ACTIONS(4948),
    [anon_sym_EQ_EQ] = ACTIONS(4950),
    [anon_sym_BANG_EQ] = ACTIONS(4950),
    [anon_sym_GT] = ACTIONS(4948),
    [anon_sym_GT_EQ] = ACTIONS(4950),
    [anon_sym_LT_EQ] = ACTIONS(4948),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4948),
    [anon_sym_GT_GT] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4950),
    [anon_sym___attribute__] = ACTIONS(4948),
    [anon_sym_LBRACE] = ACTIONS(4950),
    [anon_sym_RBRACE] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [anon_sym_RBRACK] = ACTIONS(4950),
    [anon_sym_EQ] = ACTIONS(4948),
    [anon_sym_COLON] = ACTIONS(4950),
    [anon_sym_QMARK] = ACTIONS(4950),
    [anon_sym_STAR_EQ] = ACTIONS(4950),
    [anon_sym_SLASH_EQ] = ACTIONS(4950),
    [anon_sym_PERCENT_EQ] = ACTIONS(4950),
    [anon_sym_PLUS_EQ] = ACTIONS(4950),
    [anon_sym_DASH_EQ] = ACTIONS(4950),
    [anon_sym_LT_LT_EQ] = ACTIONS(4950),
    [anon_sym_GT_GT_EQ] = ACTIONS(4950),
    [anon_sym_AMP_EQ] = ACTIONS(4950),
    [anon_sym_CARET_EQ] = ACTIONS(4950),
    [anon_sym_PIPE_EQ] = ACTIONS(4950),
    [anon_sym_and_eq] = ACTIONS(4948),
    [anon_sym_or_eq] = ACTIONS(4948),
    [anon_sym_xor_eq] = ACTIONS(4948),
    [anon_sym_LT_EQ_GT] = ACTIONS(4950),
    [anon_sym_or] = ACTIONS(4948),
    [anon_sym_and] = ACTIONS(4948),
    [anon_sym_bitor] = ACTIONS(4948),
    [anon_sym_xor] = ACTIONS(4948),
    [anon_sym_bitand] = ACTIONS(4948),
    [anon_sym_not_eq] = ACTIONS(4948),
    [anon_sym_DASH_DASH] = ACTIONS(4950),
    [anon_sym_PLUS_PLUS] = ACTIONS(4950),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_DOT_STAR] = ACTIONS(4950),
    [anon_sym_DASH_GT] = ACTIONS(4950),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4948),
    [anon_sym_decltype] = ACTIONS(4948),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(4940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4942),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [aux_sym_preproc_if_token2] = ACTIONS(4942),
    [aux_sym_preproc_else_token1] = ACTIONS(4942),
    [aux_sym_preproc_elif_token1] = ACTIONS(4940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4940),
    [anon_sym_PERCENT] = ACTIONS(4940),
    [anon_sym_PIPE_PIPE] = ACTIONS(4942),
    [anon_sym_AMP_AMP] = ACTIONS(4942),
    [anon_sym_PIPE] = ACTIONS(4940),
    [anon_sym_CARET] = ACTIONS(4940),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4942),
    [anon_sym_BANG_EQ] = ACTIONS(4942),
    [anon_sym_GT] = ACTIONS(4940),
    [anon_sym_GT_EQ] = ACTIONS(4942),
    [anon_sym_LT_EQ] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_LT_LT] = ACTIONS(4940),
    [anon_sym_GT_GT] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym___attribute__] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4942),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_COLON] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4942),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4940),
    [anon_sym_or_eq] = ACTIONS(4940),
    [anon_sym_xor_eq] = ACTIONS(4940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4942),
    [anon_sym_or] = ACTIONS(4940),
    [anon_sym_and] = ACTIONS(4940),
    [anon_sym_bitor] = ACTIONS(4940),
    [anon_sym_xor] = ACTIONS(4940),
    [anon_sym_bitand] = ACTIONS(4940),
    [anon_sym_not_eq] = ACTIONS(4940),
    [anon_sym_DASH_DASH] = ACTIONS(4942),
    [anon_sym_PLUS_PLUS] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_DOT_STAR] = ACTIONS(4942),
    [anon_sym_DASH_GT] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4940),
    [anon_sym_decltype] = ACTIONS(4940),
  },
  [1936] = {
    [sym_ms_based_modifier] = STATE(7569),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(1928),
    [sym__declarator] = STATE(5945),
    [sym__abstract_declarator] = STATE(6253),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_type_qualifier] = STATE(2613),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_parameter_list] = STATE(3454),
    [sym_decltype] = STATE(7962),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5390),
    [sym_qualified_identifier] = STATE(5904),
    [sym_operator_name] = STATE(5904),
    [aux_sym__type_definition_type_repeat1] = STATE(2613),
    [aux_sym_pointer_declarator_repeat1] = STATE(1928),
    [sym_identifier] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(5273),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5529),
    [anon_sym_AMP] = ACTIONS(5531),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5273),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(4940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4942),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [aux_sym_preproc_if_token2] = ACTIONS(4942),
    [aux_sym_preproc_else_token1] = ACTIONS(4942),
    [aux_sym_preproc_elif_token1] = ACTIONS(4940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4940),
    [anon_sym_PERCENT] = ACTIONS(4940),
    [anon_sym_PIPE_PIPE] = ACTIONS(4942),
    [anon_sym_AMP_AMP] = ACTIONS(4942),
    [anon_sym_PIPE] = ACTIONS(4940),
    [anon_sym_CARET] = ACTIONS(4940),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4942),
    [anon_sym_BANG_EQ] = ACTIONS(4942),
    [anon_sym_GT] = ACTIONS(4940),
    [anon_sym_GT_EQ] = ACTIONS(4942),
    [anon_sym_LT_EQ] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_LT_LT] = ACTIONS(4940),
    [anon_sym_GT_GT] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym___attribute__] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4942),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_COLON] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4942),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4940),
    [anon_sym_or_eq] = ACTIONS(4940),
    [anon_sym_xor_eq] = ACTIONS(4940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4942),
    [anon_sym_or] = ACTIONS(4940),
    [anon_sym_and] = ACTIONS(4940),
    [anon_sym_bitor] = ACTIONS(4940),
    [anon_sym_xor] = ACTIONS(4940),
    [anon_sym_bitand] = ACTIONS(4940),
    [anon_sym_not_eq] = ACTIONS(4940),
    [anon_sym_DASH_DASH] = ACTIONS(4942),
    [anon_sym_PLUS_PLUS] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_DOT_STAR] = ACTIONS(4942),
    [anon_sym_DASH_GT] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4940),
    [anon_sym_decltype] = ACTIONS(4940),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3618),
    [anon_sym_COMMA] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3618),
    [anon_sym_LPAREN2] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_AMP_AMP] = ACTIONS(3618),
    [anon_sym_AMP] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym___extension__] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3618),
    [anon_sym___declspec] = ACTIONS(3616),
    [anon_sym___based] = ACTIONS(3616),
    [anon_sym___cdecl] = ACTIONS(3616),
    [anon_sym___clrcall] = ACTIONS(3616),
    [anon_sym___stdcall] = ACTIONS(3616),
    [anon_sym___fastcall] = ACTIONS(3616),
    [anon_sym___thiscall] = ACTIONS(3616),
    [anon_sym___vectorcall] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_EQ] = ACTIONS(3618),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym___inline] = ACTIONS(3616),
    [anon_sym___inline__] = ACTIONS(3616),
    [anon_sym___forceinline] = ACTIONS(3616),
    [anon_sym_thread_local] = ACTIONS(3616),
    [anon_sym___thread] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_constexpr] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym___restrict__] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym__Noreturn] = ACTIONS(3616),
    [anon_sym_noreturn] = ACTIONS(3616),
    [anon_sym_mutable] = ACTIONS(3616),
    [anon_sym_constinit] = ACTIONS(3616),
    [anon_sym_consteval] = ACTIONS(3616),
    [anon_sym_alignas] = ACTIONS(3616),
    [anon_sym__Alignas] = ACTIONS(3616),
    [anon_sym_COLON] = ACTIONS(3616),
    [anon_sym_asm] = ACTIONS(3616),
    [anon_sym___asm__] = ACTIONS(3616),
    [anon_sym_DASH_GT] = ACTIONS(3618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3616),
    [anon_sym_final] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [sym_virtual] = ACTIONS(3616),
    [anon_sym_explicit] = ACTIONS(3616),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_GT2] = ACTIONS(3618),
    [anon_sym_operator] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_requires] = ACTIONS(3616),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(4940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4942),
    [anon_sym_RPAREN] = ACTIONS(4942),
    [aux_sym_preproc_if_token2] = ACTIONS(4942),
    [aux_sym_preproc_else_token1] = ACTIONS(4942),
    [aux_sym_preproc_elif_token1] = ACTIONS(4940),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4942),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4942),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(4940),
    [anon_sym_SLASH] = ACTIONS(4940),
    [anon_sym_PERCENT] = ACTIONS(4940),
    [anon_sym_PIPE_PIPE] = ACTIONS(4942),
    [anon_sym_AMP_AMP] = ACTIONS(4942),
    [anon_sym_PIPE] = ACTIONS(4940),
    [anon_sym_CARET] = ACTIONS(4940),
    [anon_sym_AMP] = ACTIONS(4940),
    [anon_sym_EQ_EQ] = ACTIONS(4942),
    [anon_sym_BANG_EQ] = ACTIONS(4942),
    [anon_sym_GT] = ACTIONS(4940),
    [anon_sym_GT_EQ] = ACTIONS(4942),
    [anon_sym_LT_EQ] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_LT_LT] = ACTIONS(4940),
    [anon_sym_GT_GT] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym___attribute__] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4942),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4942),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_COLON] = ACTIONS(4942),
    [anon_sym_QMARK] = ACTIONS(4942),
    [anon_sym_STAR_EQ] = ACTIONS(4942),
    [anon_sym_SLASH_EQ] = ACTIONS(4942),
    [anon_sym_PERCENT_EQ] = ACTIONS(4942),
    [anon_sym_PLUS_EQ] = ACTIONS(4942),
    [anon_sym_DASH_EQ] = ACTIONS(4942),
    [anon_sym_LT_LT_EQ] = ACTIONS(4942),
    [anon_sym_GT_GT_EQ] = ACTIONS(4942),
    [anon_sym_AMP_EQ] = ACTIONS(4942),
    [anon_sym_CARET_EQ] = ACTIONS(4942),
    [anon_sym_PIPE_EQ] = ACTIONS(4942),
    [anon_sym_and_eq] = ACTIONS(4940),
    [anon_sym_or_eq] = ACTIONS(4940),
    [anon_sym_xor_eq] = ACTIONS(4940),
    [anon_sym_LT_EQ_GT] = ACTIONS(4942),
    [anon_sym_or] = ACTIONS(4940),
    [anon_sym_and] = ACTIONS(4940),
    [anon_sym_bitor] = ACTIONS(4940),
    [anon_sym_xor] = ACTIONS(4940),
    [anon_sym_bitand] = ACTIONS(4940),
    [anon_sym_not_eq] = ACTIONS(4940),
    [anon_sym_DASH_DASH] = ACTIONS(4942),
    [anon_sym_PLUS_PLUS] = ACTIONS(4942),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_DOT_STAR] = ACTIONS(4942),
    [anon_sym_DASH_GT] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4940),
    [anon_sym_decltype] = ACTIONS(4940),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1941] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1923),
    [sym_identifier] = ACTIONS(5384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [aux_sym_preproc_if_token2] = ACTIONS(5382),
    [aux_sym_preproc_else_token1] = ACTIONS(5382),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5384),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5384),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5384),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5384),
    [anon_sym_GT_GT] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5384),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5384),
    [anon_sym_or_eq] = ACTIONS(5384),
    [anon_sym_xor_eq] = ACTIONS(5384),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5384),
    [anon_sym_and] = ACTIONS(5384),
    [anon_sym_bitor] = ACTIONS(5384),
    [anon_sym_xor] = ACTIONS(5384),
    [anon_sym_bitand] = ACTIONS(5384),
    [anon_sym_not_eq] = ACTIONS(5384),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_friend] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_friend] = ACTIONS(2767),
    [anon_sym_public] = ACTIONS(2767),
    [anon_sym_private] = ACTIONS(2767),
    [anon_sym_protected] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2782),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_friend] = ACTIONS(2780),
    [anon_sym_public] = ACTIONS(2780),
    [anon_sym_private] = ACTIONS(2780),
    [anon_sym_protected] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(4956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4958),
    [anon_sym_COMMA] = ACTIONS(4958),
    [anon_sym_RPAREN] = ACTIONS(4958),
    [aux_sym_preproc_if_token2] = ACTIONS(4958),
    [aux_sym_preproc_else_token1] = ACTIONS(4958),
    [aux_sym_preproc_elif_token1] = ACTIONS(4956),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4958),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4958),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_SLASH] = ACTIONS(4956),
    [anon_sym_PERCENT] = ACTIONS(4956),
    [anon_sym_PIPE_PIPE] = ACTIONS(4958),
    [anon_sym_AMP_AMP] = ACTIONS(4958),
    [anon_sym_PIPE] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [anon_sym_AMP] = ACTIONS(4956),
    [anon_sym_EQ_EQ] = ACTIONS(4958),
    [anon_sym_BANG_EQ] = ACTIONS(4958),
    [anon_sym_GT] = ACTIONS(4956),
    [anon_sym_GT_EQ] = ACTIONS(4958),
    [anon_sym_LT_EQ] = ACTIONS(4956),
    [anon_sym_LT] = ACTIONS(4956),
    [anon_sym_LT_LT] = ACTIONS(4956),
    [anon_sym_GT_GT] = ACTIONS(4956),
    [anon_sym_SEMI] = ACTIONS(4958),
    [anon_sym___attribute__] = ACTIONS(4956),
    [anon_sym_LBRACE] = ACTIONS(4958),
    [anon_sym_RBRACE] = ACTIONS(4958),
    [anon_sym_LBRACK] = ACTIONS(4958),
    [anon_sym_RBRACK] = ACTIONS(4958),
    [anon_sym_EQ] = ACTIONS(4956),
    [anon_sym_COLON] = ACTIONS(4958),
    [anon_sym_QMARK] = ACTIONS(4958),
    [anon_sym_STAR_EQ] = ACTIONS(4958),
    [anon_sym_SLASH_EQ] = ACTIONS(4958),
    [anon_sym_PERCENT_EQ] = ACTIONS(4958),
    [anon_sym_PLUS_EQ] = ACTIONS(4958),
    [anon_sym_DASH_EQ] = ACTIONS(4958),
    [anon_sym_LT_LT_EQ] = ACTIONS(4958),
    [anon_sym_GT_GT_EQ] = ACTIONS(4958),
    [anon_sym_AMP_EQ] = ACTIONS(4958),
    [anon_sym_CARET_EQ] = ACTIONS(4958),
    [anon_sym_PIPE_EQ] = ACTIONS(4958),
    [anon_sym_and_eq] = ACTIONS(4956),
    [anon_sym_or_eq] = ACTIONS(4956),
    [anon_sym_xor_eq] = ACTIONS(4956),
    [anon_sym_LT_EQ_GT] = ACTIONS(4958),
    [anon_sym_or] = ACTIONS(4956),
    [anon_sym_and] = ACTIONS(4956),
    [anon_sym_bitor] = ACTIONS(4956),
    [anon_sym_xor] = ACTIONS(4956),
    [anon_sym_bitand] = ACTIONS(4956),
    [anon_sym_not_eq] = ACTIONS(4956),
    [anon_sym_DASH_DASH] = ACTIONS(4958),
    [anon_sym_PLUS_PLUS] = ACTIONS(4958),
    [anon_sym_DOT] = ACTIONS(4956),
    [anon_sym_DOT_STAR] = ACTIONS(4958),
    [anon_sym_DASH_GT] = ACTIONS(4958),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4956),
    [anon_sym_decltype] = ACTIONS(4956),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_friend] = ACTIONS(2788),
    [anon_sym_public] = ACTIONS(2788),
    [anon_sym_private] = ACTIONS(2788),
    [anon_sym_protected] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(4960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4962),
    [anon_sym_COMMA] = ACTIONS(4962),
    [anon_sym_RPAREN] = ACTIONS(4962),
    [aux_sym_preproc_if_token2] = ACTIONS(4962),
    [aux_sym_preproc_else_token1] = ACTIONS(4962),
    [aux_sym_preproc_elif_token1] = ACTIONS(4960),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4962),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4962),
    [anon_sym_DASH] = ACTIONS(4960),
    [anon_sym_PLUS] = ACTIONS(4960),
    [anon_sym_STAR] = ACTIONS(4960),
    [anon_sym_SLASH] = ACTIONS(4960),
    [anon_sym_PERCENT] = ACTIONS(4960),
    [anon_sym_PIPE_PIPE] = ACTIONS(4962),
    [anon_sym_AMP_AMP] = ACTIONS(4962),
    [anon_sym_PIPE] = ACTIONS(4960),
    [anon_sym_CARET] = ACTIONS(4960),
    [anon_sym_AMP] = ACTIONS(4960),
    [anon_sym_EQ_EQ] = ACTIONS(4962),
    [anon_sym_BANG_EQ] = ACTIONS(4962),
    [anon_sym_GT] = ACTIONS(4960),
    [anon_sym_GT_EQ] = ACTIONS(4962),
    [anon_sym_LT_EQ] = ACTIONS(4960),
    [anon_sym_LT] = ACTIONS(4960),
    [anon_sym_LT_LT] = ACTIONS(4960),
    [anon_sym_GT_GT] = ACTIONS(4960),
    [anon_sym_SEMI] = ACTIONS(4962),
    [anon_sym___attribute__] = ACTIONS(4960),
    [anon_sym_LBRACE] = ACTIONS(4962),
    [anon_sym_RBRACE] = ACTIONS(4962),
    [anon_sym_LBRACK] = ACTIONS(4962),
    [anon_sym_RBRACK] = ACTIONS(4962),
    [anon_sym_EQ] = ACTIONS(4960),
    [anon_sym_COLON] = ACTIONS(4962),
    [anon_sym_QMARK] = ACTIONS(4962),
    [anon_sym_STAR_EQ] = ACTIONS(4962),
    [anon_sym_SLASH_EQ] = ACTIONS(4962),
    [anon_sym_PERCENT_EQ] = ACTIONS(4962),
    [anon_sym_PLUS_EQ] = ACTIONS(4962),
    [anon_sym_DASH_EQ] = ACTIONS(4962),
    [anon_sym_LT_LT_EQ] = ACTIONS(4962),
    [anon_sym_GT_GT_EQ] = ACTIONS(4962),
    [anon_sym_AMP_EQ] = ACTIONS(4962),
    [anon_sym_CARET_EQ] = ACTIONS(4962),
    [anon_sym_PIPE_EQ] = ACTIONS(4962),
    [anon_sym_and_eq] = ACTIONS(4960),
    [anon_sym_or_eq] = ACTIONS(4960),
    [anon_sym_xor_eq] = ACTIONS(4960),
    [anon_sym_LT_EQ_GT] = ACTIONS(4962),
    [anon_sym_or] = ACTIONS(4960),
    [anon_sym_and] = ACTIONS(4960),
    [anon_sym_bitor] = ACTIONS(4960),
    [anon_sym_xor] = ACTIONS(4960),
    [anon_sym_bitand] = ACTIONS(4960),
    [anon_sym_not_eq] = ACTIONS(4960),
    [anon_sym_DASH_DASH] = ACTIONS(4962),
    [anon_sym_PLUS_PLUS] = ACTIONS(4962),
    [anon_sym_DOT] = ACTIONS(4960),
    [anon_sym_DOT_STAR] = ACTIONS(4962),
    [anon_sym_DASH_GT] = ACTIONS(4962),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4960),
    [anon_sym_decltype] = ACTIONS(4960),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_friend] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(4964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4966),
    [anon_sym_COMMA] = ACTIONS(4966),
    [anon_sym_RPAREN] = ACTIONS(4966),
    [aux_sym_preproc_if_token2] = ACTIONS(4966),
    [aux_sym_preproc_else_token1] = ACTIONS(4966),
    [aux_sym_preproc_elif_token1] = ACTIONS(4964),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(4966),
    [anon_sym_DASH] = ACTIONS(4964),
    [anon_sym_PLUS] = ACTIONS(4964),
    [anon_sym_STAR] = ACTIONS(4964),
    [anon_sym_SLASH] = ACTIONS(4964),
    [anon_sym_PERCENT] = ACTIONS(4964),
    [anon_sym_PIPE_PIPE] = ACTIONS(4966),
    [anon_sym_AMP_AMP] = ACTIONS(4966),
    [anon_sym_PIPE] = ACTIONS(4964),
    [anon_sym_CARET] = ACTIONS(4964),
    [anon_sym_AMP] = ACTIONS(4964),
    [anon_sym_EQ_EQ] = ACTIONS(4966),
    [anon_sym_BANG_EQ] = ACTIONS(4966),
    [anon_sym_GT] = ACTIONS(4964),
    [anon_sym_GT_EQ] = ACTIONS(4966),
    [anon_sym_LT_EQ] = ACTIONS(4964),
    [anon_sym_LT] = ACTIONS(4964),
    [anon_sym_LT_LT] = ACTIONS(4964),
    [anon_sym_GT_GT] = ACTIONS(4964),
    [anon_sym_SEMI] = ACTIONS(4966),
    [anon_sym___attribute__] = ACTIONS(4964),
    [anon_sym_LBRACE] = ACTIONS(4966),
    [anon_sym_RBRACE] = ACTIONS(4966),
    [anon_sym_LBRACK] = ACTIONS(4966),
    [anon_sym_RBRACK] = ACTIONS(4966),
    [anon_sym_EQ] = ACTIONS(4964),
    [anon_sym_COLON] = ACTIONS(4966),
    [anon_sym_QMARK] = ACTIONS(4966),
    [anon_sym_STAR_EQ] = ACTIONS(4966),
    [anon_sym_SLASH_EQ] = ACTIONS(4966),
    [anon_sym_PERCENT_EQ] = ACTIONS(4966),
    [anon_sym_PLUS_EQ] = ACTIONS(4966),
    [anon_sym_DASH_EQ] = ACTIONS(4966),
    [anon_sym_LT_LT_EQ] = ACTIONS(4966),
    [anon_sym_GT_GT_EQ] = ACTIONS(4966),
    [anon_sym_AMP_EQ] = ACTIONS(4966),
    [anon_sym_CARET_EQ] = ACTIONS(4966),
    [anon_sym_PIPE_EQ] = ACTIONS(4966),
    [anon_sym_and_eq] = ACTIONS(4964),
    [anon_sym_or_eq] = ACTIONS(4964),
    [anon_sym_xor_eq] = ACTIONS(4964),
    [anon_sym_LT_EQ_GT] = ACTIONS(4966),
    [anon_sym_or] = ACTIONS(4964),
    [anon_sym_and] = ACTIONS(4964),
    [anon_sym_bitor] = ACTIONS(4964),
    [anon_sym_xor] = ACTIONS(4964),
    [anon_sym_bitand] = ACTIONS(4964),
    [anon_sym_not_eq] = ACTIONS(4964),
    [anon_sym_DASH_DASH] = ACTIONS(4966),
    [anon_sym_PLUS_PLUS] = ACTIONS(4966),
    [anon_sym_DOT] = ACTIONS(4964),
    [anon_sym_DOT_STAR] = ACTIONS(4966),
    [anon_sym_DASH_GT] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4964),
    [anon_sym_decltype] = ACTIONS(4964),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [1954] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1923),
    [sym_identifier] = ACTIONS(5370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5368),
    [anon_sym_COMMA] = ACTIONS(5368),
    [aux_sym_preproc_if_token2] = ACTIONS(5368),
    [aux_sym_preproc_else_token1] = ACTIONS(5368),
    [aux_sym_preproc_elif_token1] = ACTIONS(5370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(5368),
    [anon_sym_DASH] = ACTIONS(5370),
    [anon_sym_PLUS] = ACTIONS(5370),
    [anon_sym_STAR] = ACTIONS(5370),
    [anon_sym_SLASH] = ACTIONS(5370),
    [anon_sym_PERCENT] = ACTIONS(5370),
    [anon_sym_PIPE_PIPE] = ACTIONS(5368),
    [anon_sym_AMP_AMP] = ACTIONS(5368),
    [anon_sym_PIPE] = ACTIONS(5370),
    [anon_sym_CARET] = ACTIONS(5370),
    [anon_sym_AMP] = ACTIONS(5370),
    [anon_sym_EQ_EQ] = ACTIONS(5368),
    [anon_sym_BANG_EQ] = ACTIONS(5368),
    [anon_sym_GT] = ACTIONS(5370),
    [anon_sym_GT_EQ] = ACTIONS(5368),
    [anon_sym_LT_EQ] = ACTIONS(5370),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5370),
    [anon_sym_GT_GT] = ACTIONS(5370),
    [anon_sym___attribute__] = ACTIONS(5370),
    [anon_sym_LBRACE] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_EQ] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5368),
    [anon_sym_STAR_EQ] = ACTIONS(5368),
    [anon_sym_SLASH_EQ] = ACTIONS(5368),
    [anon_sym_PERCENT_EQ] = ACTIONS(5368),
    [anon_sym_PLUS_EQ] = ACTIONS(5368),
    [anon_sym_DASH_EQ] = ACTIONS(5368),
    [anon_sym_LT_LT_EQ] = ACTIONS(5368),
    [anon_sym_GT_GT_EQ] = ACTIONS(5368),
    [anon_sym_AMP_EQ] = ACTIONS(5368),
    [anon_sym_CARET_EQ] = ACTIONS(5368),
    [anon_sym_PIPE_EQ] = ACTIONS(5368),
    [anon_sym_and_eq] = ACTIONS(5370),
    [anon_sym_or_eq] = ACTIONS(5370),
    [anon_sym_xor_eq] = ACTIONS(5370),
    [anon_sym_LT_EQ_GT] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5370),
    [anon_sym_and] = ACTIONS(5370),
    [anon_sym_bitor] = ACTIONS(5370),
    [anon_sym_xor] = ACTIONS(5370),
    [anon_sym_bitand] = ACTIONS(5370),
    [anon_sym_not_eq] = ACTIONS(5370),
    [anon_sym_DASH_DASH] = ACTIONS(5368),
    [anon_sym_PLUS_PLUS] = ACTIONS(5368),
    [anon_sym_DOT] = ACTIONS(5370),
    [anon_sym_DOT_STAR] = ACTIONS(5368),
    [anon_sym_DASH_GT] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5370),
    [anon_sym_decltype] = ACTIONS(5370),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_friend] = ACTIONS(2512),
    [anon_sym_public] = ACTIONS(2512),
    [anon_sym_private] = ACTIONS(2512),
    [anon_sym_protected] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
  },
  [1956] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1966),
    [sym_identifier] = ACTIONS(5320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5318),
    [anon_sym_COMMA] = ACTIONS(5318),
    [aux_sym_preproc_if_token2] = ACTIONS(5318),
    [aux_sym_preproc_else_token1] = ACTIONS(5318),
    [aux_sym_preproc_elif_token1] = ACTIONS(5320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5318),
    [anon_sym_LPAREN2] = ACTIONS(5318),
    [anon_sym_DASH] = ACTIONS(5320),
    [anon_sym_PLUS] = ACTIONS(5320),
    [anon_sym_STAR] = ACTIONS(5320),
    [anon_sym_SLASH] = ACTIONS(5320),
    [anon_sym_PERCENT] = ACTIONS(5320),
    [anon_sym_PIPE_PIPE] = ACTIONS(5318),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5320),
    [anon_sym_CARET] = ACTIONS(5320),
    [anon_sym_AMP] = ACTIONS(5320),
    [anon_sym_EQ_EQ] = ACTIONS(5318),
    [anon_sym_BANG_EQ] = ACTIONS(5318),
    [anon_sym_GT] = ACTIONS(5320),
    [anon_sym_GT_EQ] = ACTIONS(5318),
    [anon_sym_LT_EQ] = ACTIONS(5320),
    [anon_sym_LT] = ACTIONS(5320),
    [anon_sym_LT_LT] = ACTIONS(5320),
    [anon_sym_GT_GT] = ACTIONS(5320),
    [anon_sym___attribute__] = ACTIONS(5320),
    [anon_sym_LBRACE] = ACTIONS(5318),
    [anon_sym_signed] = ACTIONS(5550),
    [anon_sym_unsigned] = ACTIONS(5550),
    [anon_sym_long] = ACTIONS(5550),
    [anon_sym_short] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5318),
    [anon_sym_EQ] = ACTIONS(5320),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_STAR_EQ] = ACTIONS(5318),
    [anon_sym_SLASH_EQ] = ACTIONS(5318),
    [anon_sym_PERCENT_EQ] = ACTIONS(5318),
    [anon_sym_PLUS_EQ] = ACTIONS(5318),
    [anon_sym_DASH_EQ] = ACTIONS(5318),
    [anon_sym_LT_LT_EQ] = ACTIONS(5318),
    [anon_sym_GT_GT_EQ] = ACTIONS(5318),
    [anon_sym_AMP_EQ] = ACTIONS(5318),
    [anon_sym_CARET_EQ] = ACTIONS(5318),
    [anon_sym_PIPE_EQ] = ACTIONS(5318),
    [anon_sym_and_eq] = ACTIONS(5320),
    [anon_sym_or_eq] = ACTIONS(5320),
    [anon_sym_xor_eq] = ACTIONS(5320),
    [anon_sym_LT_EQ_GT] = ACTIONS(5318),
    [anon_sym_or] = ACTIONS(5320),
    [anon_sym_and] = ACTIONS(5320),
    [anon_sym_bitor] = ACTIONS(5320),
    [anon_sym_xor] = ACTIONS(5320),
    [anon_sym_bitand] = ACTIONS(5320),
    [anon_sym_not_eq] = ACTIONS(5320),
    [anon_sym_DASH_DASH] = ACTIONS(5318),
    [anon_sym_PLUS_PLUS] = ACTIONS(5318),
    [anon_sym_DOT] = ACTIONS(5320),
    [anon_sym_DOT_STAR] = ACTIONS(5318),
    [anon_sym_DASH_GT] = ACTIONS(5318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5320),
    [anon_sym_decltype] = ACTIONS(5320),
  },
  [1957] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1975),
    [sym_identifier] = ACTIONS(5326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5324),
    [anon_sym_COMMA] = ACTIONS(5324),
    [aux_sym_preproc_if_token2] = ACTIONS(5324),
    [aux_sym_preproc_else_token1] = ACTIONS(5324),
    [aux_sym_preproc_elif_token1] = ACTIONS(5326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5324),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_STAR] = ACTIONS(5326),
    [anon_sym_SLASH] = ACTIONS(5326),
    [anon_sym_PERCENT] = ACTIONS(5326),
    [anon_sym_PIPE_PIPE] = ACTIONS(5324),
    [anon_sym_AMP_AMP] = ACTIONS(5324),
    [anon_sym_PIPE] = ACTIONS(5326),
    [anon_sym_CARET] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(5326),
    [anon_sym_EQ_EQ] = ACTIONS(5324),
    [anon_sym_BANG_EQ] = ACTIONS(5324),
    [anon_sym_GT] = ACTIONS(5326),
    [anon_sym_GT_EQ] = ACTIONS(5324),
    [anon_sym_LT_EQ] = ACTIONS(5326),
    [anon_sym_LT] = ACTIONS(5326),
    [anon_sym_LT_LT] = ACTIONS(5326),
    [anon_sym_GT_GT] = ACTIONS(5326),
    [anon_sym___attribute__] = ACTIONS(5326),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym_EQ] = ACTIONS(5326),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_STAR_EQ] = ACTIONS(5324),
    [anon_sym_SLASH_EQ] = ACTIONS(5324),
    [anon_sym_PERCENT_EQ] = ACTIONS(5324),
    [anon_sym_PLUS_EQ] = ACTIONS(5324),
    [anon_sym_DASH_EQ] = ACTIONS(5324),
    [anon_sym_LT_LT_EQ] = ACTIONS(5324),
    [anon_sym_GT_GT_EQ] = ACTIONS(5324),
    [anon_sym_AMP_EQ] = ACTIONS(5324),
    [anon_sym_CARET_EQ] = ACTIONS(5324),
    [anon_sym_PIPE_EQ] = ACTIONS(5324),
    [anon_sym_and_eq] = ACTIONS(5326),
    [anon_sym_or_eq] = ACTIONS(5326),
    [anon_sym_xor_eq] = ACTIONS(5326),
    [anon_sym_LT_EQ_GT] = ACTIONS(5324),
    [anon_sym_or] = ACTIONS(5326),
    [anon_sym_and] = ACTIONS(5326),
    [anon_sym_bitor] = ACTIONS(5326),
    [anon_sym_xor] = ACTIONS(5326),
    [anon_sym_bitand] = ACTIONS(5326),
    [anon_sym_not_eq] = ACTIONS(5326),
    [anon_sym_DASH_DASH] = ACTIONS(5324),
    [anon_sym_PLUS_PLUS] = ACTIONS(5324),
    [anon_sym_DOT] = ACTIONS(5326),
    [anon_sym_DOT_STAR] = ACTIONS(5324),
    [anon_sym_DASH_GT] = ACTIONS(5324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5326),
    [anon_sym_decltype] = ACTIONS(5326),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_friend] = ACTIONS(2596),
    [anon_sym_public] = ACTIONS(2596),
    [anon_sym_private] = ACTIONS(2596),
    [anon_sym_protected] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_friend] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym_COMMA] = ACTIONS(5190),
    [anon_sym_RPAREN] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5188),
    [anon_sym_STAR] = ACTIONS(5188),
    [anon_sym_SLASH] = ACTIONS(5188),
    [anon_sym_PERCENT] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_PIPE] = ACTIONS(5188),
    [anon_sym_CARET] = ACTIONS(5188),
    [anon_sym_AMP] = ACTIONS(5188),
    [anon_sym_EQ_EQ] = ACTIONS(5190),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_GT] = ACTIONS(5188),
    [anon_sym_GT_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5188),
    [anon_sym_LT] = ACTIONS(5188),
    [anon_sym_LT_LT] = ACTIONS(5188),
    [anon_sym_GT_GT] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [anon_sym___attribute__] = ACTIONS(5188),
    [anon_sym_LBRACE] = ACTIONS(5190),
    [anon_sym_RBRACE] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym_RBRACK] = ACTIONS(5190),
    [anon_sym_EQ] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_QMARK] = ACTIONS(5190),
    [anon_sym_STAR_EQ] = ACTIONS(5190),
    [anon_sym_SLASH_EQ] = ACTIONS(5190),
    [anon_sym_PERCENT_EQ] = ACTIONS(5190),
    [anon_sym_PLUS_EQ] = ACTIONS(5190),
    [anon_sym_DASH_EQ] = ACTIONS(5190),
    [anon_sym_LT_LT_EQ] = ACTIONS(5190),
    [anon_sym_GT_GT_EQ] = ACTIONS(5190),
    [anon_sym_AMP_EQ] = ACTIONS(5190),
    [anon_sym_CARET_EQ] = ACTIONS(5190),
    [anon_sym_PIPE_EQ] = ACTIONS(5190),
    [anon_sym_and_eq] = ACTIONS(5188),
    [anon_sym_or_eq] = ACTIONS(5188),
    [anon_sym_xor_eq] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_bitor] = ACTIONS(5188),
    [anon_sym_xor] = ACTIONS(5188),
    [anon_sym_bitand] = ACTIONS(5188),
    [anon_sym_not_eq] = ACTIONS(5188),
    [anon_sym_DASH_DASH] = ACTIONS(5190),
    [anon_sym_PLUS_PLUS] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_DOT_STAR] = ACTIONS(5190),
    [anon_sym_DASH_GT] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5188),
    [anon_sym_decltype] = ACTIONS(5188),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_friend] = ACTIONS(2596),
    [anon_sym_public] = ACTIONS(2596),
    [anon_sym_private] = ACTIONS(2596),
    [anon_sym_protected] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_friend] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(4976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4978),
    [anon_sym_COMMA] = ACTIONS(4978),
    [anon_sym_RPAREN] = ACTIONS(4978),
    [aux_sym_preproc_if_token2] = ACTIONS(4978),
    [aux_sym_preproc_else_token1] = ACTIONS(4978),
    [aux_sym_preproc_elif_token1] = ACTIONS(4976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4978),
    [anon_sym_LPAREN2] = ACTIONS(4978),
    [anon_sym_DASH] = ACTIONS(4976),
    [anon_sym_PLUS] = ACTIONS(4976),
    [anon_sym_STAR] = ACTIONS(4976),
    [anon_sym_SLASH] = ACTIONS(4976),
    [anon_sym_PERCENT] = ACTIONS(4976),
    [anon_sym_PIPE_PIPE] = ACTIONS(4978),
    [anon_sym_AMP_AMP] = ACTIONS(4978),
    [anon_sym_PIPE] = ACTIONS(4976),
    [anon_sym_CARET] = ACTIONS(4976),
    [anon_sym_AMP] = ACTIONS(4976),
    [anon_sym_EQ_EQ] = ACTIONS(4978),
    [anon_sym_BANG_EQ] = ACTIONS(4978),
    [anon_sym_GT] = ACTIONS(4976),
    [anon_sym_GT_EQ] = ACTIONS(4978),
    [anon_sym_LT_EQ] = ACTIONS(4976),
    [anon_sym_LT] = ACTIONS(4976),
    [anon_sym_LT_LT] = ACTIONS(4976),
    [anon_sym_GT_GT] = ACTIONS(4976),
    [anon_sym_SEMI] = ACTIONS(4978),
    [anon_sym___attribute__] = ACTIONS(4976),
    [anon_sym_LBRACE] = ACTIONS(4978),
    [anon_sym_RBRACE] = ACTIONS(4978),
    [anon_sym_LBRACK] = ACTIONS(4978),
    [anon_sym_RBRACK] = ACTIONS(4978),
    [anon_sym_EQ] = ACTIONS(4976),
    [anon_sym_COLON] = ACTIONS(4978),
    [anon_sym_QMARK] = ACTIONS(4978),
    [anon_sym_STAR_EQ] = ACTIONS(4978),
    [anon_sym_SLASH_EQ] = ACTIONS(4978),
    [anon_sym_PERCENT_EQ] = ACTIONS(4978),
    [anon_sym_PLUS_EQ] = ACTIONS(4978),
    [anon_sym_DASH_EQ] = ACTIONS(4978),
    [anon_sym_LT_LT_EQ] = ACTIONS(4978),
    [anon_sym_GT_GT_EQ] = ACTIONS(4978),
    [anon_sym_AMP_EQ] = ACTIONS(4978),
    [anon_sym_CARET_EQ] = ACTIONS(4978),
    [anon_sym_PIPE_EQ] = ACTIONS(4978),
    [anon_sym_and_eq] = ACTIONS(4976),
    [anon_sym_or_eq] = ACTIONS(4976),
    [anon_sym_xor_eq] = ACTIONS(4976),
    [anon_sym_LT_EQ_GT] = ACTIONS(4978),
    [anon_sym_or] = ACTIONS(4976),
    [anon_sym_and] = ACTIONS(4976),
    [anon_sym_bitor] = ACTIONS(4976),
    [anon_sym_xor] = ACTIONS(4976),
    [anon_sym_bitand] = ACTIONS(4976),
    [anon_sym_not_eq] = ACTIONS(4976),
    [anon_sym_DASH_DASH] = ACTIONS(4978),
    [anon_sym_PLUS_PLUS] = ACTIONS(4978),
    [anon_sym_DOT] = ACTIONS(4976),
    [anon_sym_DOT_STAR] = ACTIONS(4978),
    [anon_sym_DASH_GT] = ACTIONS(4978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4976),
    [anon_sym_decltype] = ACTIONS(4976),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(4980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4982),
    [anon_sym_COMMA] = ACTIONS(4982),
    [anon_sym_RPAREN] = ACTIONS(4982),
    [aux_sym_preproc_if_token2] = ACTIONS(4982),
    [aux_sym_preproc_else_token1] = ACTIONS(4982),
    [aux_sym_preproc_elif_token1] = ACTIONS(4980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4982),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_DASH] = ACTIONS(4980),
    [anon_sym_PLUS] = ACTIONS(4980),
    [anon_sym_STAR] = ACTIONS(4980),
    [anon_sym_SLASH] = ACTIONS(4980),
    [anon_sym_PERCENT] = ACTIONS(4980),
    [anon_sym_PIPE_PIPE] = ACTIONS(4982),
    [anon_sym_AMP_AMP] = ACTIONS(4982),
    [anon_sym_PIPE] = ACTIONS(4980),
    [anon_sym_CARET] = ACTIONS(4980),
    [anon_sym_AMP] = ACTIONS(4980),
    [anon_sym_EQ_EQ] = ACTIONS(4982),
    [anon_sym_BANG_EQ] = ACTIONS(4982),
    [anon_sym_GT] = ACTIONS(4980),
    [anon_sym_GT_EQ] = ACTIONS(4982),
    [anon_sym_LT_EQ] = ACTIONS(4980),
    [anon_sym_LT] = ACTIONS(4980),
    [anon_sym_LT_LT] = ACTIONS(4980),
    [anon_sym_GT_GT] = ACTIONS(4980),
    [anon_sym_SEMI] = ACTIONS(4982),
    [anon_sym___attribute__] = ACTIONS(4980),
    [anon_sym_LBRACE] = ACTIONS(4982),
    [anon_sym_RBRACE] = ACTIONS(4982),
    [anon_sym_LBRACK] = ACTIONS(4982),
    [anon_sym_RBRACK] = ACTIONS(4982),
    [anon_sym_EQ] = ACTIONS(4980),
    [anon_sym_COLON] = ACTIONS(4982),
    [anon_sym_QMARK] = ACTIONS(4982),
    [anon_sym_STAR_EQ] = ACTIONS(4982),
    [anon_sym_SLASH_EQ] = ACTIONS(4982),
    [anon_sym_PERCENT_EQ] = ACTIONS(4982),
    [anon_sym_PLUS_EQ] = ACTIONS(4982),
    [anon_sym_DASH_EQ] = ACTIONS(4982),
    [anon_sym_LT_LT_EQ] = ACTIONS(4982),
    [anon_sym_GT_GT_EQ] = ACTIONS(4982),
    [anon_sym_AMP_EQ] = ACTIONS(4982),
    [anon_sym_CARET_EQ] = ACTIONS(4982),
    [anon_sym_PIPE_EQ] = ACTIONS(4982),
    [anon_sym_and_eq] = ACTIONS(4980),
    [anon_sym_or_eq] = ACTIONS(4980),
    [anon_sym_xor_eq] = ACTIONS(4980),
    [anon_sym_LT_EQ_GT] = ACTIONS(4982),
    [anon_sym_or] = ACTIONS(4980),
    [anon_sym_and] = ACTIONS(4980),
    [anon_sym_bitor] = ACTIONS(4980),
    [anon_sym_xor] = ACTIONS(4980),
    [anon_sym_bitand] = ACTIONS(4980),
    [anon_sym_not_eq] = ACTIONS(4980),
    [anon_sym_DASH_DASH] = ACTIONS(4982),
    [anon_sym_PLUS_PLUS] = ACTIONS(4982),
    [anon_sym_DOT] = ACTIONS(4980),
    [anon_sym_DOT_STAR] = ACTIONS(4982),
    [anon_sym_DASH_GT] = ACTIONS(4982),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4980),
    [anon_sym_decltype] = ACTIONS(4980),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(5004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5006),
    [anon_sym_COMMA] = ACTIONS(5006),
    [anon_sym_RPAREN] = ACTIONS(5006),
    [aux_sym_preproc_if_token2] = ACTIONS(5006),
    [aux_sym_preproc_else_token1] = ACTIONS(5006),
    [aux_sym_preproc_elif_token1] = ACTIONS(5004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5006),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5006),
    [anon_sym_LPAREN2] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5004),
    [anon_sym_STAR] = ACTIONS(5004),
    [anon_sym_SLASH] = ACTIONS(5004),
    [anon_sym_PERCENT] = ACTIONS(5004),
    [anon_sym_PIPE_PIPE] = ACTIONS(5006),
    [anon_sym_AMP_AMP] = ACTIONS(5006),
    [anon_sym_PIPE] = ACTIONS(5004),
    [anon_sym_CARET] = ACTIONS(5004),
    [anon_sym_AMP] = ACTIONS(5004),
    [anon_sym_EQ_EQ] = ACTIONS(5006),
    [anon_sym_BANG_EQ] = ACTIONS(5006),
    [anon_sym_GT] = ACTIONS(5004),
    [anon_sym_GT_EQ] = ACTIONS(5006),
    [anon_sym_LT_EQ] = ACTIONS(5004),
    [anon_sym_LT] = ACTIONS(5004),
    [anon_sym_LT_LT] = ACTIONS(5004),
    [anon_sym_GT_GT] = ACTIONS(5004),
    [anon_sym_SEMI] = ACTIONS(5006),
    [anon_sym___attribute__] = ACTIONS(5004),
    [anon_sym_LBRACE] = ACTIONS(5006),
    [anon_sym_RBRACE] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [anon_sym_RBRACK] = ACTIONS(5006),
    [anon_sym_EQ] = ACTIONS(5004),
    [anon_sym_COLON] = ACTIONS(5006),
    [anon_sym_QMARK] = ACTIONS(5006),
    [anon_sym_STAR_EQ] = ACTIONS(5006),
    [anon_sym_SLASH_EQ] = ACTIONS(5006),
    [anon_sym_PERCENT_EQ] = ACTIONS(5006),
    [anon_sym_PLUS_EQ] = ACTIONS(5006),
    [anon_sym_DASH_EQ] = ACTIONS(5006),
    [anon_sym_LT_LT_EQ] = ACTIONS(5006),
    [anon_sym_GT_GT_EQ] = ACTIONS(5006),
    [anon_sym_AMP_EQ] = ACTIONS(5006),
    [anon_sym_CARET_EQ] = ACTIONS(5006),
    [anon_sym_PIPE_EQ] = ACTIONS(5006),
    [anon_sym_and_eq] = ACTIONS(5004),
    [anon_sym_or_eq] = ACTIONS(5004),
    [anon_sym_xor_eq] = ACTIONS(5004),
    [anon_sym_LT_EQ_GT] = ACTIONS(5006),
    [anon_sym_or] = ACTIONS(5004),
    [anon_sym_and] = ACTIONS(5004),
    [anon_sym_bitor] = ACTIONS(5004),
    [anon_sym_xor] = ACTIONS(5004),
    [anon_sym_bitand] = ACTIONS(5004),
    [anon_sym_not_eq] = ACTIONS(5004),
    [anon_sym_DASH_DASH] = ACTIONS(5006),
    [anon_sym_PLUS_PLUS] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5004),
    [anon_sym_DOT_STAR] = ACTIONS(5006),
    [anon_sym_DASH_GT] = ACTIONS(5006),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5004),
    [anon_sym_decltype] = ACTIONS(5004),
  },
  [1966] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1923),
    [sym_identifier] = ACTIONS(5312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5310),
    [anon_sym_COMMA] = ACTIONS(5310),
    [aux_sym_preproc_if_token2] = ACTIONS(5310),
    [aux_sym_preproc_else_token1] = ACTIONS(5310),
    [aux_sym_preproc_elif_token1] = ACTIONS(5312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5310),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5312),
    [anon_sym_STAR] = ACTIONS(5312),
    [anon_sym_SLASH] = ACTIONS(5312),
    [anon_sym_PERCENT] = ACTIONS(5312),
    [anon_sym_PIPE_PIPE] = ACTIONS(5310),
    [anon_sym_AMP_AMP] = ACTIONS(5310),
    [anon_sym_PIPE] = ACTIONS(5312),
    [anon_sym_CARET] = ACTIONS(5312),
    [anon_sym_AMP] = ACTIONS(5312),
    [anon_sym_EQ_EQ] = ACTIONS(5310),
    [anon_sym_BANG_EQ] = ACTIONS(5310),
    [anon_sym_GT] = ACTIONS(5312),
    [anon_sym_GT_EQ] = ACTIONS(5310),
    [anon_sym_LT_EQ] = ACTIONS(5312),
    [anon_sym_LT] = ACTIONS(5312),
    [anon_sym_LT_LT] = ACTIONS(5312),
    [anon_sym_GT_GT] = ACTIONS(5312),
    [anon_sym___attribute__] = ACTIONS(5312),
    [anon_sym_LBRACE] = ACTIONS(5310),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5310),
    [anon_sym_EQ] = ACTIONS(5312),
    [anon_sym_QMARK] = ACTIONS(5310),
    [anon_sym_STAR_EQ] = ACTIONS(5310),
    [anon_sym_SLASH_EQ] = ACTIONS(5310),
    [anon_sym_PERCENT_EQ] = ACTIONS(5310),
    [anon_sym_PLUS_EQ] = ACTIONS(5310),
    [anon_sym_DASH_EQ] = ACTIONS(5310),
    [anon_sym_LT_LT_EQ] = ACTIONS(5310),
    [anon_sym_GT_GT_EQ] = ACTIONS(5310),
    [anon_sym_AMP_EQ] = ACTIONS(5310),
    [anon_sym_CARET_EQ] = ACTIONS(5310),
    [anon_sym_PIPE_EQ] = ACTIONS(5310),
    [anon_sym_and_eq] = ACTIONS(5312),
    [anon_sym_or_eq] = ACTIONS(5312),
    [anon_sym_xor_eq] = ACTIONS(5312),
    [anon_sym_LT_EQ_GT] = ACTIONS(5310),
    [anon_sym_or] = ACTIONS(5312),
    [anon_sym_and] = ACTIONS(5312),
    [anon_sym_bitor] = ACTIONS(5312),
    [anon_sym_xor] = ACTIONS(5312),
    [anon_sym_bitand] = ACTIONS(5312),
    [anon_sym_not_eq] = ACTIONS(5312),
    [anon_sym_DASH_DASH] = ACTIONS(5310),
    [anon_sym_PLUS_PLUS] = ACTIONS(5310),
    [anon_sym_DOT] = ACTIONS(5312),
    [anon_sym_DOT_STAR] = ACTIONS(5310),
    [anon_sym_DASH_GT] = ACTIONS(5310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5312),
    [anon_sym_decltype] = ACTIONS(5312),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(4968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4970),
    [anon_sym_COMMA] = ACTIONS(4970),
    [anon_sym_RPAREN] = ACTIONS(4970),
    [aux_sym_preproc_if_token2] = ACTIONS(4970),
    [aux_sym_preproc_else_token1] = ACTIONS(4970),
    [aux_sym_preproc_elif_token1] = ACTIONS(4968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4970),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_DASH] = ACTIONS(4968),
    [anon_sym_PLUS] = ACTIONS(4968),
    [anon_sym_STAR] = ACTIONS(4968),
    [anon_sym_SLASH] = ACTIONS(4968),
    [anon_sym_PERCENT] = ACTIONS(4968),
    [anon_sym_PIPE_PIPE] = ACTIONS(4970),
    [anon_sym_AMP_AMP] = ACTIONS(4970),
    [anon_sym_PIPE] = ACTIONS(4968),
    [anon_sym_CARET] = ACTIONS(4968),
    [anon_sym_AMP] = ACTIONS(4968),
    [anon_sym_EQ_EQ] = ACTIONS(4970),
    [anon_sym_BANG_EQ] = ACTIONS(4970),
    [anon_sym_GT] = ACTIONS(4968),
    [anon_sym_GT_EQ] = ACTIONS(4970),
    [anon_sym_LT_EQ] = ACTIONS(4968),
    [anon_sym_LT] = ACTIONS(4968),
    [anon_sym_LT_LT] = ACTIONS(4968),
    [anon_sym_GT_GT] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4968),
    [anon_sym_LBRACE] = ACTIONS(4970),
    [anon_sym_RBRACE] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4970),
    [anon_sym_RBRACK] = ACTIONS(4970),
    [anon_sym_EQ] = ACTIONS(4968),
    [anon_sym_COLON] = ACTIONS(4970),
    [anon_sym_QMARK] = ACTIONS(4970),
    [anon_sym_STAR_EQ] = ACTIONS(4970),
    [anon_sym_SLASH_EQ] = ACTIONS(4970),
    [anon_sym_PERCENT_EQ] = ACTIONS(4970),
    [anon_sym_PLUS_EQ] = ACTIONS(4970),
    [anon_sym_DASH_EQ] = ACTIONS(4970),
    [anon_sym_LT_LT_EQ] = ACTIONS(4970),
    [anon_sym_GT_GT_EQ] = ACTIONS(4970),
    [anon_sym_AMP_EQ] = ACTIONS(4970),
    [anon_sym_CARET_EQ] = ACTIONS(4970),
    [anon_sym_PIPE_EQ] = ACTIONS(4970),
    [anon_sym_and_eq] = ACTIONS(4968),
    [anon_sym_or_eq] = ACTIONS(4968),
    [anon_sym_xor_eq] = ACTIONS(4968),
    [anon_sym_LT_EQ_GT] = ACTIONS(4970),
    [anon_sym_or] = ACTIONS(4968),
    [anon_sym_and] = ACTIONS(4968),
    [anon_sym_bitor] = ACTIONS(4968),
    [anon_sym_xor] = ACTIONS(4968),
    [anon_sym_bitand] = ACTIONS(4968),
    [anon_sym_not_eq] = ACTIONS(4968),
    [anon_sym_DASH_DASH] = ACTIONS(4970),
    [anon_sym_PLUS_PLUS] = ACTIONS(4970),
    [anon_sym_DOT] = ACTIONS(4968),
    [anon_sym_DOT_STAR] = ACTIONS(4970),
    [anon_sym_DASH_GT] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4968),
    [anon_sym_decltype] = ACTIONS(4968),
  },
  [1968] = {
    [sym_string_literal] = STATE(1842),
    [sym_raw_string_literal] = STATE(1842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___attribute__] = ACTIONS(3778),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(5150),
  },
  [1969] = {
    [sym_string_literal] = STATE(1842),
    [sym_raw_string_literal] = STATE(1842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_SLASH] = ACTIONS(5156),
    [anon_sym_PERCENT] = ACTIONS(5156),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5156),
    [anon_sym_CARET] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5156),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_GT] = ACTIONS(5156),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5156),
    [anon_sym_LT] = ACTIONS(5156),
    [anon_sym_LT_LT] = ACTIONS(5156),
    [anon_sym_GT_GT] = ACTIONS(5156),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym___attribute__] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5156),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_STAR_EQ] = ACTIONS(5158),
    [anon_sym_SLASH_EQ] = ACTIONS(5158),
    [anon_sym_PERCENT_EQ] = ACTIONS(5158),
    [anon_sym_PLUS_EQ] = ACTIONS(5158),
    [anon_sym_DASH_EQ] = ACTIONS(5158),
    [anon_sym_LT_LT_EQ] = ACTIONS(5158),
    [anon_sym_GT_GT_EQ] = ACTIONS(5158),
    [anon_sym_AMP_EQ] = ACTIONS(5158),
    [anon_sym_CARET_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_and_eq] = ACTIONS(5156),
    [anon_sym_or_eq] = ACTIONS(5156),
    [anon_sym_xor_eq] = ACTIONS(5156),
    [anon_sym_LT_EQ_GT] = ACTIONS(5158),
    [anon_sym_or] = ACTIONS(5156),
    [anon_sym_and] = ACTIONS(5156),
    [anon_sym_bitor] = ACTIONS(5156),
    [anon_sym_xor] = ACTIONS(5156),
    [anon_sym_bitand] = ACTIONS(5156),
    [anon_sym_not_eq] = ACTIONS(5156),
    [anon_sym_DASH_DASH] = ACTIONS(5158),
    [anon_sym_PLUS_PLUS] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5156),
    [anon_sym_DOT_STAR] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5158),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(5150),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5036),
    [anon_sym_COMMA] = ACTIONS(5036),
    [anon_sym_RPAREN] = ACTIONS(5036),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [aux_sym_preproc_else_token1] = ACTIONS(5036),
    [aux_sym_preproc_elif_token1] = ACTIONS(5034),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_STAR] = ACTIONS(5034),
    [anon_sym_SLASH] = ACTIONS(5034),
    [anon_sym_PERCENT] = ACTIONS(5034),
    [anon_sym_PIPE_PIPE] = ACTIONS(5036),
    [anon_sym_AMP_AMP] = ACTIONS(5036),
    [anon_sym_PIPE] = ACTIONS(5034),
    [anon_sym_CARET] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(5034),
    [anon_sym_EQ_EQ] = ACTIONS(5036),
    [anon_sym_BANG_EQ] = ACTIONS(5036),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5034),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5034),
    [anon_sym_GT_GT] = ACTIONS(5034),
    [anon_sym_SEMI] = ACTIONS(5036),
    [anon_sym___attribute__] = ACTIONS(5034),
    [anon_sym_LBRACE] = ACTIONS(5036),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [anon_sym_RBRACK] = ACTIONS(5036),
    [anon_sym_EQ] = ACTIONS(5034),
    [anon_sym_COLON] = ACTIONS(5036),
    [anon_sym_QMARK] = ACTIONS(5036),
    [anon_sym_STAR_EQ] = ACTIONS(5036),
    [anon_sym_SLASH_EQ] = ACTIONS(5036),
    [anon_sym_PERCENT_EQ] = ACTIONS(5036),
    [anon_sym_PLUS_EQ] = ACTIONS(5036),
    [anon_sym_DASH_EQ] = ACTIONS(5036),
    [anon_sym_LT_LT_EQ] = ACTIONS(5036),
    [anon_sym_GT_GT_EQ] = ACTIONS(5036),
    [anon_sym_AMP_EQ] = ACTIONS(5036),
    [anon_sym_CARET_EQ] = ACTIONS(5036),
    [anon_sym_PIPE_EQ] = ACTIONS(5036),
    [anon_sym_and_eq] = ACTIONS(5034),
    [anon_sym_or_eq] = ACTIONS(5034),
    [anon_sym_xor_eq] = ACTIONS(5034),
    [anon_sym_LT_EQ_GT] = ACTIONS(5036),
    [anon_sym_or] = ACTIONS(5034),
    [anon_sym_and] = ACTIONS(5034),
    [anon_sym_bitor] = ACTIONS(5034),
    [anon_sym_xor] = ACTIONS(5034),
    [anon_sym_bitand] = ACTIONS(5034),
    [anon_sym_not_eq] = ACTIONS(5034),
    [anon_sym_DASH_DASH] = ACTIONS(5036),
    [anon_sym_PLUS_PLUS] = ACTIONS(5036),
    [anon_sym_DOT] = ACTIONS(5034),
    [anon_sym_DOT_STAR] = ACTIONS(5036),
    [anon_sym_DASH_GT] = ACTIONS(5036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5034),
    [anon_sym_decltype] = ACTIONS(5034),
  },
  [1971] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2168),
    [sym_identifier] = ACTIONS(5554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_signed] = ACTIONS(5556),
    [anon_sym_unsigned] = ACTIONS(5556),
    [anon_sym_long] = ACTIONS(5556),
    [anon_sym_short] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym__Alignas] = ACTIONS(5086),
    [sym_primitive_type] = ACTIONS(5558),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_final] = ACTIONS(5086),
    [anon_sym_override] = ACTIONS(5086),
    [anon_sym_GT2] = ACTIONS(5084),
    [anon_sym_requires] = ACTIONS(5086),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(5038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(5040),
    [anon_sym_RPAREN] = ACTIONS(5040),
    [aux_sym_preproc_if_token2] = ACTIONS(5040),
    [aux_sym_preproc_else_token1] = ACTIONS(5040),
    [aux_sym_preproc_elif_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5040),
    [anon_sym_LPAREN2] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5038),
    [anon_sym_STAR] = ACTIONS(5038),
    [anon_sym_SLASH] = ACTIONS(5038),
    [anon_sym_PERCENT] = ACTIONS(5038),
    [anon_sym_PIPE_PIPE] = ACTIONS(5040),
    [anon_sym_AMP_AMP] = ACTIONS(5040),
    [anon_sym_PIPE] = ACTIONS(5038),
    [anon_sym_CARET] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(5038),
    [anon_sym_EQ_EQ] = ACTIONS(5040),
    [anon_sym_BANG_EQ] = ACTIONS(5040),
    [anon_sym_GT] = ACTIONS(5038),
    [anon_sym_GT_EQ] = ACTIONS(5040),
    [anon_sym_LT_EQ] = ACTIONS(5038),
    [anon_sym_LT] = ACTIONS(5038),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [anon_sym___attribute__] = ACTIONS(5038),
    [anon_sym_LBRACE] = ACTIONS(5040),
    [anon_sym_RBRACE] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [anon_sym_RBRACK] = ACTIONS(5040),
    [anon_sym_EQ] = ACTIONS(5038),
    [anon_sym_COLON] = ACTIONS(5040),
    [anon_sym_QMARK] = ACTIONS(5040),
    [anon_sym_STAR_EQ] = ACTIONS(5040),
    [anon_sym_SLASH_EQ] = ACTIONS(5040),
    [anon_sym_PERCENT_EQ] = ACTIONS(5040),
    [anon_sym_PLUS_EQ] = ACTIONS(5040),
    [anon_sym_DASH_EQ] = ACTIONS(5040),
    [anon_sym_LT_LT_EQ] = ACTIONS(5040),
    [anon_sym_GT_GT_EQ] = ACTIONS(5040),
    [anon_sym_AMP_EQ] = ACTIONS(5040),
    [anon_sym_CARET_EQ] = ACTIONS(5040),
    [anon_sym_PIPE_EQ] = ACTIONS(5040),
    [anon_sym_and_eq] = ACTIONS(5038),
    [anon_sym_or_eq] = ACTIONS(5038),
    [anon_sym_xor_eq] = ACTIONS(5038),
    [anon_sym_LT_EQ_GT] = ACTIONS(5040),
    [anon_sym_or] = ACTIONS(5038),
    [anon_sym_and] = ACTIONS(5038),
    [anon_sym_bitor] = ACTIONS(5038),
    [anon_sym_xor] = ACTIONS(5038),
    [anon_sym_bitand] = ACTIONS(5038),
    [anon_sym_not_eq] = ACTIONS(5038),
    [anon_sym_DASH_DASH] = ACTIONS(5040),
    [anon_sym_PLUS_PLUS] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_DOT_STAR] = ACTIONS(5040),
    [anon_sym_DASH_GT] = ACTIONS(5040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5038),
    [anon_sym_decltype] = ACTIONS(5038),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_RPAREN] = ACTIONS(5060),
    [aux_sym_preproc_if_token2] = ACTIONS(5060),
    [aux_sym_preproc_else_token1] = ACTIONS(5060),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5058),
    [anon_sym_STAR] = ACTIONS(5058),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5060),
    [anon_sym_PIPE] = ACTIONS(5058),
    [anon_sym_CARET] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5058),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5058),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5058),
    [anon_sym_LT] = ACTIONS(5058),
    [anon_sym_LT_LT] = ACTIONS(5058),
    [anon_sym_GT_GT] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_LBRACE] = ACTIONS(5060),
    [anon_sym_RBRACE] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [anon_sym_RBRACK] = ACTIONS(5060),
    [anon_sym_EQ] = ACTIONS(5058),
    [anon_sym_COLON] = ACTIONS(5060),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5058),
    [anon_sym_or_eq] = ACTIONS(5058),
    [anon_sym_xor_eq] = ACTIONS(5058),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5058),
    [anon_sym_and] = ACTIONS(5058),
    [anon_sym_bitor] = ACTIONS(5058),
    [anon_sym_xor] = ACTIONS(5058),
    [anon_sym_bitand] = ACTIONS(5058),
    [anon_sym_not_eq] = ACTIONS(5058),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
  },
  [1974] = {
    [sym_template_argument_list] = STATE(2231),
    [sym_identifier] = ACTIONS(4522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4515),
    [anon_sym_COMMA] = ACTIONS(4515),
    [anon_sym_RPAREN] = ACTIONS(4515),
    [aux_sym_preproc_if_token2] = ACTIONS(4515),
    [aux_sym_preproc_else_token1] = ACTIONS(4515),
    [aux_sym_preproc_elif_token1] = ACTIONS(4522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4515),
    [anon_sym_LPAREN2] = ACTIONS(4515),
    [anon_sym_DASH] = ACTIONS(4522),
    [anon_sym_PLUS] = ACTIONS(4522),
    [anon_sym_STAR] = ACTIONS(4522),
    [anon_sym_SLASH] = ACTIONS(4522),
    [anon_sym_PERCENT] = ACTIONS(4522),
    [anon_sym_PIPE_PIPE] = ACTIONS(4515),
    [anon_sym_AMP_AMP] = ACTIONS(4515),
    [anon_sym_PIPE] = ACTIONS(4522),
    [anon_sym_CARET] = ACTIONS(4522),
    [anon_sym_AMP] = ACTIONS(4522),
    [anon_sym_EQ_EQ] = ACTIONS(4515),
    [anon_sym_BANG_EQ] = ACTIONS(4515),
    [anon_sym_GT] = ACTIONS(4522),
    [anon_sym_GT_EQ] = ACTIONS(4515),
    [anon_sym_LT_EQ] = ACTIONS(4522),
    [anon_sym_LT] = ACTIONS(5092),
    [anon_sym_LT_LT] = ACTIONS(4522),
    [anon_sym_GT_GT] = ACTIONS(4522),
    [anon_sym_SEMI] = ACTIONS(4515),
    [anon_sym___attribute__] = ACTIONS(4522),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_RBRACE] = ACTIONS(4515),
    [anon_sym_LBRACK] = ACTIONS(4515),
    [anon_sym_RBRACK] = ACTIONS(4515),
    [anon_sym_EQ] = ACTIONS(4522),
    [anon_sym_COLON] = ACTIONS(4522),
    [anon_sym_QMARK] = ACTIONS(4515),
    [anon_sym_STAR_EQ] = ACTIONS(4515),
    [anon_sym_SLASH_EQ] = ACTIONS(4515),
    [anon_sym_PERCENT_EQ] = ACTIONS(4515),
    [anon_sym_PLUS_EQ] = ACTIONS(4515),
    [anon_sym_DASH_EQ] = ACTIONS(4515),
    [anon_sym_LT_LT_EQ] = ACTIONS(4515),
    [anon_sym_GT_GT_EQ] = ACTIONS(4515),
    [anon_sym_AMP_EQ] = ACTIONS(4515),
    [anon_sym_CARET_EQ] = ACTIONS(4515),
    [anon_sym_PIPE_EQ] = ACTIONS(4515),
    [anon_sym_and_eq] = ACTIONS(4522),
    [anon_sym_or_eq] = ACTIONS(4522),
    [anon_sym_xor_eq] = ACTIONS(4522),
    [anon_sym_LT_EQ_GT] = ACTIONS(4515),
    [anon_sym_or] = ACTIONS(4522),
    [anon_sym_and] = ACTIONS(4522),
    [anon_sym_bitor] = ACTIONS(4522),
    [anon_sym_xor] = ACTIONS(4522),
    [anon_sym_bitand] = ACTIONS(4522),
    [anon_sym_not_eq] = ACTIONS(4522),
    [anon_sym_DASH_DASH] = ACTIONS(4515),
    [anon_sym_PLUS_PLUS] = ACTIONS(4515),
    [anon_sym_DOT] = ACTIONS(4522),
    [anon_sym_DOT_STAR] = ACTIONS(4515),
    [anon_sym_DASH_GT] = ACTIONS(4515),
    [sym_comment] = ACTIONS(3),
  },
  [1975] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1923),
    [sym_identifier] = ACTIONS(5306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5304),
    [anon_sym_COMMA] = ACTIONS(5304),
    [aux_sym_preproc_if_token2] = ACTIONS(5304),
    [aux_sym_preproc_else_token1] = ACTIONS(5304),
    [aux_sym_preproc_elif_token1] = ACTIONS(5306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5304),
    [anon_sym_LPAREN2] = ACTIONS(5304),
    [anon_sym_DASH] = ACTIONS(5306),
    [anon_sym_PLUS] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5306),
    [anon_sym_SLASH] = ACTIONS(5306),
    [anon_sym_PERCENT] = ACTIONS(5306),
    [anon_sym_PIPE_PIPE] = ACTIONS(5304),
    [anon_sym_AMP_AMP] = ACTIONS(5304),
    [anon_sym_PIPE] = ACTIONS(5306),
    [anon_sym_CARET] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(5306),
    [anon_sym_EQ_EQ] = ACTIONS(5304),
    [anon_sym_BANG_EQ] = ACTIONS(5304),
    [anon_sym_GT] = ACTIONS(5306),
    [anon_sym_GT_EQ] = ACTIONS(5304),
    [anon_sym_LT_EQ] = ACTIONS(5306),
    [anon_sym_LT] = ACTIONS(5306),
    [anon_sym_LT_LT] = ACTIONS(5306),
    [anon_sym_GT_GT] = ACTIONS(5306),
    [anon_sym___attribute__] = ACTIONS(5306),
    [anon_sym_LBRACE] = ACTIONS(5304),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_EQ] = ACTIONS(5306),
    [anon_sym_QMARK] = ACTIONS(5304),
    [anon_sym_STAR_EQ] = ACTIONS(5304),
    [anon_sym_SLASH_EQ] = ACTIONS(5304),
    [anon_sym_PERCENT_EQ] = ACTIONS(5304),
    [anon_sym_PLUS_EQ] = ACTIONS(5304),
    [anon_sym_DASH_EQ] = ACTIONS(5304),
    [anon_sym_LT_LT_EQ] = ACTIONS(5304),
    [anon_sym_GT_GT_EQ] = ACTIONS(5304),
    [anon_sym_AMP_EQ] = ACTIONS(5304),
    [anon_sym_CARET_EQ] = ACTIONS(5304),
    [anon_sym_PIPE_EQ] = ACTIONS(5304),
    [anon_sym_and_eq] = ACTIONS(5306),
    [anon_sym_or_eq] = ACTIONS(5306),
    [anon_sym_xor_eq] = ACTIONS(5306),
    [anon_sym_LT_EQ_GT] = ACTIONS(5304),
    [anon_sym_or] = ACTIONS(5306),
    [anon_sym_and] = ACTIONS(5306),
    [anon_sym_bitor] = ACTIONS(5306),
    [anon_sym_xor] = ACTIONS(5306),
    [anon_sym_bitand] = ACTIONS(5306),
    [anon_sym_not_eq] = ACTIONS(5306),
    [anon_sym_DASH_DASH] = ACTIONS(5304),
    [anon_sym_PLUS_PLUS] = ACTIONS(5304),
    [anon_sym_DOT] = ACTIONS(5306),
    [anon_sym_DOT_STAR] = ACTIONS(5304),
    [anon_sym_DASH_GT] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5306),
    [anon_sym_decltype] = ACTIONS(5306),
  },
  [1976] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1941),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5036),
    [anon_sym_COMMA] = ACTIONS(5036),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [aux_sym_preproc_else_token1] = ACTIONS(5036),
    [aux_sym_preproc_elif_token1] = ACTIONS(5034),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5036),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5036),
    [anon_sym_LPAREN2] = ACTIONS(5036),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_STAR] = ACTIONS(5034),
    [anon_sym_SLASH] = ACTIONS(5034),
    [anon_sym_PERCENT] = ACTIONS(5034),
    [anon_sym_PIPE_PIPE] = ACTIONS(5036),
    [anon_sym_AMP_AMP] = ACTIONS(5036),
    [anon_sym_PIPE] = ACTIONS(5034),
    [anon_sym_CARET] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(5034),
    [anon_sym_EQ_EQ] = ACTIONS(5036),
    [anon_sym_BANG_EQ] = ACTIONS(5036),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5034),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5034),
    [anon_sym_GT_GT] = ACTIONS(5034),
    [anon_sym___attribute__] = ACTIONS(5034),
    [anon_sym_LBRACE] = ACTIONS(5036),
    [anon_sym_signed] = ACTIONS(5560),
    [anon_sym_unsigned] = ACTIONS(5560),
    [anon_sym_long] = ACTIONS(5560),
    [anon_sym_short] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [anon_sym_EQ] = ACTIONS(5034),
    [anon_sym_QMARK] = ACTIONS(5036),
    [anon_sym_STAR_EQ] = ACTIONS(5036),
    [anon_sym_SLASH_EQ] = ACTIONS(5036),
    [anon_sym_PERCENT_EQ] = ACTIONS(5036),
    [anon_sym_PLUS_EQ] = ACTIONS(5036),
    [anon_sym_DASH_EQ] = ACTIONS(5036),
    [anon_sym_LT_LT_EQ] = ACTIONS(5036),
    [anon_sym_GT_GT_EQ] = ACTIONS(5036),
    [anon_sym_AMP_EQ] = ACTIONS(5036),
    [anon_sym_CARET_EQ] = ACTIONS(5036),
    [anon_sym_PIPE_EQ] = ACTIONS(5036),
    [anon_sym_and_eq] = ACTIONS(5034),
    [anon_sym_or_eq] = ACTIONS(5034),
    [anon_sym_xor_eq] = ACTIONS(5034),
    [anon_sym_LT_EQ_GT] = ACTIONS(5036),
    [anon_sym_or] = ACTIONS(5034),
    [anon_sym_and] = ACTIONS(5034),
    [anon_sym_bitor] = ACTIONS(5034),
    [anon_sym_xor] = ACTIONS(5034),
    [anon_sym_bitand] = ACTIONS(5034),
    [anon_sym_not_eq] = ACTIONS(5034),
    [anon_sym_DASH_DASH] = ACTIONS(5036),
    [anon_sym_PLUS_PLUS] = ACTIONS(5036),
    [anon_sym_DOT] = ACTIONS(5034),
    [anon_sym_DOT_STAR] = ACTIONS(5036),
    [anon_sym_DASH_GT] = ACTIONS(5036),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5034),
    [anon_sym_decltype] = ACTIONS(5034),
  },
  [1977] = {
    [sym_argument_list] = STATE(2292),
    [sym_initializer_list] = STATE(2292),
    [sym_identifier] = ACTIONS(5562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5564),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5562),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5562),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_CARET] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5562),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5562),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym___attribute__] = ACTIONS(5562),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_EQ] = ACTIONS(5562),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5564),
    [anon_sym_STAR_EQ] = ACTIONS(5564),
    [anon_sym_SLASH_EQ] = ACTIONS(5564),
    [anon_sym_PERCENT_EQ] = ACTIONS(5564),
    [anon_sym_PLUS_EQ] = ACTIONS(5564),
    [anon_sym_DASH_EQ] = ACTIONS(5564),
    [anon_sym_LT_LT_EQ] = ACTIONS(5564),
    [anon_sym_GT_GT_EQ] = ACTIONS(5564),
    [anon_sym_AMP_EQ] = ACTIONS(5564),
    [anon_sym_CARET_EQ] = ACTIONS(5564),
    [anon_sym_PIPE_EQ] = ACTIONS(5564),
    [anon_sym_and_eq] = ACTIONS(5562),
    [anon_sym_or_eq] = ACTIONS(5562),
    [anon_sym_xor_eq] = ACTIONS(5562),
    [anon_sym_LT_EQ_GT] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5562),
    [anon_sym_and] = ACTIONS(5562),
    [anon_sym_bitor] = ACTIONS(5562),
    [anon_sym_xor] = ACTIONS(5562),
    [anon_sym_bitand] = ACTIONS(5562),
    [anon_sym_not_eq] = ACTIONS(5562),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_DOT_STAR] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5148),
    [anon_sym_COMMA] = ACTIONS(5148),
    [anon_sym_RPAREN] = ACTIONS(5148),
    [aux_sym_preproc_if_token2] = ACTIONS(5148),
    [aux_sym_preproc_else_token1] = ACTIONS(5148),
    [aux_sym_preproc_elif_token1] = ACTIONS(5146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5146),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5146),
    [anon_sym_PIPE_PIPE] = ACTIONS(5148),
    [anon_sym_AMP_AMP] = ACTIONS(5148),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5146),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5148),
    [anon_sym_BANG_EQ] = ACTIONS(5148),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5148),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5146),
    [anon_sym_GT_GT] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5148),
    [anon_sym___attribute__] = ACTIONS(5146),
    [anon_sym_LBRACE] = ACTIONS(5148),
    [anon_sym_RBRACE] = ACTIONS(5148),
    [anon_sym_LBRACK] = ACTIONS(5148),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [anon_sym_EQ] = ACTIONS(5146),
    [anon_sym_COLON] = ACTIONS(5148),
    [anon_sym_QMARK] = ACTIONS(5148),
    [anon_sym_STAR_EQ] = ACTIONS(5148),
    [anon_sym_SLASH_EQ] = ACTIONS(5148),
    [anon_sym_PERCENT_EQ] = ACTIONS(5148),
    [anon_sym_PLUS_EQ] = ACTIONS(5148),
    [anon_sym_DASH_EQ] = ACTIONS(5148),
    [anon_sym_LT_LT_EQ] = ACTIONS(5148),
    [anon_sym_GT_GT_EQ] = ACTIONS(5148),
    [anon_sym_AMP_EQ] = ACTIONS(5148),
    [anon_sym_CARET_EQ] = ACTIONS(5148),
    [anon_sym_PIPE_EQ] = ACTIONS(5148),
    [anon_sym_and_eq] = ACTIONS(5146),
    [anon_sym_or_eq] = ACTIONS(5146),
    [anon_sym_xor_eq] = ACTIONS(5146),
    [anon_sym_LT_EQ_GT] = ACTIONS(5148),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5148),
    [anon_sym_PLUS_PLUS] = ACTIONS(5148),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5148),
    [anon_sym_DASH_GT] = ACTIONS(5148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5146),
    [anon_sym_decltype] = ACTIONS(5146),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5132),
    [anon_sym_COMMA] = ACTIONS(5132),
    [anon_sym_RPAREN] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_else_token1] = ACTIONS(5132),
    [aux_sym_preproc_elif_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_STAR] = ACTIONS(5130),
    [anon_sym_SLASH] = ACTIONS(5130),
    [anon_sym_PERCENT] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(5130),
    [anon_sym_EQ_EQ] = ACTIONS(5132),
    [anon_sym_BANG_EQ] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5130),
    [anon_sym_GT_EQ] = ACTIONS(5132),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5130),
    [anon_sym_LT_LT] = ACTIONS(5130),
    [anon_sym_GT_GT] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5132),
    [anon_sym___attribute__] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(5132),
    [anon_sym_RBRACE] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5132),
    [anon_sym_RBRACK] = ACTIONS(5132),
    [anon_sym_EQ] = ACTIONS(5130),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_QMARK] = ACTIONS(5132),
    [anon_sym_STAR_EQ] = ACTIONS(5132),
    [anon_sym_SLASH_EQ] = ACTIONS(5132),
    [anon_sym_PERCENT_EQ] = ACTIONS(5132),
    [anon_sym_PLUS_EQ] = ACTIONS(5132),
    [anon_sym_DASH_EQ] = ACTIONS(5132),
    [anon_sym_LT_LT_EQ] = ACTIONS(5132),
    [anon_sym_GT_GT_EQ] = ACTIONS(5132),
    [anon_sym_AMP_EQ] = ACTIONS(5132),
    [anon_sym_CARET_EQ] = ACTIONS(5132),
    [anon_sym_PIPE_EQ] = ACTIONS(5132),
    [anon_sym_and_eq] = ACTIONS(5130),
    [anon_sym_or_eq] = ACTIONS(5130),
    [anon_sym_xor_eq] = ACTIONS(5130),
    [anon_sym_LT_EQ_GT] = ACTIONS(5132),
    [anon_sym_or] = ACTIONS(5130),
    [anon_sym_and] = ACTIONS(5130),
    [anon_sym_bitor] = ACTIONS(5130),
    [anon_sym_xor] = ACTIONS(5130),
    [anon_sym_bitand] = ACTIONS(5130),
    [anon_sym_not_eq] = ACTIONS(5130),
    [anon_sym_DASH_DASH] = ACTIONS(5132),
    [anon_sym_PLUS_PLUS] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_DOT_STAR] = ACTIONS(5132),
    [anon_sym_DASH_GT] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5130),
    [anon_sym_decltype] = ACTIONS(5130),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5210),
    [anon_sym_COMMA] = ACTIONS(5210),
    [anon_sym_RPAREN] = ACTIONS(5210),
    [aux_sym_preproc_if_token2] = ACTIONS(5210),
    [aux_sym_preproc_else_token1] = ACTIONS(5210),
    [aux_sym_preproc_elif_token1] = ACTIONS(5208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5210),
    [anon_sym_LPAREN2] = ACTIONS(5210),
    [anon_sym_DASH] = ACTIONS(5208),
    [anon_sym_PLUS] = ACTIONS(5208),
    [anon_sym_STAR] = ACTIONS(5208),
    [anon_sym_SLASH] = ACTIONS(5208),
    [anon_sym_PERCENT] = ACTIONS(5208),
    [anon_sym_PIPE_PIPE] = ACTIONS(5210),
    [anon_sym_AMP_AMP] = ACTIONS(5210),
    [anon_sym_PIPE] = ACTIONS(5208),
    [anon_sym_CARET] = ACTIONS(5208),
    [anon_sym_AMP] = ACTIONS(5208),
    [anon_sym_EQ_EQ] = ACTIONS(5210),
    [anon_sym_BANG_EQ] = ACTIONS(5210),
    [anon_sym_GT] = ACTIONS(5208),
    [anon_sym_GT_EQ] = ACTIONS(5210),
    [anon_sym_LT_EQ] = ACTIONS(5208),
    [anon_sym_LT] = ACTIONS(5208),
    [anon_sym_LT_LT] = ACTIONS(5208),
    [anon_sym_GT_GT] = ACTIONS(5208),
    [anon_sym_SEMI] = ACTIONS(5210),
    [anon_sym___attribute__] = ACTIONS(5208),
    [anon_sym_LBRACE] = ACTIONS(5210),
    [anon_sym_RBRACE] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(5210),
    [anon_sym_RBRACK] = ACTIONS(5210),
    [anon_sym_EQ] = ACTIONS(5208),
    [anon_sym_COLON] = ACTIONS(5210),
    [anon_sym_QMARK] = ACTIONS(5210),
    [anon_sym_STAR_EQ] = ACTIONS(5210),
    [anon_sym_SLASH_EQ] = ACTIONS(5210),
    [anon_sym_PERCENT_EQ] = ACTIONS(5210),
    [anon_sym_PLUS_EQ] = ACTIONS(5210),
    [anon_sym_DASH_EQ] = ACTIONS(5210),
    [anon_sym_LT_LT_EQ] = ACTIONS(5210),
    [anon_sym_GT_GT_EQ] = ACTIONS(5210),
    [anon_sym_AMP_EQ] = ACTIONS(5210),
    [anon_sym_CARET_EQ] = ACTIONS(5210),
    [anon_sym_PIPE_EQ] = ACTIONS(5210),
    [anon_sym_and_eq] = ACTIONS(5208),
    [anon_sym_or_eq] = ACTIONS(5208),
    [anon_sym_xor_eq] = ACTIONS(5208),
    [anon_sym_LT_EQ_GT] = ACTIONS(5210),
    [anon_sym_or] = ACTIONS(5208),
    [anon_sym_and] = ACTIONS(5208),
    [anon_sym_bitor] = ACTIONS(5208),
    [anon_sym_xor] = ACTIONS(5208),
    [anon_sym_bitand] = ACTIONS(5208),
    [anon_sym_not_eq] = ACTIONS(5208),
    [anon_sym_DASH_DASH] = ACTIONS(5210),
    [anon_sym_PLUS_PLUS] = ACTIONS(5210),
    [anon_sym_DOT] = ACTIONS(5208),
    [anon_sym_DOT_STAR] = ACTIONS(5210),
    [anon_sym_DASH_GT] = ACTIONS(5210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5208),
    [anon_sym_decltype] = ACTIONS(5208),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5222),
    [anon_sym_COMMA] = ACTIONS(5222),
    [anon_sym_RPAREN] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_else_token1] = ACTIONS(5222),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5220),
    [anon_sym_STAR] = ACTIONS(5220),
    [anon_sym_SLASH] = ACTIONS(5220),
    [anon_sym_PERCENT] = ACTIONS(5220),
    [anon_sym_PIPE_PIPE] = ACTIONS(5222),
    [anon_sym_AMP_AMP] = ACTIONS(5222),
    [anon_sym_PIPE] = ACTIONS(5220),
    [anon_sym_CARET] = ACTIONS(5220),
    [anon_sym_AMP] = ACTIONS(5220),
    [anon_sym_EQ_EQ] = ACTIONS(5222),
    [anon_sym_BANG_EQ] = ACTIONS(5222),
    [anon_sym_GT] = ACTIONS(5220),
    [anon_sym_GT_EQ] = ACTIONS(5222),
    [anon_sym_LT_EQ] = ACTIONS(5220),
    [anon_sym_LT] = ACTIONS(5220),
    [anon_sym_LT_LT] = ACTIONS(5220),
    [anon_sym_GT_GT] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5220),
    [anon_sym_LBRACE] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_RBRACK] = ACTIONS(5222),
    [anon_sym_EQ] = ACTIONS(5220),
    [anon_sym_COLON] = ACTIONS(5222),
    [anon_sym_QMARK] = ACTIONS(5222),
    [anon_sym_STAR_EQ] = ACTIONS(5222),
    [anon_sym_SLASH_EQ] = ACTIONS(5222),
    [anon_sym_PERCENT_EQ] = ACTIONS(5222),
    [anon_sym_PLUS_EQ] = ACTIONS(5222),
    [anon_sym_DASH_EQ] = ACTIONS(5222),
    [anon_sym_LT_LT_EQ] = ACTIONS(5222),
    [anon_sym_GT_GT_EQ] = ACTIONS(5222),
    [anon_sym_AMP_EQ] = ACTIONS(5222),
    [anon_sym_CARET_EQ] = ACTIONS(5222),
    [anon_sym_PIPE_EQ] = ACTIONS(5222),
    [anon_sym_and_eq] = ACTIONS(5220),
    [anon_sym_or_eq] = ACTIONS(5220),
    [anon_sym_xor_eq] = ACTIONS(5220),
    [anon_sym_LT_EQ_GT] = ACTIONS(5222),
    [anon_sym_or] = ACTIONS(5220),
    [anon_sym_and] = ACTIONS(5220),
    [anon_sym_bitor] = ACTIONS(5220),
    [anon_sym_xor] = ACTIONS(5220),
    [anon_sym_bitand] = ACTIONS(5220),
    [anon_sym_not_eq] = ACTIONS(5220),
    [anon_sym_DASH_DASH] = ACTIONS(5222),
    [anon_sym_PLUS_PLUS] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_DOT_STAR] = ACTIONS(5222),
    [anon_sym_DASH_GT] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5220),
    [anon_sym_decltype] = ACTIONS(5220),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_friend] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5190),
    [anon_sym_COMMA] = ACTIONS(5190),
    [anon_sym_RPAREN] = ACTIONS(5190),
    [aux_sym_preproc_if_token2] = ACTIONS(5190),
    [aux_sym_preproc_else_token1] = ACTIONS(5190),
    [aux_sym_preproc_elif_token1] = ACTIONS(5188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5190),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(5188),
    [anon_sym_STAR] = ACTIONS(5188),
    [anon_sym_SLASH] = ACTIONS(5188),
    [anon_sym_PERCENT] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5190),
    [anon_sym_AMP_AMP] = ACTIONS(5190),
    [anon_sym_PIPE] = ACTIONS(5188),
    [anon_sym_CARET] = ACTIONS(5188),
    [anon_sym_AMP] = ACTIONS(5188),
    [anon_sym_EQ_EQ] = ACTIONS(5190),
    [anon_sym_BANG_EQ] = ACTIONS(5190),
    [anon_sym_GT] = ACTIONS(5188),
    [anon_sym_GT_EQ] = ACTIONS(5190),
    [anon_sym_LT_EQ] = ACTIONS(5188),
    [anon_sym_LT] = ACTIONS(5188),
    [anon_sym_LT_LT] = ACTIONS(5188),
    [anon_sym_GT_GT] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5190),
    [anon_sym___attribute__] = ACTIONS(5188),
    [anon_sym_LBRACE] = ACTIONS(5190),
    [anon_sym_RBRACE] = ACTIONS(5190),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym_RBRACK] = ACTIONS(5190),
    [anon_sym_EQ] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_QMARK] = ACTIONS(5190),
    [anon_sym_STAR_EQ] = ACTIONS(5190),
    [anon_sym_SLASH_EQ] = ACTIONS(5190),
    [anon_sym_PERCENT_EQ] = ACTIONS(5190),
    [anon_sym_PLUS_EQ] = ACTIONS(5190),
    [anon_sym_DASH_EQ] = ACTIONS(5190),
    [anon_sym_LT_LT_EQ] = ACTIONS(5190),
    [anon_sym_GT_GT_EQ] = ACTIONS(5190),
    [anon_sym_AMP_EQ] = ACTIONS(5190),
    [anon_sym_CARET_EQ] = ACTIONS(5190),
    [anon_sym_PIPE_EQ] = ACTIONS(5190),
    [anon_sym_and_eq] = ACTIONS(5188),
    [anon_sym_or_eq] = ACTIONS(5188),
    [anon_sym_xor_eq] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(5190),
    [anon_sym_or] = ACTIONS(5188),
    [anon_sym_and] = ACTIONS(5188),
    [anon_sym_bitor] = ACTIONS(5188),
    [anon_sym_xor] = ACTIONS(5188),
    [anon_sym_bitand] = ACTIONS(5188),
    [anon_sym_not_eq] = ACTIONS(5188),
    [anon_sym_DASH_DASH] = ACTIONS(5190),
    [anon_sym_PLUS_PLUS] = ACTIONS(5190),
    [anon_sym_DOT] = ACTIONS(5188),
    [anon_sym_DOT_STAR] = ACTIONS(5190),
    [anon_sym_DASH_GT] = ACTIONS(5190),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5188),
    [anon_sym_decltype] = ACTIONS(5188),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_friend] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_friend] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_friend] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5202),
    [anon_sym_COMMA] = ACTIONS(5202),
    [anon_sym_RPAREN] = ACTIONS(5202),
    [aux_sym_preproc_if_token2] = ACTIONS(5202),
    [aux_sym_preproc_else_token1] = ACTIONS(5202),
    [aux_sym_preproc_elif_token1] = ACTIONS(5200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5202),
    [anon_sym_LPAREN2] = ACTIONS(5202),
    [anon_sym_DASH] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(5200),
    [anon_sym_STAR] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5200),
    [anon_sym_PERCENT] = ACTIONS(5200),
    [anon_sym_PIPE_PIPE] = ACTIONS(5202),
    [anon_sym_AMP_AMP] = ACTIONS(5202),
    [anon_sym_PIPE] = ACTIONS(5200),
    [anon_sym_CARET] = ACTIONS(5200),
    [anon_sym_AMP] = ACTIONS(5200),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_GT] = ACTIONS(5200),
    [anon_sym_GT_EQ] = ACTIONS(5202),
    [anon_sym_LT_EQ] = ACTIONS(5200),
    [anon_sym_LT] = ACTIONS(5200),
    [anon_sym_LT_LT] = ACTIONS(5200),
    [anon_sym_GT_GT] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5202),
    [anon_sym___attribute__] = ACTIONS(5200),
    [anon_sym_LBRACE] = ACTIONS(5202),
    [anon_sym_RBRACE] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5202),
    [anon_sym_RBRACK] = ACTIONS(5202),
    [anon_sym_EQ] = ACTIONS(5200),
    [anon_sym_COLON] = ACTIONS(5202),
    [anon_sym_QMARK] = ACTIONS(5202),
    [anon_sym_STAR_EQ] = ACTIONS(5202),
    [anon_sym_SLASH_EQ] = ACTIONS(5202),
    [anon_sym_PERCENT_EQ] = ACTIONS(5202),
    [anon_sym_PLUS_EQ] = ACTIONS(5202),
    [anon_sym_DASH_EQ] = ACTIONS(5202),
    [anon_sym_LT_LT_EQ] = ACTIONS(5202),
    [anon_sym_GT_GT_EQ] = ACTIONS(5202),
    [anon_sym_AMP_EQ] = ACTIONS(5202),
    [anon_sym_CARET_EQ] = ACTIONS(5202),
    [anon_sym_PIPE_EQ] = ACTIONS(5202),
    [anon_sym_and_eq] = ACTIONS(5200),
    [anon_sym_or_eq] = ACTIONS(5200),
    [anon_sym_xor_eq] = ACTIONS(5200),
    [anon_sym_LT_EQ_GT] = ACTIONS(5202),
    [anon_sym_or] = ACTIONS(5200),
    [anon_sym_and] = ACTIONS(5200),
    [anon_sym_bitor] = ACTIONS(5200),
    [anon_sym_xor] = ACTIONS(5200),
    [anon_sym_bitand] = ACTIONS(5200),
    [anon_sym_not_eq] = ACTIONS(5200),
    [anon_sym_DASH_DASH] = ACTIONS(5202),
    [anon_sym_PLUS_PLUS] = ACTIONS(5202),
    [anon_sym_DOT] = ACTIONS(5200),
    [anon_sym_DOT_STAR] = ACTIONS(5202),
    [anon_sym_DASH_GT] = ACTIONS(5202),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5200),
    [anon_sym_decltype] = ACTIONS(5200),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___based] = ACTIONS(2528),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_mutable] = ACTIONS(2528),
    [anon_sym_constinit] = ACTIONS(2528),
    [anon_sym_consteval] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2528),
    [anon_sym_decltype] = ACTIONS(2528),
    [sym_virtual] = ACTIONS(2528),
    [anon_sym_explicit] = ACTIONS(2528),
    [anon_sym_typename] = ACTIONS(2528),
    [anon_sym_template] = ACTIONS(2528),
    [anon_sym_operator] = ACTIONS(2528),
    [anon_sym_friend] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_static_assert] = ACTIONS(2528),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_friend] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2876),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_friend] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_protected] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_friend] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_friend] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_friend] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_friend] = ACTIONS(3015),
    [anon_sym_public] = ACTIONS(3015),
    [anon_sym_private] = ACTIONS(3015),
    [anon_sym_protected] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
  },
  [1999] = {
    [sym_string_literal] = STATE(1857),
    [sym_raw_string_literal] = STATE(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_RPAREN] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5158),
    [anon_sym_DASH] = ACTIONS(5156),
    [anon_sym_PLUS] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_SLASH] = ACTIONS(5156),
    [anon_sym_PERCENT] = ACTIONS(5156),
    [anon_sym_PIPE_PIPE] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5156),
    [anon_sym_CARET] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5156),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_GT] = ACTIONS(5156),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5156),
    [anon_sym_LT] = ACTIONS(5156),
    [anon_sym_LT_LT] = ACTIONS(5156),
    [anon_sym_GT_GT] = ACTIONS(5156),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5156),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_STAR_EQ] = ACTIONS(5158),
    [anon_sym_SLASH_EQ] = ACTIONS(5158),
    [anon_sym_PERCENT_EQ] = ACTIONS(5158),
    [anon_sym_PLUS_EQ] = ACTIONS(5158),
    [anon_sym_DASH_EQ] = ACTIONS(5158),
    [anon_sym_LT_LT_EQ] = ACTIONS(5158),
    [anon_sym_GT_GT_EQ] = ACTIONS(5158),
    [anon_sym_AMP_EQ] = ACTIONS(5158),
    [anon_sym_CARET_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_and_eq] = ACTIONS(5156),
    [anon_sym_or_eq] = ACTIONS(5156),
    [anon_sym_xor_eq] = ACTIONS(5156),
    [anon_sym_LT_EQ_GT] = ACTIONS(5158),
    [anon_sym_or] = ACTIONS(5156),
    [anon_sym_and] = ACTIONS(5156),
    [anon_sym_bitor] = ACTIONS(5156),
    [anon_sym_xor] = ACTIONS(5156),
    [anon_sym_bitand] = ACTIONS(5156),
    [anon_sym_not_eq] = ACTIONS(5156),
    [anon_sym_DASH_DASH] = ACTIONS(5158),
    [anon_sym_PLUS_PLUS] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5156),
    [anon_sym_DOT_STAR] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5156),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5158),
    [sym_literal_suffix] = ACTIONS(5566),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_friend] = ACTIONS(3011),
    [anon_sym_public] = ACTIONS(3011),
    [anon_sym_private] = ACTIONS(3011),
    [anon_sym_protected] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_friend] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_friend] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___based] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_mutable] = ACTIONS(2524),
    [anon_sym_constinit] = ACTIONS(2524),
    [anon_sym_consteval] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2524),
    [anon_sym_decltype] = ACTIONS(2524),
    [sym_virtual] = ACTIONS(2524),
    [anon_sym_explicit] = ACTIONS(2524),
    [anon_sym_typename] = ACTIONS(2524),
    [anon_sym_template] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_friend] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_static_assert] = ACTIONS(2524),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___based] = ACTIONS(2512),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_mutable] = ACTIONS(2512),
    [anon_sym_constinit] = ACTIONS(2512),
    [anon_sym_consteval] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2512),
    [anon_sym_decltype] = ACTIONS(2512),
    [sym_virtual] = ACTIONS(2512),
    [anon_sym_explicit] = ACTIONS(2512),
    [anon_sym_typename] = ACTIONS(2512),
    [anon_sym_template] = ACTIONS(2512),
    [anon_sym_operator] = ACTIONS(2512),
    [anon_sym_friend] = ACTIONS(2512),
    [anon_sym_public] = ACTIONS(2512),
    [anon_sym_private] = ACTIONS(2512),
    [anon_sym_protected] = ACTIONS(2512),
    [anon_sym_using] = ACTIONS(2512),
    [anon_sym_static_assert] = ACTIONS(2512),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5234),
    [anon_sym_COMMA] = ACTIONS(5234),
    [anon_sym_RPAREN] = ACTIONS(5234),
    [aux_sym_preproc_if_token2] = ACTIONS(5234),
    [aux_sym_preproc_else_token1] = ACTIONS(5234),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5232),
    [anon_sym_PIPE_PIPE] = ACTIONS(5234),
    [anon_sym_AMP_AMP] = ACTIONS(5234),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5234),
    [anon_sym_BANG_EQ] = ACTIONS(5234),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5234),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5232),
    [anon_sym_GT_GT] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5234),
    [anon_sym_RBRACE] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [anon_sym_RBRACK] = ACTIONS(5234),
    [anon_sym_EQ] = ACTIONS(5232),
    [anon_sym_COLON] = ACTIONS(5234),
    [anon_sym_QMARK] = ACTIONS(5234),
    [anon_sym_STAR_EQ] = ACTIONS(5234),
    [anon_sym_SLASH_EQ] = ACTIONS(5234),
    [anon_sym_PERCENT_EQ] = ACTIONS(5234),
    [anon_sym_PLUS_EQ] = ACTIONS(5234),
    [anon_sym_DASH_EQ] = ACTIONS(5234),
    [anon_sym_LT_LT_EQ] = ACTIONS(5234),
    [anon_sym_GT_GT_EQ] = ACTIONS(5234),
    [anon_sym_AMP_EQ] = ACTIONS(5234),
    [anon_sym_CARET_EQ] = ACTIONS(5234),
    [anon_sym_PIPE_EQ] = ACTIONS(5234),
    [anon_sym_and_eq] = ACTIONS(5232),
    [anon_sym_or_eq] = ACTIONS(5232),
    [anon_sym_xor_eq] = ACTIONS(5232),
    [anon_sym_LT_EQ_GT] = ACTIONS(5234),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5234),
    [anon_sym_PLUS_PLUS] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5234),
    [anon_sym_DASH_GT] = ACTIONS(5234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4932),
    [anon_sym_typedef] = ACTIONS(4932),
    [anon_sym_extern] = ACTIONS(4932),
    [anon_sym___attribute__] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4934),
    [anon_sym___declspec] = ACTIONS(4932),
    [anon_sym___based] = ACTIONS(4932),
    [anon_sym_RBRACE] = ACTIONS(4934),
    [anon_sym_signed] = ACTIONS(4932),
    [anon_sym_unsigned] = ACTIONS(4932),
    [anon_sym_long] = ACTIONS(4932),
    [anon_sym_short] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4932),
    [anon_sym_inline] = ACTIONS(4932),
    [anon_sym___inline] = ACTIONS(4932),
    [anon_sym___inline__] = ACTIONS(4932),
    [anon_sym___forceinline] = ACTIONS(4932),
    [anon_sym_thread_local] = ACTIONS(4932),
    [anon_sym___thread] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4932),
    [anon_sym_constexpr] = ACTIONS(4932),
    [anon_sym_volatile] = ACTIONS(4932),
    [anon_sym_restrict] = ACTIONS(4932),
    [anon_sym___restrict__] = ACTIONS(4932),
    [anon_sym__Atomic] = ACTIONS(4932),
    [anon_sym__Noreturn] = ACTIONS(4932),
    [anon_sym_noreturn] = ACTIONS(4932),
    [anon_sym_mutable] = ACTIONS(4932),
    [anon_sym_constinit] = ACTIONS(4932),
    [anon_sym_consteval] = ACTIONS(4932),
    [anon_sym_alignas] = ACTIONS(4932),
    [anon_sym__Alignas] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_union] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4932),
    [anon_sym_decltype] = ACTIONS(4932),
    [sym_virtual] = ACTIONS(4932),
    [anon_sym_explicit] = ACTIONS(4932),
    [anon_sym_typename] = ACTIONS(4932),
    [anon_sym_template] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4932),
    [anon_sym_friend] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_protected] = ACTIONS(4932),
    [anon_sym_using] = ACTIONS(4932),
    [anon_sym_static_assert] = ACTIONS(4932),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_friend] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym__Alignas] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [sym_virtual] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token2] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_friend] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_protected] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_RPAREN] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5110),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_SLASH] = ACTIONS(5110),
    [anon_sym_PERCENT] = ACTIONS(5110),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5110),
    [anon_sym_CARET] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5110),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5110),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5110),
    [anon_sym_LT] = ACTIONS(5110),
    [anon_sym_LT_LT] = ACTIONS(5110),
    [anon_sym_GT_GT] = ACTIONS(5110),
    [anon_sym_SEMI] = ACTIONS(5112),
    [anon_sym___attribute__] = ACTIONS(5110),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5112),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_EQ] = ACTIONS(5110),
    [anon_sym_COLON] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_STAR_EQ] = ACTIONS(5112),
    [anon_sym_SLASH_EQ] = ACTIONS(5112),
    [anon_sym_PERCENT_EQ] = ACTIONS(5112),
    [anon_sym_PLUS_EQ] = ACTIONS(5112),
    [anon_sym_DASH_EQ] = ACTIONS(5112),
    [anon_sym_LT_LT_EQ] = ACTIONS(5112),
    [anon_sym_GT_GT_EQ] = ACTIONS(5112),
    [anon_sym_AMP_EQ] = ACTIONS(5112),
    [anon_sym_CARET_EQ] = ACTIONS(5112),
    [anon_sym_PIPE_EQ] = ACTIONS(5112),
    [anon_sym_and_eq] = ACTIONS(5110),
    [anon_sym_or_eq] = ACTIONS(5110),
    [anon_sym_xor_eq] = ACTIONS(5110),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5110),
    [anon_sym_and] = ACTIONS(5110),
    [anon_sym_bitor] = ACTIONS(5110),
    [anon_sym_xor] = ACTIONS(5110),
    [anon_sym_bitand] = ACTIONS(5110),
    [anon_sym_not_eq] = ACTIONS(5110),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5110),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5110),
    [anon_sym_decltype] = ACTIONS(5110),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym_COMMA] = ACTIONS(5128),
    [anon_sym_RPAREN] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_else_token1] = ACTIONS(5128),
    [aux_sym_preproc_elif_token1] = ACTIONS(5126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_STAR] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5126),
    [anon_sym_PERCENT] = ACTIONS(5126),
    [anon_sym_PIPE_PIPE] = ACTIONS(5128),
    [anon_sym_AMP_AMP] = ACTIONS(5128),
    [anon_sym_PIPE] = ACTIONS(5126),
    [anon_sym_CARET] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(5126),
    [anon_sym_EQ_EQ] = ACTIONS(5128),
    [anon_sym_BANG_EQ] = ACTIONS(5128),
    [anon_sym_GT] = ACTIONS(5126),
    [anon_sym_GT_EQ] = ACTIONS(5128),
    [anon_sym_LT_EQ] = ACTIONS(5126),
    [anon_sym_LT] = ACTIONS(5126),
    [anon_sym_LT_LT] = ACTIONS(5126),
    [anon_sym_GT_GT] = ACTIONS(5126),
    [anon_sym_SEMI] = ACTIONS(5128),
    [anon_sym___attribute__] = ACTIONS(5126),
    [anon_sym_LBRACE] = ACTIONS(5128),
    [anon_sym_RBRACE] = ACTIONS(5128),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [anon_sym_RBRACK] = ACTIONS(5128),
    [anon_sym_EQ] = ACTIONS(5126),
    [anon_sym_COLON] = ACTIONS(5128),
    [anon_sym_QMARK] = ACTIONS(5128),
    [anon_sym_STAR_EQ] = ACTIONS(5128),
    [anon_sym_SLASH_EQ] = ACTIONS(5128),
    [anon_sym_PERCENT_EQ] = ACTIONS(5128),
    [anon_sym_PLUS_EQ] = ACTIONS(5128),
    [anon_sym_DASH_EQ] = ACTIONS(5128),
    [anon_sym_LT_LT_EQ] = ACTIONS(5128),
    [anon_sym_GT_GT_EQ] = ACTIONS(5128),
    [anon_sym_AMP_EQ] = ACTIONS(5128),
    [anon_sym_CARET_EQ] = ACTIONS(5128),
    [anon_sym_PIPE_EQ] = ACTIONS(5128),
    [anon_sym_and_eq] = ACTIONS(5126),
    [anon_sym_or_eq] = ACTIONS(5126),
    [anon_sym_xor_eq] = ACTIONS(5126),
    [anon_sym_LT_EQ_GT] = ACTIONS(5128),
    [anon_sym_or] = ACTIONS(5126),
    [anon_sym_and] = ACTIONS(5126),
    [anon_sym_bitor] = ACTIONS(5126),
    [anon_sym_xor] = ACTIONS(5126),
    [anon_sym_bitand] = ACTIONS(5126),
    [anon_sym_not_eq] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5128),
    [anon_sym_PLUS_PLUS] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5126),
    [anon_sym_DOT_STAR] = ACTIONS(5128),
    [anon_sym_DASH_GT] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5126),
    [anon_sym_decltype] = ACTIONS(5126),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5226),
    [anon_sym_COMMA] = ACTIONS(5226),
    [anon_sym_RPAREN] = ACTIONS(5226),
    [aux_sym_preproc_if_token2] = ACTIONS(5226),
    [aux_sym_preproc_else_token1] = ACTIONS(5226),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_SLASH] = ACTIONS(5224),
    [anon_sym_PERCENT] = ACTIONS(5224),
    [anon_sym_PIPE_PIPE] = ACTIONS(5226),
    [anon_sym_AMP_AMP] = ACTIONS(5226),
    [anon_sym_PIPE] = ACTIONS(5224),
    [anon_sym_CARET] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5224),
    [anon_sym_EQ_EQ] = ACTIONS(5226),
    [anon_sym_BANG_EQ] = ACTIONS(5226),
    [anon_sym_GT] = ACTIONS(5224),
    [anon_sym_GT_EQ] = ACTIONS(5226),
    [anon_sym_LT_EQ] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_LT_LT] = ACTIONS(5224),
    [anon_sym_GT_GT] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___attribute__] = ACTIONS(5224),
    [anon_sym_LBRACE] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_EQ] = ACTIONS(5224),
    [anon_sym_COLON] = ACTIONS(5226),
    [anon_sym_QMARK] = ACTIONS(5226),
    [anon_sym_STAR_EQ] = ACTIONS(5226),
    [anon_sym_SLASH_EQ] = ACTIONS(5226),
    [anon_sym_PERCENT_EQ] = ACTIONS(5226),
    [anon_sym_PLUS_EQ] = ACTIONS(5226),
    [anon_sym_DASH_EQ] = ACTIONS(5226),
    [anon_sym_LT_LT_EQ] = ACTIONS(5226),
    [anon_sym_GT_GT_EQ] = ACTIONS(5226),
    [anon_sym_AMP_EQ] = ACTIONS(5226),
    [anon_sym_CARET_EQ] = ACTIONS(5226),
    [anon_sym_PIPE_EQ] = ACTIONS(5226),
    [anon_sym_and_eq] = ACTIONS(5224),
    [anon_sym_or_eq] = ACTIONS(5224),
    [anon_sym_xor_eq] = ACTIONS(5224),
    [anon_sym_LT_EQ_GT] = ACTIONS(5226),
    [anon_sym_or] = ACTIONS(5224),
    [anon_sym_and] = ACTIONS(5224),
    [anon_sym_bitor] = ACTIONS(5224),
    [anon_sym_xor] = ACTIONS(5224),
    [anon_sym_bitand] = ACTIONS(5224),
    [anon_sym_not_eq] = ACTIONS(5224),
    [anon_sym_DASH_DASH] = ACTIONS(5226),
    [anon_sym_PLUS_PLUS] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_DOT_STAR] = ACTIONS(5226),
    [anon_sym_DASH_GT] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5224),
    [anon_sym_decltype] = ACTIONS(5224),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym_COMMA] = ACTIONS(5194),
    [anon_sym_RPAREN] = ACTIONS(5194),
    [aux_sym_preproc_if_token2] = ACTIONS(5194),
    [aux_sym_preproc_else_token1] = ACTIONS(5194),
    [aux_sym_preproc_elif_token1] = ACTIONS(5192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5194),
    [anon_sym_LPAREN2] = ACTIONS(5194),
    [anon_sym_DASH] = ACTIONS(5192),
    [anon_sym_PLUS] = ACTIONS(5192),
    [anon_sym_STAR] = ACTIONS(5192),
    [anon_sym_SLASH] = ACTIONS(5192),
    [anon_sym_PERCENT] = ACTIONS(5192),
    [anon_sym_PIPE_PIPE] = ACTIONS(5194),
    [anon_sym_AMP_AMP] = ACTIONS(5194),
    [anon_sym_PIPE] = ACTIONS(5192),
    [anon_sym_CARET] = ACTIONS(5192),
    [anon_sym_AMP] = ACTIONS(5192),
    [anon_sym_EQ_EQ] = ACTIONS(5194),
    [anon_sym_BANG_EQ] = ACTIONS(5194),
    [anon_sym_GT] = ACTIONS(5192),
    [anon_sym_GT_EQ] = ACTIONS(5194),
    [anon_sym_LT_EQ] = ACTIONS(5192),
    [anon_sym_LT] = ACTIONS(5192),
    [anon_sym_LT_LT] = ACTIONS(5192),
    [anon_sym_GT_GT] = ACTIONS(5192),
    [anon_sym_SEMI] = ACTIONS(5194),
    [anon_sym___attribute__] = ACTIONS(5192),
    [anon_sym_LBRACE] = ACTIONS(5194),
    [anon_sym_RBRACE] = ACTIONS(5194),
    [anon_sym_LBRACK] = ACTIONS(5194),
    [anon_sym_RBRACK] = ACTIONS(5194),
    [anon_sym_EQ] = ACTIONS(5192),
    [anon_sym_COLON] = ACTIONS(5194),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_STAR_EQ] = ACTIONS(5194),
    [anon_sym_SLASH_EQ] = ACTIONS(5194),
    [anon_sym_PERCENT_EQ] = ACTIONS(5194),
    [anon_sym_PLUS_EQ] = ACTIONS(5194),
    [anon_sym_DASH_EQ] = ACTIONS(5194),
    [anon_sym_LT_LT_EQ] = ACTIONS(5194),
    [anon_sym_GT_GT_EQ] = ACTIONS(5194),
    [anon_sym_AMP_EQ] = ACTIONS(5194),
    [anon_sym_CARET_EQ] = ACTIONS(5194),
    [anon_sym_PIPE_EQ] = ACTIONS(5194),
    [anon_sym_and_eq] = ACTIONS(5192),
    [anon_sym_or_eq] = ACTIONS(5192),
    [anon_sym_xor_eq] = ACTIONS(5192),
    [anon_sym_LT_EQ_GT] = ACTIONS(5194),
    [anon_sym_or] = ACTIONS(5192),
    [anon_sym_and] = ACTIONS(5192),
    [anon_sym_bitor] = ACTIONS(5192),
    [anon_sym_xor] = ACTIONS(5192),
    [anon_sym_bitand] = ACTIONS(5192),
    [anon_sym_not_eq] = ACTIONS(5192),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DOT] = ACTIONS(5192),
    [anon_sym_DOT_STAR] = ACTIONS(5194),
    [anon_sym_DASH_GT] = ACTIONS(5194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5192),
    [anon_sym_decltype] = ACTIONS(5192),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5570),
    [anon_sym_COMMA] = ACTIONS(5570),
    [anon_sym_RPAREN] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5568),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5570),
    [anon_sym_AMP_AMP] = ACTIONS(5570),
    [anon_sym_PIPE] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5570),
    [anon_sym_BANG_EQ] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5570),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5568),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5568),
    [anon_sym_SEMI] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5570),
    [anon_sym_LBRACE] = ACTIONS(5570),
    [anon_sym_RBRACE] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5570),
    [anon_sym_EQ] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5570),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_STAR_EQ] = ACTIONS(5570),
    [anon_sym_SLASH_EQ] = ACTIONS(5570),
    [anon_sym_PERCENT_EQ] = ACTIONS(5570),
    [anon_sym_PLUS_EQ] = ACTIONS(5570),
    [anon_sym_DASH_EQ] = ACTIONS(5570),
    [anon_sym_LT_LT_EQ] = ACTIONS(5570),
    [anon_sym_GT_GT_EQ] = ACTIONS(5570),
    [anon_sym_AMP_EQ] = ACTIONS(5570),
    [anon_sym_CARET_EQ] = ACTIONS(5570),
    [anon_sym_PIPE_EQ] = ACTIONS(5570),
    [anon_sym_and_eq] = ACTIONS(5568),
    [anon_sym_or_eq] = ACTIONS(5568),
    [anon_sym_xor_eq] = ACTIONS(5568),
    [anon_sym_LT_EQ_GT] = ACTIONS(5570),
    [anon_sym_or] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_bitor] = ACTIONS(5568),
    [anon_sym_xor] = ACTIONS(5568),
    [anon_sym_bitand] = ACTIONS(5568),
    [anon_sym_not_eq] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5570),
    [anon_sym_DOT] = ACTIONS(5568),
    [anon_sym_DOT_STAR] = ACTIONS(5570),
    [anon_sym_DASH_GT] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5568),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5214),
    [anon_sym_COMMA] = ACTIONS(5214),
    [anon_sym_RPAREN] = ACTIONS(5214),
    [aux_sym_preproc_if_token2] = ACTIONS(5214),
    [aux_sym_preproc_else_token1] = ACTIONS(5214),
    [aux_sym_preproc_elif_token1] = ACTIONS(5212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5214),
    [anon_sym_LPAREN2] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5212),
    [anon_sym_STAR] = ACTIONS(5212),
    [anon_sym_SLASH] = ACTIONS(5212),
    [anon_sym_PERCENT] = ACTIONS(5212),
    [anon_sym_PIPE_PIPE] = ACTIONS(5214),
    [anon_sym_AMP_AMP] = ACTIONS(5214),
    [anon_sym_PIPE] = ACTIONS(5212),
    [anon_sym_CARET] = ACTIONS(5212),
    [anon_sym_AMP] = ACTIONS(5212),
    [anon_sym_EQ_EQ] = ACTIONS(5214),
    [anon_sym_BANG_EQ] = ACTIONS(5214),
    [anon_sym_GT] = ACTIONS(5212),
    [anon_sym_GT_EQ] = ACTIONS(5214),
    [anon_sym_LT_EQ] = ACTIONS(5212),
    [anon_sym_LT] = ACTIONS(5212),
    [anon_sym_LT_LT] = ACTIONS(5212),
    [anon_sym_GT_GT] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [anon_sym___attribute__] = ACTIONS(5212),
    [anon_sym_LBRACE] = ACTIONS(5214),
    [anon_sym_RBRACE] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [anon_sym_RBRACK] = ACTIONS(5214),
    [anon_sym_EQ] = ACTIONS(5212),
    [anon_sym_COLON] = ACTIONS(5214),
    [anon_sym_QMARK] = ACTIONS(5214),
    [anon_sym_STAR_EQ] = ACTIONS(5214),
    [anon_sym_SLASH_EQ] = ACTIONS(5214),
    [anon_sym_PERCENT_EQ] = ACTIONS(5214),
    [anon_sym_PLUS_EQ] = ACTIONS(5214),
    [anon_sym_DASH_EQ] = ACTIONS(5214),
    [anon_sym_LT_LT_EQ] = ACTIONS(5214),
    [anon_sym_GT_GT_EQ] = ACTIONS(5214),
    [anon_sym_AMP_EQ] = ACTIONS(5214),
    [anon_sym_CARET_EQ] = ACTIONS(5214),
    [anon_sym_PIPE_EQ] = ACTIONS(5214),
    [anon_sym_and_eq] = ACTIONS(5212),
    [anon_sym_or_eq] = ACTIONS(5212),
    [anon_sym_xor_eq] = ACTIONS(5212),
    [anon_sym_LT_EQ_GT] = ACTIONS(5214),
    [anon_sym_or] = ACTIONS(5212),
    [anon_sym_and] = ACTIONS(5212),
    [anon_sym_bitor] = ACTIONS(5212),
    [anon_sym_xor] = ACTIONS(5212),
    [anon_sym_bitand] = ACTIONS(5212),
    [anon_sym_not_eq] = ACTIONS(5212),
    [anon_sym_DASH_DASH] = ACTIONS(5214),
    [anon_sym_PLUS_PLUS] = ACTIONS(5214),
    [anon_sym_DOT] = ACTIONS(5212),
    [anon_sym_DOT_STAR] = ACTIONS(5214),
    [anon_sym_DASH_GT] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5212),
    [anon_sym_decltype] = ACTIONS(5212),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_COMMA] = ACTIONS(5218),
    [anon_sym_RPAREN] = ACTIONS(5218),
    [aux_sym_preproc_if_token2] = ACTIONS(5218),
    [aux_sym_preproc_else_token1] = ACTIONS(5218),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5216),
    [anon_sym_STAR] = ACTIONS(5216),
    [anon_sym_SLASH] = ACTIONS(5216),
    [anon_sym_PERCENT] = ACTIONS(5216),
    [anon_sym_PIPE_PIPE] = ACTIONS(5218),
    [anon_sym_AMP_AMP] = ACTIONS(5218),
    [anon_sym_PIPE] = ACTIONS(5216),
    [anon_sym_CARET] = ACTIONS(5216),
    [anon_sym_AMP] = ACTIONS(5216),
    [anon_sym_EQ_EQ] = ACTIONS(5218),
    [anon_sym_BANG_EQ] = ACTIONS(5218),
    [anon_sym_GT] = ACTIONS(5216),
    [anon_sym_GT_EQ] = ACTIONS(5218),
    [anon_sym_LT_EQ] = ACTIONS(5216),
    [anon_sym_LT] = ACTIONS(5216),
    [anon_sym_LT_LT] = ACTIONS(5216),
    [anon_sym_GT_GT] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [anon_sym___attribute__] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(5218),
    [anon_sym_RBRACE] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [anon_sym_RBRACK] = ACTIONS(5218),
    [anon_sym_EQ] = ACTIONS(5216),
    [anon_sym_COLON] = ACTIONS(5218),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_STAR_EQ] = ACTIONS(5218),
    [anon_sym_SLASH_EQ] = ACTIONS(5218),
    [anon_sym_PERCENT_EQ] = ACTIONS(5218),
    [anon_sym_PLUS_EQ] = ACTIONS(5218),
    [anon_sym_DASH_EQ] = ACTIONS(5218),
    [anon_sym_LT_LT_EQ] = ACTIONS(5218),
    [anon_sym_GT_GT_EQ] = ACTIONS(5218),
    [anon_sym_AMP_EQ] = ACTIONS(5218),
    [anon_sym_CARET_EQ] = ACTIONS(5218),
    [anon_sym_PIPE_EQ] = ACTIONS(5218),
    [anon_sym_and_eq] = ACTIONS(5216),
    [anon_sym_or_eq] = ACTIONS(5216),
    [anon_sym_xor_eq] = ACTIONS(5216),
    [anon_sym_LT_EQ_GT] = ACTIONS(5218),
    [anon_sym_or] = ACTIONS(5216),
    [anon_sym_and] = ACTIONS(5216),
    [anon_sym_bitor] = ACTIONS(5216),
    [anon_sym_xor] = ACTIONS(5216),
    [anon_sym_bitand] = ACTIONS(5216),
    [anon_sym_not_eq] = ACTIONS(5216),
    [anon_sym_DASH_DASH] = ACTIONS(5218),
    [anon_sym_PLUS_PLUS] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_DOT_STAR] = ACTIONS(5218),
    [anon_sym_DASH_GT] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(5216),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5074),
    [aux_sym_preproc_def_token1] = ACTIONS(5074),
    [aux_sym_preproc_if_token1] = ACTIONS(5074),
    [aux_sym_preproc_if_token2] = ACTIONS(5074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5074),
    [sym_preproc_directive] = ACTIONS(5074),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [anon_sym_TILDE] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5076),
    [anon_sym_AMP] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5074),
    [anon_sym_typedef] = ACTIONS(5074),
    [anon_sym_extern] = ACTIONS(5074),
    [anon_sym___attribute__] = ACTIONS(5074),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5076),
    [anon_sym___declspec] = ACTIONS(5074),
    [anon_sym___based] = ACTIONS(5074),
    [anon_sym_signed] = ACTIONS(5074),
    [anon_sym_unsigned] = ACTIONS(5074),
    [anon_sym_long] = ACTIONS(5074),
    [anon_sym_short] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym_static] = ACTIONS(5074),
    [anon_sym_register] = ACTIONS(5074),
    [anon_sym_inline] = ACTIONS(5074),
    [anon_sym___inline] = ACTIONS(5074),
    [anon_sym___inline__] = ACTIONS(5074),
    [anon_sym___forceinline] = ACTIONS(5074),
    [anon_sym_thread_local] = ACTIONS(5074),
    [anon_sym___thread] = ACTIONS(5074),
    [anon_sym_const] = ACTIONS(5074),
    [anon_sym_constexpr] = ACTIONS(5074),
    [anon_sym_volatile] = ACTIONS(5074),
    [anon_sym_restrict] = ACTIONS(5074),
    [anon_sym___restrict__] = ACTIONS(5074),
    [anon_sym__Atomic] = ACTIONS(5074),
    [anon_sym__Noreturn] = ACTIONS(5074),
    [anon_sym_noreturn] = ACTIONS(5074),
    [anon_sym_mutable] = ACTIONS(5074),
    [anon_sym_constinit] = ACTIONS(5074),
    [anon_sym_consteval] = ACTIONS(5074),
    [anon_sym_alignas] = ACTIONS(5074),
    [anon_sym__Alignas] = ACTIONS(5074),
    [sym_primitive_type] = ACTIONS(5074),
    [anon_sym_enum] = ACTIONS(5074),
    [anon_sym_class] = ACTIONS(5074),
    [anon_sym_struct] = ACTIONS(5074),
    [anon_sym_union] = ACTIONS(5074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5074),
    [anon_sym_decltype] = ACTIONS(5074),
    [sym_virtual] = ACTIONS(5074),
    [anon_sym_explicit] = ACTIONS(5074),
    [anon_sym_typename] = ACTIONS(5074),
    [anon_sym_template] = ACTIONS(5074),
    [anon_sym_operator] = ACTIONS(5074),
    [anon_sym_friend] = ACTIONS(5074),
    [anon_sym_public] = ACTIONS(5074),
    [anon_sym_private] = ACTIONS(5074),
    [anon_sym_protected] = ACTIONS(5074),
    [anon_sym_using] = ACTIONS(5074),
    [anon_sym_static_assert] = ACTIONS(5074),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(5196),
    [anon_sym_typedef] = ACTIONS(5196),
    [anon_sym_extern] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_COLON_COLON] = ACTIONS(5198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5198),
    [anon_sym___declspec] = ACTIONS(5196),
    [anon_sym___based] = ACTIONS(5196),
    [anon_sym_RBRACE] = ACTIONS(5198),
    [anon_sym_signed] = ACTIONS(5196),
    [anon_sym_unsigned] = ACTIONS(5196),
    [anon_sym_long] = ACTIONS(5196),
    [anon_sym_short] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5196),
    [anon_sym_static] = ACTIONS(5196),
    [anon_sym_register] = ACTIONS(5196),
    [anon_sym_inline] = ACTIONS(5196),
    [anon_sym___inline] = ACTIONS(5196),
    [anon_sym___inline__] = ACTIONS(5196),
    [anon_sym___forceinline] = ACTIONS(5196),
    [anon_sym_thread_local] = ACTIONS(5196),
    [anon_sym___thread] = ACTIONS(5196),
    [anon_sym_const] = ACTIONS(5196),
    [anon_sym_constexpr] = ACTIONS(5196),
    [anon_sym_volatile] = ACTIONS(5196),
    [anon_sym_restrict] = ACTIONS(5196),
    [anon_sym___restrict__] = ACTIONS(5196),
    [anon_sym__Atomic] = ACTIONS(5196),
    [anon_sym__Noreturn] = ACTIONS(5196),
    [anon_sym_noreturn] = ACTIONS(5196),
    [anon_sym_mutable] = ACTIONS(5196),
    [anon_sym_constinit] = ACTIONS(5196),
    [anon_sym_consteval] = ACTIONS(5196),
    [anon_sym_alignas] = ACTIONS(5196),
    [anon_sym__Alignas] = ACTIONS(5196),
    [sym_primitive_type] = ACTIONS(5196),
    [anon_sym_enum] = ACTIONS(5196),
    [anon_sym_class] = ACTIONS(5196),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5196),
    [anon_sym_decltype] = ACTIONS(5196),
    [sym_virtual] = ACTIONS(5196),
    [anon_sym_explicit] = ACTIONS(5196),
    [anon_sym_typename] = ACTIONS(5196),
    [anon_sym_template] = ACTIONS(5196),
    [anon_sym_operator] = ACTIONS(5196),
    [anon_sym_friend] = ACTIONS(5196),
    [anon_sym_public] = ACTIONS(5196),
    [anon_sym_private] = ACTIONS(5196),
    [anon_sym_protected] = ACTIONS(5196),
    [anon_sym_using] = ACTIONS(5196),
    [anon_sym_static_assert] = ACTIONS(5196),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(5196),
    [anon_sym_typedef] = ACTIONS(5196),
    [anon_sym_extern] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_COLON_COLON] = ACTIONS(5198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5198),
    [anon_sym___declspec] = ACTIONS(5196),
    [anon_sym___based] = ACTIONS(5196),
    [anon_sym_RBRACE] = ACTIONS(5198),
    [anon_sym_signed] = ACTIONS(5196),
    [anon_sym_unsigned] = ACTIONS(5196),
    [anon_sym_long] = ACTIONS(5196),
    [anon_sym_short] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5196),
    [anon_sym_static] = ACTIONS(5196),
    [anon_sym_register] = ACTIONS(5196),
    [anon_sym_inline] = ACTIONS(5196),
    [anon_sym___inline] = ACTIONS(5196),
    [anon_sym___inline__] = ACTIONS(5196),
    [anon_sym___forceinline] = ACTIONS(5196),
    [anon_sym_thread_local] = ACTIONS(5196),
    [anon_sym___thread] = ACTIONS(5196),
    [anon_sym_const] = ACTIONS(5196),
    [anon_sym_constexpr] = ACTIONS(5196),
    [anon_sym_volatile] = ACTIONS(5196),
    [anon_sym_restrict] = ACTIONS(5196),
    [anon_sym___restrict__] = ACTIONS(5196),
    [anon_sym__Atomic] = ACTIONS(5196),
    [anon_sym__Noreturn] = ACTIONS(5196),
    [anon_sym_noreturn] = ACTIONS(5196),
    [anon_sym_mutable] = ACTIONS(5196),
    [anon_sym_constinit] = ACTIONS(5196),
    [anon_sym_consteval] = ACTIONS(5196),
    [anon_sym_alignas] = ACTIONS(5196),
    [anon_sym__Alignas] = ACTIONS(5196),
    [sym_primitive_type] = ACTIONS(5196),
    [anon_sym_enum] = ACTIONS(5196),
    [anon_sym_class] = ACTIONS(5196),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5196),
    [anon_sym_decltype] = ACTIONS(5196),
    [sym_virtual] = ACTIONS(5196),
    [anon_sym_explicit] = ACTIONS(5196),
    [anon_sym_typename] = ACTIONS(5196),
    [anon_sym_template] = ACTIONS(5196),
    [anon_sym_operator] = ACTIONS(5196),
    [anon_sym_friend] = ACTIONS(5196),
    [anon_sym_public] = ACTIONS(5196),
    [anon_sym_private] = ACTIONS(5196),
    [anon_sym_protected] = ACTIONS(5196),
    [anon_sym_using] = ACTIONS(5196),
    [anon_sym_static_assert] = ACTIONS(5196),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym__Alignas] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [sym_virtual] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_protected] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_friend] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_friend] = ACTIONS(2544),
    [anon_sym_public] = ACTIONS(2544),
    [anon_sym_private] = ACTIONS(2544),
    [anon_sym_protected] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym_COMMA] = ACTIONS(5186),
    [anon_sym_RPAREN] = ACTIONS(5186),
    [aux_sym_preproc_if_token2] = ACTIONS(5186),
    [aux_sym_preproc_else_token1] = ACTIONS(5186),
    [aux_sym_preproc_elif_token1] = ACTIONS(5184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5186),
    [anon_sym_LPAREN2] = ACTIONS(5186),
    [anon_sym_DASH] = ACTIONS(5184),
    [anon_sym_PLUS] = ACTIONS(5184),
    [anon_sym_STAR] = ACTIONS(5184),
    [anon_sym_SLASH] = ACTIONS(5184),
    [anon_sym_PERCENT] = ACTIONS(5184),
    [anon_sym_PIPE_PIPE] = ACTIONS(5186),
    [anon_sym_AMP_AMP] = ACTIONS(5186),
    [anon_sym_PIPE] = ACTIONS(5184),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_AMP] = ACTIONS(5184),
    [anon_sym_EQ_EQ] = ACTIONS(5186),
    [anon_sym_BANG_EQ] = ACTIONS(5186),
    [anon_sym_GT] = ACTIONS(5184),
    [anon_sym_GT_EQ] = ACTIONS(5186),
    [anon_sym_LT_EQ] = ACTIONS(5184),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_LT_LT] = ACTIONS(5184),
    [anon_sym_GT_GT] = ACTIONS(5184),
    [anon_sym_SEMI] = ACTIONS(5186),
    [anon_sym___attribute__] = ACTIONS(5184),
    [anon_sym_LBRACE] = ACTIONS(5186),
    [anon_sym_RBRACE] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5186),
    [anon_sym_RBRACK] = ACTIONS(5186),
    [anon_sym_EQ] = ACTIONS(5184),
    [anon_sym_COLON] = ACTIONS(5186),
    [anon_sym_QMARK] = ACTIONS(5186),
    [anon_sym_STAR_EQ] = ACTIONS(5186),
    [anon_sym_SLASH_EQ] = ACTIONS(5186),
    [anon_sym_PERCENT_EQ] = ACTIONS(5186),
    [anon_sym_PLUS_EQ] = ACTIONS(5186),
    [anon_sym_DASH_EQ] = ACTIONS(5186),
    [anon_sym_LT_LT_EQ] = ACTIONS(5186),
    [anon_sym_GT_GT_EQ] = ACTIONS(5186),
    [anon_sym_AMP_EQ] = ACTIONS(5186),
    [anon_sym_CARET_EQ] = ACTIONS(5186),
    [anon_sym_PIPE_EQ] = ACTIONS(5186),
    [anon_sym_and_eq] = ACTIONS(5184),
    [anon_sym_or_eq] = ACTIONS(5184),
    [anon_sym_xor_eq] = ACTIONS(5184),
    [anon_sym_LT_EQ_GT] = ACTIONS(5186),
    [anon_sym_or] = ACTIONS(5184),
    [anon_sym_and] = ACTIONS(5184),
    [anon_sym_bitor] = ACTIONS(5184),
    [anon_sym_xor] = ACTIONS(5184),
    [anon_sym_bitand] = ACTIONS(5184),
    [anon_sym_not_eq] = ACTIONS(5184),
    [anon_sym_DASH_DASH] = ACTIONS(5186),
    [anon_sym_PLUS_PLUS] = ACTIONS(5186),
    [anon_sym_DOT] = ACTIONS(5184),
    [anon_sym_DOT_STAR] = ACTIONS(5186),
    [anon_sym_DASH_GT] = ACTIONS(5186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5184),
    [anon_sym_decltype] = ACTIONS(5184),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5182),
    [anon_sym_COMMA] = ACTIONS(5182),
    [anon_sym_RPAREN] = ACTIONS(5182),
    [aux_sym_preproc_if_token2] = ACTIONS(5182),
    [aux_sym_preproc_else_token1] = ACTIONS(5182),
    [aux_sym_preproc_elif_token1] = ACTIONS(5180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5182),
    [anon_sym_LPAREN2] = ACTIONS(5182),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5182),
    [anon_sym_AMP_AMP] = ACTIONS(5182),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_CARET] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5182),
    [anon_sym_BANG_EQ] = ACTIONS(5182),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5182),
    [anon_sym_LT_EQ] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_SEMI] = ACTIONS(5182),
    [anon_sym___attribute__] = ACTIONS(5180),
    [anon_sym_LBRACE] = ACTIONS(5182),
    [anon_sym_RBRACE] = ACTIONS(5182),
    [anon_sym_LBRACK] = ACTIONS(5182),
    [anon_sym_RBRACK] = ACTIONS(5182),
    [anon_sym_EQ] = ACTIONS(5180),
    [anon_sym_COLON] = ACTIONS(5182),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_STAR_EQ] = ACTIONS(5182),
    [anon_sym_SLASH_EQ] = ACTIONS(5182),
    [anon_sym_PERCENT_EQ] = ACTIONS(5182),
    [anon_sym_PLUS_EQ] = ACTIONS(5182),
    [anon_sym_DASH_EQ] = ACTIONS(5182),
    [anon_sym_LT_LT_EQ] = ACTIONS(5182),
    [anon_sym_GT_GT_EQ] = ACTIONS(5182),
    [anon_sym_AMP_EQ] = ACTIONS(5182),
    [anon_sym_CARET_EQ] = ACTIONS(5182),
    [anon_sym_PIPE_EQ] = ACTIONS(5182),
    [anon_sym_and_eq] = ACTIONS(5180),
    [anon_sym_or_eq] = ACTIONS(5180),
    [anon_sym_xor_eq] = ACTIONS(5180),
    [anon_sym_LT_EQ_GT] = ACTIONS(5182),
    [anon_sym_or] = ACTIONS(5180),
    [anon_sym_and] = ACTIONS(5180),
    [anon_sym_bitor] = ACTIONS(5180),
    [anon_sym_xor] = ACTIONS(5180),
    [anon_sym_bitand] = ACTIONS(5180),
    [anon_sym_not_eq] = ACTIONS(5180),
    [anon_sym_DASH_DASH] = ACTIONS(5182),
    [anon_sym_PLUS_PLUS] = ACTIONS(5182),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_DOT_STAR] = ACTIONS(5182),
    [anon_sym_DASH_GT] = ACTIONS(5182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5180),
    [anon_sym_decltype] = ACTIONS(5180),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_friend] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_RPAREN] = ACTIONS(5178),
    [aux_sym_preproc_if_token2] = ACTIONS(5178),
    [aux_sym_preproc_else_token1] = ACTIONS(5178),
    [aux_sym_preproc_elif_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5178),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5178),
    [anon_sym_LPAREN2] = ACTIONS(5178),
    [anon_sym_DASH] = ACTIONS(5176),
    [anon_sym_PLUS] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5176),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [anon_sym_PIPE_PIPE] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5178),
    [anon_sym_PIPE] = ACTIONS(5176),
    [anon_sym_CARET] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5176),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_GT] = ACTIONS(5176),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5176),
    [anon_sym_LT] = ACTIONS(5176),
    [anon_sym_LT_LT] = ACTIONS(5176),
    [anon_sym_GT_GT] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym___attribute__] = ACTIONS(5176),
    [anon_sym_LBRACE] = ACTIONS(5178),
    [anon_sym_RBRACE] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_RBRACK] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5176),
    [anon_sym_COLON] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_STAR_EQ] = ACTIONS(5178),
    [anon_sym_SLASH_EQ] = ACTIONS(5178),
    [anon_sym_PERCENT_EQ] = ACTIONS(5178),
    [anon_sym_PLUS_EQ] = ACTIONS(5178),
    [anon_sym_DASH_EQ] = ACTIONS(5178),
    [anon_sym_LT_LT_EQ] = ACTIONS(5178),
    [anon_sym_GT_GT_EQ] = ACTIONS(5178),
    [anon_sym_AMP_EQ] = ACTIONS(5178),
    [anon_sym_CARET_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_and_eq] = ACTIONS(5176),
    [anon_sym_or_eq] = ACTIONS(5176),
    [anon_sym_xor_eq] = ACTIONS(5176),
    [anon_sym_LT_EQ_GT] = ACTIONS(5178),
    [anon_sym_or] = ACTIONS(5176),
    [anon_sym_and] = ACTIONS(5176),
    [anon_sym_bitor] = ACTIONS(5176),
    [anon_sym_xor] = ACTIONS(5176),
    [anon_sym_bitand] = ACTIONS(5176),
    [anon_sym_not_eq] = ACTIONS(5176),
    [anon_sym_DASH_DASH] = ACTIONS(5178),
    [anon_sym_PLUS_PLUS] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_DOT_STAR] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5176),
    [anon_sym_decltype] = ACTIONS(5176),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5174),
    [anon_sym_COMMA] = ACTIONS(5174),
    [anon_sym_RPAREN] = ACTIONS(5174),
    [aux_sym_preproc_if_token2] = ACTIONS(5174),
    [aux_sym_preproc_else_token1] = ACTIONS(5174),
    [aux_sym_preproc_elif_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5174),
    [anon_sym_LPAREN2] = ACTIONS(5174),
    [anon_sym_DASH] = ACTIONS(5172),
    [anon_sym_PLUS] = ACTIONS(5172),
    [anon_sym_STAR] = ACTIONS(5172),
    [anon_sym_SLASH] = ACTIONS(5172),
    [anon_sym_PERCENT] = ACTIONS(5172),
    [anon_sym_PIPE_PIPE] = ACTIONS(5174),
    [anon_sym_AMP_AMP] = ACTIONS(5174),
    [anon_sym_PIPE] = ACTIONS(5172),
    [anon_sym_CARET] = ACTIONS(5172),
    [anon_sym_AMP] = ACTIONS(5172),
    [anon_sym_EQ_EQ] = ACTIONS(5174),
    [anon_sym_BANG_EQ] = ACTIONS(5174),
    [anon_sym_GT] = ACTIONS(5172),
    [anon_sym_GT_EQ] = ACTIONS(5174),
    [anon_sym_LT_EQ] = ACTIONS(5172),
    [anon_sym_LT] = ACTIONS(5172),
    [anon_sym_LT_LT] = ACTIONS(5172),
    [anon_sym_GT_GT] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [anon_sym___attribute__] = ACTIONS(5172),
    [anon_sym_LBRACE] = ACTIONS(5174),
    [anon_sym_RBRACE] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [anon_sym_RBRACK] = ACTIONS(5174),
    [anon_sym_EQ] = ACTIONS(5172),
    [anon_sym_COLON] = ACTIONS(5174),
    [anon_sym_QMARK] = ACTIONS(5174),
    [anon_sym_STAR_EQ] = ACTIONS(5174),
    [anon_sym_SLASH_EQ] = ACTIONS(5174),
    [anon_sym_PERCENT_EQ] = ACTIONS(5174),
    [anon_sym_PLUS_EQ] = ACTIONS(5174),
    [anon_sym_DASH_EQ] = ACTIONS(5174),
    [anon_sym_LT_LT_EQ] = ACTIONS(5174),
    [anon_sym_GT_GT_EQ] = ACTIONS(5174),
    [anon_sym_AMP_EQ] = ACTIONS(5174),
    [anon_sym_CARET_EQ] = ACTIONS(5174),
    [anon_sym_PIPE_EQ] = ACTIONS(5174),
    [anon_sym_and_eq] = ACTIONS(5172),
    [anon_sym_or_eq] = ACTIONS(5172),
    [anon_sym_xor_eq] = ACTIONS(5172),
    [anon_sym_LT_EQ_GT] = ACTIONS(5174),
    [anon_sym_or] = ACTIONS(5172),
    [anon_sym_and] = ACTIONS(5172),
    [anon_sym_bitor] = ACTIONS(5172),
    [anon_sym_xor] = ACTIONS(5172),
    [anon_sym_bitand] = ACTIONS(5172),
    [anon_sym_not_eq] = ACTIONS(5172),
    [anon_sym_DASH_DASH] = ACTIONS(5174),
    [anon_sym_PLUS_PLUS] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5172),
    [anon_sym_DOT_STAR] = ACTIONS(5174),
    [anon_sym_DASH_GT] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5172),
    [anon_sym_decltype] = ACTIONS(5172),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(4984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4986),
    [anon_sym_COMMA] = ACTIONS(4986),
    [anon_sym_RPAREN] = ACTIONS(4986),
    [aux_sym_preproc_if_token2] = ACTIONS(4986),
    [aux_sym_preproc_else_token1] = ACTIONS(4986),
    [aux_sym_preproc_elif_token1] = ACTIONS(4984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4986),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4986),
    [anon_sym_LPAREN2] = ACTIONS(4986),
    [anon_sym_DASH] = ACTIONS(4984),
    [anon_sym_PLUS] = ACTIONS(4984),
    [anon_sym_STAR] = ACTIONS(4984),
    [anon_sym_SLASH] = ACTIONS(4984),
    [anon_sym_PERCENT] = ACTIONS(4984),
    [anon_sym_PIPE_PIPE] = ACTIONS(4986),
    [anon_sym_AMP_AMP] = ACTIONS(4986),
    [anon_sym_PIPE] = ACTIONS(4984),
    [anon_sym_CARET] = ACTIONS(4984),
    [anon_sym_AMP] = ACTIONS(4984),
    [anon_sym_EQ_EQ] = ACTIONS(4986),
    [anon_sym_BANG_EQ] = ACTIONS(4986),
    [anon_sym_GT] = ACTIONS(4984),
    [anon_sym_GT_EQ] = ACTIONS(4986),
    [anon_sym_LT_EQ] = ACTIONS(4984),
    [anon_sym_LT] = ACTIONS(4984),
    [anon_sym_LT_LT] = ACTIONS(4984),
    [anon_sym_GT_GT] = ACTIONS(4984),
    [anon_sym_SEMI] = ACTIONS(4986),
    [anon_sym___attribute__] = ACTIONS(4984),
    [anon_sym_LBRACE] = ACTIONS(4986),
    [anon_sym_RBRACE] = ACTIONS(4986),
    [anon_sym_LBRACK] = ACTIONS(4986),
    [anon_sym_RBRACK] = ACTIONS(4986),
    [anon_sym_EQ] = ACTIONS(4984),
    [anon_sym_COLON] = ACTIONS(4986),
    [anon_sym_QMARK] = ACTIONS(4986),
    [anon_sym_STAR_EQ] = ACTIONS(4986),
    [anon_sym_SLASH_EQ] = ACTIONS(4986),
    [anon_sym_PERCENT_EQ] = ACTIONS(4986),
    [anon_sym_PLUS_EQ] = ACTIONS(4986),
    [anon_sym_DASH_EQ] = ACTIONS(4986),
    [anon_sym_LT_LT_EQ] = ACTIONS(4986),
    [anon_sym_GT_GT_EQ] = ACTIONS(4986),
    [anon_sym_AMP_EQ] = ACTIONS(4986),
    [anon_sym_CARET_EQ] = ACTIONS(4986),
    [anon_sym_PIPE_EQ] = ACTIONS(4986),
    [anon_sym_and_eq] = ACTIONS(4984),
    [anon_sym_or_eq] = ACTIONS(4984),
    [anon_sym_xor_eq] = ACTIONS(4984),
    [anon_sym_LT_EQ_GT] = ACTIONS(4986),
    [anon_sym_or] = ACTIONS(4984),
    [anon_sym_and] = ACTIONS(4984),
    [anon_sym_bitor] = ACTIONS(4984),
    [anon_sym_xor] = ACTIONS(4984),
    [anon_sym_bitand] = ACTIONS(4984),
    [anon_sym_not_eq] = ACTIONS(4984),
    [anon_sym_DASH_DASH] = ACTIONS(4986),
    [anon_sym_PLUS_PLUS] = ACTIONS(4986),
    [anon_sym_DOT] = ACTIONS(4984),
    [anon_sym_DOT_STAR] = ACTIONS(4986),
    [anon_sym_DASH_GT] = ACTIONS(4986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4984),
    [anon_sym_decltype] = ACTIONS(4984),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5574),
    [anon_sym_COMMA] = ACTIONS(5574),
    [anon_sym_RPAREN] = ACTIONS(5574),
    [aux_sym_preproc_if_token2] = ACTIONS(5574),
    [aux_sym_preproc_else_token1] = ACTIONS(5574),
    [aux_sym_preproc_elif_token1] = ACTIONS(5572),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5574),
    [anon_sym_LPAREN2] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5572),
    [anon_sym_PERCENT] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE] = ACTIONS(5574),
    [anon_sym_AMP_AMP] = ACTIONS(5574),
    [anon_sym_PIPE] = ACTIONS(5572),
    [anon_sym_CARET] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(5572),
    [anon_sym_EQ_EQ] = ACTIONS(5574),
    [anon_sym_BANG_EQ] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(5572),
    [anon_sym_GT_EQ] = ACTIONS(5574),
    [anon_sym_LT_EQ] = ACTIONS(5572),
    [anon_sym_LT] = ACTIONS(5572),
    [anon_sym_LT_LT] = ACTIONS(5572),
    [anon_sym_GT_GT] = ACTIONS(5572),
    [anon_sym_SEMI] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5574),
    [anon_sym_LBRACE] = ACTIONS(5574),
    [anon_sym_RBRACE] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5574),
    [anon_sym_EQ] = ACTIONS(5572),
    [anon_sym_COLON] = ACTIONS(5574),
    [anon_sym_QMARK] = ACTIONS(5574),
    [anon_sym_STAR_EQ] = ACTIONS(5574),
    [anon_sym_SLASH_EQ] = ACTIONS(5574),
    [anon_sym_PERCENT_EQ] = ACTIONS(5574),
    [anon_sym_PLUS_EQ] = ACTIONS(5574),
    [anon_sym_DASH_EQ] = ACTIONS(5574),
    [anon_sym_LT_LT_EQ] = ACTIONS(5574),
    [anon_sym_GT_GT_EQ] = ACTIONS(5574),
    [anon_sym_AMP_EQ] = ACTIONS(5574),
    [anon_sym_CARET_EQ] = ACTIONS(5574),
    [anon_sym_PIPE_EQ] = ACTIONS(5574),
    [anon_sym_and_eq] = ACTIONS(5572),
    [anon_sym_or_eq] = ACTIONS(5572),
    [anon_sym_xor_eq] = ACTIONS(5572),
    [anon_sym_LT_EQ_GT] = ACTIONS(5574),
    [anon_sym_or] = ACTIONS(5572),
    [anon_sym_and] = ACTIONS(5572),
    [anon_sym_bitor] = ACTIONS(5572),
    [anon_sym_xor] = ACTIONS(5572),
    [anon_sym_bitand] = ACTIONS(5572),
    [anon_sym_not_eq] = ACTIONS(5572),
    [anon_sym_DASH_DASH] = ACTIONS(5574),
    [anon_sym_PLUS_PLUS] = ACTIONS(5574),
    [anon_sym_DOT] = ACTIONS(5572),
    [anon_sym_DOT_STAR] = ACTIONS(5574),
    [anon_sym_DASH_GT] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5572),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5168),
    [aux_sym_preproc_def_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5168),
    [sym_preproc_directive] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5170),
    [anon_sym_TILDE] = ACTIONS(5170),
    [anon_sym_STAR] = ACTIONS(5170),
    [anon_sym_AMP_AMP] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(5168),
    [anon_sym___extension__] = ACTIONS(5168),
    [anon_sym_typedef] = ACTIONS(5168),
    [anon_sym_extern] = ACTIONS(5168),
    [anon_sym___attribute__] = ACTIONS(5168),
    [anon_sym_COLON_COLON] = ACTIONS(5170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5170),
    [anon_sym___declspec] = ACTIONS(5168),
    [anon_sym___based] = ACTIONS(5168),
    [anon_sym_RBRACE] = ACTIONS(5170),
    [anon_sym_signed] = ACTIONS(5168),
    [anon_sym_unsigned] = ACTIONS(5168),
    [anon_sym_long] = ACTIONS(5168),
    [anon_sym_short] = ACTIONS(5168),
    [anon_sym_LBRACK] = ACTIONS(5168),
    [anon_sym_static] = ACTIONS(5168),
    [anon_sym_register] = ACTIONS(5168),
    [anon_sym_inline] = ACTIONS(5168),
    [anon_sym___inline] = ACTIONS(5168),
    [anon_sym___inline__] = ACTIONS(5168),
    [anon_sym___forceinline] = ACTIONS(5168),
    [anon_sym_thread_local] = ACTIONS(5168),
    [anon_sym___thread] = ACTIONS(5168),
    [anon_sym_const] = ACTIONS(5168),
    [anon_sym_constexpr] = ACTIONS(5168),
    [anon_sym_volatile] = ACTIONS(5168),
    [anon_sym_restrict] = ACTIONS(5168),
    [anon_sym___restrict__] = ACTIONS(5168),
    [anon_sym__Atomic] = ACTIONS(5168),
    [anon_sym__Noreturn] = ACTIONS(5168),
    [anon_sym_noreturn] = ACTIONS(5168),
    [anon_sym_mutable] = ACTIONS(5168),
    [anon_sym_constinit] = ACTIONS(5168),
    [anon_sym_consteval] = ACTIONS(5168),
    [anon_sym_alignas] = ACTIONS(5168),
    [anon_sym__Alignas] = ACTIONS(5168),
    [sym_primitive_type] = ACTIONS(5168),
    [anon_sym_enum] = ACTIONS(5168),
    [anon_sym_class] = ACTIONS(5168),
    [anon_sym_struct] = ACTIONS(5168),
    [anon_sym_union] = ACTIONS(5168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5168),
    [anon_sym_decltype] = ACTIONS(5168),
    [sym_virtual] = ACTIONS(5168),
    [anon_sym_explicit] = ACTIONS(5168),
    [anon_sym_typename] = ACTIONS(5168),
    [anon_sym_template] = ACTIONS(5168),
    [anon_sym_operator] = ACTIONS(5168),
    [anon_sym_friend] = ACTIONS(5168),
    [anon_sym_public] = ACTIONS(5168),
    [anon_sym_private] = ACTIONS(5168),
    [anon_sym_protected] = ACTIONS(5168),
    [anon_sym_using] = ACTIONS(5168),
    [anon_sym_static_assert] = ACTIONS(5168),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(2858),
    [aux_sym_preproc_def_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token1] = ACTIONS(2858),
    [aux_sym_preproc_if_token2] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2858),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2858),
    [sym_preproc_directive] = ACTIONS(2858),
    [anon_sym_LPAREN2] = ACTIONS(2860),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2860),
    [anon_sym_AMP_AMP] = ACTIONS(2860),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2858),
    [anon_sym_typedef] = ACTIONS(2858),
    [anon_sym_extern] = ACTIONS(2858),
    [anon_sym___attribute__] = ACTIONS(2858),
    [anon_sym_COLON_COLON] = ACTIONS(2860),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2860),
    [anon_sym___declspec] = ACTIONS(2858),
    [anon_sym___based] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2858),
    [anon_sym_unsigned] = ACTIONS(2858),
    [anon_sym_long] = ACTIONS(2858),
    [anon_sym_short] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_register] = ACTIONS(2858),
    [anon_sym_inline] = ACTIONS(2858),
    [anon_sym___inline] = ACTIONS(2858),
    [anon_sym___inline__] = ACTIONS(2858),
    [anon_sym___forceinline] = ACTIONS(2858),
    [anon_sym_thread_local] = ACTIONS(2858),
    [anon_sym___thread] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_constexpr] = ACTIONS(2858),
    [anon_sym_volatile] = ACTIONS(2858),
    [anon_sym_restrict] = ACTIONS(2858),
    [anon_sym___restrict__] = ACTIONS(2858),
    [anon_sym__Atomic] = ACTIONS(2858),
    [anon_sym__Noreturn] = ACTIONS(2858),
    [anon_sym_noreturn] = ACTIONS(2858),
    [anon_sym_mutable] = ACTIONS(2858),
    [anon_sym_constinit] = ACTIONS(2858),
    [anon_sym_consteval] = ACTIONS(2858),
    [anon_sym_alignas] = ACTIONS(2858),
    [anon_sym__Alignas] = ACTIONS(2858),
    [sym_primitive_type] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_struct] = ACTIONS(2858),
    [anon_sym_union] = ACTIONS(2858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2858),
    [anon_sym_decltype] = ACTIONS(2858),
    [sym_virtual] = ACTIONS(2858),
    [anon_sym_explicit] = ACTIONS(2858),
    [anon_sym_typename] = ACTIONS(2858),
    [anon_sym_template] = ACTIONS(2858),
    [anon_sym_operator] = ACTIONS(2858),
    [anon_sym_friend] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_static_assert] = ACTIONS(2858),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(5164),
    [aux_sym_preproc_def_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5164),
    [sym_preproc_directive] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5166),
    [anon_sym_TILDE] = ACTIONS(5166),
    [anon_sym_STAR] = ACTIONS(5166),
    [anon_sym_AMP_AMP] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(5164),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_typedef] = ACTIONS(5164),
    [anon_sym_extern] = ACTIONS(5164),
    [anon_sym___attribute__] = ACTIONS(5164),
    [anon_sym_COLON_COLON] = ACTIONS(5166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5166),
    [anon_sym___declspec] = ACTIONS(5164),
    [anon_sym___based] = ACTIONS(5164),
    [anon_sym_RBRACE] = ACTIONS(5166),
    [anon_sym_signed] = ACTIONS(5164),
    [anon_sym_unsigned] = ACTIONS(5164),
    [anon_sym_long] = ACTIONS(5164),
    [anon_sym_short] = ACTIONS(5164),
    [anon_sym_LBRACK] = ACTIONS(5164),
    [anon_sym_static] = ACTIONS(5164),
    [anon_sym_register] = ACTIONS(5164),
    [anon_sym_inline] = ACTIONS(5164),
    [anon_sym___inline] = ACTIONS(5164),
    [anon_sym___inline__] = ACTIONS(5164),
    [anon_sym___forceinline] = ACTIONS(5164),
    [anon_sym_thread_local] = ACTIONS(5164),
    [anon_sym___thread] = ACTIONS(5164),
    [anon_sym_const] = ACTIONS(5164),
    [anon_sym_constexpr] = ACTIONS(5164),
    [anon_sym_volatile] = ACTIONS(5164),
    [anon_sym_restrict] = ACTIONS(5164),
    [anon_sym___restrict__] = ACTIONS(5164),
    [anon_sym__Atomic] = ACTIONS(5164),
    [anon_sym__Noreturn] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5164),
    [anon_sym_mutable] = ACTIONS(5164),
    [anon_sym_constinit] = ACTIONS(5164),
    [anon_sym_consteval] = ACTIONS(5164),
    [anon_sym_alignas] = ACTIONS(5164),
    [anon_sym__Alignas] = ACTIONS(5164),
    [sym_primitive_type] = ACTIONS(5164),
    [anon_sym_enum] = ACTIONS(5164),
    [anon_sym_class] = ACTIONS(5164),
    [anon_sym_struct] = ACTIONS(5164),
    [anon_sym_union] = ACTIONS(5164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5164),
    [anon_sym_decltype] = ACTIONS(5164),
    [sym_virtual] = ACTIONS(5164),
    [anon_sym_explicit] = ACTIONS(5164),
    [anon_sym_typename] = ACTIONS(5164),
    [anon_sym_template] = ACTIONS(5164),
    [anon_sym_operator] = ACTIONS(5164),
    [anon_sym_friend] = ACTIONS(5164),
    [anon_sym_public] = ACTIONS(5164),
    [anon_sym_private] = ACTIONS(5164),
    [anon_sym_protected] = ACTIONS(5164),
    [anon_sym_using] = ACTIONS(5164),
    [anon_sym_static_assert] = ACTIONS(5164),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(5026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5028),
    [anon_sym_COMMA] = ACTIONS(5028),
    [anon_sym_RPAREN] = ACTIONS(5028),
    [aux_sym_preproc_if_token2] = ACTIONS(5028),
    [aux_sym_preproc_else_token1] = ACTIONS(5028),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5028),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5028),
    [anon_sym_LPAREN2] = ACTIONS(5028),
    [anon_sym_DASH] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5026),
    [anon_sym_STAR] = ACTIONS(5026),
    [anon_sym_SLASH] = ACTIONS(5026),
    [anon_sym_PERCENT] = ACTIONS(5026),
    [anon_sym_PIPE_PIPE] = ACTIONS(5028),
    [anon_sym_AMP_AMP] = ACTIONS(5028),
    [anon_sym_PIPE] = ACTIONS(5026),
    [anon_sym_CARET] = ACTIONS(5026),
    [anon_sym_AMP] = ACTIONS(5026),
    [anon_sym_EQ_EQ] = ACTIONS(5028),
    [anon_sym_BANG_EQ] = ACTIONS(5028),
    [anon_sym_GT] = ACTIONS(5026),
    [anon_sym_GT_EQ] = ACTIONS(5028),
    [anon_sym_LT_EQ] = ACTIONS(5026),
    [anon_sym_LT] = ACTIONS(5026),
    [anon_sym_LT_LT] = ACTIONS(5026),
    [anon_sym_GT_GT] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5028),
    [anon_sym___attribute__] = ACTIONS(5026),
    [anon_sym_LBRACE] = ACTIONS(5028),
    [anon_sym_RBRACE] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(5028),
    [anon_sym_RBRACK] = ACTIONS(5028),
    [anon_sym_EQ] = ACTIONS(5026),
    [anon_sym_COLON] = ACTIONS(5028),
    [anon_sym_QMARK] = ACTIONS(5028),
    [anon_sym_STAR_EQ] = ACTIONS(5028),
    [anon_sym_SLASH_EQ] = ACTIONS(5028),
    [anon_sym_PERCENT_EQ] = ACTIONS(5028),
    [anon_sym_PLUS_EQ] = ACTIONS(5028),
    [anon_sym_DASH_EQ] = ACTIONS(5028),
    [anon_sym_LT_LT_EQ] = ACTIONS(5028),
    [anon_sym_GT_GT_EQ] = ACTIONS(5028),
    [anon_sym_AMP_EQ] = ACTIONS(5028),
    [anon_sym_CARET_EQ] = ACTIONS(5028),
    [anon_sym_PIPE_EQ] = ACTIONS(5028),
    [anon_sym_and_eq] = ACTIONS(5026),
    [anon_sym_or_eq] = ACTIONS(5026),
    [anon_sym_xor_eq] = ACTIONS(5026),
    [anon_sym_LT_EQ_GT] = ACTIONS(5028),
    [anon_sym_or] = ACTIONS(5026),
    [anon_sym_and] = ACTIONS(5026),
    [anon_sym_bitor] = ACTIONS(5026),
    [anon_sym_xor] = ACTIONS(5026),
    [anon_sym_bitand] = ACTIONS(5026),
    [anon_sym_not_eq] = ACTIONS(5026),
    [anon_sym_DASH_DASH] = ACTIONS(5028),
    [anon_sym_PLUS_PLUS] = ACTIONS(5028),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_DOT_STAR] = ACTIONS(5028),
    [anon_sym_DASH_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5026),
    [anon_sym_decltype] = ACTIONS(5026),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5162),
    [anon_sym_TILDE] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_AMP_AMP] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5160),
    [anon_sym_typedef] = ACTIONS(5160),
    [anon_sym_extern] = ACTIONS(5160),
    [anon_sym___attribute__] = ACTIONS(5160),
    [anon_sym_COLON_COLON] = ACTIONS(5162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5162),
    [anon_sym___declspec] = ACTIONS(5160),
    [anon_sym___based] = ACTIONS(5160),
    [anon_sym_RBRACE] = ACTIONS(5162),
    [anon_sym_signed] = ACTIONS(5160),
    [anon_sym_unsigned] = ACTIONS(5160),
    [anon_sym_long] = ACTIONS(5160),
    [anon_sym_short] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5160),
    [anon_sym_register] = ACTIONS(5160),
    [anon_sym_inline] = ACTIONS(5160),
    [anon_sym___inline] = ACTIONS(5160),
    [anon_sym___inline__] = ACTIONS(5160),
    [anon_sym___forceinline] = ACTIONS(5160),
    [anon_sym_thread_local] = ACTIONS(5160),
    [anon_sym___thread] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5160),
    [anon_sym_constexpr] = ACTIONS(5160),
    [anon_sym_volatile] = ACTIONS(5160),
    [anon_sym_restrict] = ACTIONS(5160),
    [anon_sym___restrict__] = ACTIONS(5160),
    [anon_sym__Atomic] = ACTIONS(5160),
    [anon_sym__Noreturn] = ACTIONS(5160),
    [anon_sym_noreturn] = ACTIONS(5160),
    [anon_sym_mutable] = ACTIONS(5160),
    [anon_sym_constinit] = ACTIONS(5160),
    [anon_sym_consteval] = ACTIONS(5160),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [sym_primitive_type] = ACTIONS(5160),
    [anon_sym_enum] = ACTIONS(5160),
    [anon_sym_class] = ACTIONS(5160),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5160),
    [anon_sym_decltype] = ACTIONS(5160),
    [sym_virtual] = ACTIONS(5160),
    [anon_sym_explicit] = ACTIONS(5160),
    [anon_sym_typename] = ACTIONS(5160),
    [anon_sym_template] = ACTIONS(5160),
    [anon_sym_operator] = ACTIONS(5160),
    [anon_sym_friend] = ACTIONS(5160),
    [anon_sym_public] = ACTIONS(5160),
    [anon_sym_private] = ACTIONS(5160),
    [anon_sym_protected] = ACTIONS(5160),
    [anon_sym_using] = ACTIONS(5160),
    [anon_sym_static_assert] = ACTIONS(5160),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4932),
    [anon_sym_typedef] = ACTIONS(4932),
    [anon_sym_extern] = ACTIONS(4932),
    [anon_sym___attribute__] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4934),
    [anon_sym___declspec] = ACTIONS(4932),
    [anon_sym___based] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4932),
    [anon_sym_unsigned] = ACTIONS(4932),
    [anon_sym_long] = ACTIONS(4932),
    [anon_sym_short] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4932),
    [anon_sym_inline] = ACTIONS(4932),
    [anon_sym___inline] = ACTIONS(4932),
    [anon_sym___inline__] = ACTIONS(4932),
    [anon_sym___forceinline] = ACTIONS(4932),
    [anon_sym_thread_local] = ACTIONS(4932),
    [anon_sym___thread] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4932),
    [anon_sym_constexpr] = ACTIONS(4932),
    [anon_sym_volatile] = ACTIONS(4932),
    [anon_sym_restrict] = ACTIONS(4932),
    [anon_sym___restrict__] = ACTIONS(4932),
    [anon_sym__Atomic] = ACTIONS(4932),
    [anon_sym__Noreturn] = ACTIONS(4932),
    [anon_sym_noreturn] = ACTIONS(4932),
    [anon_sym_mutable] = ACTIONS(4932),
    [anon_sym_constinit] = ACTIONS(4932),
    [anon_sym_consteval] = ACTIONS(4932),
    [anon_sym_alignas] = ACTIONS(4932),
    [anon_sym__Alignas] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_union] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4932),
    [anon_sym_decltype] = ACTIONS(4932),
    [sym_virtual] = ACTIONS(4932),
    [anon_sym_explicit] = ACTIONS(4932),
    [anon_sym_typename] = ACTIONS(4932),
    [anon_sym_template] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4932),
    [anon_sym_friend] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_protected] = ACTIONS(4932),
    [anon_sym_using] = ACTIONS(4932),
    [anon_sym_static_assert] = ACTIONS(4932),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_friend] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(5152),
    [aux_sym_preproc_def_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5152),
    [sym_preproc_directive] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [anon_sym_TILDE] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_AMP_AMP] = ACTIONS(5154),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5152),
    [anon_sym_typedef] = ACTIONS(5152),
    [anon_sym_extern] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5152),
    [anon_sym_COLON_COLON] = ACTIONS(5154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5154),
    [anon_sym___declspec] = ACTIONS(5152),
    [anon_sym___based] = ACTIONS(5152),
    [anon_sym_RBRACE] = ACTIONS(5154),
    [anon_sym_signed] = ACTIONS(5152),
    [anon_sym_unsigned] = ACTIONS(5152),
    [anon_sym_long] = ACTIONS(5152),
    [anon_sym_short] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5152),
    [anon_sym_register] = ACTIONS(5152),
    [anon_sym_inline] = ACTIONS(5152),
    [anon_sym___inline] = ACTIONS(5152),
    [anon_sym___inline__] = ACTIONS(5152),
    [anon_sym___forceinline] = ACTIONS(5152),
    [anon_sym_thread_local] = ACTIONS(5152),
    [anon_sym___thread] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5152),
    [anon_sym_constexpr] = ACTIONS(5152),
    [anon_sym_volatile] = ACTIONS(5152),
    [anon_sym_restrict] = ACTIONS(5152),
    [anon_sym___restrict__] = ACTIONS(5152),
    [anon_sym__Atomic] = ACTIONS(5152),
    [anon_sym__Noreturn] = ACTIONS(5152),
    [anon_sym_noreturn] = ACTIONS(5152),
    [anon_sym_mutable] = ACTIONS(5152),
    [anon_sym_constinit] = ACTIONS(5152),
    [anon_sym_consteval] = ACTIONS(5152),
    [anon_sym_alignas] = ACTIONS(5152),
    [anon_sym__Alignas] = ACTIONS(5152),
    [sym_primitive_type] = ACTIONS(5152),
    [anon_sym_enum] = ACTIONS(5152),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5152),
    [anon_sym_union] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5152),
    [anon_sym_decltype] = ACTIONS(5152),
    [sym_virtual] = ACTIONS(5152),
    [anon_sym_explicit] = ACTIONS(5152),
    [anon_sym_typename] = ACTIONS(5152),
    [anon_sym_template] = ACTIONS(5152),
    [anon_sym_operator] = ACTIONS(5152),
    [anon_sym_friend] = ACTIONS(5152),
    [anon_sym_public] = ACTIONS(5152),
    [anon_sym_private] = ACTIONS(5152),
    [anon_sym_protected] = ACTIONS(5152),
    [anon_sym_using] = ACTIONS(5152),
    [anon_sym_static_assert] = ACTIONS(5152),
  },
  [2045] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [aux_sym_preproc_if_token2] = ACTIONS(4930),
    [aux_sym_preproc_else_token1] = ACTIONS(4930),
    [aux_sym_preproc_elif_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4928),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4928),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4928),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4928),
    [anon_sym_GT_GT] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_STAR_EQ] = ACTIONS(4930),
    [anon_sym_SLASH_EQ] = ACTIONS(4930),
    [anon_sym_PERCENT_EQ] = ACTIONS(4930),
    [anon_sym_PLUS_EQ] = ACTIONS(4930),
    [anon_sym_DASH_EQ] = ACTIONS(4930),
    [anon_sym_LT_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT_GT_EQ] = ACTIONS(4930),
    [anon_sym_AMP_EQ] = ACTIONS(4930),
    [anon_sym_CARET_EQ] = ACTIONS(4930),
    [anon_sym_PIPE_EQ] = ACTIONS(4930),
    [anon_sym_and_eq] = ACTIONS(4928),
    [anon_sym_or_eq] = ACTIONS(4928),
    [anon_sym_xor_eq] = ACTIONS(4928),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5162),
    [anon_sym_TILDE] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_AMP_AMP] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5160),
    [anon_sym_typedef] = ACTIONS(5160),
    [anon_sym_extern] = ACTIONS(5160),
    [anon_sym___attribute__] = ACTIONS(5160),
    [anon_sym_COLON_COLON] = ACTIONS(5162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5162),
    [anon_sym___declspec] = ACTIONS(5160),
    [anon_sym___based] = ACTIONS(5160),
    [anon_sym_RBRACE] = ACTIONS(5162),
    [anon_sym_signed] = ACTIONS(5160),
    [anon_sym_unsigned] = ACTIONS(5160),
    [anon_sym_long] = ACTIONS(5160),
    [anon_sym_short] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5160),
    [anon_sym_register] = ACTIONS(5160),
    [anon_sym_inline] = ACTIONS(5160),
    [anon_sym___inline] = ACTIONS(5160),
    [anon_sym___inline__] = ACTIONS(5160),
    [anon_sym___forceinline] = ACTIONS(5160),
    [anon_sym_thread_local] = ACTIONS(5160),
    [anon_sym___thread] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5160),
    [anon_sym_constexpr] = ACTIONS(5160),
    [anon_sym_volatile] = ACTIONS(5160),
    [anon_sym_restrict] = ACTIONS(5160),
    [anon_sym___restrict__] = ACTIONS(5160),
    [anon_sym__Atomic] = ACTIONS(5160),
    [anon_sym__Noreturn] = ACTIONS(5160),
    [anon_sym_noreturn] = ACTIONS(5160),
    [anon_sym_mutable] = ACTIONS(5160),
    [anon_sym_constinit] = ACTIONS(5160),
    [anon_sym_consteval] = ACTIONS(5160),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [sym_primitive_type] = ACTIONS(5160),
    [anon_sym_enum] = ACTIONS(5160),
    [anon_sym_class] = ACTIONS(5160),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5160),
    [anon_sym_decltype] = ACTIONS(5160),
    [sym_virtual] = ACTIONS(5160),
    [anon_sym_explicit] = ACTIONS(5160),
    [anon_sym_typename] = ACTIONS(5160),
    [anon_sym_template] = ACTIONS(5160),
    [anon_sym_operator] = ACTIONS(5160),
    [anon_sym_friend] = ACTIONS(5160),
    [anon_sym_public] = ACTIONS(5160),
    [anon_sym_private] = ACTIONS(5160),
    [anon_sym_protected] = ACTIONS(5160),
    [anon_sym_using] = ACTIONS(5160),
    [anon_sym_static_assert] = ACTIONS(5160),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(5152),
    [aux_sym_preproc_def_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5152),
    [sym_preproc_directive] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [anon_sym_TILDE] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_AMP_AMP] = ACTIONS(5154),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5152),
    [anon_sym_typedef] = ACTIONS(5152),
    [anon_sym_extern] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5152),
    [anon_sym_COLON_COLON] = ACTIONS(5154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5154),
    [anon_sym___declspec] = ACTIONS(5152),
    [anon_sym___based] = ACTIONS(5152),
    [anon_sym_RBRACE] = ACTIONS(5154),
    [anon_sym_signed] = ACTIONS(5152),
    [anon_sym_unsigned] = ACTIONS(5152),
    [anon_sym_long] = ACTIONS(5152),
    [anon_sym_short] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5152),
    [anon_sym_register] = ACTIONS(5152),
    [anon_sym_inline] = ACTIONS(5152),
    [anon_sym___inline] = ACTIONS(5152),
    [anon_sym___inline__] = ACTIONS(5152),
    [anon_sym___forceinline] = ACTIONS(5152),
    [anon_sym_thread_local] = ACTIONS(5152),
    [anon_sym___thread] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5152),
    [anon_sym_constexpr] = ACTIONS(5152),
    [anon_sym_volatile] = ACTIONS(5152),
    [anon_sym_restrict] = ACTIONS(5152),
    [anon_sym___restrict__] = ACTIONS(5152),
    [anon_sym__Atomic] = ACTIONS(5152),
    [anon_sym__Noreturn] = ACTIONS(5152),
    [anon_sym_noreturn] = ACTIONS(5152),
    [anon_sym_mutable] = ACTIONS(5152),
    [anon_sym_constinit] = ACTIONS(5152),
    [anon_sym_consteval] = ACTIONS(5152),
    [anon_sym_alignas] = ACTIONS(5152),
    [anon_sym__Alignas] = ACTIONS(5152),
    [sym_primitive_type] = ACTIONS(5152),
    [anon_sym_enum] = ACTIONS(5152),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5152),
    [anon_sym_union] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5152),
    [anon_sym_decltype] = ACTIONS(5152),
    [sym_virtual] = ACTIONS(5152),
    [anon_sym_explicit] = ACTIONS(5152),
    [anon_sym_typename] = ACTIONS(5152),
    [anon_sym_template] = ACTIONS(5152),
    [anon_sym_operator] = ACTIONS(5152),
    [anon_sym_friend] = ACTIONS(5152),
    [anon_sym_public] = ACTIONS(5152),
    [anon_sym_private] = ACTIONS(5152),
    [anon_sym_protected] = ACTIONS(5152),
    [anon_sym_using] = ACTIONS(5152),
    [anon_sym_static_assert] = ACTIONS(5152),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_friend] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_friend] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token2] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_friend] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_friend] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_protected] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [aux_sym_preproc_if_token2] = ACTIONS(4930),
    [aux_sym_preproc_else_token1] = ACTIONS(4930),
    [aux_sym_preproc_elif_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4928),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4928),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4928),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4928),
    [anon_sym_GT_GT] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_STAR_EQ] = ACTIONS(4930),
    [anon_sym_SLASH_EQ] = ACTIONS(4930),
    [anon_sym_PERCENT_EQ] = ACTIONS(4930),
    [anon_sym_PLUS_EQ] = ACTIONS(4930),
    [anon_sym_DASH_EQ] = ACTIONS(4930),
    [anon_sym_LT_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT_GT_EQ] = ACTIONS(4930),
    [anon_sym_AMP_EQ] = ACTIONS(4930),
    [anon_sym_CARET_EQ] = ACTIONS(4930),
    [anon_sym_PIPE_EQ] = ACTIONS(4930),
    [anon_sym_and_eq] = ACTIONS(4928),
    [anon_sym_or_eq] = ACTIONS(4928),
    [anon_sym_xor_eq] = ACTIONS(4928),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [anon_sym_TILDE] = ACTIONS(5140),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_AMP_AMP] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5138),
    [anon_sym_typedef] = ACTIONS(5138),
    [anon_sym_extern] = ACTIONS(5138),
    [anon_sym___attribute__] = ACTIONS(5138),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5140),
    [anon_sym___declspec] = ACTIONS(5138),
    [anon_sym___based] = ACTIONS(5138),
    [anon_sym_RBRACE] = ACTIONS(5140),
    [anon_sym_signed] = ACTIONS(5138),
    [anon_sym_unsigned] = ACTIONS(5138),
    [anon_sym_long] = ACTIONS(5138),
    [anon_sym_short] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [anon_sym_static] = ACTIONS(5138),
    [anon_sym_register] = ACTIONS(5138),
    [anon_sym_inline] = ACTIONS(5138),
    [anon_sym___inline] = ACTIONS(5138),
    [anon_sym___inline__] = ACTIONS(5138),
    [anon_sym___forceinline] = ACTIONS(5138),
    [anon_sym_thread_local] = ACTIONS(5138),
    [anon_sym___thread] = ACTIONS(5138),
    [anon_sym_const] = ACTIONS(5138),
    [anon_sym_constexpr] = ACTIONS(5138),
    [anon_sym_volatile] = ACTIONS(5138),
    [anon_sym_restrict] = ACTIONS(5138),
    [anon_sym___restrict__] = ACTIONS(5138),
    [anon_sym__Atomic] = ACTIONS(5138),
    [anon_sym__Noreturn] = ACTIONS(5138),
    [anon_sym_noreturn] = ACTIONS(5138),
    [anon_sym_mutable] = ACTIONS(5138),
    [anon_sym_constinit] = ACTIONS(5138),
    [anon_sym_consteval] = ACTIONS(5138),
    [anon_sym_alignas] = ACTIONS(5138),
    [anon_sym__Alignas] = ACTIONS(5138),
    [sym_primitive_type] = ACTIONS(5138),
    [anon_sym_enum] = ACTIONS(5138),
    [anon_sym_class] = ACTIONS(5138),
    [anon_sym_struct] = ACTIONS(5138),
    [anon_sym_union] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5138),
    [sym_virtual] = ACTIONS(5138),
    [anon_sym_explicit] = ACTIONS(5138),
    [anon_sym_typename] = ACTIONS(5138),
    [anon_sym_template] = ACTIONS(5138),
    [anon_sym_operator] = ACTIONS(5138),
    [anon_sym_friend] = ACTIONS(5138),
    [anon_sym_public] = ACTIONS(5138),
    [anon_sym_private] = ACTIONS(5138),
    [anon_sym_protected] = ACTIONS(5138),
    [anon_sym_using] = ACTIONS(5138),
    [anon_sym_static_assert] = ACTIONS(5138),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [sym_virtual] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_friend] = ACTIONS(2995),
    [anon_sym_public] = ACTIONS(2995),
    [anon_sym_private] = ACTIONS(2995),
    [anon_sym_protected] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3638),
    [anon_sym_COMMA] = ACTIONS(3638),
    [anon_sym_RPAREN] = ACTIONS(3638),
    [anon_sym_LPAREN2] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3638),
    [anon_sym_AMP_AMP] = ACTIONS(3638),
    [anon_sym_AMP] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym___extension__] = ACTIONS(3636),
    [anon_sym_extern] = ACTIONS(3636),
    [anon_sym___attribute__] = ACTIONS(3636),
    [anon_sym_COLON_COLON] = ACTIONS(3638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3638),
    [anon_sym___declspec] = ACTIONS(3636),
    [anon_sym___based] = ACTIONS(3636),
    [anon_sym___cdecl] = ACTIONS(3636),
    [anon_sym___clrcall] = ACTIONS(3636),
    [anon_sym___stdcall] = ACTIONS(3636),
    [anon_sym___fastcall] = ACTIONS(3636),
    [anon_sym___thiscall] = ACTIONS(3636),
    [anon_sym___vectorcall] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_EQ] = ACTIONS(3638),
    [anon_sym_register] = ACTIONS(3636),
    [anon_sym_inline] = ACTIONS(3636),
    [anon_sym___inline] = ACTIONS(3636),
    [anon_sym___inline__] = ACTIONS(3636),
    [anon_sym___forceinline] = ACTIONS(3636),
    [anon_sym_thread_local] = ACTIONS(3636),
    [anon_sym___thread] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_constexpr] = ACTIONS(3636),
    [anon_sym_volatile] = ACTIONS(3636),
    [anon_sym_restrict] = ACTIONS(3636),
    [anon_sym___restrict__] = ACTIONS(3636),
    [anon_sym__Atomic] = ACTIONS(3636),
    [anon_sym__Noreturn] = ACTIONS(3636),
    [anon_sym_noreturn] = ACTIONS(3636),
    [anon_sym_mutable] = ACTIONS(3636),
    [anon_sym_constinit] = ACTIONS(3636),
    [anon_sym_consteval] = ACTIONS(3636),
    [anon_sym_alignas] = ACTIONS(3636),
    [anon_sym__Alignas] = ACTIONS(3636),
    [anon_sym_COLON] = ACTIONS(3636),
    [anon_sym_asm] = ACTIONS(3636),
    [anon_sym___asm__] = ACTIONS(3636),
    [anon_sym_DASH_GT] = ACTIONS(3638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3636),
    [anon_sym_final] = ACTIONS(3636),
    [anon_sym_override] = ACTIONS(3636),
    [sym_virtual] = ACTIONS(3636),
    [anon_sym_explicit] = ACTIONS(3636),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_GT2] = ACTIONS(3638),
    [anon_sym_operator] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_public] = ACTIONS(3636),
    [anon_sym_private] = ACTIONS(3636),
    [anon_sym_protected] = ACTIONS(3636),
    [anon_sym_requires] = ACTIONS(3636),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_RPAREN] = ACTIONS(5056),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_else_token1] = ACTIONS(5056),
    [aux_sym_preproc_elif_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_STAR] = ACTIONS(5054),
    [anon_sym_SLASH] = ACTIONS(5054),
    [anon_sym_PERCENT] = ACTIONS(5054),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5056),
    [anon_sym_PIPE] = ACTIONS(5054),
    [anon_sym_CARET] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(5054),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5054),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5054),
    [anon_sym_LT] = ACTIONS(5054),
    [anon_sym_LT_LT] = ACTIONS(5054),
    [anon_sym_GT_GT] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(5056),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [anon_sym_RBRACK] = ACTIONS(5056),
    [anon_sym_EQ] = ACTIONS(5054),
    [anon_sym_COLON] = ACTIONS(5056),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5054),
    [anon_sym_or_eq] = ACTIONS(5054),
    [anon_sym_xor_eq] = ACTIONS(5054),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5054),
    [anon_sym_and] = ACTIONS(5054),
    [anon_sym_bitor] = ACTIONS(5054),
    [anon_sym_xor] = ACTIONS(5054),
    [anon_sym_bitand] = ACTIONS(5054),
    [anon_sym_not_eq] = ACTIONS(5054),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token2] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_friend] = ACTIONS(2792),
    [anon_sym_public] = ACTIONS(2792),
    [anon_sym_private] = ACTIONS(2792),
    [anon_sym_protected] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token2] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_friend] = ACTIONS(2784),
    [anon_sym_public] = ACTIONS(2784),
    [anon_sym_private] = ACTIONS(2784),
    [anon_sym_protected] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym__Alignas] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [sym_virtual] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_friend] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_friend] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [sym_virtual] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_friend] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(3011),
    [aux_sym_preproc_def_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token2] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3011),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3011),
    [sym_preproc_directive] = ACTIONS(3011),
    [anon_sym_LPAREN2] = ACTIONS(3013),
    [anon_sym_TILDE] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3013),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3011),
    [anon_sym_typedef] = ACTIONS(3011),
    [anon_sym_extern] = ACTIONS(3011),
    [anon_sym___attribute__] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(3013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3013),
    [anon_sym___declspec] = ACTIONS(3011),
    [anon_sym___based] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3011),
    [anon_sym_unsigned] = ACTIONS(3011),
    [anon_sym_long] = ACTIONS(3011),
    [anon_sym_short] = ACTIONS(3011),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_static] = ACTIONS(3011),
    [anon_sym_register] = ACTIONS(3011),
    [anon_sym_inline] = ACTIONS(3011),
    [anon_sym___inline] = ACTIONS(3011),
    [anon_sym___inline__] = ACTIONS(3011),
    [anon_sym___forceinline] = ACTIONS(3011),
    [anon_sym_thread_local] = ACTIONS(3011),
    [anon_sym___thread] = ACTIONS(3011),
    [anon_sym_const] = ACTIONS(3011),
    [anon_sym_constexpr] = ACTIONS(3011),
    [anon_sym_volatile] = ACTIONS(3011),
    [anon_sym_restrict] = ACTIONS(3011),
    [anon_sym___restrict__] = ACTIONS(3011),
    [anon_sym__Atomic] = ACTIONS(3011),
    [anon_sym__Noreturn] = ACTIONS(3011),
    [anon_sym_noreturn] = ACTIONS(3011),
    [anon_sym_mutable] = ACTIONS(3011),
    [anon_sym_constinit] = ACTIONS(3011),
    [anon_sym_consteval] = ACTIONS(3011),
    [anon_sym_alignas] = ACTIONS(3011),
    [anon_sym__Alignas] = ACTIONS(3011),
    [sym_primitive_type] = ACTIONS(3011),
    [anon_sym_enum] = ACTIONS(3011),
    [anon_sym_class] = ACTIONS(3011),
    [anon_sym_struct] = ACTIONS(3011),
    [anon_sym_union] = ACTIONS(3011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3011),
    [anon_sym_decltype] = ACTIONS(3011),
    [sym_virtual] = ACTIONS(3011),
    [anon_sym_explicit] = ACTIONS(3011),
    [anon_sym_typename] = ACTIONS(3011),
    [anon_sym_template] = ACTIONS(3011),
    [anon_sym_operator] = ACTIONS(3011),
    [anon_sym_friend] = ACTIONS(3011),
    [anon_sym_public] = ACTIONS(3011),
    [anon_sym_private] = ACTIONS(3011),
    [anon_sym_protected] = ACTIONS(3011),
    [anon_sym_using] = ACTIONS(3011),
    [anon_sym_static_assert] = ACTIONS(3011),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(3015),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token2] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3015),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3015),
    [sym_preproc_directive] = ACTIONS(3015),
    [anon_sym_LPAREN2] = ACTIONS(3017),
    [anon_sym_TILDE] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3017),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3015),
    [anon_sym_typedef] = ACTIONS(3015),
    [anon_sym_extern] = ACTIONS(3015),
    [anon_sym___attribute__] = ACTIONS(3015),
    [anon_sym_COLON_COLON] = ACTIONS(3017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3017),
    [anon_sym___declspec] = ACTIONS(3015),
    [anon_sym___based] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3015),
    [anon_sym_unsigned] = ACTIONS(3015),
    [anon_sym_long] = ACTIONS(3015),
    [anon_sym_short] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_static] = ACTIONS(3015),
    [anon_sym_register] = ACTIONS(3015),
    [anon_sym_inline] = ACTIONS(3015),
    [anon_sym___inline] = ACTIONS(3015),
    [anon_sym___inline__] = ACTIONS(3015),
    [anon_sym___forceinline] = ACTIONS(3015),
    [anon_sym_thread_local] = ACTIONS(3015),
    [anon_sym___thread] = ACTIONS(3015),
    [anon_sym_const] = ACTIONS(3015),
    [anon_sym_constexpr] = ACTIONS(3015),
    [anon_sym_volatile] = ACTIONS(3015),
    [anon_sym_restrict] = ACTIONS(3015),
    [anon_sym___restrict__] = ACTIONS(3015),
    [anon_sym__Atomic] = ACTIONS(3015),
    [anon_sym__Noreturn] = ACTIONS(3015),
    [anon_sym_noreturn] = ACTIONS(3015),
    [anon_sym_mutable] = ACTIONS(3015),
    [anon_sym_constinit] = ACTIONS(3015),
    [anon_sym_consteval] = ACTIONS(3015),
    [anon_sym_alignas] = ACTIONS(3015),
    [anon_sym__Alignas] = ACTIONS(3015),
    [sym_primitive_type] = ACTIONS(3015),
    [anon_sym_enum] = ACTIONS(3015),
    [anon_sym_class] = ACTIONS(3015),
    [anon_sym_struct] = ACTIONS(3015),
    [anon_sym_union] = ACTIONS(3015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3015),
    [anon_sym_decltype] = ACTIONS(3015),
    [sym_virtual] = ACTIONS(3015),
    [anon_sym_explicit] = ACTIONS(3015),
    [anon_sym_typename] = ACTIONS(3015),
    [anon_sym_template] = ACTIONS(3015),
    [anon_sym_operator] = ACTIONS(3015),
    [anon_sym_friend] = ACTIONS(3015),
    [anon_sym_public] = ACTIONS(3015),
    [anon_sym_private] = ACTIONS(3015),
    [anon_sym_protected] = ACTIONS(3015),
    [anon_sym_using] = ACTIONS(3015),
    [anon_sym_static_assert] = ACTIONS(3015),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_friend] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_protected] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(2882),
    [aux_sym_preproc_def_token1] = ACTIONS(2882),
    [aux_sym_preproc_if_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2882),
    [sym_preproc_directive] = ACTIONS(2882),
    [anon_sym_LPAREN2] = ACTIONS(2884),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_STAR] = ACTIONS(2884),
    [anon_sym_AMP_AMP] = ACTIONS(2884),
    [anon_sym_AMP] = ACTIONS(2882),
    [anon_sym___extension__] = ACTIONS(2882),
    [anon_sym_typedef] = ACTIONS(2882),
    [anon_sym_extern] = ACTIONS(2882),
    [anon_sym___attribute__] = ACTIONS(2882),
    [anon_sym_COLON_COLON] = ACTIONS(2884),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2884),
    [anon_sym___declspec] = ACTIONS(2882),
    [anon_sym___based] = ACTIONS(2882),
    [anon_sym_RBRACE] = ACTIONS(2884),
    [anon_sym_signed] = ACTIONS(2882),
    [anon_sym_unsigned] = ACTIONS(2882),
    [anon_sym_long] = ACTIONS(2882),
    [anon_sym_short] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2882),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_register] = ACTIONS(2882),
    [anon_sym_inline] = ACTIONS(2882),
    [anon_sym___inline] = ACTIONS(2882),
    [anon_sym___inline__] = ACTIONS(2882),
    [anon_sym___forceinline] = ACTIONS(2882),
    [anon_sym_thread_local] = ACTIONS(2882),
    [anon_sym___thread] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_constexpr] = ACTIONS(2882),
    [anon_sym_volatile] = ACTIONS(2882),
    [anon_sym_restrict] = ACTIONS(2882),
    [anon_sym___restrict__] = ACTIONS(2882),
    [anon_sym__Atomic] = ACTIONS(2882),
    [anon_sym__Noreturn] = ACTIONS(2882),
    [anon_sym_noreturn] = ACTIONS(2882),
    [anon_sym_mutable] = ACTIONS(2882),
    [anon_sym_constinit] = ACTIONS(2882),
    [anon_sym_consteval] = ACTIONS(2882),
    [anon_sym_alignas] = ACTIONS(2882),
    [anon_sym__Alignas] = ACTIONS(2882),
    [sym_primitive_type] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_struct] = ACTIONS(2882),
    [anon_sym_union] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2882),
    [anon_sym_decltype] = ACTIONS(2882),
    [sym_virtual] = ACTIONS(2882),
    [anon_sym_explicit] = ACTIONS(2882),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(2882),
    [anon_sym_operator] = ACTIONS(2882),
    [anon_sym_friend] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_protected] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_static_assert] = ACTIONS(2882),
  },
  [2069] = {
    [sym_argument_list] = STATE(2387),
    [sym_initializer_list] = STATE(2387),
    [sym_identifier] = ACTIONS(5576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5578),
    [anon_sym_COMMA] = ACTIONS(5578),
    [anon_sym_RPAREN] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_else_token1] = ACTIONS(5578),
    [aux_sym_preproc_elif_token1] = ACTIONS(5576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_SLASH] = ACTIONS(5576),
    [anon_sym_PERCENT] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE] = ACTIONS(5578),
    [anon_sym_AMP_AMP] = ACTIONS(5578),
    [anon_sym_PIPE] = ACTIONS(5576),
    [anon_sym_CARET] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(5576),
    [anon_sym_EQ_EQ] = ACTIONS(5578),
    [anon_sym_BANG_EQ] = ACTIONS(5578),
    [anon_sym_GT] = ACTIONS(5576),
    [anon_sym_GT_EQ] = ACTIONS(5578),
    [anon_sym_LT_EQ] = ACTIONS(5576),
    [anon_sym_LT] = ACTIONS(5576),
    [anon_sym_LT_LT] = ACTIONS(5576),
    [anon_sym_GT_GT] = ACTIONS(5576),
    [anon_sym_SEMI] = ACTIONS(5578),
    [anon_sym___attribute__] = ACTIONS(5576),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5578),
    [anon_sym_RBRACK] = ACTIONS(5578),
    [anon_sym_EQ] = ACTIONS(5576),
    [anon_sym_COLON] = ACTIONS(5578),
    [anon_sym_QMARK] = ACTIONS(5578),
    [anon_sym_STAR_EQ] = ACTIONS(5578),
    [anon_sym_SLASH_EQ] = ACTIONS(5578),
    [anon_sym_PERCENT_EQ] = ACTIONS(5578),
    [anon_sym_PLUS_EQ] = ACTIONS(5578),
    [anon_sym_DASH_EQ] = ACTIONS(5578),
    [anon_sym_LT_LT_EQ] = ACTIONS(5578),
    [anon_sym_GT_GT_EQ] = ACTIONS(5578),
    [anon_sym_AMP_EQ] = ACTIONS(5578),
    [anon_sym_CARET_EQ] = ACTIONS(5578),
    [anon_sym_PIPE_EQ] = ACTIONS(5578),
    [anon_sym_and_eq] = ACTIONS(5576),
    [anon_sym_or_eq] = ACTIONS(5576),
    [anon_sym_xor_eq] = ACTIONS(5576),
    [anon_sym_LT_EQ_GT] = ACTIONS(5578),
    [anon_sym_or] = ACTIONS(5576),
    [anon_sym_and] = ACTIONS(5576),
    [anon_sym_bitor] = ACTIONS(5576),
    [anon_sym_xor] = ACTIONS(5576),
    [anon_sym_bitand] = ACTIONS(5576),
    [anon_sym_not_eq] = ACTIONS(5576),
    [anon_sym_DASH_DASH] = ACTIONS(5578),
    [anon_sym_PLUS_PLUS] = ACTIONS(5578),
    [anon_sym_DOT] = ACTIONS(5576),
    [anon_sym_DOT_STAR] = ACTIONS(5578),
    [anon_sym_DASH_GT] = ACTIONS(5578),
    [sym_comment] = ACTIONS(3),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(5074),
    [aux_sym_preproc_def_token1] = ACTIONS(5074),
    [aux_sym_preproc_if_token1] = ACTIONS(5074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5074),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5074),
    [sym_preproc_directive] = ACTIONS(5074),
    [anon_sym_LPAREN2] = ACTIONS(5076),
    [anon_sym_TILDE] = ACTIONS(5076),
    [anon_sym_STAR] = ACTIONS(5076),
    [anon_sym_AMP_AMP] = ACTIONS(5076),
    [anon_sym_AMP] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5074),
    [anon_sym_typedef] = ACTIONS(5074),
    [anon_sym_extern] = ACTIONS(5074),
    [anon_sym___attribute__] = ACTIONS(5074),
    [anon_sym_COLON_COLON] = ACTIONS(5076),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5076),
    [anon_sym___declspec] = ACTIONS(5074),
    [anon_sym___based] = ACTIONS(5074),
    [anon_sym_RBRACE] = ACTIONS(5076),
    [anon_sym_signed] = ACTIONS(5074),
    [anon_sym_unsigned] = ACTIONS(5074),
    [anon_sym_long] = ACTIONS(5074),
    [anon_sym_short] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym_static] = ACTIONS(5074),
    [anon_sym_register] = ACTIONS(5074),
    [anon_sym_inline] = ACTIONS(5074),
    [anon_sym___inline] = ACTIONS(5074),
    [anon_sym___inline__] = ACTIONS(5074),
    [anon_sym___forceinline] = ACTIONS(5074),
    [anon_sym_thread_local] = ACTIONS(5074),
    [anon_sym___thread] = ACTIONS(5074),
    [anon_sym_const] = ACTIONS(5074),
    [anon_sym_constexpr] = ACTIONS(5074),
    [anon_sym_volatile] = ACTIONS(5074),
    [anon_sym_restrict] = ACTIONS(5074),
    [anon_sym___restrict__] = ACTIONS(5074),
    [anon_sym__Atomic] = ACTIONS(5074),
    [anon_sym__Noreturn] = ACTIONS(5074),
    [anon_sym_noreturn] = ACTIONS(5074),
    [anon_sym_mutable] = ACTIONS(5074),
    [anon_sym_constinit] = ACTIONS(5074),
    [anon_sym_consteval] = ACTIONS(5074),
    [anon_sym_alignas] = ACTIONS(5074),
    [anon_sym__Alignas] = ACTIONS(5074),
    [sym_primitive_type] = ACTIONS(5074),
    [anon_sym_enum] = ACTIONS(5074),
    [anon_sym_class] = ACTIONS(5074),
    [anon_sym_struct] = ACTIONS(5074),
    [anon_sym_union] = ACTIONS(5074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5074),
    [anon_sym_decltype] = ACTIONS(5074),
    [sym_virtual] = ACTIONS(5074),
    [anon_sym_explicit] = ACTIONS(5074),
    [anon_sym_typename] = ACTIONS(5074),
    [anon_sym_template] = ACTIONS(5074),
    [anon_sym_operator] = ACTIONS(5074),
    [anon_sym_friend] = ACTIONS(5074),
    [anon_sym_public] = ACTIONS(5074),
    [anon_sym_private] = ACTIONS(5074),
    [anon_sym_protected] = ACTIONS(5074),
    [anon_sym_using] = ACTIONS(5074),
    [anon_sym_static_assert] = ACTIONS(5074),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym__Alignas] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(5580),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5582),
    [anon_sym_COMMA] = ACTIONS(5582),
    [anon_sym_RPAREN] = ACTIONS(5582),
    [aux_sym_preproc_if_token2] = ACTIONS(5582),
    [aux_sym_preproc_else_token1] = ACTIONS(5582),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5582),
    [anon_sym_LPAREN2] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5580),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_PIPE] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5582),
    [anon_sym_BANG_EQ] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5582),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5582),
    [anon_sym___attribute__] = ACTIONS(5580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5582),
    [anon_sym_LBRACE] = ACTIONS(5582),
    [anon_sym_RBRACE] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5582),
    [anon_sym_EQ] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_STAR_EQ] = ACTIONS(5582),
    [anon_sym_SLASH_EQ] = ACTIONS(5582),
    [anon_sym_PERCENT_EQ] = ACTIONS(5582),
    [anon_sym_PLUS_EQ] = ACTIONS(5582),
    [anon_sym_DASH_EQ] = ACTIONS(5582),
    [anon_sym_LT_LT_EQ] = ACTIONS(5582),
    [anon_sym_GT_GT_EQ] = ACTIONS(5582),
    [anon_sym_AMP_EQ] = ACTIONS(5582),
    [anon_sym_CARET_EQ] = ACTIONS(5582),
    [anon_sym_PIPE_EQ] = ACTIONS(5582),
    [anon_sym_and_eq] = ACTIONS(5580),
    [anon_sym_or_eq] = ACTIONS(5580),
    [anon_sym_xor_eq] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5582),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_bitor] = ACTIONS(5580),
    [anon_sym_xor] = ACTIONS(5580),
    [anon_sym_bitand] = ACTIONS(5580),
    [anon_sym_not_eq] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5582),
    [anon_sym_DOT] = ACTIONS(5580),
    [anon_sym_DOT_STAR] = ACTIONS(5582),
    [anon_sym_DASH_GT] = ACTIONS(5582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5580),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(5584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5586),
    [anon_sym_COMMA] = ACTIONS(5586),
    [anon_sym_RPAREN] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5584),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5586),
    [anon_sym_PIPE] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5586),
    [anon_sym_BANG_EQ] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5586),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5584),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5584),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5586),
    [anon_sym_LBRACE] = ACTIONS(5586),
    [anon_sym_RBRACE] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5586),
    [anon_sym_EQ] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_STAR_EQ] = ACTIONS(5586),
    [anon_sym_SLASH_EQ] = ACTIONS(5586),
    [anon_sym_PERCENT_EQ] = ACTIONS(5586),
    [anon_sym_PLUS_EQ] = ACTIONS(5586),
    [anon_sym_DASH_EQ] = ACTIONS(5586),
    [anon_sym_LT_LT_EQ] = ACTIONS(5586),
    [anon_sym_GT_GT_EQ] = ACTIONS(5586),
    [anon_sym_AMP_EQ] = ACTIONS(5586),
    [anon_sym_CARET_EQ] = ACTIONS(5586),
    [anon_sym_PIPE_EQ] = ACTIONS(5586),
    [anon_sym_and_eq] = ACTIONS(5584),
    [anon_sym_or_eq] = ACTIONS(5584),
    [anon_sym_xor_eq] = ACTIONS(5584),
    [anon_sym_LT_EQ_GT] = ACTIONS(5586),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_bitor] = ACTIONS(5584),
    [anon_sym_xor] = ACTIONS(5584),
    [anon_sym_bitand] = ACTIONS(5584),
    [anon_sym_not_eq] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5586),
    [anon_sym_DOT] = ACTIONS(5584),
    [anon_sym_DOT_STAR] = ACTIONS(5586),
    [anon_sym_DASH_GT] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5584),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(2874),
    [aux_sym_preproc_def_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token1] = ACTIONS(2874),
    [aux_sym_preproc_if_token2] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2874),
    [sym_preproc_directive] = ACTIONS(2874),
    [anon_sym_LPAREN2] = ACTIONS(2876),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_STAR] = ACTIONS(2876),
    [anon_sym_AMP_AMP] = ACTIONS(2876),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2874),
    [anon_sym_typedef] = ACTIONS(2874),
    [anon_sym_extern] = ACTIONS(2874),
    [anon_sym___attribute__] = ACTIONS(2874),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2876),
    [anon_sym___declspec] = ACTIONS(2874),
    [anon_sym___based] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2874),
    [anon_sym_unsigned] = ACTIONS(2874),
    [anon_sym_long] = ACTIONS(2874),
    [anon_sym_short] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_register] = ACTIONS(2874),
    [anon_sym_inline] = ACTIONS(2874),
    [anon_sym___inline] = ACTIONS(2874),
    [anon_sym___inline__] = ACTIONS(2874),
    [anon_sym___forceinline] = ACTIONS(2874),
    [anon_sym_thread_local] = ACTIONS(2874),
    [anon_sym___thread] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_constexpr] = ACTIONS(2874),
    [anon_sym_volatile] = ACTIONS(2874),
    [anon_sym_restrict] = ACTIONS(2874),
    [anon_sym___restrict__] = ACTIONS(2874),
    [anon_sym__Atomic] = ACTIONS(2874),
    [anon_sym__Noreturn] = ACTIONS(2874),
    [anon_sym_noreturn] = ACTIONS(2874),
    [anon_sym_mutable] = ACTIONS(2874),
    [anon_sym_constinit] = ACTIONS(2874),
    [anon_sym_consteval] = ACTIONS(2874),
    [anon_sym_alignas] = ACTIONS(2874),
    [anon_sym__Alignas] = ACTIONS(2874),
    [sym_primitive_type] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_union] = ACTIONS(2874),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2874),
    [anon_sym_decltype] = ACTIONS(2874),
    [sym_virtual] = ACTIONS(2874),
    [anon_sym_explicit] = ACTIONS(2874),
    [anon_sym_typename] = ACTIONS(2874),
    [anon_sym_template] = ACTIONS(2874),
    [anon_sym_operator] = ACTIONS(2874),
    [anon_sym_friend] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_protected] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_static_assert] = ACTIONS(2874),
  },
  [2077] = {
    [sym_string_literal] = STATE(1857),
    [sym_raw_string_literal] = STATE(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4619),
    [anon_sym_u_DQUOTE] = ACTIONS(4619),
    [anon_sym_U_DQUOTE] = ACTIONS(4619),
    [anon_sym_u8_DQUOTE] = ACTIONS(4619),
    [anon_sym_DQUOTE] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4621),
    [anon_sym_LR_DQUOTE] = ACTIONS(4621),
    [anon_sym_uR_DQUOTE] = ACTIONS(4621),
    [anon_sym_UR_DQUOTE] = ACTIONS(4621),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4621),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
    [sym_literal_suffix] = ACTIONS(5566),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5118),
    [anon_sym___extension__] = ACTIONS(5118),
    [anon_sym_typedef] = ACTIONS(5118),
    [anon_sym_extern] = ACTIONS(5118),
    [anon_sym___attribute__] = ACTIONS(5118),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5118),
    [anon_sym___based] = ACTIONS(5118),
    [anon_sym_RBRACE] = ACTIONS(5120),
    [anon_sym_signed] = ACTIONS(5118),
    [anon_sym_unsigned] = ACTIONS(5118),
    [anon_sym_long] = ACTIONS(5118),
    [anon_sym_short] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [anon_sym_static] = ACTIONS(5118),
    [anon_sym_register] = ACTIONS(5118),
    [anon_sym_inline] = ACTIONS(5118),
    [anon_sym___inline] = ACTIONS(5118),
    [anon_sym___inline__] = ACTIONS(5118),
    [anon_sym___forceinline] = ACTIONS(5118),
    [anon_sym_thread_local] = ACTIONS(5118),
    [anon_sym___thread] = ACTIONS(5118),
    [anon_sym_const] = ACTIONS(5118),
    [anon_sym_constexpr] = ACTIONS(5118),
    [anon_sym_volatile] = ACTIONS(5118),
    [anon_sym_restrict] = ACTIONS(5118),
    [anon_sym___restrict__] = ACTIONS(5118),
    [anon_sym__Atomic] = ACTIONS(5118),
    [anon_sym__Noreturn] = ACTIONS(5118),
    [anon_sym_noreturn] = ACTIONS(5118),
    [anon_sym_mutable] = ACTIONS(5118),
    [anon_sym_constinit] = ACTIONS(5118),
    [anon_sym_consteval] = ACTIONS(5118),
    [anon_sym_alignas] = ACTIONS(5118),
    [anon_sym__Alignas] = ACTIONS(5118),
    [sym_primitive_type] = ACTIONS(5118),
    [anon_sym_enum] = ACTIONS(5118),
    [anon_sym_class] = ACTIONS(5118),
    [anon_sym_struct] = ACTIONS(5118),
    [anon_sym_union] = ACTIONS(5118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5118),
    [anon_sym_decltype] = ACTIONS(5118),
    [sym_virtual] = ACTIONS(5118),
    [anon_sym_explicit] = ACTIONS(5118),
    [anon_sym_typename] = ACTIONS(5118),
    [anon_sym_template] = ACTIONS(5118),
    [anon_sym_operator] = ACTIONS(5118),
    [anon_sym_friend] = ACTIONS(5118),
    [anon_sym_public] = ACTIONS(5118),
    [anon_sym_private] = ACTIONS(5118),
    [anon_sym_protected] = ACTIONS(5118),
    [anon_sym_using] = ACTIONS(5118),
    [anon_sym_static_assert] = ACTIONS(5118),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym__Alignas] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [sym_virtual] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_friend] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(5588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5590),
    [anon_sym_COMMA] = ACTIONS(5590),
    [anon_sym_RPAREN] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5588),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_PIPE] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5590),
    [anon_sym_BANG_EQ] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5590),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5588),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5590),
    [anon_sym_LBRACE] = ACTIONS(5590),
    [anon_sym_RBRACE] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_RBRACK] = ACTIONS(5590),
    [anon_sym_EQ] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_STAR_EQ] = ACTIONS(5590),
    [anon_sym_SLASH_EQ] = ACTIONS(5590),
    [anon_sym_PERCENT_EQ] = ACTIONS(5590),
    [anon_sym_PLUS_EQ] = ACTIONS(5590),
    [anon_sym_DASH_EQ] = ACTIONS(5590),
    [anon_sym_LT_LT_EQ] = ACTIONS(5590),
    [anon_sym_GT_GT_EQ] = ACTIONS(5590),
    [anon_sym_AMP_EQ] = ACTIONS(5590),
    [anon_sym_CARET_EQ] = ACTIONS(5590),
    [anon_sym_PIPE_EQ] = ACTIONS(5590),
    [anon_sym_and_eq] = ACTIONS(5588),
    [anon_sym_or_eq] = ACTIONS(5588),
    [anon_sym_xor_eq] = ACTIONS(5588),
    [anon_sym_LT_EQ_GT] = ACTIONS(5590),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_bitor] = ACTIONS(5588),
    [anon_sym_xor] = ACTIONS(5588),
    [anon_sym_bitand] = ACTIONS(5588),
    [anon_sym_not_eq] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5590),
    [anon_sym_DOT] = ACTIONS(5588),
    [anon_sym_DOT_STAR] = ACTIONS(5590),
    [anon_sym_DASH_GT] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5588),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym__Alignas] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [sym_virtual] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_friend] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(5134),
    [aux_sym_preproc_def_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5134),
    [sym_preproc_directive] = ACTIONS(5134),
    [anon_sym_LPAREN2] = ACTIONS(5136),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_STAR] = ACTIONS(5136),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5134),
    [anon_sym___extension__] = ACTIONS(5134),
    [anon_sym_typedef] = ACTIONS(5134),
    [anon_sym_extern] = ACTIONS(5134),
    [anon_sym___attribute__] = ACTIONS(5134),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5134),
    [anon_sym___based] = ACTIONS(5134),
    [anon_sym_RBRACE] = ACTIONS(5136),
    [anon_sym_signed] = ACTIONS(5134),
    [anon_sym_unsigned] = ACTIONS(5134),
    [anon_sym_long] = ACTIONS(5134),
    [anon_sym_short] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [anon_sym_static] = ACTIONS(5134),
    [anon_sym_register] = ACTIONS(5134),
    [anon_sym_inline] = ACTIONS(5134),
    [anon_sym___inline] = ACTIONS(5134),
    [anon_sym___inline__] = ACTIONS(5134),
    [anon_sym___forceinline] = ACTIONS(5134),
    [anon_sym_thread_local] = ACTIONS(5134),
    [anon_sym___thread] = ACTIONS(5134),
    [anon_sym_const] = ACTIONS(5134),
    [anon_sym_constexpr] = ACTIONS(5134),
    [anon_sym_volatile] = ACTIONS(5134),
    [anon_sym_restrict] = ACTIONS(5134),
    [anon_sym___restrict__] = ACTIONS(5134),
    [anon_sym__Atomic] = ACTIONS(5134),
    [anon_sym__Noreturn] = ACTIONS(5134),
    [anon_sym_noreturn] = ACTIONS(5134),
    [anon_sym_mutable] = ACTIONS(5134),
    [anon_sym_constinit] = ACTIONS(5134),
    [anon_sym_consteval] = ACTIONS(5134),
    [anon_sym_alignas] = ACTIONS(5134),
    [anon_sym__Alignas] = ACTIONS(5134),
    [sym_primitive_type] = ACTIONS(5134),
    [anon_sym_enum] = ACTIONS(5134),
    [anon_sym_class] = ACTIONS(5134),
    [anon_sym_struct] = ACTIONS(5134),
    [anon_sym_union] = ACTIONS(5134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5134),
    [anon_sym_decltype] = ACTIONS(5134),
    [sym_virtual] = ACTIONS(5134),
    [anon_sym_explicit] = ACTIONS(5134),
    [anon_sym_typename] = ACTIONS(5134),
    [anon_sym_template] = ACTIONS(5134),
    [anon_sym_operator] = ACTIONS(5134),
    [anon_sym_friend] = ACTIONS(5134),
    [anon_sym_public] = ACTIONS(5134),
    [anon_sym_private] = ACTIONS(5134),
    [anon_sym_protected] = ACTIONS(5134),
    [anon_sym_using] = ACTIONS(5134),
    [anon_sym_static_assert] = ACTIONS(5134),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5114),
    [aux_sym_preproc_def_token1] = ACTIONS(5114),
    [aux_sym_preproc_if_token1] = ACTIONS(5114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5114),
    [sym_preproc_directive] = ACTIONS(5114),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym_typedef] = ACTIONS(5114),
    [anon_sym_extern] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_COLON_COLON] = ACTIONS(5116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5116),
    [anon_sym___declspec] = ACTIONS(5114),
    [anon_sym___based] = ACTIONS(5114),
    [anon_sym_RBRACE] = ACTIONS(5116),
    [anon_sym_signed] = ACTIONS(5114),
    [anon_sym_unsigned] = ACTIONS(5114),
    [anon_sym_long] = ACTIONS(5114),
    [anon_sym_short] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5114),
    [anon_sym_register] = ACTIONS(5114),
    [anon_sym_inline] = ACTIONS(5114),
    [anon_sym___inline] = ACTIONS(5114),
    [anon_sym___inline__] = ACTIONS(5114),
    [anon_sym___forceinline] = ACTIONS(5114),
    [anon_sym_thread_local] = ACTIONS(5114),
    [anon_sym___thread] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5114),
    [anon_sym_constexpr] = ACTIONS(5114),
    [anon_sym_volatile] = ACTIONS(5114),
    [anon_sym_restrict] = ACTIONS(5114),
    [anon_sym___restrict__] = ACTIONS(5114),
    [anon_sym__Atomic] = ACTIONS(5114),
    [anon_sym__Noreturn] = ACTIONS(5114),
    [anon_sym_noreturn] = ACTIONS(5114),
    [anon_sym_mutable] = ACTIONS(5114),
    [anon_sym_constinit] = ACTIONS(5114),
    [anon_sym_consteval] = ACTIONS(5114),
    [anon_sym_alignas] = ACTIONS(5114),
    [anon_sym__Alignas] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_enum] = ACTIONS(5114),
    [anon_sym_class] = ACTIONS(5114),
    [anon_sym_struct] = ACTIONS(5114),
    [anon_sym_union] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
    [sym_virtual] = ACTIONS(5114),
    [anon_sym_explicit] = ACTIONS(5114),
    [anon_sym_typename] = ACTIONS(5114),
    [anon_sym_template] = ACTIONS(5114),
    [anon_sym_operator] = ACTIONS(5114),
    [anon_sym_friend] = ACTIONS(5114),
    [anon_sym_public] = ACTIONS(5114),
    [anon_sym_private] = ACTIONS(5114),
    [anon_sym_protected] = ACTIONS(5114),
    [anon_sym_using] = ACTIONS(5114),
    [anon_sym_static_assert] = ACTIONS(5114),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5106),
    [aux_sym_preproc_def_token1] = ACTIONS(5106),
    [aux_sym_preproc_if_token1] = ACTIONS(5106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5106),
    [sym_preproc_directive] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_TILDE] = ACTIONS(5108),
    [anon_sym_STAR] = ACTIONS(5108),
    [anon_sym_AMP_AMP] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(5106),
    [anon_sym___extension__] = ACTIONS(5106),
    [anon_sym_typedef] = ACTIONS(5106),
    [anon_sym_extern] = ACTIONS(5106),
    [anon_sym___attribute__] = ACTIONS(5106),
    [anon_sym_COLON_COLON] = ACTIONS(5108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5108),
    [anon_sym___declspec] = ACTIONS(5106),
    [anon_sym___based] = ACTIONS(5106),
    [anon_sym_RBRACE] = ACTIONS(5108),
    [anon_sym_signed] = ACTIONS(5106),
    [anon_sym_unsigned] = ACTIONS(5106),
    [anon_sym_long] = ACTIONS(5106),
    [anon_sym_short] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [anon_sym_static] = ACTIONS(5106),
    [anon_sym_register] = ACTIONS(5106),
    [anon_sym_inline] = ACTIONS(5106),
    [anon_sym___inline] = ACTIONS(5106),
    [anon_sym___inline__] = ACTIONS(5106),
    [anon_sym___forceinline] = ACTIONS(5106),
    [anon_sym_thread_local] = ACTIONS(5106),
    [anon_sym___thread] = ACTIONS(5106),
    [anon_sym_const] = ACTIONS(5106),
    [anon_sym_constexpr] = ACTIONS(5106),
    [anon_sym_volatile] = ACTIONS(5106),
    [anon_sym_restrict] = ACTIONS(5106),
    [anon_sym___restrict__] = ACTIONS(5106),
    [anon_sym__Atomic] = ACTIONS(5106),
    [anon_sym__Noreturn] = ACTIONS(5106),
    [anon_sym_noreturn] = ACTIONS(5106),
    [anon_sym_mutable] = ACTIONS(5106),
    [anon_sym_constinit] = ACTIONS(5106),
    [anon_sym_consteval] = ACTIONS(5106),
    [anon_sym_alignas] = ACTIONS(5106),
    [anon_sym__Alignas] = ACTIONS(5106),
    [sym_primitive_type] = ACTIONS(5106),
    [anon_sym_enum] = ACTIONS(5106),
    [anon_sym_class] = ACTIONS(5106),
    [anon_sym_struct] = ACTIONS(5106),
    [anon_sym_union] = ACTIONS(5106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5106),
    [anon_sym_decltype] = ACTIONS(5106),
    [sym_virtual] = ACTIONS(5106),
    [anon_sym_explicit] = ACTIONS(5106),
    [anon_sym_typename] = ACTIONS(5106),
    [anon_sym_template] = ACTIONS(5106),
    [anon_sym_operator] = ACTIONS(5106),
    [anon_sym_friend] = ACTIONS(5106),
    [anon_sym_public] = ACTIONS(5106),
    [anon_sym_private] = ACTIONS(5106),
    [anon_sym_protected] = ACTIONS(5106),
    [anon_sym_using] = ACTIONS(5106),
    [anon_sym_static_assert] = ACTIONS(5106),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(2784),
    [aux_sym_preproc_def_token1] = ACTIONS(2784),
    [aux_sym_preproc_if_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2784),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2784),
    [sym_preproc_directive] = ACTIONS(2784),
    [anon_sym_LPAREN2] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2786),
    [anon_sym_AMP_AMP] = ACTIONS(2786),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2784),
    [anon_sym_typedef] = ACTIONS(2784),
    [anon_sym_extern] = ACTIONS(2784),
    [anon_sym___attribute__] = ACTIONS(2784),
    [anon_sym_COLON_COLON] = ACTIONS(2786),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2786),
    [anon_sym___declspec] = ACTIONS(2784),
    [anon_sym___based] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2784),
    [anon_sym_unsigned] = ACTIONS(2784),
    [anon_sym_long] = ACTIONS(2784),
    [anon_sym_short] = ACTIONS(2784),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_register] = ACTIONS(2784),
    [anon_sym_inline] = ACTIONS(2784),
    [anon_sym___inline] = ACTIONS(2784),
    [anon_sym___inline__] = ACTIONS(2784),
    [anon_sym___forceinline] = ACTIONS(2784),
    [anon_sym_thread_local] = ACTIONS(2784),
    [anon_sym___thread] = ACTIONS(2784),
    [anon_sym_const] = ACTIONS(2784),
    [anon_sym_constexpr] = ACTIONS(2784),
    [anon_sym_volatile] = ACTIONS(2784),
    [anon_sym_restrict] = ACTIONS(2784),
    [anon_sym___restrict__] = ACTIONS(2784),
    [anon_sym__Atomic] = ACTIONS(2784),
    [anon_sym__Noreturn] = ACTIONS(2784),
    [anon_sym_noreturn] = ACTIONS(2784),
    [anon_sym_mutable] = ACTIONS(2784),
    [anon_sym_constinit] = ACTIONS(2784),
    [anon_sym_consteval] = ACTIONS(2784),
    [anon_sym_alignas] = ACTIONS(2784),
    [anon_sym__Alignas] = ACTIONS(2784),
    [sym_primitive_type] = ACTIONS(2784),
    [anon_sym_enum] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2784),
    [anon_sym_struct] = ACTIONS(2784),
    [anon_sym_union] = ACTIONS(2784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2784),
    [anon_sym_decltype] = ACTIONS(2784),
    [sym_virtual] = ACTIONS(2784),
    [anon_sym_explicit] = ACTIONS(2784),
    [anon_sym_typename] = ACTIONS(2784),
    [anon_sym_template] = ACTIONS(2784),
    [anon_sym_operator] = ACTIONS(2784),
    [anon_sym_friend] = ACTIONS(2784),
    [anon_sym_public] = ACTIONS(2784),
    [anon_sym_private] = ACTIONS(2784),
    [anon_sym_protected] = ACTIONS(2784),
    [anon_sym_using] = ACTIONS(2784),
    [anon_sym_static_assert] = ACTIONS(2784),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5102),
    [aux_sym_preproc_def_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5102),
    [sym_preproc_directive] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_STAR] = ACTIONS(5104),
    [anon_sym_AMP_AMP] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(5102),
    [anon_sym___extension__] = ACTIONS(5102),
    [anon_sym_typedef] = ACTIONS(5102),
    [anon_sym_extern] = ACTIONS(5102),
    [anon_sym___attribute__] = ACTIONS(5102),
    [anon_sym_COLON_COLON] = ACTIONS(5104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5104),
    [anon_sym___declspec] = ACTIONS(5102),
    [anon_sym___based] = ACTIONS(5102),
    [anon_sym_RBRACE] = ACTIONS(5104),
    [anon_sym_signed] = ACTIONS(5102),
    [anon_sym_unsigned] = ACTIONS(5102),
    [anon_sym_long] = ACTIONS(5102),
    [anon_sym_short] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [anon_sym_static] = ACTIONS(5102),
    [anon_sym_register] = ACTIONS(5102),
    [anon_sym_inline] = ACTIONS(5102),
    [anon_sym___inline] = ACTIONS(5102),
    [anon_sym___inline__] = ACTIONS(5102),
    [anon_sym___forceinline] = ACTIONS(5102),
    [anon_sym_thread_local] = ACTIONS(5102),
    [anon_sym___thread] = ACTIONS(5102),
    [anon_sym_const] = ACTIONS(5102),
    [anon_sym_constexpr] = ACTIONS(5102),
    [anon_sym_volatile] = ACTIONS(5102),
    [anon_sym_restrict] = ACTIONS(5102),
    [anon_sym___restrict__] = ACTIONS(5102),
    [anon_sym__Atomic] = ACTIONS(5102),
    [anon_sym__Noreturn] = ACTIONS(5102),
    [anon_sym_noreturn] = ACTIONS(5102),
    [anon_sym_mutable] = ACTIONS(5102),
    [anon_sym_constinit] = ACTIONS(5102),
    [anon_sym_consteval] = ACTIONS(5102),
    [anon_sym_alignas] = ACTIONS(5102),
    [anon_sym__Alignas] = ACTIONS(5102),
    [sym_primitive_type] = ACTIONS(5102),
    [anon_sym_enum] = ACTIONS(5102),
    [anon_sym_class] = ACTIONS(5102),
    [anon_sym_struct] = ACTIONS(5102),
    [anon_sym_union] = ACTIONS(5102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5102),
    [anon_sym_decltype] = ACTIONS(5102),
    [sym_virtual] = ACTIONS(5102),
    [anon_sym_explicit] = ACTIONS(5102),
    [anon_sym_typename] = ACTIONS(5102),
    [anon_sym_template] = ACTIONS(5102),
    [anon_sym_operator] = ACTIONS(5102),
    [anon_sym_friend] = ACTIONS(5102),
    [anon_sym_public] = ACTIONS(5102),
    [anon_sym_private] = ACTIONS(5102),
    [anon_sym_protected] = ACTIONS(5102),
    [anon_sym_using] = ACTIONS(5102),
    [anon_sym_static_assert] = ACTIONS(5102),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym__Alignas] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [sym_virtual] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_friend] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_protected] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(5095),
    [aux_sym_preproc_def_token1] = ACTIONS(5095),
    [aux_sym_preproc_if_token1] = ACTIONS(5095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5095),
    [sym_preproc_directive] = ACTIONS(5095),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_STAR] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_typedef] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym_RBRACE] = ACTIONS(5097),
    [anon_sym_signed] = ACTIONS(5095),
    [anon_sym_unsigned] = ACTIONS(5095),
    [anon_sym_long] = ACTIONS(5095),
    [anon_sym_short] = ACTIONS(5095),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym__Alignas] = ACTIONS(5095),
    [sym_primitive_type] = ACTIONS(5095),
    [anon_sym_enum] = ACTIONS(5095),
    [anon_sym_class] = ACTIONS(5095),
    [anon_sym_struct] = ACTIONS(5095),
    [anon_sym_union] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [sym_virtual] = ACTIONS(5095),
    [anon_sym_explicit] = ACTIONS(5095),
    [anon_sym_typename] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
    [anon_sym_friend] = ACTIONS(5095),
    [anon_sym_public] = ACTIONS(5095),
    [anon_sym_private] = ACTIONS(5095),
    [anon_sym_protected] = ACTIONS(5095),
    [anon_sym_using] = ACTIONS(5095),
    [anon_sym_static_assert] = ACTIONS(5095),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(5196),
    [anon_sym_typedef] = ACTIONS(5196),
    [anon_sym_extern] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_COLON_COLON] = ACTIONS(5198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5198),
    [anon_sym___declspec] = ACTIONS(5196),
    [anon_sym___based] = ACTIONS(5196),
    [anon_sym_signed] = ACTIONS(5196),
    [anon_sym_unsigned] = ACTIONS(5196),
    [anon_sym_long] = ACTIONS(5196),
    [anon_sym_short] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5196),
    [anon_sym_static] = ACTIONS(5196),
    [anon_sym_register] = ACTIONS(5196),
    [anon_sym_inline] = ACTIONS(5196),
    [anon_sym___inline] = ACTIONS(5196),
    [anon_sym___inline__] = ACTIONS(5196),
    [anon_sym___forceinline] = ACTIONS(5196),
    [anon_sym_thread_local] = ACTIONS(5196),
    [anon_sym___thread] = ACTIONS(5196),
    [anon_sym_const] = ACTIONS(5196),
    [anon_sym_constexpr] = ACTIONS(5196),
    [anon_sym_volatile] = ACTIONS(5196),
    [anon_sym_restrict] = ACTIONS(5196),
    [anon_sym___restrict__] = ACTIONS(5196),
    [anon_sym__Atomic] = ACTIONS(5196),
    [anon_sym__Noreturn] = ACTIONS(5196),
    [anon_sym_noreturn] = ACTIONS(5196),
    [anon_sym_mutable] = ACTIONS(5196),
    [anon_sym_constinit] = ACTIONS(5196),
    [anon_sym_consteval] = ACTIONS(5196),
    [anon_sym_alignas] = ACTIONS(5196),
    [anon_sym__Alignas] = ACTIONS(5196),
    [sym_primitive_type] = ACTIONS(5196),
    [anon_sym_enum] = ACTIONS(5196),
    [anon_sym_class] = ACTIONS(5196),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5196),
    [anon_sym_decltype] = ACTIONS(5196),
    [sym_virtual] = ACTIONS(5196),
    [anon_sym_explicit] = ACTIONS(5196),
    [anon_sym_typename] = ACTIONS(5196),
    [anon_sym_template] = ACTIONS(5196),
    [anon_sym_operator] = ACTIONS(5196),
    [anon_sym_friend] = ACTIONS(5196),
    [anon_sym_public] = ACTIONS(5196),
    [anon_sym_private] = ACTIONS(5196),
    [anon_sym_protected] = ACTIONS(5196),
    [anon_sym_using] = ACTIONS(5196),
    [anon_sym_static_assert] = ACTIONS(5196),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym__Alignas] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [sym_virtual] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(5078),
    [aux_sym_preproc_def_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5078),
    [sym_preproc_directive] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym_typedef] = ACTIONS(5078),
    [anon_sym_extern] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5080),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5080),
    [anon_sym___declspec] = ACTIONS(5078),
    [anon_sym___based] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5080),
    [anon_sym_signed] = ACTIONS(5078),
    [anon_sym_unsigned] = ACTIONS(5078),
    [anon_sym_long] = ACTIONS(5078),
    [anon_sym_short] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_static] = ACTIONS(5078),
    [anon_sym_register] = ACTIONS(5078),
    [anon_sym_inline] = ACTIONS(5078),
    [anon_sym___inline] = ACTIONS(5078),
    [anon_sym___inline__] = ACTIONS(5078),
    [anon_sym___forceinline] = ACTIONS(5078),
    [anon_sym_thread_local] = ACTIONS(5078),
    [anon_sym___thread] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5078),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_alignas] = ACTIONS(5078),
    [anon_sym__Alignas] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(5078),
    [anon_sym_enum] = ACTIONS(5078),
    [anon_sym_class] = ACTIONS(5078),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [sym_virtual] = ACTIONS(5078),
    [anon_sym_explicit] = ACTIONS(5078),
    [anon_sym_typename] = ACTIONS(5078),
    [anon_sym_template] = ACTIONS(5078),
    [anon_sym_operator] = ACTIONS(5078),
    [anon_sym_friend] = ACTIONS(5078),
    [anon_sym_public] = ACTIONS(5078),
    [anon_sym_private] = ACTIONS(5078),
    [anon_sym_protected] = ACTIONS(5078),
    [anon_sym_using] = ACTIONS(5078),
    [anon_sym_static_assert] = ACTIONS(5078),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(5078),
    [aux_sym_preproc_def_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5078),
    [sym_preproc_directive] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym_typedef] = ACTIONS(5078),
    [anon_sym_extern] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5080),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5080),
    [anon_sym___declspec] = ACTIONS(5078),
    [anon_sym___based] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5080),
    [anon_sym_signed] = ACTIONS(5078),
    [anon_sym_unsigned] = ACTIONS(5078),
    [anon_sym_long] = ACTIONS(5078),
    [anon_sym_short] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_static] = ACTIONS(5078),
    [anon_sym_register] = ACTIONS(5078),
    [anon_sym_inline] = ACTIONS(5078),
    [anon_sym___inline] = ACTIONS(5078),
    [anon_sym___inline__] = ACTIONS(5078),
    [anon_sym___forceinline] = ACTIONS(5078),
    [anon_sym_thread_local] = ACTIONS(5078),
    [anon_sym___thread] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5078),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_alignas] = ACTIONS(5078),
    [anon_sym__Alignas] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(5078),
    [anon_sym_enum] = ACTIONS(5078),
    [anon_sym_class] = ACTIONS(5078),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [sym_virtual] = ACTIONS(5078),
    [anon_sym_explicit] = ACTIONS(5078),
    [anon_sym_typename] = ACTIONS(5078),
    [anon_sym_template] = ACTIONS(5078),
    [anon_sym_operator] = ACTIONS(5078),
    [anon_sym_friend] = ACTIONS(5078),
    [anon_sym_public] = ACTIONS(5078),
    [anon_sym_private] = ACTIONS(5078),
    [anon_sym_protected] = ACTIONS(5078),
    [anon_sym_using] = ACTIONS(5078),
    [anon_sym_static_assert] = ACTIONS(5078),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_TILDE] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_AMP] = ACTIONS(5070),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym_COLON_COLON] = ACTIONS(5072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___based] = ACTIONS(5070),
    [anon_sym_RBRACE] = ACTIONS(5072),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_mutable] = ACTIONS(5070),
    [anon_sym_constinit] = ACTIONS(5070),
    [anon_sym_consteval] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_class] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5070),
    [anon_sym_decltype] = ACTIONS(5070),
    [sym_virtual] = ACTIONS(5070),
    [anon_sym_explicit] = ACTIONS(5070),
    [anon_sym_typename] = ACTIONS(5070),
    [anon_sym_template] = ACTIONS(5070),
    [anon_sym_operator] = ACTIONS(5070),
    [anon_sym_friend] = ACTIONS(5070),
    [anon_sym_public] = ACTIONS(5070),
    [anon_sym_private] = ACTIONS(5070),
    [anon_sym_protected] = ACTIONS(5070),
    [anon_sym_using] = ACTIONS(5070),
    [anon_sym_static_assert] = ACTIONS(5070),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(5196),
    [aux_sym_preproc_def_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token1] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5196),
    [sym_preproc_directive] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5198),
    [anon_sym_TILDE] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(5196),
    [anon_sym_typedef] = ACTIONS(5196),
    [anon_sym_extern] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5196),
    [anon_sym_COLON_COLON] = ACTIONS(5198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5198),
    [anon_sym___declspec] = ACTIONS(5196),
    [anon_sym___based] = ACTIONS(5196),
    [anon_sym_signed] = ACTIONS(5196),
    [anon_sym_unsigned] = ACTIONS(5196),
    [anon_sym_long] = ACTIONS(5196),
    [anon_sym_short] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5196),
    [anon_sym_static] = ACTIONS(5196),
    [anon_sym_register] = ACTIONS(5196),
    [anon_sym_inline] = ACTIONS(5196),
    [anon_sym___inline] = ACTIONS(5196),
    [anon_sym___inline__] = ACTIONS(5196),
    [anon_sym___forceinline] = ACTIONS(5196),
    [anon_sym_thread_local] = ACTIONS(5196),
    [anon_sym___thread] = ACTIONS(5196),
    [anon_sym_const] = ACTIONS(5196),
    [anon_sym_constexpr] = ACTIONS(5196),
    [anon_sym_volatile] = ACTIONS(5196),
    [anon_sym_restrict] = ACTIONS(5196),
    [anon_sym___restrict__] = ACTIONS(5196),
    [anon_sym__Atomic] = ACTIONS(5196),
    [anon_sym__Noreturn] = ACTIONS(5196),
    [anon_sym_noreturn] = ACTIONS(5196),
    [anon_sym_mutable] = ACTIONS(5196),
    [anon_sym_constinit] = ACTIONS(5196),
    [anon_sym_consteval] = ACTIONS(5196),
    [anon_sym_alignas] = ACTIONS(5196),
    [anon_sym__Alignas] = ACTIONS(5196),
    [sym_primitive_type] = ACTIONS(5196),
    [anon_sym_enum] = ACTIONS(5196),
    [anon_sym_class] = ACTIONS(5196),
    [anon_sym_struct] = ACTIONS(5196),
    [anon_sym_union] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5196),
    [anon_sym_decltype] = ACTIONS(5196),
    [sym_virtual] = ACTIONS(5196),
    [anon_sym_explicit] = ACTIONS(5196),
    [anon_sym_typename] = ACTIONS(5196),
    [anon_sym_template] = ACTIONS(5196),
    [anon_sym_operator] = ACTIONS(5196),
    [anon_sym_friend] = ACTIONS(5196),
    [anon_sym_public] = ACTIONS(5196),
    [anon_sym_private] = ACTIONS(5196),
    [anon_sym_protected] = ACTIONS(5196),
    [anon_sym_using] = ACTIONS(5196),
    [anon_sym_static_assert] = ACTIONS(5196),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_TILDE] = ACTIONS(5068),
    [anon_sym_STAR] = ACTIONS(5068),
    [anon_sym_AMP_AMP] = ACTIONS(5068),
    [anon_sym_AMP] = ACTIONS(5066),
    [anon_sym___extension__] = ACTIONS(5066),
    [anon_sym_typedef] = ACTIONS(5066),
    [anon_sym_extern] = ACTIONS(5066),
    [anon_sym___attribute__] = ACTIONS(5066),
    [anon_sym_COLON_COLON] = ACTIONS(5068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5068),
    [anon_sym___declspec] = ACTIONS(5066),
    [anon_sym___based] = ACTIONS(5066),
    [anon_sym_RBRACE] = ACTIONS(5068),
    [anon_sym_signed] = ACTIONS(5066),
    [anon_sym_unsigned] = ACTIONS(5066),
    [anon_sym_long] = ACTIONS(5066),
    [anon_sym_short] = ACTIONS(5066),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [anon_sym_static] = ACTIONS(5066),
    [anon_sym_register] = ACTIONS(5066),
    [anon_sym_inline] = ACTIONS(5066),
    [anon_sym___inline] = ACTIONS(5066),
    [anon_sym___inline__] = ACTIONS(5066),
    [anon_sym___forceinline] = ACTIONS(5066),
    [anon_sym_thread_local] = ACTIONS(5066),
    [anon_sym___thread] = ACTIONS(5066),
    [anon_sym_const] = ACTIONS(5066),
    [anon_sym_constexpr] = ACTIONS(5066),
    [anon_sym_volatile] = ACTIONS(5066),
    [anon_sym_restrict] = ACTIONS(5066),
    [anon_sym___restrict__] = ACTIONS(5066),
    [anon_sym__Atomic] = ACTIONS(5066),
    [anon_sym__Noreturn] = ACTIONS(5066),
    [anon_sym_noreturn] = ACTIONS(5066),
    [anon_sym_mutable] = ACTIONS(5066),
    [anon_sym_constinit] = ACTIONS(5066),
    [anon_sym_consteval] = ACTIONS(5066),
    [anon_sym_alignas] = ACTIONS(5066),
    [anon_sym__Alignas] = ACTIONS(5066),
    [sym_primitive_type] = ACTIONS(5066),
    [anon_sym_enum] = ACTIONS(5066),
    [anon_sym_class] = ACTIONS(5066),
    [anon_sym_struct] = ACTIONS(5066),
    [anon_sym_union] = ACTIONS(5066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5066),
    [anon_sym_decltype] = ACTIONS(5066),
    [sym_virtual] = ACTIONS(5066),
    [anon_sym_explicit] = ACTIONS(5066),
    [anon_sym_typename] = ACTIONS(5066),
    [anon_sym_template] = ACTIONS(5066),
    [anon_sym_operator] = ACTIONS(5066),
    [anon_sym_friend] = ACTIONS(5066),
    [anon_sym_public] = ACTIONS(5066),
    [anon_sym_private] = ACTIONS(5066),
    [anon_sym_protected] = ACTIONS(5066),
    [anon_sym_using] = ACTIONS(5066),
    [anon_sym_static_assert] = ACTIONS(5066),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5064),
    [anon_sym_TILDE] = ACTIONS(5064),
    [anon_sym_STAR] = ACTIONS(5064),
    [anon_sym_AMP_AMP] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(5062),
    [anon_sym___extension__] = ACTIONS(5062),
    [anon_sym_typedef] = ACTIONS(5062),
    [anon_sym_extern] = ACTIONS(5062),
    [anon_sym___attribute__] = ACTIONS(5062),
    [anon_sym_COLON_COLON] = ACTIONS(5064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5064),
    [anon_sym___declspec] = ACTIONS(5062),
    [anon_sym___based] = ACTIONS(5062),
    [anon_sym_RBRACE] = ACTIONS(5064),
    [anon_sym_signed] = ACTIONS(5062),
    [anon_sym_unsigned] = ACTIONS(5062),
    [anon_sym_long] = ACTIONS(5062),
    [anon_sym_short] = ACTIONS(5062),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [anon_sym_static] = ACTIONS(5062),
    [anon_sym_register] = ACTIONS(5062),
    [anon_sym_inline] = ACTIONS(5062),
    [anon_sym___inline] = ACTIONS(5062),
    [anon_sym___inline__] = ACTIONS(5062),
    [anon_sym___forceinline] = ACTIONS(5062),
    [anon_sym_thread_local] = ACTIONS(5062),
    [anon_sym___thread] = ACTIONS(5062),
    [anon_sym_const] = ACTIONS(5062),
    [anon_sym_constexpr] = ACTIONS(5062),
    [anon_sym_volatile] = ACTIONS(5062),
    [anon_sym_restrict] = ACTIONS(5062),
    [anon_sym___restrict__] = ACTIONS(5062),
    [anon_sym__Atomic] = ACTIONS(5062),
    [anon_sym__Noreturn] = ACTIONS(5062),
    [anon_sym_noreturn] = ACTIONS(5062),
    [anon_sym_mutable] = ACTIONS(5062),
    [anon_sym_constinit] = ACTIONS(5062),
    [anon_sym_consteval] = ACTIONS(5062),
    [anon_sym_alignas] = ACTIONS(5062),
    [anon_sym__Alignas] = ACTIONS(5062),
    [sym_primitive_type] = ACTIONS(5062),
    [anon_sym_enum] = ACTIONS(5062),
    [anon_sym_class] = ACTIONS(5062),
    [anon_sym_struct] = ACTIONS(5062),
    [anon_sym_union] = ACTIONS(5062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5062),
    [anon_sym_decltype] = ACTIONS(5062),
    [sym_virtual] = ACTIONS(5062),
    [anon_sym_explicit] = ACTIONS(5062),
    [anon_sym_typename] = ACTIONS(5062),
    [anon_sym_template] = ACTIONS(5062),
    [anon_sym_operator] = ACTIONS(5062),
    [anon_sym_friend] = ACTIONS(5062),
    [anon_sym_public] = ACTIONS(5062),
    [anon_sym_private] = ACTIONS(5062),
    [anon_sym_protected] = ACTIONS(5062),
    [anon_sym_using] = ACTIONS(5062),
    [anon_sym_static_assert] = ACTIONS(5062),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(4936),
    [aux_sym_preproc_def_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4936),
    [sym_preproc_directive] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4938),
    [anon_sym_TILDE] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_AMP_AMP] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_typedef] = ACTIONS(4936),
    [anon_sym_extern] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4938),
    [anon_sym___declspec] = ACTIONS(4936),
    [anon_sym___based] = ACTIONS(4936),
    [anon_sym_RBRACE] = ACTIONS(4938),
    [anon_sym_signed] = ACTIONS(4936),
    [anon_sym_unsigned] = ACTIONS(4936),
    [anon_sym_long] = ACTIONS(4936),
    [anon_sym_short] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_static] = ACTIONS(4936),
    [anon_sym_register] = ACTIONS(4936),
    [anon_sym_inline] = ACTIONS(4936),
    [anon_sym___inline] = ACTIONS(4936),
    [anon_sym___inline__] = ACTIONS(4936),
    [anon_sym___forceinline] = ACTIONS(4936),
    [anon_sym_thread_local] = ACTIONS(4936),
    [anon_sym___thread] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [sym_primitive_type] = ACTIONS(4936),
    [anon_sym_enum] = ACTIONS(4936),
    [anon_sym_class] = ACTIONS(4936),
    [anon_sym_struct] = ACTIONS(4936),
    [anon_sym_union] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
    [sym_virtual] = ACTIONS(4936),
    [anon_sym_explicit] = ACTIONS(4936),
    [anon_sym_typename] = ACTIONS(4936),
    [anon_sym_template] = ACTIONS(4936),
    [anon_sym_operator] = ACTIONS(4936),
    [anon_sym_friend] = ACTIONS(4936),
    [anon_sym_public] = ACTIONS(4936),
    [anon_sym_private] = ACTIONS(4936),
    [anon_sym_protected] = ACTIONS(4936),
    [anon_sym_using] = ACTIONS(4936),
    [anon_sym_static_assert] = ACTIONS(4936),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_TILDE] = ACTIONS(4954),
    [anon_sym_STAR] = ACTIONS(4954),
    [anon_sym_AMP_AMP] = ACTIONS(4954),
    [anon_sym_AMP] = ACTIONS(4952),
    [anon_sym___extension__] = ACTIONS(4952),
    [anon_sym_typedef] = ACTIONS(4952),
    [anon_sym_extern] = ACTIONS(4952),
    [anon_sym___attribute__] = ACTIONS(4952),
    [anon_sym_COLON_COLON] = ACTIONS(4954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4954),
    [anon_sym___declspec] = ACTIONS(4952),
    [anon_sym___based] = ACTIONS(4952),
    [anon_sym_RBRACE] = ACTIONS(4954),
    [anon_sym_signed] = ACTIONS(4952),
    [anon_sym_unsigned] = ACTIONS(4952),
    [anon_sym_long] = ACTIONS(4952),
    [anon_sym_short] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(4952),
    [anon_sym_static] = ACTIONS(4952),
    [anon_sym_register] = ACTIONS(4952),
    [anon_sym_inline] = ACTIONS(4952),
    [anon_sym___inline] = ACTIONS(4952),
    [anon_sym___inline__] = ACTIONS(4952),
    [anon_sym___forceinline] = ACTIONS(4952),
    [anon_sym_thread_local] = ACTIONS(4952),
    [anon_sym___thread] = ACTIONS(4952),
    [anon_sym_const] = ACTIONS(4952),
    [anon_sym_constexpr] = ACTIONS(4952),
    [anon_sym_volatile] = ACTIONS(4952),
    [anon_sym_restrict] = ACTIONS(4952),
    [anon_sym___restrict__] = ACTIONS(4952),
    [anon_sym__Atomic] = ACTIONS(4952),
    [anon_sym__Noreturn] = ACTIONS(4952),
    [anon_sym_noreturn] = ACTIONS(4952),
    [anon_sym_mutable] = ACTIONS(4952),
    [anon_sym_constinit] = ACTIONS(4952),
    [anon_sym_consteval] = ACTIONS(4952),
    [anon_sym_alignas] = ACTIONS(4952),
    [anon_sym__Alignas] = ACTIONS(4952),
    [sym_primitive_type] = ACTIONS(4952),
    [anon_sym_enum] = ACTIONS(4952),
    [anon_sym_class] = ACTIONS(4952),
    [anon_sym_struct] = ACTIONS(4952),
    [anon_sym_union] = ACTIONS(4952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4952),
    [anon_sym_decltype] = ACTIONS(4952),
    [sym_virtual] = ACTIONS(4952),
    [anon_sym_explicit] = ACTIONS(4952),
    [anon_sym_typename] = ACTIONS(4952),
    [anon_sym_template] = ACTIONS(4952),
    [anon_sym_operator] = ACTIONS(4952),
    [anon_sym_friend] = ACTIONS(4952),
    [anon_sym_public] = ACTIONS(4952),
    [anon_sym_private] = ACTIONS(4952),
    [anon_sym_protected] = ACTIONS(4952),
    [anon_sym_using] = ACTIONS(4952),
    [anon_sym_static_assert] = ACTIONS(4952),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(5261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5263),
    [anon_sym_COMMA] = ACTIONS(5263),
    [anon_sym_RPAREN] = ACTIONS(5263),
    [aux_sym_preproc_if_token2] = ACTIONS(5263),
    [aux_sym_preproc_else_token1] = ACTIONS(5263),
    [aux_sym_preproc_elif_token1] = ACTIONS(5261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5263),
    [anon_sym_LPAREN2] = ACTIONS(5263),
    [anon_sym_DASH] = ACTIONS(5261),
    [anon_sym_PLUS] = ACTIONS(5261),
    [anon_sym_STAR] = ACTIONS(5261),
    [anon_sym_SLASH] = ACTIONS(5261),
    [anon_sym_PERCENT] = ACTIONS(5261),
    [anon_sym_PIPE_PIPE] = ACTIONS(5263),
    [anon_sym_AMP_AMP] = ACTIONS(5263),
    [anon_sym_PIPE] = ACTIONS(5261),
    [anon_sym_CARET] = ACTIONS(5261),
    [anon_sym_AMP] = ACTIONS(5261),
    [anon_sym_EQ_EQ] = ACTIONS(5263),
    [anon_sym_BANG_EQ] = ACTIONS(5263),
    [anon_sym_GT] = ACTIONS(5261),
    [anon_sym_GT_EQ] = ACTIONS(5263),
    [anon_sym_LT_EQ] = ACTIONS(5261),
    [anon_sym_LT] = ACTIONS(5261),
    [anon_sym_LT_LT] = ACTIONS(5261),
    [anon_sym_GT_GT] = ACTIONS(5261),
    [anon_sym_SEMI] = ACTIONS(5263),
    [anon_sym___attribute__] = ACTIONS(5261),
    [anon_sym_LBRACE] = ACTIONS(5263),
    [anon_sym_RBRACE] = ACTIONS(5263),
    [anon_sym_LBRACK] = ACTIONS(5263),
    [anon_sym_RBRACK] = ACTIONS(5263),
    [anon_sym_EQ] = ACTIONS(5261),
    [anon_sym_COLON] = ACTIONS(5263),
    [anon_sym_QMARK] = ACTIONS(5263),
    [anon_sym_STAR_EQ] = ACTIONS(5263),
    [anon_sym_SLASH_EQ] = ACTIONS(5263),
    [anon_sym_PERCENT_EQ] = ACTIONS(5263),
    [anon_sym_PLUS_EQ] = ACTIONS(5263),
    [anon_sym_DASH_EQ] = ACTIONS(5263),
    [anon_sym_LT_LT_EQ] = ACTIONS(5263),
    [anon_sym_GT_GT_EQ] = ACTIONS(5263),
    [anon_sym_AMP_EQ] = ACTIONS(5263),
    [anon_sym_CARET_EQ] = ACTIONS(5263),
    [anon_sym_PIPE_EQ] = ACTIONS(5263),
    [anon_sym_and_eq] = ACTIONS(5261),
    [anon_sym_or_eq] = ACTIONS(5261),
    [anon_sym_xor_eq] = ACTIONS(5261),
    [anon_sym_LT_EQ_GT] = ACTIONS(5263),
    [anon_sym_or] = ACTIONS(5261),
    [anon_sym_and] = ACTIONS(5261),
    [anon_sym_bitor] = ACTIONS(5261),
    [anon_sym_xor] = ACTIONS(5261),
    [anon_sym_bitand] = ACTIONS(5261),
    [anon_sym_not_eq] = ACTIONS(5261),
    [anon_sym_DASH_DASH] = ACTIONS(5263),
    [anon_sym_PLUS_PLUS] = ACTIONS(5263),
    [anon_sym_DOT] = ACTIONS(5261),
    [anon_sym_DOT_STAR] = ACTIONS(5263),
    [anon_sym_DASH_GT] = ACTIONS(5263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5261),
    [anon_sym_decltype] = ACTIONS(5261),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_RBRACE] = ACTIONS(4994),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym__Alignas] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(5592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5594),
    [anon_sym_COMMA] = ACTIONS(5594),
    [anon_sym_RPAREN] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5592),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5594),
    [anon_sym_AMP_AMP] = ACTIONS(5594),
    [anon_sym_PIPE] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(5594),
    [anon_sym_BANG_EQ] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(5594),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5592),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5594),
    [anon_sym_LBRACE] = ACTIONS(5594),
    [anon_sym_RBRACE] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5594),
    [anon_sym_EQ] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5594),
    [anon_sym_QMARK] = ACTIONS(5594),
    [anon_sym_STAR_EQ] = ACTIONS(5594),
    [anon_sym_SLASH_EQ] = ACTIONS(5594),
    [anon_sym_PERCENT_EQ] = ACTIONS(5594),
    [anon_sym_PLUS_EQ] = ACTIONS(5594),
    [anon_sym_DASH_EQ] = ACTIONS(5594),
    [anon_sym_LT_LT_EQ] = ACTIONS(5594),
    [anon_sym_GT_GT_EQ] = ACTIONS(5594),
    [anon_sym_AMP_EQ] = ACTIONS(5594),
    [anon_sym_CARET_EQ] = ACTIONS(5594),
    [anon_sym_PIPE_EQ] = ACTIONS(5594),
    [anon_sym_and_eq] = ACTIONS(5592),
    [anon_sym_or_eq] = ACTIONS(5592),
    [anon_sym_xor_eq] = ACTIONS(5592),
    [anon_sym_LT_EQ_GT] = ACTIONS(5594),
    [anon_sym_or] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_bitor] = ACTIONS(5592),
    [anon_sym_xor] = ACTIONS(5592),
    [anon_sym_bitand] = ACTIONS(5592),
    [anon_sym_not_eq] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(5594),
    [anon_sym_PLUS_PLUS] = ACTIONS(5594),
    [anon_sym_DOT] = ACTIONS(5592),
    [anon_sym_DOT_STAR] = ACTIONS(5594),
    [anon_sym_DASH_GT] = ACTIONS(5594),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5592),
  },
  [2105] = {
    [sym_ms_based_modifier] = STATE(7569),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(3811),
    [sym__declarator] = STATE(5965),
    [sym__abstract_declarator] = STATE(6259),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_type_qualifier] = STATE(2667),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_parameter_list] = STATE(3215),
    [sym_decltype] = STATE(7962),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5390),
    [sym_qualified_identifier] = STATE(5904),
    [sym_operator_name] = STATE(5904),
    [aux_sym__type_definition_type_repeat1] = STATE(2667),
    [aux_sym_pointer_declarator_repeat1] = STATE(3811),
    [sym_identifier] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5287),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_AMP_AMP] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2868),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym_COLON_COLON] = ACTIONS(2870),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___based] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_mutable] = ACTIONS(2868),
    [anon_sym_constinit] = ACTIONS(2868),
    [anon_sym_consteval] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2868),
    [anon_sym_decltype] = ACTIONS(2868),
    [sym_virtual] = ACTIONS(2868),
    [anon_sym_explicit] = ACTIONS(2868),
    [anon_sym_typename] = ACTIONS(2868),
    [anon_sym_template] = ACTIONS(2868),
    [anon_sym_operator] = ACTIONS(2868),
    [anon_sym_friend] = ACTIONS(2868),
    [anon_sym_public] = ACTIONS(2868),
    [anon_sym_private] = ACTIONS(2868),
    [anon_sym_protected] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(2868),
    [anon_sym_static_assert] = ACTIONS(2868),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(2822),
    [aux_sym_preproc_def_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token1] = ACTIONS(2822),
    [aux_sym_preproc_if_token2] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2822),
    [sym_preproc_directive] = ACTIONS(2822),
    [anon_sym_LPAREN2] = ACTIONS(2824),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2824),
    [anon_sym_AMP_AMP] = ACTIONS(2824),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2822),
    [anon_sym_typedef] = ACTIONS(2822),
    [anon_sym_extern] = ACTIONS(2822),
    [anon_sym___attribute__] = ACTIONS(2822),
    [anon_sym_COLON_COLON] = ACTIONS(2824),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2824),
    [anon_sym___declspec] = ACTIONS(2822),
    [anon_sym___based] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2822),
    [anon_sym_unsigned] = ACTIONS(2822),
    [anon_sym_long] = ACTIONS(2822),
    [anon_sym_short] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_register] = ACTIONS(2822),
    [anon_sym_inline] = ACTIONS(2822),
    [anon_sym___inline] = ACTIONS(2822),
    [anon_sym___inline__] = ACTIONS(2822),
    [anon_sym___forceinline] = ACTIONS(2822),
    [anon_sym_thread_local] = ACTIONS(2822),
    [anon_sym___thread] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_constexpr] = ACTIONS(2822),
    [anon_sym_volatile] = ACTIONS(2822),
    [anon_sym_restrict] = ACTIONS(2822),
    [anon_sym___restrict__] = ACTIONS(2822),
    [anon_sym__Atomic] = ACTIONS(2822),
    [anon_sym__Noreturn] = ACTIONS(2822),
    [anon_sym_noreturn] = ACTIONS(2822),
    [anon_sym_mutable] = ACTIONS(2822),
    [anon_sym_constinit] = ACTIONS(2822),
    [anon_sym_consteval] = ACTIONS(2822),
    [anon_sym_alignas] = ACTIONS(2822),
    [anon_sym__Alignas] = ACTIONS(2822),
    [sym_primitive_type] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_struct] = ACTIONS(2822),
    [anon_sym_union] = ACTIONS(2822),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2822),
    [anon_sym_decltype] = ACTIONS(2822),
    [sym_virtual] = ACTIONS(2822),
    [anon_sym_explicit] = ACTIONS(2822),
    [anon_sym_typename] = ACTIONS(2822),
    [anon_sym_template] = ACTIONS(2822),
    [anon_sym_operator] = ACTIONS(2822),
    [anon_sym_friend] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_static_assert] = ACTIONS(2822),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_RBRACE] = ACTIONS(5032),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [2110] = {
    [sym_ms_based_modifier] = STATE(7569),
    [sym_ms_unaligned_ptr_modifier] = STATE(3971),
    [sym_ms_pointer_modifier] = STATE(2105),
    [sym__declarator] = STATE(5945),
    [sym__abstract_declarator] = STATE(6245),
    [sym_parenthesized_declarator] = STATE(5904),
    [sym_abstract_parenthesized_declarator] = STATE(5740),
    [sym_attributed_declarator] = STATE(5904),
    [sym_pointer_declarator] = STATE(5904),
    [sym_abstract_pointer_declarator] = STATE(5740),
    [sym_function_declarator] = STATE(5904),
    [sym_abstract_function_declarator] = STATE(5740),
    [sym_array_declarator] = STATE(5904),
    [sym_abstract_array_declarator] = STATE(5740),
    [sym_type_qualifier] = STATE(2698),
    [sym_alignas_qualifier] = STATE(4331),
    [sym_parameter_list] = STATE(3215),
    [sym_decltype] = STATE(7962),
    [sym_reference_declarator] = STATE(5904),
    [sym_abstract_reference_declarator] = STATE(5740),
    [sym_structured_binding_declarator] = STATE(5904),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7962),
    [sym_template_function] = STATE(5904),
    [sym_destructor_name] = STATE(5904),
    [sym_dependent_type_identifier] = STATE(7962),
    [sym__scope_resolution] = STATE(5390),
    [sym_qualified_identifier] = STATE(5904),
    [sym_operator_name] = STATE(5904),
    [aux_sym__type_definition_type_repeat1] = STATE(2698),
    [aux_sym_pointer_declarator_repeat1] = STATE(2105),
    [sym_identifier] = ACTIONS(5271),
    [anon_sym_COMMA] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5273),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3083),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3083),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3083),
    [anon_sym__unaligned] = ACTIONS(3085),
    [anon_sym___unaligned] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(5283),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3087),
    [anon_sym__Alignas] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(5168),
    [aux_sym_preproc_def_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token1] = ACTIONS(5168),
    [aux_sym_preproc_if_token2] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5168),
    [sym_preproc_directive] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5170),
    [anon_sym_TILDE] = ACTIONS(5170),
    [anon_sym_STAR] = ACTIONS(5170),
    [anon_sym_AMP_AMP] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(5168),
    [anon_sym___extension__] = ACTIONS(5168),
    [anon_sym_typedef] = ACTIONS(5168),
    [anon_sym_extern] = ACTIONS(5168),
    [anon_sym___attribute__] = ACTIONS(5168),
    [anon_sym_COLON_COLON] = ACTIONS(5170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5170),
    [anon_sym___declspec] = ACTIONS(5168),
    [anon_sym___based] = ACTIONS(5168),
    [anon_sym_signed] = ACTIONS(5168),
    [anon_sym_unsigned] = ACTIONS(5168),
    [anon_sym_long] = ACTIONS(5168),
    [anon_sym_short] = ACTIONS(5168),
    [anon_sym_LBRACK] = ACTIONS(5168),
    [anon_sym_static] = ACTIONS(5168),
    [anon_sym_register] = ACTIONS(5168),
    [anon_sym_inline] = ACTIONS(5168),
    [anon_sym___inline] = ACTIONS(5168),
    [anon_sym___inline__] = ACTIONS(5168),
    [anon_sym___forceinline] = ACTIONS(5168),
    [anon_sym_thread_local] = ACTIONS(5168),
    [anon_sym___thread] = ACTIONS(5168),
    [anon_sym_const] = ACTIONS(5168),
    [anon_sym_constexpr] = ACTIONS(5168),
    [anon_sym_volatile] = ACTIONS(5168),
    [anon_sym_restrict] = ACTIONS(5168),
    [anon_sym___restrict__] = ACTIONS(5168),
    [anon_sym__Atomic] = ACTIONS(5168),
    [anon_sym__Noreturn] = ACTIONS(5168),
    [anon_sym_noreturn] = ACTIONS(5168),
    [anon_sym_mutable] = ACTIONS(5168),
    [anon_sym_constinit] = ACTIONS(5168),
    [anon_sym_consteval] = ACTIONS(5168),
    [anon_sym_alignas] = ACTIONS(5168),
    [anon_sym__Alignas] = ACTIONS(5168),
    [sym_primitive_type] = ACTIONS(5168),
    [anon_sym_enum] = ACTIONS(5168),
    [anon_sym_class] = ACTIONS(5168),
    [anon_sym_struct] = ACTIONS(5168),
    [anon_sym_union] = ACTIONS(5168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5168),
    [anon_sym_decltype] = ACTIONS(5168),
    [sym_virtual] = ACTIONS(5168),
    [anon_sym_explicit] = ACTIONS(5168),
    [anon_sym_typename] = ACTIONS(5168),
    [anon_sym_template] = ACTIONS(5168),
    [anon_sym_operator] = ACTIONS(5168),
    [anon_sym_friend] = ACTIONS(5168),
    [anon_sym_public] = ACTIONS(5168),
    [anon_sym_private] = ACTIONS(5168),
    [anon_sym_protected] = ACTIONS(5168),
    [anon_sym_using] = ACTIONS(5168),
    [anon_sym_static_assert] = ACTIONS(5168),
  },
  [2113] = {
    [sym_attribute_declaration] = STATE(1929),
    [aux_sym_attributed_declarator_repeat1] = STATE(1929),
    [sym_identifier] = ACTIONS(5602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [aux_sym_preproc_if_token2] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5604),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5404),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5602),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_and_eq] = ACTIONS(5602),
    [anon_sym_or_eq] = ACTIONS(5602),
    [anon_sym_xor_eq] = ACTIONS(5602),
    [anon_sym_LT_EQ_GT] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(5164),
    [aux_sym_preproc_def_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token1] = ACTIONS(5164),
    [aux_sym_preproc_if_token2] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5164),
    [sym_preproc_directive] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5166),
    [anon_sym_TILDE] = ACTIONS(5166),
    [anon_sym_STAR] = ACTIONS(5166),
    [anon_sym_AMP_AMP] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(5164),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_typedef] = ACTIONS(5164),
    [anon_sym_extern] = ACTIONS(5164),
    [anon_sym___attribute__] = ACTIONS(5164),
    [anon_sym_COLON_COLON] = ACTIONS(5166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5166),
    [anon_sym___declspec] = ACTIONS(5164),
    [anon_sym___based] = ACTIONS(5164),
    [anon_sym_signed] = ACTIONS(5164),
    [anon_sym_unsigned] = ACTIONS(5164),
    [anon_sym_long] = ACTIONS(5164),
    [anon_sym_short] = ACTIONS(5164),
    [anon_sym_LBRACK] = ACTIONS(5164),
    [anon_sym_static] = ACTIONS(5164),
    [anon_sym_register] = ACTIONS(5164),
    [anon_sym_inline] = ACTIONS(5164),
    [anon_sym___inline] = ACTIONS(5164),
    [anon_sym___inline__] = ACTIONS(5164),
    [anon_sym___forceinline] = ACTIONS(5164),
    [anon_sym_thread_local] = ACTIONS(5164),
    [anon_sym___thread] = ACTIONS(5164),
    [anon_sym_const] = ACTIONS(5164),
    [anon_sym_constexpr] = ACTIONS(5164),
    [anon_sym_volatile] = ACTIONS(5164),
    [anon_sym_restrict] = ACTIONS(5164),
    [anon_sym___restrict__] = ACTIONS(5164),
    [anon_sym__Atomic] = ACTIONS(5164),
    [anon_sym__Noreturn] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5164),
    [anon_sym_mutable] = ACTIONS(5164),
    [anon_sym_constinit] = ACTIONS(5164),
    [anon_sym_consteval] = ACTIONS(5164),
    [anon_sym_alignas] = ACTIONS(5164),
    [anon_sym__Alignas] = ACTIONS(5164),
    [sym_primitive_type] = ACTIONS(5164),
    [anon_sym_enum] = ACTIONS(5164),
    [anon_sym_class] = ACTIONS(5164),
    [anon_sym_struct] = ACTIONS(5164),
    [anon_sym_union] = ACTIONS(5164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5164),
    [anon_sym_decltype] = ACTIONS(5164),
    [sym_virtual] = ACTIONS(5164),
    [anon_sym_explicit] = ACTIONS(5164),
    [anon_sym_typename] = ACTIONS(5164),
    [anon_sym_template] = ACTIONS(5164),
    [anon_sym_operator] = ACTIONS(5164),
    [anon_sym_friend] = ACTIONS(5164),
    [anon_sym_public] = ACTIONS(5164),
    [anon_sym_private] = ACTIONS(5164),
    [anon_sym_protected] = ACTIONS(5164),
    [anon_sym_using] = ACTIONS(5164),
    [anon_sym_static_assert] = ACTIONS(5164),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5162),
    [anon_sym_TILDE] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_AMP_AMP] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5160),
    [anon_sym_typedef] = ACTIONS(5160),
    [anon_sym_extern] = ACTIONS(5160),
    [anon_sym___attribute__] = ACTIONS(5160),
    [anon_sym_COLON_COLON] = ACTIONS(5162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5162),
    [anon_sym___declspec] = ACTIONS(5160),
    [anon_sym___based] = ACTIONS(5160),
    [anon_sym_signed] = ACTIONS(5160),
    [anon_sym_unsigned] = ACTIONS(5160),
    [anon_sym_long] = ACTIONS(5160),
    [anon_sym_short] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5160),
    [anon_sym_register] = ACTIONS(5160),
    [anon_sym_inline] = ACTIONS(5160),
    [anon_sym___inline] = ACTIONS(5160),
    [anon_sym___inline__] = ACTIONS(5160),
    [anon_sym___forceinline] = ACTIONS(5160),
    [anon_sym_thread_local] = ACTIONS(5160),
    [anon_sym___thread] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5160),
    [anon_sym_constexpr] = ACTIONS(5160),
    [anon_sym_volatile] = ACTIONS(5160),
    [anon_sym_restrict] = ACTIONS(5160),
    [anon_sym___restrict__] = ACTIONS(5160),
    [anon_sym__Atomic] = ACTIONS(5160),
    [anon_sym__Noreturn] = ACTIONS(5160),
    [anon_sym_noreturn] = ACTIONS(5160),
    [anon_sym_mutable] = ACTIONS(5160),
    [anon_sym_constinit] = ACTIONS(5160),
    [anon_sym_consteval] = ACTIONS(5160),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [sym_primitive_type] = ACTIONS(5160),
    [anon_sym_enum] = ACTIONS(5160),
    [anon_sym_class] = ACTIONS(5160),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5160),
    [anon_sym_decltype] = ACTIONS(5160),
    [sym_virtual] = ACTIONS(5160),
    [anon_sym_explicit] = ACTIONS(5160),
    [anon_sym_typename] = ACTIONS(5160),
    [anon_sym_template] = ACTIONS(5160),
    [anon_sym_operator] = ACTIONS(5160),
    [anon_sym_friend] = ACTIONS(5160),
    [anon_sym_public] = ACTIONS(5160),
    [anon_sym_private] = ACTIONS(5160),
    [anon_sym_protected] = ACTIONS(5160),
    [anon_sym_using] = ACTIONS(5160),
    [anon_sym_static_assert] = ACTIONS(5160),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(5152),
    [aux_sym_preproc_def_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token2] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5152),
    [sym_preproc_directive] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [anon_sym_TILDE] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_AMP_AMP] = ACTIONS(5154),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5152),
    [anon_sym_typedef] = ACTIONS(5152),
    [anon_sym_extern] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5152),
    [anon_sym_COLON_COLON] = ACTIONS(5154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5154),
    [anon_sym___declspec] = ACTIONS(5152),
    [anon_sym___based] = ACTIONS(5152),
    [anon_sym_signed] = ACTIONS(5152),
    [anon_sym_unsigned] = ACTIONS(5152),
    [anon_sym_long] = ACTIONS(5152),
    [anon_sym_short] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5152),
    [anon_sym_register] = ACTIONS(5152),
    [anon_sym_inline] = ACTIONS(5152),
    [anon_sym___inline] = ACTIONS(5152),
    [anon_sym___inline__] = ACTIONS(5152),
    [anon_sym___forceinline] = ACTIONS(5152),
    [anon_sym_thread_local] = ACTIONS(5152),
    [anon_sym___thread] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5152),
    [anon_sym_constexpr] = ACTIONS(5152),
    [anon_sym_volatile] = ACTIONS(5152),
    [anon_sym_restrict] = ACTIONS(5152),
    [anon_sym___restrict__] = ACTIONS(5152),
    [anon_sym__Atomic] = ACTIONS(5152),
    [anon_sym__Noreturn] = ACTIONS(5152),
    [anon_sym_noreturn] = ACTIONS(5152),
    [anon_sym_mutable] = ACTIONS(5152),
    [anon_sym_constinit] = ACTIONS(5152),
    [anon_sym_consteval] = ACTIONS(5152),
    [anon_sym_alignas] = ACTIONS(5152),
    [anon_sym__Alignas] = ACTIONS(5152),
    [sym_primitive_type] = ACTIONS(5152),
    [anon_sym_enum] = ACTIONS(5152),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5152),
    [anon_sym_union] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5152),
    [anon_sym_decltype] = ACTIONS(5152),
    [sym_virtual] = ACTIONS(5152),
    [anon_sym_explicit] = ACTIONS(5152),
    [anon_sym_typename] = ACTIONS(5152),
    [anon_sym_template] = ACTIONS(5152),
    [anon_sym_operator] = ACTIONS(5152),
    [anon_sym_friend] = ACTIONS(5152),
    [anon_sym_public] = ACTIONS(5152),
    [anon_sym_private] = ACTIONS(5152),
    [anon_sym_protected] = ACTIONS(5152),
    [anon_sym_using] = ACTIONS(5152),
    [anon_sym_static_assert] = ACTIONS(5152),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(5160),
    [aux_sym_preproc_def_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token1] = ACTIONS(5160),
    [aux_sym_preproc_if_token2] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5160),
    [sym_preproc_directive] = ACTIONS(5160),
    [anon_sym_LPAREN2] = ACTIONS(5162),
    [anon_sym_TILDE] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_AMP_AMP] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym___extension__] = ACTIONS(5160),
    [anon_sym_typedef] = ACTIONS(5160),
    [anon_sym_extern] = ACTIONS(5160),
    [anon_sym___attribute__] = ACTIONS(5160),
    [anon_sym_COLON_COLON] = ACTIONS(5162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5162),
    [anon_sym___declspec] = ACTIONS(5160),
    [anon_sym___based] = ACTIONS(5160),
    [anon_sym_signed] = ACTIONS(5160),
    [anon_sym_unsigned] = ACTIONS(5160),
    [anon_sym_long] = ACTIONS(5160),
    [anon_sym_short] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5160),
    [anon_sym_static] = ACTIONS(5160),
    [anon_sym_register] = ACTIONS(5160),
    [anon_sym_inline] = ACTIONS(5160),
    [anon_sym___inline] = ACTIONS(5160),
    [anon_sym___inline__] = ACTIONS(5160),
    [anon_sym___forceinline] = ACTIONS(5160),
    [anon_sym_thread_local] = ACTIONS(5160),
    [anon_sym___thread] = ACTIONS(5160),
    [anon_sym_const] = ACTIONS(5160),
    [anon_sym_constexpr] = ACTIONS(5160),
    [anon_sym_volatile] = ACTIONS(5160),
    [anon_sym_restrict] = ACTIONS(5160),
    [anon_sym___restrict__] = ACTIONS(5160),
    [anon_sym__Atomic] = ACTIONS(5160),
    [anon_sym__Noreturn] = ACTIONS(5160),
    [anon_sym_noreturn] = ACTIONS(5160),
    [anon_sym_mutable] = ACTIONS(5160),
    [anon_sym_constinit] = ACTIONS(5160),
    [anon_sym_consteval] = ACTIONS(5160),
    [anon_sym_alignas] = ACTIONS(5160),
    [anon_sym__Alignas] = ACTIONS(5160),
    [sym_primitive_type] = ACTIONS(5160),
    [anon_sym_enum] = ACTIONS(5160),
    [anon_sym_class] = ACTIONS(5160),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5160),
    [anon_sym_decltype] = ACTIONS(5160),
    [sym_virtual] = ACTIONS(5160),
    [anon_sym_explicit] = ACTIONS(5160),
    [anon_sym_typename] = ACTIONS(5160),
    [anon_sym_template] = ACTIONS(5160),
    [anon_sym_operator] = ACTIONS(5160),
    [anon_sym_friend] = ACTIONS(5160),
    [anon_sym_public] = ACTIONS(5160),
    [anon_sym_private] = ACTIONS(5160),
    [anon_sym_protected] = ACTIONS(5160),
    [anon_sym_using] = ACTIONS(5160),
    [anon_sym_static_assert] = ACTIONS(5160),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5152),
    [aux_sym_preproc_def_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token1] = ACTIONS(5152),
    [aux_sym_preproc_if_token2] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5152),
    [sym_preproc_directive] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5154),
    [anon_sym_TILDE] = ACTIONS(5154),
    [anon_sym_STAR] = ACTIONS(5154),
    [anon_sym_AMP_AMP] = ACTIONS(5154),
    [anon_sym_AMP] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5152),
    [anon_sym_typedef] = ACTIONS(5152),
    [anon_sym_extern] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5152),
    [anon_sym_COLON_COLON] = ACTIONS(5154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5154),
    [anon_sym___declspec] = ACTIONS(5152),
    [anon_sym___based] = ACTIONS(5152),
    [anon_sym_signed] = ACTIONS(5152),
    [anon_sym_unsigned] = ACTIONS(5152),
    [anon_sym_long] = ACTIONS(5152),
    [anon_sym_short] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_static] = ACTIONS(5152),
    [anon_sym_register] = ACTIONS(5152),
    [anon_sym_inline] = ACTIONS(5152),
    [anon_sym___inline] = ACTIONS(5152),
    [anon_sym___inline__] = ACTIONS(5152),
    [anon_sym___forceinline] = ACTIONS(5152),
    [anon_sym_thread_local] = ACTIONS(5152),
    [anon_sym___thread] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5152),
    [anon_sym_constexpr] = ACTIONS(5152),
    [anon_sym_volatile] = ACTIONS(5152),
    [anon_sym_restrict] = ACTIONS(5152),
    [anon_sym___restrict__] = ACTIONS(5152),
    [anon_sym__Atomic] = ACTIONS(5152),
    [anon_sym__Noreturn] = ACTIONS(5152),
    [anon_sym_noreturn] = ACTIONS(5152),
    [anon_sym_mutable] = ACTIONS(5152),
    [anon_sym_constinit] = ACTIONS(5152),
    [anon_sym_consteval] = ACTIONS(5152),
    [anon_sym_alignas] = ACTIONS(5152),
    [anon_sym__Alignas] = ACTIONS(5152),
    [sym_primitive_type] = ACTIONS(5152),
    [anon_sym_enum] = ACTIONS(5152),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5152),
    [anon_sym_union] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5152),
    [anon_sym_decltype] = ACTIONS(5152),
    [sym_virtual] = ACTIONS(5152),
    [anon_sym_explicit] = ACTIONS(5152),
    [anon_sym_typename] = ACTIONS(5152),
    [anon_sym_template] = ACTIONS(5152),
    [anon_sym_operator] = ACTIONS(5152),
    [anon_sym_friend] = ACTIONS(5152),
    [anon_sym_public] = ACTIONS(5152),
    [anon_sym_private] = ACTIONS(5152),
    [anon_sym_protected] = ACTIONS(5152),
    [anon_sym_using] = ACTIONS(5152),
    [anon_sym_static_assert] = ACTIONS(5152),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5140),
    [anon_sym_TILDE] = ACTIONS(5140),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_AMP_AMP] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5138),
    [anon_sym_typedef] = ACTIONS(5138),
    [anon_sym_extern] = ACTIONS(5138),
    [anon_sym___attribute__] = ACTIONS(5138),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5140),
    [anon_sym___declspec] = ACTIONS(5138),
    [anon_sym___based] = ACTIONS(5138),
    [anon_sym_signed] = ACTIONS(5138),
    [anon_sym_unsigned] = ACTIONS(5138),
    [anon_sym_long] = ACTIONS(5138),
    [anon_sym_short] = ACTIONS(5138),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [anon_sym_static] = ACTIONS(5138),
    [anon_sym_register] = ACTIONS(5138),
    [anon_sym_inline] = ACTIONS(5138),
    [anon_sym___inline] = ACTIONS(5138),
    [anon_sym___inline__] = ACTIONS(5138),
    [anon_sym___forceinline] = ACTIONS(5138),
    [anon_sym_thread_local] = ACTIONS(5138),
    [anon_sym___thread] = ACTIONS(5138),
    [anon_sym_const] = ACTIONS(5138),
    [anon_sym_constexpr] = ACTIONS(5138),
    [anon_sym_volatile] = ACTIONS(5138),
    [anon_sym_restrict] = ACTIONS(5138),
    [anon_sym___restrict__] = ACTIONS(5138),
    [anon_sym__Atomic] = ACTIONS(5138),
    [anon_sym__Noreturn] = ACTIONS(5138),
    [anon_sym_noreturn] = ACTIONS(5138),
    [anon_sym_mutable] = ACTIONS(5138),
    [anon_sym_constinit] = ACTIONS(5138),
    [anon_sym_consteval] = ACTIONS(5138),
    [anon_sym_alignas] = ACTIONS(5138),
    [anon_sym__Alignas] = ACTIONS(5138),
    [sym_primitive_type] = ACTIONS(5138),
    [anon_sym_enum] = ACTIONS(5138),
    [anon_sym_class] = ACTIONS(5138),
    [anon_sym_struct] = ACTIONS(5138),
    [anon_sym_union] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5138),
    [sym_virtual] = ACTIONS(5138),
    [anon_sym_explicit] = ACTIONS(5138),
    [anon_sym_typename] = ACTIONS(5138),
    [anon_sym_template] = ACTIONS(5138),
    [anon_sym_operator] = ACTIONS(5138),
    [anon_sym_friend] = ACTIONS(5138),
    [anon_sym_public] = ACTIONS(5138),
    [anon_sym_private] = ACTIONS(5138),
    [anon_sym_protected] = ACTIONS(5138),
    [anon_sym_using] = ACTIONS(5138),
    [anon_sym_static_assert] = ACTIONS(5138),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(5606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [aux_sym_preproc_if_token2] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5608),
    [anon_sym_LPAREN2] = ACTIONS(5608),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_CARET] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5606),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym___attribute__] = ACTIONS(5606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5608),
    [anon_sym_LBRACE] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_EQ] = ACTIONS(5606),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5608),
    [anon_sym_STAR_EQ] = ACTIONS(5608),
    [anon_sym_SLASH_EQ] = ACTIONS(5608),
    [anon_sym_PERCENT_EQ] = ACTIONS(5608),
    [anon_sym_PLUS_EQ] = ACTIONS(5608),
    [anon_sym_DASH_EQ] = ACTIONS(5608),
    [anon_sym_LT_LT_EQ] = ACTIONS(5608),
    [anon_sym_GT_GT_EQ] = ACTIONS(5608),
    [anon_sym_AMP_EQ] = ACTIONS(5608),
    [anon_sym_CARET_EQ] = ACTIONS(5608),
    [anon_sym_PIPE_EQ] = ACTIONS(5608),
    [anon_sym_and_eq] = ACTIONS(5606),
    [anon_sym_or_eq] = ACTIONS(5606),
    [anon_sym_xor_eq] = ACTIONS(5606),
    [anon_sym_LT_EQ_GT] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5606),
    [anon_sym_and] = ACTIONS(5606),
    [anon_sym_bitor] = ACTIONS(5606),
    [anon_sym_xor] = ACTIONS(5606),
    [anon_sym_bitand] = ACTIONS(5606),
    [anon_sym_not_eq] = ACTIONS(5606),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_DOT_STAR] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5606),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_friend] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_protected] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token2] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_friend] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(2892),
    [aux_sym_preproc_def_token1] = ACTIONS(2892),
    [aux_sym_preproc_if_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2892),
    [sym_preproc_directive] = ACTIONS(2892),
    [anon_sym_LPAREN2] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2894),
    [anon_sym_STAR] = ACTIONS(2894),
    [anon_sym_AMP_AMP] = ACTIONS(2894),
    [anon_sym_AMP] = ACTIONS(2892),
    [anon_sym___extension__] = ACTIONS(2892),
    [anon_sym_typedef] = ACTIONS(2892),
    [anon_sym_extern] = ACTIONS(2892),
    [anon_sym___attribute__] = ACTIONS(2892),
    [anon_sym_COLON_COLON] = ACTIONS(2894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2894),
    [anon_sym___declspec] = ACTIONS(2892),
    [anon_sym___based] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2894),
    [anon_sym_signed] = ACTIONS(2892),
    [anon_sym_unsigned] = ACTIONS(2892),
    [anon_sym_long] = ACTIONS(2892),
    [anon_sym_short] = ACTIONS(2892),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2892),
    [anon_sym_register] = ACTIONS(2892),
    [anon_sym_inline] = ACTIONS(2892),
    [anon_sym___inline] = ACTIONS(2892),
    [anon_sym___inline__] = ACTIONS(2892),
    [anon_sym___forceinline] = ACTIONS(2892),
    [anon_sym_thread_local] = ACTIONS(2892),
    [anon_sym___thread] = ACTIONS(2892),
    [anon_sym_const] = ACTIONS(2892),
    [anon_sym_constexpr] = ACTIONS(2892),
    [anon_sym_volatile] = ACTIONS(2892),
    [anon_sym_restrict] = ACTIONS(2892),
    [anon_sym___restrict__] = ACTIONS(2892),
    [anon_sym__Atomic] = ACTIONS(2892),
    [anon_sym__Noreturn] = ACTIONS(2892),
    [anon_sym_noreturn] = ACTIONS(2892),
    [anon_sym_mutable] = ACTIONS(2892),
    [anon_sym_constinit] = ACTIONS(2892),
    [anon_sym_consteval] = ACTIONS(2892),
    [anon_sym_alignas] = ACTIONS(2892),
    [anon_sym__Alignas] = ACTIONS(2892),
    [sym_primitive_type] = ACTIONS(2892),
    [anon_sym_enum] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2892),
    [anon_sym_struct] = ACTIONS(2892),
    [anon_sym_union] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2892),
    [anon_sym_decltype] = ACTIONS(2892),
    [sym_virtual] = ACTIONS(2892),
    [anon_sym_explicit] = ACTIONS(2892),
    [anon_sym_typename] = ACTIONS(2892),
    [anon_sym_template] = ACTIONS(2892),
    [anon_sym_operator] = ACTIONS(2892),
    [anon_sym_friend] = ACTIONS(2892),
    [anon_sym_public] = ACTIONS(2892),
    [anon_sym_private] = ACTIONS(2892),
    [anon_sym_protected] = ACTIONS(2892),
    [anon_sym_using] = ACTIONS(2892),
    [anon_sym_static_assert] = ACTIONS(2892),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_RBRACE] = ACTIONS(5032),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token2] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_friend] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_RBRACE] = ACTIONS(5032),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(5022),
    [aux_sym_preproc_def_token1] = ACTIONS(5022),
    [aux_sym_preproc_if_token1] = ACTIONS(5022),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5022),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5022),
    [sym_preproc_directive] = ACTIONS(5022),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_TILDE] = ACTIONS(5024),
    [anon_sym_STAR] = ACTIONS(5024),
    [anon_sym_AMP_AMP] = ACTIONS(5024),
    [anon_sym_AMP] = ACTIONS(5022),
    [anon_sym___extension__] = ACTIONS(5022),
    [anon_sym_typedef] = ACTIONS(5022),
    [anon_sym_extern] = ACTIONS(5022),
    [anon_sym___attribute__] = ACTIONS(5022),
    [anon_sym_COLON_COLON] = ACTIONS(5024),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5024),
    [anon_sym___declspec] = ACTIONS(5022),
    [anon_sym___based] = ACTIONS(5022),
    [anon_sym_RBRACE] = ACTIONS(5024),
    [anon_sym_signed] = ACTIONS(5022),
    [anon_sym_unsigned] = ACTIONS(5022),
    [anon_sym_long] = ACTIONS(5022),
    [anon_sym_short] = ACTIONS(5022),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [anon_sym_static] = ACTIONS(5022),
    [anon_sym_register] = ACTIONS(5022),
    [anon_sym_inline] = ACTIONS(5022),
    [anon_sym___inline] = ACTIONS(5022),
    [anon_sym___inline__] = ACTIONS(5022),
    [anon_sym___forceinline] = ACTIONS(5022),
    [anon_sym_thread_local] = ACTIONS(5022),
    [anon_sym___thread] = ACTIONS(5022),
    [anon_sym_const] = ACTIONS(5022),
    [anon_sym_constexpr] = ACTIONS(5022),
    [anon_sym_volatile] = ACTIONS(5022),
    [anon_sym_restrict] = ACTIONS(5022),
    [anon_sym___restrict__] = ACTIONS(5022),
    [anon_sym__Atomic] = ACTIONS(5022),
    [anon_sym__Noreturn] = ACTIONS(5022),
    [anon_sym_noreturn] = ACTIONS(5022),
    [anon_sym_mutable] = ACTIONS(5022),
    [anon_sym_constinit] = ACTIONS(5022),
    [anon_sym_consteval] = ACTIONS(5022),
    [anon_sym_alignas] = ACTIONS(5022),
    [anon_sym__Alignas] = ACTIONS(5022),
    [sym_primitive_type] = ACTIONS(5022),
    [anon_sym_enum] = ACTIONS(5022),
    [anon_sym_class] = ACTIONS(5022),
    [anon_sym_struct] = ACTIONS(5022),
    [anon_sym_union] = ACTIONS(5022),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5022),
    [anon_sym_decltype] = ACTIONS(5022),
    [sym_virtual] = ACTIONS(5022),
    [anon_sym_explicit] = ACTIONS(5022),
    [anon_sym_typename] = ACTIONS(5022),
    [anon_sym_template] = ACTIONS(5022),
    [anon_sym_operator] = ACTIONS(5022),
    [anon_sym_friend] = ACTIONS(5022),
    [anon_sym_public] = ACTIONS(5022),
    [anon_sym_private] = ACTIONS(5022),
    [anon_sym_protected] = ACTIONS(5022),
    [anon_sym_using] = ACTIONS(5022),
    [anon_sym_static_assert] = ACTIONS(5022),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_friend] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_RBRACE] = ACTIONS(4994),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym__Alignas] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(5134),
    [aux_sym_preproc_def_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token1] = ACTIONS(5134),
    [aux_sym_preproc_if_token2] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5134),
    [sym_preproc_directive] = ACTIONS(5134),
    [anon_sym_LPAREN2] = ACTIONS(5136),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_STAR] = ACTIONS(5136),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5134),
    [anon_sym___extension__] = ACTIONS(5134),
    [anon_sym_typedef] = ACTIONS(5134),
    [anon_sym_extern] = ACTIONS(5134),
    [anon_sym___attribute__] = ACTIONS(5134),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5134),
    [anon_sym___based] = ACTIONS(5134),
    [anon_sym_signed] = ACTIONS(5134),
    [anon_sym_unsigned] = ACTIONS(5134),
    [anon_sym_long] = ACTIONS(5134),
    [anon_sym_short] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [anon_sym_static] = ACTIONS(5134),
    [anon_sym_register] = ACTIONS(5134),
    [anon_sym_inline] = ACTIONS(5134),
    [anon_sym___inline] = ACTIONS(5134),
    [anon_sym___inline__] = ACTIONS(5134),
    [anon_sym___forceinline] = ACTIONS(5134),
    [anon_sym_thread_local] = ACTIONS(5134),
    [anon_sym___thread] = ACTIONS(5134),
    [anon_sym_const] = ACTIONS(5134),
    [anon_sym_constexpr] = ACTIONS(5134),
    [anon_sym_volatile] = ACTIONS(5134),
    [anon_sym_restrict] = ACTIONS(5134),
    [anon_sym___restrict__] = ACTIONS(5134),
    [anon_sym__Atomic] = ACTIONS(5134),
    [anon_sym__Noreturn] = ACTIONS(5134),
    [anon_sym_noreturn] = ACTIONS(5134),
    [anon_sym_mutable] = ACTIONS(5134),
    [anon_sym_constinit] = ACTIONS(5134),
    [anon_sym_consteval] = ACTIONS(5134),
    [anon_sym_alignas] = ACTIONS(5134),
    [anon_sym__Alignas] = ACTIONS(5134),
    [sym_primitive_type] = ACTIONS(5134),
    [anon_sym_enum] = ACTIONS(5134),
    [anon_sym_class] = ACTIONS(5134),
    [anon_sym_struct] = ACTIONS(5134),
    [anon_sym_union] = ACTIONS(5134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5134),
    [anon_sym_decltype] = ACTIONS(5134),
    [sym_virtual] = ACTIONS(5134),
    [anon_sym_explicit] = ACTIONS(5134),
    [anon_sym_typename] = ACTIONS(5134),
    [anon_sym_template] = ACTIONS(5134),
    [anon_sym_operator] = ACTIONS(5134),
    [anon_sym_friend] = ACTIONS(5134),
    [anon_sym_public] = ACTIONS(5134),
    [anon_sym_private] = ACTIONS(5134),
    [anon_sym_protected] = ACTIONS(5134),
    [anon_sym_using] = ACTIONS(5134),
    [anon_sym_static_assert] = ACTIONS(5134),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(5114),
    [aux_sym_preproc_def_token1] = ACTIONS(5114),
    [aux_sym_preproc_if_token1] = ACTIONS(5114),
    [aux_sym_preproc_if_token2] = ACTIONS(5114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5114),
    [sym_preproc_directive] = ACTIONS(5114),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_STAR] = ACTIONS(5116),
    [anon_sym_AMP_AMP] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym___extension__] = ACTIONS(5114),
    [anon_sym_typedef] = ACTIONS(5114),
    [anon_sym_extern] = ACTIONS(5114),
    [anon_sym___attribute__] = ACTIONS(5114),
    [anon_sym_COLON_COLON] = ACTIONS(5116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5116),
    [anon_sym___declspec] = ACTIONS(5114),
    [anon_sym___based] = ACTIONS(5114),
    [anon_sym_signed] = ACTIONS(5114),
    [anon_sym_unsigned] = ACTIONS(5114),
    [anon_sym_long] = ACTIONS(5114),
    [anon_sym_short] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5114),
    [anon_sym_register] = ACTIONS(5114),
    [anon_sym_inline] = ACTIONS(5114),
    [anon_sym___inline] = ACTIONS(5114),
    [anon_sym___inline__] = ACTIONS(5114),
    [anon_sym___forceinline] = ACTIONS(5114),
    [anon_sym_thread_local] = ACTIONS(5114),
    [anon_sym___thread] = ACTIONS(5114),
    [anon_sym_const] = ACTIONS(5114),
    [anon_sym_constexpr] = ACTIONS(5114),
    [anon_sym_volatile] = ACTIONS(5114),
    [anon_sym_restrict] = ACTIONS(5114),
    [anon_sym___restrict__] = ACTIONS(5114),
    [anon_sym__Atomic] = ACTIONS(5114),
    [anon_sym__Noreturn] = ACTIONS(5114),
    [anon_sym_noreturn] = ACTIONS(5114),
    [anon_sym_mutable] = ACTIONS(5114),
    [anon_sym_constinit] = ACTIONS(5114),
    [anon_sym_consteval] = ACTIONS(5114),
    [anon_sym_alignas] = ACTIONS(5114),
    [anon_sym__Alignas] = ACTIONS(5114),
    [sym_primitive_type] = ACTIONS(5114),
    [anon_sym_enum] = ACTIONS(5114),
    [anon_sym_class] = ACTIONS(5114),
    [anon_sym_struct] = ACTIONS(5114),
    [anon_sym_union] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5114),
    [anon_sym_decltype] = ACTIONS(5114),
    [sym_virtual] = ACTIONS(5114),
    [anon_sym_explicit] = ACTIONS(5114),
    [anon_sym_typename] = ACTIONS(5114),
    [anon_sym_template] = ACTIONS(5114),
    [anon_sym_operator] = ACTIONS(5114),
    [anon_sym_friend] = ACTIONS(5114),
    [anon_sym_public] = ACTIONS(5114),
    [anon_sym_private] = ACTIONS(5114),
    [anon_sym_protected] = ACTIONS(5114),
    [anon_sym_using] = ACTIONS(5114),
    [anon_sym_static_assert] = ACTIONS(5114),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(5106),
    [aux_sym_preproc_def_token1] = ACTIONS(5106),
    [aux_sym_preproc_if_token1] = ACTIONS(5106),
    [aux_sym_preproc_if_token2] = ACTIONS(5106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5106),
    [sym_preproc_directive] = ACTIONS(5106),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_TILDE] = ACTIONS(5108),
    [anon_sym_STAR] = ACTIONS(5108),
    [anon_sym_AMP_AMP] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(5106),
    [anon_sym___extension__] = ACTIONS(5106),
    [anon_sym_typedef] = ACTIONS(5106),
    [anon_sym_extern] = ACTIONS(5106),
    [anon_sym___attribute__] = ACTIONS(5106),
    [anon_sym_COLON_COLON] = ACTIONS(5108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5108),
    [anon_sym___declspec] = ACTIONS(5106),
    [anon_sym___based] = ACTIONS(5106),
    [anon_sym_signed] = ACTIONS(5106),
    [anon_sym_unsigned] = ACTIONS(5106),
    [anon_sym_long] = ACTIONS(5106),
    [anon_sym_short] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [anon_sym_static] = ACTIONS(5106),
    [anon_sym_register] = ACTIONS(5106),
    [anon_sym_inline] = ACTIONS(5106),
    [anon_sym___inline] = ACTIONS(5106),
    [anon_sym___inline__] = ACTIONS(5106),
    [anon_sym___forceinline] = ACTIONS(5106),
    [anon_sym_thread_local] = ACTIONS(5106),
    [anon_sym___thread] = ACTIONS(5106),
    [anon_sym_const] = ACTIONS(5106),
    [anon_sym_constexpr] = ACTIONS(5106),
    [anon_sym_volatile] = ACTIONS(5106),
    [anon_sym_restrict] = ACTIONS(5106),
    [anon_sym___restrict__] = ACTIONS(5106),
    [anon_sym__Atomic] = ACTIONS(5106),
    [anon_sym__Noreturn] = ACTIONS(5106),
    [anon_sym_noreturn] = ACTIONS(5106),
    [anon_sym_mutable] = ACTIONS(5106),
    [anon_sym_constinit] = ACTIONS(5106),
    [anon_sym_consteval] = ACTIONS(5106),
    [anon_sym_alignas] = ACTIONS(5106),
    [anon_sym__Alignas] = ACTIONS(5106),
    [sym_primitive_type] = ACTIONS(5106),
    [anon_sym_enum] = ACTIONS(5106),
    [anon_sym_class] = ACTIONS(5106),
    [anon_sym_struct] = ACTIONS(5106),
    [anon_sym_union] = ACTIONS(5106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5106),
    [anon_sym_decltype] = ACTIONS(5106),
    [sym_virtual] = ACTIONS(5106),
    [anon_sym_explicit] = ACTIONS(5106),
    [anon_sym_typename] = ACTIONS(5106),
    [anon_sym_template] = ACTIONS(5106),
    [anon_sym_operator] = ACTIONS(5106),
    [anon_sym_friend] = ACTIONS(5106),
    [anon_sym_public] = ACTIONS(5106),
    [anon_sym_private] = ACTIONS(5106),
    [anon_sym_protected] = ACTIONS(5106),
    [anon_sym_using] = ACTIONS(5106),
    [anon_sym_static_assert] = ACTIONS(5106),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(5102),
    [aux_sym_preproc_def_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token1] = ACTIONS(5102),
    [aux_sym_preproc_if_token2] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5102),
    [sym_preproc_directive] = ACTIONS(5102),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_STAR] = ACTIONS(5104),
    [anon_sym_AMP_AMP] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(5102),
    [anon_sym___extension__] = ACTIONS(5102),
    [anon_sym_typedef] = ACTIONS(5102),
    [anon_sym_extern] = ACTIONS(5102),
    [anon_sym___attribute__] = ACTIONS(5102),
    [anon_sym_COLON_COLON] = ACTIONS(5104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5104),
    [anon_sym___declspec] = ACTIONS(5102),
    [anon_sym___based] = ACTIONS(5102),
    [anon_sym_signed] = ACTIONS(5102),
    [anon_sym_unsigned] = ACTIONS(5102),
    [anon_sym_long] = ACTIONS(5102),
    [anon_sym_short] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [anon_sym_static] = ACTIONS(5102),
    [anon_sym_register] = ACTIONS(5102),
    [anon_sym_inline] = ACTIONS(5102),
    [anon_sym___inline] = ACTIONS(5102),
    [anon_sym___inline__] = ACTIONS(5102),
    [anon_sym___forceinline] = ACTIONS(5102),
    [anon_sym_thread_local] = ACTIONS(5102),
    [anon_sym___thread] = ACTIONS(5102),
    [anon_sym_const] = ACTIONS(5102),
    [anon_sym_constexpr] = ACTIONS(5102),
    [anon_sym_volatile] = ACTIONS(5102),
    [anon_sym_restrict] = ACTIONS(5102),
    [anon_sym___restrict__] = ACTIONS(5102),
    [anon_sym__Atomic] = ACTIONS(5102),
    [anon_sym__Noreturn] = ACTIONS(5102),
    [anon_sym_noreturn] = ACTIONS(5102),
    [anon_sym_mutable] = ACTIONS(5102),
    [anon_sym_constinit] = ACTIONS(5102),
    [anon_sym_consteval] = ACTIONS(5102),
    [anon_sym_alignas] = ACTIONS(5102),
    [anon_sym__Alignas] = ACTIONS(5102),
    [sym_primitive_type] = ACTIONS(5102),
    [anon_sym_enum] = ACTIONS(5102),
    [anon_sym_class] = ACTIONS(5102),
    [anon_sym_struct] = ACTIONS(5102),
    [anon_sym_union] = ACTIONS(5102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5102),
    [anon_sym_decltype] = ACTIONS(5102),
    [sym_virtual] = ACTIONS(5102),
    [anon_sym_explicit] = ACTIONS(5102),
    [anon_sym_typename] = ACTIONS(5102),
    [anon_sym_template] = ACTIONS(5102),
    [anon_sym_operator] = ACTIONS(5102),
    [anon_sym_friend] = ACTIONS(5102),
    [anon_sym_public] = ACTIONS(5102),
    [anon_sym_private] = ACTIONS(5102),
    [anon_sym_protected] = ACTIONS(5102),
    [anon_sym_using] = ACTIONS(5102),
    [anon_sym_static_assert] = ACTIONS(5102),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(5095),
    [aux_sym_preproc_def_token1] = ACTIONS(5095),
    [aux_sym_preproc_if_token1] = ACTIONS(5095),
    [aux_sym_preproc_if_token2] = ACTIONS(5095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5095),
    [sym_preproc_directive] = ACTIONS(5095),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_STAR] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_typedef] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym_signed] = ACTIONS(5095),
    [anon_sym_unsigned] = ACTIONS(5095),
    [anon_sym_long] = ACTIONS(5095),
    [anon_sym_short] = ACTIONS(5095),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym__Alignas] = ACTIONS(5095),
    [sym_primitive_type] = ACTIONS(5095),
    [anon_sym_enum] = ACTIONS(5095),
    [anon_sym_class] = ACTIONS(5095),
    [anon_sym_struct] = ACTIONS(5095),
    [anon_sym_union] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [sym_virtual] = ACTIONS(5095),
    [anon_sym_explicit] = ACTIONS(5095),
    [anon_sym_typename] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
    [anon_sym_friend] = ACTIONS(5095),
    [anon_sym_public] = ACTIONS(5095),
    [anon_sym_private] = ACTIONS(5095),
    [anon_sym_protected] = ACTIONS(5095),
    [anon_sym_using] = ACTIONS(5095),
    [anon_sym_static_assert] = ACTIONS(5095),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(5018),
    [aux_sym_preproc_def_token1] = ACTIONS(5018),
    [aux_sym_preproc_if_token1] = ACTIONS(5018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5018),
    [sym_preproc_directive] = ACTIONS(5018),
    [anon_sym_LPAREN2] = ACTIONS(5020),
    [anon_sym_TILDE] = ACTIONS(5020),
    [anon_sym_STAR] = ACTIONS(5020),
    [anon_sym_AMP_AMP] = ACTIONS(5020),
    [anon_sym_AMP] = ACTIONS(5018),
    [anon_sym___extension__] = ACTIONS(5018),
    [anon_sym_typedef] = ACTIONS(5018),
    [anon_sym_extern] = ACTIONS(5018),
    [anon_sym___attribute__] = ACTIONS(5018),
    [anon_sym_COLON_COLON] = ACTIONS(5020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5020),
    [anon_sym___declspec] = ACTIONS(5018),
    [anon_sym___based] = ACTIONS(5018),
    [anon_sym_RBRACE] = ACTIONS(5020),
    [anon_sym_signed] = ACTIONS(5018),
    [anon_sym_unsigned] = ACTIONS(5018),
    [anon_sym_long] = ACTIONS(5018),
    [anon_sym_short] = ACTIONS(5018),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [anon_sym_static] = ACTIONS(5018),
    [anon_sym_register] = ACTIONS(5018),
    [anon_sym_inline] = ACTIONS(5018),
    [anon_sym___inline] = ACTIONS(5018),
    [anon_sym___inline__] = ACTIONS(5018),
    [anon_sym___forceinline] = ACTIONS(5018),
    [anon_sym_thread_local] = ACTIONS(5018),
    [anon_sym___thread] = ACTIONS(5018),
    [anon_sym_const] = ACTIONS(5018),
    [anon_sym_constexpr] = ACTIONS(5018),
    [anon_sym_volatile] = ACTIONS(5018),
    [anon_sym_restrict] = ACTIONS(5018),
    [anon_sym___restrict__] = ACTIONS(5018),
    [anon_sym__Atomic] = ACTIONS(5018),
    [anon_sym__Noreturn] = ACTIONS(5018),
    [anon_sym_noreturn] = ACTIONS(5018),
    [anon_sym_mutable] = ACTIONS(5018),
    [anon_sym_constinit] = ACTIONS(5018),
    [anon_sym_consteval] = ACTIONS(5018),
    [anon_sym_alignas] = ACTIONS(5018),
    [anon_sym__Alignas] = ACTIONS(5018),
    [sym_primitive_type] = ACTIONS(5018),
    [anon_sym_enum] = ACTIONS(5018),
    [anon_sym_class] = ACTIONS(5018),
    [anon_sym_struct] = ACTIONS(5018),
    [anon_sym_union] = ACTIONS(5018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5018),
    [anon_sym_decltype] = ACTIONS(5018),
    [sym_virtual] = ACTIONS(5018),
    [anon_sym_explicit] = ACTIONS(5018),
    [anon_sym_typename] = ACTIONS(5018),
    [anon_sym_template] = ACTIONS(5018),
    [anon_sym_operator] = ACTIONS(5018),
    [anon_sym_friend] = ACTIONS(5018),
    [anon_sym_public] = ACTIONS(5018),
    [anon_sym_private] = ACTIONS(5018),
    [anon_sym_protected] = ACTIONS(5018),
    [anon_sym_using] = ACTIONS(5018),
    [anon_sym_static_assert] = ACTIONS(5018),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(5030),
    [aux_sym_preproc_def_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token1] = ACTIONS(5030),
    [aux_sym_preproc_if_token2] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5030),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5030),
    [sym_preproc_directive] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_TILDE] = ACTIONS(5032),
    [anon_sym_STAR] = ACTIONS(5032),
    [anon_sym_AMP_AMP] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym___extension__] = ACTIONS(5030),
    [anon_sym_typedef] = ACTIONS(5030),
    [anon_sym_extern] = ACTIONS(5030),
    [anon_sym___attribute__] = ACTIONS(5030),
    [anon_sym_COLON_COLON] = ACTIONS(5032),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5032),
    [anon_sym___declspec] = ACTIONS(5030),
    [anon_sym___based] = ACTIONS(5030),
    [anon_sym_signed] = ACTIONS(5030),
    [anon_sym_unsigned] = ACTIONS(5030),
    [anon_sym_long] = ACTIONS(5030),
    [anon_sym_short] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5030),
    [anon_sym_register] = ACTIONS(5030),
    [anon_sym_inline] = ACTIONS(5030),
    [anon_sym___inline] = ACTIONS(5030),
    [anon_sym___inline__] = ACTIONS(5030),
    [anon_sym___forceinline] = ACTIONS(5030),
    [anon_sym_thread_local] = ACTIONS(5030),
    [anon_sym___thread] = ACTIONS(5030),
    [anon_sym_const] = ACTIONS(5030),
    [anon_sym_constexpr] = ACTIONS(5030),
    [anon_sym_volatile] = ACTIONS(5030),
    [anon_sym_restrict] = ACTIONS(5030),
    [anon_sym___restrict__] = ACTIONS(5030),
    [anon_sym__Atomic] = ACTIONS(5030),
    [anon_sym__Noreturn] = ACTIONS(5030),
    [anon_sym_noreturn] = ACTIONS(5030),
    [anon_sym_mutable] = ACTIONS(5030),
    [anon_sym_constinit] = ACTIONS(5030),
    [anon_sym_consteval] = ACTIONS(5030),
    [anon_sym_alignas] = ACTIONS(5030),
    [anon_sym__Alignas] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(5030),
    [anon_sym_enum] = ACTIONS(5030),
    [anon_sym_class] = ACTIONS(5030),
    [anon_sym_struct] = ACTIONS(5030),
    [anon_sym_union] = ACTIONS(5030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5030),
    [anon_sym_decltype] = ACTIONS(5030),
    [sym_virtual] = ACTIONS(5030),
    [anon_sym_explicit] = ACTIONS(5030),
    [anon_sym_typename] = ACTIONS(5030),
    [anon_sym_template] = ACTIONS(5030),
    [anon_sym_operator] = ACTIONS(5030),
    [anon_sym_friend] = ACTIONS(5030),
    [anon_sym_public] = ACTIONS(5030),
    [anon_sym_private] = ACTIONS(5030),
    [anon_sym_protected] = ACTIONS(5030),
    [anon_sym_using] = ACTIONS(5030),
    [anon_sym_static_assert] = ACTIONS(5030),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5078),
    [aux_sym_preproc_def_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5078),
    [sym_preproc_directive] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym_typedef] = ACTIONS(5078),
    [anon_sym_extern] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5080),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5080),
    [anon_sym___declspec] = ACTIONS(5078),
    [anon_sym___based] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5078),
    [anon_sym_unsigned] = ACTIONS(5078),
    [anon_sym_long] = ACTIONS(5078),
    [anon_sym_short] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_static] = ACTIONS(5078),
    [anon_sym_register] = ACTIONS(5078),
    [anon_sym_inline] = ACTIONS(5078),
    [anon_sym___inline] = ACTIONS(5078),
    [anon_sym___inline__] = ACTIONS(5078),
    [anon_sym___forceinline] = ACTIONS(5078),
    [anon_sym_thread_local] = ACTIONS(5078),
    [anon_sym___thread] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5078),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_alignas] = ACTIONS(5078),
    [anon_sym__Alignas] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(5078),
    [anon_sym_enum] = ACTIONS(5078),
    [anon_sym_class] = ACTIONS(5078),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [sym_virtual] = ACTIONS(5078),
    [anon_sym_explicit] = ACTIONS(5078),
    [anon_sym_typename] = ACTIONS(5078),
    [anon_sym_template] = ACTIONS(5078),
    [anon_sym_operator] = ACTIONS(5078),
    [anon_sym_friend] = ACTIONS(5078),
    [anon_sym_public] = ACTIONS(5078),
    [anon_sym_private] = ACTIONS(5078),
    [anon_sym_protected] = ACTIONS(5078),
    [anon_sym_using] = ACTIONS(5078),
    [anon_sym_static_assert] = ACTIONS(5078),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_friend] = ACTIONS(2612),
    [anon_sym_public] = ACTIONS(2612),
    [anon_sym_private] = ACTIONS(2612),
    [anon_sym_protected] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5078),
    [aux_sym_preproc_def_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token1] = ACTIONS(5078),
    [aux_sym_preproc_if_token2] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5078),
    [sym_preproc_directive] = ACTIONS(5078),
    [anon_sym_LPAREN2] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(5078),
    [anon_sym_typedef] = ACTIONS(5078),
    [anon_sym_extern] = ACTIONS(5078),
    [anon_sym___attribute__] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5080),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5080),
    [anon_sym___declspec] = ACTIONS(5078),
    [anon_sym___based] = ACTIONS(5078),
    [anon_sym_signed] = ACTIONS(5078),
    [anon_sym_unsigned] = ACTIONS(5078),
    [anon_sym_long] = ACTIONS(5078),
    [anon_sym_short] = ACTIONS(5078),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_static] = ACTIONS(5078),
    [anon_sym_register] = ACTIONS(5078),
    [anon_sym_inline] = ACTIONS(5078),
    [anon_sym___inline] = ACTIONS(5078),
    [anon_sym___inline__] = ACTIONS(5078),
    [anon_sym___forceinline] = ACTIONS(5078),
    [anon_sym_thread_local] = ACTIONS(5078),
    [anon_sym___thread] = ACTIONS(5078),
    [anon_sym_const] = ACTIONS(5078),
    [anon_sym_constexpr] = ACTIONS(5078),
    [anon_sym_volatile] = ACTIONS(5078),
    [anon_sym_restrict] = ACTIONS(5078),
    [anon_sym___restrict__] = ACTIONS(5078),
    [anon_sym__Atomic] = ACTIONS(5078),
    [anon_sym__Noreturn] = ACTIONS(5078),
    [anon_sym_noreturn] = ACTIONS(5078),
    [anon_sym_mutable] = ACTIONS(5078),
    [anon_sym_constinit] = ACTIONS(5078),
    [anon_sym_consteval] = ACTIONS(5078),
    [anon_sym_alignas] = ACTIONS(5078),
    [anon_sym__Alignas] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(5078),
    [anon_sym_enum] = ACTIONS(5078),
    [anon_sym_class] = ACTIONS(5078),
    [anon_sym_struct] = ACTIONS(5078),
    [anon_sym_union] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5078),
    [anon_sym_decltype] = ACTIONS(5078),
    [sym_virtual] = ACTIONS(5078),
    [anon_sym_explicit] = ACTIONS(5078),
    [anon_sym_typename] = ACTIONS(5078),
    [anon_sym_template] = ACTIONS(5078),
    [anon_sym_operator] = ACTIONS(5078),
    [anon_sym_friend] = ACTIONS(5078),
    [anon_sym_public] = ACTIONS(5078),
    [anon_sym_private] = ACTIONS(5078),
    [anon_sym_protected] = ACTIONS(5078),
    [anon_sym_using] = ACTIONS(5078),
    [anon_sym_static_assert] = ACTIONS(5078),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_TILDE] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5072),
    [anon_sym_AMP] = ACTIONS(5070),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym_COLON_COLON] = ACTIONS(5072),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___based] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_mutable] = ACTIONS(5070),
    [anon_sym_constinit] = ACTIONS(5070),
    [anon_sym_consteval] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_class] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5070),
    [anon_sym_decltype] = ACTIONS(5070),
    [sym_virtual] = ACTIONS(5070),
    [anon_sym_explicit] = ACTIONS(5070),
    [anon_sym_typename] = ACTIONS(5070),
    [anon_sym_template] = ACTIONS(5070),
    [anon_sym_operator] = ACTIONS(5070),
    [anon_sym_friend] = ACTIONS(5070),
    [anon_sym_public] = ACTIONS(5070),
    [anon_sym_private] = ACTIONS(5070),
    [anon_sym_protected] = ACTIONS(5070),
    [anon_sym_using] = ACTIONS(5070),
    [anon_sym_static_assert] = ACTIONS(5070),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token2] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_TILDE] = ACTIONS(5068),
    [anon_sym_STAR] = ACTIONS(5068),
    [anon_sym_AMP_AMP] = ACTIONS(5068),
    [anon_sym_AMP] = ACTIONS(5066),
    [anon_sym___extension__] = ACTIONS(5066),
    [anon_sym_typedef] = ACTIONS(5066),
    [anon_sym_extern] = ACTIONS(5066),
    [anon_sym___attribute__] = ACTIONS(5066),
    [anon_sym_COLON_COLON] = ACTIONS(5068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5068),
    [anon_sym___declspec] = ACTIONS(5066),
    [anon_sym___based] = ACTIONS(5066),
    [anon_sym_signed] = ACTIONS(5066),
    [anon_sym_unsigned] = ACTIONS(5066),
    [anon_sym_long] = ACTIONS(5066),
    [anon_sym_short] = ACTIONS(5066),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [anon_sym_static] = ACTIONS(5066),
    [anon_sym_register] = ACTIONS(5066),
    [anon_sym_inline] = ACTIONS(5066),
    [anon_sym___inline] = ACTIONS(5066),
    [anon_sym___inline__] = ACTIONS(5066),
    [anon_sym___forceinline] = ACTIONS(5066),
    [anon_sym_thread_local] = ACTIONS(5066),
    [anon_sym___thread] = ACTIONS(5066),
    [anon_sym_const] = ACTIONS(5066),
    [anon_sym_constexpr] = ACTIONS(5066),
    [anon_sym_volatile] = ACTIONS(5066),
    [anon_sym_restrict] = ACTIONS(5066),
    [anon_sym___restrict__] = ACTIONS(5066),
    [anon_sym__Atomic] = ACTIONS(5066),
    [anon_sym__Noreturn] = ACTIONS(5066),
    [anon_sym_noreturn] = ACTIONS(5066),
    [anon_sym_mutable] = ACTIONS(5066),
    [anon_sym_constinit] = ACTIONS(5066),
    [anon_sym_consteval] = ACTIONS(5066),
    [anon_sym_alignas] = ACTIONS(5066),
    [anon_sym__Alignas] = ACTIONS(5066),
    [sym_primitive_type] = ACTIONS(5066),
    [anon_sym_enum] = ACTIONS(5066),
    [anon_sym_class] = ACTIONS(5066),
    [anon_sym_struct] = ACTIONS(5066),
    [anon_sym_union] = ACTIONS(5066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5066),
    [anon_sym_decltype] = ACTIONS(5066),
    [sym_virtual] = ACTIONS(5066),
    [anon_sym_explicit] = ACTIONS(5066),
    [anon_sym_typename] = ACTIONS(5066),
    [anon_sym_template] = ACTIONS(5066),
    [anon_sym_operator] = ACTIONS(5066),
    [anon_sym_friend] = ACTIONS(5066),
    [anon_sym_public] = ACTIONS(5066),
    [anon_sym_private] = ACTIONS(5066),
    [anon_sym_protected] = ACTIONS(5066),
    [anon_sym_using] = ACTIONS(5066),
    [anon_sym_static_assert] = ACTIONS(5066),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5064),
    [anon_sym_TILDE] = ACTIONS(5064),
    [anon_sym_STAR] = ACTIONS(5064),
    [anon_sym_AMP_AMP] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(5062),
    [anon_sym___extension__] = ACTIONS(5062),
    [anon_sym_typedef] = ACTIONS(5062),
    [anon_sym_extern] = ACTIONS(5062),
    [anon_sym___attribute__] = ACTIONS(5062),
    [anon_sym_COLON_COLON] = ACTIONS(5064),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5064),
    [anon_sym___declspec] = ACTIONS(5062),
    [anon_sym___based] = ACTIONS(5062),
    [anon_sym_signed] = ACTIONS(5062),
    [anon_sym_unsigned] = ACTIONS(5062),
    [anon_sym_long] = ACTIONS(5062),
    [anon_sym_short] = ACTIONS(5062),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [anon_sym_static] = ACTIONS(5062),
    [anon_sym_register] = ACTIONS(5062),
    [anon_sym_inline] = ACTIONS(5062),
    [anon_sym___inline] = ACTIONS(5062),
    [anon_sym___inline__] = ACTIONS(5062),
    [anon_sym___forceinline] = ACTIONS(5062),
    [anon_sym_thread_local] = ACTIONS(5062),
    [anon_sym___thread] = ACTIONS(5062),
    [anon_sym_const] = ACTIONS(5062),
    [anon_sym_constexpr] = ACTIONS(5062),
    [anon_sym_volatile] = ACTIONS(5062),
    [anon_sym_restrict] = ACTIONS(5062),
    [anon_sym___restrict__] = ACTIONS(5062),
    [anon_sym__Atomic] = ACTIONS(5062),
    [anon_sym__Noreturn] = ACTIONS(5062),
    [anon_sym_noreturn] = ACTIONS(5062),
    [anon_sym_mutable] = ACTIONS(5062),
    [anon_sym_constinit] = ACTIONS(5062),
    [anon_sym_consteval] = ACTIONS(5062),
    [anon_sym_alignas] = ACTIONS(5062),
    [anon_sym__Alignas] = ACTIONS(5062),
    [sym_primitive_type] = ACTIONS(5062),
    [anon_sym_enum] = ACTIONS(5062),
    [anon_sym_class] = ACTIONS(5062),
    [anon_sym_struct] = ACTIONS(5062),
    [anon_sym_union] = ACTIONS(5062),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5062),
    [anon_sym_decltype] = ACTIONS(5062),
    [sym_virtual] = ACTIONS(5062),
    [anon_sym_explicit] = ACTIONS(5062),
    [anon_sym_typename] = ACTIONS(5062),
    [anon_sym_template] = ACTIONS(5062),
    [anon_sym_operator] = ACTIONS(5062),
    [anon_sym_friend] = ACTIONS(5062),
    [anon_sym_public] = ACTIONS(5062),
    [anon_sym_private] = ACTIONS(5062),
    [anon_sym_protected] = ACTIONS(5062),
    [anon_sym_using] = ACTIONS(5062),
    [anon_sym_static_assert] = ACTIONS(5062),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_AMP_AMP] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym_COLON_COLON] = ACTIONS(2800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___based] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_mutable] = ACTIONS(2798),
    [anon_sym_constinit] = ACTIONS(2798),
    [anon_sym_consteval] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2798),
    [anon_sym_decltype] = ACTIONS(2798),
    [sym_virtual] = ACTIONS(2798),
    [anon_sym_explicit] = ACTIONS(2798),
    [anon_sym_typename] = ACTIONS(2798),
    [anon_sym_template] = ACTIONS(2798),
    [anon_sym_operator] = ACTIONS(2798),
    [anon_sym_friend] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_static_assert] = ACTIONS(2798),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(2792),
    [aux_sym_preproc_def_token1] = ACTIONS(2792),
    [aux_sym_preproc_if_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2792),
    [sym_preproc_directive] = ACTIONS(2792),
    [anon_sym_LPAREN2] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2794),
    [anon_sym_AMP_AMP] = ACTIONS(2794),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2792),
    [anon_sym_typedef] = ACTIONS(2792),
    [anon_sym_extern] = ACTIONS(2792),
    [anon_sym___attribute__] = ACTIONS(2792),
    [anon_sym_COLON_COLON] = ACTIONS(2794),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2794),
    [anon_sym___declspec] = ACTIONS(2792),
    [anon_sym___based] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2792),
    [anon_sym_unsigned] = ACTIONS(2792),
    [anon_sym_long] = ACTIONS(2792),
    [anon_sym_short] = ACTIONS(2792),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2792),
    [anon_sym_register] = ACTIONS(2792),
    [anon_sym_inline] = ACTIONS(2792),
    [anon_sym___inline] = ACTIONS(2792),
    [anon_sym___inline__] = ACTIONS(2792),
    [anon_sym___forceinline] = ACTIONS(2792),
    [anon_sym_thread_local] = ACTIONS(2792),
    [anon_sym___thread] = ACTIONS(2792),
    [anon_sym_const] = ACTIONS(2792),
    [anon_sym_constexpr] = ACTIONS(2792),
    [anon_sym_volatile] = ACTIONS(2792),
    [anon_sym_restrict] = ACTIONS(2792),
    [anon_sym___restrict__] = ACTIONS(2792),
    [anon_sym__Atomic] = ACTIONS(2792),
    [anon_sym__Noreturn] = ACTIONS(2792),
    [anon_sym_noreturn] = ACTIONS(2792),
    [anon_sym_mutable] = ACTIONS(2792),
    [anon_sym_constinit] = ACTIONS(2792),
    [anon_sym_consteval] = ACTIONS(2792),
    [anon_sym_alignas] = ACTIONS(2792),
    [anon_sym__Alignas] = ACTIONS(2792),
    [sym_primitive_type] = ACTIONS(2792),
    [anon_sym_enum] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2792),
    [anon_sym_struct] = ACTIONS(2792),
    [anon_sym_union] = ACTIONS(2792),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2792),
    [anon_sym_decltype] = ACTIONS(2792),
    [sym_virtual] = ACTIONS(2792),
    [anon_sym_explicit] = ACTIONS(2792),
    [anon_sym_typename] = ACTIONS(2792),
    [anon_sym_template] = ACTIONS(2792),
    [anon_sym_operator] = ACTIONS(2792),
    [anon_sym_friend] = ACTIONS(2792),
    [anon_sym_public] = ACTIONS(2792),
    [anon_sym_private] = ACTIONS(2792),
    [anon_sym_protected] = ACTIONS(2792),
    [anon_sym_using] = ACTIONS(2792),
    [anon_sym_static_assert] = ACTIONS(2792),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_RBRACE] = ACTIONS(5010),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_RBRACE] = ACTIONS(5010),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(2788),
    [aux_sym_preproc_def_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token1] = ACTIONS(2788),
    [aux_sym_preproc_if_token2] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2788),
    [sym_preproc_directive] = ACTIONS(2788),
    [anon_sym_LPAREN2] = ACTIONS(2790),
    [anon_sym_TILDE] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2790),
    [anon_sym_AMP_AMP] = ACTIONS(2790),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2788),
    [anon_sym_typedef] = ACTIONS(2788),
    [anon_sym_extern] = ACTIONS(2788),
    [anon_sym___attribute__] = ACTIONS(2788),
    [anon_sym_COLON_COLON] = ACTIONS(2790),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2790),
    [anon_sym___declspec] = ACTIONS(2788),
    [anon_sym___based] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2788),
    [anon_sym_unsigned] = ACTIONS(2788),
    [anon_sym_long] = ACTIONS(2788),
    [anon_sym_short] = ACTIONS(2788),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym_static] = ACTIONS(2788),
    [anon_sym_register] = ACTIONS(2788),
    [anon_sym_inline] = ACTIONS(2788),
    [anon_sym___inline] = ACTIONS(2788),
    [anon_sym___inline__] = ACTIONS(2788),
    [anon_sym___forceinline] = ACTIONS(2788),
    [anon_sym_thread_local] = ACTIONS(2788),
    [anon_sym___thread] = ACTIONS(2788),
    [anon_sym_const] = ACTIONS(2788),
    [anon_sym_constexpr] = ACTIONS(2788),
    [anon_sym_volatile] = ACTIONS(2788),
    [anon_sym_restrict] = ACTIONS(2788),
    [anon_sym___restrict__] = ACTIONS(2788),
    [anon_sym__Atomic] = ACTIONS(2788),
    [anon_sym__Noreturn] = ACTIONS(2788),
    [anon_sym_noreturn] = ACTIONS(2788),
    [anon_sym_mutable] = ACTIONS(2788),
    [anon_sym_constinit] = ACTIONS(2788),
    [anon_sym_consteval] = ACTIONS(2788),
    [anon_sym_alignas] = ACTIONS(2788),
    [anon_sym__Alignas] = ACTIONS(2788),
    [sym_primitive_type] = ACTIONS(2788),
    [anon_sym_enum] = ACTIONS(2788),
    [anon_sym_class] = ACTIONS(2788),
    [anon_sym_struct] = ACTIONS(2788),
    [anon_sym_union] = ACTIONS(2788),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2788),
    [anon_sym_decltype] = ACTIONS(2788),
    [sym_virtual] = ACTIONS(2788),
    [anon_sym_explicit] = ACTIONS(2788),
    [anon_sym_typename] = ACTIONS(2788),
    [anon_sym_template] = ACTIONS(2788),
    [anon_sym_operator] = ACTIONS(2788),
    [anon_sym_friend] = ACTIONS(2788),
    [anon_sym_public] = ACTIONS(2788),
    [anon_sym_private] = ACTIONS(2788),
    [anon_sym_protected] = ACTIONS(2788),
    [anon_sym_using] = ACTIONS(2788),
    [anon_sym_static_assert] = ACTIONS(2788),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(4992),
    [aux_sym_preproc_def_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token1] = ACTIONS(4992),
    [aux_sym_preproc_if_token2] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4992),
    [sym_preproc_directive] = ACTIONS(4992),
    [anon_sym_LPAREN2] = ACTIONS(4994),
    [anon_sym_TILDE] = ACTIONS(4994),
    [anon_sym_STAR] = ACTIONS(4994),
    [anon_sym_AMP_AMP] = ACTIONS(4994),
    [anon_sym_AMP] = ACTIONS(4992),
    [anon_sym___extension__] = ACTIONS(4992),
    [anon_sym_typedef] = ACTIONS(4992),
    [anon_sym_extern] = ACTIONS(4992),
    [anon_sym___attribute__] = ACTIONS(4992),
    [anon_sym_COLON_COLON] = ACTIONS(4994),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4994),
    [anon_sym___declspec] = ACTIONS(4992),
    [anon_sym___based] = ACTIONS(4992),
    [anon_sym_signed] = ACTIONS(4992),
    [anon_sym_unsigned] = ACTIONS(4992),
    [anon_sym_long] = ACTIONS(4992),
    [anon_sym_short] = ACTIONS(4992),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym_static] = ACTIONS(4992),
    [anon_sym_register] = ACTIONS(4992),
    [anon_sym_inline] = ACTIONS(4992),
    [anon_sym___inline] = ACTIONS(4992),
    [anon_sym___inline__] = ACTIONS(4992),
    [anon_sym___forceinline] = ACTIONS(4992),
    [anon_sym_thread_local] = ACTIONS(4992),
    [anon_sym___thread] = ACTIONS(4992),
    [anon_sym_const] = ACTIONS(4992),
    [anon_sym_constexpr] = ACTIONS(4992),
    [anon_sym_volatile] = ACTIONS(4992),
    [anon_sym_restrict] = ACTIONS(4992),
    [anon_sym___restrict__] = ACTIONS(4992),
    [anon_sym__Atomic] = ACTIONS(4992),
    [anon_sym__Noreturn] = ACTIONS(4992),
    [anon_sym_noreturn] = ACTIONS(4992),
    [anon_sym_mutable] = ACTIONS(4992),
    [anon_sym_constinit] = ACTIONS(4992),
    [anon_sym_consteval] = ACTIONS(4992),
    [anon_sym_alignas] = ACTIONS(4992),
    [anon_sym__Alignas] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(4992),
    [anon_sym_enum] = ACTIONS(4992),
    [anon_sym_class] = ACTIONS(4992),
    [anon_sym_struct] = ACTIONS(4992),
    [anon_sym_union] = ACTIONS(4992),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4992),
    [anon_sym_decltype] = ACTIONS(4992),
    [sym_virtual] = ACTIONS(4992),
    [anon_sym_explicit] = ACTIONS(4992),
    [anon_sym_typename] = ACTIONS(4992),
    [anon_sym_template] = ACTIONS(4992),
    [anon_sym_operator] = ACTIONS(4992),
    [anon_sym_friend] = ACTIONS(4992),
    [anon_sym_public] = ACTIONS(4992),
    [anon_sym_private] = ACTIONS(4992),
    [anon_sym_protected] = ACTIONS(4992),
    [anon_sym_using] = ACTIONS(4992),
    [anon_sym_static_assert] = ACTIONS(4992),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(2780),
    [aux_sym_preproc_def_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token1] = ACTIONS(2780),
    [aux_sym_preproc_if_token2] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2780),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2780),
    [sym_preproc_directive] = ACTIONS(2780),
    [anon_sym_LPAREN2] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2782),
    [anon_sym_AMP_AMP] = ACTIONS(2782),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2780),
    [anon_sym_typedef] = ACTIONS(2780),
    [anon_sym_extern] = ACTIONS(2780),
    [anon_sym___attribute__] = ACTIONS(2780),
    [anon_sym_COLON_COLON] = ACTIONS(2782),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2782),
    [anon_sym___declspec] = ACTIONS(2780),
    [anon_sym___based] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2780),
    [anon_sym_unsigned] = ACTIONS(2780),
    [anon_sym_long] = ACTIONS(2780),
    [anon_sym_short] = ACTIONS(2780),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2780),
    [anon_sym_register] = ACTIONS(2780),
    [anon_sym_inline] = ACTIONS(2780),
    [anon_sym___inline] = ACTIONS(2780),
    [anon_sym___inline__] = ACTIONS(2780),
    [anon_sym___forceinline] = ACTIONS(2780),
    [anon_sym_thread_local] = ACTIONS(2780),
    [anon_sym___thread] = ACTIONS(2780),
    [anon_sym_const] = ACTIONS(2780),
    [anon_sym_constexpr] = ACTIONS(2780),
    [anon_sym_volatile] = ACTIONS(2780),
    [anon_sym_restrict] = ACTIONS(2780),
    [anon_sym___restrict__] = ACTIONS(2780),
    [anon_sym__Atomic] = ACTIONS(2780),
    [anon_sym__Noreturn] = ACTIONS(2780),
    [anon_sym_noreturn] = ACTIONS(2780),
    [anon_sym_mutable] = ACTIONS(2780),
    [anon_sym_constinit] = ACTIONS(2780),
    [anon_sym_consteval] = ACTIONS(2780),
    [anon_sym_alignas] = ACTIONS(2780),
    [anon_sym__Alignas] = ACTIONS(2780),
    [sym_primitive_type] = ACTIONS(2780),
    [anon_sym_enum] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2780),
    [anon_sym_struct] = ACTIONS(2780),
    [anon_sym_union] = ACTIONS(2780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2780),
    [anon_sym_decltype] = ACTIONS(2780),
    [sym_virtual] = ACTIONS(2780),
    [anon_sym_explicit] = ACTIONS(2780),
    [anon_sym_typename] = ACTIONS(2780),
    [anon_sym_template] = ACTIONS(2780),
    [anon_sym_operator] = ACTIONS(2780),
    [anon_sym_friend] = ACTIONS(2780),
    [anon_sym_public] = ACTIONS(2780),
    [anon_sym_private] = ACTIONS(2780),
    [anon_sym_protected] = ACTIONS(2780),
    [anon_sym_using] = ACTIONS(2780),
    [anon_sym_static_assert] = ACTIONS(2780),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_friend] = ACTIONS(2767),
    [anon_sym_public] = ACTIONS(2767),
    [anon_sym_private] = ACTIONS(2767),
    [anon_sym_protected] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(5022),
    [aux_sym_preproc_def_token1] = ACTIONS(5022),
    [aux_sym_preproc_if_token1] = ACTIONS(5022),
    [aux_sym_preproc_if_token2] = ACTIONS(5022),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5022),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5022),
    [sym_preproc_directive] = ACTIONS(5022),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_TILDE] = ACTIONS(5024),
    [anon_sym_STAR] = ACTIONS(5024),
    [anon_sym_AMP_AMP] = ACTIONS(5024),
    [anon_sym_AMP] = ACTIONS(5022),
    [anon_sym___extension__] = ACTIONS(5022),
    [anon_sym_typedef] = ACTIONS(5022),
    [anon_sym_extern] = ACTIONS(5022),
    [anon_sym___attribute__] = ACTIONS(5022),
    [anon_sym_COLON_COLON] = ACTIONS(5024),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5024),
    [anon_sym___declspec] = ACTIONS(5022),
    [anon_sym___based] = ACTIONS(5022),
    [anon_sym_signed] = ACTIONS(5022),
    [anon_sym_unsigned] = ACTIONS(5022),
    [anon_sym_long] = ACTIONS(5022),
    [anon_sym_short] = ACTIONS(5022),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [anon_sym_static] = ACTIONS(5022),
    [anon_sym_register] = ACTIONS(5022),
    [anon_sym_inline] = ACTIONS(5022),
    [anon_sym___inline] = ACTIONS(5022),
    [anon_sym___inline__] = ACTIONS(5022),
    [anon_sym___forceinline] = ACTIONS(5022),
    [anon_sym_thread_local] = ACTIONS(5022),
    [anon_sym___thread] = ACTIONS(5022),
    [anon_sym_const] = ACTIONS(5022),
    [anon_sym_constexpr] = ACTIONS(5022),
    [anon_sym_volatile] = ACTIONS(5022),
    [anon_sym_restrict] = ACTIONS(5022),
    [anon_sym___restrict__] = ACTIONS(5022),
    [anon_sym__Atomic] = ACTIONS(5022),
    [anon_sym__Noreturn] = ACTIONS(5022),
    [anon_sym_noreturn] = ACTIONS(5022),
    [anon_sym_mutable] = ACTIONS(5022),
    [anon_sym_constinit] = ACTIONS(5022),
    [anon_sym_consteval] = ACTIONS(5022),
    [anon_sym_alignas] = ACTIONS(5022),
    [anon_sym__Alignas] = ACTIONS(5022),
    [sym_primitive_type] = ACTIONS(5022),
    [anon_sym_enum] = ACTIONS(5022),
    [anon_sym_class] = ACTIONS(5022),
    [anon_sym_struct] = ACTIONS(5022),
    [anon_sym_union] = ACTIONS(5022),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5022),
    [anon_sym_decltype] = ACTIONS(5022),
    [sym_virtual] = ACTIONS(5022),
    [anon_sym_explicit] = ACTIONS(5022),
    [anon_sym_typename] = ACTIONS(5022),
    [anon_sym_template] = ACTIONS(5022),
    [anon_sym_operator] = ACTIONS(5022),
    [anon_sym_friend] = ACTIONS(5022),
    [anon_sym_public] = ACTIONS(5022),
    [anon_sym_private] = ACTIONS(5022),
    [anon_sym_protected] = ACTIONS(5022),
    [anon_sym_using] = ACTIONS(5022),
    [anon_sym_static_assert] = ACTIONS(5022),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5018),
    [aux_sym_preproc_def_token1] = ACTIONS(5018),
    [aux_sym_preproc_if_token1] = ACTIONS(5018),
    [aux_sym_preproc_if_token2] = ACTIONS(5018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5018),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5018),
    [sym_preproc_directive] = ACTIONS(5018),
    [anon_sym_LPAREN2] = ACTIONS(5020),
    [anon_sym_TILDE] = ACTIONS(5020),
    [anon_sym_STAR] = ACTIONS(5020),
    [anon_sym_AMP_AMP] = ACTIONS(5020),
    [anon_sym_AMP] = ACTIONS(5018),
    [anon_sym___extension__] = ACTIONS(5018),
    [anon_sym_typedef] = ACTIONS(5018),
    [anon_sym_extern] = ACTIONS(5018),
    [anon_sym___attribute__] = ACTIONS(5018),
    [anon_sym_COLON_COLON] = ACTIONS(5020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5020),
    [anon_sym___declspec] = ACTIONS(5018),
    [anon_sym___based] = ACTIONS(5018),
    [anon_sym_signed] = ACTIONS(5018),
    [anon_sym_unsigned] = ACTIONS(5018),
    [anon_sym_long] = ACTIONS(5018),
    [anon_sym_short] = ACTIONS(5018),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [anon_sym_static] = ACTIONS(5018),
    [anon_sym_register] = ACTIONS(5018),
    [anon_sym_inline] = ACTIONS(5018),
    [anon_sym___inline] = ACTIONS(5018),
    [anon_sym___inline__] = ACTIONS(5018),
    [anon_sym___forceinline] = ACTIONS(5018),
    [anon_sym_thread_local] = ACTIONS(5018),
    [anon_sym___thread] = ACTIONS(5018),
    [anon_sym_const] = ACTIONS(5018),
    [anon_sym_constexpr] = ACTIONS(5018),
    [anon_sym_volatile] = ACTIONS(5018),
    [anon_sym_restrict] = ACTIONS(5018),
    [anon_sym___restrict__] = ACTIONS(5018),
    [anon_sym__Atomic] = ACTIONS(5018),
    [anon_sym__Noreturn] = ACTIONS(5018),
    [anon_sym_noreturn] = ACTIONS(5018),
    [anon_sym_mutable] = ACTIONS(5018),
    [anon_sym_constinit] = ACTIONS(5018),
    [anon_sym_consteval] = ACTIONS(5018),
    [anon_sym_alignas] = ACTIONS(5018),
    [anon_sym__Alignas] = ACTIONS(5018),
    [sym_primitive_type] = ACTIONS(5018),
    [anon_sym_enum] = ACTIONS(5018),
    [anon_sym_class] = ACTIONS(5018),
    [anon_sym_struct] = ACTIONS(5018),
    [anon_sym_union] = ACTIONS(5018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5018),
    [anon_sym_decltype] = ACTIONS(5018),
    [sym_virtual] = ACTIONS(5018),
    [anon_sym_explicit] = ACTIONS(5018),
    [anon_sym_typename] = ACTIONS(5018),
    [anon_sym_template] = ACTIONS(5018),
    [anon_sym_operator] = ACTIONS(5018),
    [anon_sym_friend] = ACTIONS(5018),
    [anon_sym_public] = ACTIONS(5018),
    [anon_sym_private] = ACTIONS(5018),
    [anon_sym_protected] = ACTIONS(5018),
    [anon_sym_using] = ACTIONS(5018),
    [anon_sym_static_assert] = ACTIONS(5018),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token1] = ACTIONS(5008),
    [aux_sym_preproc_if_token2] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5008),
    [sym_preproc_directive] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(5010),
    [anon_sym_TILDE] = ACTIONS(5010),
    [anon_sym_STAR] = ACTIONS(5010),
    [anon_sym_AMP_AMP] = ACTIONS(5010),
    [anon_sym_AMP] = ACTIONS(5008),
    [anon_sym___extension__] = ACTIONS(5008),
    [anon_sym_typedef] = ACTIONS(5008),
    [anon_sym_extern] = ACTIONS(5008),
    [anon_sym___attribute__] = ACTIONS(5008),
    [anon_sym_COLON_COLON] = ACTIONS(5010),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5010),
    [anon_sym___declspec] = ACTIONS(5008),
    [anon_sym___based] = ACTIONS(5008),
    [anon_sym_signed] = ACTIONS(5008),
    [anon_sym_unsigned] = ACTIONS(5008),
    [anon_sym_long] = ACTIONS(5008),
    [anon_sym_short] = ACTIONS(5008),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [anon_sym_static] = ACTIONS(5008),
    [anon_sym_register] = ACTIONS(5008),
    [anon_sym_inline] = ACTIONS(5008),
    [anon_sym___inline] = ACTIONS(5008),
    [anon_sym___inline__] = ACTIONS(5008),
    [anon_sym___forceinline] = ACTIONS(5008),
    [anon_sym_thread_local] = ACTIONS(5008),
    [anon_sym___thread] = ACTIONS(5008),
    [anon_sym_const] = ACTIONS(5008),
    [anon_sym_constexpr] = ACTIONS(5008),
    [anon_sym_volatile] = ACTIONS(5008),
    [anon_sym_restrict] = ACTIONS(5008),
    [anon_sym___restrict__] = ACTIONS(5008),
    [anon_sym__Atomic] = ACTIONS(5008),
    [anon_sym__Noreturn] = ACTIONS(5008),
    [anon_sym_noreturn] = ACTIONS(5008),
    [anon_sym_mutable] = ACTIONS(5008),
    [anon_sym_constinit] = ACTIONS(5008),
    [anon_sym_consteval] = ACTIONS(5008),
    [anon_sym_alignas] = ACTIONS(5008),
    [anon_sym__Alignas] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(5008),
    [anon_sym_enum] = ACTIONS(5008),
    [anon_sym_class] = ACTIONS(5008),
    [anon_sym_struct] = ACTIONS(5008),
    [anon_sym_union] = ACTIONS(5008),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5008),
    [anon_sym_decltype] = ACTIONS(5008),
    [sym_virtual] = ACTIONS(5008),
    [anon_sym_explicit] = ACTIONS(5008),
    [anon_sym_typename] = ACTIONS(5008),
    [anon_sym_template] = ACTIONS(5008),
    [anon_sym_operator] = ACTIONS(5008),
    [anon_sym_friend] = ACTIONS(5008),
    [anon_sym_public] = ACTIONS(5008),
    [anon_sym_private] = ACTIONS(5008),
    [anon_sym_protected] = ACTIONS(5008),
    [anon_sym_using] = ACTIONS(5008),
    [anon_sym_static_assert] = ACTIONS(5008),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(4952),
    [aux_sym_preproc_def_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4952),
    [aux_sym_preproc_if_token2] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4952),
    [sym_preproc_directive] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(4954),
    [anon_sym_TILDE] = ACTIONS(4954),
    [anon_sym_STAR] = ACTIONS(4954),
    [anon_sym_AMP_AMP] = ACTIONS(4954),
    [anon_sym_AMP] = ACTIONS(4952),
    [anon_sym___extension__] = ACTIONS(4952),
    [anon_sym_typedef] = ACTIONS(4952),
    [anon_sym_extern] = ACTIONS(4952),
    [anon_sym___attribute__] = ACTIONS(4952),
    [anon_sym_COLON_COLON] = ACTIONS(4954),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4954),
    [anon_sym___declspec] = ACTIONS(4952),
    [anon_sym___based] = ACTIONS(4952),
    [anon_sym_signed] = ACTIONS(4952),
    [anon_sym_unsigned] = ACTIONS(4952),
    [anon_sym_long] = ACTIONS(4952),
    [anon_sym_short] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(4952),
    [anon_sym_static] = ACTIONS(4952),
    [anon_sym_register] = ACTIONS(4952),
    [anon_sym_inline] = ACTIONS(4952),
    [anon_sym___inline] = ACTIONS(4952),
    [anon_sym___inline__] = ACTIONS(4952),
    [anon_sym___forceinline] = ACTIONS(4952),
    [anon_sym_thread_local] = ACTIONS(4952),
    [anon_sym___thread] = ACTIONS(4952),
    [anon_sym_const] = ACTIONS(4952),
    [anon_sym_constexpr] = ACTIONS(4952),
    [anon_sym_volatile] = ACTIONS(4952),
    [anon_sym_restrict] = ACTIONS(4952),
    [anon_sym___restrict__] = ACTIONS(4952),
    [anon_sym__Atomic] = ACTIONS(4952),
    [anon_sym__Noreturn] = ACTIONS(4952),
    [anon_sym_noreturn] = ACTIONS(4952),
    [anon_sym_mutable] = ACTIONS(4952),
    [anon_sym_constinit] = ACTIONS(4952),
    [anon_sym_consteval] = ACTIONS(4952),
    [anon_sym_alignas] = ACTIONS(4952),
    [anon_sym__Alignas] = ACTIONS(4952),
    [sym_primitive_type] = ACTIONS(4952),
    [anon_sym_enum] = ACTIONS(4952),
    [anon_sym_class] = ACTIONS(4952),
    [anon_sym_struct] = ACTIONS(4952),
    [anon_sym_union] = ACTIONS(4952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4952),
    [anon_sym_decltype] = ACTIONS(4952),
    [sym_virtual] = ACTIONS(4952),
    [anon_sym_explicit] = ACTIONS(4952),
    [anon_sym_typename] = ACTIONS(4952),
    [anon_sym_template] = ACTIONS(4952),
    [anon_sym_operator] = ACTIONS(4952),
    [anon_sym_friend] = ACTIONS(4952),
    [anon_sym_public] = ACTIONS(4952),
    [anon_sym_private] = ACTIONS(4952),
    [anon_sym_protected] = ACTIONS(4952),
    [anon_sym_using] = ACTIONS(4952),
    [anon_sym_static_assert] = ACTIONS(4952),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_TILDE] = ACTIONS(5002),
    [anon_sym_STAR] = ACTIONS(5002),
    [anon_sym_AMP_AMP] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(5000),
    [anon_sym___extension__] = ACTIONS(5000),
    [anon_sym_typedef] = ACTIONS(5000),
    [anon_sym_extern] = ACTIONS(5000),
    [anon_sym___attribute__] = ACTIONS(5000),
    [anon_sym_COLON_COLON] = ACTIONS(5002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5002),
    [anon_sym___declspec] = ACTIONS(5000),
    [anon_sym___based] = ACTIONS(5000),
    [anon_sym_signed] = ACTIONS(5000),
    [anon_sym_unsigned] = ACTIONS(5000),
    [anon_sym_long] = ACTIONS(5000),
    [anon_sym_short] = ACTIONS(5000),
    [anon_sym_LBRACK] = ACTIONS(5000),
    [anon_sym_static] = ACTIONS(5000),
    [anon_sym_register] = ACTIONS(5000),
    [anon_sym_inline] = ACTIONS(5000),
    [anon_sym___inline] = ACTIONS(5000),
    [anon_sym___inline__] = ACTIONS(5000),
    [anon_sym___forceinline] = ACTIONS(5000),
    [anon_sym_thread_local] = ACTIONS(5000),
    [anon_sym___thread] = ACTIONS(5000),
    [anon_sym_const] = ACTIONS(5000),
    [anon_sym_constexpr] = ACTIONS(5000),
    [anon_sym_volatile] = ACTIONS(5000),
    [anon_sym_restrict] = ACTIONS(5000),
    [anon_sym___restrict__] = ACTIONS(5000),
    [anon_sym__Atomic] = ACTIONS(5000),
    [anon_sym__Noreturn] = ACTIONS(5000),
    [anon_sym_noreturn] = ACTIONS(5000),
    [anon_sym_mutable] = ACTIONS(5000),
    [anon_sym_constinit] = ACTIONS(5000),
    [anon_sym_consteval] = ACTIONS(5000),
    [anon_sym_alignas] = ACTIONS(5000),
    [anon_sym__Alignas] = ACTIONS(5000),
    [sym_primitive_type] = ACTIONS(5000),
    [anon_sym_enum] = ACTIONS(5000),
    [anon_sym_class] = ACTIONS(5000),
    [anon_sym_struct] = ACTIONS(5000),
    [anon_sym_union] = ACTIONS(5000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5000),
    [anon_sym_decltype] = ACTIONS(5000),
    [sym_virtual] = ACTIONS(5000),
    [anon_sym_explicit] = ACTIONS(5000),
    [anon_sym_typename] = ACTIONS(5000),
    [anon_sym_template] = ACTIONS(5000),
    [anon_sym_operator] = ACTIONS(5000),
    [anon_sym_friend] = ACTIONS(5000),
    [anon_sym_public] = ACTIONS(5000),
    [anon_sym_private] = ACTIONS(5000),
    [anon_sym_protected] = ACTIONS(5000),
    [anon_sym_using] = ACTIONS(5000),
    [anon_sym_static_assert] = ACTIONS(5000),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token2] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4998),
    [anon_sym_TILDE] = ACTIONS(4998),
    [anon_sym_STAR] = ACTIONS(4998),
    [anon_sym_AMP_AMP] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4996),
    [anon_sym_typedef] = ACTIONS(4996),
    [anon_sym_extern] = ACTIONS(4996),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym_COLON_COLON] = ACTIONS(4998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4998),
    [anon_sym___declspec] = ACTIONS(4996),
    [anon_sym___based] = ACTIONS(4996),
    [anon_sym_signed] = ACTIONS(4996),
    [anon_sym_unsigned] = ACTIONS(4996),
    [anon_sym_long] = ACTIONS(4996),
    [anon_sym_short] = ACTIONS(4996),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_static] = ACTIONS(4996),
    [anon_sym_register] = ACTIONS(4996),
    [anon_sym_inline] = ACTIONS(4996),
    [anon_sym___inline] = ACTIONS(4996),
    [anon_sym___inline__] = ACTIONS(4996),
    [anon_sym___forceinline] = ACTIONS(4996),
    [anon_sym_thread_local] = ACTIONS(4996),
    [anon_sym___thread] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4996),
    [anon_sym_constexpr] = ACTIONS(4996),
    [anon_sym_volatile] = ACTIONS(4996),
    [anon_sym_restrict] = ACTIONS(4996),
    [anon_sym___restrict__] = ACTIONS(4996),
    [anon_sym__Atomic] = ACTIONS(4996),
    [anon_sym__Noreturn] = ACTIONS(4996),
    [anon_sym_noreturn] = ACTIONS(4996),
    [anon_sym_mutable] = ACTIONS(4996),
    [anon_sym_constinit] = ACTIONS(4996),
    [anon_sym_consteval] = ACTIONS(4996),
    [anon_sym_alignas] = ACTIONS(4996),
    [anon_sym__Alignas] = ACTIONS(4996),
    [sym_primitive_type] = ACTIONS(4996),
    [anon_sym_enum] = ACTIONS(4996),
    [anon_sym_class] = ACTIONS(4996),
    [anon_sym_struct] = ACTIONS(4996),
    [anon_sym_union] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [sym_virtual] = ACTIONS(4996),
    [anon_sym_explicit] = ACTIONS(4996),
    [anon_sym_typename] = ACTIONS(4996),
    [anon_sym_template] = ACTIONS(4996),
    [anon_sym_operator] = ACTIONS(4996),
    [anon_sym_friend] = ACTIONS(4996),
    [anon_sym_public] = ACTIONS(4996),
    [anon_sym_private] = ACTIONS(4996),
    [anon_sym_protected] = ACTIONS(4996),
    [anon_sym_using] = ACTIONS(4996),
    [anon_sym_static_assert] = ACTIONS(4996),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token2] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4990),
    [anon_sym_TILDE] = ACTIONS(4990),
    [anon_sym_STAR] = ACTIONS(4990),
    [anon_sym_AMP_AMP] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(4988),
    [anon_sym___extension__] = ACTIONS(4988),
    [anon_sym_typedef] = ACTIONS(4988),
    [anon_sym_extern] = ACTIONS(4988),
    [anon_sym___attribute__] = ACTIONS(4988),
    [anon_sym_COLON_COLON] = ACTIONS(4990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4990),
    [anon_sym___declspec] = ACTIONS(4988),
    [anon_sym___based] = ACTIONS(4988),
    [anon_sym_signed] = ACTIONS(4988),
    [anon_sym_unsigned] = ACTIONS(4988),
    [anon_sym_long] = ACTIONS(4988),
    [anon_sym_short] = ACTIONS(4988),
    [anon_sym_LBRACK] = ACTIONS(4988),
    [anon_sym_static] = ACTIONS(4988),
    [anon_sym_register] = ACTIONS(4988),
    [anon_sym_inline] = ACTIONS(4988),
    [anon_sym___inline] = ACTIONS(4988),
    [anon_sym___inline__] = ACTIONS(4988),
    [anon_sym___forceinline] = ACTIONS(4988),
    [anon_sym_thread_local] = ACTIONS(4988),
    [anon_sym___thread] = ACTIONS(4988),
    [anon_sym_const] = ACTIONS(4988),
    [anon_sym_constexpr] = ACTIONS(4988),
    [anon_sym_volatile] = ACTIONS(4988),
    [anon_sym_restrict] = ACTIONS(4988),
    [anon_sym___restrict__] = ACTIONS(4988),
    [anon_sym__Atomic] = ACTIONS(4988),
    [anon_sym__Noreturn] = ACTIONS(4988),
    [anon_sym_noreturn] = ACTIONS(4988),
    [anon_sym_mutable] = ACTIONS(4988),
    [anon_sym_constinit] = ACTIONS(4988),
    [anon_sym_consteval] = ACTIONS(4988),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [sym_primitive_type] = ACTIONS(4988),
    [anon_sym_enum] = ACTIONS(4988),
    [anon_sym_class] = ACTIONS(4988),
    [anon_sym_struct] = ACTIONS(4988),
    [anon_sym_union] = ACTIONS(4988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4988),
    [anon_sym_decltype] = ACTIONS(4988),
    [sym_virtual] = ACTIONS(4988),
    [anon_sym_explicit] = ACTIONS(4988),
    [anon_sym_typename] = ACTIONS(4988),
    [anon_sym_template] = ACTIONS(4988),
    [anon_sym_operator] = ACTIONS(4988),
    [anon_sym_friend] = ACTIONS(4988),
    [anon_sym_public] = ACTIONS(4988),
    [anon_sym_private] = ACTIONS(4988),
    [anon_sym_protected] = ACTIONS(4988),
    [anon_sym_using] = ACTIONS(4988),
    [anon_sym_static_assert] = ACTIONS(4988),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [2165] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2165),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4793),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4793),
    [anon_sym_GT_GT] = ACTIONS(4791),
    [anon_sym___extension__] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(5610),
    [anon_sym_unsigned] = ACTIONS(5610),
    [anon_sym_long] = ACTIONS(5610),
    [anon_sym_short] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_const] = ACTIONS(4791),
    [anon_sym_constexpr] = ACTIONS(4791),
    [anon_sym_volatile] = ACTIONS(4791),
    [anon_sym_restrict] = ACTIONS(4791),
    [anon_sym___restrict__] = ACTIONS(4791),
    [anon_sym__Atomic] = ACTIONS(4791),
    [anon_sym__Noreturn] = ACTIONS(4791),
    [anon_sym_noreturn] = ACTIONS(4791),
    [anon_sym_mutable] = ACTIONS(4791),
    [anon_sym_constinit] = ACTIONS(4791),
    [anon_sym_consteval] = ACTIONS(4791),
    [anon_sym_alignas] = ACTIONS(4791),
    [anon_sym__Alignas] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
    [anon_sym_final] = ACTIONS(4791),
    [anon_sym_override] = ACTIONS(4791),
    [anon_sym_GT2] = ACTIONS(4793),
    [anon_sym_requires] = ACTIONS(4791),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_friend] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
  },
  [2167] = {
    [sym_argument_list] = STATE(2296),
    [sym_initializer_list] = STATE(2296),
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
  },
  [2168] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2165),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5012),
    [anon_sym_COMMA] = ACTIONS(5012),
    [anon_sym_LPAREN2] = ACTIONS(5012),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5012),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5012),
    [anon_sym_PIPE_PIPE] = ACTIONS(5012),
    [anon_sym_AMP_AMP] = ACTIONS(5012),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5012),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5012),
    [anon_sym_BANG_EQ] = ACTIONS(5012),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5015),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5012),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5012),
    [anon_sym_signed] = ACTIONS(5610),
    [anon_sym_unsigned] = ACTIONS(5610),
    [anon_sym_long] = ACTIONS(5610),
    [anon_sym_short] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym__Alignas] = ACTIONS(5015),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(5012),
    [anon_sym_LT_EQ_GT] = ACTIONS(5012),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5012),
    [anon_sym_PLUS_PLUS] = ACTIONS(5012),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5012),
    [anon_sym_DASH_GT] = ACTIONS(5012),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_final] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
    [anon_sym_GT2] = ACTIONS(5012),
    [anon_sym_requires] = ACTIONS(5015),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [sym_virtual] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_AMP_AMP] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2836),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym_COLON_COLON] = ACTIONS(2838),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___based] = ACTIONS(2836),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_mutable] = ACTIONS(2836),
    [anon_sym_constinit] = ACTIONS(2836),
    [anon_sym_consteval] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2836),
    [anon_sym_decltype] = ACTIONS(2836),
    [sym_virtual] = ACTIONS(2836),
    [anon_sym_explicit] = ACTIONS(2836),
    [anon_sym_typename] = ACTIONS(2836),
    [anon_sym_template] = ACTIONS(2836),
    [anon_sym_operator] = ACTIONS(2836),
    [anon_sym_friend] = ACTIONS(2836),
    [anon_sym_public] = ACTIONS(2836),
    [anon_sym_private] = ACTIONS(2836),
    [anon_sym_protected] = ACTIONS(2836),
    [anon_sym_using] = ACTIONS(2836),
    [anon_sym_static_assert] = ACTIONS(2836),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_friend] = ACTIONS(2750),
    [anon_sym_public] = ACTIONS(2750),
    [anon_sym_private] = ACTIONS(2750),
    [anon_sym_protected] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(4988),
    [aux_sym_preproc_def_token1] = ACTIONS(4988),
    [aux_sym_preproc_if_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4988),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4988),
    [sym_preproc_directive] = ACTIONS(4988),
    [anon_sym_LPAREN2] = ACTIONS(4990),
    [anon_sym_TILDE] = ACTIONS(4990),
    [anon_sym_STAR] = ACTIONS(4990),
    [anon_sym_AMP_AMP] = ACTIONS(4990),
    [anon_sym_AMP] = ACTIONS(4988),
    [anon_sym___extension__] = ACTIONS(4988),
    [anon_sym_typedef] = ACTIONS(4988),
    [anon_sym_extern] = ACTIONS(4988),
    [anon_sym___attribute__] = ACTIONS(4988),
    [anon_sym_COLON_COLON] = ACTIONS(4990),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4990),
    [anon_sym___declspec] = ACTIONS(4988),
    [anon_sym___based] = ACTIONS(4988),
    [anon_sym_RBRACE] = ACTIONS(4990),
    [anon_sym_signed] = ACTIONS(4988),
    [anon_sym_unsigned] = ACTIONS(4988),
    [anon_sym_long] = ACTIONS(4988),
    [anon_sym_short] = ACTIONS(4988),
    [anon_sym_LBRACK] = ACTIONS(4988),
    [anon_sym_static] = ACTIONS(4988),
    [anon_sym_register] = ACTIONS(4988),
    [anon_sym_inline] = ACTIONS(4988),
    [anon_sym___inline] = ACTIONS(4988),
    [anon_sym___inline__] = ACTIONS(4988),
    [anon_sym___forceinline] = ACTIONS(4988),
    [anon_sym_thread_local] = ACTIONS(4988),
    [anon_sym___thread] = ACTIONS(4988),
    [anon_sym_const] = ACTIONS(4988),
    [anon_sym_constexpr] = ACTIONS(4988),
    [anon_sym_volatile] = ACTIONS(4988),
    [anon_sym_restrict] = ACTIONS(4988),
    [anon_sym___restrict__] = ACTIONS(4988),
    [anon_sym__Atomic] = ACTIONS(4988),
    [anon_sym__Noreturn] = ACTIONS(4988),
    [anon_sym_noreturn] = ACTIONS(4988),
    [anon_sym_mutable] = ACTIONS(4988),
    [anon_sym_constinit] = ACTIONS(4988),
    [anon_sym_consteval] = ACTIONS(4988),
    [anon_sym_alignas] = ACTIONS(4988),
    [anon_sym__Alignas] = ACTIONS(4988),
    [sym_primitive_type] = ACTIONS(4988),
    [anon_sym_enum] = ACTIONS(4988),
    [anon_sym_class] = ACTIONS(4988),
    [anon_sym_struct] = ACTIONS(4988),
    [anon_sym_union] = ACTIONS(4988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4988),
    [anon_sym_decltype] = ACTIONS(4988),
    [sym_virtual] = ACTIONS(4988),
    [anon_sym_explicit] = ACTIONS(4988),
    [anon_sym_typename] = ACTIONS(4988),
    [anon_sym_template] = ACTIONS(4988),
    [anon_sym_operator] = ACTIONS(4988),
    [anon_sym_friend] = ACTIONS(4988),
    [anon_sym_public] = ACTIONS(4988),
    [anon_sym_private] = ACTIONS(4988),
    [anon_sym_protected] = ACTIONS(4988),
    [anon_sym_using] = ACTIONS(4988),
    [anon_sym_static_assert] = ACTIONS(4988),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym__Alignas] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [sym_virtual] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(4936),
    [aux_sym_preproc_def_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4936),
    [aux_sym_preproc_if_token2] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4936),
    [sym_preproc_directive] = ACTIONS(4936),
    [anon_sym_LPAREN2] = ACTIONS(4938),
    [anon_sym_TILDE] = ACTIONS(4938),
    [anon_sym_STAR] = ACTIONS(4938),
    [anon_sym_AMP_AMP] = ACTIONS(4938),
    [anon_sym_AMP] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4936),
    [anon_sym_typedef] = ACTIONS(4936),
    [anon_sym_extern] = ACTIONS(4936),
    [anon_sym___attribute__] = ACTIONS(4936),
    [anon_sym_COLON_COLON] = ACTIONS(4938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4938),
    [anon_sym___declspec] = ACTIONS(4936),
    [anon_sym___based] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4936),
    [anon_sym_unsigned] = ACTIONS(4936),
    [anon_sym_long] = ACTIONS(4936),
    [anon_sym_short] = ACTIONS(4936),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_static] = ACTIONS(4936),
    [anon_sym_register] = ACTIONS(4936),
    [anon_sym_inline] = ACTIONS(4936),
    [anon_sym___inline] = ACTIONS(4936),
    [anon_sym___inline__] = ACTIONS(4936),
    [anon_sym___forceinline] = ACTIONS(4936),
    [anon_sym_thread_local] = ACTIONS(4936),
    [anon_sym___thread] = ACTIONS(4936),
    [anon_sym_const] = ACTIONS(4936),
    [anon_sym_constexpr] = ACTIONS(4936),
    [anon_sym_volatile] = ACTIONS(4936),
    [anon_sym_restrict] = ACTIONS(4936),
    [anon_sym___restrict__] = ACTIONS(4936),
    [anon_sym__Atomic] = ACTIONS(4936),
    [anon_sym__Noreturn] = ACTIONS(4936),
    [anon_sym_noreturn] = ACTIONS(4936),
    [anon_sym_mutable] = ACTIONS(4936),
    [anon_sym_constinit] = ACTIONS(4936),
    [anon_sym_consteval] = ACTIONS(4936),
    [anon_sym_alignas] = ACTIONS(4936),
    [anon_sym__Alignas] = ACTIONS(4936),
    [sym_primitive_type] = ACTIONS(4936),
    [anon_sym_enum] = ACTIONS(4936),
    [anon_sym_class] = ACTIONS(4936),
    [anon_sym_struct] = ACTIONS(4936),
    [anon_sym_union] = ACTIONS(4936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4936),
    [anon_sym_decltype] = ACTIONS(4936),
    [sym_virtual] = ACTIONS(4936),
    [anon_sym_explicit] = ACTIONS(4936),
    [anon_sym_typename] = ACTIONS(4936),
    [anon_sym_template] = ACTIONS(4936),
    [anon_sym_operator] = ACTIONS(4936),
    [anon_sym_friend] = ACTIONS(4936),
    [anon_sym_public] = ACTIONS(4936),
    [anon_sym_private] = ACTIONS(4936),
    [anon_sym_protected] = ACTIONS(4936),
    [anon_sym_using] = ACTIONS(4936),
    [anon_sym_static_assert] = ACTIONS(4936),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_AMP_AMP] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym_COLON_COLON] = ACTIONS(2752),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___based] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_mutable] = ACTIONS(2750),
    [anon_sym_constinit] = ACTIONS(2750),
    [anon_sym_consteval] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2750),
    [anon_sym_decltype] = ACTIONS(2750),
    [sym_virtual] = ACTIONS(2750),
    [anon_sym_explicit] = ACTIONS(2750),
    [anon_sym_typename] = ACTIONS(2750),
    [anon_sym_template] = ACTIONS(2750),
    [anon_sym_operator] = ACTIONS(2750),
    [anon_sym_friend] = ACTIONS(2750),
    [anon_sym_public] = ACTIONS(2750),
    [anon_sym_private] = ACTIONS(2750),
    [anon_sym_protected] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_static_assert] = ACTIONS(2750),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5118),
    [aux_sym_preproc_def_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token1] = ACTIONS(5118),
    [aux_sym_preproc_if_token2] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5118),
    [sym_preproc_directive] = ACTIONS(5118),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5118),
    [anon_sym___extension__] = ACTIONS(5118),
    [anon_sym_typedef] = ACTIONS(5118),
    [anon_sym_extern] = ACTIONS(5118),
    [anon_sym___attribute__] = ACTIONS(5118),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5118),
    [anon_sym___based] = ACTIONS(5118),
    [anon_sym_signed] = ACTIONS(5118),
    [anon_sym_unsigned] = ACTIONS(5118),
    [anon_sym_long] = ACTIONS(5118),
    [anon_sym_short] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [anon_sym_static] = ACTIONS(5118),
    [anon_sym_register] = ACTIONS(5118),
    [anon_sym_inline] = ACTIONS(5118),
    [anon_sym___inline] = ACTIONS(5118),
    [anon_sym___inline__] = ACTIONS(5118),
    [anon_sym___forceinline] = ACTIONS(5118),
    [anon_sym_thread_local] = ACTIONS(5118),
    [anon_sym___thread] = ACTIONS(5118),
    [anon_sym_const] = ACTIONS(5118),
    [anon_sym_constexpr] = ACTIONS(5118),
    [anon_sym_volatile] = ACTIONS(5118),
    [anon_sym_restrict] = ACTIONS(5118),
    [anon_sym___restrict__] = ACTIONS(5118),
    [anon_sym__Atomic] = ACTIONS(5118),
    [anon_sym__Noreturn] = ACTIONS(5118),
    [anon_sym_noreturn] = ACTIONS(5118),
    [anon_sym_mutable] = ACTIONS(5118),
    [anon_sym_constinit] = ACTIONS(5118),
    [anon_sym_consteval] = ACTIONS(5118),
    [anon_sym_alignas] = ACTIONS(5118),
    [anon_sym__Alignas] = ACTIONS(5118),
    [sym_primitive_type] = ACTIONS(5118),
    [anon_sym_enum] = ACTIONS(5118),
    [anon_sym_class] = ACTIONS(5118),
    [anon_sym_struct] = ACTIONS(5118),
    [anon_sym_union] = ACTIONS(5118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5118),
    [anon_sym_decltype] = ACTIONS(5118),
    [sym_virtual] = ACTIONS(5118),
    [anon_sym_explicit] = ACTIONS(5118),
    [anon_sym_typename] = ACTIONS(5118),
    [anon_sym_template] = ACTIONS(5118),
    [anon_sym_operator] = ACTIONS(5118),
    [anon_sym_friend] = ACTIONS(5118),
    [anon_sym_public] = ACTIONS(5118),
    [anon_sym_private] = ACTIONS(5118),
    [anon_sym_protected] = ACTIONS(5118),
    [anon_sym_using] = ACTIONS(5118),
    [anon_sym_static_assert] = ACTIONS(5118),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_TILDE] = ACTIONS(5002),
    [anon_sym_STAR] = ACTIONS(5002),
    [anon_sym_AMP_AMP] = ACTIONS(5002),
    [anon_sym_AMP] = ACTIONS(5000),
    [anon_sym___extension__] = ACTIONS(5000),
    [anon_sym_typedef] = ACTIONS(5000),
    [anon_sym_extern] = ACTIONS(5000),
    [anon_sym___attribute__] = ACTIONS(5000),
    [anon_sym_COLON_COLON] = ACTIONS(5002),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5002),
    [anon_sym___declspec] = ACTIONS(5000),
    [anon_sym___based] = ACTIONS(5000),
    [anon_sym_RBRACE] = ACTIONS(5002),
    [anon_sym_signed] = ACTIONS(5000),
    [anon_sym_unsigned] = ACTIONS(5000),
    [anon_sym_long] = ACTIONS(5000),
    [anon_sym_short] = ACTIONS(5000),
    [anon_sym_LBRACK] = ACTIONS(5000),
    [anon_sym_static] = ACTIONS(5000),
    [anon_sym_register] = ACTIONS(5000),
    [anon_sym_inline] = ACTIONS(5000),
    [anon_sym___inline] = ACTIONS(5000),
    [anon_sym___inline__] = ACTIONS(5000),
    [anon_sym___forceinline] = ACTIONS(5000),
    [anon_sym_thread_local] = ACTIONS(5000),
    [anon_sym___thread] = ACTIONS(5000),
    [anon_sym_const] = ACTIONS(5000),
    [anon_sym_constexpr] = ACTIONS(5000),
    [anon_sym_volatile] = ACTIONS(5000),
    [anon_sym_restrict] = ACTIONS(5000),
    [anon_sym___restrict__] = ACTIONS(5000),
    [anon_sym__Atomic] = ACTIONS(5000),
    [anon_sym__Noreturn] = ACTIONS(5000),
    [anon_sym_noreturn] = ACTIONS(5000),
    [anon_sym_mutable] = ACTIONS(5000),
    [anon_sym_constinit] = ACTIONS(5000),
    [anon_sym_consteval] = ACTIONS(5000),
    [anon_sym_alignas] = ACTIONS(5000),
    [anon_sym__Alignas] = ACTIONS(5000),
    [sym_primitive_type] = ACTIONS(5000),
    [anon_sym_enum] = ACTIONS(5000),
    [anon_sym_class] = ACTIONS(5000),
    [anon_sym_struct] = ACTIONS(5000),
    [anon_sym_union] = ACTIONS(5000),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5000),
    [anon_sym_decltype] = ACTIONS(5000),
    [sym_virtual] = ACTIONS(5000),
    [anon_sym_explicit] = ACTIONS(5000),
    [anon_sym_typename] = ACTIONS(5000),
    [anon_sym_template] = ACTIONS(5000),
    [anon_sym_operator] = ACTIONS(5000),
    [anon_sym_friend] = ACTIONS(5000),
    [anon_sym_public] = ACTIONS(5000),
    [anon_sym_private] = ACTIONS(5000),
    [anon_sym_protected] = ACTIONS(5000),
    [anon_sym_using] = ACTIONS(5000),
    [anon_sym_static_assert] = ACTIONS(5000),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(4996),
    [aux_sym_preproc_def_token1] = ACTIONS(4996),
    [aux_sym_preproc_if_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4996),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4996),
    [sym_preproc_directive] = ACTIONS(4996),
    [anon_sym_LPAREN2] = ACTIONS(4998),
    [anon_sym_TILDE] = ACTIONS(4998),
    [anon_sym_STAR] = ACTIONS(4998),
    [anon_sym_AMP_AMP] = ACTIONS(4998),
    [anon_sym_AMP] = ACTIONS(4996),
    [anon_sym___extension__] = ACTIONS(4996),
    [anon_sym_typedef] = ACTIONS(4996),
    [anon_sym_extern] = ACTIONS(4996),
    [anon_sym___attribute__] = ACTIONS(4996),
    [anon_sym_COLON_COLON] = ACTIONS(4998),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4998),
    [anon_sym___declspec] = ACTIONS(4996),
    [anon_sym___based] = ACTIONS(4996),
    [anon_sym_RBRACE] = ACTIONS(4998),
    [anon_sym_signed] = ACTIONS(4996),
    [anon_sym_unsigned] = ACTIONS(4996),
    [anon_sym_long] = ACTIONS(4996),
    [anon_sym_short] = ACTIONS(4996),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [anon_sym_static] = ACTIONS(4996),
    [anon_sym_register] = ACTIONS(4996),
    [anon_sym_inline] = ACTIONS(4996),
    [anon_sym___inline] = ACTIONS(4996),
    [anon_sym___inline__] = ACTIONS(4996),
    [anon_sym___forceinline] = ACTIONS(4996),
    [anon_sym_thread_local] = ACTIONS(4996),
    [anon_sym___thread] = ACTIONS(4996),
    [anon_sym_const] = ACTIONS(4996),
    [anon_sym_constexpr] = ACTIONS(4996),
    [anon_sym_volatile] = ACTIONS(4996),
    [anon_sym_restrict] = ACTIONS(4996),
    [anon_sym___restrict__] = ACTIONS(4996),
    [anon_sym__Atomic] = ACTIONS(4996),
    [anon_sym__Noreturn] = ACTIONS(4996),
    [anon_sym_noreturn] = ACTIONS(4996),
    [anon_sym_mutable] = ACTIONS(4996),
    [anon_sym_constinit] = ACTIONS(4996),
    [anon_sym_consteval] = ACTIONS(4996),
    [anon_sym_alignas] = ACTIONS(4996),
    [anon_sym__Alignas] = ACTIONS(4996),
    [sym_primitive_type] = ACTIONS(4996),
    [anon_sym_enum] = ACTIONS(4996),
    [anon_sym_class] = ACTIONS(4996),
    [anon_sym_struct] = ACTIONS(4996),
    [anon_sym_union] = ACTIONS(4996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4996),
    [anon_sym_decltype] = ACTIONS(4996),
    [sym_virtual] = ACTIONS(4996),
    [anon_sym_explicit] = ACTIONS(4996),
    [anon_sym_typename] = ACTIONS(4996),
    [anon_sym_template] = ACTIONS(4996),
    [anon_sym_operator] = ACTIONS(4996),
    [anon_sym_friend] = ACTIONS(4996),
    [anon_sym_public] = ACTIONS(4996),
    [anon_sym_private] = ACTIONS(4996),
    [anon_sym_protected] = ACTIONS(4996),
    [anon_sym_using] = ACTIONS(4996),
    [anon_sym_static_assert] = ACTIONS(4996),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5623), 1,
      anon_sym_and,
    ACTIONS(5619), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5617), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [75] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4534), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1616), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5368), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5627), 1,
      sym_identifier,
    STATE(2195), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4789), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4787), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4499), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4538), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4881), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2202), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5629), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5318), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_attribute_specifier,
    STATE(2272), 1,
      sym_enumerator_list,
    ACTIONS(5341), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5343), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2203), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5633), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5324), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym___attribute__,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_COLON,
    STATE(1847), 1,
      sym__enum_base_clause,
    STATE(1899), 1,
      sym_enumerator_list,
    STATE(1965), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5637), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4493), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym___attribute__,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_COLON,
    STATE(1846), 1,
      sym__enum_base_clause,
    STATE(1886), 1,
      sym_enumerator_list,
    STATE(1949), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5643), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4477), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5645), 1,
      sym_identifier,
    STATE(2216), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4783), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4781), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2207), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4930), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4917), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4974), 1,
      anon_sym_LT,
    STATE(2229), 1,
      sym_template_argument_list,
    ACTIONS(5649), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5651), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    STATE(1907), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5438), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3778), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [1575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    STATE(1907), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5438), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5158), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5156), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [1654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1616), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5310), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1616), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5304), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4503), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4530), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1616), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5382), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4915), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4913), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_LBRACK,
    STATE(2277), 1,
      sym_new_declarator,
    ACTIONS(5655), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5657), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4881), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4881), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2207), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5034), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5036), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4974), 1,
      anon_sym_LT,
    STATE(2229), 1,
      sym_template_argument_list,
    ACTIONS(5659), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5661), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    STATE(1745), 1,
      sym_attribute_specifier,
    STATE(2266), 1,
      sym_enumerator_list,
    ACTIONS(5347), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5349), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [2757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 1,
      sym_identifier,
    STATE(2216), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5666), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5669), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4771), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4769), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5623), 1,
      anon_sym_and,
    ACTIONS(5676), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5678), 1,
      anon_sym_or,
    ACTIONS(5674), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5672), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2915] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6078), 1,
      sym__declarator,
    STATE(6245), 1,
      sym__abstract_declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2219), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(2769), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [3042] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_RPAREN,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6020), 1,
      sym__declarator,
    STATE(6259), 1,
      sym__abstract_declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2705), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [3169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5560), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4930), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4881), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4881), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4881), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1882), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [3532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1878), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [3674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4917), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4915), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4913), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5682), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5684), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4580), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3638), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1779), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5396), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [4250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5688), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5692), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4390] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5694), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5696), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5692), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5692), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5706), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1778), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [4760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5714), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5718), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5720), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5368), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4822), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5724), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5728), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1666), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5489), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [5258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5730), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5376), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1675), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5493), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [5410] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5732), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5734), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [5492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_field_declaration_list,
    STATE(2778), 1,
      sym_attribute_specifier,
    STATE(6400), 1,
      sym_virtual_specifier,
    STATE(7148), 1,
      sym_base_class_clause,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1707), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5459), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [5652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4826), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4850), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2288), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5740), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5318), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [5866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5742), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5744), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2289), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5324), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5720), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5382), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6098] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5748), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5750), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [6182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5754), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2503), 1,
      sym_field_declaration_list,
    STATE(2632), 1,
      sym_attribute_specifier,
    STATE(6596), 1,
      sym_virtual_specifier,
    STATE(7183), 1,
      sym_base_class_clause,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4862), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [6338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1782), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5474), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [6412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3618), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1686), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5455), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [6626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1685), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5442), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [6700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 1,
      sym_identifier,
    ACTIONS(5764), 1,
      sym_primitive_type,
    STATE(2280), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5762), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5084), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5086), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1744), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5463), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [6922] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5766), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5768), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [7004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1783), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5485), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 1,
      anon_sym_LT,
    STATE(2231), 1,
      sym_template_argument_list,
    ACTIONS(5770), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5772), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(4791), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [7506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1772), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5012), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5015), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4826), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    STATE(1712), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5432), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4822), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5788), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5034), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5036), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8084] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [8168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5720), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5310), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2165), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5720), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5304), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [8316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4850), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5794), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5796), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [8470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5800), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5804), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5808), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5812), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5816), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1876), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8884] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 1,
      sym_identifier,
    ACTIONS(5822), 1,
      sym_primitive_type,
    STATE(2369), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5084), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5086), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [8961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2502), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5826), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4850), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [9168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5830), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5838), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5842), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5846), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(5850), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [9606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5860), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5864), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5868), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5872), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4750), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4742), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10020] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2740), 1,
      sym_field_declaration_list,
    STATE(2907), 1,
      sym_attribute_specifier,
    STATE(6632), 1,
      sym_virtual_specifier,
    STATE(7351), 1,
      sym_base_class_clause,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4862), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [10105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5880), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5884), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5888), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4719), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5892), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10450] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(5894), 1,
      anon_sym___attribute__,
    ACTIONS(5896), 1,
      anon_sym_COLON,
    STATE(1847), 1,
      sym__enum_base_clause,
    STATE(1899), 1,
      sym_enumerator_list,
    STATE(1965), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5637), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [10531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5900), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4711), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4723), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5904), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(2472), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5906), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5376), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [10953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4735), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5910), 1,
      anon_sym_and,
    ACTIONS(5617), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5619), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4731), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_literal_suffix,
    STATE(2183), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5156), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5158), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [11379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4715), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5912), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4791), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [11521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5917), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4826), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5921), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5925), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5929), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5933), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5937), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5939), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5941), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5945), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(5894), 1,
      anon_sym___attribute__,
    ACTIONS(5896), 1,
      anon_sym_COLON,
    STATE(1846), 1,
      sym__enum_base_clause,
    STATE(1886), 1,
      sym_enumerator_list,
    STATE(1949), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5643), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [12292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(2403), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2444), 1,
      sym_template_argument_list,
    ACTIONS(5730), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [12440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5951), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5955), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5959), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5963), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_literal_suffix,
    STATE(2183), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [13207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4703), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4727), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5967), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5965), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [13414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5971), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5969), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [13483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5975), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4515), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5788), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4930), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [13694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4754), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4830), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [13832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1880), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5912), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5012), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5015), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [13976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5979), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5987), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5991), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5995), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5708), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5999), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6003), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6001), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [14528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4822), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [14597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6007), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4746), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5910), 1,
      anon_sym_and,
    ACTIONS(6009), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6011), 1,
      anon_sym_or,
    ACTIONS(5672), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5674), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6015), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6019), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3552), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15088] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(6025), 1,
      sym_virtual,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2451), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6023), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6021), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [15181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6029), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15250] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [15334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(2472), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(5906), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3776), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [15412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6037), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5310), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4930), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4928), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4924), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5374), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [15836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      sym_identifier,
    STATE(2396), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6044), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6047), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4771), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4769), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6050), 1,
      anon_sym_LT,
    STATE(2444), 1,
      sym_template_argument_list,
    ACTIONS(4513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4520), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [16054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      sym_identifier,
    STATE(2396), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4783), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4781), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(2444), 1,
      sym_template_argument_list,
    ACTIONS(4972), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3794), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [16204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6037), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6037), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5368), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2392), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6055), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2406), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5324), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6037), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5304), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6059), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5034), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5036), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    STATE(2433), 1,
      sym_decltype_auto,
    ACTIONS(4907), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4905), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 1,
      sym_identifier,
    STATE(2399), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4789), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4787), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      sym_identifier,
    ACTIONS(6068), 1,
      sym_primitive_type,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6066), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5084), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5086), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [16929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4928), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym_primitive_type,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5467), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5012), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5015), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [17069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4532), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4536), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4540), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4479), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [17475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4822), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17542] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 1,
      sym_identifier,
    ACTIONS(6074), 1,
      sym_primitive_type,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5086), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5084), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5200), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4495), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4940), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6076), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5015), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5012), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4501), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4830), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4940), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4505), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6081), 1,
      anon_sym_COLON,
    STATE(2558), 1,
      sym__enum_base_clause,
    STATE(2656), 1,
      sym_enumerator_list,
    STATE(2785), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5643), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4944), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4915), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [18372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5188), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5234), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5232), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4585), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18573] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6087), 1,
      sym_virtual,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2458), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6085), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6083), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4917), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4919), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5220), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6089), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(4513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4520), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [18867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2402), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6059), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4917), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4919), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    STATE(2507), 1,
      sym_enumerator_list,
    STATE(2651), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5343), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5056), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5054), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4950), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4948), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4585), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [19283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5110), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5126), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5130), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5224), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    STATE(2515), 1,
      sym_enumerator_list,
    STATE(2700), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5349), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4940), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6087), 1,
      sym_virtual,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2458), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6096), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6094), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [19778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4960), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4964), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5036), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5034), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4968), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5026), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(6081), 1,
      anon_sym_COLON,
    STATE(2591), 1,
      sym__enum_base_clause,
    STATE(2679), 1,
      sym_enumerator_list,
    STATE(2818), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5637), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20192] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6108), 1,
      anon_sym___attribute__,
    ACTIONS(6111), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym___declspec,
    ACTIONS(6120), 1,
      sym_virtual,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(6117), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2458), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6105), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6100), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6102), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6098), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [20277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4956), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5192), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5212), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5218), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5216), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4976), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(3320), 1,
      sym_attribute_specifier,
    STATE(6408), 1,
      sym_virtual_specifier,
    STATE(7164), 1,
      sym_base_class_clause,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4862), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5180), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4980), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5382), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5004), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4984), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(4972), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3794), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [21107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4850), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5368), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4883), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(6129), 1,
      anon_sym_LPAREN2,
    STATE(2383), 1,
      sym_argument_list,
    STATE(2508), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3712), 1,
      sym_initializer_list,
    ACTIONS(6132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [21393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4883), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2482), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6134), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5318), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2483), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6136), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5324), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6076), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4791), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4793), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [21675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5188), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4915), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [21809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4826), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [21876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5310), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [21947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5304), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2467), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5034), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5036), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(2569), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5376), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5040), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5038), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5176), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5172), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5060), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5058), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5146), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5184), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5210), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5208), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [22633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6142), 1,
      anon_sym_LT,
    STATE(2623), 1,
      sym_template_argument_list,
    ACTIONS(4520), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4513), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2524), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6144), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5326), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [22775] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6146), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
    STATE(2569), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6140), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6142), 1,
      anon_sym_LT,
    STATE(2623), 1,
      sym_template_argument_list,
    ACTIONS(3794), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4972), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [22923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2617), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5493), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    ACTIONS(6148), 1,
      anon_sym_LBRACE,
    ACTIONS(6150), 1,
      anon_sym_COLON,
    STATE(2636), 1,
      sym__enum_base_clause,
    STATE(2745), 1,
      sym_enumerator_list,
    STATE(2913), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5643), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2648), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5489), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2640), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5442), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    ACTIONS(6148), 1,
      anon_sym_LBRACE,
    ACTIONS(6150), 1,
      anon_sym_COLON,
    STATE(2630), 1,
      sym__enum_base_clause,
    STATE(2728), 1,
      sym_enumerator_list,
    STATE(2881), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5637), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2645), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5432), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2658), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2659), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5474), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4585), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [23565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2701), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5463), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2695), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5485), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5384), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [23775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4915), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2694), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5414), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2692), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5396), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23981] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      sym_auto,
    ACTIONS(6160), 1,
      anon_sym_decltype,
    STATE(2798), 1,
      sym_new_declarator,
    STATE(2853), 1,
      sym_decltype_auto,
    STATE(3303), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5206), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4883), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4883), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2685), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5455), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    STATE(2683), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5459), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2467), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6138), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4883), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6162), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4791), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4585), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [24611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      sym_auto,
    ACTIONS(6160), 1,
      anon_sym_decltype,
    STATE(2788), 1,
      sym_new_declarator,
    STATE(2853), 1,
      sym_decltype_auto,
    STATE(3190), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5144), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2527), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6165), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5318), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5320), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5036), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5034), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5304), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5306), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24903] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5275), 1,
      anon_sym_STAR,
    ACTIONS(5277), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5279), 1,
      anon_sym_AMP,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5969), 1,
      sym__declarator,
    STATE(6012), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6167), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [25017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      sym_auto,
    ACTIONS(6160), 1,
      anon_sym_decltype,
    STATE(2852), 1,
      sym_new_declarator,
    STATE(2853), 1,
      sym_decltype_auto,
    STATE(3207), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5044), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5310), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5312), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [25169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2519), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6152), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5368), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5370), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [25239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [25305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4917), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4919), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [25373] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5275), 1,
      anon_sym_STAR,
    ACTIONS(5277), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5279), 1,
      anon_sym_AMP,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5965), 1,
      sym__declarator,
    STATE(6005), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5287), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [25487] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      sym_auto,
    ACTIONS(6160), 1,
      anon_sym_decltype,
    STATE(2804), 1,
      sym_new_declarator,
    STATE(2853), 1,
      sym_decltype_auto,
    STATE(3174), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4534), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [25634] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6169), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6171), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25808] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25903] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    STATE(2609), 1,
      sym_decltype_auto,
    ACTIONS(4905), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4907), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26065] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4883), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4970), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4958), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4926), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2572), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6207), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5034), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5036), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1550), 1,
      sym_string_literal,
    ACTIONS(6213), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [26550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4978), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6215), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5304), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6215), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5310), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5036), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5148), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2508), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [26952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4493), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27017] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6217), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6219), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4501), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4499), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27191] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6227), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6221), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6225), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27304] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6229), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6231), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27413] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6227), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6233), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6235), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    STATE(2596), 1,
      sym_enumerator_list,
    STATE(2822), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4477), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [27664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2547), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6237), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5324), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27733] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2548), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6239), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5318), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5112), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27964] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6227), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6017), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6019), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4503), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28142] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(5792), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1547), 1,
      sym_string_literal,
    ACTIONS(6213), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [28316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5263), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5261), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [28381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6215), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5368), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6146), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
    ACTIONS(4972), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3794), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4530), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2478), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6215), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4538), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4928), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4930), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28787] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_or,
    ACTIONS(6199), 1,
      anon_sym_and,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6243), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6247), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      sym_auto,
    ACTIONS(6251), 1,
      anon_sym_decltype,
    STATE(2868), 1,
      sym_new_declarator,
    STATE(2931), 1,
      sym_decltype_auto,
    STATE(3382), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5044), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1551), 1,
      sym_string_literal,
    ACTIONS(6213), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [29176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1548), 1,
      sym_string_literal,
    ACTIONS(6213), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [29245] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6253), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
    ACTIONS(4513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4520), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29316] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29415] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29500] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6191), 1,
      anon_sym_GT_EQ,
    ACTIONS(6195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6201), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6173), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6181), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6185), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6187), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29765] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6247), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      sym_auto,
    ACTIONS(6251), 1,
      anon_sym_decltype,
    STATE(2931), 1,
      sym_decltype_auto,
    STATE(2963), 1,
      sym_new_declarator,
    STATE(3409), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5206), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6247), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      sym_auto,
    ACTIONS(6251), 1,
      anon_sym_decltype,
    STATE(2931), 1,
      sym_decltype_auto,
    STATE(2975), 1,
      sym_new_declarator,
    STATE(3362), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5124), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29927] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6247), 1,
      anon_sym_LBRACK,
    ACTIONS(6249), 1,
      sym_auto,
    ACTIONS(6251), 1,
      anon_sym_decltype,
    STATE(2931), 1,
      sym_decltype_auto,
    STATE(2967), 1,
      sym_new_declarator,
    STATE(3395), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5144), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [30008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    STATE(2688), 1,
      sym_enumerator_list,
    STATE(2823), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5349), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4540), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4881), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [30276] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6256), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [30366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6260), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2821), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5485), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2630), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5802), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [30626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5174), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5977), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [30754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5178), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5182), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4917), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4919), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4578), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [31012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2810), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5186), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2808), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5396), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    STATE(2786), 1,
      sym__enum_base_clause,
    STATE(2922), 1,
      sym_enumerator_list,
    STATE(3146), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5643), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5234), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4930), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6268), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31480] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6270), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [31570] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5527), 1,
      anon_sym_STAR,
    ACTIONS(5529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5531), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5965), 1,
      sym__declarator,
    STATE(6249), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5287), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2837), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2779), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5489), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31818] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6272), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [31908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4966), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2789), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5493), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4883), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4881), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [32106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4536), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4962), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32234] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6274), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [32324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4585), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5228), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [32452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5056), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32516] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2836), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4942), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4915), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4915), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32776] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    ACTIONS(6148), 1,
      anon_sym_LBRACE,
    STATE(2715), 1,
      sym_enumerator_list,
    STATE(2949), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5349), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4946), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(6264), 1,
      anon_sym_COLON,
    STATE(2793), 1,
      sym__enum_base_clause,
    STATE(2959), 1,
      sym_enumerator_list,
    STATE(3287), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5637), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5953), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [33118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4942), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    ACTIONS(6148), 1,
      anon_sym_LBRACE,
    STATE(2726), 1,
      sym_enumerator_list,
    STATE(2871), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5343), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5263), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4982), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5006), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2562), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [33640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6276), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [33794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5040), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4942), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6278), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6280), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [33986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4950), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4532), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4505), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5060), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4501), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4495), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4479), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [34498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2819), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5432), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5190), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5210), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5222), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4540), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4536), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4532), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4505), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4495), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4479), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35206] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5596), 1,
      anon_sym_STAR,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5969), 1,
      sym__declarator,
    STATE(6244), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6167), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [35318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5190), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4580), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5202), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6286), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [35704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6292), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5915), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [35896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5904), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [35960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [36024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2824), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5463), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6296), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(5156), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5158), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5028), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4917), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [36418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4986), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2572), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6207), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4930), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2782), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5455), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36682] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6298), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [36772] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5527), 1,
      anon_sym_STAR,
    ACTIONS(5529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5531), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5969), 1,
      sym__declarator,
    STATE(6246), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6167), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [36884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5218), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5214), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2816), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5442), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5194), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5226), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37208] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5852), 1,
      sym_auto,
    ACTIONS(5854), 1,
      anon_sym_decltype,
    ACTIONS(5856), 1,
      sym_virtual,
    ACTIONS(6300), 1,
      anon_sym_SEMI,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2435), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4891), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4889), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5848), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [37298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym___attribute__,
    STATE(2777), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5459), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37366] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5596), 1,
      anon_sym_STAR,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5965), 1,
      sym__declarator,
    STATE(6259), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5287), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4883), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [37542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5132), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5128), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LPAREN2,
    ACTIONS(6304), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LBRACK,
    STATE(3005), 1,
      sym_parameter_list,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5418), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5420), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5112), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LPAREN2,
    ACTIONS(6304), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LBRACK,
    STATE(3005), 1,
      sym_parameter_list,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5426), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5428), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37879] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6167), 1,
      anon_sym_RPAREN,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6065), 1,
      sym__declarator,
    STATE(6244), 1,
      sym__abstract_declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4970), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38053] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LPAREN2,
    ACTIONS(6304), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LBRACK,
    STATE(3005), 1,
      sym_parameter_list,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5422), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38126] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6308), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [38207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      sym_auto,
    ACTIONS(6316), 1,
      anon_sym_decltype,
    STATE(3232), 1,
      sym_new_declarator,
    STATE(3269), 1,
      sym_decltype_auto,
    STATE(3575), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5144), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5036), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38349] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6229), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38458] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6350), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [38539] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6352), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [38620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2990), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5459), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2976), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5455), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38754] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6354), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [38835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LPAREN2,
    ACTIONS(6304), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LBRACK,
    STATE(3005), 1,
      sym_parameter_list,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5398), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5400), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4877), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4879), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3778), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [38975] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6017), 1,
      anon_sym_EQ,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    ACTIONS(6356), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6019), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39088] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6221), 1,
      anon_sym_EQ,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    ACTIONS(6356), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6225), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39201] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6358), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6360), 1,
      anon_sym_COMMA,
    ACTIONS(6362), 1,
      anon_sym_RPAREN,
    ACTIONS(6364), 1,
      anon_sym_DASH,
    ACTIONS(6366), 1,
      anon_sym_PLUS,
    ACTIONS(6368), 1,
      anon_sym_STAR,
    ACTIONS(6370), 1,
      anon_sym_SLASH,
    ACTIONS(6372), 1,
      anon_sym_PERCENT,
    ACTIONS(6374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6378), 1,
      anon_sym_PIPE,
    ACTIONS(6380), 1,
      anon_sym_CARET,
    ACTIONS(6382), 1,
      anon_sym_AMP,
    ACTIONS(6384), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6386), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6388), 1,
      anon_sym_GT,
    ACTIONS(6390), 1,
      anon_sym_GT_EQ,
    ACTIONS(6392), 1,
      anon_sym_LT_EQ,
    ACTIONS(6394), 1,
      anon_sym_LT,
    ACTIONS(6396), 1,
      anon_sym_LT_LT,
    ACTIONS(6398), 1,
      anon_sym_GT_GT,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_EQ,
    ACTIONS(6404), 1,
      anon_sym_QMARK,
    ACTIONS(6406), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6408), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6410), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6412), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6414), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6416), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6418), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6420), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6422), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6424), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6430), 1,
      anon_sym_or,
    ACTIONS(6432), 1,
      anon_sym_and,
    ACTIONS(6434), 1,
      anon_sym_bitor,
    ACTIONS(6436), 1,
      anon_sym_xor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    ACTIONS(6440), 1,
      anon_sym_not_eq,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2960), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5396), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39429] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [39512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4958), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2955), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2954), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5485), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6169), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2944), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5463), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39885] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4527), 1,
      anon_sym_LT,
    STATE(2670), 1,
      sym_template_argument_list,
    ACTIONS(4522), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39956] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [40037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    STATE(2489), 1,
      sym_attribute_specifier,
    STATE(2943), 1,
      sym_enumerator_list,
    ACTIONS(5343), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5341), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [40108] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6452), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [40189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2910), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5474), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40256] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [40341] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6233), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    ACTIONS(6356), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [40543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(5156), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40673] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [40764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2988), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [40831] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [40926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      sym_auto,
    ACTIONS(6316), 1,
      anon_sym_decltype,
    STATE(3269), 1,
      sym_decltype_auto,
    STATE(3300), 1,
      sym_new_declarator,
    STATE(3641), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41070] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      sym_auto,
    ACTIONS(6316), 1,
      anon_sym_decltype,
    STATE(3269), 1,
      sym_decltype_auto,
    STATE(3335), 1,
      sym_new_declarator,
    STATE(3656), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5044), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2872), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5432), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2882), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5442), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41283] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6241), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [41489] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6454), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [41570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [41633] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6217), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4926), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LPAREN2,
    ACTIONS(6304), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_LBRACK,
    STATE(3005), 1,
      sym_parameter_list,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5408), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5410), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41878] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6358), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6360), 1,
      anon_sym_COMMA,
    ACTIONS(6364), 1,
      anon_sym_DASH,
    ACTIONS(6366), 1,
      anon_sym_PLUS,
    ACTIONS(6368), 1,
      anon_sym_STAR,
    ACTIONS(6370), 1,
      anon_sym_SLASH,
    ACTIONS(6372), 1,
      anon_sym_PERCENT,
    ACTIONS(6374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6378), 1,
      anon_sym_PIPE,
    ACTIONS(6380), 1,
      anon_sym_CARET,
    ACTIONS(6382), 1,
      anon_sym_AMP,
    ACTIONS(6384), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6386), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6388), 1,
      anon_sym_GT,
    ACTIONS(6390), 1,
      anon_sym_GT_EQ,
    ACTIONS(6392), 1,
      anon_sym_LT_EQ,
    ACTIONS(6394), 1,
      anon_sym_LT,
    ACTIONS(6396), 1,
      anon_sym_LT_LT,
    ACTIONS(6398), 1,
      anon_sym_GT_GT,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_EQ,
    ACTIONS(6404), 1,
      anon_sym_QMARK,
    ACTIONS(6406), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6408), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6410), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6412), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6414), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6416), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6418), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6420), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6422), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6424), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6430), 1,
      anon_sym_or,
    ACTIONS(6432), 1,
      anon_sym_and,
    ACTIONS(6434), 1,
      anon_sym_bitor,
    ACTIONS(6436), 1,
      anon_sym_xor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    ACTIONS(6440), 1,
      anon_sym_not_eq,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6456), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4623), 1,
      anon_sym_LT,
    STATE(2835), 1,
      sym_template_argument_list,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2908), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5489), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42177] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42278] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    STATE(2447), 1,
      sym_attribute_specifier,
    STATE(2929), 1,
      sym_enumerator_list,
    ACTIONS(5349), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5347), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [42454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym___attribute__,
    STATE(2914), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5493), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4978), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5148), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42789] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6358), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6360), 1,
      anon_sym_COMMA,
    ACTIONS(6364), 1,
      anon_sym_DASH,
    ACTIONS(6366), 1,
      anon_sym_PLUS,
    ACTIONS(6368), 1,
      anon_sym_STAR,
    ACTIONS(6370), 1,
      anon_sym_SLASH,
    ACTIONS(6372), 1,
      anon_sym_PERCENT,
    ACTIONS(6374), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6378), 1,
      anon_sym_PIPE,
    ACTIONS(6380), 1,
      anon_sym_CARET,
    ACTIONS(6382), 1,
      anon_sym_AMP,
    ACTIONS(6384), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6386), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6388), 1,
      anon_sym_GT,
    ACTIONS(6390), 1,
      anon_sym_GT_EQ,
    ACTIONS(6392), 1,
      anon_sym_LT_EQ,
    ACTIONS(6394), 1,
      anon_sym_LT,
    ACTIONS(6396), 1,
      anon_sym_LT_LT,
    ACTIONS(6398), 1,
      anon_sym_GT_GT,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6402), 1,
      anon_sym_EQ,
    ACTIONS(6404), 1,
      anon_sym_QMARK,
    ACTIONS(6406), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6408), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6410), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6412), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6414), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6416), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6418), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6420), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6422), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6424), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6430), 1,
      anon_sym_or,
    ACTIONS(6432), 1,
      anon_sym_and,
    ACTIONS(6434), 1,
      anon_sym_bitor,
    ACTIONS(6436), 1,
      anon_sym_xor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    ACTIONS(6440), 1,
      anon_sym_not_eq,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6458), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6158), 1,
      sym_auto,
    ACTIONS(6160), 1,
      anon_sym_decltype,
    STATE(2853), 1,
      sym_decltype_auto,
    ACTIONS(4905), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4907), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43019] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      sym_auto,
    ACTIONS(6316), 1,
      anon_sym_decltype,
    STATE(3158), 1,
      sym_new_declarator,
    STATE(3269), 1,
      sym_decltype_auto,
    STATE(3625), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5206), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43098] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [43179] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 1,
      anon_sym_RPAREN,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6020), 1,
      sym__declarator,
    STATE(6259), 1,
      sym__abstract_declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43290] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5945), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2850), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3793), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5036), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43460] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6211), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2806), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3763), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43568] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN2,
    ACTIONS(6480), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(3244), 1,
      sym_parameter_list,
    STATE(2983), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5422), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5424), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [43640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN2,
    ACTIONS(6480), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(3244), 1,
      sym_parameter_list,
    STATE(2983), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5418), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5420), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [43712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5028), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4946), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4950), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44022] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5766), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4986), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44254] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3765), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6506), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6504), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6502), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [44428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4962), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44490] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2961), 1,
      sym_enumerator_list,
    STATE(3268), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5343), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN2,
    ACTIONS(6480), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(3244), 1,
      sym_parameter_list,
    STATE(2983), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5408), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5410), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    STATE(3288), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5576), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5578), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4966), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5263), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3768), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [44896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2842), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5602), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5604), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44962] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    STATE(2974), 1,
      sym_enumerator_list,
    STATE(3153), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5349), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5182), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6514), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6512), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6510), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [45160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(3150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [45232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5819), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    STATE(3295), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5613), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45408] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6078), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2864), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3759), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45516] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6020), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3766), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45688] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5788), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6530), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6528), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6526), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [45862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    STATE(3270), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5562), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5564), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45930] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5794), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6209), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5214), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46270] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN2,
    ACTIONS(6480), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(3244), 1,
      sym_parameter_list,
    STATE(2983), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5426), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5428), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5194), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46404] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5788), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46512] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5737), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3779), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4855), 1,
      anon_sym_LT,
    STATE(2987), 1,
      sym_template_argument_list,
    ACTIONS(4522), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46690] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5965), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2833), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3769), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46798] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(6534), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3724), 1,
      sym_template_argument_list,
    ACTIONS(3791), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3776), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [46874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4982), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_LPAREN2,
    ACTIONS(6480), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(3244), 1,
      sym_parameter_list,
    STATE(2983), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5398), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5400), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [47008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5006), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5040), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6537), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3564), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3562), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5132), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5128), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2409), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47516] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5819), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2812), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47624] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2409), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5156), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5158), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5186), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5190), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47818] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47926] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6194), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2854), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3768), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4926), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48096] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5969), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6020), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3766), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5190), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48562] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5798), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2797), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3790), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48670] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6020), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2783), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5178), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2842), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5533), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5535), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5112), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48968] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6078), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2834), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5174), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6249), 1,
      sym_auto,
    ACTIONS(6251), 1,
      anon_sym_decltype,
    STATE(2931), 1,
      sym_decltype_auto,
    ACTIONS(4905), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4907), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [49206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6546), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6544), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6542), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [49272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5202), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3794), 1,
      anon_sym_SEMI,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3768), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [49408] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5965), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3769), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49516] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6575), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4501), 1,
      sym__function_attributes_start,
    STATE(4673), 1,
      sym_ref_qualifier,
    STATE(5467), 1,
      sym__function_attributes_end,
    STATE(5614), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6568), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4991), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    STATE(3187), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5540), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5542), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5234), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49758] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6211), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3763), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4970), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4958), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49990] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6580), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4493), 1,
      sym__function_attributes_start,
    STATE(4649), 1,
      sym_ref_qualifier,
    STATE(5477), 1,
      sym__function_attributes_end,
    STATE(5610), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4990), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6582), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3590), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3588), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5148), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4978), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50478] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6020), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_const,
    ACTIONS(4589), 1,
      anon_sym_AMP,
    ACTIONS(4582), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4587), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4585), 17,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4580), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(4928), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [50718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    STATE(3393), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5540), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5542), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [50846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5190), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2409), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5156), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5040), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(3143), 1,
      sym_template_argument_list,
    ACTIONS(5659), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5661), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51165] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [51246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5947), 1,
      anon_sym_LT,
    STATE(3143), 1,
      sym_template_argument_list,
    ACTIONS(5649), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5651), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51313] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [51392] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [51475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [51562] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [51651] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [51744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5006), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4982), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51866] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51947] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [52042] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      anon_sym_EQ,
    ACTIONS(6358), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_QMARK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6225), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [52153] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52232] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(5790), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [52331] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52414] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(5790), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [52517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52604] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5790), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [52679] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [52768] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [52861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5467), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5012), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5015), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [52928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [53005] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [53100] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(5790), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53199] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2456), 1,
      sym_attribute_specifier,
    ACTIONS(5459), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5457), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [53367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3313), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5493), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3319), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5489), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53497] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6017), 1,
      anon_sym_EQ,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6646), 1,
      anon_sym_QMARK,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6019), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4942), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4942), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6650), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4921), 1,
      anon_sym_LT,
    STATE(3115), 1,
      sym_template_argument_list,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4950), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4942), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(4881), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [54167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2461), 1,
      sym_attribute_specifier,
    ACTIONS(5396), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5394), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4962), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4966), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2453), 1,
      sym_attribute_specifier,
    ACTIONS(5493), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5491), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2460), 1,
      sym_attribute_specifier,
    ACTIONS(5414), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5412), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54484] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6654), 1,
      anon_sym___attribute__,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6669), 1,
      anon_sym_requires,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4573), 1,
      sym__function_attributes_start,
    STATE(4707), 1,
      sym_ref_qualifier,
    STATE(5373), 1,
      sym__function_attributes_end,
    STATE(5389), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4994), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [54595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5190), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54656] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [54733] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6169), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6171), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3289), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5442), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3272), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5432), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5263), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3259), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3258), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5474), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5202), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2927), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5533), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5535), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6217), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6219), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2469), 1,
      sym_attribute_specifier,
    ACTIONS(5455), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5453), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [55459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6241), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6243), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5234), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55627] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_EQ,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6358), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_QMARK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6019), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [55738] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6229), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6231), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [55845] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6221), 1,
      anon_sym_EQ,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6646), 1,
      anon_sym_QMARK,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6225), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_LT,
    STATE(1606), 1,
      sym_template_argument_list,
    ACTIONS(5770), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56021] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6229), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6231), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5186), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5182), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5178), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_const,
    ACTIONS(4589), 1,
      anon_sym_AMP,
    ACTIONS(4582), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4587), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4585), 17,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4580), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_LT,
    STATE(2835), 1,
      sym_template_argument_list,
    ACTIONS(5770), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5174), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2448), 1,
      sym_attribute_specifier,
    ACTIONS(5485), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5483), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [56571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5128), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56632] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6169), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6171), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(4520), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4513), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [56806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2437), 1,
      sym_attribute_specifier,
    ACTIONS(5474), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5472), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [56871] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2409), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5132), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2492), 1,
      sym_attribute_specifier,
    ACTIONS(5481), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5479), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [57066] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6217), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6219), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [57173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2446), 1,
      sym_attribute_specifier,
    ACTIONS(5463), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5461), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [57238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2443), 1,
      sym_attribute_specifier,
    ACTIONS(5489), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5487), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [57303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5226), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5194), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5768), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [57498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57559] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5794), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5796), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [57634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3154), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5463), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5214), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3148), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5485), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3191), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5414), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    STATE(3431), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3169), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5396), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58022] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5748), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5750), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [58097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2466), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5440), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [58162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    STATE(3418), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5576), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5578), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [58229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5742), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5744), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [58304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5218), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(3794), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4972), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [58432] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6241), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6243), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5732), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5734), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [58612] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6233), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6626), 1,
      anon_sym_GT_EQ,
    ACTIONS(6630), 1,
      anon_sym_AMP,
    ACTIONS(6632), 1,
      anon_sym_bitand,
    ACTIONS(6636), 1,
      anon_sym_PIPE,
    ACTIONS(6638), 1,
      anon_sym_bitor,
    ACTIONS(6640), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6642), 1,
      anon_sym_and,
    ACTIONS(6644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6646), 1,
      anon_sym_QMARK,
    ACTIONS(6648), 1,
      anon_sym_or,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6634), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6604), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6624), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6628), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6235), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3314), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5455), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    STATE(3408), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5562), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5564), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [58855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4986), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym___attribute__,
    STATE(3160), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5459), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_new_declarator,
    ACTIONS(5655), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5657), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LT,
    STATE(1497), 1,
      sym_template_argument_list,
    ACTIONS(5770), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59111] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6233), 1,
      anon_sym_EQ,
    ACTIONS(6358), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_QMARK,
    ACTIONS(6428), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6594), 1,
      anon_sym_GT_EQ,
    ACTIONS(6598), 1,
      anon_sym_AMP,
    ACTIONS(6600), 1,
      anon_sym_bitand,
    ACTIONS(6610), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6612), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6614), 1,
      anon_sym_PIPE,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6588), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6608), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6586), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6592), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6596), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6235), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [59222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LT,
    STATE(2670), 1,
      sym_template_argument_list,
    ACTIONS(5770), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6480), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2927), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5602), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5604), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6681), 1,
      sym_identifier,
    ACTIONS(6685), 1,
      sym_primitive_type,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6683), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5084), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5086), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [59482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59545] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6654), 1,
      anon_sym___attribute__,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4574), 1,
      sym__function_attributes_start,
    STATE(4698), 1,
      sym_ref_qualifier,
    STATE(5413), 1,
      sym__function_attributes_end,
    STATE(5420), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4997), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [59656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5210), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59780] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6442), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5694), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5696), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5028), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    STATE(2486), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5430), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [59981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6691), 1,
      sym_identifier,
    STATE(3053), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5364), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5366), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4789), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4787), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_namespace,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6695), 1,
      anon_sym_COLON,
    STATE(2452), 1,
      sym_attribute_specifier,
    STATE(2731), 1,
      sym__enum_base_clause,
    STATE(2991), 1,
      sym_enumerator_list,
    ACTIONS(5643), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5641), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [60303] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_QMARK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6017), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6019), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [60411] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6743), 1,
      anon_sym_RPAREN,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [60567] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4577), 1,
      sym__function_attributes_start,
    STATE(4745), 1,
      sym_ref_qualifier,
    STATE(5440), 1,
      sym_trailing_return_type,
    STATE(5511), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5033), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5590), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60737] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6169), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [60841] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3778), 1,
      sym_field_declaration_list,
    STATE(3860), 1,
      sym_attribute_specifier,
    STATE(6550), 1,
      sym_virtual_specifier,
    STATE(7224), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4862), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5586), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5608), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61097] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5790), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [61193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61255] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6834), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [61411] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [61485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5582), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_literal_suffix,
    ACTIONS(3778), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61607] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [61707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_LT,
    STATE(1511), 1,
      sym_template_argument_list,
    ACTIONS(5770), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_LT,
    STATE(1625), 1,
      sym_template_argument_list,
    ACTIONS(5770), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LT,
    STATE(1510), 1,
      sym_template_argument_list,
    ACTIONS(5770), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5732), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5734), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [61971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62091] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6241), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [62195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6839), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [62257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [62379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62439] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [62531] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [62621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5742), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5744), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [62815] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5748), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5750), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [62889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [62975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5766), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5768), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [63047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63107] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63191] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6843), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [63347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6845), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [63409] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63491] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63569] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6847), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4605), 1,
      sym__function_attributes_start,
    STATE(4739), 1,
      sym_ref_qualifier,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5503), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5011), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [63679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6850), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [63741] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63821] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5694), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5696), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5112), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6854), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6852), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [64015] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4584), 1,
      sym__function_attributes_start,
    STATE(4726), 1,
      sym_ref_qualifier,
    STATE(5420), 1,
      sym_trailing_return_type,
    STATE(5522), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5032), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [64125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5766), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5768), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5718), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64257] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5748), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5750), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [64331] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5742), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5744), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [64405] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6241), 1,
      anon_sym_EQ,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [64511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5732), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5734), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [64645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(5236), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 1,
      sym_identifier,
    STATE(3118), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5364), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5366), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4783), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4781), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6900), 1,
      anon_sym_namespace,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [64841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4926), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(5236), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64967] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6695), 1,
      anon_sym_COLON,
    STATE(2468), 1,
      sym_attribute_specifier,
    STATE(2759), 1,
      sym__enum_base_clause,
    STATE(2952), 1,
      sym_enumerator_list,
    ACTIONS(5637), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5635), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [65039] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6217), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65143] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6902), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [65299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3768), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [65369] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_QMARK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6221), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6225), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65477] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6229), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5148), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65641] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6169), 1,
      anon_sym_EQ,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65747] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6017), 1,
      anon_sym_EQ,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    ACTIONS(6906), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6019), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65857] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6908), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5036), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66073] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [66149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [66225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [66285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_LBRACK,
    STATE(3245), 1,
      sym_new_declarator,
    ACTIONS(5655), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5657), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66349] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6910), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66505] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6912), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66661] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6697), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_QMARK,
    ACTIONS(6723), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_or,
    ACTIONS(6727), 1,
      anon_sym_and,
    ACTIONS(6729), 1,
      anon_sym_bitor,
    ACTIONS(6731), 1,
      anon_sym_bitand,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6233), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6699), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6701), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [66769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4978), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66829] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [66903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(3286), 1,
      sym_template_argument_list,
    ACTIONS(5659), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5661), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [66969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5594), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67029] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [67131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67191] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [67289] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [67383] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [67475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5517), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67535] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [67623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5236), 1,
      anon_sym_LPAREN2,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5525), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5236), 1,
      anon_sym_LPAREN2,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5521), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68025] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68107] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6836), 1,
      anon_sym_LT,
    STATE(2987), 1,
      sym_template_argument_list,
    ACTIONS(5770), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68309] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68389] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5694), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5696), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68523] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6217), 1,
      anon_sym_EQ,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68629] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6221), 1,
      anon_sym_EQ,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    ACTIONS(6906), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6225), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_literal_suffix,
    ACTIONS(5156), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5158), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(3286), 1,
      sym_template_argument_list,
    ACTIONS(5649), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5651), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5868), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68927] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6229), 1,
      anon_sym_EQ,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5904), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69093] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6233), 1,
      anon_sym_EQ,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6876), 1,
      anon_sym_AMP,
    ACTIONS(6882), 1,
      anon_sym_GT_EQ,
    ACTIONS(6886), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6888), 1,
      anon_sym_or,
    ACTIONS(6890), 1,
      anon_sym_and,
    ACTIONS(6892), 1,
      anon_sym_bitor,
    ACTIONS(6894), 1,
      anon_sym_bitand,
    ACTIONS(6906), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6874), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6884), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6878), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6880), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69203] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4589), 1,
      sym__function_attributes_start,
    STATE(4743), 1,
      sym_ref_qualifier,
    STATE(5420), 1,
      sym_trailing_return_type,
    STATE(5439), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6914), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5030), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [69313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6919), 1,
      anon_sym_namespace,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [69375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(3359), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5376), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69443] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4585), 1,
      sym__function_attributes_start,
    STATE(4719), 1,
      sym_ref_qualifier,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5379), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6914), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5010), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [69553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6733), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5794), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5796), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [69627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4958), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5570), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6925), 1,
      anon_sym_LPAREN2,
    STATE(2508), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3595), 1,
      sym_initializer_list,
    ACTIONS(6132), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4928), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [69819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4580), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6209), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [69941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4970), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70001] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6928), 1,
      sym_identifier,
    STATE(3118), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6931), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6934), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4771), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4769), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5574), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5236), 1,
      anon_sym_LPAREN2,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5242), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3618), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70319] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4594), 1,
      sym__function_attributes_start,
    STATE(4721), 1,
      sym_ref_qualifier,
    STATE(5357), 1,
      sym__function_attributes_end,
    STATE(5440), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6914), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5019), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [70429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 1,
      anon_sym_namespace,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [70491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(5156), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3192), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [70613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 1,
      sym_auto,
    ACTIONS(6316), 1,
      anon_sym_decltype,
    STATE(3269), 1,
      sym_decltype_auto,
    ACTIONS(4905), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4907), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(4930), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [70801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5786), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70861] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6669), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4607), 1,
      sym__function_attributes_start,
    STATE(4758), 1,
      sym_ref_qualifier,
    STATE(5389), 1,
      sym_trailing_return_type,
    STATE(5546), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [70971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71033] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6223), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6326), 1,
      anon_sym_PIPE,
    ACTIONS(6330), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_GT_EQ,
    ACTIONS(6340), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6342), 1,
      anon_sym_or,
    ACTIONS(6344), 1,
      anon_sym_and,
    ACTIONS(6346), 1,
      anon_sym_bitor,
    ACTIONS(6348), 1,
      anon_sym_bitand,
    ACTIONS(6356), 1,
      anon_sym_QMARK,
    ACTIONS(6458), 1,
      anon_sym_RPAREN,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(6941), 1,
      anon_sym_EQ,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6318), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6328), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6338), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6320), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6332), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6334), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6426), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [71147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71209] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6943), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6945), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71427] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6669), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4604), 1,
      sym__function_attributes_start,
    STATE(4728), 1,
      sym_ref_qualifier,
    STATE(5389), 1,
      sym_trailing_return_type,
    STATE(5417), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6914), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5018), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [71537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(4930), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [71601] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6446), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6448), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6741), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_DASH,
    ACTIONS(6747), 1,
      anon_sym_PLUS,
    ACTIONS(6749), 1,
      anon_sym_STAR,
    ACTIONS(6751), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      anon_sym_PERCENT,
    ACTIONS(6755), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6757), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6759), 1,
      anon_sym_PIPE,
    ACTIONS(6761), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6765), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6767), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6769), 1,
      anon_sym_GT,
    ACTIONS(6771), 1,
      anon_sym_GT_EQ,
    ACTIONS(6773), 1,
      anon_sym_LT_EQ,
    ACTIONS(6775), 1,
      anon_sym_LT,
    ACTIONS(6777), 1,
      anon_sym_LT_LT,
    ACTIONS(6779), 1,
      anon_sym_GT_GT,
    ACTIONS(6781), 1,
      anon_sym_EQ,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6785), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6787), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6789), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6791), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6793), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6795), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6797), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6799), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6801), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6803), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6807), 1,
      anon_sym_or,
    ACTIONS(6809), 1,
      anon_sym_and,
    ACTIONS(6811), 1,
      anon_sym_bitor,
    ACTIONS(6813), 1,
      anon_sym_xor,
    ACTIONS(6815), 1,
      anon_sym_bitand,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6947), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      sym__binary_fold_operator,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    STATE(7918), 1,
      sym__fold_operator,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71757] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5700), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5794), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5796), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [71831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6284), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5682), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5684), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3638), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5586), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4962), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      anon_sym_LT,
    STATE(3115), 1,
      sym_template_argument_list,
    ACTIONS(5770), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5370), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5368), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [72437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5132), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5128), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6956), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5706), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(3754), 1,
      sym_field_declaration_list,
    STATE(6510), 1,
      sym_virtual_specifier,
    STATE(7263), 1,
      sym_base_class_clause,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(4862), 38,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [72868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    STATE(3540), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5888), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5028), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4735), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73110] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6534), 1,
      anon_sym_LBRACK,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3816), 1,
      sym_template_argument_list,
    ACTIONS(3791), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(3768), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [73183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [73246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4711), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4719), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5718), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5214), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5921), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5939), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5941), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3618), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5263), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6209), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [74072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5582), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3236), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5320), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6958), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5318), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [74194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5590), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3254), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5326), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6960), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5324), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [74316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6282), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [74434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5963), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5959), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3638), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1880), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5929), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5194), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5517), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5525), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5955), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75083] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6962), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    STATE(1856), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3776), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [75152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5594), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5521), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(4520), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4513), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [75335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3616), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [75453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3163), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4928), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6964), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [75516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4727), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3163), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5034), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6964), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5036), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [75756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4715), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5975), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4731), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_EQ,
    ACTIONS(5362), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4727), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4750), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76291] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4644), 1,
      sym__function_attributes_start,
    STATE(4778), 1,
      sym_ref_qualifier,
    STATE(5659), 1,
      sym__function_attributes_end,
    STATE(5710), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5037), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6970), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6974), 1,
      anon_sym_or,
    ACTIONS(6976), 1,
      anon_sym_and,
    ACTIONS(5672), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5674), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6985), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6981), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(6988), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(6978), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
  [76532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4742), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6972), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6976), 1,
      anon_sym_and,
    ACTIONS(5617), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5619), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2502), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4746), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4822), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [76892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    ACTIONS(5158), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5156), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [76953] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3778), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [77014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4754), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1876), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    STATE(3533), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5576), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5578), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3636), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [77492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5714), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5312), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5310), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [77673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5174), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5178), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5182), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5186), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5608), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5779), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4754), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78263] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4643), 1,
      sym__function_attributes_start,
    STATE(4915), 1,
      sym_ref_qualifier,
    STATE(5642), 1,
      sym__function_attributes_end,
    STATE(5718), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6568), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5045), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6286), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [78431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5202), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      sym_identifier,
    STATE(3251), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6996), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6999), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4771), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4769), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78616] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7002), 1,
      sym_identifier,
    STATE(3339), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4789), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4787), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LT,
    STATE(1522), 1,
      sym_template_argument_list,
    ACTIONS(5770), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5306), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6954), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5304), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [78809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5754), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5190), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5190), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4742), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4830), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [79399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4750), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4826), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [79517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5979), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5234), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5937), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5040), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5688), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5951), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(1856), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5376), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [80056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5846), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5826), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5900), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4515), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5682), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5684), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5006), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4982), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(3794), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4972), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [80949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5999), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5945), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4746), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4723), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5816), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5830), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1876), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5570), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    STATE(3645), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5562), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5564), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5574), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5812), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4723), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5842), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1880), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5917), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4735), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4731), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82194] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7006), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4677), 1,
      sym__function_attributes_start,
    STATE(4793), 1,
      sym_ref_qualifier,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5044), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [82303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4966), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4986), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82421] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    ACTIONS(7011), 1,
      anon_sym_EQ,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3768), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [82494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4715), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4950), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4946), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5872), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 1,
      sym_identifier,
    ACTIONS(7018), 1,
      sym_primitive_type,
    STATE(3334), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7016), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5086), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5084), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5786), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4942), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5904), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7020), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    STATE(3359), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6921), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(3776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4719), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4850), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [83338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4711), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym_primitive_type,
    STATE(1588), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5015), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5012), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6310), 1,
      anon_sym_LPAREN2,
    STATE(3582), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5540), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5542), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5724), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      anon_sym_LT,
    STATE(1788), 1,
      sym_template_argument_list,
    ACTIONS(5770), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83885] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7022), 1,
      sym_identifier,
    STATE(3251), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4783), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4781), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84070] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4655), 1,
      sym__function_attributes_start,
    STATE(4876), 1,
      sym_ref_qualifier,
    STATE(5616), 1,
      sym__function_attributes_end,
    STATE(5797), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [84179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5714), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5904), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4711), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4719), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7026), 1,
      anon_sym_COLON,
    STATE(2452), 1,
      sym_attribute_specifier,
    STATE(2731), 1,
      sym__enum_base_clause,
    STATE(2991), 1,
      sym_enumerator_list,
    ACTIONS(5643), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5641), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [84481] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 1,
      anon_sym_EQ,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6019), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [84587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3354), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7056), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3353), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5318), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5880), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4479), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3390), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7060), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5310), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3390), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7060), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5304), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3363), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7062), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5034), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5036), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4495), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4505), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3390), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7060), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5368), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4532), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4536), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3390), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7060), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5382), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85617] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85689] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_EQ,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [85789] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_EQ,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [85887] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [85981] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [86071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(5792), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [86157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(5792), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [86241] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(5792), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [86321] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [86397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86455] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(5792), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [86533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1876), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4727), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5995), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5975), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1880), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5728), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 1,
      anon_sym_EQ,
    ACTIONS(5302), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7026), 1,
      anon_sym_COLON,
    STATE(2468), 1,
      sym_attribute_specifier,
    STATE(2759), 1,
      sym__enum_base_clause,
    STATE(2952), 1,
      sym_enumerator_list,
    ACTIONS(5637), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5635), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [87129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7020), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    ACTIONS(4972), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(3794), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6019), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87251] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5694), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5696), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [87323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3390), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7064), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4791), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4793), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    ACTIONS(7011), 1,
      anon_sym_EQ,
    STATE(2604), 1,
      sym_template_argument_list,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(3794), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4972), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [87453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5963), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5933), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87569] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6169), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [87671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5929), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4731), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(4513), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4520), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [87851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7067), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    ACTIONS(4513), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4520), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7072), 1,
      anon_sym_and,
    ACTIONS(5617), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5619), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6007), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5692), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2502), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5692), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5495), 1,
      anon_sym_EQ,
    ACTIONS(5497), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4742), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5692), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4750), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5800), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5812), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5688), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5937), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5997), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5999), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5846), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88967] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5732), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5734), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [89037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89153] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6241), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [89255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5917), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4723), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4754), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3552), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5816), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4746), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5830), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5742), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5744), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90139] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5748), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5750), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [90211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5236), 1,
      anon_sym_LPAREN2,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3770), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [90281] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6217), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [90383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5872), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5951), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5925), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5868), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5804), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90673] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6100), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7080), 1,
      anon_sym___attribute__,
    ACTIONS(7083), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7086), 1,
      anon_sym___declspec,
    ACTIONS(7092), 1,
      sym_virtual,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(7089), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3444), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7077), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7074), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6098), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [90749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2992), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5364), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5366), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5156), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90933] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5768), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [91003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2992), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5364), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5366), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4735), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5892), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4715), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91301] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4683), 1,
      sym__function_attributes_start,
    STATE(4924), 1,
      sym_ref_qualifier,
    STATE(5817), 1,
      sym__function_attributes_end,
    STATE(5959), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5806), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5808), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91467] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7109), 1,
      anon_sym___attribute__,
    ACTIONS(7112), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7115), 1,
      anon_sym___declspec,
    ACTIONS(7121), 1,
      sym_virtual,
    ACTIONS(7124), 1,
      anon_sym_explicit,
    STATE(3126), 1,
      sym_alignas_qualifier,
    ACTIONS(7118), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7101), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7099), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7106), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3456), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7103), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5919), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5921), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5955), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5939), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5941), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5979), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91835] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6225), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [91941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4636), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3770), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [92003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7070), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7072), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7129), 1,
      anon_sym_or,
    ACTIONS(5672), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5674), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5754), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5959), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(4972), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [92307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 1,
      anon_sym_LT,
    STATE(1823), 1,
      sym_template_argument_list,
    ACTIONS(5770), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5945), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92427] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6229), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5888), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92587] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7131), 1,
      anon_sym_requires,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(4679), 1,
      sym__function_attributes_start,
    STATE(4919), 1,
      sym_ref_qualifier,
    STATE(5807), 1,
      sym__function_attributes_end,
    STATE(5980), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6568), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3926), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4135), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5056), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6550), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5884), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92753] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    ACTIONS(6233), 1,
      anon_sym_EQ,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_QMARK,
    ACTIONS(6805), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7036), 1,
      anon_sym_PIPE,
    ACTIONS(7038), 1,
      anon_sym_CARET,
    ACTIONS(7040), 1,
      anon_sym_AMP,
    ACTIONS(7046), 1,
      anon_sym_GT_EQ,
    ACTIONS(7050), 1,
      anon_sym_bitor,
    ACTIONS(7052), 1,
      anon_sym_xor,
    ACTIONS(7054), 1,
      anon_sym_bitand,
    STATE(3147), 1,
      sym_subscript_argument_list,
    STATE(3182), 1,
      sym_argument_list,
    ACTIONS(6444), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6819), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7028), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7032), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7034), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7048), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7030), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7042), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7044), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5864), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 1,
      anon_sym_LBRACK,
    STATE(3506), 1,
      sym_new_declarator,
    ACTIONS(5655), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5657), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5860), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5842), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5838), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5826), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5900), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4883), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4540), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3770), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [93506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4824), 46,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [93563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3363), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7062), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5688), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3973), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4917), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4919), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(3724), 1,
      sym_template_argument_list,
    ACTIONS(4517), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4520), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [93843] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7152), 1,
      anon_sym_RPAREN,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7045), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4915), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4883), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4848), 46,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [94121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    STATE(3564), 1,
      sym_new_declarator,
    ACTIONS(5655), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5657), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7167), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7164), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7162), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7160), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [94247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4479), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4495), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6284), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94418] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5701), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3988), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4501), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5678), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3489), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3990), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    STATE(3757), 1,
      sym__enum_base_clause,
    STATE(3788), 1,
      sym_enumerator_list,
    STATE(3875), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5637), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4536), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4532), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94958] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(3150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [95025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_literal_suffix,
    ACTIONS(5156), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5158), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95084] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5628), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3513), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3994), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [95234] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5637), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4000), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4580), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [95443] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    STATE(3742), 1,
      sym__enum_base_clause,
    STATE(3785), 1,
      sym_enumerator_list,
    STATE(3852), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5643), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    STATE(3252), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4505), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95634] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5693), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3501), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4001), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_literal_suffix,
    ACTIONS(3778), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [95843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    STATE(3252), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5156), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5963), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96020] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5316), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5846), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5826), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5900), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96290] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5290), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96392] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(7968), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2502), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96550] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5292), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96708] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5293), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96810] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(7973), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96912] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7528), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97116] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5295), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4723), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5816), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5979), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5830), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97442] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7410), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5842), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97712] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7946), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97814] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(3935), 1,
      sym_type_specifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97916] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5296), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8075), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98176] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5297), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98278] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(7978), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5872), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5888), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5925), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5945), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98660] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7390), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98762] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5299), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98864] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7818), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [99036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7796), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5779), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3560), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(3572), 1,
      anon_sym_enum,
    ACTIONS(3574), 1,
      anon_sym_class,
    ACTIONS(3576), 1,
      anon_sym_struct,
    ACTIONS(3578), 1,
      anon_sym_union,
    ACTIONS(3582), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4003), 1,
      sym_type_specifier,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3685), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7579), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99398] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99500] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5330), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7228), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    ACTIONS(4513), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4520), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [99664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4731), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99776] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5300), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7710), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5929), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100092] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5302), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(7970), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7237), 1,
      sym_primitive_type,
    ACTIONS(7239), 1,
      anon_sym_enum,
    ACTIONS(7241), 1,
      anon_sym_class,
    ACTIONS(7243), 1,
      anon_sym_struct,
    ACTIONS(7245), 1,
      anon_sym_union,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7251), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3905), 1,
      sym_type_specifier,
    STATE(4041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4730), 1,
      sym_decltype_auto,
    STATE(4734), 1,
      sym_qualified_type_identifier,
    STATE(5776), 1,
      sym_type_descriptor,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4710), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4733), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5742), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5744), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [100468] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5758), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4031), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7746), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5933), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4742), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100774] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7271), 1,
      sym_auto,
    ACTIONS(7273), 1,
      anon_sym_decltype,
    STATE(3794), 1,
      sym_new_declarator,
    STATE(3847), 1,
      sym_decltype_auto,
    STATE(3697), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5206), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100846] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7878), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4826), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101004] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4798), 1,
      sym__function_attributes_start,
    STATE(5003), 1,
      sym_ref_qualifier,
    STATE(5718), 1,
      sym_trailing_return_type,
    STATE(5979), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6550), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6568), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5105), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101110] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    STATE(2409), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101176] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5307), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101278] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7281), 1,
      anon_sym_requires,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4780), 1,
      sym__function_attributes_start,
    STATE(4995), 1,
      sym_ref_qualifier,
    STATE(5872), 1,
      sym__function_attributes_end,
    STATE(6052), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6550), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6666), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5087), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7284), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7286), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5672), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5674), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5315), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4850), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101602] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5748), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5750), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [101672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5951), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101728] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5318), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7271), 1,
      sym_auto,
    ACTIONS(7273), 1,
      anon_sym_decltype,
    STATE(3775), 1,
      sym_new_declarator,
    STATE(3847), 1,
      sym_decltype_auto,
    STATE(3716), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5144), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5937), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101958] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(7988), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5748), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3580), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4010), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5959), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102264] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5327), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102366] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7271), 1,
      sym_auto,
    ACTIONS(7273), 1,
      anon_sym_decltype,
    STATE(3789), 1,
      sym_new_declarator,
    STATE(3847), 1,
      sym_decltype_auto,
    STATE(3698), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5044), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102438] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102540] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8101), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5937), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5328), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5917), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5766), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5768), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [103026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4746), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2447), 1,
      sym_attribute_specifier,
    STATE(3737), 1,
      sym_enumerator_list,
    ACTIONS(5347), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5349), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [103146] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2692), 1,
      anon_sym_enum,
    ACTIONS(2694), 1,
      anon_sym_class,
    ACTIONS(2696), 1,
      anon_sym_struct,
    ACTIONS(2698), 1,
      anon_sym_union,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(2726), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7292), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(4124), 1,
      sym_type_specifier,
    STATE(5776), 1,
      sym_type_descriptor,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(3727), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103248] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8123), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103350] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(7993), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8007), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103554] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8012), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4830), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6962), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    ACTIONS(4972), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3794), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [103830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7564), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4822), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [104044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5812), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8169), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104202] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3970), 1,
      sym_type_specifier,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104360] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8162), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2489), 1,
      sym_attribute_specifier,
    STATE(3696), 1,
      sym_enumerator_list,
    ACTIONS(5341), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5343), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [104638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104750] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8078), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4735), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7286), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5617), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5619), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105022] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7543), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4715), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5955), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5732), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5734), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [105360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4826), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5800), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105472] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3856), 1,
      sym_type_specifier,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4850), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105630] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4436), 1,
      sym_type_specifier,
    STATE(5776), 1,
      sym_type_descriptor,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3750), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2502), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(3883), 1,
      sym_type_specifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105890] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1880), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4727), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4754), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7308), 1,
      sym_identifier,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7312), 1,
      anon_sym_enum,
    ACTIONS(7314), 1,
      anon_sym_class,
    ACTIONS(7316), 1,
      anon_sym_struct,
    ACTIONS(7318), 1,
      anon_sym_union,
    ACTIONS(7320), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4212), 1,
      sym_type_specifier,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3755), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5975), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106318] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4623), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8074), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106420] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7592), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106522] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7271), 1,
      sym_auto,
    ACTIONS(7273), 1,
      anon_sym_decltype,
    STATE(3784), 1,
      sym_new_declarator,
    STATE(3847), 1,
      sym_decltype_auto,
    STATE(3706), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5124), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1876), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4025), 1,
      sym_type_specifier,
    STATE(5776), 1,
      sym_type_descriptor,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3749), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4883), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106808] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7654), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5830), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4711), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4719), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107134] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7424), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107236] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6657), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4901), 1,
      sym__function_attributes_start,
    STATE(4996), 1,
      sym_ref_qualifier,
    STATE(5891), 1,
      sym__function_attributes_end,
    STATE(6043), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6550), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5493), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5092), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4830), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4822), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5317), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107556] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7929), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7877), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5309), 1,
      sym__type_definition_type,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107862] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4615), 1,
      anon_sym_SEMI,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(6534), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3816), 1,
      sym_template_argument_list,
    ACTIONS(3791), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3776), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [107934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(8133), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4511), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7705), 1,
      sym_type_descriptor,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(3751), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4750), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(3835), 1,
      sym_type_specifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(5518), 1,
      sym_type_descriptor,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(3720), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108296] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4865), 1,
      sym__function_attributes_start,
    STATE(4993), 1,
      sym_ref_qualifier,
    STATE(5710), 1,
      sym_trailing_return_type,
    STATE(5952), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6550), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4002), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5752), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5126), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108458] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5694), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5696), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [108528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2437), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5474), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [108587] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3560), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(3572), 1,
      anon_sym_enum,
    ACTIONS(3574), 1,
      anon_sym_class,
    ACTIONS(3576), 1,
      anon_sym_struct,
    ACTIONS(3578), 1,
      anon_sym_union,
    ACTIONS(3582), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3991), 1,
      sym_type_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5925), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2486), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5432), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [108800] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4591), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(7324), 1,
      anon_sym_COLON,
    STATE(1673), 1,
      sym_attribute_specifier,
    STATE(2188), 1,
      sym__enum_base_clause,
    STATE(2283), 1,
      sym_enumerator_list,
    ACTIONS(5641), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5643), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [108966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2466), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5442), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [109025] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3846), 1,
      sym_type_specifier,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5842), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4822), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2460), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5414), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [109293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5838), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2448), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5485), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [109407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5812), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5975), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5800), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109572] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5916), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3703), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4084), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5888), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109773] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5909), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4066), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4830), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5880), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5991), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4850), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5933), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5884), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6029), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5951), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2443), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5489), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [110418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2453), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5493), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [110477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7332), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [110532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5929), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5963), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110642] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5867), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3728), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4104), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5945), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110788] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(3849), 1,
      sym_type_specifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5816), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110942] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(3957), 1,
      sym_type_specifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2461), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5396), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4585), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4578), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [111159] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2692), 1,
      anon_sym_enum,
    ACTIONS(2694), 1,
      anon_sym_class,
    ACTIONS(2696), 1,
      anon_sym_struct,
    ACTIONS(2698), 1,
      anon_sym_union,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(2726), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7292), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(4509), 1,
      sym_type_specifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6015), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111313] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2692), 1,
      anon_sym_enum,
    ACTIONS(2694), 1,
      anon_sym_class,
    ACTIONS(2696), 1,
      anon_sym_struct,
    ACTIONS(2698), 1,
      anon_sym_union,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(2726), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7292), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(4038), 1,
      sym_type_specifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111412] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5857), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111503] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(3893), 1,
      sym_type_specifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5864), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3552), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5959), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4826), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [111822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_SEMI,
    ACTIONS(4930), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [111881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5872), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_SEMI,
    ACTIONS(4930), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4928), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [111993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2469), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5455), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112052] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4722), 1,
      sym_type_specifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(2244), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5376), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [112214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2446), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5463), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5860), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    STATE(3764), 1,
      sym_enumerator_list,
    STATE(3881), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2456), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5459), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5900), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6019), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112560] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(7324), 1,
      anon_sym_COLON,
    STATE(1699), 1,
      sym_attribute_specifier,
    STATE(2215), 1,
      sym__enum_base_clause,
    STATE(2270), 1,
      sym_enumerator_list,
    ACTIONS(5635), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5637), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [112627] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7237), 1,
      sym_primitive_type,
    ACTIONS(7239), 1,
      anon_sym_enum,
    ACTIONS(7241), 1,
      anon_sym_class,
    ACTIONS(7243), 1,
      anon_sym_struct,
    ACTIONS(7245), 1,
      anon_sym_union,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7251), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3898), 1,
      sym_type_specifier,
    STATE(4041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4730), 1,
      sym_decltype_auto,
    STATE(4734), 1,
      sym_qualified_type_identifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4710), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4733), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5826), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112781] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4007), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112880] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4330), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112979] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(4491), 1,
      sym_type_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5892), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113133] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3961), 1,
      sym_type_specifier,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(2492), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5481), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113291] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7308), 1,
      sym_identifier,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7312), 1,
      anon_sym_enum,
    ACTIONS(7314), 1,
      anon_sym_class,
    ACTIONS(7316), 1,
      anon_sym_struct,
    ACTIONS(7318), 1,
      anon_sym_union,
    ACTIONS(7320), 1,
      anon_sym_typename,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4201), 1,
      sym_type_specifier,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5846), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    STATE(3797), 1,
      sym_enumerator_list,
    STATE(3870), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5349), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113508] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5957), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3771), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4208), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113598] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6020), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7348), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [113744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4524), 1,
      anon_sym_LBRACK,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(3816), 1,
      sym_template_argument_list,
    ACTIONS(4517), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4520), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4513), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [113808] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5735), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113900] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6209), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3868), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5485), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114050] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6076), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114142] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114234] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5766), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114326] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6211), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114418] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5969), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114510] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6065), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114602] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4289), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3867), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114750] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5788), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114842] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3962), 1,
      sym_new_declarator,
    STATE(3698), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5044), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    STATE(3710), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5576), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5578), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3865), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5396), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3882), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5474), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3886), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115146] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5728), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6076), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5975), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7358), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [115476] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6020), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    STATE(3699), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5562), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5564), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3889), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5432), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4049), 1,
      sym_template_argument_list,
    ACTIONS(3791), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3776), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [115754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3885), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5442), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3871), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5463), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    STATE(3708), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5540), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5542), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115930] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5819), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7364), 1,
      anon_sym_LT,
    STATE(2244), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2434), 1,
      sym_template_argument_list,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3776), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [116086] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5737), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116178] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5965), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    STATE(3721), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5613), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6193), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3851), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5493), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3859), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5455), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3858), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5459), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116596] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3963), 1,
      sym_new_declarator,
    STATE(3716), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5144), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116666] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3934), 1,
      sym_new_declarator,
    STATE(3706), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5124), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym___attribute__,
    STATE(3857), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5489), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3941), 1,
      sym_new_declarator,
    STATE(3697), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5206), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116919] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7366), 1,
      anon_sym_COLON,
    STATE(2468), 1,
      sym_attribute_specifier,
    STATE(3613), 1,
      sym__enum_base_clause,
    STATE(3740), 1,
      sym_enumerator_list,
    ACTIONS(5635), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5637), 35,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [116984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      sym_auto,
    ACTIONS(7273), 1,
      anon_sym_decltype,
    STATE(3847), 1,
      sym_decltype_auto,
    ACTIONS(4905), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4907), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117043] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6045), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4310), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4926), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7366), 1,
      anon_sym_COLON,
    STATE(2452), 1,
      sym_attribute_specifier,
    STATE(3632), 1,
      sym__enum_base_clause,
    STATE(3687), 1,
      sym_enumerator_list,
    ACTIONS(5641), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5643), 35,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [117250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5112), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7364), 1,
      anon_sym_LT,
    STATE(2434), 1,
      sym_template_argument_list,
    ACTIONS(4972), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3794), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [117362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7377), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7374), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7162), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7160), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [117423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4970), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4958), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117529] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6003), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3806), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4451), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7380), 1,
      anon_sym_LT,
    STATE(2434), 1,
      sym_template_argument_list,
    ACTIONS(4513), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4520), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [117677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_SEMI,
    ACTIONS(4589), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4585), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4578), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [117736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5148), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4978), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117842] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2430), 1,
      sym_attribute_specifier,
    STATE(2950), 1,
      sym_field_declaration_list,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7131), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4860), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [117911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5036), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117964] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5685), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3876), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4487), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118052] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6088), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3892), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4463), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5273), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5860), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3834), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2753), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3869), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4533), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118316] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2717), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3833), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4488), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5977), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4528), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3775), 1,
      sym_new_declarator,
    STATE(3716), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5144), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5056), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118612] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5996), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3826), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4540), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4930), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5996), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4540), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(7439), 1,
      anon_sym_COLON,
    STATE(2441), 1,
      sym__enum_base_clause,
    STATE(2502), 1,
      sym_enumerator_list,
    STATE(2621), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5643), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [118904] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2753), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4533), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5855), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4500), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119080] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5675), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3993), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7441), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [119164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(7439), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym__enum_base_clause,
    STATE(2506), 1,
      sym_enumerator_list,
    STATE(2641), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5637), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [119228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5174), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119280] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1875), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3866), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4551), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5178), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5182), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5186), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119524] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6271), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4504), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119612] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6271), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3848), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4504), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119700] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5668), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3861), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4532), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119788] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2773), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119876] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5698), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3998), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7473), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [119960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5234), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120012] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6236), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4534), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120100] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5681), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7473), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [120184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5939), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3831), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4966), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4962), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120376] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3794), 1,
      sym_new_declarator,
    STATE(3697), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5206), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3784), 1,
      sym_new_declarator,
    STATE(3706), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5124), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4942), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120564] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5686), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3976), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7441), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4950), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5028), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4986), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4946), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5652), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4490), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4942), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5218), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4942), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5214), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1877), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4517), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5194), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5226), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2707), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4538), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5132), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5128), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2787), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3845), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4541), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2817), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3891), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4512), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121712] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7158), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_LPAREN2,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3789), 1,
      sym_new_declarator,
    STATE(3698), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5044), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5006), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5668), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4532), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121920] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5854), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4498), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5190), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6276), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3842), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4465), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5190), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5060), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5222), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122304] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5632), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3992), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7441), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [122388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1877), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3890), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4517), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4982), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5210), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5202), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5855), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3877), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4500), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5040), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122772] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1882), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4526), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122860] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2787), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7393), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4541), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7142), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122948] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6094), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4460), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123036] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5634), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3979), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7473), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [123120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7479), 1,
      anon_sym_typedef,
    ACTIONS(3194), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [123173] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6146), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4556), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5273), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123260] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6217), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [123359] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [123454] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7521), 1,
      sym_auto,
    ACTIONS(7523), 1,
      anon_sym_decltype,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(4746), 1,
      sym_decltype_auto,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5753), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4008), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7473), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123537] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(5792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [123628] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(5792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [123717] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5275), 1,
      anon_sym_STAR,
    ACTIONS(5277), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5279), 1,
      anon_sym_AMP,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__declarator,
    STATE(6081), 1,
      sym__abstract_declarator,
    STATE(7014), 1,
      sym_variadic_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7527), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123812] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5596), 1,
      anon_sym_STAR,
    ACTIONS(7525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7531), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7535), 1,
      anon_sym_EQ,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6114), 1,
      sym__declarator,
    STATE(6314), 1,
      sym__abstract_declarator,
    STATE(6350), 1,
      sym_abstract_reference_declarator,
    STATE(6659), 1,
      sym_variadic_reference_declarator,
    STATE(6660), 1,
      sym_variadic_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(7529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [123913] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    ACTIONS(7539), 1,
      anon_sym___declspec,
    ACTIONS(7541), 1,
      sym_virtual,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    ACTIONS(5848), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5850), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4014), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7537), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7142), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(3782), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6167), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7144), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7146), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3497), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4559), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124079] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7521), 1,
      sym_auto,
    ACTIONS(7523), 1,
      anon_sym_decltype,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(4746), 1,
      sym_decltype_auto,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5738), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7441), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5917), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5979), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4515), 1,
      anon_sym_SEMI,
    ACTIONS(4524), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(3816), 1,
      sym_template_argument_list,
    ACTIONS(4517), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4520), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4513), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [124327] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6221), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6225), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [124430] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(5792), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [124515] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(4106), 1,
      sym_new_declarator,
    STATE(4536), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5042), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5044), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5804), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124633] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5527), 1,
      anon_sym_STAR,
    ACTIONS(7525), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7531), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7533), 1,
      anon_sym_AMP,
    ACTIONS(7551), 1,
      anon_sym_EQ,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6119), 1,
      sym__declarator,
    STATE(6312), 1,
      sym__abstract_declarator,
    STATE(6355), 1,
      sym_abstract_reference_declarator,
    STATE(6659), 1,
      sym_variadic_reference_declarator,
    STATE(6660), 1,
      sym_variadic_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(7529), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [124734] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6169), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [124833] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(4099), 1,
      sym_new_declarator,
    STATE(4473), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5122), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5124), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124900] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6233), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [125003] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6017), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6019), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [125106] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [125175] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [125248] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(5792), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [125331] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5790), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [125410] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [125485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5955), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5792), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [125607] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    ACTIONS(7539), 1,
      anon_sym___declspec,
    ACTIONS(7553), 1,
      sym_virtual,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    ACTIONS(6021), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6023), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4035), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7537), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7557), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4091), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5414), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7555), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [125751] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6229), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125850] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6241), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125949] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(4164), 1,
      sym_new_declarator,
    STATE(4495), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5204), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5206), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [126016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 1,
      anon_sym_typedef,
    ACTIONS(3194), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [126069] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7491), 1,
      anon_sym_SLASH,
    ACTIONS(7493), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7495), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7499), 1,
      anon_sym_CARET,
    ACTIONS(7507), 1,
      anon_sym_GT_EQ,
    ACTIONS(7511), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7513), 1,
      anon_sym_or,
    ACTIONS(7515), 1,
      anon_sym_and,
    ACTIONS(7517), 1,
      anon_sym_xor,
    ACTIONS(7519), 1,
      anon_sym_not_eq,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7545), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7487), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7489), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7497), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7501), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7503), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7509), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7561), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7505), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7563), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126172] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(4142), 1,
      sym_new_declarator,
    STATE(4521), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5142), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5144), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [126239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3007), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [126289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(3699), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5562), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5564), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126345] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5883), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4067), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7441), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(4513), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4520), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7348), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [126533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(4972), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(4082), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2544), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [126699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(3721), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5613), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126755] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6205), 1,
      sym__abstract_declarator,
    ACTIONS(7577), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7579), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4595), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4716), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5287), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126841] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_STAR,
    ACTIONS(7587), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7589), 1,
      anon_sym_AMP,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6077), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3955), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4593), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5273), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126927] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7591), 1,
      anon_sym_COLON,
    STATE(2468), 1,
      sym_attribute_specifier,
    STATE(2759), 1,
      sym__enum_base_clause,
    STATE(2952), 1,
      sym_enumerator_list,
    ACTIONS(5637), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5635), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [126989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3139), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7591), 1,
      anon_sym_COLON,
    STATE(2452), 1,
      sym_attribute_specifier,
    STATE(2731), 1,
      sym__enum_base_clause,
    STATE(2991), 1,
      sym_enumerator_list,
    ACTIONS(5643), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5641), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [127101] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7575), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6225), 1,
      sym__abstract_declarator,
    ACTIONS(7577), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7579), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3942), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4630), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5273), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127187] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6197), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3951), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(3150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6518), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [127331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2744), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127381] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6206), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(5156), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5158), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2512), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5716), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4579), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127651] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_STAR,
    ACTIONS(7587), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7589), 1,
      anon_sym_AMP,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6005), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4582), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127789] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5864), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7473), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127871] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6206), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3965), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2596), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [128005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2524), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [128055] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5912), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7473), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(3708), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5540), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5542), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(3710), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5576), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5578), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128249] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(4082), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [128309] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6214), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4621), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128393] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5731), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4639), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128477] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5764), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3966), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4608), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128611] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5731), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3085), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3954), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4639), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3083), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128695] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5917), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4154), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7441), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7358), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [128827] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6259), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4661), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128912] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5627), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7613), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5672), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5674), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129040] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7615), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7619), 1,
      anon_sym_or,
    ACTIONS(7621), 1,
      anon_sym_and,
    ACTIONS(5672), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5674), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5697), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7623), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129172] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6253), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3985), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4667), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5273), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129308] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5638), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6245), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3972), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4657), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5273), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129468] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_SEMI,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6382), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7770), 1,
      sym_attribute_specifier,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129571] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    ACTIONS(7669), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6331), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7890), 1,
      sym_attribute_specifier,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5012), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5015), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7617), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7621), 1,
      anon_sym_and,
    ACTIONS(5617), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5619), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(3083), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(3971), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6249), 1,
      sym__abstract_declarator,
    ACTIONS(7261), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7263), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3811), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4668), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129867] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    ACTIONS(7674), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6333), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7948), 1,
      sym_attribute_specifier,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5690), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130094] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5689), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [130169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5688), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130244] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5948), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7473), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5631), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7623), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5680), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7623), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [130475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5637), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4791), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(4049), 1,
      sym_template_argument_list,
    ACTIONS(4517), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4520), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4513), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [130662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(5156), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5667), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7631), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5617), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5619), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5639), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5701), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130989] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    STATE(4566), 1,
      sym_alignas_qualifier,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7557), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4375), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4547), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5469), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7555), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [131052] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2433), 1,
      sym_decltype_auto,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5958), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4197), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7441), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131133] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5275), 1,
      anon_sym_STAR,
    ACTIONS(5277), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5279), 1,
      anon_sym_AMP,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__declarator,
    STATE(6081), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7527), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [131222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7676), 1,
      sym_identifier,
    ACTIONS(7680), 1,
      sym_primitive_type,
    STATE(3983), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7678), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5084), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5086), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131279] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_const,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(7684), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7692), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7686), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7682), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [131337] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6007), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7473), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5759), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7631), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131491] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [131557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5758), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131631] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 1,
      anon_sym_const,
    ACTIONS(7077), 1,
      anon_sym___inline,
    ACTIONS(7705), 1,
      anon_sym___attribute__,
    ACTIONS(7708), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7711), 1,
      anon_sym___declspec,
    ACTIONS(7717), 1,
      sym_virtual,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(6098), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7714), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6100), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4011), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7702), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7699), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4930), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4928), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [131751] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7720), 1,
      anon_sym_COMMA,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7742), 1,
      anon_sym_SEMI,
    ACTIONS(7744), 1,
      anon_sym_RBRACE,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6768), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131851] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7539), 1,
      anon_sym___declspec,
    ACTIONS(7754), 1,
      sym_virtual,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(6083), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6085), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4011), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7537), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5751), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7623), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131995] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132085] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6019), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [132179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6225), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [132273] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [132361] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [132443] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132533] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132623] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7758), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7756), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [132739] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6009), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4347), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7441), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132819] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132891] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132967] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(4324), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7760), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133025] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [133095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [133179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5761), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133253] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [133331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7766), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7762), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [133381] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [133475] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7539), 1,
      anon_sym___declspec,
    ACTIONS(7754), 1,
      sym_virtual,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(6094), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6096), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4011), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7537), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133545] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [133631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [133721] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6091), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4462), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7473), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4090), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4928), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5306), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5304), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      sym_identifier,
    ACTIONS(7776), 1,
      sym_primitive_type,
    STATE(4051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5084), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5086), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133957] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_COMMA,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7804), 1,
      anon_sym_RBRACK,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6772), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5312), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5310), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [134170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7814), 1,
      anon_sym_LT,
    STATE(4400), 1,
      sym_template_argument_list,
    ACTIONS(4972), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134223] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(5287), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7575), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6347), 1,
      sym__abstract_declarator,
    ACTIONS(7577), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7579), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4716), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4723), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134306] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [134393] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [134478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4585), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4578), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [134529] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [134612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5012), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5015), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134665] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [134746] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7863), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6668), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4791), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [134894] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [134971] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135046] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7865), 1,
      anon_sym_COMMA,
    ACTIONS(7867), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(7031), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135143] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7871), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6958), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135240] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135311] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135378] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(7875), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(7009), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135475] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7877), 1,
      anon_sym_COMMA,
    ACTIONS(7879), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6710), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135572] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7881), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6682), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [135738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4090), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5034), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7768), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5036), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5907), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135862] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5865), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7623), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4742), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [135982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4723), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136029] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5596), 1,
      anon_sym_STAR,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_AMP,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__declarator,
    STATE(6268), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(7527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [136116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4040), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5326), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7883), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5324), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136167] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7814), 1,
      anon_sym_LT,
    STATE(4324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4400), 1,
      sym_template_argument_list,
    ACTIONS(3768), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7760), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4719), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4043), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5320), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7885), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5318), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4711), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136369] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6794), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136466] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5844), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4750), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136586] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7889), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6821), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136683] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7891), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(7026), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136780] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5908), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7631), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5370), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5368), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [136904] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7893), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6877), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5909), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6019), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137167] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6685), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137264] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7897), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(7042), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137361] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7899), 1,
      anon_sym_COMMA,
    ACTIONS(7902), 1,
      anon_sym_SEMI,
    ACTIONS(7904), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137458] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7742), 1,
      anon_sym_SEMI,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7906), 1,
      anon_sym_COMMA,
    ACTIONS(7909), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7770), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [137606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7913), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7911), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [137663] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7744), 1,
      anon_sym_RBRACE,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7915), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6768), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4746), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [137807] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7917), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6945), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137904] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5852), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7631), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137977] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7921), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6961), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138074] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7923), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6976), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138171] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7925), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6681), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4497), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5562), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5564), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4703), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4735), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [138415] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [138504] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7927), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6711), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5857), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138674] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7929), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6882), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4518), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5540), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5542), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [138824] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7931), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6791), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(5273), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7575), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6369), 1,
      sym__abstract_declarator,
    ACTIONS(7577), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7579), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4046), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4717), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139004] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7933), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [139097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1250), 1,
      sym__fold_operator,
    ACTIONS(7937), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(7935), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [139146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4754), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139193] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7939), 1,
      anon_sym_COMMA,
    ACTIONS(7941), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6738), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139290] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7943), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6808), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139387] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [139476] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7945), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6775), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7947), 1,
      anon_sym_COLON,
    STATE(2468), 1,
      sym_attribute_specifier,
    STATE(3613), 1,
      sym__enum_base_clause,
    STATE(3740), 1,
      sym_enumerator_list,
    ACTIONS(5635), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5637), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7947), 1,
      anon_sym_COLON,
    STATE(2452), 1,
      sym_attribute_specifier,
    STATE(3632), 1,
      sym__enum_base_clause,
    STATE(3687), 1,
      sym_enumerator_list,
    ACTIONS(5641), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5643), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [139691] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7949), 1,
      anon_sym_COMMA,
    ACTIONS(7951), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(7025), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139788] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6995), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139885] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7955), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6735), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139982] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7902), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140077] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7959), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7957), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4727), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140219] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6087), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4467), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7441), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140298] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(7961), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6726), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140395] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7963), 1,
      anon_sym_RPAREN,
    ACTIONS(7965), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1876), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140539] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7967), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [140632] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7969), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6713), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140729] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6225), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7814), 1,
      anon_sym_LT,
    STATE(4400), 1,
      sym_template_argument_list,
    ACTIONS(4513), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4520), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [140875] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7971), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6988), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140972] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7973), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6793), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4731), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141116] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7557), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7555), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [141173] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7975), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6957), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141270] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7977), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6835), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4715), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141414] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7979), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6861), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141511] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7778), 1,
      anon_sym_COMMA,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(7981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7983), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6772), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141608] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7778), 1,
      anon_sym_COMMA,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(7985), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6830), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4520), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5576), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5578), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [141758] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [141847] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(7987), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6758), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141944] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7989), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6884), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142041] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7991), 1,
      anon_sym_COMMA,
    ACTIONS(7993), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142138] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7995), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6953), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7661), 1,
      anon_sym_QMARK,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6235), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142328] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7997), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6755), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142425] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(7999), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6968), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142522] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5527), 1,
      anon_sym_STAR,
    ACTIONS(5529), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5531), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5946), 1,
      sym__declarator,
    STATE(6251), 1,
      sym__abstract_declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    ACTIONS(7527), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [142609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1880), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142656] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(8001), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6906), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5913), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7623), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142826] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(8003), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6928), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142970] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(8005), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6799), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143067] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(8007), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6948), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143164] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7639), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_AMP,
    ACTIONS(7655), 1,
      anon_sym_GT_EQ,
    ACTIONS(7663), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7665), 1,
      anon_sym_bitor,
    ACTIONS(7667), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7635), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7637), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7641), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7643), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7647), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7657), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7651), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7653), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [143253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [143300] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(8009), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6698), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143397] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    ACTIONS(8011), 1,
      anon_sym_GT2,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    STATE(6754), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [143541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(7547), 1,
      anon_sym_LPAREN2,
    STATE(4516), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5613), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5615), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [143594] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(8013), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    STATE(6770), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7904), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143783] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [143869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8043), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143963] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8045), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144055] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8047), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8049), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144239] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8051), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144333] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8057), 1,
      anon_sym_COLON,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144427] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [144515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6171), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8064), 1,
      anon_sym_const,
    STATE(4566), 1,
      sym_alignas_qualifier,
    ACTIONS(7684), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8067), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8061), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7682), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [144659] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8070), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6235), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144845] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144939] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8074), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8045), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145123] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6219), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145211] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8076), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145305] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8078), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145397] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145461] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8080), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(1856), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [145611] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [145699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5742), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5744), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145759] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8082), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145853] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8084), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145947] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8086), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146041] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8088), 1,
      anon_sym_COMMA,
    ACTIONS(8090), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146135] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8092), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146229] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6225), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146321] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8094), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5950), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7623), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146487] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146555] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8096), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146649] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8098), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146743] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6133), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4554), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7473), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146821] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8100), 1,
      anon_sym_COMMA,
    ACTIONS(8102), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146915] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7527), 1,
      anon_sym_RPAREN,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6080), 1,
      sym__declarator,
    STATE(6268), 1,
      sym__abstract_declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [147001] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8104), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147095] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6231), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147183] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147249] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147391] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6235), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147483] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7957), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147575] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6019), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147667] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(4628), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6151), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7441), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147819] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7965), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5236), 1,
      anon_sym_LPAREN2,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147965] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8045), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148057] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8045), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148149] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [148225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7631), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4580), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [148425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8110), 1,
      anon_sym___attribute__,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8108), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8106), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [148475] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8113), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [148651] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8115), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148745] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148839] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8119), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148933] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8121), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149027] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [149111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [149185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8123), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149279] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8125), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149373] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6231), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [149461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5732), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5734), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [149519] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8127), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_LBRACK,
    STATE(4396), 1,
      sym_new_declarator,
    ACTIONS(5655), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5657), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149663] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [149749] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6225), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149841] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5694), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5696), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [149901] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8129), 1,
      anon_sym_COMMA,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149995] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8133), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150089] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [150177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(5156), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150273] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5766), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5768), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [150331] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6219), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [150419] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8135), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150511] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5694), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5696), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [150571] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8137), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150665] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [150729] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7902), 1,
      anon_sym_COLON,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150823] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8139), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150917] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151009] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151129] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [151215] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [151299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8049), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151459] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [151547] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8143), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151641] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [151723] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8145), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151817] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [151989] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4565), 1,
      sym_field_declaration_list,
    STATE(4580), 1,
      sym_attribute_specifier,
    STATE(6543), 1,
      sym_virtual_specifier,
    STATE(7206), 1,
      sym_base_class_clause,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4860), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4862), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [152051] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7742), 1,
      anon_sym_SEMI,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152145] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8149), 1,
      anon_sym_COMMA,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152239] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6235), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152331] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6019), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152423] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6171), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [152511] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152603] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [152691] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8153), 1,
      anon_sym_COMMA,
    ACTIONS(8155), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152785] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152851] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5790), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [152921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7825), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7853), 1,
      anon_sym_QMARK,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6225), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153013] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8157), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153107] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153181] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [153257] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8159), 1,
      anon_sym_COMMA,
    ACTIONS(8161), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153351] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8163), 1,
      anon_sym_COMMA,
    ACTIONS(8165), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [153525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153617] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8053), 1,
      anon_sym_COMMA,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8169), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153711] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5790), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [153775] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8171), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5732), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5734), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [153927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5942), 1,
      sym__abstract_declarator,
    ACTIONS(6562), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6556), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153999] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8173), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(5790), 1,
      anon_sym_PIPE,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [154221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(5790), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [154297] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [154381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5742), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5744), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154441] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5748), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5750), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154573] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5792), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154639] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5790), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5792), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154801] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_DOT,
    ACTIONS(7833), 1,
      anon_sym_SLASH,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7843), 1,
      anon_sym_AMP,
    ACTIONS(7849), 1,
      anon_sym_LT_LT,
    ACTIONS(7851), 1,
      anon_sym_GT_GT,
    ACTIONS(7855), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7857), 1,
      anon_sym_bitor,
    ACTIONS(7859), 1,
      anon_sym_bitand,
    STATE(3380), 1,
      sym_argument_list,
    STATE(3381), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7829), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7831), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7835), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7837), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7841), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7861), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7845), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6243), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7847), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5766), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5768), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [154947] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5748), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5750), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [155007] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155099] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(6939), 1,
      anon_sym_COMMA,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8177), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155193] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4975), 1,
      sym_ms_call_modifier,
    STATE(5320), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6875), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [155274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8179), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8181), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6071), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6284), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [155663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8183), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155754] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8185), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155845] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8187), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155936] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8189), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156027] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5718), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [156163] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156303] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8193), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156394] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8195), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156485] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8197), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156576] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8199), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5370), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5368), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8201), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4341), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5320), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8203), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5318), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4345), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5326), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8205), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5324), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156905] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    STATE(4566), 1,
      sym_alignas_qualifier,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7557), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7555), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [156960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157051] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6220), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7473), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3192), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [157173] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8207), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157264] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8209), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8211), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157446] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8213), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157537] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8215), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157719] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4976), 1,
      sym_ms_call_modifier,
    STATE(5335), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6669), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [157800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8219), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157891] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8221), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5312), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5310), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8223), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5786), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [158167] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8225), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5306), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8191), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5304), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158307] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(7959), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6006), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7623), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8227), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5724), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [158605] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8229), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158787] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8231), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8233), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158969] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8235), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5263), 34,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [159105] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8237), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8239), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8241), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5034), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8243), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5036), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159609] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8245), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159700] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8247), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8249), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159882] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4970), 1,
      sym_ms_call_modifier,
    STATE(5336), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6800), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [159963] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8251), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160054] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8253), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160145] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8255), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8257), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160327] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160418] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5283), 1,
      anon_sym_LBRACK,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6217), 1,
      sym__declarator,
    STATE(6364), 1,
      sym__abstract_declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [160592] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8261), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160683] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    STATE(4566), 1,
      sym_alignas_qualifier,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7913), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7911), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [160829] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(7981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8263), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160920] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161011] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8265), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161193] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6047), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7631), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161264] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8267), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8269), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161446] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4674), 1,
      sym_field_declaration_list,
    STATE(4765), 1,
      sym_attribute_specifier,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7287), 1,
      sym_base_class_clause,
    ACTIONS(4860), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [161507] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161598] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8275), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161689] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8277), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161780] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8279), 1,
      anon_sym_RBRACE,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8281), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161962] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162053] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8283), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4945), 1,
      sym_ms_call_modifier,
    STATE(5283), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6834), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [162225] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8285), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8287), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162407] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8289), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162498] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8291), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5779), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8293), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8295), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8297), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4585), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [162952] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4942), 1,
      sym_ms_call_modifier,
    STATE(5310), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(7046), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [163033] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4479), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4495), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163214] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8299), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163305] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8301), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4501), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4505), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4532), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163531] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8303), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(2244), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [163677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8305), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4536), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [163813] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8307), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163904] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8309), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4540), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8311), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164131] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8313), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164222] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8315), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164313] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8317), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164404] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164495] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164586] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8319), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4915), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164722] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(8321), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7682), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7689), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7684), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [164866] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4921), 1,
      sym_ms_call_modifier,
    STATE(5238), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6954), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8324), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    ACTIONS(8326), 1,
      anon_sym_RBRACK,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165129] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8328), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165220] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8330), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165311] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165402] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8334), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165493] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8336), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4883), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165631] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6208), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4612), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7441), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165708] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4881), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4883), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [165846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8342), 1,
      anon_sym_COLON,
    STATE(4472), 1,
      sym__enum_base_clause,
    STATE(4562), 1,
      sym_enumerator_list,
    STATE(4640), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5637), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8342), 1,
      anon_sym_COLON,
    STATE(4524), 1,
      sym__enum_base_clause,
    STATE(4567), 1,
      sym_enumerator_list,
    STATE(4588), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5643), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    STATE(1856), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [166106] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166197] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8346), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166288] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8019), 1,
      anon_sym_SLASH,
    ACTIONS(8023), 1,
      anon_sym_PIPE,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8033), 1,
      anon_sym_GT_EQ,
    ACTIONS(8037), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8039), 1,
      anon_sym_bitor,
    ACTIONS(8041), 1,
      anon_sym_bitand,
    ACTIONS(8059), 1,
      anon_sym_QMARK,
    ACTIONS(8348), 1,
      anon_sym_COLON,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(6862), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8015), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8017), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8021), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8025), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8035), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8055), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8029), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8031), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5228), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [166424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4917), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4919), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166471] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8350), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166562] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(4935), 1,
      sym_ms_call_modifier,
    STATE(5333), 1,
      sym__declarator,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6918), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166643] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8352), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166734] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6045), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166805] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8354), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166896] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8356), 1,
      anon_sym_SEMI,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_RBRACK,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7784), 1,
      anon_sym_SLASH,
    ACTIONS(7790), 1,
      anon_sym_PIPE,
    ACTIONS(7794), 1,
      anon_sym_AMP,
    ACTIONS(7800), 1,
      anon_sym_GT_EQ,
    ACTIONS(7806), 1,
      anon_sym_QMARK,
    ACTIONS(7808), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7810), 1,
      anon_sym_bitor,
    ACTIONS(7812), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7782), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7786), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7788), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7792), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7802), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7796), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7798), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 1,
      sym_literal_suffix,
    ACTIONS(5156), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5158), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5888), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6099), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6167), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LT,
    STATE(2434), 1,
      sym_template_argument_list,
    ACTIONS(4972), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [167471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6095), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7631), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6094), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5287), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167655] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6271), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5884), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6090), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7623), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5872), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167929] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_attribute_specifier,
    STATE(4954), 1,
      sym_field_declaration_list,
    STATE(6464), 1,
      sym_virtual_specifier,
    STATE(7176), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4862), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4860), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [167989] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_LBRACK,
    ACTIONS(5702), 1,
      anon_sym_DOT,
    ACTIONS(7543), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7697), 1,
      anon_sym_SLASH,
    ACTIONS(7728), 1,
      anon_sym_PIPE,
    ACTIONS(7732), 1,
      anon_sym_AMP,
    ACTIONS(7738), 1,
      anon_sym_GT_EQ,
    ACTIONS(7746), 1,
      anon_sym_QMARK,
    ACTIONS(7748), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7750), 1,
      anon_sym_bitor,
    ACTIONS(7752), 1,
      anon_sym_bitand,
    STATE(2371), 1,
      sym_argument_list,
    STATE(2374), 1,
      sym_subscript_argument_list,
    ACTIONS(5704), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7695), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7722), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7724), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7726), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7730), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7740), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7736), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    STATE(4555), 1,
      sym_enumerator_list,
    STATE(4632), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5349), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5991), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5804), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    ACTIONS(4972), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [168267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5925), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5880), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168399] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    ACTIONS(8362), 1,
      anon_sym_LBRACE,
    ACTIONS(8364), 1,
      anon_sym_COLON,
    STATE(4624), 1,
      sym__enum_base_clause,
    STATE(4660), 1,
      sym_enumerator_list,
    STATE(4772), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5643), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5864), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168499] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4923), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(5999), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [168577] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8366), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8368), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5672), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5674), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5860), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168669] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6248), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4650), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7441), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5943), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5945), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(5150), 1,
      sym_literal_suffix,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168837] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(5668), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2753), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5987), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169025] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(5692), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169097] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6233), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4647), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7473), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LT,
    STATE(2434), 1,
      sym_template_argument_list,
    ACTIONS(4513), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4520), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169223] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(4645), 1,
      sym_ref_qualifier,
    STATE(5484), 1,
      sym__function_attributes_end,
    STATE(5567), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4988), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [169305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    ACTIONS(8362), 1,
      anon_sym_LBRACE,
    ACTIONS(8364), 1,
      anon_sym_COLON,
    STATE(4597), 1,
      sym__enum_base_clause,
    STATE(4651), 1,
      sym_enumerator_list,
    STATE(4747), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5637), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [169361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5812), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5937), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5800), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169493] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5853), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5955), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169609] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5854), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169681] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8377), 1,
      anon_sym_requires,
    STATE(4665), 1,
      sym_ref_qualifier,
    STATE(5482), 1,
      sym__function_attributes_end,
    STATE(5604), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4984), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [169763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2502), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
    ACTIONS(4513), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4520), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [169857] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6236), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5963), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5951), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170017] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5855), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5842), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170133] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6203), 1,
      sym_auto,
    ACTIONS(6205), 1,
      anon_sym_decltype,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(2609), 1,
      sym_decltype_auto,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6230), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7473), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5838), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170253] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6227), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4653), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2787), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5959), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5834), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5830), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5816), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170577] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1882), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5931), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5933), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170693] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2774), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6029), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5929), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170853] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4946), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6010), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [170931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5617), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5619), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    STATE(4557), 1,
      sym_enumerator_list,
    STATE(4601), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5343), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5915), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5917), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171073] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1881), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5979), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171189] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5972), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6019), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4883), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [171349] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6061), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171427] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(5652), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171499] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2707), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171571] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6254), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171643] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4952), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6073), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5975), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5900), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2702), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171881] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(4931), 1,
      sym_ms_call_modifier,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6200), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5977), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(2773), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(4615), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5236), 1,
      anon_sym_LPAREN2,
    ACTIONS(5239), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3770), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5996), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172227] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4965), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6046), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5826), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172349] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4973), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6049), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8380), 1,
      anon_sym___attribute__,
    STATE(4547), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8108), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8106), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [172475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5846), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8243), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(4956), 1,
      sym_ms_call_modifier,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6029), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [172645] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1815), 1,
      sym_alignas_qualifier,
    STATE(1877), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7443), 1,
      sym_auto,
    ACTIONS(7445), 1,
      anon_sym_decltype,
    STATE(4628), 1,
      sym_decltype_auto,
    ACTIONS(4905), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4907), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4583), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5396), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6164), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7631), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4599), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5455), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6167), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4617), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5485), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6155), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7623), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173114] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_const,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(4566), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6162), 1,
      sym__abstract_declarator,
    ACTIONS(6662), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6167), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6652), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4600), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5493), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4581), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5489), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4598), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5463), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4636), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5414), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4629), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5474), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4635), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5481), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3194), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [173508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4618), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5432), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5230), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [173598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4602), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5459), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(4520), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4513), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [173694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    STATE(4638), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5442), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8360), 1,
      anon_sym_LT,
    STATE(2244), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2434), 1,
      sym_template_argument_list,
    ACTIONS(3768), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173794] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8383), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(4709), 1,
      sym_ref_qualifier,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5375), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5001), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [173875] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8383), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4685), 1,
      sym_ref_qualifier,
    STATE(5340), 1,
      sym__function_attributes_end,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5005), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [173956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(3778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    ACTIONS(3794), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4972), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [174050] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4713), 1,
      sym_ref_qualifier,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5491), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5009), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [174130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5186), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5709), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4946), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4950), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174324] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_STAR,
    ACTIONS(7587), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7589), 1,
      anon_sym_AMP,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6012), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6167), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5214), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174434] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4725), 1,
      sym_ref_qualifier,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5501), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [174514] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(4715), 1,
      sym_ref_qualifier,
    STATE(5354), 1,
      sym_trailing_return_type,
    STATE(5380), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5034), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [174594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5218), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4942), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4962), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174720] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4720), 1,
      sym_ref_qualifier,
    STATE(5445), 1,
      sym__function_attributes_end,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5031), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [174800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4958), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174842] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    ACTIONS(7473), 1,
      anon_sym_COLON,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6344), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4748), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4942), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_STAR,
    ACTIONS(7587), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7589), 1,
      anon_sym_AMP,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6005), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175026] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4771), 1,
      sym_ref_qualifier,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5359), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5023), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [175106] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6202), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6167), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175174] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6206), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175242] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    ACTIONS(8362), 1,
      anon_sym_LBRACE,
    STATE(4662), 1,
      sym_enumerator_list,
    STATE(4766), 1,
      sym_attribute_specifier,
    ACTIONS(5347), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5349), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [175292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5128), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4986), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4966), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5060), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5028), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175502] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1822), 1,
      anon_sym_enum,
    ACTIONS(1824), 1,
      anon_sym_class,
    ACTIONS(1826), 1,
      anon_sym_struct,
    ACTIONS(1828), 1,
      anon_sym_union,
    ACTIONS(1854), 1,
      anon_sym_typename,
    ACTIONS(3055), 1,
      sym_primitive_type,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8404), 1,
      sym_identifier,
    ACTIONS(8406), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8410), 1,
      anon_sym_EQ,
    STATE(2408), 1,
      sym_type_specifier,
    STATE(2410), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(3070), 1,
      sym_qualified_type_identifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    ACTIONS(8408), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [175586] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(4729), 1,
      sym_ref_qualifier,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5028), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [175666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(4724), 1,
      sym_ref_qualifier,
    STATE(5354), 1,
      sym_trailing_return_type,
    STATE(5504), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5012), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [175746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4970), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175788] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(4763), 1,
      sym_ref_qualifier,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5526), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5036), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [175868] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5731), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175936] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8406), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8410), 1,
      anon_sym_EQ,
    ACTIONS(8412), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8408), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [176026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8414), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5722), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5724), 29,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [176070] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6214), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176138] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6221), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7623), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5056), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5202), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176290] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6204), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7631), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(4082), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [176410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5226), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5040), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5148), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4930), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176578] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(6181), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5036), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176688] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      sym_auto,
    ACTIONS(7356), 1,
      anon_sym_decltype,
    ACTIONS(7441), 1,
      anon_sym_COLON,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6363), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4759), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    ACTIONS(8362), 1,
      anon_sym_LBRACE,
    STATE(4664), 1,
      sym_enumerator_list,
    STATE(4727), 1,
      sym_attribute_specifier,
    ACTIONS(5341), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5343), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5190), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4942), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5190), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5234), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5222), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177022] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    ACTIONS(7581), 1,
      anon_sym_const,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6205), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5174), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5132), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5182), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5178), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5210), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5194), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4978), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4982), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177426] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5716), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    ACTIONS(3087), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3081), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5006), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5112), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4331), 1,
      sym_alignas_qualifier,
    ACTIONS(8420), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7684), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7682), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8417), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(4888), 1,
      sym_ref_qualifier,
    STATE(5644), 1,
      sym__function_attributes_end,
    STATE(5719), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [177706] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(4860), 1,
      sym_ref_qualifier,
    STATE(5699), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5047), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [177785] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5483), 1,
      sym__function_attributes_end,
    STATE(5599), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4980), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [177858] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(8430), 1,
      anon_sym_COLON,
    STATE(1673), 1,
      sym_attribute_specifier,
    STATE(2188), 1,
      sym__enum_base_clause,
    STATE(2283), 1,
      sym_enumerator_list,
    ACTIONS(5641), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5643), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6267), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7631), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_COLON,
    STATE(1699), 1,
      sym_attribute_specifier,
    STATE(4762), 1,
      sym__enum_base_clause,
    STATE(4974), 1,
      sym_enumerator_list,
    ACTIONS(5637), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5635), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178031] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5484), 1,
      sym__function_attributes_end,
    STATE(5567), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4988), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [178104] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6229), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7623), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4761), 1,
      sym_attribute_specifier,
    ACTIONS(5461), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5463), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4749), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5442), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6274), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7623), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178328] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6235), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7631), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178395] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4857), 1,
      sym_ref_qualifier,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(5778), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5043), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [178474] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(8434), 1,
      anon_sym_COLON,
    STATE(2449), 1,
      sym__enum_base_clause,
    STATE(2506), 1,
      sym_enumerator_list,
    STATE(2641), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5637), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [178527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6259), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4750), 1,
      sym_attribute_specifier,
    ACTIONS(5457), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5459), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178639] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(8432), 1,
      anon_sym_COLON,
    STATE(1673), 1,
      sym_attribute_specifier,
    STATE(4732), 1,
      sym__enum_base_clause,
    STATE(4940), 1,
      sym_enumerator_list,
    ACTIONS(5643), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4731), 1,
      sym_attribute_specifier,
    ACTIONS(5430), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5432), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6244), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6167), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4751), 1,
      sym_attribute_specifier,
    ACTIONS(5453), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5455), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(4821), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5376), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5374), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4773), 1,
      sym_attribute_specifier,
    ACTIONS(5483), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5485), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178943] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      anon_sym_requires,
    STATE(5478), 1,
      sym__function_attributes_end,
    STATE(5597), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4989), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [179016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4755), 1,
      sym_attribute_specifier,
    ACTIONS(5412), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5414), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6249), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5287), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(4331), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6246), 1,
      sym__abstract_declarator,
    ACTIONS(7267), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6167), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7259), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4754), 1,
      sym_attribute_specifier,
    ACTIONS(5394), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5396), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4760), 1,
      sym_attribute_specifier,
    ACTIONS(5491), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5493), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      anon_sym___attribute__,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(8434), 1,
      anon_sym_COLON,
    STATE(2441), 1,
      sym__enum_base_clause,
    STATE(2502), 1,
      sym_enumerator_list,
    STATE(2621), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5643), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4767), 1,
      sym_attribute_specifier,
    ACTIONS(5487), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5489), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179383] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8377), 1,
      anon_sym_requires,
    STATE(5482), 1,
      sym__function_attributes_end,
    STATE(5604), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4984), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [179456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4738), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179501] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(8417), 1,
      anon_sym_const,
    STATE(4331), 1,
      sym_alignas_qualifier,
    ACTIONS(8445), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8442), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7682), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8271), 1,
      anon_sym___attribute__,
    STATE(4718), 1,
      sym_attribute_specifier,
    ACTIONS(5472), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5474), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179597] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8448), 1,
      anon_sym_requires,
    STATE(4812), 1,
      sym_ref_qualifier,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5040), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [179676] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(8430), 1,
      anon_sym_COLON,
    STATE(1699), 1,
      sym_attribute_specifier,
    STATE(2215), 1,
      sym__enum_base_clause,
    STATE(2270), 1,
      sym_enumerator_list,
    ACTIONS(5635), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5637), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [179729] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8451), 1,
      anon_sym_requires,
    STATE(4947), 1,
      sym_ref_qualifier,
    STATE(5805), 1,
      sym__function_attributes_end,
    STATE(5985), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5058), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [179807] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8454), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8460), 1,
      sym_primitive_type,
    ACTIONS(8462), 1,
      anon_sym_enum,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8474), 1,
      anon_sym_typename,
    STATE(1713), 1,
      sym_type_specifier,
    STATE(1919), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(4844), 1,
      sym_argument_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4958), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179927] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3874), 1,
      sym_type_specifier,
    STATE(4836), 1,
      sym_argument_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180007] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(4962), 1,
      sym_ref_qualifier,
    STATE(5811), 1,
      sym__function_attributes_end,
    STATE(5960), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [180085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7521), 1,
      sym_auto,
    ACTIONS(7523), 1,
      anon_sym_decltype,
    STATE(4746), 1,
      sym_decltype_auto,
    ACTIONS(4905), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4907), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180131] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym___attribute__,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5345), 1,
      sym__function_attributes_end,
    STATE(5402), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4999), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180203] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3774), 1,
      sym_type_specifier,
    STATE(4848), 1,
      sym_argument_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180283] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8496), 1,
      sym_identifier,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 1,
      sym_primitive_type,
    ACTIONS(8504), 1,
      anon_sym_enum,
    ACTIONS(8506), 1,
      anon_sym_class,
    ACTIONS(8508), 1,
      anon_sym_struct,
    ACTIONS(8510), 1,
      anon_sym_union,
    ACTIONS(8512), 1,
      sym_auto,
    ACTIONS(8514), 1,
      anon_sym_decltype,
    ACTIONS(8516), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2588), 1,
      sym_type_specifier,
    STATE(2957), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_qualified_type_identifier,
    STATE(4882), 1,
      sym_argument_list,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2801), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8500), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2867), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5112), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5036), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180443] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8496), 1,
      sym_identifier,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 1,
      sym_primitive_type,
    ACTIONS(8504), 1,
      anon_sym_enum,
    ACTIONS(8506), 1,
      anon_sym_class,
    ACTIONS(8508), 1,
      anon_sym_struct,
    ACTIONS(8510), 1,
      anon_sym_union,
    ACTIONS(8512), 1,
      sym_auto,
    ACTIONS(8514), 1,
      anon_sym_decltype,
    ACTIONS(8516), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2578), 1,
      sym_type_specifier,
    STATE(2957), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_qualified_type_identifier,
    STATE(4826), 1,
      sym_argument_list,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2801), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8500), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2867), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(8518), 1,
      anon_sym_LPAREN2,
    STATE(2259), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3467), 1,
      sym_argument_list,
    STATE(4506), 1,
      sym_initializer_list,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5788), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [180575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5148), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180615] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8521), 1,
      sym_identifier,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8527), 1,
      sym_primitive_type,
    ACTIONS(8529), 1,
      anon_sym_enum,
    ACTIONS(8531), 1,
      anon_sym_class,
    ACTIONS(8533), 1,
      anon_sym_struct,
    ACTIONS(8535), 1,
      anon_sym_union,
    ACTIONS(8537), 1,
      sym_auto,
    ACTIONS(8539), 1,
      anon_sym_decltype,
    ACTIONS(8541), 1,
      anon_sym_typename,
    STATE(2420), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2743), 1,
      sym_type_specifier,
    STATE(3209), 1,
      sym_decltype_auto,
    STATE(3228), 1,
      sym_qualified_type_identifier,
    STATE(4859), 1,
      sym_argument_list,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3134), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3213), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180695] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8543), 1,
      sym_identifier,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8549), 1,
      sym_primitive_type,
    ACTIONS(8551), 1,
      anon_sym_enum,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_struct,
    ACTIONS(8557), 1,
      anon_sym_union,
    ACTIONS(8559), 1,
      sym_auto,
    ACTIONS(8561), 1,
      anon_sym_decltype,
    ACTIONS(8563), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3322), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3604), 1,
      sym_type_specifier,
    STATE(3828), 1,
      sym_decltype_auto,
    STATE(4790), 1,
      sym_argument_list,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3803), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3830), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180775] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(7292), 1,
      sym_primitive_type,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_enum,
    ACTIONS(8571), 1,
      anon_sym_class,
    ACTIONS(8573), 1,
      anon_sym_struct,
    ACTIONS(8575), 1,
      anon_sym_union,
    ACTIONS(8577), 1,
      anon_sym_typename,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(3915), 1,
      sym_type_specifier,
    STATE(4856), 1,
      sym_argument_list,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180855] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8521), 1,
      sym_identifier,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8527), 1,
      sym_primitive_type,
    ACTIONS(8529), 1,
      anon_sym_enum,
    ACTIONS(8531), 1,
      anon_sym_class,
    ACTIONS(8533), 1,
      anon_sym_struct,
    ACTIONS(8535), 1,
      anon_sym_union,
    ACTIONS(8537), 1,
      sym_auto,
    ACTIONS(8539), 1,
      anon_sym_decltype,
    ACTIONS(8541), 1,
      anon_sym_typename,
    STATE(2420), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2744), 1,
      sym_type_specifier,
    STATE(3209), 1,
      sym_decltype_auto,
    STATE(3228), 1,
      sym_qualified_type_identifier,
    STATE(4839), 1,
      sym_argument_list,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3134), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3213), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180935] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8585), 1,
      sym_primitive_type,
    ACTIONS(8587), 1,
      anon_sym_enum,
    ACTIONS(8589), 1,
      anon_sym_class,
    ACTIONS(8591), 1,
      anon_sym_struct,
    ACTIONS(8593), 1,
      anon_sym_union,
    ACTIONS(8595), 1,
      sym_auto,
    ACTIONS(8597), 1,
      anon_sym_decltype,
    ACTIONS(8599), 1,
      anon_sym_typename,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2526), 1,
      sym_type_specifier,
    STATE(2859), 1,
      sym_qualified_type_identifier,
    STATE(2861), 1,
      sym_decltype_auto,
    STATE(4805), 1,
      sym_argument_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2738), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2858), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181015] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8383), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5340), 1,
      sym__function_attributes_end,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5005), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181087] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8605), 1,
      sym_primitive_type,
    ACTIONS(8607), 1,
      anon_sym_enum,
    ACTIONS(8609), 1,
      anon_sym_typename,
    STATE(1713), 1,
      sym_type_specifier,
    STATE(1920), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(4815), 1,
      sym_argument_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181167] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3854), 1,
      sym_type_specifier,
    STATE(4877), 1,
      sym_argument_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181247] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3800), 1,
      sym_type_specifier,
    STATE(4878), 1,
      sym_argument_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181327] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8454), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8460), 1,
      sym_primitive_type,
    ACTIONS(8462), 1,
      anon_sym_enum,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8474), 1,
      anon_sym_typename,
    STATE(1742), 1,
      sym_type_specifier,
    STATE(1919), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(4828), 1,
      sym_argument_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181407] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8585), 1,
      sym_primitive_type,
    ACTIONS(8587), 1,
      anon_sym_enum,
    ACTIONS(8589), 1,
      anon_sym_class,
    ACTIONS(8591), 1,
      anon_sym_struct,
    ACTIONS(8593), 1,
      anon_sym_union,
    ACTIONS(8595), 1,
      sym_auto,
    ACTIONS(8597), 1,
      anon_sym_decltype,
    ACTIONS(8599), 1,
      anon_sym_typename,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2532), 1,
      sym_type_specifier,
    STATE(2859), 1,
      sym_qualified_type_identifier,
    STATE(2861), 1,
      sym_decltype_auto,
    STATE(4852), 1,
      sym_argument_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2738), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2858), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4970), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181527] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8605), 1,
      sym_primitive_type,
    ACTIONS(8607), 1,
      anon_sym_enum,
    ACTIONS(8609), 1,
      anon_sym_typename,
    STATE(1742), 1,
      sym_type_specifier,
    STATE(1920), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(4833), 1,
      sym_argument_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4978), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181647] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8383), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5375), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5001), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181719] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8543), 1,
      sym_identifier,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8549), 1,
      sym_primitive_type,
    ACTIONS(8551), 1,
      anon_sym_enum,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_struct,
    ACTIONS(8557), 1,
      anon_sym_union,
    ACTIONS(8559), 1,
      sym_auto,
    ACTIONS(8561), 1,
      anon_sym_decltype,
    ACTIONS(8563), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3322), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3659), 1,
      sym_type_specifier,
    STATE(3828), 1,
      sym_decltype_auto,
    STATE(4802), 1,
      sym_argument_list,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3803), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3830), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181799] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym___attribute__,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    STATE(5377), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5000), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4930), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181913] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(7292), 1,
      sym_primitive_type,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_enum,
    ACTIONS(8571), 1,
      anon_sym_class,
    ACTIONS(8573), 1,
      anon_sym_struct,
    ACTIONS(8575), 1,
      anon_sym_union,
    ACTIONS(8577), 1,
      anon_sym_typename,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(3911), 1,
      sym_type_specifier,
    STATE(4913), 1,
      sym_argument_list,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4926), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182033] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5451), 1,
      sym_trailing_return_type,
    STATE(5492), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5021), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [182104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5202), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182143] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    STATE(5362), 1,
      sym_trailing_return_type,
    STATE(5381), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5027), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8626), 1,
      sym_ms_restrict_modifier,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7160), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8629), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8632), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4716), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7162), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [182263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(5287), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6347), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5222), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182367] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(5354), 1,
      sym_trailing_return_type,
    STATE(5380), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5034), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182438] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    STATE(5449), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5020), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [182509] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5359), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5023), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182580] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4909), 1,
      sym_auto,
    ACTIONS(4911), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8637), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8635), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6167), 1,
      anon_sym_COLON,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6374), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182698] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    STATE(5362), 1,
      sym_trailing_return_type,
    STATE(5506), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5007), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [182769] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    STATE(5517), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5016), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182840] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5501), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5058), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5060), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182950] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5028), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [183021] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    STATE(5409), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5026), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [183092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5054), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5056), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5040), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_attribute_specifier,
    STATE(4977), 1,
      sym_enumerator_list,
    ACTIONS(5343), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5341), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4930), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4930), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5190), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5174), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5178), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5210), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183451] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(5354), 1,
      sym_trailing_return_type,
    STATE(5504), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5012), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [183522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5182), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(4821), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3776), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8639), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5190), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183649] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5445), 1,
      sym__function_attributes_end,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5031), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [183720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5186), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183759] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5491), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5009), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [183830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5234), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5006), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183908] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7631), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6358), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4982), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5028), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4986), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184090] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4909), 1,
      sym_auto,
    ACTIONS(4911), 1,
      anon_sym_decltype,
    STATE(1793), 1,
      sym_decltype_auto,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8643), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8641), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5218), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5214), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5194), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4942), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4942), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184338] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5526), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5036), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [184409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7581), 1,
      anon_sym_const,
    ACTIONS(7623), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5068), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6341), 1,
      sym__abstract_declarator,
    ACTIONS(7583), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4966), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5128), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    STATE(1745), 1,
      sym_attribute_specifier,
    STATE(4964), 1,
      sym_enumerator_list,
    ACTIONS(5349), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5347), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [184599] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    STATE(5520), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5017), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [184670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5263), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4946), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5130), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5132), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4950), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8645), 1,
      anon_sym_COLON,
    STATE(4472), 1,
      sym__enum_base_clause,
    STATE(4562), 1,
      sym_enumerator_list,
    STATE(4640), 1,
      sym_attribute_specifier,
    ACTIONS(5635), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5637), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [184877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4942), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8645), 1,
      anon_sym_COLON,
    STATE(4524), 1,
      sym__enum_base_clause,
    STATE(4567), 1,
      sym_enumerator_list,
    STATE(4588), 1,
      sym_attribute_specifier,
    ACTIONS(5641), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5643), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [184967] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5361), 1,
      sym__function_attributes_end,
    STATE(5451), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5022), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [185038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4962), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5226), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185116] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3839), 1,
      sym__class_declaration_item,
    STATE(3841), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_ms_declspec_modifier,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5196), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4979), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185196] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8585), 1,
      sym_primitive_type,
    ACTIONS(8587), 1,
      anon_sym_enum,
    ACTIONS(8589), 1,
      anon_sym_class,
    ACTIONS(8591), 1,
      anon_sym_struct,
    ACTIONS(8593), 1,
      anon_sym_union,
    ACTIONS(8595), 1,
      sym_auto,
    ACTIONS(8597), 1,
      anon_sym_decltype,
    ACTIONS(8599), 1,
      anon_sym_typename,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2766), 1,
      sym_type_specifier,
    STATE(2859), 1,
      sym_qualified_type_identifier,
    STATE(2861), 1,
      sym_decltype_auto,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2738), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2858), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185270] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2937), 1,
      sym__class_declaration,
    STATE(2939), 1,
      sym__class_declaration_item,
    STATE(5134), 1,
      sym_ms_declspec_modifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4941), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185350] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(2408), 1,
      sym_type_specifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185424] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5699), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5047), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [185494] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3837), 1,
      sym__class_declaration,
    STATE(3839), 1,
      sym__class_declaration_item,
    STATE(5194), 1,
      sym_ms_declspec_modifier,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5196), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4979), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185574] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8651), 1,
      anon_sym_requires,
    STATE(5002), 1,
      sym_ref_qualifier,
    STATE(5871), 1,
      sym__function_attributes_end,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5084), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [185650] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3839), 1,
      sym__class_declaration_item,
    STATE(3840), 1,
      sym__class_declaration,
    STATE(5194), 1,
      sym_ms_declspec_modifier,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5196), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4979), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185730] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185810] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3055), 1,
      sym_primitive_type,
    ACTIONS(3057), 1,
      anon_sym_enum,
    ACTIONS(3059), 1,
      anon_sym_class,
    ACTIONS(3061), 1,
      anon_sym_struct,
    ACTIONS(3063), 1,
      anon_sym_union,
    ACTIONS(3065), 1,
      anon_sym_typename,
    ACTIONS(4645), 1,
      sym_identifier,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    STATE(2408), 1,
      sym_type_specifier,
    STATE(2410), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(3070), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185884] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5472), 1,
      sym__declarator,
    STATE(6656), 1,
      sym_init_declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185954] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4631), 1,
      sym__class_declaration,
    STATE(4634), 1,
      sym__class_declaration_item,
    STATE(5178), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186034] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7308), 1,
      sym_identifier,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7312), 1,
      anon_sym_enum,
    ACTIONS(7314), 1,
      anon_sym_class,
    ACTIONS(7316), 1,
      anon_sym_struct,
    ACTIONS(7318), 1,
      anon_sym_union,
    ACTIONS(7320), 1,
      anon_sym_typename,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4552), 1,
      sym_type_specifier,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2768), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186188] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(1769), 1,
      sym__class_declaration,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5179), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4943), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4633), 1,
      sym__class_declaration,
    STATE(4634), 1,
      sym__class_declaration_item,
    STATE(5178), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186348] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8543), 1,
      sym_identifier,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8549), 1,
      sym_primitive_type,
    ACTIONS(8551), 1,
      anon_sym_enum,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_struct,
    ACTIONS(8557), 1,
      anon_sym_union,
    ACTIONS(8559), 1,
      sym_auto,
    ACTIONS(8561), 1,
      anon_sym_decltype,
    ACTIONS(8563), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3322), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3597), 1,
      sym_type_specifier,
    STATE(3828), 1,
      sym_decltype_auto,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3803), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3830), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186422] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3560), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(3572), 1,
      anon_sym_enum,
    ACTIONS(3574), 1,
      anon_sym_class,
    ACTIONS(3576), 1,
      anon_sym_struct,
    ACTIONS(3578), 1,
      anon_sym_union,
    ACTIONS(3582), 1,
      anon_sym_typename,
    STATE(2408), 1,
      sym_type_specifier,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186496] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4578), 1,
      sym__class_declaration,
    STATE(4634), 1,
      sym__class_declaration_item,
    STATE(5178), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4937), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186576] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8448), 1,
      anon_sym_requires,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5040), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [186646] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5535), 1,
      sym__declarator,
    STATE(7046), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186716] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(6385), 1,
      sym_type_specifier,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186790] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5485), 1,
      sym__declarator,
    STATE(6656), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186860] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2768), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186940] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(4998), 1,
      sym_ref_qualifier,
    STATE(5719), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [187016] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187096] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(1768), 1,
      sym__class_declaration,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5179), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4943), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187176] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187256] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8543), 1,
      sym_identifier,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8549), 1,
      sym_primitive_type,
    ACTIONS(8551), 1,
      anon_sym_enum,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_struct,
    ACTIONS(8557), 1,
      anon_sym_union,
    ACTIONS(8559), 1,
      sym_auto,
    ACTIONS(8561), 1,
      anon_sym_decltype,
    ACTIONS(8563), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3322), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3584), 1,
      sym_type_specifier,
    STATE(3828), 1,
      sym_decltype_auto,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3803), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3830), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187330] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1763), 1,
      sym__class_declaration,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5179), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4943), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187410] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(7292), 1,
      sym_primitive_type,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_enum,
    ACTIONS(8571), 1,
      anon_sym_class,
    ACTIONS(8573), 1,
      anon_sym_struct,
    ACTIONS(8575), 1,
      anon_sym_union,
    ACTIONS(8577), 1,
      anon_sym_typename,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2538), 1,
      sym_type_specifier,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187484] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8585), 1,
      sym_primitive_type,
    ACTIONS(8587), 1,
      anon_sym_enum,
    ACTIONS(8589), 1,
      anon_sym_class,
    ACTIONS(8591), 1,
      anon_sym_struct,
    ACTIONS(8593), 1,
      anon_sym_union,
    ACTIONS(8595), 1,
      sym_auto,
    ACTIONS(8597), 1,
      anon_sym_decltype,
    ACTIONS(8599), 1,
      anon_sym_typename,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2521), 1,
      sym_type_specifier,
    STATE(2859), 1,
      sym_qualified_type_identifier,
    STATE(2861), 1,
      sym_decltype_auto,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2738), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2858), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187558] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3240), 1,
      sym__class_declaration_item,
    STATE(3243), 1,
      sym__class_declaration,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4951), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187638] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3240), 1,
      sym__class_declaration_item,
    STATE(3242), 1,
      sym__class_declaration,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4951), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187718] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5186), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4934), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187798] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1822), 1,
      anon_sym_enum,
    ACTIONS(1824), 1,
      anon_sym_class,
    ACTIONS(1826), 1,
      anon_sym_struct,
    ACTIONS(1828), 1,
      anon_sym_union,
    ACTIONS(1854), 1,
      anon_sym_typename,
    ACTIONS(3055), 1,
      sym_primitive_type,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    STATE(2408), 1,
      sym_type_specifier,
    STATE(2410), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(3070), 1,
      sym_qualified_type_identifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187872] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3239), 1,
      sym__class_declaration,
    STATE(3240), 1,
      sym__class_declaration_item,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4951), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187952] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188032] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8664), 1,
      anon_sym_requires,
    STATE(5601), 1,
      sym__function_attributes_end,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5050), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [188102] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      sym_identifier,
    ACTIONS(8673), 1,
      sym_primitive_type,
    STATE(4816), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5084), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8670), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5086), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [188228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8605), 1,
      sym_primitive_type,
    ACTIONS(8607), 1,
      anon_sym_enum,
    ACTIONS(8609), 1,
      anon_sym_typename,
    STATE(1749), 1,
      sym_type_specifier,
    STATE(1920), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5012), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8676), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5015), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4903), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5324), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5326), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4912), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5318), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8683), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5320), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188428] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5571), 1,
      sym__declarator,
    STATE(7319), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188498] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2601), 1,
      sym__class_declaration_item,
    STATE(2606), 1,
      sym__class_declaration,
    STATE(5195), 1,
      sym_ms_declspec_modifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5223), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4949), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5368), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5370), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [188620] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2601), 1,
      sym__class_declaration_item,
    STATE(2602), 1,
      sym__class_declaration,
    STATE(5195), 1,
      sym_ms_declspec_modifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5223), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4949), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188700] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188780] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2599), 1,
      sym__class_declaration,
    STATE(2601), 1,
      sym__class_declaration_item,
    STATE(5195), 1,
      sym_ms_declspec_modifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5223), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4949), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188860] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188940] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8496), 1,
      sym_identifier,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 1,
      sym_primitive_type,
    ACTIONS(8504), 1,
      anon_sym_enum,
    ACTIONS(8506), 1,
      anon_sym_class,
    ACTIONS(8508), 1,
      anon_sym_struct,
    ACTIONS(8510), 1,
      anon_sym_union,
    ACTIONS(8512), 1,
      sym_auto,
    ACTIONS(8514), 1,
      anon_sym_decltype,
    ACTIONS(8516), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2589), 1,
      sym_type_specifier,
    STATE(2957), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_qualified_type_identifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2801), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8500), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2867), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189014] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5524), 1,
      sym__declarator,
    STATE(6954), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [189084] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8454), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8460), 1,
      sym_primitive_type,
    ACTIONS(8462), 1,
      anon_sym_enum,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8474), 1,
      anon_sym_typename,
    STATE(1775), 1,
      sym_type_specifier,
    STATE(1919), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189158] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8543), 1,
      sym_identifier,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8549), 1,
      sym_primitive_type,
    ACTIONS(8551), 1,
      anon_sym_enum,
    ACTIONS(8553), 1,
      anon_sym_class,
    ACTIONS(8555), 1,
      anon_sym_struct,
    ACTIONS(8557), 1,
      anon_sym_union,
    ACTIONS(8559), 1,
      sym_auto,
    ACTIONS(8561), 1,
      anon_sym_decltype,
    ACTIONS(8563), 1,
      anon_sym_typename,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3322), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3805), 1,
      sym_type_specifier,
    STATE(3828), 1,
      sym_decltype_auto,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3803), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3830), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(6129), 1,
      anon_sym_LPAREN2,
    STATE(1868), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2383), 1,
      sym_argument_list,
    STATE(3712), 1,
      sym_initializer_list,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5316), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 19,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [189282] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1627), 1,
      sym_type_specifier,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189356] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189436] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8605), 1,
      sym_primitive_type,
    ACTIONS(8607), 1,
      anon_sym_enum,
    ACTIONS(8609), 1,
      anon_sym_typename,
    STATE(1775), 1,
      sym_type_specifier,
    STATE(1920), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189510] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2938), 1,
      sym__class_declaration,
    STATE(2939), 1,
      sym__class_declaration_item,
    STATE(5134), 1,
      sym_ms_declspec_modifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4941), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189590] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8454), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8460), 1,
      sym_primitive_type,
    ACTIONS(8462), 1,
      anon_sym_enum,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8474), 1,
      anon_sym_typename,
    STATE(1893), 1,
      sym_type_specifier,
    STATE(1919), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3827), 1,
      sym_type_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189738] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4737), 1,
      sym__class_declaration_item,
    STATE(4744), 1,
      sym__class_declaration,
    STATE(5148), 1,
      sym_ms_declspec_modifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5147), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4950), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189818] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(2030), 1,
      sym__class_declaration,
    STATE(2033), 1,
      sym__class_declaration_item,
    STATE(5158), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5157), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4960), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189898] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8521), 1,
      sym_identifier,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8527), 1,
      sym_primitive_type,
    ACTIONS(8529), 1,
      anon_sym_enum,
    ACTIONS(8531), 1,
      anon_sym_class,
    ACTIONS(8533), 1,
      anon_sym_struct,
    ACTIONS(8535), 1,
      anon_sym_union,
    ACTIONS(8537), 1,
      sym_auto,
    ACTIONS(8539), 1,
      anon_sym_decltype,
    ACTIONS(8541), 1,
      anon_sym_typename,
    STATE(2420), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2709), 1,
      sym_type_specifier,
    STATE(3209), 1,
      sym_decltype_auto,
    STATE(3228), 1,
      sym_qualified_type_identifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3134), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3213), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [189972] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8496), 1,
      sym_identifier,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 1,
      sym_primitive_type,
    ACTIONS(8504), 1,
      anon_sym_enum,
    ACTIONS(8506), 1,
      anon_sym_class,
    ACTIONS(8508), 1,
      anon_sym_struct,
    ACTIONS(8510), 1,
      anon_sym_union,
    ACTIONS(8512), 1,
      sym_auto,
    ACTIONS(8514), 1,
      anon_sym_decltype,
    ACTIONS(8516), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2846), 1,
      sym_type_specifier,
    STATE(2957), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_qualified_type_identifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2801), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8500), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2867), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190046] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4737), 1,
      sym__class_declaration_item,
    STATE(4740), 1,
      sym__class_declaration,
    STATE(5148), 1,
      sym_ms_declspec_modifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5147), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4950), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190126] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190206] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(2031), 1,
      sym__class_declaration,
    STATE(2033), 1,
      sym__class_declaration_item,
    STATE(5158), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5157), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4960), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190286] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8454), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8460), 1,
      sym_primitive_type,
    ACTIONS(8462), 1,
      anon_sym_enum,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8474), 1,
      anon_sym_typename,
    STATE(1749), 1,
      sym_type_specifier,
    STATE(1919), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190360] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5167), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5168), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190440] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5167), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5168), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190520] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190600] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3799), 1,
      sym_type_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(2033), 1,
      sym__class_declaration_item,
    STATE(2034), 1,
      sym__class_declaration,
    STATE(5158), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5157), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4960), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190754] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2939), 1,
      sym__class_declaration_item,
    STATE(2942), 1,
      sym__class_declaration,
    STATE(5134), 1,
      sym_ms_declspec_modifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4941), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190834] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4736), 1,
      sym__class_declaration,
    STATE(4737), 1,
      sym__class_declaration_item,
    STATE(5148), 1,
      sym_ms_declspec_modifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5147), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4950), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190914] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8585), 1,
      sym_primitive_type,
    ACTIONS(8587), 1,
      anon_sym_enum,
    ACTIONS(8589), 1,
      anon_sym_class,
    ACTIONS(8591), 1,
      anon_sym_struct,
    ACTIONS(8593), 1,
      anon_sym_union,
    ACTIONS(8595), 1,
      sym_auto,
    ACTIONS(8597), 1,
      anon_sym_decltype,
    ACTIONS(8599), 1,
      anon_sym_typename,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2512), 1,
      sym_type_specifier,
    STATE(2859), 1,
      sym_qualified_type_identifier,
    STATE(2861), 1,
      sym_decltype_auto,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2738), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2858), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190988] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5167), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5168), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191068] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4578), 1,
      sym__class_declaration,
    STATE(4634), 1,
      sym__class_declaration_item,
    STATE(5200), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4955), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191148] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2692), 1,
      anon_sym_enum,
    ACTIONS(2694), 1,
      anon_sym_class,
    ACTIONS(2696), 1,
      anon_sym_struct,
    ACTIONS(2698), 1,
      anon_sym_union,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(2726), 1,
      anon_sym_typename,
    ACTIONS(7288), 1,
      sym_identifier,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7292), 1,
      sym_primitive_type,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2538), 1,
      sym_type_specifier,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(7292), 1,
      sym_primitive_type,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_enum,
    ACTIONS(8571), 1,
      anon_sym_class,
    ACTIONS(8573), 1,
      anon_sym_struct,
    ACTIONS(8575), 1,
      anon_sym_union,
    ACTIONS(8577), 1,
      anon_sym_typename,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(3929), 1,
      sym_type_specifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191296] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5613), 1,
      sym__function_attributes_end,
    STATE(5828), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5053), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [191366] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191446] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8521), 1,
      sym_identifier,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8527), 1,
      sym_primitive_type,
    ACTIONS(8529), 1,
      anon_sym_enum,
    ACTIONS(8531), 1,
      anon_sym_class,
    ACTIONS(8533), 1,
      anon_sym_struct,
    ACTIONS(8535), 1,
      anon_sym_union,
    ACTIONS(8537), 1,
      sym_auto,
    ACTIONS(8539), 1,
      anon_sym_decltype,
    ACTIONS(8541), 1,
      anon_sym_typename,
    STATE(2420), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2767), 1,
      sym_type_specifier,
    STATE(3209), 1,
      sym_decltype_auto,
    STATE(3228), 1,
      sym_qualified_type_identifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3134), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3213), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191520] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5636), 1,
      sym__function_attributes_end,
    STATE(5800), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [191590] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191670] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      anon_sym_enum,
    ACTIONS(69), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_struct,
    ACTIONS(73), 1,
      anon_sym_union,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3055), 1,
      sym_primitive_type,
    ACTIONS(4645), 1,
      sym_identifier,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    STATE(2408), 1,
      sym_type_specifier,
    STATE(2410), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(3070), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191744] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2828), 1,
      sym__class_declaration,
    STATE(2841), 1,
      sym__class_declaration_item,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5149), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4959), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191824] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7186), 1,
      sym_identifier,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7192), 1,
      sym_primitive_type,
    ACTIONS(7194), 1,
      anon_sym_enum,
    ACTIONS(7196), 1,
      anon_sym_class,
    ACTIONS(7198), 1,
      anon_sym_struct,
    ACTIONS(7200), 1,
      anon_sym_union,
    ACTIONS(7202), 1,
      anon_sym_typename,
    STATE(1627), 1,
      sym_type_specifier,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191898] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5004), 1,
      sym_ref_qualifier,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [191974] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192054] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8521), 1,
      sym_identifier,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8527), 1,
      sym_primitive_type,
    ACTIONS(8529), 1,
      anon_sym_enum,
    ACTIONS(8531), 1,
      anon_sym_class,
    ACTIONS(8533), 1,
      anon_sym_struct,
    ACTIONS(8535), 1,
      anon_sym_union,
    ACTIONS(8537), 1,
      sym_auto,
    ACTIONS(8539), 1,
      anon_sym_decltype,
    ACTIONS(8541), 1,
      anon_sym_typename,
    STATE(2420), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3128), 1,
      sym_type_specifier,
    STATE(3209), 1,
      sym_decltype_auto,
    STATE(3228), 1,
      sym_qualified_type_identifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(3134), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3213), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192128] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4631), 1,
      sym__class_declaration,
    STATE(4634), 1,
      sym__class_declaration_item,
    STATE(5200), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4955), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192208] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6925), 1,
      anon_sym_LPAREN2,
    STATE(1868), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3274), 1,
      sym_initializer_list,
    STATE(3276), 1,
      sym_argument_list,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5316), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4930), 19,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [192258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5036), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5034), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [192298] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(1769), 1,
      sym__class_declaration,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(5139), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4922), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192378] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7231), 1,
      sym_identifier,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7237), 1,
      sym_primitive_type,
    ACTIONS(7239), 1,
      anon_sym_enum,
    ACTIONS(7241), 1,
      anon_sym_class,
    ACTIONS(7243), 1,
      anon_sym_struct,
    ACTIONS(7245), 1,
      anon_sym_union,
    ACTIONS(7247), 1,
      sym_auto,
    ACTIONS(7249), 1,
      anon_sym_decltype,
    ACTIONS(7251), 1,
      anon_sym_typename,
    STATE(4041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4684), 1,
      sym_type_specifier,
    STATE(4730), 1,
      sym_decltype_auto,
    STATE(4734), 1,
      sym_qualified_type_identifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(4710), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4733), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192452] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5155), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4938), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192532] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192612] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2768), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192692] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(5778), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5043), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [192762] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3853), 1,
      sym_type_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192836] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7156), 1,
      sym_primitive_type,
    ACTIONS(8476), 1,
      sym_identifier,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8480), 1,
      anon_sym_enum,
    ACTIONS(8482), 1,
      anon_sym_class,
    ACTIONS(8484), 1,
      anon_sym_struct,
    ACTIONS(8486), 1,
      anon_sym_union,
    ACTIONS(8488), 1,
      anon_sym_typename,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(3802), 1,
      sym_type_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192910] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5155), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4938), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192990] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5191), 1,
      sym_ms_declspec_modifier,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5190), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4948), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5191), 1,
      sym_ms_declspec_modifier,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5190), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4948), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8496), 1,
      sym_identifier,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 1,
      sym_primitive_type,
    ACTIONS(8504), 1,
      anon_sym_enum,
    ACTIONS(8506), 1,
      anon_sym_class,
    ACTIONS(8508), 1,
      anon_sym_struct,
    ACTIONS(8510), 1,
      anon_sym_union,
    ACTIONS(8512), 1,
      sym_auto,
    ACTIONS(8514), 1,
      anon_sym_decltype,
    ACTIONS(8516), 1,
      anon_sym_typename,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2587), 1,
      sym_type_specifier,
    STATE(2957), 1,
      sym_decltype_auto,
    STATE(2982), 1,
      sym_qualified_type_identifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2801), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8500), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2867), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193224] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(1769), 1,
      sym__class_declaration,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5161), 1,
      sym_ms_declspec_modifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4958), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193304] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5155), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4938), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7204), 1,
      sym_identifier,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7210), 1,
      sym_primitive_type,
    ACTIONS(7212), 1,
      anon_sym_enum,
    ACTIONS(7214), 1,
      anon_sym_class,
    ACTIONS(7216), 1,
      anon_sym_struct,
    ACTIONS(7218), 1,
      anon_sym_union,
    ACTIONS(7220), 1,
      sym_auto,
    ACTIONS(7222), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_typename,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4552), 1,
      sym_type_specifier,
    STATE(4613), 1,
      sym_decltype_auto,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4620), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193458] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5507), 1,
      sym__declarator,
    STATE(6800), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [193528] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(1768), 1,
      sym__class_declaration,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5161), 1,
      sym_ms_declspec_modifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4958), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193608] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8705), 1,
      anon_sym_requires,
    STATE(5650), 1,
      sym__function_attributes_end,
    STATE(5721), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [193678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5191), 1,
      sym_ms_declspec_modifier,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5190), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4948), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193758] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4633), 1,
      sym__class_declaration,
    STATE(4634), 1,
      sym__class_declaration_item,
    STATE(5200), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4955), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193838] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2749), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193918] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7150), 1,
      sym_identifier,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7156), 1,
      sym_primitive_type,
    STATE(1627), 1,
      sym_type_specifier,
    STATE(1714), 1,
      sym_decltype_auto,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1824), 1,
      sym_qualified_type_identifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1653), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1719), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193992] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5533), 1,
      sym__declarator,
    STATE(6918), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194062] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2601), 1,
      sym__class_declaration_item,
    STATE(2606), 1,
      sym__class_declaration,
    STATE(5152), 1,
      sym_ms_declspec_modifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5159), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4963), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194142] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(1768), 1,
      sym__class_declaration,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(5139), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4922), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194222] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2708), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194302] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2601), 1,
      sym__class_declaration_item,
    STATE(2602), 1,
      sym__class_declaration,
    STATE(5152), 1,
      sym_ms_declspec_modifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5159), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4963), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194382] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1763), 1,
      sym__class_declaration,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(5139), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4922), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194462] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2708), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2708), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194622] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_AMP,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4992), 1,
      sym_ref_qualifier,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6031), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [194698] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2749), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5304), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8710), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5306), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [194820] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1763), 1,
      sym__class_declaration,
    STATE(1764), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5161), 1,
      sym_ms_declspec_modifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4958), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194900] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2491), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2749), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194980] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195060] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2488), 1,
      sym__class_declaration,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2713), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195140] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2465), 1,
      sym__class_declaration,
    STATE(2487), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5138), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4968), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195220] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2599), 1,
      sym__class_declaration,
    STATE(2601), 1,
      sym__class_declaration_item,
    STATE(5152), 1,
      sym_ms_declspec_modifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5159), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4963), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195300] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2794), 1,
      sym__class_declaration,
    STATE(2841), 1,
      sym__class_declaration_item,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5149), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4959), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195380] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2841), 1,
      sym__class_declaration_item,
    STATE(2845), 1,
      sym__class_declaration,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5149), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4959), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5310), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8713), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5312), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2722), 1,
      sym_auto,
    ACTIONS(2724), 1,
      anon_sym_decltype,
    ACTIONS(7292), 1,
      sym_primitive_type,
    ACTIONS(8565), 1,
      sym_identifier,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_enum,
    ACTIONS(8571), 1,
      anon_sym_class,
    ACTIONS(8573), 1,
      anon_sym_struct,
    ACTIONS(8575), 1,
      anon_sym_union,
    ACTIONS(8577), 1,
      anon_sym_typename,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2625), 1,
      sym_decltype_auto,
    STATE(2687), 1,
      sym_qualified_type_identifier,
    STATE(3932), 1,
      sym_type_specifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2574), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2610), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7298), 1,
      anon_sym_enum,
    ACTIONS(7300), 1,
      anon_sym_class,
    ACTIONS(7302), 1,
      anon_sym_struct,
    ACTIONS(7304), 1,
      anon_sym_union,
    ACTIONS(7306), 1,
      anon_sym_typename,
    STATE(2442), 1,
      sym_decltype_auto,
    STATE(2866), 1,
      sym_qualified_type_identifier,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(6376), 1,
      sym_type_specifier,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(2393), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2411), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195650] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(5644), 1,
      sym__function_attributes_end,
    STATE(5719), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [195720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5382), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195762] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8464), 1,
      anon_sym_class,
    ACTIONS(8466), 1,
      anon_sym_struct,
    ACTIONS(8468), 1,
      anon_sym_union,
    ACTIONS(8470), 1,
      sym_auto,
    ACTIONS(8472), 1,
      anon_sym_decltype,
    ACTIONS(8601), 1,
      sym_identifier,
    ACTIONS(8605), 1,
      sym_primitive_type,
    ACTIONS(8607), 1,
      anon_sym_enum,
    ACTIONS(8609), 1,
      anon_sym_typename,
    STATE(1893), 1,
      sym_type_specifier,
    STATE(1920), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2045), 1,
      sym_qualified_type_identifier,
    STATE(2057), 1,
      sym_decltype_auto,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2053), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195836] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5542), 1,
      sym__declarator,
    STATE(6656), 1,
      sym_init_declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195906] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8451), 1,
      anon_sym_requires,
    STATE(5805), 1,
      sym__function_attributes_end,
    STATE(5985), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5058), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [195975] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6484), 1,
      anon_sym_STAR,
    ACTIONS(6486), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6488), 1,
      anon_sym_AMP,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5802), 1,
      sym__declarator,
    STATE(7494), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196042] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6040), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196109] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1662), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(5166), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196186] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6017), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196253] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5811), 1,
      sym__function_attributes_end,
    STATE(5960), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8370), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196322] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(6107), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196389] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6080), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196456] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6028), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196523] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6187), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196590] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6080), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1675), 1,
      sym_attribute_specifier,
    ACTIONS(5493), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5491), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6217), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1707), 1,
      sym_attribute_specifier,
    ACTIONS(5459), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5457), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1666), 1,
      sym_attribute_specifier,
    ACTIONS(5489), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5487), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [196847] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2423), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5212), 1,
      sym_ms_declspec_modifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196924] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6053), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196991] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6212), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197058] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4592), 1,
      sym__class_declaration_item,
    STATE(5230), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5229), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197135] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2423), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5232), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5171), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1685), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5440), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1712), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5430), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197294] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2903), 1,
      sym__class_declaration_item,
    STATE(5218), 1,
      sym_ms_declspec_modifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5219), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197371] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6038), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197438] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1662), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5173), 1,
      sym_ms_declspec_modifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197515] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6219), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197582] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6044), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197649] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6033), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197716] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5057), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197785] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2423), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5228), 1,
      sym_ms_declspec_modifier,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5222), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197862] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(5187), 1,
      sym_ms_declspec_modifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197939] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4756), 1,
      sym__class_declaration_item,
    STATE(5144), 1,
      sym_ms_declspec_modifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198016] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3325), 1,
      sym__class_declaration_item,
    STATE(5231), 1,
      sym_ms_declspec_modifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198093] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6039), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198160] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6462), 1,
      anon_sym_STAR,
    ACTIONS(6464), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6466), 1,
      anon_sym_AMP,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5946), 1,
      sym__declarator,
    STATE(7569), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1778), 1,
      sym_attribute_specifier,
    ACTIONS(5481), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5479), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198268] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4592), 1,
      sym__class_declaration_item,
    STATE(5202), 1,
      sym_ms_declspec_modifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5197), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198412] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6191), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198479] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1662), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(5135), 1,
      sym_ms_declspec_modifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198556] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2775), 1,
      sym__class_declaration_item,
    STATE(5210), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198633] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(1937), 1,
      sym__class_declaration_item,
    STATE(5185), 1,
      sym_ms_declspec_modifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1782), 1,
      sym_attribute_specifier,
    ACTIONS(5474), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5472), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198751] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5810), 1,
      sym__function_attributes_end,
    STATE(5962), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5062), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8426), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [198820] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2646), 1,
      sym__class_declaration_item,
    STATE(5175), 1,
      sym_ms_declspec_modifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5174), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1686), 1,
      sym_attribute_specifier,
    ACTIONS(5455), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5453), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198938] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6056), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199005] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_AMP,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(6222), 1,
      sym__declarator,
    STATE(8088), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199072] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5271), 1,
      sym_identifier,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6520), 1,
      anon_sym_STAR,
    ACTIONS(6522), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6524), 1,
      anon_sym_AMP,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5801), 1,
      sym__declarator,
    STATE(7701), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199139] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2423), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(5141), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1779), 1,
      sym_attribute_specifier,
    ACTIONS(5396), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5394), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [199257] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6070), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199324] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4887), 1,
      sym_identifier,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6470), 1,
      anon_sym_STAR,
    ACTIONS(6472), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6474), 1,
      anon_sym_AMP,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(6199), 1,
      sym__declarator,
    STATE(7620), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1772), 1,
      sym_attribute_specifier,
    ACTIONS(5414), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5412), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [199432] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6035), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1744), 1,
      sym_attribute_specifier,
    ACTIONS(5463), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5461), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [199540] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6082), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199607] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3039), 1,
      anon_sym_LPAREN2,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6468), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_identifier,
    ACTIONS(6494), 1,
      anon_sym_STAR,
    ACTIONS(6496), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6498), 1,
      anon_sym_AMP,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(6042), 1,
      sym__declarator,
    STATE(7401), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5904), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1783), 1,
      sym_attribute_specifier,
    ACTIONS(5485), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5483), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [199715] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2423), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(5214), 1,
      sym_ms_declspec_modifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199792] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4893), 1,
      anon_sym___attribute__,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4899), 1,
      anon_sym___declspec,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3864), 1,
      sym__class_declaration_item,
    STATE(5205), 1,
      sym_ms_declspec_modifier,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4901), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5481), 1,
      sym__function_attributes_end,
    STATE(5592), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [199931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8728), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8726), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199975] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1815), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4426), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8732), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8730), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4916), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4930), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4928), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [200059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      anon_sym_requires,
    STATE(5478), 1,
      sym__function_attributes_end,
    STATE(5597), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7358), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7360), 25,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [200157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7350), 25,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [200193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8737), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5535), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5533), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [200233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5483), 1,
      sym__function_attributes_end,
    STATE(5599), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8743), 1,
      anon_sym_requires,
    STATE(5475), 1,
      sym__function_attributes_end,
    STATE(5561), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5484), 1,
      sym__function_attributes_end,
    STATE(5567), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8377), 1,
      anon_sym_requires,
    STATE(5482), 1,
      sym__function_attributes_end,
    STATE(5604), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200481] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5880), 1,
      sym__function_attributes_end,
    STATE(6025), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200548] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8383), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5375), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200676] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8651), 1,
      anon_sym_requires,
    STATE(5871), 1,
      sym__function_attributes_end,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5084), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200743] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6031), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8383), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5340), 1,
      sym__function_attributes_end,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200871] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8705), 1,
      anon_sym_requires,
    STATE(5721), 1,
      sym_trailing_return_type,
    STATE(5987), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8746), 1,
      anon_sym___attribute__,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5350), 1,
      sym__function_attributes_end,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8746), 1,
      anon_sym___attribute__,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    STATE(5378), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201060] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym___attribute__,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    STATE(5377), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201121] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8758), 1,
      anon_sym_requires,
    STATE(5866), 1,
      sym__function_attributes_end,
    STATE(6036), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5082), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201188] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(5719), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201255] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_noexcept,
    ACTIONS(6573), 1,
      anon_sym_throw,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5800), 1,
      sym_trailing_return_type,
    STATE(5954), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201322] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym___attribute__,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5345), 1,
      sym__function_attributes_end,
    STATE(5402), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4930), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [201422] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(5366), 1,
      sym_trailing_return_type,
    STATE(5513), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201482] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5428), 1,
      sym_ms_call_modifier,
    STATE(6265), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [201540] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5451), 1,
      sym_trailing_return_type,
    STATE(5492), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201600] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(5354), 1,
      sym_trailing_return_type,
    STATE(5380), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [201660] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(5354), 1,
      sym_trailing_return_type,
    STATE(5504), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201720] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    STATE(5362), 1,
      sym_trailing_return_type,
    STATE(5506), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201780] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5376), 1,
      sym_ms_call_modifier,
    STATE(6231), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [201838] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5526), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7684), 1,
      anon_sym_AMP,
    ACTIONS(8770), 1,
      anon_sym_const,
    STATE(5068), 1,
      sym_alignas_qualifier,
    ACTIONS(8773), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7682), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8767), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5536), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202002] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    STATE(5490), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202062] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202122] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5359), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202182] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5457), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8776), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202242] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5456), 1,
      sym_trailing_return_type,
    STATE(5494), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202302] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5364), 1,
      sym__function_attributes_end,
    STATE(5456), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8776), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202362] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5361), 1,
      sym__function_attributes_end,
    STATE(5451), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_LBRACE,
    ACTIONS(4928), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4930), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [202458] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5444), 1,
      sym_ms_call_modifier,
    STATE(6238), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [202516] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    STATE(5403), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8776), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(5366), 1,
      sym_trailing_return_type,
    STATE(5382), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8776), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202636] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    STATE(5409), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202696] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5342), 1,
      sym_ms_call_modifier,
    STATE(6237), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [202754] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5445), 1,
      sym__function_attributes_end,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8398), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202814] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    STATE(5449), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202874] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5447), 1,
      sym_trailing_return_type,
    STATE(5501), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5491), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202994] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    STATE(5362), 1,
      sym_trailing_return_type,
    STATE(5381), 1,
      sym__function_attributes_end,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8620), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    STATE(5517), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203114] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    STATE(5520), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203174] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5699), 1,
      sym__function_attributes_end,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203233] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    ACTIONS(8779), 1,
      anon_sym_LPAREN2,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    ACTIONS(8785), 1,
      anon_sym_requires,
    STATE(2530), 1,
      sym_template_type,
    STATE(3432), 1,
      sym_requirement_seq,
    STATE(5521), 1,
      sym_lambda_capture_specifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7217), 1,
      sym_requires_parameter_list,
    ACTIONS(8783), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3464), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203294] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5665), 1,
      sym__function_attributes_end,
    STATE(5808), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8664), 1,
      anon_sym_requires,
    STATE(5601), 1,
      sym__function_attributes_end,
    STATE(5818), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203412] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8705), 1,
      anon_sym_requires,
    STATE(5650), 1,
      sym__function_attributes_end,
    STATE(5721), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    ACTIONS(8787), 1,
      anon_sym_LPAREN2,
    ACTIONS(8789), 1,
      anon_sym_LBRACE,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(3293), 1,
      sym_requirement_seq,
    STATE(3490), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7059), 1,
      sym_requires_parameter_list,
    ACTIONS(8791), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3975), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203532] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8617), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5613), 1,
      sym__function_attributes_end,
    STATE(5828), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8448), 1,
      anon_sym_requires,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5825), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203650] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(5644), 1,
      sym__function_attributes_end,
    STATE(5719), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    ACTIONS(8795), 1,
      anon_sym_LPAREN2,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(8801), 1,
      anon_sym_requires,
    STATE(2436), 1,
      sym_template_type,
    STATE(4093), 1,
      sym_requirement_seq,
    STATE(5515), 1,
      sym_lambda_capture_specifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7380), 1,
      sym_requires_parameter_list,
    ACTIONS(8799), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4482), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203770] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5636), 1,
      sym__function_attributes_end,
    STATE(5800), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203829] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8803), 1,
      anon_sym_LPAREN2,
    ACTIONS(8805), 1,
      anon_sym_LBRACE,
    ACTIONS(8809), 1,
      anon_sym_requires,
    STATE(2603), 1,
      sym_template_type,
    STATE(3612), 1,
      sym_requirement_seq,
    STATE(5531), 1,
      sym_lambda_capture_specifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7293), 1,
      sym_requires_parameter_list,
    ACTIONS(8807), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3591), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203890] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    ACTIONS(8787), 1,
      anon_sym_LPAREN2,
    ACTIONS(8789), 1,
      anon_sym_LBRACE,
    ACTIONS(8793), 1,
      anon_sym_requires,
    STATE(1630), 1,
      sym_template_type,
    STATE(3293), 1,
      sym_requirement_seq,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7059), 1,
      sym_requires_parameter_list,
    ACTIONS(8811), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3974), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8813), 1,
      anon_sym_requires,
    STATE(5585), 1,
      sym__function_attributes_end,
    STATE(5814), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204010] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8816), 1,
      anon_sym_requires,
    STATE(5653), 1,
      sym__function_attributes_end,
    STATE(5725), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204069] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    ACTIONS(8819), 1,
      anon_sym_LPAREN2,
    ACTIONS(8821), 1,
      anon_sym_LBRACE,
    ACTIONS(8825), 1,
      anon_sym_requires,
    STATE(2440), 1,
      sym_template_type,
    STATE(3222), 1,
      sym_requirement_seq,
    STATE(5508), 1,
      sym_lambda_capture_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7238), 1,
      sym_requires_parameter_list,
    ACTIONS(8823), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3216), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [204130] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8761), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5564), 1,
      sym__function_attributes_end,
    STATE(5827), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8395), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5590), 1,
      sym__function_attributes_end,
    STATE(5778), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204248] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8827), 1,
      anon_sym_LPAREN2,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    ACTIONS(8833), 1,
      anon_sym_requires,
    STATE(1825), 1,
      sym_template_type,
    STATE(2380), 1,
      sym_requirement_seq,
    STATE(5557), 1,
      sym_lambda_capture_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7132), 1,
      sym_requires_parameter_list,
    ACTIONS(8831), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2381), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [204309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8451), 1,
      anon_sym_requires,
    STATE(5805), 1,
      sym__function_attributes_end,
    STATE(5985), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8835), 1,
      anon_sym_requires,
    STATE(5803), 1,
      sym__function_attributes_end,
    STATE(5991), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8719), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym__function_attributes_end,
    STATE(5990), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204483] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(5559), 1,
      sym_ms_call_modifier,
    STATE(6207), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [204537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5810), 1,
      sym__function_attributes_end,
    STATE(5962), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5811), 1,
      sym__function_attributes_end,
    STATE(5960), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5809), 1,
      sym__function_attributes_end,
    STATE(5963), 1,
      sym_trailing_return_type,
    STATE(6292), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5122), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5398), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7180), 1,
      anon_sym_STAR,
    ACTIONS(7182), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7184), 1,
      anon_sym_AMP,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5629), 1,
      sym__abstract_declarator,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7170), 1,
      anon_sym_STAR,
    ACTIONS(7172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_AMP,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5696), 1,
      sym__abstract_declarator,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204807] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7136), 1,
      anon_sym_STAR,
    ACTIONS(7138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7140), 1,
      anon_sym_AMP,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5679), 1,
      sym__abstract_declarator,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204855] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8840), 1,
      anon_sym_SEMI,
    ACTIONS(8842), 1,
      anon_sym_LBRACE,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(8846), 1,
      anon_sym_EQ,
    ACTIONS(8848), 1,
      anon_sym_COLON,
    ACTIONS(8850), 1,
      anon_sym_try,
    STATE(1689), 1,
      sym_compound_statement,
    STATE(1710), 1,
      sym_default_method_clause,
    STATE(1715), 1,
      sym_delete_method_clause,
    STATE(1741), 1,
      sym_pure_virtual_clause,
    STATE(1766), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6334), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6386), 1,
      sym_bitfield_clause,
    STATE(6388), 1,
      sym_initializer_list,
    STATE(7845), 1,
      sym_attribute_specifier,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [204926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5230), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3194), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204988] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(8848), 1,
      anon_sym_COLON,
    ACTIONS(8852), 1,
      anon_sym_SEMI,
    ACTIONS(8854), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_EQ,
    ACTIONS(8858), 1,
      anon_sym_try,
    STATE(2103), 1,
      sym_compound_statement,
    STATE(2109), 1,
      sym_default_method_clause,
    STATE(2126), 1,
      sym_delete_method_clause,
    STATE(2129), 1,
      sym_pure_virtual_clause,
    STATE(2132), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6349), 1,
      sym_bitfield_clause,
    STATE(6351), 1,
      sym_initializer_list,
    STATE(6361), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7580), 1,
      sym_attribute_specifier,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [205059] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7253), 1,
      anon_sym_STAR,
    ACTIONS(7255), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7257), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5750), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205106] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(8848), 1,
      anon_sym_COLON,
    ACTIONS(8860), 1,
      anon_sym_SEMI,
    ACTIONS(8862), 1,
      anon_sym_LBRACE,
    ACTIONS(8864), 1,
      anon_sym_EQ,
    ACTIONS(8866), 1,
      anon_sym_try,
    STATE(2071), 1,
      sym_try_statement,
    STATE(2123), 1,
      sym_pure_virtual_clause,
    STATE(2127), 1,
      sym_delete_method_clause,
    STATE(2140), 1,
      sym_default_method_clause,
    STATE(2152), 1,
      sym_compound_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6335), 1,
      sym_bitfield_clause,
    STATE(6336), 1,
      sym_initializer_list,
    STATE(6337), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7566), 1,
      sym_attribute_specifier,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [205177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LPAREN2,
    ACTIONS(8872), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5549), 1,
      sym_lambda_capture_specifier,
    STATE(6144), 1,
      sym__scope_resolution,
    ACTIONS(8870), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6002), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5880), 1,
      sym__function_attributes_end,
    STATE(6025), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205285] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8833), 1,
      anon_sym_requires,
    ACTIONS(8874), 1,
      anon_sym_LPAREN2,
    STATE(1825), 1,
      sym_template_type,
    STATE(5557), 1,
      sym_lambda_capture_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(8876), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2329), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205337] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5510), 1,
      sym_lambda_capture_specifier,
    STATE(6130), 1,
      sym__scope_resolution,
    ACTIONS(8880), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5404), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205389] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8884), 1,
      sym_identifier,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    ACTIONS(8888), 1,
      anon_sym_COLON_COLON,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6137), 1,
      sym__scope_resolution,
    ACTIONS(8890), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3309), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205441] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8892), 1,
      anon_sym_LPAREN2,
    STATE(2436), 1,
      sym_template_type,
    STATE(5515), 1,
      sym_lambda_capture_specifier,
    STATE(6131), 1,
      sym__scope_resolution,
    ACTIONS(8894), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4101), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205493] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8892), 1,
      anon_sym_LPAREN2,
    STATE(2436), 1,
      sym_template_type,
    STATE(5515), 1,
      sym_lambda_capture_specifier,
    STATE(6131), 1,
      sym__scope_resolution,
    ACTIONS(8896), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205545] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LPAREN2,
    ACTIONS(8872), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5549), 1,
      sym_lambda_capture_specifier,
    STATE(6140), 1,
      sym__scope_resolution,
    ACTIONS(8898), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5441), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205597] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LPAREN2,
    ACTIONS(8872), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5549), 1,
      sym_lambda_capture_specifier,
    STATE(6140), 1,
      sym__scope_resolution,
    ACTIONS(8900), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5438), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205649] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    ACTIONS(8902), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6139), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_requires,
    STATE(5863), 1,
      sym__function_attributes_end,
    STATE(6026), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8722), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205757] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8892), 1,
      anon_sym_LPAREN2,
    STATE(2436), 1,
      sym_template_type,
    STATE(5515), 1,
      sym_lambda_capture_specifier,
    STATE(6131), 1,
      sym__scope_resolution,
    ACTIONS(8907), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5940), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8758), 1,
      anon_sym_requires,
    STATE(5866), 1,
      sym__function_attributes_end,
    STATE(6036), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8911), 1,
      anon_sym_LPAREN2,
    STATE(5237), 1,
      sym_preproc_argument_list,
    ACTIONS(8913), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8909), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [205899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    ACTIONS(8915), 1,
      anon_sym_LPAREN2,
    ACTIONS(8919), 1,
      anon_sym_requires,
    STATE(4447), 1,
      sym_template_type,
    STATE(5487), 1,
      sym_lambda_capture_specifier,
    STATE(6129), 1,
      sym__scope_resolution,
    ACTIONS(8917), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5625), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8651), 1,
      anon_sym_requires,
    STATE(5871), 1,
      sym__function_attributes_end,
    STATE(5998), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8816), 1,
      anon_sym_requires,
    STATE(5725), 1,
      sym_trailing_return_type,
    STATE(5992), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8722), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206063] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8833), 1,
      anon_sym_requires,
    ACTIONS(8874), 1,
      anon_sym_LPAREN2,
    STATE(1825), 1,
      sym_template_type,
    STATE(5557), 1,
      sym_lambda_capture_specifier,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(8921), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2328), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8749), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5877), 1,
      sym__function_attributes_end,
    STATE(6024), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8722), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206171] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5510), 1,
      sym_lambda_capture_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    ACTIONS(8923), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5791), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8386), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6031), 1,
      sym_trailing_return_type,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206279] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(8925), 1,
      sym_identifier,
    ACTIONS(8927), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5093), 1,
      sym__scope_resolution,
    STATE(6526), 1,
      sym_operator_cast,
    STATE(6551), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [206349] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    ACTIONS(8929), 1,
      sym_identifier,
    ACTIONS(8931), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(5498), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(8933), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2217), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206401] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    ACTIONS(8935), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3999), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206453] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5510), 1,
      sym_lambda_capture_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    ACTIONS(8937), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1567), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206505] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    ACTIONS(8929), 1,
      sym_identifier,
    ACTIONS(8931), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(5498), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(8937), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1567), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8705), 1,
      anon_sym_requires,
    STATE(5721), 1,
      sym_trailing_return_type,
    STATE(5987), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    ACTIONS(8929), 1,
      sym_identifier,
    ACTIONS(8931), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(5498), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(8939), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2179), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206665] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5510), 1,
      sym_lambda_capture_specifier,
    STATE(6130), 1,
      sym__scope_resolution,
    ACTIONS(8937), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1567), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206717] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5510), 1,
      sym_lambda_capture_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    ACTIONS(8941), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5771), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206769] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LPAREN2,
    ACTIONS(8882), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5510), 1,
      sym_lambda_capture_specifier,
    STATE(6130), 1,
      sym__scope_resolution,
    ACTIONS(8943), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5386), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206821] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8884), 1,
      sym_identifier,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    ACTIONS(8888), 1,
      anon_sym_COLON_COLON,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6137), 1,
      sym__scope_resolution,
    ACTIONS(8945), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5703), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206873] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8892), 1,
      anon_sym_LPAREN2,
    STATE(2436), 1,
      sym_template_type,
    STATE(5515), 1,
      sym_lambda_capture_specifier,
    STATE(6132), 1,
      sym__scope_resolution,
    ACTIONS(8947), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4523), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206925] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(5719), 1,
      sym_trailing_return_type,
    STATE(5984), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
  [206981] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    ACTIONS(8825), 1,
      anon_sym_requires,
    ACTIONS(8949), 1,
      anon_sym_LPAREN2,
    STATE(2440), 1,
      sym_template_type,
    STATE(5508), 1,
      sym_lambda_capture_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(8951), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3161), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207033] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8884), 1,
      sym_identifier,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    ACTIONS(8888), 1,
      anon_sym_COLON_COLON,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6137), 1,
      sym__scope_resolution,
    ACTIONS(8953), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5767), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207085] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    ACTIONS(8825), 1,
      anon_sym_requires,
    ACTIONS(8949), 1,
      anon_sym_LPAREN2,
    STATE(2440), 1,
      sym_template_type,
    STATE(5508), 1,
      sym_lambda_capture_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(8955), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3219), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207137] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    ACTIONS(8785), 1,
      anon_sym_requires,
    ACTIONS(8957), 1,
      anon_sym_LPAREN2,
    STATE(2530), 1,
      sym_template_type,
    STATE(5521), 1,
      sym_lambda_capture_specifier,
    STATE(6124), 1,
      sym__scope_resolution,
    ACTIONS(8959), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3399), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207189] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    ACTIONS(8785), 1,
      anon_sym_requires,
    ACTIONS(8957), 1,
      anon_sym_LPAREN2,
    STATE(2530), 1,
      sym_template_type,
    STATE(5521), 1,
      sym_lambda_capture_specifier,
    STATE(6124), 1,
      sym__scope_resolution,
    ACTIONS(8961), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3450), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207241] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    ACTIONS(8963), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6134), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207293] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LPAREN2,
    ACTIONS(8872), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5549), 1,
      sym_lambda_capture_specifier,
    STATE(6140), 1,
      sym__scope_resolution,
    ACTIONS(8965), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5415), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LPAREN2,
    ACTIONS(8872), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5549), 1,
      sym_lambda_capture_specifier,
    STATE(6144), 1,
      sym__scope_resolution,
    ACTIONS(8967), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6032), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207397] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8809), 1,
      anon_sym_requires,
    ACTIONS(8969), 1,
      anon_sym_LPAREN2,
    STATE(2603), 1,
      sym_template_type,
    STATE(5531), 1,
      sym_lambda_capture_specifier,
    STATE(6156), 1,
      sym__scope_resolution,
    ACTIONS(8971), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3637), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207449] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(8973), 1,
      sym_identifier,
    ACTIONS(8975), 1,
      anon_sym_TILDE,
    ACTIONS(8977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8979), 1,
      anon_sym_template,
    ACTIONS(8981), 1,
      anon_sym_operator,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5115), 1,
      sym__scope_resolution,
    STATE(6526), 1,
      sym_operator_cast,
    STATE(6551), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7897), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [207519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    ACTIONS(8915), 1,
      anon_sym_LPAREN2,
    ACTIONS(8919), 1,
      anon_sym_requires,
    STATE(4447), 1,
      sym_template_type,
    STATE(5487), 1,
      sym_lambda_capture_specifier,
    STATE(6129), 1,
      sym__scope_resolution,
    ACTIONS(8983), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5595), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207571] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7340), 1,
      anon_sym_AMP,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5879), 1,
      sym__abstract_declarator,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207617] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(3490), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6128), 1,
      sym__scope_resolution,
    ACTIONS(8890), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3309), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LPAREN2,
    ACTIONS(8872), 1,
      anon_sym_requires,
    STATE(2227), 1,
      sym_template_type,
    STATE(5549), 1,
      sym_lambda_capture_specifier,
    STATE(6144), 1,
      sym__scope_resolution,
    ACTIONS(8898), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5441), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6147), 1,
      sym__scope_resolution,
    ACTIONS(8890), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3309), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    ACTIONS(8915), 1,
      anon_sym_LPAREN2,
    ACTIONS(8919), 1,
      anon_sym_requires,
    STATE(4447), 1,
      sym_template_type,
    STATE(5487), 1,
      sym_lambda_capture_specifier,
    STATE(6129), 1,
      sym__scope_resolution,
    ACTIONS(8985), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5562), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5414), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8987), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207863] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(1630), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6136), 1,
      sym__scope_resolution,
    ACTIONS(8890), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3309), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207915] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    ACTIONS(8793), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(3490), 1,
      sym_template_type,
    STATE(5547), 1,
      sym_lambda_capture_specifier,
    STATE(6128), 1,
      sym__scope_resolution,
    ACTIONS(8991), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(8995), 1,
      anon_sym_LBRACK,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5363), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8993), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5780), 1,
      sym_trailing_return_type,
    STATE(5953), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8370), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5808), 1,
      sym_trailing_return_type,
    STATE(5955), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8722), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208117] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    ACTIONS(8801), 1,
      anon_sym_requires,
    ACTIONS(8892), 1,
      anon_sym_LPAREN2,
    STATE(2436), 1,
      sym_template_type,
    STATE(5515), 1,
      sym_lambda_capture_specifier,
    STATE(6132), 1,
      sym__scope_resolution,
    ACTIONS(8894), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4101), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5800), 1,
      sym_trailing_return_type,
    STATE(5954), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_gnu_asm_expression,
    ACTIONS(6564), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8426), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5321), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5468), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208225] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(8997), 1,
      sym_identifier,
    ACTIONS(8999), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5130), 1,
      sym__scope_resolution,
    STATE(6526), 1,
      sym_operator_cast,
    STATE(6551), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [208295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7326), 1,
      anon_sym_STAR,
    ACTIONS(7328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7330), 1,
      anon_sym_AMP,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5915), 1,
      sym__abstract_declarator,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [208341] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8809), 1,
      anon_sym_requires,
    ACTIONS(8969), 1,
      anon_sym_LPAREN2,
    STATE(2603), 1,
      sym_template_type,
    STATE(5531), 1,
      sym_lambda_capture_specifier,
    STATE(6156), 1,
      sym__scope_resolution,
    ACTIONS(9001), 2,
      sym_true,
      sym_false,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3636), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9005), 1,
      anon_sym_RPAREN,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9015), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5213), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [208436] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2909), 1,
      sym__class_declaration_item,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5219), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208495] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208554] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2462), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208613] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2462), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208672] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2450), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1670), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1663), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208849] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2479), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5137), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208908] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(9019), 1,
      sym_identifier,
    ACTIONS(9021), 1,
      anon_sym_template,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5142), 1,
      sym__scope_resolution,
    STATE(6526), 1,
      sym_operator_cast,
    STATE(6551), 1,
      sym_qualified_operator_cast_identifier,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [208971] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4753), 1,
      sym__class_declaration_item,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209030] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4735), 1,
      sym__class_declaration_item,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5143), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209089] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4742), 1,
      sym__class_declaration_item,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      anon_sym_LBRACK,
    ACTIONS(9023), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [209177] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4757), 1,
      sym__class_declaration_item,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209236] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4672), 1,
      sym_field_declaration_list,
    STATE(4769), 1,
      sym__class_declaration_item,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(6593), 1,
      sym_virtual_specifier,
    STATE(7310), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4383), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209295] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2776), 1,
      sym__class_declaration_item,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209354] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9027), 1,
      anon_sym_RPAREN,
    ACTIONS(9029), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5169), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209397] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1780), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209456] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2627), 1,
      sym__class_declaration_item,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5174), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209515] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2427), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209574] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(2020), 1,
      sym__class_declaration_item,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209633] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2450), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5171), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209692] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4586), 1,
      sym__class_declaration_item,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209751] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(1939), 1,
      sym__class_declaration_item,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209810] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(1935), 1,
      sym__class_declaration_item,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209869] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2635), 1,
      sym__class_declaration_item,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209928] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2807), 1,
      sym__class_declaration_item,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209987] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1670), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210046] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1663), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210105] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1780), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2904), 1,
      sym__class_declaration_item,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210223] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1771), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210282] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5180), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210341] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2450), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210400] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2427), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    ACTIONS(9033), 1,
      anon_sym_RPAREN,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(6761), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [210514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4586), 1,
      sym__class_declaration_item,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210573] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2432), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2462), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210691] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5151), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210750] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2657), 1,
      sym__class_declaration_item,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210809] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2668), 1,
      sym__class_declaration_item,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5211), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210868] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1771), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(1960), 1,
      sym__class_declaration_item,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210986] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4587), 1,
      sym__class_declaration_item,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5229), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211045] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1663), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211104] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1780), 1,
      sym__class_declaration_item,
    STATE(4933), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7171), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211163] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4626), 1,
      sym__class_declaration_item,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211222] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9059), 1,
      anon_sym_RPAREN,
    ACTIONS(9061), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5224), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [211265] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2691), 1,
      sym__class_declaration_item,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211324] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1670), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211383] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_field_declaration_list,
    STATE(1985), 1,
      sym__class_declaration_item,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(6474), 1,
      sym_virtual_specifier,
    STATE(7253), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1620), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5154), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2450), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2668), 1,
      sym__class_declaration_item,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5183), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2427), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2462), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211678] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2427), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211737] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2450), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5222), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2781), 1,
      sym__class_declaration_item,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211855] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5956), 1,
      sym__abstract_declarator,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211900] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3855), 1,
      sym__class_declaration_item,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211959] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2627), 1,
      sym__class_declaration_item,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5220), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212018] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3862), 1,
      sym__class_declaration_item,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212077] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4627), 1,
      sym__class_declaration_item,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212136] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2432), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212195] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2427), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212254] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4587), 1,
      sym__class_declaration_item,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5197), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212313] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3318), 1,
      sym__class_declaration_item,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212372] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4625), 1,
      sym__class_declaration_item,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5156), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212431] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2432), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212490] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3878), 1,
      sym__class_declaration_item,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212549] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3880), 1,
      sym__class_declaration_item,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212608] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2432), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212667] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3323), 1,
      sym__class_declaration_item,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212726] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(1771), 1,
      sym__class_declaration_item,
    STATE(2248), 1,
      sym_field_declaration_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(6496), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1870), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212785] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2829), 1,
      sym__class_declaration_item,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212844] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2615), 1,
      sym_field_declaration_list,
    STATE(2838), 1,
      sym__class_declaration_item,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6557), 1,
      sym_virtual_specifier,
    STATE(7249), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2252), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5160), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2691), 1,
      sym__class_declaration_item,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212962] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2479), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5221), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213021] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    STATE(6965), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213076] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2479), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3801), 1,
      sym_field_declaration_list,
    STATE(3863), 1,
      sym__class_declaration_item,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(6563), 1,
      sym_virtual_specifier,
    STATE(7234), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213194] = 5,
    ACTIONS(8909), 1,
      anon_sym_LF,
    ACTIONS(9065), 1,
      anon_sym_LPAREN2,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(5352), 1,
      sym_preproc_argument_list,
    ACTIONS(8913), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2969), 1,
      sym__class_declaration_item,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2918), 1,
      sym__class_declaration_item,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5217), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2756), 1,
      sym_field_declaration_list,
    STATE(2869), 1,
      sym__class_declaration_item,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(6647), 1,
      sym_virtual_specifier,
    STATE(7368), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2314), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213404] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2657), 1,
      sym__class_declaration_item,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213463] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2462), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2388), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213522] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2432), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213581] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2499), 1,
      sym_field_declaration_list,
    STATE(2635), 1,
      sym__class_declaration_item,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(6535), 1,
      sym_virtual_specifier,
    STATE(7086), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2262), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213640] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    STATE(6866), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213695] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3261), 1,
      sym__class_declaration_item,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213754] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3165), 1,
      sym__class_declaration_item,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213813] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4626), 1,
      sym__class_declaration_item,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213872] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2479), 1,
      sym__class_declaration_item,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(6542), 1,
      sym_virtual_specifier,
    STATE(7369), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3819), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213931] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4627), 1,
      sym__class_declaration_item,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213990] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_field_declaration_list,
    STATE(4625), 1,
      sym__class_declaration_item,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(6504), 1,
      sym_virtual_specifier,
    STATE(7166), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5170), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214049] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2901), 1,
      sym_field_declaration_list,
    STATE(3257), 1,
      sym__class_declaration_item,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(6469), 1,
      sym_virtual_specifier,
    STATE(7236), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214108] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    ACTIONS(6033), 1,
      anon_sym_COLON,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2479), 1,
      sym__class_declaration_item,
    STATE(3713), 1,
      sym_field_declaration_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4870), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3157), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214167] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9071), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5399), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    ACTIONS(9073), 1,
      anon_sym_SEMI,
    STATE(5066), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(7681), 1,
      sym_attribute_specifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [214259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9085), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5365), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9091), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9089), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9095), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9093), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214355] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9101), 1,
      anon_sym_SEMI,
    ACTIONS(9103), 1,
      anon_sym_LBRACE,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9111), 1,
      anon_sym_try,
    STATE(526), 1,
      sym_compound_statement,
    STATE(527), 1,
      sym_try_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6785), 1,
      aux_sym_declaration_repeat1,
    STATE(6798), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [214413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9113), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9119), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9117), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9123), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9121), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9125), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5394), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9129), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9127), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9129), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9127), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [214607] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9129), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9127), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [214647] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9129), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9127), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [214689] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9129), 1,
      anon_sym_PIPE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9127), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [214733] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9129), 1,
      anon_sym_PIPE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9127), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [214779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9127), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [214825] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9127), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [214873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9129), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9127), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214901] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(3837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(9131), 1,
      sym_identifier,
    ACTIONS(9133), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5252), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [214965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9129), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9127), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9137), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9135), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215025] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(4610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(9139), 1,
      sym_identifier,
    ACTIONS(9141), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5255), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [215089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9143), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5249), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9145), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5243), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9147), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5244), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215209] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9149), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5245), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215249] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(9151), 1,
      sym_identifier,
    ACTIONS(9153), 1,
      anon_sym_TILDE,
    ACTIONS(9155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9157), 1,
      anon_sym_template,
    ACTIONS(9159), 1,
      anon_sym_operator,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2327), 1,
      sym_operator_name,
    STATE(2346), 1,
      sym_qualified_identifier,
    STATE(2348), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_destructor_name,
    STATE(2354), 1,
      sym_template_function,
    STATE(2364), 1,
      sym_pointer_type_declarator,
    STATE(5260), 1,
      sym__scope_resolution,
    STATE(7897), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [215313] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9161), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5246), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9163), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5247), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9165), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5248), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9167), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5250), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215473] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9169), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5251), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9171), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5253), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9175), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9173), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215581] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(9177), 1,
      sym_identifier,
    ACTIONS(9179), 1,
      anon_sym_TILDE,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9183), 1,
      anon_sym_template,
    ACTIONS(9185), 1,
      anon_sym_operator,
    STATE(2473), 1,
      sym_template_type,
    STATE(2475), 1,
      sym_dependent_type_identifier,
    STATE(2518), 1,
      sym_qualified_type_identifier,
    STATE(3419), 1,
      sym_operator_name,
    STATE(3421), 1,
      sym_qualified_identifier,
    STATE(3423), 1,
      sym_dependent_identifier,
    STATE(3424), 1,
      sym_destructor_name,
    STATE(3425), 1,
      sym_template_function,
    STATE(3427), 1,
      sym_pointer_type_declarator,
    STATE(5268), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
    STATE(8209), 1,
      sym_ms_based_modifier,
  [215645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9189), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9187), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9191), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5462), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9193), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5443), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215753] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(9195), 1,
      sym_identifier,
    ACTIONS(9197), 1,
      anon_sym_TILDE,
    ACTIONS(9199), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9201), 1,
      anon_sym_template,
    ACTIONS(9203), 1,
      anon_sym_operator,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(3277), 1,
      sym_pointer_type_declarator,
    STATE(3279), 1,
      sym_template_function,
    STATE(3280), 1,
      sym_destructor_name,
    STATE(3281), 1,
      sym_dependent_identifier,
    STATE(3283), 1,
      sym_qualified_identifier,
    STATE(3285), 1,
      sym_operator_name,
    STATE(5272), 1,
      sym__scope_resolution,
    STATE(7518), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [215817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9205), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5422), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(9179), 1,
      anon_sym_TILDE,
    ACTIONS(9185), 1,
      anon_sym_operator,
    ACTIONS(9207), 1,
      sym_identifier,
    ACTIONS(9209), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9211), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(3419), 1,
      sym_operator_name,
    STATE(3421), 1,
      sym_qualified_identifier,
    STATE(3423), 1,
      sym_dependent_identifier,
    STATE(3424), 1,
      sym_destructor_name,
    STATE(3425), 1,
      sym_template_function,
    STATE(3427), 1,
      sym_pointer_type_declarator,
    STATE(5274), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
    STATE(8209), 1,
      sym_ms_based_modifier,
  [215921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9213), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5433), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6282), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6284), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215989] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(9197), 1,
      anon_sym_TILDE,
    ACTIONS(9203), 1,
      anon_sym_operator,
    ACTIONS(9215), 1,
      sym_identifier,
    ACTIONS(9217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9219), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(3277), 1,
      sym_pointer_type_declarator,
    STATE(3279), 1,
      sym_template_function,
    STATE(3280), 1,
      sym_destructor_name,
    STATE(3281), 1,
      sym_dependent_identifier,
    STATE(3283), 1,
      sym_qualified_identifier,
    STATE(3285), 1,
      sym_operator_name,
    STATE(5277), 1,
      sym__scope_resolution,
    STATE(7518), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [216053] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    ACTIONS(9221), 1,
      anon_sym_SEMI,
    STATE(5069), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(7435), 1,
      sym_attribute_specifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [216105] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9223), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5397), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216145] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9225), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5437), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216185] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(9153), 1,
      anon_sym_TILDE,
    ACTIONS(9159), 1,
      anon_sym_operator,
    ACTIONS(9227), 1,
      sym_identifier,
    ACTIONS(9229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9231), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2327), 1,
      sym_operator_name,
    STATE(2346), 1,
      sym_qualified_identifier,
    STATE(2348), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_destructor_name,
    STATE(2354), 1,
      sym_template_function,
    STATE(2364), 1,
      sym_pointer_type_declarator,
    STATE(5281), 1,
      sym__scope_resolution,
    STATE(7897), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [216249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9233), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5369), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216289] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8858), 1,
      anon_sym_try,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9235), 1,
      anon_sym_SEMI,
    ACTIONS(9237), 1,
      anon_sym_LBRACE,
    STATE(2095), 1,
      sym_compound_statement,
    STATE(2096), 1,
      sym_try_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6956), 1,
      sym_gnu_asm_expression,
    STATE(6971), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [216347] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9239), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5461), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216387] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9241), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5370), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9243), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5429), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216467] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [216517] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9247), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5448), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216557] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9249), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5450), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216597] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6577), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9251), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5346), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216687] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6586), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216737] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6643), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9253), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5453), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216827] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6648), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216877] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6575), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216927] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6529), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9255), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5368), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217017] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6409), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6425), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217117] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(9257), 1,
      sym_identifier,
    ACTIONS(9259), 1,
      anon_sym_TILDE,
    ACTIONS(9261), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9263), 1,
      anon_sym_template,
    ACTIONS(9265), 1,
      anon_sym_operator,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_operator_name,
    STATE(3018), 1,
      sym_qualified_identifier,
    STATE(3023), 1,
      sym_dependent_identifier,
    STATE(3026), 1,
      sym_destructor_name,
    STATE(3027), 1,
      sym_template_function,
    STATE(3032), 1,
      sym_pointer_type_declarator,
    STATE(5301), 1,
      sym__scope_resolution,
    STATE(7518), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [217181] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6553), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9267), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5358), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217271] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9269), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5383), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9271), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5430), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9273), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5419), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217391] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6613), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217441] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9275), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5392), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217481] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6428), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217531] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9277), 1,
      anon_sym_SEMI,
    ACTIONS(9279), 1,
      anon_sym_try,
    STATE(688), 1,
      sym_compound_statement,
    STATE(691), 1,
      sym_try_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      aux_sym_declaration_repeat1,
    STATE(6975), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [217589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9281), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9283), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5393), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9285), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5405), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217709] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(9153), 1,
      anon_sym_TILDE,
    ACTIONS(9159), 1,
      anon_sym_operator,
    ACTIONS(9287), 1,
      sym_identifier,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9291), 1,
      anon_sym_template,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(2327), 1,
      sym_operator_name,
    STATE(2346), 1,
      sym_qualified_identifier,
    STATE(2348), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_destructor_name,
    STATE(2354), 1,
      sym_template_function,
    STATE(2364), 1,
      sym_pointer_type_declarator,
    STATE(5314), 1,
      sym__scope_resolution,
    STATE(7897), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [217773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6423), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217823] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6459), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217873] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6398), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217923] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6611), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217973] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(9259), 1,
      anon_sym_TILDE,
    ACTIONS(9265), 1,
      anon_sym_operator,
    ACTIONS(9293), 1,
      sym_identifier,
    ACTIONS(9295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9297), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(3017), 1,
      sym_operator_name,
    STATE(3018), 1,
      sym_qualified_identifier,
    STATE(3023), 1,
      sym_dependent_identifier,
    STATE(3026), 1,
      sym_destructor_name,
    STATE(3027), 1,
      sym_template_function,
    STATE(3032), 1,
      sym_pointer_type_declarator,
    STATE(5319), 1,
      sym__scope_resolution,
    STATE(7518), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [218037] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8850), 1,
      anon_sym_try,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9299), 1,
      anon_sym_SEMI,
    ACTIONS(9301), 1,
      anon_sym_LBRACE,
    STATE(1743), 1,
      sym_compound_statement,
    STATE(1747), 1,
      sym_try_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6811), 1,
      aux_sym_declaration_repeat1,
    STATE(6812), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [218095] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    STATE(4547), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5469), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8987), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9303), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5287), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8995), 1,
      anon_sym_LBRACK,
    STATE(4547), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5476), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8993), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      sym_identifier,
    ACTIONS(9077), 1,
      anon_sym_LPAREN2,
    ACTIONS(9079), 1,
      anon_sym_defined,
    ACTIONS(9305), 1,
      sym_number_literal,
    ACTIONS(9081), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9083), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9087), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5432), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(8975), 1,
      anon_sym_TILDE,
    ACTIONS(9307), 1,
      sym_identifier,
    ACTIONS(9309), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9311), 1,
      anon_sym_template,
    ACTIONS(9313), 1,
      anon_sym_operator,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5325), 1,
      sym__scope_resolution,
    STATE(7897), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [218311] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    ACTIONS(9315), 1,
      anon_sym_SEMI,
    STATE(5071), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(7456), 1,
      sym_attribute_specifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [218363] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6499), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6461), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218463] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7368), 1,
      anon_sym_STAR,
    ACTIONS(7370), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7372), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6004), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [218507] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6086), 1,
      sym__type_declarator,
    STATE(6416), 1,
      sym__type_definition_declarators,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [218557] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_LPAREN2,
    ACTIONS(9009), 1,
      anon_sym_defined,
    ACTIONS(9317), 1,
      sym_number_literal,
    ACTIONS(9011), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9013), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9017), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5267), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218597] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(9153), 1,
      anon_sym_TILDE,
    ACTIONS(9159), 1,
      anon_sym_operator,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(9321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9323), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(2327), 1,
      sym_operator_name,
    STATE(2346), 1,
      sym_qualified_identifier,
    STATE(2348), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_destructor_name,
    STATE(2354), 1,
      sym_template_function,
    STATE(2364), 1,
      sym_pointer_type_declarator,
    STATE(5332), 1,
      sym__scope_resolution,
    STATE(7897), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [218661] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9325), 1,
      anon_sym_SEMI,
    ACTIONS(9327), 1,
      anon_sym_LBRACE,
    ACTIONS(9329), 1,
      anon_sym_try,
    STATE(276), 1,
      sym_compound_statement,
    STATE(278), 1,
      sym_try_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6824), 1,
      aux_sym_declaration_repeat1,
    STATE(6841), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [218719] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(9197), 1,
      anon_sym_TILDE,
    ACTIONS(9203), 1,
      anon_sym_operator,
    ACTIONS(9331), 1,
      sym_identifier,
    ACTIONS(9333), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9335), 1,
      anon_sym_template,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(3277), 1,
      sym_pointer_type_declarator,
    STATE(3279), 1,
      sym_template_function,
    STATE(3280), 1,
      sym_destructor_name,
    STATE(3281), 1,
      sym_dependent_identifier,
    STATE(3283), 1,
      sym_qualified_identifier,
    STATE(3285), 1,
      sym_operator_name,
    STATE(5334), 1,
      sym__scope_resolution,
    STATE(7518), 1,
      sym_ms_based_modifier,
    STATE(7962), 1,
      sym_decltype,
  [218783] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8866), 1,
      anon_sym_try,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9337), 1,
      anon_sym_SEMI,
    ACTIONS(9339), 1,
      anon_sym_LBRACE,
    STATE(2163), 1,
      sym_try_statement,
    STATE(2164), 1,
      sym_compound_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6689), 1,
      sym_gnu_asm_expression,
    STATE(6690), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [218841] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9341), 1,
      anon_sym_SEMI,
    ACTIONS(9343), 1,
      anon_sym_LBRACE,
    ACTIONS(9345), 1,
      anon_sym_try,
    STATE(533), 1,
      sym_compound_statement,
    STATE(593), 1,
      sym_try_statement,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6920), 1,
      sym_gnu_asm_expression,
    STATE(6921), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [218899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_LBRACK,
    ACTIONS(4746), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_LBRACK,
    ACTIONS(4711), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [219027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219062] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6269), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_LBRACK,
    ACTIONS(4731), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [219210] = 9,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9129), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_requires,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_LBRACK,
    ACTIONS(4742), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(9376), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(5355), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [219385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219420] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9093), 1,
      anon_sym_LF,
    ACTIONS(9095), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219447] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7411), 1,
      sym_identifier,
    ACTIONS(7413), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      anon_sym_STAR,
    ACTIONS(7417), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7419), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      sym_primitive_type,
    STATE(2704), 1,
      sym__type_declarator,
    STATE(3095), 1,
      sym_pointer_type_declarator,
    STATE(7518), 1,
      sym_ms_based_modifier,
    ACTIONS(7421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219564] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6165), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5338), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219650] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9379), 1,
      anon_sym_RPAREN,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219699] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5451), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9383), 1,
      anon_sym_LBRACK,
    ACTIONS(9381), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5456), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9387), 1,
      anon_sym_LBRACK,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9385), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(5458), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219909] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9389), 1,
      anon_sym_LF,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9399), 1,
      anon_sym_requires,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [220024] = 7,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9129), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [220059] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9405), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [220104] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9407), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [220149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220184] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7459), 1,
      sym_identifier,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    ACTIONS(7463), 1,
      anon_sym_STAR,
    ACTIONS(7465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7467), 1,
      anon_sym_AMP,
    ACTIONS(7471), 1,
      sym_primitive_type,
    STATE(2809), 1,
      sym__type_declarator,
    STATE(3199), 1,
      sym_pointer_type_declarator,
    STATE(8209), 1,
      sym_ms_based_modifier,
    ACTIONS(7469), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3193), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9411), 1,
      anon_sym_LBRACK,
    ACTIONS(9409), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220297] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6258), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_requires,
    STATE(5349), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(5354), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    STATE(5362), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(5366), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6923), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9399), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220617] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9413), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [220662] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9117), 1,
      anon_sym_LF,
    ACTIONS(9119), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220745] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9135), 1,
      anon_sym_LF,
    ACTIONS(9137), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_LBRACK,
    ACTIONS(4750), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220799] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220834] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5281), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(9421), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_template,
    STATE(5390), 1,
      sym__scope_resolution,
    STATE(5868), 1,
      sym_pointer_type_declarator,
    STATE(5869), 1,
      sym_template_function,
    STATE(5873), 1,
      sym_destructor_name,
    STATE(5874), 1,
      sym_dependent_identifier,
    STATE(5876), 1,
      sym_qualified_identifier,
    STATE(5878), 1,
      sym_operator_name,
    STATE(7817), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [220891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_LBRACK,
    ACTIONS(4723), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220918] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9425), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [220963] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9427), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221008] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9129), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221037] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7397), 1,
      sym_primitive_type,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(5859), 1,
      sym__type_declarator,
    STATE(7427), 1,
      sym_ms_based_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [221084] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(9019), 1,
      sym_identifier,
    ACTIONS(9021), 1,
      anon_sym_template,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5396), 1,
      sym__scope_resolution,
    STATE(7943), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [221141] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9429), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8987), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221217] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9039), 1,
      anon_sym_SLASH,
    ACTIONS(9041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9045), 1,
      anon_sym_PIPE,
    ACTIONS(9047), 1,
      anon_sym_CARET,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    ACTIONS(9431), 1,
      anon_sym_RPAREN,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9037), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9051), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9053), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9055), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221266] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9187), 1,
      anon_sym_LF,
    ACTIONS(9189), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6490), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(9421), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_template,
    STATE(5401), 1,
      sym__scope_resolution,
    STATE(5868), 1,
      sym_pointer_type_declarator,
    STATE(5869), 1,
      sym_template_function,
    STATE(5873), 1,
      sym_destructor_name,
    STATE(5874), 1,
      sym_dependent_identifier,
    STATE(5876), 1,
      sym_qualified_identifier,
    STATE(5878), 1,
      sym_operator_name,
    STATE(7427), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [221350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [221385] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_requires,
    STATE(5349), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9433), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221455] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9435), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221527] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7399), 1,
      anon_sym_STAR,
    ACTIONS(7401), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7403), 1,
      anon_sym_AMP,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6089), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7527), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [221570] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9441), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221693] = 3,
    ACTIONS(6284), 1,
      anon_sym_LF,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(6282), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221720] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_LF,
    ACTIONS(9115), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6664), 1,
      anon_sym_DASH_GT,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5447), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [221786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8995), 1,
      anon_sym_LBRACK,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8993), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 1,
      anon_sym_LBRACK,
    ACTIONS(9443), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9445), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5674), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(5680), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(9019), 1,
      sym_identifier,
    ACTIONS(9021), 1,
      anon_sym_template,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5416), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [221905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9449), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221971] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9129), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222037] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(5949), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222084] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9451), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222129] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9089), 1,
      anon_sym_LF,
    ACTIONS(9091), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222183] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(6500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9455), 1,
      anon_sym_template,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5425), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [222240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9461), 1,
      anon_sym_LBRACK,
    ACTIONS(9457), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6262), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222343] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9463), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222388] = 6,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9129), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222421] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7453), 1,
      anon_sym_STAR,
    ACTIONS(7455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7457), 1,
      anon_sym_AMP,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6264), 1,
      sym__type_declarator,
    STATE(7943), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222468] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9129), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222495] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9173), 1,
      anon_sym_LF,
    ACTIONS(9175), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222522] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3041), 1,
      anon_sym_TILDE,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(9465), 1,
      sym_identifier,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      anon_sym_template,
    STATE(2638), 1,
      sym_pointer_type_declarator,
    STATE(2643), 1,
      sym_qualified_identifier,
    STATE(2655), 1,
      sym_operator_name,
    STATE(2671), 1,
      sym_dependent_identifier,
    STATE(2675), 1,
      sym_destructor_name,
    STATE(2678), 1,
      sym_template_function,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7784), 1,
      sym_ms_based_modifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [222579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_LBRACK,
    ACTIONS(4715), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222606] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7383), 1,
      sym_identifier,
    ACTIONS(7385), 1,
      anon_sym_LPAREN2,
    ACTIONS(7387), 1,
      anon_sym_STAR,
    ACTIONS(7389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7391), 1,
      anon_sym_AMP,
    ACTIONS(7397), 1,
      sym_primitive_type,
    STATE(5684), 1,
      sym__type_declarator,
    STATE(5841), 1,
      sym_pointer_type_declarator,
    STATE(7817), 1,
      sym_ms_based_modifier,
    ACTIONS(7395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222653] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9129), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_LBRACK,
    ACTIONS(9445), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222727] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5447), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222766] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 1,
      anon_sym_LBRACK,
    ACTIONS(4735), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_LBRACK,
    ACTIONS(9475), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9471), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222859] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9478), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7429), 1,
      anon_sym_STAR,
    ACTIONS(7431), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_AMP,
    ACTIONS(7437), 1,
      sym_primitive_type,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(6228), 1,
      sym__type_declarator,
    STATE(7784), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_LBRACK,
    ACTIONS(4719), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [223052] = 11,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9129), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [223134] = 10,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9129), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223175] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223210] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7425), 1,
      sym_identifier,
    ACTIONS(7427), 1,
      anon_sym_LPAREN2,
    ACTIONS(7437), 1,
      sym_primitive_type,
    ACTIONS(7447), 1,
      anon_sym_STAR,
    ACTIONS(7449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    STATE(1885), 1,
      sym__type_declarator,
    STATE(1931), 1,
      sym_pointer_type_declarator,
    STATE(7897), 1,
      sym_ms_based_modifier,
    ACTIONS(7435), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1927), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [223257] = 8,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9129), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [223294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LBRACK,
    ACTIONS(4754), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6917), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(5355), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [223422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223511] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9480), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223556] = 12,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9393), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9395), 1,
      anon_sym_PIPE,
    ACTIONS(9397), 1,
      anon_sym_CARET,
    ACTIONS(9482), 1,
      anon_sym_LF,
    ACTIONS(9347), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9353), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9349), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9355), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223601] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9121), 1,
      anon_sym_LF,
    ACTIONS(9123), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_LBRACK,
    ACTIONS(4703), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9486), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9484), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(8377), 1,
      anon_sym_requires,
    STATE(5604), 1,
      sym_trailing_return_type,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [223749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8989), 1,
      anon_sym_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8987), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8995), 1,
      anon_sym_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8993), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223809] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(9488), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6075), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(5479), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6627), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [223857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(9492), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6011), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [223905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9494), 1,
      anon_sym_SEMI,
    ACTIONS(9496), 1,
      anon_sym_COLON,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6729), 1,
      sym_gnu_asm_expression,
    STATE(6816), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [223957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5535), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223987] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6072), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6955), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(9506), 1,
      anon_sym_requires,
    STATE(5588), 1,
      sym_trailing_return_type,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9387), 1,
      anon_sym_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9385), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    STATE(5567), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224137] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(8743), 1,
      anon_sym_requires,
    STATE(5561), 1,
      sym_trailing_return_type,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224173] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(9509), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6018), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(4987), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6525), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224221] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LPAREN2,
    ACTIONS(7148), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6154), 1,
      sym__abstract_declarator,
    ACTIONS(7527), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5545), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224263] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    STATE(5620), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_requires,
    STATE(5597), 1,
      sym_trailing_return_type,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    STATE(5592), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      anon_sym_DASH_GT,
    ACTIONS(6580), 1,
      anon_sym_requires,
    STATE(5599), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224407] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9494), 1,
      anon_sym_SEMI,
    ACTIONS(9511), 1,
      anon_sym_EQ,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6729), 1,
      sym_gnu_asm_expression,
    STATE(6816), 1,
      aux_sym_declaration_repeat1,
    STATE(6966), 1,
      sym_initializer_list,
    STATE(7121), 1,
      sym_argument_list,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [224458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9515), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224483] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9519), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5525), 1,
      sym_template_parameter_list,
    STATE(5574), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6556), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4972), 1,
      anon_sym_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
    ACTIONS(3794), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [224563] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9521), 1,
      anon_sym_LBRACE,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3345), 1,
      sym_compound_statement,
    STATE(5691), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6403), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224612] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_requires,
    STATE(5349), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224649] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5451), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5456), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(5458), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9527), 1,
      anon_sym_LBRACK,
    ACTIONS(9525), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      sym_identifier,
    ACTIONS(4769), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5496), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9532), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9535), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [224841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9540), 1,
      anon_sym_LBRACK,
    ACTIONS(9538), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224866] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9542), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5534), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6522), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224915] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(1561), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5643), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6578), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224964] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3330), 1,
      sym_compound_statement,
    STATE(5666), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6614), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5402), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8426), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225075] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym_requires,
    STATE(5354), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [225112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8623), 1,
      anon_sym_requires,
    STATE(5362), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [225149] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3666), 1,
      sym_compound_statement,
    STATE(5658), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6558), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(5366), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [225235] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9341), 1,
      anon_sym_SEMI,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6920), 1,
      sym_gnu_asm_expression,
    STATE(6921), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [225284] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9548), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3226), 1,
      sym_compound_statement,
    STATE(5553), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6449), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225333] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6224), 1,
      sym__abstract_declarator,
    ACTIONS(7527), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225374] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    STATE(1573), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5499), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6588), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(6826), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5338), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [225460] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9550), 1,
      sym_identifier,
    ACTIONS(4781), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5496), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [225491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9399), 1,
      anon_sym_requires,
    STATE(5367), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [225528] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9556), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5339), 1,
      sym_compound_statement,
    STATE(5669), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6646), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225577] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9558), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4111), 1,
      sym_compound_statement,
    STATE(5538), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6638), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8722), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9562), 1,
      anon_sym_LBRACK,
    ACTIONS(9560), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9566), 1,
      anon_sym_LBRACK,
    ACTIONS(9564), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8755), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225775] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9521), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3428), 1,
      sym_compound_statement,
    STATE(5489), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6429), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5447), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225861] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    ACTIONS(9570), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6432), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [225896] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9101), 1,
      anon_sym_SEMI,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6785), 1,
      aux_sym_declaration_repeat1,
    STATE(6798), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [225945] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9519), 1,
      anon_sym_LBRACE,
    ACTIONS(9523), 1,
      anon_sym_requires,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5622), 1,
      sym_compound_statement,
    STATE(5663), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6546), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8614), 1,
      anon_sym_requires,
    STATE(5344), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9574), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 1,
      anon_sym_LBRACK,
    ACTIONS(9576), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4513), 1,
      anon_sym_COLON,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
    ACTIONS(4520), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [226112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9359), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226137] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3654), 1,
      sym_compound_statement,
    STATE(5505), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6616), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226186] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(2323), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5695), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6495), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226235] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9325), 1,
      anon_sym_SEMI,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6824), 1,
      aux_sym_declaration_repeat1,
    STATE(6841), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [226284] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9542), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5677), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6571), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226333] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9277), 1,
      anon_sym_SEMI,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6963), 1,
      aux_sym_declaration_repeat1,
    STATE(6975), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [226382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_requires,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(5355), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LBRACK,
    ACTIONS(9582), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226444] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9558), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4075), 1,
      sym_compound_statement,
    STATE(5702), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6463), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9588), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226518] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(6195), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [226561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(9369), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226586] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    ACTIONS(9494), 1,
      anon_sym_SEMI,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(6729), 1,
      sym_gnu_asm_expression,
    STATE(6816), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [226635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9592), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9594), 1,
      sym_identifier,
    ACTIONS(4787), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5512), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9598), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226716] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8392), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226753] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3246), 1,
      sym_compound_statement,
    STATE(5500), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6482), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9602), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226827] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9556), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5454), 1,
      sym_compound_statement,
    STATE(5514), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6639), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226876] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_STAR,
    ACTIONS(7587), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7589), 1,
      anon_sym_AMP,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6081), 1,
      sym__abstract_declarator,
    ACTIONS(7527), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226917] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(5645), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [226960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9606), 1,
      anon_sym_LBRACK,
    ACTIONS(9604), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226985] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9523), 1,
      anon_sym_requires,
    ACTIONS(9548), 1,
      anon_sym_LBRACE,
    STATE(3166), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5664), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6395), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9610), 1,
      anon_sym_LBRACK,
    ACTIONS(9608), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 1,
      anon_sym_LBRACK,
    ACTIONS(9612), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227084] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7603), 1,
      sym_identifier,
    ACTIONS(7605), 1,
      anon_sym_STAR,
    ACTIONS(7607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7609), 1,
      anon_sym_AMP,
    STATE(5763), 1,
      sym__field_declarator,
    STATE(5982), 1,
      sym_operator_name,
    STATE(7432), 1,
      sym_ms_based_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [227127] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_LT,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(2366), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5532), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6478), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9618), 1,
      anon_sym_LBRACK,
    ACTIONS(9616), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227201] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7593), 1,
      sym_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN2,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(6189), 1,
      sym__field_declarator,
    STATE(6308), 1,
      sym_operator_name,
    STATE(7574), 1,
      sym_ms_based_modifier,
    STATE(6014), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [227244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9506), 1,
      anon_sym_requires,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227320] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8664), 1,
      anon_sym_requires,
    STATE(5818), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(5823), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9197), 1,
      anon_sym_TILDE,
    ACTIONS(9622), 1,
      sym_identifier,
    ACTIONS(9624), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9627), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9629), 1,
      anon_sym_template,
    STATE(5921), 1,
      sym__scope_resolution,
    STATE(7250), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3170), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [227434] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9631), 1,
      sym_identifier,
    ACTIONS(9633), 1,
      sym_primitive_type,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(4622), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227504] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9635), 1,
      sym_identifier,
    ACTIONS(9637), 1,
      sym_primitive_type,
    STATE(2268), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(2710), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8583), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227544] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9639), 1,
      sym_identifier,
    ACTIONS(9641), 1,
      sym_primitive_type,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(2549), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227584] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9643), 1,
      sym_identifier,
    ACTIONS(9645), 1,
      sym_primitive_type,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(2454), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227624] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9099), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9107), 1,
      anon_sym_EQ,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym_gnu_asm_expression,
    ACTIONS(9109), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9647), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7121), 2,
      sym_argument_list,
      sym_initializer_list,
  [227668] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9649), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      sym_primitive_type,
    STATE(2298), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(2771), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8500), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8448), 1,
      anon_sym_requires,
    STATE(5825), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227788] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9653), 1,
      sym_identifier,
    ACTIONS(9655), 1,
      sym_primitive_type,
    STATE(3322), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(3820), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    ACTIONS(3618), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227874] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9657), 1,
      sym_identifier,
    ACTIONS(9659), 1,
      sym_primitive_type,
    STATE(2420), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(3067), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5583), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9484), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227962] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9661), 1,
      sym_identifier,
    ACTIONS(9663), 1,
      sym_primitive_type,
    STATE(4814), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(1711), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7190), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9665), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5583), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9471), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9668), 1,
      anon_sym_requires,
    STATE(5792), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_LBRACK,
    ACTIONS(9671), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5708), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [228112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9631), 1,
      sym_identifier,
    ACTIONS(9633), 1,
      sym_primitive_type,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(4622), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9676), 1,
      anon_sym_requires,
    ACTIONS(9673), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5816), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228182] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9679), 1,
      sym_identifier,
    ACTIONS(9681), 1,
      sym_primitive_type,
    STATE(1920), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(1970), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228222] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(5828), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9643), 1,
      sym_identifier,
    ACTIONS(9645), 1,
      sym_primitive_type,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(2454), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(5730), 1,
      sym_template_argument_list,
    ACTIONS(4522), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4515), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [228358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_LBRACK,
    ACTIONS(3638), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [228382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4735), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8743), 1,
      anon_sym_requires,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8813), 1,
      anon_sym_requires,
    STATE(5814), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9685), 1,
      anon_sym___attribute__,
    ACTIONS(9690), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9688), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5602), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(9683), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [228596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_requires,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228648] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9693), 1,
      sym_identifier,
    ACTIONS(9695), 1,
      sym_primitive_type,
    STATE(1919), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(1970), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8458), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228688] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6268), 1,
      sym__abstract_declarator,
    ACTIONS(7527), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228728] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9697), 1,
      sym_identifier,
    ACTIONS(9699), 1,
      sym_primitive_type,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(1711), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228790] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7625), 1,
      anon_sym_STAR,
    ACTIONS(7627), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7629), 1,
      anon_sym_AMP,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6251), 1,
      sym__abstract_declarator,
    ACTIONS(7527), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228860] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      sym_primitive_type,
    STATE(2410), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(2454), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228900] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(9703), 1,
      sym_primitive_type,
    STATE(2410), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(2454), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228940] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(5827), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8377), 1,
      anon_sym_requires,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(5730), 1,
      sym_template_argument_list,
    ACTIONS(7362), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4615), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7004), 1,
      anon_sym_DASH_GT,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(5778), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5816), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229168] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9699), 1,
      sym_primitive_type,
    ACTIONS(9705), 1,
      sym_identifier,
    STATE(1726), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(1711), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9707), 1,
      sym_identifier,
    ACTIONS(9709), 1,
      sym_primitive_type,
    STATE(4041), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(4689), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7235), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9711), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9641), 1,
      sym_primitive_type,
    ACTIONS(9713), 1,
      sym_identifier,
    STATE(1971), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(2549), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6789), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229534] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6654), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5808), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(2917), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5158), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229764] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6865), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(5719), 1,
      sym_trailing_return_type,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229828] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6573), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8705), 1,
      anon_sym_requires,
    STATE(5721), 1,
      sym_trailing_return_type,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(8848), 1,
      anon_sym_COLON,
    ACTIONS(9735), 1,
      anon_sym_EQ,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6888), 1,
      sym_initializer_list,
    STATE(6890), 1,
      sym_bitfield_clause,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9733), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [229947] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9153), 1,
      anon_sym_TILDE,
    ACTIONS(9737), 1,
      sym_identifier,
    ACTIONS(9739), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9741), 1,
      anon_sym_template,
    STATE(5932), 1,
      sym__scope_resolution,
    STATE(7139), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2337), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [229986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(9745), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9747), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9749), 1,
      aux_sym_preproc_elif_token1,
    STATE(6000), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6001), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6261), 1,
      sym_enumerator,
    ACTIONS(9751), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7874), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7875), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [230025] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9153), 1,
      anon_sym_TILDE,
    ACTIONS(9737), 1,
      sym_identifier,
    ACTIONS(9753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9755), 1,
      anon_sym_template,
    STATE(5924), 1,
      sym__scope_resolution,
    STATE(7308), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2337), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [230064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5533), 1,
      anon_sym_LBRACK,
    ACTIONS(9757), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5535), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(8816), 1,
      anon_sym_requires,
    STATE(5725), 1,
      sym_trailing_return_type,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6756), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5822), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5424), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(9762), 1,
      anon_sym_requires,
    STATE(5727), 1,
      sym_trailing_return_type,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9179), 1,
      anon_sym_TILDE,
    ACTIONS(9765), 1,
      sym_identifier,
    ACTIONS(9767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_template,
    STATE(5906), 1,
      sym__scope_resolution,
    STATE(7282), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3457), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [230258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9749), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9771), 1,
      aux_sym_preproc_if_token2,
    STATE(6051), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6066), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6261), 1,
      sym_enumerator,
    ACTIONS(9751), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7505), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(7541), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [230297] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6732), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_LBRACK,
    ACTIONS(5868), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230351] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3679), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6531), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5780), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(7032), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230458] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9749), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9773), 1,
      aux_sym_preproc_if_token2,
    STATE(6059), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6060), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6261), 1,
      sym_enumerator,
    ACTIONS(9751), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7952), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7953), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [230497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6919), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230528] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9519), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5560), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6544), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230571] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3265), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6454), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230647] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3214), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6565), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5822), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5410), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230750] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9556), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5388), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6626), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6667), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6683), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6764), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230886] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9197), 1,
      anon_sym_TILDE,
    ACTIONS(9622), 1,
      sym_identifier,
    ACTIONS(9627), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9629), 1,
      anon_sym_template,
    STATE(5921), 1,
      sym__scope_resolution,
    STATE(7250), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3170), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [230925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6833), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6892), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231016] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9542), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6597), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231175] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9749), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9775), 1,
      aux_sym_preproc_if_token2,
    STATE(6054), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6057), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6261), 1,
      sym_enumerator,
    ACTIONS(9751), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7772), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7774), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [231214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6820), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5822), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5428), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5822), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5400), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(5730), 1,
      sym_template_argument_list,
    ACTIONS(5772), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3137), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231450] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9521), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(3407), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6439), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5822), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5420), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(6718), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(2312), 1,
      sym_compound_statement,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(6583), 1,
      sym_abstract_function_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6966), 1,
      anon_sym_DASH_GT,
    ACTIONS(6968), 1,
      anon_sym_requires,
    STATE(5800), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [231747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(5640), 1,
      sym_string_literal,
    STATE(5938), 1,
      sym_raw_string_literal,
    STATE(7043), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3110), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231807] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(4078), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6470), 1,
      sym_abstract_function_declarator,
    STATE(6472), 1,
      sym__abstract_declarator,
    STATE(5740), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [231872] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9779), 1,
      anon_sym_SEMI,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    ACTIONS(9783), 1,
      anon_sym_EQ,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9787), 1,
      anon_sym_try,
    STATE(1709), 1,
      sym_compound_statement,
    STATE(7210), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1687), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [231910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7695), 1,
      sym_concatenated_string,
    STATE(5861), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7658), 1,
      sym_concatenated_string,
    STATE(5833), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9608), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7609), 1,
      sym_concatenated_string,
    STATE(5851), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232014] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9789), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7548), 1,
      sym_concatenated_string,
    STATE(5881), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232102] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2900), 1,
      sym_enumerator_list,
    STATE(6156), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7449), 1,
      sym_concatenated_string,
    STATE(5900), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232170] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4560), 1,
      sym_enumerator_list,
    STATE(6140), 1,
      sym__scope_resolution,
    ACTIONS(9793), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232210] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6148), 1,
      anon_sym_LBRACE,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2762), 1,
      sym_enumerator_list,
    STATE(6124), 1,
      sym__scope_resolution,
    ACTIONS(9795), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2498), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9797), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232282] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(2250), 1,
      sym_enumerator_list,
    STATE(6136), 1,
      sym__scope_resolution,
    ACTIONS(9799), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3689), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8423), 1,
      anon_sym_requires,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8705), 1,
      anon_sym_requires,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232378] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6120), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6525), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [232416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8816), 1,
      anon_sym_requires,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6098), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6864), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [232482] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2497), 1,
      sym_enumerator_list,
    STATE(6132), 1,
      sym__scope_resolution,
    ACTIONS(9801), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3832), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_enumerator_list,
    STATE(6144), 1,
      sym__scope_resolution,
    ACTIONS(9803), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3808), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9762), 1,
      anon_sym_requires,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232590] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9805), 1,
      anon_sym_SEMI,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_EQ,
    ACTIONS(9811), 1,
      anon_sym_try,
    STATE(2010), 1,
      sym_compound_statement,
    STATE(7379), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2009), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [232628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9813), 1,
      anon_sym_requires,
    ACTIONS(9673), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5816), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232656] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9816), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4587), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4580), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232732] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9818), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7549), 1,
      sym_concatenated_string,
    STATE(5927), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232792] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(4930), 1,
      sym_enumerator_list,
    STATE(6172), 1,
      sym__scope_resolution,
    ACTIONS(9820), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4659), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9590), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232852] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9816), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [232884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_enumerator_list,
    STATE(6140), 1,
      sym__scope_resolution,
    ACTIONS(9822), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4117), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9824), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9538), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233024] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8362), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4670), 1,
      sym_enumerator_list,
    STATE(6129), 1,
      sym__scope_resolution,
    ACTIONS(9828), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9513), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9525), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233124] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3796), 1,
      sym_enumerator_list,
    STATE(6128), 1,
      sym__scope_resolution,
    ACTIONS(9830), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233164] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2915), 1,
      sym_enumerator_list,
    STATE(6170), 1,
      sym__scope_resolution,
    ACTIONS(9832), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3946), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233204] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4560), 1,
      sym_enumerator_list,
    STATE(6144), 1,
      sym__scope_resolution,
    ACTIONS(9834), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233272] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2915), 1,
      sym_enumerator_list,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(9836), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2996), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8370), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233416] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    ACTIONS(9783), 1,
      anon_sym_EQ,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9787), 1,
      anon_sym_try,
    ACTIONS(9838), 1,
      anon_sym_SEMI,
    STATE(1785), 1,
      sym_compound_statement,
    STATE(7095), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1789), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7527), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_STAR,
    ACTIONS(7818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7820), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6353), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [233492] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2915), 1,
      sym_enumerator_list,
    STATE(6177), 1,
      sym__scope_resolution,
    ACTIONS(9840), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233532] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6123), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9844), 1,
      anon_sym_LBRACK,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9842), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2851), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233680] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9846), 1,
      anon_sym_SEMI,
    ACTIONS(9848), 1,
      anon_sym_EQ,
    ACTIONS(9850), 1,
      anon_sym_try,
    STATE(612), 1,
      sym_compound_statement,
    STATE(7118), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(616), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233718] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9852), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [233750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(5944), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9854), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [233782] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9856), 1,
      anon_sym_SEMI,
    ACTIONS(9858), 1,
      anon_sym_EQ,
    ACTIONS(9860), 1,
      anon_sym_try,
    STATE(700), 1,
      sym_compound_statement,
    STATE(7291), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9824), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9777), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9862), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8448), 1,
      anon_sym_requires,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233906] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2618), 1,
      sym_enumerator_list,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(9864), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2429), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9564), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_LBRACK,
    ACTIONS(9866), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [233990] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    ACTIONS(9870), 1,
      anon_sym_EQ,
    ACTIONS(9872), 1,
      anon_sym_try,
    STATE(289), 1,
      sym_compound_statement,
    STATE(7276), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(291), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9612), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9616), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9560), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9874), 1,
      anon_sym_SEMI,
    ACTIONS(9876), 1,
      anon_sym_EQ,
    ACTIONS(9878), 1,
      anon_sym_try,
    STATE(547), 1,
      sym_compound_statement,
    STATE(7140), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(546), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234224] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      anon_sym_EQ,
    ACTIONS(9850), 1,
      anon_sym_try,
    ACTIONS(9880), 1,
      anon_sym_SEMI,
    STATE(568), 1,
      sym_compound_statement,
    STATE(7232), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(567), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      sym_identifier,
    ACTIONS(4822), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(4830), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9876), 1,
      anon_sym_EQ,
    ACTIONS(9878), 1,
      anon_sym_try,
    ACTIONS(9882), 1,
      anon_sym_SEMI,
    STATE(608), 1,
      sym_compound_statement,
    STATE(7307), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(610), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_identifier,
    ACTIONS(4850), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 1,
      sym_identifier,
    ACTIONS(4826), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      sym_identifier,
    STATE(7656), 1,
      sym_concatenated_string,
    STATE(5902), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9884), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1917), 1,
      sym_enumerator_list,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(9886), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2345), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1917), 1,
      sym_enumerator_list,
    STATE(6168), 1,
      sym__scope_resolution,
    ACTIONS(9888), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2193), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 1,
      anon_sym_LBRACK,
    ACTIONS(9866), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9890), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [234554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(9892), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234584] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6108), 1,
      sym_access_specifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6621), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9490), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [234622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9895), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234654] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_EQ,
    ACTIONS(9811), 1,
      anon_sym_try,
    ACTIONS(9897), 1,
      anon_sym_SEMI,
    STATE(1944), 1,
      sym_compound_statement,
    STATE(7251), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1946), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234692] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(2250), 1,
      sym_enumerator_list,
    STATE(6147), 1,
      sym__scope_resolution,
    ACTIONS(9899), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4646), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [234762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9895), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8722), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234842] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9901), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3107), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9901), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(9903), 1,
      anon_sym_requires,
    STATE(5993), 1,
      sym_trailing_return_type,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8835), 1,
      anon_sym_requires,
    STATE(5991), 1,
      sym_trailing_return_type,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8719), 1,
      anon_sym_requires,
    STATE(5990), 1,
      sym_trailing_return_type,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9359), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235022] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(8451), 1,
      anon_sym_requires,
    STATE(5985), 1,
      sym_trailing_return_type,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    STATE(5964), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    STATE(5963), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    STATE(5962), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9369), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5816), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9668), 1,
      anon_sym_requires,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235256] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9906), 1,
      anon_sym_SEMI,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    ACTIONS(9910), 1,
      anon_sym_EQ,
    ACTIONS(9912), 1,
      anon_sym_try,
    STATE(1996), 1,
      sym_compound_statement,
    STATE(7184), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2011), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9572), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235314] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_DASH_GT,
    ACTIONS(7097), 1,
      anon_sym_requires,
    STATE(5960), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [235346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8813), 1,
      anon_sym_requires,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3123), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9884), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [235408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9582), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9870), 1,
      anon_sym_EQ,
    ACTIONS(9872), 1,
      anon_sym_try,
    ACTIONS(9914), 1,
      anon_sym_SEMI,
    STATE(268), 1,
      sym_compound_statement,
    STATE(7150), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(325), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5602), 1,
      anon_sym_LBRACK,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5604), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2497), 1,
      sym_enumerator_list,
    STATE(6131), 1,
      sym__scope_resolution,
    ACTIONS(9916), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4671), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8664), 1,
      anon_sym_requires,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235592] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    ACTIONS(9910), 1,
      anon_sym_EQ,
    ACTIONS(9912), 1,
      anon_sym_try,
    ACTIONS(9918), 1,
      anon_sym_SEMI,
    STATE(2153), 1,
      sym_compound_statement,
    STATE(7160), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2151), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [235690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9586), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235710] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9858), 1,
      anon_sym_EQ,
    ACTIONS(9860), 1,
      anon_sym_try,
    ACTIONS(9920), 1,
      anon_sym_SEMI,
    STATE(678), 1,
      sym_compound_statement,
    STATE(7103), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(679), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9928), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7226), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7867), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5894), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [235781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9930), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7070), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7675), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [235814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5519), 1,
      anon_sym_LBRACK,
    ACTIONS(5521), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9934), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7353), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8191), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5846), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [235893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(5525), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235914] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9936), 1,
      sym_identifier,
    ACTIONS(9938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9940), 1,
      anon_sym_template,
    STATE(2236), 1,
      sym_template_method,
    STATE(2238), 1,
      sym_dependent_field_identifier,
    STATE(2239), 1,
      sym_qualified_field_identifier,
    STATE(5837), 1,
      sym__scope_resolution,
    STATE(7216), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [235953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACK,
    ACTIONS(5517), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5606), 1,
      anon_sym_LBRACK,
    ACTIONS(5608), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9942), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7181), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7546), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5886), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 1,
      anon_sym_LBRACK,
    ACTIONS(5546), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236049] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9870), 1,
      anon_sym_EQ,
    ACTIONS(9872), 1,
      anon_sym_try,
    STATE(268), 1,
      sym_compound_statement,
    STATE(7150), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(325), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 1,
      anon_sym_LBRACK,
    ACTIONS(5570), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9876), 1,
      anon_sym_EQ,
    ACTIONS(9878), 1,
      anon_sym_try,
    STATE(608), 1,
      sym_compound_statement,
    STATE(7307), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(610), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236167] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9944), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7339), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8173), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9948), 1,
      anon_sym_LBRACK,
    ACTIONS(9946), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym_LBRACK,
    ACTIONS(5582), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_LBRACK,
    ACTIONS(5590), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [236309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5420), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5424), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5410), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9954), 1,
      anon_sym_LBRACK,
    ACTIONS(9952), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 1,
      anon_sym_LBRACK,
    ACTIONS(5594), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5428), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9760), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_parameter_list,
    STATE(5941), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5400), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [236575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      anon_sym_LBRACK,
    ACTIONS(5574), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236596] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9958), 1,
      anon_sym_requires,
    STATE(6023), 1,
      sym_trailing_return_type,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [236629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_requires,
    STATE(6026), 1,
      sym_trailing_return_type,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [236716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9961), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7228), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7998), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8758), 1,
      anon_sym_requires,
    STATE(6036), 1,
      sym_trailing_return_type,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [236851] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8651), 1,
      anon_sym_requires,
    STATE(5998), 1,
      sym_trailing_return_type,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [236884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9963), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7295), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8098), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5885), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    STATE(6019), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4515), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237061] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9967), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7101), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7615), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5933), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3131), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    STATE(6025), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237212] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9969), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7268), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8081), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237245] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9971), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7327), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7431), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9973), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7281), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7482), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      anon_sym_LBRACK,
    ACTIONS(5904), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 1,
      anon_sym_LBRACK,
    ACTIONS(9975), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237353] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9858), 1,
      anon_sym_EQ,
    ACTIONS(9860), 1,
      anon_sym_try,
    STATE(700), 1,
      sym_compound_statement,
    STATE(7291), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237388] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_DASH_GT,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    STATE(6031), 1,
      sym_trailing_return_type,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237421] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9979), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7241), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7514), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5887), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 1,
      anon_sym_LBRACK,
    ACTIONS(9981), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237475] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9985), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7215), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7939), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237508] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9987), 1,
      sym_identifier,
    STATE(5837), 1,
      sym__scope_resolution,
    STATE(7097), 1,
      sym_field_initializer,
    STATE(7216), 1,
      sym_operator_name,
    STATE(6465), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9991), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9993), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7272), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8089), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9997), 1,
      anon_sym_LBRACK,
    ACTIONS(9995), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237620] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6364), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [237655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10003), 1,
      anon_sym_LBRACK,
    ACTIONS(10001), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237726] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9876), 1,
      anon_sym_EQ,
    ACTIONS(9878), 1,
      anon_sym_try,
    STATE(547), 1,
      sym_compound_statement,
    STATE(7140), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(546), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(4615), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237782] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9858), 1,
      anon_sym_EQ,
    ACTIONS(9860), 1,
      anon_sym_try,
    STATE(678), 1,
      sym_compound_statement,
    STATE(7103), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(679), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [237817] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9767), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9769), 1,
      anon_sym_template,
    ACTIONS(10007), 1,
      sym_identifier,
    STATE(3401), 1,
      sym_qualified_field_identifier,
    STATE(3403), 1,
      sym_dependent_field_identifier,
    STATE(3406), 1,
      sym_template_method,
    STATE(5906), 1,
      sym__scope_resolution,
    STATE(7282), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [237937] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7197), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7915), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5897), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(5242), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238045] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9870), 1,
      anon_sym_EQ,
    ACTIONS(9872), 1,
      anon_sym_try,
    STATE(289), 1,
      sym_compound_statement,
    STATE(7276), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(291), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3038), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238161] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      anon_sym_EQ,
    ACTIONS(9850), 1,
      anon_sym_try,
    STATE(568), 1,
      sym_compound_statement,
    STATE(7232), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(567), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7328), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8150), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5870), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10013), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7187), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7540), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5832), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238262] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9627), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9629), 1,
      anon_sym_template,
    ACTIONS(10015), 1,
      sym_identifier,
    STATE(3227), 1,
      sym_template_method,
    STATE(3229), 1,
      sym_dependent_field_identifier,
    STATE(3230), 1,
      sym_qualified_field_identifier,
    STATE(5921), 1,
      sym__scope_resolution,
    STATE(7250), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238301] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10017), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7180), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7551), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5931), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10019), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238355] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9755), 1,
      anon_sym_template,
    ACTIONS(10023), 1,
      sym_identifier,
    STATE(2236), 1,
      sym_template_method,
    STATE(2238), 1,
      sym_dependent_field_identifier,
    STATE(2239), 1,
      sym_qualified_field_identifier,
    STATE(5924), 1,
      sym__scope_resolution,
    STATE(7308), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9938), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9987), 1,
      sym_identifier,
    STATE(5837), 1,
      sym__scope_resolution,
    STATE(6940), 1,
      sym_field_initializer,
    STATE(7216), 1,
      sym_operator_name,
    STATE(6465), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238431] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    ACTIONS(9848), 1,
      anon_sym_EQ,
    ACTIONS(9850), 1,
      anon_sym_try,
    STATE(612), 1,
      sym_compound_statement,
    STATE(7118), 1,
      sym_field_initializer_list,
    ACTIONS(4615), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(616), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10029), 1,
      anon_sym_LBRACK,
    ACTIONS(10027), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238512] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6360), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238547] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7265), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      anon_sym_STAR,
    ACTIONS(7587), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7589), 1,
      anon_sym_AMP,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6182), 1,
      sym__abstract_declarator,
    STATE(5740), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238582] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10031), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7065), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7680), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238615] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9739), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9741), 1,
      anon_sym_template,
    ACTIONS(10023), 1,
      sym_identifier,
    STATE(2236), 1,
      sym_template_method,
    STATE(2238), 1,
      sym_dependent_field_identifier,
    STATE(2239), 1,
      sym_qualified_field_identifier,
    STATE(5932), 1,
      sym__scope_resolution,
    STATE(7139), 1,
      sym_operator_name,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(9924), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10033), 1,
      anon_sym_RBRACE,
    ACTIONS(9926), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7312), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7460), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10035), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238707] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8658), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(2267), 1,
      sym_enumerator_list,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(4678), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238743] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8660), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2966), 1,
      sym_enumerator_list,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(3386), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8703), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(2267), 1,
      sym_enumerator_list,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(3746), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5544), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9552), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9554), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5400), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [238865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10035), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10037), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [238887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 1,
      anon_sym_LBRACK,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5604), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [238911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10041), 1,
      anon_sym_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10039), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [238987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9895), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9901), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5428), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239153] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8708), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2500), 1,
      sym_enumerator_list,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(4656), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239189] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    STATE(5780), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239219] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    STATE(5800), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239249] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    STATE(5808), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239279] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_requires,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    STATE(5813), 1,
      sym_trailing_return_type,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3312), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239439] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8654), 1,
      sym_identifier,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    STATE(2227), 1,
      sym_template_type,
    STATE(2966), 1,
      sym_enumerator_list,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(3944), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 1,
      anon_sym_requires,
    ACTIONS(6578), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5816), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9884), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9844), 1,
      anon_sym_LBRACK,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9842), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [239607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_template_type,
    STATE(4939), 1,
      sym_enumerator_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(4648), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239643] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6092), 1,
      anon_sym_LBRACE,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8686), 1,
      sym_identifier,
    STATE(2436), 1,
      sym_template_type,
    STATE(2500), 1,
      sym_enumerator_list,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(3836), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239679] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9824), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(8654), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(2966), 1,
      sym_enumerator_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(3057), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7334), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [239765] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5420), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6079), 1,
      anon_sym_LBRACE,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(2440), 1,
      sym_template_type,
    STATE(2693), 1,
      sym_enumerator_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(2457), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239829] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6262), 1,
      anon_sym_LBRACE,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8662), 1,
      sym_identifier,
    STATE(2603), 1,
      sym_template_type,
    STATE(2921), 1,
      sym_enumerator_list,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(2633), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239865] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9816), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239895] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4571), 1,
      sym_enumerator_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(4439), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239931] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5424), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8340), 1,
      anon_sym_LBRACE,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(4571), 1,
      sym_enumerator_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(4768), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8423), 1,
      anon_sym_requires,
    STATE(5719), 1,
      sym_trailing_return_type,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_requires,
    ACTIONS(8374), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5779), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1890), 1,
      sym_enumerator_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(2191), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10045), 1,
      anon_sym_LT,
    ACTIONS(10047), 1,
      anon_sym_LBRACK,
    STATE(6083), 1,
      sym_template_argument_list,
    ACTIONS(10043), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10045), 1,
      anon_sym_LT,
    ACTIONS(10051), 1,
      anon_sym_LBRACK,
    STATE(6068), 1,
      sym_template_argument_list,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8705), 1,
      anon_sym_requires,
    STATE(5721), 1,
      sym_trailing_return_type,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8719), 1,
      anon_sym_requires,
    ACTIONS(8436), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240191] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5345), 1,
      anon_sym_LBRACE,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(1825), 1,
      sym_template_type,
    STATE(1890), 1,
      sym_enumerator_list,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(2320), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240227] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(8816), 1,
      anon_sym_requires,
    STATE(5725), 1,
      sym_trailing_return_type,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240257] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6148), 1,
      anon_sym_LBRACE,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(2530), 1,
      sym_template_type,
    STATE(2746), 1,
      sym_enumerator_list,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(2501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240293] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(3690), 1,
      sym_enumerator_list,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(3804), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8835), 1,
      anon_sym_requires,
    ACTIONS(8740), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5806), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 1,
      anon_sym_requires,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240381] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_DASH_GT,
    ACTIONS(9762), 1,
      anon_sym_requires,
    STATE(5727), 1,
      sym_trailing_return_type,
    ACTIONS(9503), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10053), 1,
      anon_sym_requires,
    ACTIONS(9673), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5581), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5816), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240437] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8362), 1,
      anon_sym_LBRACE,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(4447), 1,
      sym_template_type,
    STATE(4652), 1,
      sym_enumerator_list,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(4494), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240473] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6450), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(3690), 1,
      sym_enumerator_list,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(4116), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240509] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5410), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [240537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(3490), 1,
      sym_template_type,
    STATE(3787), 1,
      sym_enumerator_list,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(3504), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(8758), 1,
      anon_sym_requires,
    ACTIONS(8611), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [240600] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8858), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_compound_statement,
    STATE(2114), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240635] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10056), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10058), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10060), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10062), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6190), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7971), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [240664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10064), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    STATE(6185), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7965), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [240695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_LBRACK,
    ACTIONS(10072), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10074), 1,
      sym_identifier,
    ACTIONS(10077), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10083), 1,
      sym_preproc_directive,
    ACTIONS(10086), 1,
      anon_sym_RBRACE,
    ACTIONS(10080), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7570), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6008), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [240870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [240895] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_try_statement,
    STATE(1720), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240930] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(10088), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6864), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240988] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10058), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10060), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10090), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10062), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6000), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7875), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [241017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      anon_sym_LBRACK,
    ACTIONS(10043), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_LBRACK,
    ACTIONS(10096), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241074] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8858), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    STATE(2124), 1,
      sym_compound_statement,
    STATE(2125), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241109] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(10100), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6621), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9884), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [241198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10102), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7879), 1,
      sym_qualified_identifier,
    ACTIONS(10104), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10108), 1,
      anon_sym_LBRACK,
    ACTIONS(10106), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9371), 1,
      anon_sym_LBRACK,
    ACTIONS(10110), 1,
      anon_sym_requires,
    ACTIONS(9373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9369), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9361), 1,
      anon_sym_LBRACK,
    ACTIONS(9958), 1,
      anon_sym_requires,
    ACTIONS(9363), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5541), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9359), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10113), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7668), 1,
      sym_qualified_identifier,
    ACTIONS(10115), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9279), 1,
      anon_sym_try,
    STATE(702), 1,
      sym_compound_statement,
    STATE(705), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241422] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9111), 1,
      anon_sym_try,
    STATE(661), 1,
      sym_compound_statement,
    STATE(662), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10119), 1,
      anon_sym_LBRACK,
    ACTIONS(10117), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241476] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8428), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8426), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 1,
      anon_sym_LBRACK,
    ACTIONS(10072), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10121), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241526] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    STATE(1656), 1,
      sym_compound_statement,
    STATE(1659), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10123), 1,
      aux_sym_preproc_if_token2,
    STATE(6051), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7541), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [241592] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_try,
    STATE(320), 1,
      sym_try_statement,
    STATE(322), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241627] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8724), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_requires,
    ACTIONS(8752), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5530), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8722), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10125), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(8236), 1,
      sym_qualified_identifier,
    ACTIONS(10127), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241685] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9279), 1,
      anon_sym_try,
    STATE(712), 1,
      sym_compound_statement,
    STATE(719), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241720] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9345), 1,
      anon_sym_try,
    STATE(589), 1,
      sym_try_statement,
    STATE(590), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241755] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9111), 1,
      anon_sym_try,
    STATE(635), 1,
      sym_compound_statement,
    STATE(648), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9745), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    STATE(6001), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7874), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [241821] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8866), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    STATE(1922), 1,
      sym_compound_statement,
    STATE(2075), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241856] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7322), 1,
      anon_sym_requires,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(5392), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8858), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    STATE(2101), 1,
      sym_try_statement,
    STATE(2107), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241943] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8866), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_try_statement,
    STATE(2072), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10129), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7507), 1,
      sym_qualified_identifier,
    ACTIONS(10131), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_try,
    STATE(349), 1,
      sym_compound_statement,
    STATE(353), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242069] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9111), 1,
      anon_sym_try,
    STATE(598), 1,
      sym_try_statement,
    STATE(602), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242104] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10133), 1,
      aux_sym_preproc_if_token2,
    STATE(6185), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7841), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_LBRACK,
    ACTIONS(8651), 1,
      anon_sym_requires,
    ACTIONS(8389), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5466), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5502), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8370), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242162] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9329), 1,
      anon_sym_try,
    STATE(298), 1,
      sym_compound_statement,
    STATE(347), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242197] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10058), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10060), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10135), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10062), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6190), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7873), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5602), 1,
      anon_sym_LBRACK,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5604), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [242249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8866), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_try_statement,
    STATE(2051), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242284] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_if_token2,
    STATE(6185), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7871), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242315] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10139), 1,
      aux_sym_preproc_if_token2,
    STATE(6057), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7772), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10141), 1,
      aux_sym_preproc_if_token2,
    STATE(6185), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8068), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242377] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10058), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10060), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10143), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10062), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6190), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8071), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242406] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9279), 1,
      anon_sym_try,
    STATE(681), 1,
      sym_compound_statement,
    STATE(694), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10147), 1,
      anon_sym_LBRACK,
    ACTIONS(10145), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9773), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10066), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10068), 1,
      aux_sym_preproc_elif_token1,
    STATE(6059), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10070), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7952), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10058), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10060), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10149), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10062), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6060), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7953), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9824), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242549] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10058), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10060), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10151), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10062), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6190), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7806), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10153), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7619), 1,
      sym_qualified_identifier,
    ACTIONS(10155), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 1,
      anon_sym_LBRACK,
    ACTIONS(5684), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10159), 1,
      anon_sym_LBRACK,
    ACTIONS(10157), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242647] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9345), 1,
      anon_sym_try,
    STATE(647), 1,
      sym_compound_statement,
    STATE(650), 1,
      sym_try_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242707] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(10161), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9345), 1,
      anon_sym_try,
    STATE(634), 1,
      sym_try_statement,
    STATE(651), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10165), 1,
      anon_sym_LBRACK,
    ACTIONS(10163), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242794] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(10167), 1,
      sym_virtual,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6525), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242827] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9816), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9895), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10169), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7516), 1,
      sym_qualified_identifier,
    ACTIONS(10171), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242941] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9901), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242995] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_try,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    STATE(1655), 1,
      sym_try_statement,
    STATE(1750), 1,
      sym_compound_statement,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_LBRACK,
    ACTIONS(5714), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10173), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7894), 1,
      sym_qualified_identifier,
    ACTIONS(10175), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10181), 1,
      anon_sym_delete,
    ACTIONS(10183), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10185), 1,
      anon_sym_COMMA,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6438), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10187), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243204] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10189), 1,
      anon_sym_delete,
    ACTIONS(10191), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(10193), 1,
      sym_identifier,
    ACTIONS(10195), 1,
      anon_sym_COLON_COLON,
    STATE(2684), 1,
      sym_template_type,
    STATE(6145), 1,
      sym__scope_resolution,
    STATE(2680), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10197), 1,
      anon_sym_delete,
    ACTIONS(10199), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10201), 1,
      anon_sym_delete,
    ACTIONS(10203), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6795), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_LBRACK,
    ACTIONS(4479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10207), 1,
      anon_sym_LBRACK,
    STATE(6612), 1,
      sym_gnu_asm_input_operand,
    STATE(7389), 1,
      sym_string_literal,
    ACTIONS(10205), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [243492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_LBRACK,
    ACTIONS(4495), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10209), 1,
      anon_sym_delete,
    ACTIONS(10211), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10213), 1,
      anon_sym_delete,
    ACTIONS(10215), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_delete,
    ACTIONS(10219), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10223), 1,
      anon_sym_LBRACK,
    STATE(6631), 1,
      sym_gnu_asm_output_operand,
    STATE(7626), 1,
      sym_string_literal,
    ACTIONS(10221), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [243600] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10225), 1,
      anon_sym_EQ,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(7837), 1,
      sym_initializer_list,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_LBRACK,
    ACTIONS(4532), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10227), 1,
      anon_sym_delete,
    ACTIONS(10229), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10231), 1,
      anon_sym_delete,
    ACTIONS(10233), 1,
      anon_sym_new,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10203), 1,
      anon_sym_new,
    ACTIONS(10235), 1,
      anon_sym_delete,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10239), 1,
      anon_sym_EQ,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    ACTIONS(10237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_LBRACK,
    ACTIONS(4505), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACK,
    ACTIONS(4536), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_LBRACK,
    ACTIONS(4540), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10203), 1,
      anon_sym_new,
    ACTIONS(10241), 1,
      anon_sym_delete,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10243), 1,
      anon_sym_EQ,
    STATE(2999), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    ACTIONS(10237), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6621), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10211), 1,
      anon_sym_new,
    ACTIONS(10245), 1,
      anon_sym_delete,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10215), 1,
      anon_sym_new,
    ACTIONS(10247), 1,
      anon_sym_delete,
    ACTIONS(10179), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10177), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243974] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8656), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_template_type,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(6864), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7962), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244004] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10249), 1,
      sym_identifier,
    ACTIONS(10251), 1,
      anon_sym_template,
    STATE(2513), 1,
      sym_dependent_type_identifier,
    STATE(2514), 1,
      sym_template_type,
    STATE(2540), 1,
      sym_qualified_type_identifier,
    STATE(6124), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10253), 1,
      sym_identifier,
    ACTIONS(10257), 1,
      sym_system_lib_string,
    STATE(8201), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10255), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10259), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7509), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10261), 1,
      sym_identifier,
    ACTIONS(10263), 1,
      sym_system_lib_string,
    STATE(7421), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10255), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244104] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10265), 1,
      sym_identifier,
    ACTIONS(10267), 1,
      anon_sym_template,
    STATE(3484), 1,
      sym_dependent_type_identifier,
    STATE(3494), 1,
      sym_template_type,
    STATE(3662), 1,
      sym_qualified_type_identifier,
    STATE(6128), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7233), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10269), 1,
      sym_identifier,
    ACTIONS(10271), 1,
      anon_sym_template,
    STATE(4435), 1,
      sym_dependent_type_identifier,
    STATE(4438), 1,
      sym_template_type,
    STATE(4530), 1,
      sym_qualified_type_identifier,
    STATE(6129), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244166] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10273), 1,
      sym_identifier,
    ACTIONS(10275), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(6130), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244197] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10277), 1,
      sym_identifier,
    ACTIONS(10279), 1,
      anon_sym_template,
    STATE(2473), 1,
      sym_template_type,
    STATE(2475), 1,
      sym_dependent_type_identifier,
    STATE(2518), 1,
      sym_qualified_type_identifier,
    STATE(6131), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244228] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8567), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10279), 1,
      anon_sym_template,
    ACTIONS(10281), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_template_type,
    STATE(2475), 1,
      sym_dependent_type_identifier,
    STATE(2518), 1,
      sym_qualified_type_identifier,
    STATE(6132), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_AMP,
    ACTIONS(10283), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5619), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [244301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2670), 1,
      sym_template_argument_list,
    ACTIONS(7362), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4615), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [244324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8478), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_template,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(6136), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244355] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10289), 1,
      sym_identifier,
    ACTIONS(10291), 1,
      anon_sym_template,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10293), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(6138), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 1,
      anon_sym_AMP,
    ACTIONS(10283), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10295), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5674), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [244438] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10273), 1,
      sym_identifier,
    ACTIONS(10275), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2911), 1,
      sym_qualified_type_identifier,
    STATE(6140), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10297), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    STATE(670), 1,
      sym_declaration_list,
    STATE(6232), 1,
      sym_attribute_declaration,
    STATE(7129), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [244527] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10305), 1,
      sym_identifier,
    STATE(582), 1,
      sym_declaration_list,
    STATE(6257), 1,
      sym_attribute_declaration,
    STATE(7332), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [244558] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7310), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10293), 1,
      sym_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2911), 1,
      sym_qualified_type_identifier,
    STATE(6144), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244589] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(10195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_template,
    STATE(2593), 1,
      sym_dependent_type_identifier,
    STATE(2619), 1,
      sym_template_type,
    STATE(2699), 1,
      sym_qualified_type_identifier,
    STATE(6145), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244643] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10287), 1,
      anon_sym_template,
    ACTIONS(10311), 1,
      sym_identifier,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(6147), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10313), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7582), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244701] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10315), 1,
      sym_identifier,
    STATE(281), 1,
      sym_declaration_list,
    STATE(6239), 1,
      sym_attribute_declaration,
    STATE(7073), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [244732] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10317), 1,
      sym_identifier,
    STATE(606), 1,
      sym_declaration_list,
    STATE(6241), 1,
      sym_attribute_declaration,
    STATE(7311), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [244763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244786] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10319), 1,
      sym_identifier,
    ACTIONS(10321), 1,
      anon_sym_template,
    STATE(2414), 1,
      sym_template_type,
    STATE(2418), 1,
      sym_dependent_type_identifier,
    STATE(2529), 1,
      sym_qualified_type_identifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244817] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10323), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(8020), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244890] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10325), 1,
      sym_identifier,
    ACTIONS(10327), 1,
      anon_sym_template,
    STATE(2631), 1,
      sym_dependent_type_identifier,
    STATE(2637), 1,
      sym_template_type,
    STATE(2750), 1,
      sym_qualified_type_identifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [244921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_AMP,
    ACTIONS(10333), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10329), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [244940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10335), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7596), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2670), 1,
      sym_template_argument_list,
    ACTIONS(4522), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4515), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [244990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10337), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(7960), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_identifier,
    STATE(5434), 1,
      sym__scope_resolution,
    STATE(8126), 1,
      sym_qualified_identifier,
    STATE(7962), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10341), 1,
      sym_identifier,
    STATE(683), 1,
      sym_declaration_list,
    STATE(6275), 1,
      sym_attribute_declaration,
    STATE(7278), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [245098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10343), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [245146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10345), 1,
      sym_identifier,
    STATE(563), 1,
      sym_declaration_list,
    STATE(6240), 1,
      sym_attribute_declaration,
    STATE(7192), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [245177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9717), 1,
      anon_sym_LBRACK,
    STATE(3590), 1,
      sym_parameter_list,
    STATE(5539), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245200] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8456), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_template,
    STATE(1812), 1,
      sym_dependent_type_identifier,
    STATE(1814), 1,
      sym_template_type,
    STATE(1859), 1,
      sym_qualified_type_identifier,
    STATE(6168), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [245231] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8931), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10351), 1,
      sym_identifier,
    ACTIONS(10353), 1,
      anon_sym_template,
    STATE(2186), 1,
      sym_qualified_type_identifier,
    STATE(2211), 1,
      sym_dependent_type_identifier,
    STATE(2212), 1,
      sym_template_type,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [245262] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10355), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2911), 1,
      sym_qualified_type_identifier,
    STATE(6170), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [245293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10359), 1,
      sym_identifier,
    ACTIONS(10361), 1,
      sym_system_lib_string,
    STATE(7828), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10255), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245314] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7188), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10363), 1,
      sym_identifier,
    ACTIONS(10365), 1,
      anon_sym_template,
    STATE(1623), 1,
      sym_dependent_type_identifier,
    STATE(1632), 1,
      sym_template_type,
    STATE(1732), 1,
      sym_qualified_type_identifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [245345] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10355), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [245376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10367), 1,
      sym_identifier,
    ACTIONS(10369), 1,
      sym_system_lib_string,
    STATE(7933), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10255), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10371), 1,
      sym_identifier,
    STATE(328), 1,
      sym_declaration_list,
    STATE(6247), 1,
      sym_attribute_declaration,
    STATE(7167), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [245428] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10373), 1,
      sym_identifier,
    STATE(570), 1,
      sym_declaration_list,
    STATE(6263), 1,
      sym_attribute_declaration,
    STATE(7246), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [245459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10375), 1,
      sym_identifier,
    ACTIONS(10377), 1,
      anon_sym_template,
    STATE(2221), 1,
      sym_template_type,
    STATE(2222), 1,
      sym_dependent_type_identifier,
    STATE(2223), 1,
      sym_qualified_type_identifier,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(7962), 1,
      sym_decltype,
  [245490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(5730), 1,
      sym_template_argument_list,
    ACTIONS(4515), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [245512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10207), 1,
      anon_sym_LBRACK,
    STATE(6788), 1,
      sym_gnu_asm_input_operand,
    STATE(7389), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10379), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(2857), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(10381), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245606] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10383), 1,
      anon_sym_SEMI,
    ACTIONS(10385), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6424), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10387), 1,
      anon_sym_SEMI,
    ACTIONS(10389), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10391), 1,
      sym_identifier,
    ACTIONS(10396), 1,
      aux_sym_preproc_elif_token1,
    STATE(6185), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
    ACTIONS(10394), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [245680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10223), 1,
      anon_sym_LBRACK,
    STATE(6651), 1,
      sym_gnu_asm_output_operand,
    STATE(7626), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245700] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10398), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245726] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10400), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(10402), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 1,
      sym_identifier,
    ACTIONS(10409), 1,
      aux_sym_preproc_elif_token1,
    STATE(6190), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(10407), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [245798] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10413), 1,
      anon_sym_SEMI,
    ACTIONS(10415), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6417), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9816), 1,
      anon_sym_COLON,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9895), 1,
      anon_sym_COLON,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245902] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(9852), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2670), 1,
      sym_template_argument_list,
    ACTIONS(5772), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [245948] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(9854), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10417), 1,
      anon_sym_SEMI,
    ACTIONS(10419), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9901), 1,
      anon_sym_COLON,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10421), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10423), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10427), 1,
      anon_sym_SEMI,
    ACTIONS(10429), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6453), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(10431), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9824), 1,
      anon_sym_COLON,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246260] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(7362), 1,
      anon_sym_LBRACK,
    STATE(5730), 1,
      sym_template_argument_list,
    ACTIONS(4615), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [246282] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(9884), 1,
      anon_sym_COLON,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10433), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10437), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10435), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(8844), 1,
      anon_sym_LBRACK,
    ACTIONS(9797), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(6069), 1,
      sym__function_declarator_seq,
    STATE(6280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10439), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246402] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10441), 1,
      anon_sym_SEMI,
    ACTIONS(10443), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6518), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10445), 1,
      anon_sym_RPAREN,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10447), 1,
      anon_sym_SEMI,
    ACTIONS(10449), 1,
      anon_sym_EQ,
    STATE(1549), 1,
      sym_template_argument_list,
    STATE(6436), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_COLON,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5966), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    ACTIONS(10455), 1,
      anon_sym_SEMI,
    STATE(3342), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10461), 1,
      anon_sym_EQ,
    ACTIONS(10457), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [246664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246685] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10463), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [246729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [246750] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10465), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246773] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10341), 1,
      sym_identifier,
    STATE(683), 1,
      sym_declaration_list,
    STATE(7278), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [246798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9727), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 1,
      anon_sym_AMP,
    ACTIONS(5971), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [246834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [246855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(5424), 1,
      anon_sym_COLON,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246878] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10467), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10469), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10471), 1,
      sym_identifier,
    STATE(332), 1,
      sym_declaration_list,
    STATE(7303), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [246949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10473), 1,
      sym_identifier,
    STATE(633), 1,
      sym_declaration_list,
    STATE(7077), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [246974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10305), 1,
      sym_identifier,
    STATE(582), 1,
      sym_declaration_list,
    STATE(7332), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [246999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(5730), 1,
      sym_template_argument_list,
    ACTIONS(5772), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_template_argument_list,
    STATE(6730), 2,
      sym_argument_list,
      sym_initializer_list,
  [247041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9715), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10315), 1,
      sym_identifier,
    STATE(281), 1,
      sym_declaration_list,
    STATE(7073), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [247129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9725), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10475), 1,
      anon_sym_LBRACK,
    ACTIONS(10477), 1,
      anon_sym_EQ,
    ACTIONS(10479), 1,
      anon_sym_DOT,
    STATE(6277), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [247190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 1,
      anon_sym_AMP,
    ACTIONS(6003), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [247226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9719), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_COLON,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 1,
      anon_sym_AMP,
    ACTIONS(5967), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [247285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10483), 1,
      anon_sym_AMP,
    ACTIONS(10481), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10485), 1,
      sym_identifier,
    STATE(555), 1,
      sym_declaration_list,
    STATE(7235), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [247325] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10487), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9729), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9105), 1,
      anon_sym_LBRACK,
    STATE(3044), 1,
      sym_parameter_list,
    STATE(5928), 1,
      sym__function_declarator_seq,
    STATE(5760), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_COMMA,
    ACTIONS(10493), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10489), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [247409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10495), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10345), 1,
      sym_identifier,
    STATE(563), 1,
      sym_declaration_list,
    STATE(7192), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [247457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(5428), 1,
      anon_sym_COLON,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10497), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10501), 1,
      anon_sym_AMP,
    ACTIONS(10499), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9731), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9721), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(10503), 1,
      anon_sym_RPAREN,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6055), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4121), 1,
      anon_sym_AMP,
    ACTIONS(4119), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(5410), 1,
      anon_sym_COLON,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_AMP,
    ACTIONS(10329), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_AMP,
    ACTIONS(10505), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(9723), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247672] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10509), 1,
      sym_identifier,
    STATE(724), 1,
      sym_declaration_list,
    STATE(7265), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [247697] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 1,
      anon_sym_COLON,
    ACTIONS(5406), 1,
      anon_sym_LBRACK,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(2121), 1,
      sym_parameter_list,
    STATE(6307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    ACTIONS(10514), 1,
      anon_sym_EQ,
    ACTIONS(10516), 1,
      anon_sym_DOT,
    STATE(6277), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [247739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(3816), 1,
      sym_template_argument_list,
    ACTIONS(5772), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [247757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10519), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [247773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10041), 1,
      anon_sym_LBRACK,
    ACTIONS(10039), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_try,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    ACTIONS(10523), 1,
      anon_sym_SEMI,
    ACTIONS(10525), 1,
      anon_sym_EQ,
    STATE(1993), 2,
      sym_compound_statement,
      sym_try_statement,
  [247811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(10527), 1,
      anon_sym_SEMI,
    ACTIONS(10529), 1,
      anon_sym_EQ,
    STATE(690), 2,
      sym_compound_statement,
      sym_try_statement,
  [247831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10531), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [247847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10533), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10535), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [247863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_try,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    ACTIONS(10538), 1,
      anon_sym_SEMI,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    STATE(2138), 2,
      sym_compound_statement,
      sym_try_statement,
  [247883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10542), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10544), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [247897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8850), 1,
      anon_sym_try,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_SEMI,
    ACTIONS(10548), 1,
      anon_sym_EQ,
    STATE(1730), 2,
      sym_compound_statement,
      sym_try_statement,
  [247917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10550), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10552), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [247931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9279), 1,
      anon_sym_try,
    ACTIONS(10554), 1,
      anon_sym_SEMI,
    ACTIONS(10556), 1,
      anon_sym_EQ,
    STATE(726), 2,
      sym_compound_statement,
      sym_try_statement,
  [247951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10558), 1,
      anon_sym_LPAREN2,
    STATE(6283), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [247967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10560), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10562), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [247981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    STATE(5125), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5414), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10566), 1,
      anon_sym_LPAREN2,
    STATE(6324), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8858), 1,
      anon_sym_try,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    ACTIONS(10568), 1,
      anon_sym_SEMI,
    ACTIONS(10570), 1,
      anon_sym_EQ,
    STATE(1948), 2,
      sym_compound_statement,
      sym_try_statement,
  [248051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10572), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10574), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9329), 1,
      anon_sym_try,
    ACTIONS(10576), 1,
      anon_sym_SEMI,
    ACTIONS(10578), 1,
      anon_sym_EQ,
    STATE(313), 2,
      sym_compound_statement,
      sym_try_statement,
  [248085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10580), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10582), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10086), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10584), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10586), 1,
      anon_sym_LPAREN2,
    STATE(6293), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_try,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    ACTIONS(10588), 1,
      anon_sym_SEMI,
    ACTIONS(10590), 1,
      anon_sym_EQ,
    STATE(2106), 2,
      sym_compound_statement,
      sym_try_statement,
  [248149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10580), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10582), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(3816), 1,
      sym_template_argument_list,
    ACTIONS(5772), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [248181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10394), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [248195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      anon_sym_LPAREN2,
    STATE(6329), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10051), 1,
      anon_sym_LBRACK,
    STATE(6068), 1,
      sym_template_argument_list,
    ACTIONS(10049), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5602), 1,
      anon_sym_LBRACK,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5604), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10047), 1,
      anon_sym_LBRACK,
    STATE(6083), 1,
      sym_template_argument_list,
    ACTIONS(10043), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10594), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10596), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9329), 1,
      anon_sym_try,
    ACTIONS(10598), 1,
      anon_sym_SEMI,
    ACTIONS(10600), 1,
      anon_sym_EQ,
    STATE(296), 2,
      sym_compound_statement,
      sym_try_statement,
  [248299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10602), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(10237), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10604), 1,
      anon_sym_LPAREN2,
    STATE(6311), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
    ACTIONS(10237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [248371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9111), 1,
      anon_sym_try,
    ACTIONS(10606), 1,
      anon_sym_SEMI,
    ACTIONS(10608), 1,
      anon_sym_EQ,
    STATE(544), 2,
      sym_compound_statement,
      sym_try_statement,
  [248391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    ACTIONS(9111), 1,
      anon_sym_try,
    ACTIONS(10610), 1,
      anon_sym_SEMI,
    ACTIONS(10612), 1,
      anon_sym_EQ,
    STATE(653), 2,
      sym_compound_statement,
      sym_try_statement,
  [248411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10616), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10618), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8850), 1,
      anon_sym_try,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    ACTIONS(10620), 1,
      anon_sym_SEMI,
    ACTIONS(10622), 1,
      anon_sym_EQ,
    STATE(1791), 2,
      sym_compound_statement,
      sym_try_statement,
  [248461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8083), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10624), 1,
      anon_sym_LPAREN2,
    STATE(6318), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6856), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5469), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10626), 1,
      anon_sym_LPAREN2,
    STATE(6279), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10628), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10630), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10632), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8027), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9345), 1,
      anon_sym_try,
    ACTIONS(10634), 1,
      anon_sym_SEMI,
    ACTIONS(10636), 1,
      anon_sym_EQ,
    STATE(619), 2,
      sym_compound_statement,
      sym_try_statement,
  [248589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10630), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10632), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_LPAREN2,
    STATE(6284), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10521), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9345), 1,
      anon_sym_try,
    ACTIONS(10640), 1,
      anon_sym_SEMI,
    ACTIONS(10642), 1,
      anon_sym_EQ,
    STATE(564), 2,
      sym_compound_statement,
      sym_try_statement,
  [248639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10644), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8001), 1,
      sym_attribute_specifier,
  [248658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10646), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8013), 1,
      sym_attribute_specifier,
  [248677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10648), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8019), 1,
      sym_attribute_specifier,
  [248696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10650), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7914), 1,
      sym_attribute_specifier,
  [248715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10652), 1,
      anon_sym_SEMI,
    STATE(6375), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7641), 1,
      sym_attribute_specifier,
  [248734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10654), 1,
      anon_sym_SEMI,
    STATE(6357), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7598), 1,
      sym_attribute_specifier,
  [248753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10656), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7659), 1,
      sym_attribute_specifier,
  [248772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10658), 1,
      anon_sym_SEMI,
    STATE(6342), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7900), 1,
      sym_attribute_specifier,
  [248791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10660), 1,
      anon_sym_SEMI,
    STATE(6366), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8000), 1,
      sym_attribute_specifier,
  [248810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    ACTIONS(10664), 1,
      anon_sym_COLON_COLON,
    STATE(7218), 1,
      sym_argument_list,
    ACTIONS(10662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [248827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [248846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10666), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8010), 1,
      sym_attribute_specifier,
  [248865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10670), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10668), 4,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
  [248878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9727), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [248897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10672), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7803), 1,
      sym_attribute_specifier,
  [248916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2229), 1,
      sym_template_argument_list,
    ACTIONS(5651), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [248933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9729), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [248952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10674), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7902), 1,
      sym_attribute_specifier,
  [248971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10676), 1,
      anon_sym_SEMI,
    STATE(6348), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7819), 1,
      sym_attribute_specifier,
  [248990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10678), 1,
      anon_sym_EQ,
    ACTIONS(9596), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10680), 1,
      anon_sym_SEMI,
    STATE(6367), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7823), 1,
      sym_attribute_specifier,
  [249022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(3724), 1,
      sym_template_argument_list,
    ACTIONS(5772), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9721), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10682), 1,
      sym_identifier,
    STATE(7419), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [249077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(9596), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [249090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_RPAREN,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10688), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7783), 1,
      sym_attribute_specifier,
  [249128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9731), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10690), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(3384), 1,
      sym_template_method,
    STATE(7282), 1,
      sym_operator_name,
  [249166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    ACTIONS(10692), 1,
      anon_sym_RPAREN,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10694), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7827), 1,
      sym_attribute_specifier,
  [249204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10696), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7100), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [249217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9725), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    ACTIONS(10698), 1,
      anon_sym_RPAREN,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(10700), 1,
      aux_sym_preproc_if_token2,
    STATE(6261), 1,
      sym_enumerator,
    STATE(6602), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6606), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [249274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10702), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8023), 1,
      sym_attribute_specifier,
  [249293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10704), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7905), 1,
      sym_attribute_specifier,
  [249312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10706), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2247), 1,
      sym_template_method,
    STATE(7308), 1,
      sym_operator_name,
  [249331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9719), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_SEMI,
    STATE(6345), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7778), 1,
      sym_attribute_specifier,
  [249369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10710), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8008), 1,
      sym_attribute_specifier,
  [249388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10706), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2247), 1,
      sym_template_method,
    STATE(7139), 1,
      sym_operator_name,
  [249407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10712), 1,
      sym_identifier,
    STATE(7666), 1,
      sym__namespace_specifier,
    STATE(7938), 1,
      sym_nested_namespace_specifier,
  [249426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9715), 1,
      anon_sym_COLON,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10714), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7782), 1,
      sym_attribute_specifier,
  [249464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(2433), 1,
      sym_decltype_auto,
    ACTIONS(10716), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249481] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(6806), 1,
      sym__namespace_specifier,
    STATE(7200), 1,
      sym_nested_namespace_specifier,
  [249500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10720), 1,
      sym_identifier,
    STATE(7413), 1,
      sym_nested_namespace_specifier,
    STATE(7666), 1,
      sym__namespace_specifier,
  [249519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(6653), 1,
      sym__namespace_specifier,
    STATE(7342), 1,
      sym_nested_namespace_specifier,
  [249538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(4049), 1,
      sym_template_argument_list,
    ACTIONS(5772), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10722), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_method,
    STATE(7250), 1,
      sym_operator_name,
  [249574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10724), 1,
      anon_sym_SEMI,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7790), 1,
      sym_attribute_specifier,
  [249593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    ACTIONS(10726), 1,
      anon_sym_RPAREN,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [249612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10728), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2247), 1,
      sym_template_method,
    STATE(7216), 1,
      sym_operator_name,
  [249631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7475), 1,
      sym_auto,
    ACTIONS(7477), 1,
      anon_sym_decltype,
    STATE(2433), 1,
      sym_decltype_auto,
    ACTIONS(10730), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10732), 1,
      anon_sym_SEMI,
    STATE(6371), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7906), 1,
      sym_attribute_specifier,
  [249667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8406), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8410), 1,
      anon_sym_EQ,
    ACTIONS(10734), 1,
      sym_identifier,
    ACTIONS(8408), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(7633), 1,
      anon_sym_COMMA,
    ACTIONS(10736), 1,
      anon_sym_SEMI,
    STATE(6332), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7910), 1,
      sym_attribute_specifier,
  [249703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_inline,
    ACTIONS(10738), 1,
      sym_identifier,
    STATE(7666), 1,
      sym__namespace_specifier,
    STATE(7702), 1,
      sym_nested_namespace_specifier,
  [249722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10742), 1,
      anon_sym_GT2,
    STATE(7041), 1,
      aux_sym_template_argument_list_repeat1,
  [249738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10744), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10746), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(769), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [249782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10449), 1,
      anon_sym_EQ,
    STATE(6436), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9548), 1,
      anon_sym_LBRACE,
    STATE(3263), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10750), 1,
      anon_sym___except,
    ACTIONS(10752), 1,
      anon_sym___finally,
    STATE(499), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [249824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10754), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10756), 1,
      anon_sym_SEMI,
    STATE(6462), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10758), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [249868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_field_declaration_list,
    STATE(7318), 1,
      sym_base_class_clause,
  [249884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10760), 1,
      anon_sym_GT2,
    STATE(7024), 1,
      aux_sym_template_argument_list_repeat1,
  [249900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10415), 1,
      anon_sym_EQ,
    STATE(6417), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9521), 1,
      anon_sym_LBRACE,
    STATE(3405), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [249928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10762), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10766), 1,
      anon_sym_EQ,
    STATE(713), 1,
      sym_declaration_list,
  [249958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10768), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10770), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [249988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2962), 1,
      sym_field_declaration_list,
    STATE(7051), 1,
      sym_base_class_clause,
  [250004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10772), 1,
      anon_sym_SEMI,
    STATE(6442), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10774), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10443), 1,
      anon_sym_EQ,
    STATE(6518), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(2279), 1,
      sym_field_declaration_list,
    STATE(7061), 1,
      sym_base_class_clause,
  [250062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(6943), 1,
      sym_compound_statement,
    STATE(7134), 1,
      sym_field_initializer_list,
  [250078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10385), 1,
      anon_sym_EQ,
    STATE(6424), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8789), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    STATE(3293), 1,
      sym_requirement_seq,
    STATE(7059), 1,
      sym_requires_parameter_list,
  [250108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10778), 1,
      anon_sym_SEMI,
    STATE(6570), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10780), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(772), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [250152] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10782), 1,
      anon_sym_DQUOTE,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10788), 1,
      anon_sym_GT2,
    STATE(6680), 1,
      aux_sym_template_argument_list_repeat1,
  [250184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym___except,
    ACTIONS(10792), 1,
      anon_sym___finally,
    STATE(472), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [250198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10419), 1,
      anon_sym_EQ,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10794), 1,
      anon_sym_SEMI,
    STATE(6477), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10796), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10798), 1,
      anon_sym_SEMI,
    STATE(6410), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(6933), 1,
      sym_compound_statement,
    STATE(7146), 1,
      sym_field_initializer_list,
  [250270] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10800), 1,
      anon_sym_DQUOTE,
    ACTIONS(10802), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10804), 1,
      sym_escape_sequence,
    STATE(6491), 1,
      aux_sym_string_literal_repeat1,
  [250286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10806), 1,
      anon_sym_SEMI,
    STATE(6404), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9521), 1,
      anon_sym_LBRACE,
    STATE(3346), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4515), 1,
      anon_sym_SEMI,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1606), 1,
      sym_template_argument_list,
  [250330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10808), 1,
      anon_sym___except,
    ACTIONS(10810), 1,
      anon_sym___finally,
    STATE(242), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [250344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10812), 1,
      anon_sym_COMMA,
    STATE(6503), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10814), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250358] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10816), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10818), 1,
      anon_sym_EQ,
    STATE(524), 1,
      sym_declaration_list,
  [250390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10820), 1,
      anon_sym_COMMA,
    STATE(6501), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10822), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10824), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250418] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10826), 1,
      anon_sym_DQUOTE,
    ACTIONS(10828), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10830), 1,
      sym_escape_sequence,
    STATE(6433), 1,
      aux_sym_string_literal_repeat1,
  [250434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10185), 1,
      anon_sym_COMMA,
    STATE(6562), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10832), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [250448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9521), 1,
      anon_sym_LBRACE,
    STATE(3426), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250462] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10834), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    STATE(3612), 1,
      sym_requirement_seq,
    STATE(7293), 1,
      sym_requires_parameter_list,
  [250494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10836), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250508] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10838), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(10842), 1,
      sym_preproc_arg,
    STATE(7309), 1,
      sym_preproc_params,
  [250524] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_DQUOTE,
    ACTIONS(10846), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10848), 1,
      sym_escape_sequence,
    STATE(6440), 1,
      aux_sym_string_literal_repeat1,
  [250540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 1,
      anon_sym_COMMA,
    STATE(6445), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10853), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10855), 1,
      anon_sym_GT2,
    STATE(6989), 1,
      aux_sym_template_argument_list_repeat1,
  [250570] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10857), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10429), 1,
      anon_sym_EQ,
    STATE(6453), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9548), 1,
      anon_sym_LBRACE,
    STATE(3167), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7242), 1,
      sym_argument_list,
    ACTIONS(10859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [250628] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10861), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250644] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10863), 1,
      anon_sym_DQUOTE,
    ACTIONS(10865), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10867), 1,
      sym_escape_sequence,
    STATE(6447), 1,
      aux_sym_string_literal_repeat1,
  [250660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10869), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9548), 1,
      anon_sym_LBRACE,
    STATE(3294), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10389), 1,
      anon_sym_EQ,
    STATE(6498), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10871), 1,
      anon_sym_GT2,
    STATE(6969), 1,
      aux_sym_template_argument_list_repeat1,
  [250718] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10873), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250734] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10875), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10879), 1,
      anon_sym_SEMI,
    STATE(6391), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250762] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10881), 1,
      anon_sym_DQUOTE,
    ACTIONS(10883), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10885), 1,
      sym_escape_sequence,
    STATE(6457), 1,
      aux_sym_string_literal_repeat1,
  [250778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10887), 1,
      anon_sym_SEMI,
    STATE(6500), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10889), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9558), 1,
      anon_sym_LBRACE,
    STATE(4068), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(4972), 1,
      sym_field_declaration_list,
    STATE(7188), 1,
      sym_base_class_clause,
  [250836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(6742), 2,
      sym_argument_list,
      sym_initializer_list,
  [250850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10891), 1,
      anon_sym_GT2,
    STATE(6949), 1,
      aux_sym_template_argument_list_repeat1,
  [250866] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10893), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [250882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(10895), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [250898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2925), 1,
      sym_field_declaration_list,
    STATE(7159), 1,
      sym_base_class_clause,
  [250914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9558), 1,
      anon_sym_LBRACE,
    STATE(4069), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(4961), 1,
      sym_field_declaration_list,
    STATE(7179), 1,
      sym_base_class_clause,
  [250944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    ACTIONS(9826), 1,
      anon_sym_LBRACK,
    STATE(3215), 1,
      sym_parameter_list,
    STATE(5829), 1,
      sym__function_declarator_seq,
  [250960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10897), 1,
      anon_sym___except,
    ACTIONS(10899), 1,
      anon_sym___finally,
    STATE(499), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [250974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    STATE(1909), 1,
      sym_field_declaration_list,
    STATE(7323), 1,
      sym_base_class_clause,
  [250990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8821), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    STATE(3222), 1,
      sym_requirement_seq,
    STATE(7238), 1,
      sym_requires_parameter_list,
  [251006] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10901), 1,
      anon_sym_DQUOTE,
    ACTIONS(10903), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10905), 1,
      sym_escape_sequence,
    STATE(6467), 1,
      aux_sym_string_literal_repeat1,
  [251022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10907), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(2318), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251050] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10909), 1,
      anon_sym_DQUOTE,
    ACTIONS(10911), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10913), 1,
      sym_escape_sequence,
    STATE(6507), 1,
      aux_sym_string_literal_repeat1,
  [251066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10915), 1,
      anon_sym_GT2,
    STATE(6929), 1,
      aux_sym_template_argument_list_repeat1,
  [251082] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10917), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3328), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    STATE(3276), 1,
      sym_argument_list,
    STATE(3595), 1,
      sym_initializer_list,
  [251126] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10919), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [251142] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(10921), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10923), 1,
      sym_preproc_arg,
    STATE(7193), 1,
      sym_preproc_params,
  [251158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10925), 1,
      anon_sym_EQ,
    STATE(578), 1,
      sym_declaration_list,
  [251174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    STATE(3467), 1,
      sym_argument_list,
    STATE(4506), 1,
      sym_initializer_list,
  [251190] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(10927), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10929), 1,
      sym_preproc_arg,
    STATE(7204), 1,
      sym_preproc_params,
  [251206] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10931), 1,
      anon_sym_DQUOTE,
    ACTIONS(10933), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10935), 1,
      sym_escape_sequence,
    STATE(6484), 1,
      aux_sym_string_literal_repeat1,
  [251222] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_DQUOTE,
    ACTIONS(10939), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10941), 1,
      sym_escape_sequence,
    STATE(6451), 1,
      aux_sym_string_literal_repeat1,
  [251238] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10943), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [251254] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10945), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10947), 1,
      anon_sym_GT2,
    STATE(6907), 1,
      aux_sym_template_argument_list_repeat1,
  [251284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    STATE(2380), 1,
      sym_requirement_seq,
    STATE(7132), 1,
      sym_requires_parameter_list,
  [251300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(2313), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_field_declaration_list,
    STATE(7174), 1,
      sym_base_class_clause,
  [251330] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10949), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [251346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10951), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10953), 1,
      anon_sym_SEMI,
    STATE(6601), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(10955), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10957), 1,
      anon_sym_COMMA,
    STATE(6501), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10960), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    STATE(6445), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10964), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10812), 1,
      anon_sym_COMMA,
    STATE(6534), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10966), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4564), 1,
      sym_field_declaration_list,
    STATE(7211), 1,
      sym_base_class_clause,
  [251446] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10968), 1,
      anon_sym_DQUOTE,
    ACTIONS(10970), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10972), 1,
      sym_escape_sequence,
    STATE(6497), 1,
      aux_sym_string_literal_repeat1,
  [251462] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10974), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251476] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10976), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [251492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LBRACE,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    STATE(2350), 1,
      sym_initializer_list,
    STATE(2383), 1,
      sym_argument_list,
  [251508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(3684), 1,
      sym_field_declaration_list,
    STATE(7267), 1,
      sym_base_class_clause,
  [251524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(3694), 1,
      sym_field_declaration_list,
    STATE(7280), 1,
      sym_base_class_clause,
  [251540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10978), 1,
      anon_sym_GT2,
    STATE(6885), 1,
      aux_sym_template_argument_list_repeat1,
  [251556] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10982), 1,
      sym_preproc_arg,
    STATE(7214), 1,
      sym_preproc_params,
  [251572] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(10984), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [251588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10986), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [251598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10988), 1,
      anon_sym_EQ,
    STATE(272), 1,
      sym_declaration_list,
  [251614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    ACTIONS(10990), 1,
      anon_sym_LBRACE,
    STATE(5337), 1,
      sym_requirement_seq,
    STATE(7364), 1,
      sym_requires_parameter_list,
  [251630] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10994), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10996), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11000), 1,
      anon_sym_LBRACE,
    STATE(6867), 1,
      aux_sym_base_class_clause_repeat1,
  [251674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(11002), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [251690] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11004), 1,
      anon_sym_DQUOTE,
    ACTIONS(11006), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11008), 1,
      sym_escape_sequence,
    STATE(6513), 1,
      aux_sym_string_literal_repeat1,
  [251706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9542), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251720] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(11010), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11012), 1,
      sym_preproc_arg,
    STATE(7347), 1,
      sym_preproc_params,
  [251736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11014), 1,
      anon_sym_COMMA,
    STATE(6524), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11017), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [251750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11021), 1,
      anon_sym_LBRACE,
    STATE(6952), 1,
      aux_sym_base_class_clause_repeat1,
  [251766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11023), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [251776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11025), 1,
      anon_sym_GT2,
    STATE(6862), 1,
      aux_sym_template_argument_list_repeat1,
  [251792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11027), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11029), 1,
      anon_sym_SEMI,
    STATE(6576), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251820] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11031), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [251836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(3539), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11033), 1,
      anon_sym_EQ,
    STATE(6406), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251864] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11035), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11037), 1,
      anon_sym_COMMA,
    STATE(6534), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11040), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2504), 1,
      sym_field_declaration_list,
    STATE(7186), 1,
      sym_base_class_clause,
  [251908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11042), 1,
      sym_identifier,
    ACTIONS(11044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [251920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(6786), 1,
      sym_compound_statement,
    STATE(7329), 1,
      sym_field_initializer_list,
  [251936] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11046), 1,
      anon_sym_DQUOTE,
    ACTIONS(11048), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11050), 1,
      sym_escape_sequence,
    STATE(6530), 1,
      aux_sym_string_literal_repeat1,
  [251952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(774), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [251968] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11052), 1,
      anon_sym_DQUOTE,
    ACTIONS(11054), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11056), 1,
      sym_escape_sequence,
    STATE(6419), 1,
      aux_sym_string_literal_repeat1,
  [251984] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11058), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [252000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2947), 1,
      sym_field_declaration_list,
    STATE(7062), 1,
      sym_base_class_clause,
  [252016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(7284), 1,
      sym_base_class_clause,
  [252032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9519), 1,
      anon_sym_LBRACE,
    STATE(5584), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252046] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11060), 1,
      anon_sym_DQUOTE,
    ACTIONS(11062), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11064), 1,
      sym_escape_sequence,
    STATE(6569), 1,
      aux_sym_string_literal_repeat1,
  [252062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9519), 1,
      anon_sym_LBRACE,
    STATE(5577), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11066), 1,
      anon_sym_GT2,
    STATE(6836), 1,
      aux_sym_template_argument_list_repeat1,
  [252092] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11068), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11070), 1,
      anon_sym_GT2,
    STATE(6749), 1,
      aux_sym_template_argument_list_repeat1,
  [252122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3772), 1,
      sym_field_declaration_list,
    STATE(7212), 1,
      sym_base_class_clause,
  [252138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11023), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [252148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11072), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11074), 1,
      anon_sym_SEMI,
    STATE(6528), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(11076), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [252192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11078), 1,
      anon_sym_EQ,
    STATE(6397), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9519), 1,
      anon_sym_LBRACE,
    STATE(5619), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_field_declaration_list,
    STATE(7158), 1,
      sym_base_class_clause,
  [252236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(3583), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252250] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11080), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [252266] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11082), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [252282] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11084), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11086), 1,
      anon_sym_COMMA,
    STATE(6562), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11089), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3777), 1,
      sym_field_declaration_list,
    STATE(7223), 1,
      sym_base_class_clause,
  [252326] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11091), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3305), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(11093), 1,
      aux_sym_preproc_if_token2,
    STATE(6602), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [252368] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11095), 1,
      anon_sym_DQUOTE,
    ACTIONS(11097), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11099), 1,
      sym_escape_sequence,
    STATE(6560), 1,
      aux_sym_string_literal_repeat1,
  [252384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11101), 1,
      anon_sym_EQ,
    STATE(5649), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252398] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11103), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [252414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11105), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9542), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11107), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11109), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11111), 1,
      anon_sym_SEMI,
    STATE(6599), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11113), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11115), 1,
      anon_sym_SEMI,
    STATE(6572), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(10700), 1,
      aux_sym_preproc_if_token2,
    STATE(6606), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
  [252556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(11117), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [252572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11119), 1,
      anon_sym_GT2,
    STATE(6776), 1,
      aux_sym_template_argument_list_repeat1,
  [252588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6039), 1,
      anon_sym_LT,
    ACTIONS(11121), 1,
      anon_sym_SEMI,
    STATE(1549), 1,
      sym_template_argument_list,
  [252604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(2324), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4666), 1,
      sym_field_declaration_list,
    STATE(7264), 1,
      sym_base_class_clause,
  [252634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(6779), 1,
      sym_compound_statement,
    STATE(7189), 1,
      sym_field_initializer_list,
  [252650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11123), 1,
      anon_sym_SEMI,
    STATE(6574), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11125), 1,
      anon_sym_GT2,
    STATE(6676), 1,
      aux_sym_template_argument_list_repeat1,
  [252680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    ACTIONS(11127), 1,
      anon_sym_LBRACE,
    STATE(5623), 1,
      sym_requirement_seq,
    STATE(7301), 1,
      sym_requires_parameter_list,
  [252710] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11129), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [252726] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11131), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(768), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [252756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(7286), 1,
      sym_base_class_clause,
  [252772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11133), 1,
      anon_sym_GT2,
    STATE(6822), 1,
      aux_sym_template_argument_list_repeat1,
  [252788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(6362), 1,
      sym_template_parameter_list,
  [252804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym_field_declaration_list,
    STATE(7333), 1,
      sym_base_class_clause,
  [252820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9542), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252834] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11135), 1,
      anon_sym_DQUOTE,
    ACTIONS(11137), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11139), 1,
      sym_escape_sequence,
    STATE(6637), 1,
      aux_sym_string_literal_repeat1,
  [252850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11141), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2916), 1,
      sym_field_declaration_list,
    STATE(7355), 1,
      sym_base_class_clause,
  [252880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11143), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9743), 1,
      sym_identifier,
    ACTIONS(11145), 1,
      aux_sym_preproc_if_token2,
    STATE(6190), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [252908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    STATE(1878), 1,
      sym_field_declaration_list,
    STATE(7199), 1,
      sym_base_class_clause,
  [252924] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11147), 1,
      anon_sym_DQUOTE,
    ACTIONS(11149), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11151), 1,
      sym_escape_sequence,
    STATE(6590), 1,
      aux_sym_string_literal_repeat1,
  [252940] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11153), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11155), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 1,
      sym_identifier,
    ACTIONS(11158), 1,
      aux_sym_preproc_if_token2,
    STATE(6185), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7793), 1,
      sym_enumerator,
  [252970] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(11160), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11162), 1,
      sym_preproc_arg,
    STATE(7154), 1,
      sym_preproc_params,
  [252986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11164), 1,
      anon_sym___except,
    ACTIONS(11166), 1,
      anon_sym___finally,
    STATE(470), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [253000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym___except,
    ACTIONS(11170), 1,
      anon_sym___finally,
    STATE(821), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [253014] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11172), 1,
      anon_sym_DQUOTE,
    ACTIONS(11174), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11177), 1,
      sym_escape_sequence,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [253030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11180), 1,
      anon_sym_SEMI,
    STATE(6392), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10820), 1,
      anon_sym_COMMA,
    STATE(6435), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11182), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11184), 1,
      anon_sym_SEMI,
    STATE(6552), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_LBRACE,
    STATE(3218), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(6759), 1,
      sym_compound_statement,
    STATE(7128), 1,
      sym_field_initializer_list,
  [253102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(3667), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    ACTIONS(6245), 1,
      anon_sym_LPAREN2,
    STATE(3440), 1,
      sym_initializer_list,
    STATE(3467), 1,
      sym_argument_list,
  [253132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
    STATE(3274), 1,
      sym_initializer_list,
    STATE(3276), 1,
      sym_argument_list,
  [253148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(776), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [253164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(5046), 1,
      anon_sym_LPAREN2,
    STATE(2383), 1,
      sym_argument_list,
    STATE(3712), 1,
      sym_initializer_list,
  [253180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11186), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11188), 1,
      anon_sym_LBRACE,
    STATE(6935), 1,
      aux_sym_base_class_clause_repeat1,
  [253196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11190), 1,
      anon_sym_GT2,
    STATE(6652), 1,
      aux_sym_template_argument_list_repeat1,
  [253212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    ACTIONS(11192), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_requirement_seq,
    STATE(7178), 1,
      sym_requires_parameter_list,
  [253228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      anon_sym_SEMI,
    ACTIONS(11196), 1,
      anon_sym_DASH_GT,
    ACTIONS(11198), 1,
      anon_sym_noexcept,
    STATE(7864), 1,
      sym_trailing_return_type,
  [253244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11200), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9556), 1,
      anon_sym_LBRACE,
    STATE(5391), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11202), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11204), 1,
      anon_sym_LBRACE,
    STATE(6748), 1,
      aux_sym_base_class_clause_repeat1,
  [253288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(6802), 1,
      sym_compound_statement,
    STATE(7054), 1,
      sym_field_initializer_list,
  [253304] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_DQUOTE,
    ACTIONS(11208), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11210), 1,
      sym_escape_sequence,
    STATE(6559), 1,
      aux_sym_string_literal_repeat1,
  [253320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11212), 1,
      anon_sym_GT2,
    STATE(6699), 1,
      aux_sym_template_argument_list_repeat1,
  [253336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    STATE(6502), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11214), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2725), 1,
      sym_field_declaration_list,
    STATE(7337), 1,
      sym_base_class_clause,
  [253366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(770), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [253382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    STATE(3432), 1,
      sym_requirement_seq,
    STATE(7217), 1,
      sym_requires_parameter_list,
  [253398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11216), 1,
      anon_sym_SEMI,
    STATE(4222), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_COLON,
    STATE(7005), 1,
      sym_compound_statement,
    STATE(7096), 1,
      sym_field_initializer_list,
  [253428] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    ACTIONS(11218), 1,
      anon_sym_DQUOTE,
    STATE(6610), 1,
      aux_sym_string_literal_repeat1,
  [253444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9558), 1,
      anon_sym_LBRACE,
    STATE(4073), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9556), 1,
      anon_sym_LBRACE,
    STATE(5446), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253472] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11220), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253486] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_LPAREN,
    ACTIONS(11222), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11224), 1,
      sym_preproc_arg,
    STATE(7138), 1,
      sym_preproc_params,
  [253502] = 5,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_DQUOTE,
    ACTIONS(11228), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11230), 1,
      sym_escape_sequence,
    STATE(6541), 1,
      aux_sym_string_literal_repeat1,
  [253518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11232), 1,
      anon_sym_SEMI,
    STATE(6625), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(10776), 1,
      anon_sym_LPAREN2,
    STATE(4093), 1,
      sym_requirement_seq,
    STATE(7380), 1,
      sym_requires_parameter_list,
  [253548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(773), 1,
      sym_template_parameter_list,
    STATE(2228), 1,
      sym_template_type,
  [253564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9556), 1,
      anon_sym_LBRACE,
    STATE(5348), 1,
      sym_compound_statement,
    ACTIONS(9596), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2733), 1,
      sym_field_declaration_list,
    STATE(7350), 1,
      sym_base_class_clause,
  [253594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      anon_sym___attribute__,
    ACTIONS(11234), 1,
      anon_sym_SEMI,
    STATE(6635), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253608] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11236), 1,
      anon_sym_SQUOTE,
    STATE(6605), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10877), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11238), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [253635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11240), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [253644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11242), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [253657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11244), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [253668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_RPAREN,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    STATE(6991), 1,
      sym_gnu_asm_output_operand_list,
  [253681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_RPAREN,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    STATE(6977), 1,
      sym_gnu_asm_input_operand_list,
  [253694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11256), 1,
      anon_sym_SEMI,
    STATE(6734), 1,
      aux_sym_declaration_repeat1,
  [253707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COMMA,
    ACTIONS(11260), 1,
      anon_sym_GT2,
    STATE(7016), 1,
      aux_sym_template_parameter_list_repeat1,
  [253720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11262), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [253733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11264), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [253742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11264), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [253751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11268), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6675), 1,
      aux_sym_attribute_declaration_repeat1,
  [253764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11270), 1,
      anon_sym_RPAREN,
    STATE(6829), 1,
      sym_gnu_asm_input_operand_list,
  [253777] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11272), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11274), 1,
      anon_sym_LPAREN2,
    STATE(8136), 1,
      sym_preproc_argument_list,
  [253790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_default,
    ACTIONS(11278), 1,
      anon_sym_delete,
    ACTIONS(11280), 1,
      anon_sym_0,
  [253803] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6548), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11282), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_catch,
    STATE(1821), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11286), 1,
      anon_sym_RPAREN,
    STATE(6694), 1,
      sym_gnu_asm_output_operand_list,
  [253838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11288), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [253851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11290), 1,
      anon_sym_SEMI,
    STATE(6691), 1,
      aux_sym_declaration_repeat1,
  [253864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11292), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_template_function,
  [253877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    ACTIONS(11296), 1,
      anon_sym_constexpr,
    STATE(189), 1,
      sym_condition_clause,
  [253890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8074), 1,
      anon_sym_RBRACK,
    ACTIONS(11298), 1,
      anon_sym_COMMA,
    STATE(6672), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [253903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11303), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_parameter_list_repeat1,
  [253916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11305), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [253929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11307), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [253942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11309), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [253955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11311), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [253968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_catch,
    STATE(382), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11315), 1,
      anon_sym_COMMA,
    ACTIONS(11317), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      aux_sym_preproc_params_repeat1,
  [253992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11319), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11321), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11323), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11325), 1,
      anon_sym_RPAREN,
    STATE(6937), 1,
      sym_gnu_asm_output_operand_list,
  [254044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11327), 1,
      anon_sym_GT2,
    STATE(6700), 1,
      aux_sym_template_argument_list_repeat1,
  [254057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11329), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [254070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11331), 1,
      anon_sym_RPAREN,
    STATE(6936), 1,
      sym_gnu_asm_input_operand_list,
  [254083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    ACTIONS(11333), 1,
      anon_sym_constexpr,
    STATE(137), 1,
      sym_condition_clause,
  [254096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11335), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11337), 1,
      anon_sym_SEMI,
    STATE(6704), 1,
      aux_sym_declaration_repeat1,
  [254122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11339), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11341), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11343), 1,
      anon_sym_GT2,
    STATE(7018), 1,
      aux_sym_template_argument_list_repeat1,
  [254161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11021), 1,
      anon_sym_LBRACE,
    STATE(6952), 1,
      aux_sym_base_class_clause_repeat1,
  [254174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
    STATE(6701), 1,
      sym_gnu_asm_input_operand_list,
  [254187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11347), 1,
      sym_identifier,
    ACTIONS(11349), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [254198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11351), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [254211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11353), 1,
      anon_sym_RPAREN,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    STATE(7454), 1,
      sym_gnu_asm_goto_list,
  [254224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11357), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11359), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11361), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11363), 1,
      anon_sym_RPAREN,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    STATE(6712), 1,
      sym_gnu_asm_clobber_list,
  [254276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    STATE(6794), 1,
      aux_sym_argument_list_repeat1,
  [254289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    ACTIONS(11367), 1,
      anon_sym_constexpr,
    STATE(146), 1,
      sym_condition_clause,
  [254302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11369), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11371), 1,
      anon_sym_RPAREN,
    STATE(6725), 1,
      sym_gnu_asm_clobber_list,
  [254328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(553), 1,
      sym_declaration_list,
  [254341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11373), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_RPAREN,
    STATE(7048), 1,
      aux_sym_requires_parameter_list_repeat1,
  [254354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11377), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_parameter_list_repeat1,
  [254367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7991), 1,
      anon_sym_COMMA,
    ACTIONS(7993), 1,
      anon_sym_RBRACE,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [254380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_RBRACE,
    ACTIONS(11379), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [254393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [254406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11381), 1,
      anon_sym_RPAREN,
    STATE(7455), 1,
      sym_gnu_asm_goto_list,
  [254419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(11383), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [254432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_catch,
    STATE(302), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11385), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11387), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6997), 1,
      aux_sym_attribute_declaration_repeat1,
  [254469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11389), 1,
      anon_sym_COMMA,
    ACTIONS(11392), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11394), 1,
      anon_sym_RPAREN,
    STATE(6819), 1,
      sym_gnu_asm_output_operand_list,
  [254495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11396), 1,
      anon_sym_GT2,
    STATE(6825), 1,
      aux_sym_template_argument_list_repeat1,
  [254508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11398), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_gnu_asm_goto_list,
  [254521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COMMA,
    ACTIONS(11400), 1,
      anon_sym_GT2,
    STATE(6657), 1,
      aux_sym_template_parameter_list_repeat1,
  [254534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11402), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    ACTIONS(11404), 1,
      anon_sym_constexpr,
    STATE(159), 1,
      sym_condition_clause,
  [254556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11406), 1,
      anon_sym_RPAREN,
    STATE(6720), 1,
      sym_gnu_asm_clobber_list,
  [254569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11408), 1,
      anon_sym_RPAREN,
    STATE(8129), 1,
      sym_gnu_asm_goto_list,
  [254582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(11410), 1,
      anon_sym_RBRACK,
    STATE(7003), 1,
      aux_sym_subscript_argument_list_repeat1,
  [254595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7744), 1,
      anon_sym_RBRACE,
    ACTIONS(7915), 1,
      anon_sym_COMMA,
    STATE(6768), 1,
      aux_sym_initializer_list_repeat1,
  [254608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11412), 1,
      anon_sym_RPAREN,
    STATE(6673), 1,
      aux_sym_parameter_list_repeat1,
  [254621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11414), 1,
      anon_sym_SEMI,
    STATE(6854), 1,
      aux_sym_declaration_repeat1,
  [254634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11416), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11418), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [254645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11420), 1,
      anon_sym_RPAREN,
    STATE(6724), 1,
      sym_gnu_asm_input_operand_list,
  [254658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11422), 1,
      anon_sym_RPAREN,
    STATE(6760), 1,
      sym_gnu_asm_output_operand_list,
  [254671] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6481), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11424), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [254682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11426), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11428), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [254708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_catch,
    STATE(1808), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11430), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    ACTIONS(11432), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [254745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11434), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [254754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11436), 1,
      anon_sym_COMMA,
    ACTIONS(11439), 1,
      anon_sym_RPAREN,
    STATE(6740), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [254767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11441), 1,
      anon_sym_COMMA,
    ACTIONS(11443), 1,
      anon_sym_LBRACE,
    STATE(7010), 1,
      aux_sym_field_initializer_list_repeat1,
  [254780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11445), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11447), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [254791] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_LPAREN2,
    ACTIONS(11449), 1,
      aux_sym_preproc_include_token2,
    STATE(8136), 1,
      sym_preproc_argument_list,
  [254804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(326), 1,
      sym_declaration_list,
  [254817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [254830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11453), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11455), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(3105), 1,
      sym_template_function,
  [254856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11021), 1,
      anon_sym_LBRACE,
    STATE(6960), 1,
      aux_sym_base_class_clause_repeat1,
  [254869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11457), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11459), 1,
      anon_sym_RPAREN,
    STATE(6858), 1,
      aux_sym_parameter_list_repeat1,
  [254895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11463), 1,
      anon_sym_RPAREN,
    ACTIONS(11461), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [254906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11465), 1,
      anon_sym_catch,
    STATE(586), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_catch,
    STATE(222), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11469), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [254941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7893), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [254954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11471), 1,
      anon_sym_RPAREN,
    STATE(6731), 1,
      sym_gnu_asm_output_operand_list,
  [254967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11473), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6843), 1,
      aux_sym_attribute_declaration_repeat1,
  [254980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(11475), 1,
      anon_sym_RBRACK,
    STATE(7003), 1,
      aux_sym_subscript_argument_list_repeat1,
  [254993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_catch,
    STATE(377), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11477), 1,
      anon_sym_RPAREN,
    STATE(6705), 1,
      sym_gnu_asm_input_operand_list,
  [255017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    ACTIONS(11479), 1,
      anon_sym_RPAREN,
    STATE(7035), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11481), 1,
      anon_sym_GT2,
    STATE(6777), 1,
      aux_sym_template_argument_list_repeat1,
  [255043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(11485), 1,
      anon_sym_RPAREN,
    STATE(6740), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [255056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    ACTIONS(11489), 1,
      anon_sym_constexpr,
    STATE(141), 1,
      sym_condition_clause,
  [255078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(717), 1,
      sym_declaration_list,
  [255100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym_RBRACE,
    ACTIONS(11493), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [255113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7902), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [255122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7955), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [255135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11495), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [255144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_COMMA,
    ACTIONS(11497), 1,
      anon_sym_RBRACK,
    STATE(6672), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [255157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(709), 1,
      sym_declaration_list,
  [255170] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6564), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11499), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11501), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11503), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11505), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_catch,
    STATE(341), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      anon_sym_catch,
    STATE(1817), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11511), 1,
      anon_sym_COMMA,
    ACTIONS(11514), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [255255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_COMMA,
    ACTIONS(11519), 1,
      anon_sym_RBRACK,
    STATE(6781), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [255268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(7987), 1,
      anon_sym_RBRACK,
    STATE(6758), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11521), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 1,
      anon_sym_COMMA,
    ACTIONS(11523), 1,
      anon_sym_RPAREN,
    STATE(6763), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [255307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11525), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_catch,
    STATE(221), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 1,
      anon_sym_COMMA,
    ACTIONS(11527), 1,
      anon_sym_RBRACK,
    STATE(6781), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [255344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11529), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11531), 1,
      anon_sym_RPAREN,
    STATE(6655), 1,
      sym_gnu_asm_output_operand_list,
  [255366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [255375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(11535), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [255388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [255397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [255410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7929), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [255423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11539), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11541), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11543), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6842), 1,
      aux_sym_attribute_declaration_repeat1,
  [255447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7943), 1,
      anon_sym_RPAREN,
    STATE(6808), 1,
      aux_sym_argument_list_repeat1,
  [255460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11545), 1,
      anon_sym_SEMI,
    STATE(6688), 1,
      aux_sym_declaration_repeat1,
  [255473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11547), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [255486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11549), 1,
      anon_sym_SEMI,
    STATE(6922), 1,
      aux_sym_declaration_repeat1,
  [255499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11551), 1,
      anon_sym_RPAREN,
    STATE(8025), 1,
      sym_gnu_asm_goto_list,
  [255512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_catch,
    STATE(1800), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11553), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(638), 1,
      sym_declaration_list,
  [255549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_RPAREN,
    ACTIONS(11555), 1,
      anon_sym_COMMA,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [255562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      anon_sym_RBRACE,
    ACTIONS(11560), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [255586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(8005), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [255599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11562), 1,
      anon_sym_COMMA,
    ACTIONS(11565), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [255612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11567), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11569), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11571), 1,
      anon_sym_SEMI,
    STATE(6737), 1,
      aux_sym_declaration_repeat1,
  [255651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7967), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [255660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11573), 1,
      sym_identifier,
    STATE(1628), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_template_function,
  [255673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11575), 1,
      anon_sym_catch,
    STATE(809), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11577), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11579), 1,
      anon_sym_LBRACE,
    STATE(6960), 1,
      aux_sym_base_class_clause_repeat1,
  [255710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11581), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [255723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11583), 1,
      anon_sym_RPAREN,
    STATE(6891), 1,
      sym_gnu_asm_input_operand_list,
  [255736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11585), 1,
      anon_sym_RPAREN,
    STATE(6893), 1,
      sym_gnu_asm_output_operand_list,
  [255749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11587), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11589), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11591), 1,
      anon_sym_default,
    ACTIONS(11593), 1,
      anon_sym_delete,
    ACTIONS(11595), 1,
      anon_sym_0,
  [255788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11597), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [255801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11601), 1,
      anon_sym_GT2,
    STATE(6746), 1,
      aux_sym_template_argument_list_repeat1,
  [255827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11603), 1,
      anon_sym_GT2,
    STATE(6837), 1,
      aux_sym_template_argument_list_repeat1,
  [255840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11605), 1,
      sym_identifier,
    STATE(1628), 1,
      sym_template_type,
    STATE(3105), 1,
      sym_template_function,
  [255853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11607), 1,
      anon_sym_RPAREN,
    STATE(6697), 1,
      sym_gnu_asm_clobber_list,
  [255866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_COMMA,
    ACTIONS(11609), 1,
      anon_sym_RBRACK,
    STATE(6672), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [255879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11611), 1,
      anon_sym_COMMA,
    ACTIONS(11614), 1,
      anon_sym_RPAREN,
    STATE(6831), 1,
      aux_sym_throw_specifier_repeat1,
  [255892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_GT2,
    STATE(6677), 1,
      aux_sym_template_argument_list_repeat1,
  [255905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
    STATE(6662), 1,
      sym_gnu_asm_output_operand_list,
  [255918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11620), 1,
      anon_sym_SEMI,
    STATE(6972), 1,
      aux_sym_declaration_repeat1,
  [255931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11622), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11626), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [255970] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_LPAREN2,
    ACTIONS(11628), 1,
      aux_sym_preproc_include_token2,
    STATE(8136), 1,
      sym_preproc_argument_list,
  [255983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11630), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [255996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11632), 1,
      anon_sym_RPAREN,
    STATE(8067), 1,
      sym_gnu_asm_goto_list,
  [256009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11634), 1,
      anon_sym_SEMI,
    STATE(6745), 1,
      aux_sym_declaration_repeat1,
  [256022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [256035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11638), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [256048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7904), 1,
      anon_sym_RBRACE,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [256061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11643), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6696), 1,
      aux_sym_attribute_declaration_repeat1,
  [256074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11645), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [256083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_GT2,
    STATE(6674), 1,
      aux_sym_template_argument_list_repeat1,
  [256096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11649), 1,
      anon_sym_RPAREN,
    STATE(6801), 1,
      sym_gnu_asm_clobber_list,
  [256109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_while,
    ACTIONS(11651), 1,
      anon_sym_else,
    STATE(518), 1,
      sym_else_clause,
  [256122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11653), 1,
      anon_sym_RPAREN,
    STATE(8015), 1,
      sym_gnu_asm_goto_list,
  [256135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7975), 1,
      anon_sym_RPAREN,
    STATE(6957), 1,
      aux_sym_argument_list_repeat1,
  [256148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(8013), 1,
      anon_sym_RPAREN,
    STATE(6770), 1,
      aux_sym_argument_list_repeat1,
  [256161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11655), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [256174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11657), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [256187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11659), 1,
      sym_identifier,
    STATE(1628), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_template_function,
  [256200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7871), 1,
      anon_sym_RPAREN,
    STATE(6958), 1,
      aux_sym_argument_list_repeat1,
  [256213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11661), 1,
      anon_sym_LBRACE,
    STATE(6817), 1,
      aux_sym_base_class_clause_repeat1,
  [256226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11663), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_parameter_list_repeat1,
  [256239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(631), 1,
      sym_declaration_list,
  [256252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11665), 1,
      anon_sym_GT2,
    STATE(6863), 1,
      aux_sym_template_argument_list_repeat1,
  [256265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11667), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11671), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11677), 1,
      anon_sym_RPAREN,
    STATE(6686), 1,
      sym_gnu_asm_output_operand_list,
  [256328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    ACTIONS(11679), 1,
      anon_sym_RPAREN,
    STATE(7035), 1,
      aux_sym_preproc_argument_list_repeat1,
  [256341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11661), 1,
      anon_sym_LBRACE,
    STATE(6960), 1,
      aux_sym_base_class_clause_repeat1,
  [256354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7949), 1,
      anon_sym_COMMA,
    ACTIONS(7951), 1,
      anon_sym_RBRACE,
    STATE(7025), 1,
      aux_sym_initializer_list_repeat1,
  [256367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11681), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(5888), 1,
      sym_template_function,
  [256380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      anon_sym_catch,
    STATE(1822), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11315), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_preproc_params_repeat1,
  [256404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11467), 1,
      anon_sym_catch,
    STATE(209), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_COMMA,
    ACTIONS(7867), 1,
      anon_sym_RBRACE,
    STATE(7031), 1,
      aux_sym_initializer_list_repeat1,
  [256428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7877), 1,
      anon_sym_COMMA,
    ACTIONS(7879), 1,
      anon_sym_RBRACE,
    STATE(6710), 1,
      aux_sym_initializer_list_repeat1,
  [256441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11685), 1,
      anon_sym_SEMI,
    STATE(6810), 1,
      aux_sym_declaration_repeat1,
  [256454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11687), 1,
      anon_sym_RPAREN,
    STATE(6708), 1,
      aux_sym_parameter_list_repeat1,
  [256467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11689), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [256480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_while,
    ACTIONS(11651), 1,
      anon_sym_else,
    STATE(509), 1,
      sym_else_clause,
  [256493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11691), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [256506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7927), 1,
      anon_sym_RPAREN,
    STATE(6711), 1,
      aux_sym_argument_list_repeat1,
  [256519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11693), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [256532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11695), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [256545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11697), 1,
      anon_sym_GT2,
    STATE(6886), 1,
      aux_sym_template_argument_list_repeat1,
  [256558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11699), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11701), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11703), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256597] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6640), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11705), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11707), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11709), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [256630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11711), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11713), 1,
      anon_sym_RPAREN,
    STATE(6896), 1,
      sym_gnu_asm_clobber_list,
  [256652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11715), 1,
      anon_sym_RPAREN,
    STATE(7044), 1,
      sym_gnu_asm_output_operand_list,
  [256665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11717), 1,
      anon_sym_RPAREN,
    STATE(6897), 1,
      sym_gnu_asm_input_operand_list,
  [256678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_catch,
    STATE(1607), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11721), 1,
      anon_sym_GT2,
    STATE(7040), 1,
      aux_sym_template_argument_list_repeat1,
  [256702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11723), 1,
      anon_sym_RPAREN,
    STATE(7858), 1,
      sym_gnu_asm_goto_list,
  [256715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11725), 1,
      anon_sym_RPAREN,
    STATE(6912), 1,
      sym_gnu_asm_clobber_list,
  [256728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 1,
      anon_sym_COMMA,
    ACTIONS(11727), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [256741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11729), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6853), 1,
      aux_sym_attribute_declaration_repeat1,
  [256754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11731), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [256763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11733), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_template_function,
  [256776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COMMA,
    ACTIONS(11735), 1,
      anon_sym_GT2,
    STATE(7036), 1,
      aux_sym_template_parameter_list_repeat1,
  [256789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11737), 1,
      anon_sym_RPAREN,
    STATE(6848), 1,
      sym_gnu_asm_input_operand_list,
  [256802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(7961), 1,
      anon_sym_RBRACK,
    STATE(6726), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11739), 1,
      anon_sym_GT2,
    STATE(6908), 1,
      aux_sym_template_argument_list_repeat1,
  [256828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11741), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11743), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11745), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [256867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11196), 1,
      anon_sym_DASH_GT,
    ACTIONS(11747), 1,
      anon_sym_SEMI,
    STATE(7934), 1,
      sym_trailing_return_type,
  [256880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      anon_sym_EQ,
    ACTIONS(7009), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [256891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11749), 1,
      anon_sym_RPAREN,
    STATE(6850), 1,
      sym_gnu_asm_clobber_list,
  [256904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11751), 1,
      anon_sym_RPAREN,
    STATE(7852), 1,
      sym_gnu_asm_goto_list,
  [256917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11753), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6818), 1,
      aux_sym_attribute_declaration_repeat1,
  [256930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11755), 1,
      anon_sym_RPAREN,
    STATE(6840), 1,
      sym_gnu_asm_clobber_list,
  [256943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11757), 1,
      anon_sym_RPAREN,
    STATE(7923), 1,
      sym_gnu_asm_goto_list,
  [256956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_COMMA,
    ACTIONS(11761), 1,
      anon_sym_RPAREN,
    STATE(6831), 1,
      aux_sym_throw_specifier_repeat1,
  [256969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11763), 1,
      anon_sym_default,
    ACTIONS(11765), 1,
      anon_sym_delete,
    ACTIONS(11767), 1,
      anon_sym_0,
  [256982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11769), 1,
      anon_sym_SEMI,
    STATE(6803), 1,
      aux_sym_declaration_repeat1,
  [256995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11771), 1,
      anon_sym_RPAREN,
    STATE(7037), 1,
      sym_gnu_asm_output_operand_list,
  [257008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11773), 1,
      anon_sym_SEMI,
    STATE(7015), 1,
      aux_sym_declaration_repeat1,
  [257021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11775), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [257034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11777), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [257047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11779), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(3344), 1,
      sym_template_function,
  [257060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11781), 1,
      anon_sym_GT2,
    STATE(7019), 1,
      aux_sym_template_argument_list_repeat1,
  [257073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11783), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [257086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11785), 1,
      anon_sym_RPAREN,
    STATE(7013), 1,
      aux_sym_parameter_list_repeat1,
  [257099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11787), 1,
      anon_sym_GT2,
    STATE(6930), 1,
      aux_sym_template_argument_list_repeat1,
  [257112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11791), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11793), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257151] = 4,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_LPAREN2,
    ACTIONS(11795), 1,
      aux_sym_preproc_include_token2,
    STATE(8136), 1,
      sym_preproc_argument_list,
  [257164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11797), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11799), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11465), 1,
      anon_sym_catch,
    STATE(540), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11000), 1,
      anon_sym_LBRACE,
    STATE(6867), 1,
      aux_sym_base_class_clause_repeat1,
  [257199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11000), 1,
      anon_sym_LBRACE,
    STATE(6960), 1,
      aux_sym_base_class_clause_repeat1,
  [257212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11801), 1,
      anon_sym_RPAREN,
    STATE(7028), 1,
      sym_gnu_asm_clobber_list,
  [257225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11803), 1,
      anon_sym_RPAREN,
    STATE(7033), 1,
      sym_gnu_asm_input_operand_list,
  [257238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_template_function,
  [257251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 1,
      anon_sym_SEMI,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1606), 1,
      sym_template_argument_list,
  [257264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11441), 1,
      anon_sym_COMMA,
    ACTIONS(11807), 1,
      anon_sym_LBRACE,
    STATE(6741), 1,
      aux_sym_field_initializer_list_repeat1,
  [257277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11373), 1,
      anon_sym_COMMA,
    ACTIONS(11809), 1,
      anon_sym_RPAREN,
    STATE(6707), 1,
      aux_sym_requires_parameter_list_repeat1,
  [257290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [257303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_catch,
    STATE(384), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11813), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [257327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11815), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [257340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(7875), 1,
      anon_sym_RBRACK,
    STATE(7009), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11817), 1,
      anon_sym_GT2,
    STATE(6950), 1,
      aux_sym_template_argument_list_repeat1,
  [257366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11819), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11821), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11823), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11188), 1,
      anon_sym_LBRACE,
    STATE(6935), 1,
      aux_sym_base_class_clause_repeat1,
  [257418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11188), 1,
      anon_sym_LBRACE,
    STATE(6960), 1,
      aux_sym_base_class_clause_repeat1,
  [257431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(11825), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [257444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      anon_sym_SEMI,
    STATE(6783), 1,
      aux_sym_declaration_repeat1,
  [257457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11829), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11831), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11833), 1,
      anon_sym_SEMI,
    STATE(6650), 1,
      aux_sym_declaration_repeat1,
  [257481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7917), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [257494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7953), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [257507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11835), 1,
      anon_sym_RPAREN,
    STATE(7807), 1,
      sym_gnu_asm_goto_list,
  [257520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11831), 1,
      anon_sym_LBRACE,
    ACTIONS(11837), 1,
      anon_sym_COMMA,
    STATE(6960), 1,
      aux_sym_base_class_clause_repeat1,
  [257533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(11840), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [257546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11842), 1,
      anon_sym_RPAREN,
    STATE(7789), 1,
      sym_gnu_asm_goto_list,
  [257559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11844), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [257572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11846), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_template_function,
  [257585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_RPAREN,
    STATE(7035), 1,
      aux_sym_preproc_argument_list_repeat1,
  [257598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_RPAREN,
    ACTIONS(11850), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [257609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11854), 1,
      anon_sym_GT2,
    STATE(6970), 1,
      aux_sym_template_argument_list_repeat1,
  [257622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11856), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11858), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11860), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11862), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [257674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11864), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [257687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11866), 1,
      anon_sym_COMMA,
    ACTIONS(11869), 1,
      anon_sym_RPAREN,
    STATE(6973), 1,
      aux_sym_preproc_params_repeat1,
  [257700] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6458), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11871), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11873), 1,
      anon_sym_SEMI,
    STATE(6715), 1,
      aux_sym_declaration_repeat1,
  [257724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(11875), 1,
      anon_sym_RPAREN,
    STATE(6780), 1,
      aux_sym_generic_expression_repeat1,
  [257737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11877), 1,
      anon_sym_RPAREN,
    STATE(6915), 1,
      sym_gnu_asm_clobber_list,
  [257750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11879), 1,
      anon_sym_RPAREN,
    STATE(6962), 1,
      sym_gnu_asm_clobber_list,
  [257763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(7786), 1,
      sym_gnu_asm_goto_list,
  [257776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [257785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11883), 1,
      anon_sym_RPAREN,
    STATE(6978), 1,
      sym_gnu_asm_input_operand_list,
  [257798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11885), 1,
      anon_sym_RPAREN,
    STATE(6979), 1,
      sym_gnu_asm_clobber_list,
  [257811] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6517), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11887), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11889), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [257835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      anon_sym_catch,
    STATE(1802), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257846] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6533), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11891), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11893), 1,
      anon_sym_GT2,
    STATE(6990), 1,
      aux_sym_template_argument_list_repeat1,
  [257870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11895), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11897), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11899), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [257909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(11901), 1,
      anon_sym_RPAREN,
    STATE(6914), 1,
      sym_gnu_asm_input_operand_list,
  [257922] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6561), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11903), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11465), 1,
      anon_sym_catch,
    STATE(283), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11905), 1,
      anon_sym_default,
    ACTIONS(11907), 1,
      anon_sym_delete,
    ACTIONS(11909), 1,
      anon_sym_0,
  [257957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(11911), 1,
      anon_sym_RPAREN,
    STATE(6805), 1,
      aux_sym_argument_list_repeat1,
  [257970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11913), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(3344), 1,
      sym_template_function,
  [257983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(11915), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6809), 1,
      aux_sym_attribute_declaration_repeat1,
  [257996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_catch,
    STATE(1602), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10740), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11917), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [258018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11919), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_template_function,
  [258031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7869), 1,
      anon_sym_COMMA,
    ACTIONS(7997), 1,
      anon_sym_RPAREN,
    STATE(6755), 1,
      aux_sym_argument_list_repeat1,
  [258044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11921), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [258057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_RBRACK,
    ACTIONS(11923), 1,
      anon_sym_COMMA,
    STATE(7003), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_COMMA,
    ACTIONS(11929), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_catch,
    STATE(1603), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258094] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6591), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11931), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11933), 1,
      anon_sym_EQ,
    ACTIONS(10457), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [258116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7939), 1,
      anon_sym_COMMA,
    ACTIONS(7941), 1,
      anon_sym_RBRACE,
    STATE(6738), 1,
      aux_sym_initializer_list_repeat1,
  [258129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_COMMA,
    ACTIONS(11935), 1,
      anon_sym_RBRACK,
    STATE(7003), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11937), 1,
      anon_sym_COMMA,
    ACTIONS(11940), 1,
      anon_sym_LBRACE,
    STATE(7010), 1,
      aux_sym_field_initializer_list_repeat1,
  [258155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11942), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [258164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_catch,
    STATE(381), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11301), 1,
      anon_sym_COMMA,
    ACTIONS(11944), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_parameter_list_repeat1,
  [258188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [258197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(11948), 1,
      anon_sym_SEMI,
    STATE(6717), 1,
      aux_sym_declaration_repeat1,
  [258210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11950), 1,
      anon_sym_COMMA,
    ACTIONS(11953), 1,
      anon_sym_GT2,
    STATE(7016), 1,
      aux_sym_template_parameter_list_repeat1,
  [258223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    ACTIONS(11955), 1,
      anon_sym_constexpr,
    STATE(147), 1,
      sym_condition_clause,
  [258236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11957), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11959), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11961), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_template_function,
  [258275] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6506), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11963), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258286] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6492), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11965), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(615), 1,
      sym_declaration_list,
  [258310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11967), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_RBRACE,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [258336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(11971), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11973), 1,
      anon_sym_default,
    ACTIONS(11975), 1,
      anon_sym_delete,
    ACTIONS(11977), 1,
      anon_sym_0,
  [258362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    ACTIONS(11979), 1,
      anon_sym_RPAREN,
    STATE(7785), 1,
      sym_gnu_asm_goto_list,
  [258375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11981), 1,
      anon_sym_default,
    ACTIONS(11983), 1,
      anon_sym_delete,
    ACTIONS(11985), 1,
      anon_sym_0,
  [258388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11987), 1,
      anon_sym_default,
    ACTIONS(11989), 1,
      anon_sym_delete,
    ACTIONS(11991), 1,
      anon_sym_0,
  [258401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    ACTIONS(11993), 1,
      anon_sym_COMMA,
    STATE(6844), 1,
      aux_sym_initializer_list_repeat1,
  [258414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(11995), 1,
      anon_sym_RPAREN,
    STATE(6981), 1,
      sym_gnu_asm_output_operand_list,
  [258427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11365), 1,
      anon_sym_COLON,
    ACTIONS(11997), 1,
      anon_sym_RPAREN,
    STATE(6959), 1,
      sym_gnu_asm_clobber_list,
  [258440] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    STATE(6649), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11999), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9245), 1,
      anon_sym_RPAREN,
    ACTIONS(12001), 1,
      anon_sym_COMMA,
    STATE(7035), 1,
      aux_sym_preproc_argument_list_repeat1,
  [258464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COMMA,
    ACTIONS(12004), 1,
      anon_sym_GT2,
    STATE(7016), 1,
      aux_sym_template_parameter_list_repeat1,
  [258477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(12006), 1,
      anon_sym_RPAREN,
    STATE(6982), 1,
      sym_gnu_asm_input_operand_list,
  [258490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6881), 1,
      aux_sym_attribute_declaration_repeat1,
  [258503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    STATE(330), 1,
      sym_declaration_list,
  [258516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(12010), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(12012), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7827), 1,
      anon_sym_COMMA,
    ACTIONS(12014), 1,
      anon_sym_GT2,
    STATE(7004), 1,
      aux_sym_template_argument_list_repeat1,
  [258555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11250), 1,
      anon_sym_COLON,
    ACTIONS(12016), 1,
      anon_sym_RPAREN,
    STATE(6903), 1,
      sym_gnu_asm_output_operand_list,
  [258568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    ACTIONS(12018), 1,
      anon_sym_RPAREN,
    STATE(6911), 1,
      sym_gnu_asm_input_operand_list,
  [258581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_COMMA,
    ACTIONS(12020), 1,
      anon_sym_RPAREN,
    STATE(6916), 1,
      aux_sym_throw_specifier_repeat1,
  [258594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_COMMA,
    ACTIONS(12022), 1,
      anon_sym_SEMI,
    STATE(6942), 1,
      aux_sym_declaration_repeat1,
  [258607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12024), 1,
      anon_sym_COMMA,
    ACTIONS(12027), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_parameter_list_repeat1,
  [258620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12029), 1,
      anon_sym_COMMA,
    ACTIONS(12032), 1,
      anon_sym_RPAREN,
    STATE(7048), 1,
      aux_sym_requires_parameter_list_repeat1,
  [258633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(7273), 1,
      sym_condition_clause,
  [258643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2977), 1,
      sym_field_declaration_list,
  [258661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6661), 1,
      sym_attribute,
  [258671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12027), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [258679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6736), 1,
      sym_compound_statement,
  [258689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12036), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [258697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(167), 1,
      sym_condition_clause,
  [258707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7663), 1,
      sym_argument_list,
  [258717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7299), 1,
      sym_parameter_list,
  [258727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8789), 1,
      anon_sym_LBRACE,
    STATE(3237), 1,
      sym_requirement_seq,
  [258737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6421), 1,
      sym_compound_statement,
  [258747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(2253), 1,
      sym_field_declaration_list,
  [258757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2912), 1,
      sym_field_declaration_list,
  [258767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_RBRACE,
  [258793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12042), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
  [258803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_compound_statement,
  [258813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12044), 1,
      anon_sym_SEMI,
  [258823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12046), 1,
      anon_sym_RBRACE,
  [258841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6666), 1,
      sym_compound_statement,
  [258859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_declaration_list,
  [258869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(8199), 1,
      sym_argument_list,
  [258887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12032), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [258895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(611), 1,
      sym_declaration_list,
  [258905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7913), 1,
      sym_argument_list,
  [258923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6778), 1,
      sym_compound_statement,
  [258933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_compound_statement,
  [258943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(844), 1,
      sym_compound_statement,
  [258969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_LT,
    STATE(1806), 1,
      sym_template_argument_list,
  [258979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2504), 1,
      sym_field_declaration_list,
  [258989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6894), 1,
      sym_compound_statement,
  [258999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6899), 1,
      sym_attribute,
  [259017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7335), 1,
      sym_parameter_list,
  [259027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(831), 1,
      sym_compound_statement,
  [259037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(136), 1,
      sym_condition_clause,
  [259047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11953), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7108), 1,
      sym_parenthesized_expression,
  [259065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    STATE(1679), 1,
      sym_compound_statement,
  [259075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6998), 1,
      sym_compound_statement,
  [259085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11940), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(815), 1,
      sym_compound_statement,
  [259103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6757), 1,
      sym_attribute,
  [259113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12054), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10033), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [259131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12056), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_compound_statement,
  [259149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7098), 1,
      sym_parameter_list,
  [259159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12058), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [259175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(8099), 1,
      sym_argument_list,
  [259185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(848), 1,
      sym_compound_statement,
  [259195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [259203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(246), 1,
      sym_compound_statement,
  [259213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7994), 1,
      sym_argument_list,
  [259223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7685), 1,
      sym_parenthesized_expression,
  [259233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_LT,
    STATE(3143), 1,
      sym_template_argument_list,
  [259243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5959), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7529), 1,
      sym_argument_list,
  [259261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6815), 1,
      sym_compound_statement,
  [259271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_compound_statement,
  [259289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7067), 1,
      sym_parameter_list,
  [259299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6796), 1,
      sym_attribute,
  [259309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11850), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [259317] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12064), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12066), 1,
      sym_preproc_arg,
  [259327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6396), 1,
      sym_compound_statement,
  [259337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
  [259347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_LBRACE,
    STATE(3595), 1,
      sym_initializer_list,
  [259357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10748), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
  [259367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7345), 1,
      sym_parenthesized_expression,
  [259377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6678), 1,
      sym_compound_statement,
  [259387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_declaration_list,
  [259397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2604), 1,
      sym_template_argument_list,
  [259407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2916), 1,
      sym_field_declaration_list,
  [259417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    STATE(2359), 1,
      sym_requirement_seq,
  [259427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7377), 1,
      sym_parameter_list,
  [259437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7012), 1,
      sym_compound_statement,
  [259447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7344), 1,
      sym_parameter_list,
  [259457] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12070), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12072), 1,
      sym_preproc_arg,
  [259467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7415), 1,
      sym_parenthesized_expression,
  [259477] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12074), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12076), 1,
      sym_preproc_arg,
  [259487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_LT,
    STATE(2242), 1,
      sym_template_argument_list,
  [259497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_compound_statement,
  [259507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_compound_statement,
  [259517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7557), 1,
      sym_argument_list,
  [259527] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12078), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12080), 1,
      sym_preproc_arg,
  [259537] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12082), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12084), 1,
      sym_preproc_arg,
  [259547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    STATE(4506), 1,
      sym_initializer_list,
  [259557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6752), 1,
      sym_compound_statement,
  [259567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11799), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_field_declaration_list,
  [259585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12086), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
  [259595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(285), 1,
      sym_compound_statement,
  [259605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7963), 1,
      anon_sym_RPAREN,
    ACTIONS(7965), 1,
      anon_sym_SEMI,
  [259615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12088), 1,
      sym_identifier,
    STATE(2628), 1,
      sym_template_type,
  [259625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7397), 1,
      sym_parenthesized_expression,
  [259635] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12090), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12092), 1,
      sym_preproc_arg,
  [259645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_LT,
    STATE(2444), 1,
      sym_template_argument_list,
  [259655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7141), 1,
      sym_parenthesized_expression,
  [259665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12094), 1,
      sym_identifier,
    STATE(1809), 1,
      sym_template_type,
  [259675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2607), 1,
      sym_field_declaration_list,
  [259685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2964), 1,
      sym_field_declaration_list,
  [259695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    STATE(2061), 1,
      sym_compound_statement,
  [259705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6609), 1,
      sym_compound_statement,
  [259715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym_LT,
    STATE(4400), 1,
      sym_template_argument_list,
  [259725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7576), 1,
      sym_argument_list,
  [259735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2962), 1,
      sym_field_declaration_list,
  [259745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6985), 1,
      sym_compound_statement,
  [259755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4564), 1,
      sym_field_declaration_list,
  [259765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(273), 1,
      sym_declaration_list,
  [259775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(7091), 1,
      sym_condition_clause,
  [259785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(7038), 1,
      sym_attribute,
  [259795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_compound_statement,
  [259805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(4961), 1,
      sym_field_declaration_list,
  [259815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
  [259825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_compound_statement,
  [259835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(2234), 1,
      sym_field_declaration_list,
  [259845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(2279), 1,
      sym_field_declaration_list,
  [259855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(4972), 1,
      sym_field_declaration_list,
  [259865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6473), 1,
      sym_compound_statement,
  [259875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11192), 1,
      anon_sym_LBRACE,
    STATE(1559), 1,
      sym_requirement_seq,
  [259885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(4969), 1,
      sym_field_declaration_list,
  [259895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10031), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [259905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [259915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_LT,
    STATE(3286), 1,
      sym_template_argument_list,
  [259925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym_field_declaration_list,
  [259935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      sym_compound_statement,
  [259945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7170), 1,
      sym_parenthesized_expression,
  [259955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2511), 1,
      sym_field_declaration_list,
  [259965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [259975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(4932), 1,
      sym_field_declaration_list,
  [259985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6870), 1,
      sym_compound_statement,
  [259995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12098), 1,
      sym_identifier,
    ACTIONS(12100), 1,
      anon_sym_LPAREN2,
  [260005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [260013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym_declaration_list,
  [260023] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12102), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12104), 1,
      sym_preproc_arg,
  [260033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11675), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(2604), 1,
      sym_template_argument_list,
  [260051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
  [260061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [260071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12106), 1,
      sym_identifier,
    STATE(3493), 1,
      sym_template_type,
  [260081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      sym_field_declaration_list,
  [260091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11558), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7904), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [260107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7222), 1,
      sym_parameter_list,
  [260117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      sym_identifier,
    ACTIONS(12110), 1,
      anon_sym_RPAREN,
  [260127] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12112), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12114), 1,
      sym_preproc_arg,
  [260137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [260145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4563), 1,
      sym_field_declaration_list,
  [260155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7974), 1,
      sym_parenthesized_expression,
  [260165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
  [260183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    STATE(1770), 1,
      sym_compound_statement,
  [260193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4553), 1,
      sym_field_declaration_list,
  [260203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3798), 1,
      sym_field_declaration_list,
  [260213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260221] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12116), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12118), 1,
      sym_preproc_arg,
  [260231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12120), 1,
      anon_sym_RBRACE,
  [260241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2242), 1,
      sym_template_argument_list,
  [260251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8781), 1,
      anon_sym_LBRACE,
    STATE(3375), 1,
      sym_requirement_seq,
  [260261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [260269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7804), 1,
      anon_sym_RBRACK,
    ACTIONS(12124), 1,
      anon_sym_COMMA,
  [260279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      anon_sym_SEMI,
  [260289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(7225), 1,
      sym_attribute,
  [260299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(396), 1,
      sym_compound_statement,
  [260309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3776), 1,
      sym_field_declaration_list,
  [260319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3772), 1,
      sym_field_declaration_list,
  [260329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11565), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [260337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9985), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [260347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      anon_sym_LT,
    STATE(2623), 1,
      sym_template_argument_list,
  [260357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_RBRACE,
  [260367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7233), 1,
      sym_parenthesized_expression,
  [260377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_compound_statement,
  [260387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [260395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(603), 1,
      sym_compound_statement,
  [260405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_compound_statement,
  [260415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_LBRACE,
    STATE(3777), 1,
      sym_field_declaration_list,
  [260425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    STATE(637), 1,
      sym_declaration_list,
  [260435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_LBRACE,
    STATE(2925), 1,
      sym_field_declaration_list,
  [260445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11541), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8821), 1,
      anon_sym_LBRACE,
    STATE(3203), 1,
      sym_requirement_seq,
  [260463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12130), 1,
      sym_identifier,
    STATE(4424), 1,
      sym_template_type,
  [260481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [260491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [260499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(173), 1,
      sym_condition_clause,
  [260509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(230), 1,
      sym_compound_statement,
  [260519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    STATE(3712), 1,
      sym_initializer_list,
  [260529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(579), 1,
      sym_declaration_list,
  [260539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(178), 1,
      sym_condition_clause,
  [260549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6608), 1,
      sym_compound_statement,
  [260559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_field_declaration_list,
  [260569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_LT,
    STATE(3234), 1,
      sym_template_argument_list,
  [260579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    STATE(2003), 1,
      sym_compound_statement,
  [260589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(8170), 1,
      sym_argument_list,
  [260599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    STATE(1909), 1,
      sym_field_declaration_list,
  [260609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12134), 1,
      anon_sym_LPAREN2,
    ACTIONS(12136), 1,
      sym_raw_string_delimiter,
  [260619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(2229), 1,
      sym_template_argument_list,
  [260629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12138), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
  [260639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(3684), 1,
      sym_field_declaration_list,
  [260649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12140), 1,
      sym_identifier,
    STATE(2208), 1,
      sym_template_type,
  [260659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12142), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260667] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12144), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12146), 1,
      sym_preproc_arg,
  [260677] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12148), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12150), 1,
      sym_preproc_arg,
  [260687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6714), 1,
      sym_compound_statement,
  [260697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(3694), 1,
      sym_field_declaration_list,
  [260707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4658), 1,
      sym_field_declaration_list,
  [260717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_declaration_list,
  [260727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_LBRACE,
    STATE(3440), 1,
      sym_initializer_list,
  [260737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(3723), 1,
      sym_field_declaration_list,
  [260747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12152), 1,
      anon_sym_RBRACE,
  [260757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(152), 1,
      sym_condition_clause,
  [260767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12154), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [260775] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12156), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12158), 1,
      sym_preproc_arg,
  [260785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12160), 1,
      anon_sym_RBRACE,
  [260795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_compound_statement,
  [260805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(150), 1,
      sym_condition_clause,
  [260815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_field_declaration_list,
  [260825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_compound_statement,
  [260835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(7294), 1,
      sym_condition_clause,
  [260845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    STATE(735), 1,
      sym_declaration_list,
  [260855] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12162), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12164), 1,
      sym_preproc_arg,
  [260865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(3743), 1,
      sym_field_declaration_list,
  [260875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12166), 1,
      anon_sym_RBRACE,
  [260885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12096), 1,
      anon_sym_LT,
    STATE(3343), 1,
      sym_template_argument_list,
  [260895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6845), 1,
      sym_attribute,
  [260905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8147), 1,
      anon_sym_LBRACE,
    STATE(4569), 1,
      sym_field_declaration_list,
  [260915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 1,
      anon_sym_LPAREN2,
    ACTIONS(12170), 1,
      sym_raw_string_delimiter,
  [260925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4669), 1,
      sym_field_declaration_list,
  [260935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4666), 1,
      sym_field_declaration_list,
  [260945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
  [260955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_compound_statement,
  [260965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 1,
      sym_identifier,
    STATE(1628), 1,
      sym_template_type,
  [260975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym_compound_statement,
  [260985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_LT,
    STATE(2229), 1,
      sym_template_argument_list,
  [260995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8805), 1,
      anon_sym_LBRACE,
    STATE(3682), 1,
      sym_requirement_seq,
  [261005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(466), 1,
      sym_compound_statement,
  [261015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [261025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12174), 1,
      sym_identifier,
    STATE(1628), 1,
      sym_template_type,
  [261035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12176), 1,
      anon_sym_LT,
    STATE(2505), 1,
      sym_template_argument_list,
  [261045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 1,
      sym_identifier,
    ACTIONS(12180), 1,
      anon_sym_LPAREN2,
  [261055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9781), 1,
      anon_sym_LBRACE,
    STATE(1643), 1,
      sym_compound_statement,
  [261065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12182), 1,
      sym_identifier,
    STATE(1628), 1,
      sym_template_type,
  [261075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      anon_sym_LBRACE,
    STATE(5618), 1,
      sym_requirement_seq,
  [261085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6993), 1,
      sym_compound_statement,
  [261095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(270), 1,
      sym_declaration_list,
  [261105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
    STATE(3274), 1,
      sym_initializer_list,
  [261123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5465), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
  [261133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_compound_statement,
  [261143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12186), 1,
      anon_sym_LT,
    STATE(2242), 1,
      sym_template_argument_list,
  [261153] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12188), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12190), 1,
      sym_preproc_arg,
  [261163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8273), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_field_declaration_list,
  [261173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_declaration_list,
  [261183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12192), 1,
      anon_sym_RBRACE,
  [261193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(157), 1,
      sym_condition_clause,
  [261203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12194), 1,
      sym_identifier,
    STATE(2509), 1,
      sym_template_type,
  [261213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(7370), 1,
      sym_condition_clause,
  [261223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7562), 1,
      sym_argument_list,
  [261233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7957), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_LBRACE,
    STATE(2697), 1,
      sym_field_declaration_list,
  [261251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9647), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6913), 1,
      sym_attribute,
  [261269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 1,
      anon_sym_LPAREN2,
    ACTIONS(12198), 1,
      sym_raw_string_delimiter,
  [261279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LT,
    STATE(1549), 1,
      sym_template_argument_list,
  [261289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    STATE(1871), 1,
      sym_field_declaration_list,
  [261299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7173), 1,
      sym_parenthesized_expression,
  [261309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_compound_statement,
  [261319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_LBRACE,
    STATE(1878), 1,
      sym_field_declaration_list,
  [261329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12200), 1,
      anon_sym_RBRACE,
  [261339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9961), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [261349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6753), 1,
      sym_compound_statement,
  [261359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(139), 1,
      sym_condition_clause,
  [261369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12202), 1,
      anon_sym_LPAREN2,
    ACTIONS(12204), 1,
      sym_raw_string_delimiter,
  [261379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_declaration_list,
  [261389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 1,
      anon_sym_LBRACE,
    STATE(2516), 1,
      sym_field_declaration_list,
  [261399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      anon_sym_LPAREN2,
    ACTIONS(12208), 1,
      sym_raw_string_delimiter,
  [261409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9908), 1,
      anon_sym_LBRACE,
    STATE(1894), 1,
      sym_compound_statement,
  [261419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_LPAREN2,
    STATE(7357), 1,
      sym_parameter_list,
  [261429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2714), 1,
      sym_field_declaration_list,
  [261439] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12210), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12212), 1,
      sym_preproc_arg,
  [261449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      anon_sym_RBRACE,
  [261459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12216), 1,
      anon_sym_LPAREN2,
    ACTIONS(12218), 1,
      sym_raw_string_delimiter,
  [261469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8344), 1,
      anon_sym_LT,
    STATE(1725), 1,
      sym_template_argument_list,
  [261479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11244), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [261487] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12220), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12222), 1,
      sym_preproc_arg,
  [261497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    STATE(1901), 1,
      sym_compound_statement,
  [261507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_compound_statement,
  [261517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12224), 1,
      anon_sym_LPAREN2,
    ACTIONS(12226), 1,
      sym_raw_string_delimiter,
  [261527] = 3,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12228), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12230), 1,
      sym_preproc_arg,
  [261537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(132), 1,
      sym_condition_clause,
  [261547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12232), 1,
      anon_sym_LPAREN2,
    ACTIONS(12234), 1,
      sym_raw_string_delimiter,
  [261557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2722), 1,
      sym_field_declaration_list,
  [261567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2725), 1,
      sym_field_declaration_list,
  [261577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12236), 1,
      anon_sym_LPAREN2,
    ACTIONS(12238), 1,
      sym_raw_string_delimiter,
  [261587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9944), 1,
      anon_sym_RBRACE,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [261597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12240), 1,
      anon_sym_LPAREN2,
    ACTIONS(12242), 1,
      sym_raw_string_delimiter,
  [261607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2899), 1,
      sym_field_declaration_list,
  [261617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12244), 1,
      anon_sym_LPAREN2,
    ACTIONS(12246), 1,
      sym_raw_string_delimiter,
  [261627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(226), 1,
      sym_compound_statement,
  [261637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym_identifier,
    STATE(6716), 1,
      sym_attribute,
  [261647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12248), 1,
      anon_sym_LPAREN2,
    ACTIONS(12250), 1,
      sym_raw_string_delimiter,
  [261657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12252), 1,
      anon_sym_LPAREN2,
    ACTIONS(12254), 1,
      sym_raw_string_delimiter,
  [261667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(7110), 1,
      sym_condition_clause,
  [261677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8360), 1,
      anon_sym_LT,
    STATE(2434), 1,
      sym_template_argument_list,
  [261687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(182), 1,
      sym_condition_clause,
  [261697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10990), 1,
      anon_sym_LBRACE,
    STATE(5465), 1,
      sym_requirement_seq,
  [261707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LBRACE,
    STATE(2350), 1,
      sym_initializer_list,
  [261717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_LPAREN2,
    ACTIONS(12258), 1,
      sym_raw_string_delimiter,
  [261727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6872), 1,
      sym_compound_statement,
  [261737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_LBRACE,
    STATE(2733), 1,
      sym_field_declaration_list,
  [261747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACE,
    STATE(2947), 1,
      sym_field_declaration_list,
  [261757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(407), 1,
      sym_compound_statement,
  [261767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(153), 1,
      sym_condition_clause,
  [261777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym_LPAREN2,
    ACTIONS(12262), 1,
      sym_raw_string_delimiter,
  [261787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12264), 1,
      anon_sym_LPAREN2,
    ACTIONS(12266), 1,
      sym_raw_string_delimiter,
  [261797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12268), 1,
      sym_identifier,
    STATE(2228), 1,
      sym_template_type,
  [261807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_LPAREN2,
    STATE(7447), 1,
      sym_parenthesized_expression,
  [261817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_LPAREN2,
    ACTIONS(12272), 1,
      sym_raw_string_delimiter,
  [261827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(395), 1,
      sym_compound_statement,
  [261837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12274), 1,
      anon_sym_SEMI,
  [261847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9807), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_compound_statement,
  [261857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    STATE(4100), 1,
      sym_requirement_seq,
  [261867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12276), 1,
      anon_sym_SEMI,
  [261877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7352), 1,
      anon_sym_LPAREN2,
    STATE(7767), 1,
      sym_argument_list,
  [261887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6431), 1,
      sym_compound_statement,
  [261897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12278), 1,
      sym_identifier,
    STATE(2629), 1,
      sym_template_type,
  [261907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11294), 1,
      anon_sym_LPAREN2,
    STATE(154), 1,
      sym_condition_clause,
  [261917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12280), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12282), 1,
      sym_identifier,
    STATE(2431), 1,
      sym_template_type,
  [261935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_DOT_DOT_DOT,
  [261942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12284), 1,
      anon_sym_LPAREN2,
  [261949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12286), 1,
      anon_sym_SEMI,
  [261956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12288), 1,
      anon_sym_RPAREN,
  [261963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12290), 1,
      sym_identifier,
  [261970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12292), 1,
      sym_identifier,
  [261977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12294), 1,
      sym_identifier,
  [261984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
  [261991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 1,
      sym_identifier,
  [261998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12298), 1,
      anon_sym_SEMI,
  [262005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12300), 1,
      anon_sym_DQUOTE,
  [262012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_LPAREN2,
  [262019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_SEMI,
  [262026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12304), 1,
      anon_sym_STAR,
  [262033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8133), 1,
      anon_sym_SEMI,
  [262040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12306), 1,
      anon_sym_RPAREN,
  [262047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12308), 1,
      anon_sym_RPAREN,
  [262054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12310), 1,
      anon_sym_SEMI,
  [262061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      sym_identifier,
  [262068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12314), 1,
      anon_sym_SEMI,
  [262075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8171), 1,
      anon_sym_SEMI,
  [262082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12316), 1,
      anon_sym_while,
  [262089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12318), 1,
      anon_sym_SEMI,
  [262096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12320), 1,
      anon_sym_LPAREN2,
  [262103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12322), 1,
      anon_sym_RPAREN,
  [262110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 1,
      anon_sym_SEMI,
  [262117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12326), 1,
      sym_identifier,
  [262124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12328), 1,
      anon_sym_SEMI,
  [262131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_RPAREN,
  [262138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12332), 1,
      anon_sym_RPAREN,
  [262145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      sym_identifier,
  [262152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12336), 1,
      anon_sym_SEMI,
  [262159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_SEMI,
  [262166] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11449), 1,
      aux_sym_preproc_include_token2,
  [262173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_RPAREN,
  [262180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12342), 1,
      anon_sym_RPAREN,
  [262187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12344), 1,
      anon_sym_SEMI,
  [262194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12346), 1,
      anon_sym_DQUOTE,
  [262201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym_LBRACE,
  [262208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_STAR,
  [262215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_COLON,
  [262222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12354), 1,
      anon_sym_SEMI,
  [262229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8121), 1,
      anon_sym_COLON,
  [262236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_RBRACE,
  [262243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12356), 1,
      anon_sym_STAR,
  [262250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12358), 1,
      anon_sym_SEMI,
  [262257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12360), 1,
      anon_sym_SEMI,
  [262264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12362), 1,
      anon_sym_SEMI,
  [262271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12364), 1,
      anon_sym_SEMI,
  [262278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_DOT_DOT_DOT,
  [262285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_DOT_DOT_DOT,
  [262292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT_DOT_DOT,
  [262299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4131), 1,
      anon_sym_DOT_DOT_DOT,
  [262306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12366), 1,
      sym_identifier,
  [262313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12368), 1,
      anon_sym_DQUOTE,
  [262320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_DOT_DOT_DOT,
  [262327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_DOT_DOT_DOT,
  [262334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_SEMI,
  [262341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 1,
      anon_sym_DOT_DOT_DOT,
  [262348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12372), 1,
      anon_sym_SEMI,
  [262355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_DOT_DOT_DOT,
  [262362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 1,
      anon_sym_RPAREN,
  [262369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12374), 1,
      anon_sym_SEMI,
  [262376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12376), 1,
      sym_raw_string_delimiter,
  [262383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4165), 1,
      anon_sym_DOT_DOT_DOT,
  [262390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_DOT_DOT_DOT,
  [262397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_RPAREN,
  [262404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_RPAREN,
  [262411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12382), 1,
      anon_sym_SEMI,
  [262418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12384), 1,
      anon_sym_SEMI,
  [262425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_DQUOTE,
  [262432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12388), 1,
      anon_sym_LPAREN2,
  [262439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12192), 1,
      anon_sym_RBRACE,
  [262446] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12390), 1,
      aux_sym_preproc_include_token2,
  [262453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_DOT_DOT_DOT,
  [262460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12392), 1,
      anon_sym_SEMI,
  [262467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      sym_identifier,
  [262474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7744), 1,
      anon_sym_RBRACE,
  [262481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8330), 1,
      anon_sym_RPAREN,
  [262488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_RPAREN,
  [262495] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12398), 1,
      aux_sym_preproc_include_token2,
  [262502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_RPAREN,
  [262509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_RPAREN,
  [262516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
  [262523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8143), 1,
      anon_sym_COLON,
  [262530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_RPAREN,
  [262537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_RPAREN,
  [262544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12410), 1,
      sym_identifier,
  [262551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      sym_auto,
  [262558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12414), 1,
      sym_identifier,
  [262565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12416), 1,
      sym_identifier,
  [262572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12418), 1,
      aux_sym_preproc_if_token2,
  [262579] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9113), 1,
      aux_sym_preproc_include_token2,
  [262586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_SEMI,
  [262593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12166), 1,
      anon_sym_RBRACE,
  [262600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8084), 1,
      anon_sym_SEMI,
  [262607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12422), 1,
      aux_sym_preproc_if_token2,
  [262614] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12424), 1,
      aux_sym_preproc_include_token2,
  [262621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8082), 1,
      anon_sym_SEMI,
  [262628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12426), 1,
      sym_identifier,
  [262635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12428), 1,
      anon_sym_SEMI,
  [262642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12430), 1,
      anon_sym_SEMI,
  [262649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8080), 1,
      anon_sym_COLON,
  [262656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_SEMI,
  [262663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_SEMI,
  [262670] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12436), 1,
      aux_sym_preproc_include_token2,
  [262677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_STAR,
  [262684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      aux_sym_preproc_if_token2,
  [262691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12442), 1,
      aux_sym_preproc_if_token2,
  [262698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6650), 1,
      sym_identifier,
  [262705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12444), 1,
      sym_auto,
  [262712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12446), 1,
      anon_sym_RPAREN,
  [262719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_RPAREN,
  [262726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_RPAREN,
  [262733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_RPAREN,
  [262740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12454), 1,
      sym_identifier,
  [262747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_SEMI,
  [262754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      aux_sym_preproc_if_token2,
  [262761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7965), 1,
      anon_sym_SEMI,
  [262768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_SEMI,
  [262775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12460), 1,
      sym_identifier,
  [262782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11117), 1,
      anon_sym_SEMI,
  [262789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 1,
      anon_sym_SEMI,
  [262796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_SEMI,
  [262803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_RPAREN,
  [262810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6956), 1,
      sym_identifier,
  [262817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 1,
      anon_sym_RBRACE,
  [262824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12468), 1,
      anon_sym_LPAREN2,
  [262831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10427), 1,
      anon_sym_SEMI,
  [262838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 1,
      anon_sym_RPAREN,
  [262845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_STAR,
  [262852] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12474), 1,
      aux_sym_preproc_include_token2,
  [262859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6456), 1,
      anon_sym_RPAREN,
  [262866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      aux_sym_preproc_if_token2,
  [262873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 1,
      sym_identifier,
  [262880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
  [262887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
  [262894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12484), 1,
      sym_identifier,
  [262901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10895), 1,
      anon_sym_SEMI,
  [262908] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12486), 1,
      aux_sym_preproc_include_token2,
  [262915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
  [262922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_RPAREN,
  [262929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_RPAREN,
  [262936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_RPAREN,
  [262943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12496), 1,
      anon_sym_RPAREN,
  [262950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7742), 1,
      anon_sym_SEMI,
  [262957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12498), 1,
      anon_sym_RPAREN,
  [262964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
  [262971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12500), 1,
      aux_sym_preproc_if_token2,
  [262978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      anon_sym_RBRACE,
  [262985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8181), 1,
      anon_sym_RPAREN,
  [262992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      sym_identifier,
  [262999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_RBRACE,
  [263006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      aux_sym_preproc_if_token2,
  [263013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_RBRACE,
  [263020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_RPAREN,
  [263027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12508), 1,
      sym_identifier,
  [263034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_SEMI,
  [263041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9971), 1,
      anon_sym_RBRACE,
  [263048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_raw_string_delimiter,
  [263055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
  [263062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10025), 1,
      anon_sym_RPAREN,
  [263069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 1,
      sym_raw_string_delimiter,
  [263076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10031), 1,
      anon_sym_RBRACE,
  [263083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
  [263090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7879), 1,
      anon_sym_RBRACE,
  [263097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8229), 1,
      anon_sym_RPAREN,
  [263104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12518), 1,
      anon_sym_RPAREN,
  [263111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12520), 1,
      anon_sym_RPAREN,
  [263118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_RPAREN,
  [263125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      sym_identifier,
  [263132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      anon_sym_RPAREN,
  [263139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12528), 1,
      anon_sym_RPAREN,
  [263146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_RPAREN,
  [263153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_STAR,
  [263160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12534), 1,
      sym_identifier,
  [263167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_RPAREN,
  [263174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12538), 1,
      sym_identifier,
  [263181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12540), 1,
      anon_sym_SEMI,
  [263188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12542), 1,
      sym_identifier,
  [263195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12544), 1,
      sym_identifier,
  [263202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12546), 1,
      anon_sym_STAR,
  [263209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
  [263216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12548), 1,
      sym_identifier,
  [263223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12550), 1,
      aux_sym_preproc_if_token2,
  [263230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8169), 1,
      anon_sym_COLON,
  [263237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12552), 1,
      anon_sym_STAR,
  [263244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12554), 1,
      anon_sym_RPAREN,
  [263251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12556), 1,
      anon_sym_RPAREN,
  [263258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12558), 1,
      anon_sym_RPAREN,
  [263265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12560), 1,
      anon_sym_RPAREN,
  [263272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12562), 1,
      anon_sym_RPAREN,
  [263279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_SEMI,
  [263286] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12566), 1,
      aux_sym_preproc_include_token2,
  [263293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10770), 1,
      anon_sym_SEMI,
  [263300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_STAR_EQ,
  [263307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12570), 1,
      anon_sym_LPAREN2,
  [263314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8145), 1,
      anon_sym_COLON,
  [263321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12572), 1,
      anon_sym_RPAREN,
  [263328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12574), 1,
      anon_sym_SEMI,
  [263335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12576), 1,
      anon_sym_SEMI,
  [263342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12578), 1,
      anon_sym_SEMI,
  [263349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12580), 1,
      anon_sym_SEMI,
  [263356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12582), 1,
      sym_identifier,
  [263363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12584), 1,
      anon_sym_SEMI,
  [263370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12586), 1,
      sym_auto,
  [263377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12588), 1,
      anon_sym_RPAREN,
  [263384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12590), 1,
      anon_sym_RPAREN,
  [263391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10758), 1,
      anon_sym_SEMI,
  [263398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_RPAREN,
  [263405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12594), 1,
      anon_sym_SEMI,
  [263412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12596), 1,
      anon_sym_COLON,
  [263419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12598), 1,
      anon_sym_SEMI,
  [263426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_LBRACE,
  [263433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_DASH_GT_STAR,
  [263440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_DOT_STAR,
  [263447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_not_eq,
  [263454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12602), 1,
      anon_sym_RPAREN,
  [263461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12604), 1,
      sym_identifier,
  [263468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12606), 1,
      aux_sym_preproc_if_token2,
  [263475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8051), 1,
      anon_sym_RPAREN,
  [263482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
  [263489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 1,
      sym_identifier,
  [263496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12608), 1,
      sym_raw_string_delimiter,
  [263503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8127), 1,
      anon_sym_RPAREN,
  [263510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12610), 1,
      sym_identifier,
  [263517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8157), 1,
      anon_sym_SEMI,
  [263524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10033), 1,
      anon_sym_RBRACE,
  [263531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12612), 1,
      anon_sym_SEMI,
  [263538] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12614), 1,
      aux_sym_preproc_include_token2,
  [263545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12616), 1,
      aux_sym_preproc_if_token2,
  [263552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10447), 1,
      anon_sym_SEMI,
  [263559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12618), 1,
      anon_sym_STAR,
  [263566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12620), 1,
      anon_sym_RPAREN,
  [263573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12622), 1,
      anon_sym_COLON,
  [263580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12624), 1,
      sym_identifier,
  [263587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12626), 1,
      anon_sym_RPAREN,
  [263594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12628), 1,
      sym_identifier,
  [263601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12630), 1,
      anon_sym_LPAREN2,
  [263608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12632), 1,
      sym_identifier,
  [263615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12634), 1,
      anon_sym_RPAREN,
  [263622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12636), 1,
      anon_sym_RPAREN,
  [263629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12638), 1,
      anon_sym_RPAREN,
  [263636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12640), 1,
      aux_sym_preproc_if_token2,
  [263643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_bitand,
  [263650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6832), 1,
      sym_identifier,
  [263657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_LPAREN2,
  [263664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_SEMI,
  [263671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12644), 1,
      sym_identifier,
  [263678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10670), 1,
      anon_sym_COLON,
  [263685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12646), 1,
      anon_sym_SEMI,
  [263692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 1,
      anon_sym_SEMI,
  [263699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      sym_identifier,
  [263706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12650), 1,
      anon_sym_SEMI,
  [263713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12652), 1,
      aux_sym_preproc_if_token2,
  [263720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_SEMI,
  [263727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12656), 1,
      sym_auto,
  [263734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12658), 1,
      sym_identifier,
  [263741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_RPAREN,
  [263748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_COLON,
  [263755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7941), 1,
      anon_sym_RBRACE,
  [263762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12662), 1,
      sym_identifier,
  [263769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12664), 1,
      sym_identifier,
  [263776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_xor,
  [263783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_bitor,
  [263790] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12666), 1,
      aux_sym_preproc_include_token2,
  [263797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
  [263804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12670), 1,
      sym_identifier,
  [263811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
  [263818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12672), 1,
      sym_identifier,
  [263825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 1,
      anon_sym_RPAREN,
  [263832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_SEMI,
  [263839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12676), 1,
      sym_raw_string_delimiter,
  [263846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12678), 1,
      sym_raw_string_delimiter,
  [263853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12680), 1,
      sym_identifier,
  [263860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
  [263867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_or,
  [263874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8249), 1,
      anon_sym_RPAREN,
  [263881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      anon_sym_COLON_COLON,
  [263888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_and,
  [263895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10441), 1,
      anon_sym_SEMI,
  [263902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_EQ,
  [263909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12686), 1,
      anon_sym_LPAREN2,
  [263916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      sym_raw_string_content,
  [263923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PIPE_EQ,
  [263930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12690), 1,
      anon_sym_LPAREN2,
  [263937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_CARET_EQ,
  [263944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12046), 1,
      anon_sym_RBRACE,
  [263951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12692), 1,
      anon_sym_COLON,
  [263958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12694), 1,
      anon_sym_LPAREN2,
  [263965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_AMP_EQ,
  [263972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12696), 1,
      anon_sym_SEMI,
  [263979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12040), 1,
      anon_sym_RBRACE,
  [263986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12698), 1,
      anon_sym_SEMI,
  [263993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_SEMI,
  [264000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_GT_GT_EQ,
  [264007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8076), 1,
      anon_sym_SEMI,
  [264014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12702), 1,
      anon_sym_SEMI,
  [264021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
  [264028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12706), 1,
      anon_sym_SEMI,
  [264035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_LT_LT_EQ,
  [264042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_DASH_EQ,
  [264049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12708), 1,
      anon_sym_RPAREN,
  [264056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_SEMI,
  [264063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PLUS_EQ,
  [264070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12712), 1,
      anon_sym_LPAREN2,
  [264077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12714), 1,
      sym_identifier,
  [264084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_RPAREN,
  [264091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PERCENT_EQ,
  [264098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      sym_raw_string_delimiter,
  [264105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
  [264112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12720), 1,
      anon_sym_DQUOTE,
  [264119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_SLASH_EQ,
  [264126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12722), 1,
      anon_sym_STAR,
  [264133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_SEMI,
  [264140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      anon_sym_DQUOTE,
  [264147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_LPAREN2,
  [264154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12730), 1,
      anon_sym_SEMI,
  [264161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_SEMI,
  [264168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 1,
      sym_identifier,
  [264175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12736), 1,
      anon_sym_RPAREN,
  [264182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12738), 1,
      anon_sym_DQUOTE,
  [264189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_SEMI,
  [264196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12742), 1,
      sym_raw_string_delimiter,
  [264203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12744), 1,
      aux_sym_preproc_if_token2,
  [264210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12746), 1,
      sym_identifier,
  [264217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12748), 1,
      sym_identifier,
  [264224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_RPAREN,
  [264231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12752), 1,
      anon_sym_LPAREN2,
  [264238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12754), 1,
      anon_sym_SEMI,
  [264245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_DQUOTE,
  [264252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12758), 1,
      anon_sym_RPAREN,
  [264259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12760), 1,
      sym_identifier,
  [264266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12762), 1,
      sym_raw_string_delimiter,
  [264273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      anon_sym_SEMI,
  [264280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
  [264287] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9117), 1,
      aux_sym_preproc_include_token2,
  [264294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_LPAREN2,
  [264301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 1,
      anon_sym_RPAREN,
  [264308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12772), 1,
      sym_raw_string_delimiter,
  [264315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12774), 1,
      anon_sym_DQUOTE,
  [264322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
  [264329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      sym_raw_string_delimiter,
  [264336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12780), 1,
      anon_sym_RPAREN,
  [264343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_RPAREN,
  [264350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 1,
      sym_raw_string_delimiter,
  [264357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
  [264364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12788), 1,
      sym_raw_string_delimiter,
  [264371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_RPAREN,
  [264378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12792), 1,
      sym_raw_string_delimiter,
  [264385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_RPAREN,
  [264392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12796), 1,
      sym_raw_string_delimiter,
  [264399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_RPAREN,
  [264406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12800), 1,
      sym_raw_string_delimiter,
  [264413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12802), 1,
      anon_sym_RPAREN,
  [264420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12804), 1,
      sym_raw_string_delimiter,
  [264427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12806), 1,
      anon_sym_LPAREN2,
  [264434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12808), 1,
      anon_sym_RPAREN,
  [264441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12810), 1,
      anon_sym_SEMI,
  [264448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12812), 1,
      anon_sym_LPAREN2,
  [264455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12814), 1,
      anon_sym_SEMI,
  [264462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12816), 1,
      anon_sym_LPAREN2,
  [264469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12818), 1,
      anon_sym_LPAREN2,
  [264476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12820), 1,
      anon_sym_LPAREN2,
  [264483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12822), 1,
      anon_sym_RPAREN,
  [264490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12824), 1,
      anon_sym_RPAREN,
  [264497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_LPAREN2,
  [264504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12828), 1,
      aux_sym_preproc_if_token2,
  [264511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12830), 1,
      anon_sym_LPAREN2,
  [264518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12832), 1,
      anon_sym_RPAREN,
  [264525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8275), 1,
      anon_sym_RPAREN,
  [264532] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12834), 1,
      aux_sym_preproc_include_token2,
  [264539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_RPAREN,
  [264546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_EQ,
  [264553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_RPAREN,
  [264560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_RPAREN,
  [264567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12840), 1,
      anon_sym_RPAREN,
  [264574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12842), 1,
      anon_sym_DQUOTE,
  [264581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12844), 1,
      aux_sym_preproc_if_token2,
  [264588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_RPAREN,
  [264595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12848), 1,
      anon_sym_RPAREN,
  [264602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      anon_sym_RPAREN,
  [264609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12852), 1,
      anon_sym_SEMI,
  [264616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12854), 1,
      anon_sym_while,
  [264623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12856), 1,
      aux_sym_preproc_if_token2,
  [264630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12858), 1,
      anon_sym_LPAREN2,
  [264637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      aux_sym_preproc_if_token2,
  [264644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12862), 1,
      aux_sym_preproc_if_token2,
  [264651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_DQUOTE,
  [264658] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12866), 1,
      aux_sym_preproc_include_token2,
  [264665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 1,
      anon_sym_SEMI,
  [264672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12870), 1,
      anon_sym_EQ,
  [264679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12872), 1,
      sym_raw_string_content,
  [264686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12874), 1,
      anon_sym_DQUOTE,
  [264693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12876), 1,
      anon_sym_SEMI,
  [264700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12878), 1,
      anon_sym_SEMI,
  [264707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12880), 1,
      anon_sym_STAR,
  [264714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12882), 1,
      anon_sym_RPAREN,
  [264721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12884), 1,
      anon_sym_RPAREN,
  [264728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12886), 1,
      anon_sym_RBRACE,
  [264735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12888), 1,
      aux_sym_preproc_if_token2,
  [264742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12890), 1,
      anon_sym_RPAREN,
  [264749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12892), 1,
      anon_sym_SEMI,
  [264756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12894), 1,
      sym_identifier,
  [264763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12896), 1,
      aux_sym_preproc_if_token2,
  [264770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_COMMA,
  [264777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12898), 1,
      sym_identifier,
  [264784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12900), 1,
      anon_sym_RPAREN,
  [264791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12902), 1,
      anon_sym_COMMA,
  [264798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12904), 1,
      anon_sym_SEMI,
  [264805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12906), 1,
      anon_sym_SEMI,
  [264812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12908), 1,
      aux_sym_preproc_if_token2,
  [264819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12910), 1,
      anon_sym_RBRACE,
  [264826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8137), 1,
      anon_sym_COLON,
  [264833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12912), 1,
      anon_sym_COLON,
  [264840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12914), 1,
      anon_sym_SEMI,
  [264847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_GT_GT,
  [264854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12916), 1,
      sym_identifier,
  [264861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12918), 1,
      aux_sym_preproc_if_token2,
  [264868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12920), 1,
      anon_sym_RPAREN,
  [264875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_LT_LT,
  [264882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12922), 1,
      aux_sym_preproc_if_token2,
  [264889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_DQUOTE,
  [264896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      aux_sym_preproc_if_token2,
  [264903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12928), 1,
      anon_sym_DQUOTE,
  [264910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      anon_sym_RPAREN,
  [264917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12932), 1,
      anon_sym_LBRACE,
  [264924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12934), 1,
      anon_sym_RPAREN,
  [264931] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12936), 1,
      aux_sym_preproc_include_token2,
  [264938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_STAR,
  [264945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12940), 1,
      anon_sym_COLON,
  [264952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12942), 1,
      anon_sym_SEMI,
  [264959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12944), 1,
      anon_sym_COLON,
  [264966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
  [264973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      anon_sym_SEMI,
  [264980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_SEMI,
  [264987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12952), 1,
      anon_sym_SEMI,
  [264994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      sym_raw_string_content,
  [265001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_LT,
  [265008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_SEMI,
  [265015] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11795), 1,
      aux_sym_preproc_include_token2,
  [265022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_LT_EQ,
  [265029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12958), 1,
      aux_sym_preproc_if_token2,
  [265036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_GT_EQ,
  [265043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12960), 1,
      sym_identifier,
  [265050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12962), 1,
      anon_sym_DQUOTE,
  [265057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12964), 1,
      anon_sym_DQUOTE,
  [265064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12966), 1,
      sym_auto,
  [265071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7963), 1,
      anon_sym_RPAREN,
  [265078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_RPAREN,
  [265085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8096), 1,
      anon_sym_RPAREN,
  [265092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8094), 1,
      anon_sym_RPAREN,
  [265099] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12968), 1,
      aux_sym_preproc_include_token2,
  [265106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12970), 1,
      aux_sym_preproc_if_token2,
  [265113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8086), 1,
      anon_sym_RPAREN,
  [265120] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(12972), 1,
      aux_sym_preproc_include_token2,
  [265127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
  [265134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12976), 1,
      anon_sym_SEMI,
  [265141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12978), 1,
      anon_sym_RBRACK,
  [265148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12980), 1,
      anon_sym_RPAREN,
  [265155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12982), 1,
      anon_sym_RPAREN,
  [265162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12984), 1,
      sym_identifier,
  [265169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 1,
      sym_identifier,
  [265176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_RPAREN,
  [265183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
  [265190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_DQUOTE,
  [265197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12994), 1,
      anon_sym_DQUOTE,
  [265204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12996), 1,
      anon_sym_RPAREN,
  [265211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12998), 1,
      anon_sym_RPAREN,
  [265218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13000), 1,
      anon_sym_RPAREN,
  [265225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13002), 1,
      anon_sym_RPAREN,
  [265232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13004), 1,
      anon_sym_RPAREN,
  [265239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_SEMI,
  [265246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_DQUOTE,
  [265253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8336), 1,
      anon_sym_RPAREN,
  [265260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13010), 1,
      anon_sym_DQUOTE,
  [265267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_SEMI,
  [265274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13012), 1,
      anon_sym_RPAREN,
  [265281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      aux_sym_preproc_if_token2,
  [265288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9985), 1,
      anon_sym_RBRACE,
  [265295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_DQUOTE,
  [265302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13018), 1,
      anon_sym_RBRACE,
  [265309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 1,
      anon_sym_SEMI,
  [265316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13022), 1,
      aux_sym_preproc_if_token2,
  [265323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13024), 1,
      anon_sym_RBRACE,
  [265330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13026), 1,
      aux_sym_preproc_if_token2,
  [265337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13028), 1,
      aux_sym_preproc_if_token2,
  [265344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13030), 1,
      aux_sym_preproc_if_token2,
  [265351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_GT,
  [265358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_SEMI,
  [265365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13034), 1,
      anon_sym_SEMI,
  [265372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10383), 1,
      anon_sym_SEMI,
  [265379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_BANG_EQ,
  [265386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_RBRACE,
  [265393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13038), 1,
      anon_sym_RPAREN,
  [265400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13040), 1,
      aux_sym_preproc_if_token2,
  [265407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13042), 1,
      aux_sym_preproc_if_token2,
  [265414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8177), 1,
      anon_sym_SEMI,
  [265421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_EQ_EQ,
  [265428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13044), 1,
      aux_sym_preproc_if_token2,
  [265435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_DQUOTE,
  [265442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_DQUOTE,
  [265449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13050), 1,
      anon_sym_SEMI,
  [265456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13052), 1,
      anon_sym_RPAREN,
  [265463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13054), 1,
      sym_identifier,
  [265470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13056), 1,
      aux_sym_preproc_if_token2,
  [265477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10387), 1,
      anon_sym_SEMI,
  [265484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      sym_identifier,
  [265491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_AMP,
  [265498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_STAR,
  [265505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8092), 1,
      anon_sym_COLON,
  [265512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13062), 1,
      aux_sym_preproc_if_token2,
  [265519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13064), 1,
      anon_sym_SEMI,
  [265526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      sym_identifier,
  [265533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13066), 1,
      anon_sym_SEMI,
  [265540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13068), 1,
      anon_sym_RPAREN,
  [265547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_CARET,
  [265554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13070), 1,
      anon_sym_SEMI,
  [265561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_SEMI,
  [265568] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13074), 1,
      aux_sym_preproc_include_token2,
  [265575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13076), 1,
      anon_sym_DQUOTE,
  [265582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_DQUOTE,
  [265589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_SEMI,
  [265596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8123), 1,
      anon_sym_RPAREN,
  [265603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8235), 1,
      anon_sym_RPAREN,
  [265610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
  [265617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_SEMI,
  [265624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      anon_sym_RBRACE,
  [265631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
  [265638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13088), 1,
      anon_sym_RBRACK,
  [265645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13090), 1,
      anon_sym_DOT_DOT_DOT,
  [265652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13092), 1,
      anon_sym_SEMI,
  [265659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_DQUOTE,
  [265666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_SEMI,
  [265673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13098), 1,
      anon_sym_DOT_DOT_DOT,
  [265680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_RPAREN,
  [265687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      aux_sym_preproc_if_token2,
  [265694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_LPAREN2,
  [265701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_LPAREN2,
  [265708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_LPAREN2,
  [265715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_LPAREN2,
  [265722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13113), 1,
      anon_sym_SEMI,
  [265729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_LPAREN2,
  [265736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      anon_sym_DQUOTE,
  [265743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      anon_sym_RPAREN,
  [265750] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11628), 1,
      aux_sym_preproc_include_token2,
  [265757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      anon_sym_SEMI,
  [265764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_while,
  [265771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_DQUOTE,
  [265778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      anon_sym_LPAREN2,
  [265785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      anon_sym_SEMI,
  [265792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12120), 1,
      anon_sym_RBRACE,
  [265799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      anon_sym_RPAREN,
  [265806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_EQ,
  [265813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      sym_raw_string_content,
  [265820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      anon_sym_STAR,
  [265827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      sym_auto,
  [265834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      anon_sym_RPAREN,
  [265841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_COMMA,
  [265848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_RPAREN,
  [265855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_SEMI,
  [265862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      anon_sym_RBRACE,
  [265869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_RPAREN,
  [265876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_COLON,
  [265883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      aux_sym_preproc_if_token2,
  [265890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      aux_sym_preproc_if_token2,
  [265897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      anon_sym_LPAREN2,
  [265904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_LPAREN2,
  [265911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_LPAREN2,
  [265918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_RPAREN,
  [265925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_LPAREN2,
  [265932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_SEMI,
  [265939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11076), 1,
      anon_sym_SEMI,
  [265946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_while,
  [265953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_COLON_COLON,
  [265960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      anon_sym_LPAREN2,
  [265967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_RPAREN,
  [265974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      aux_sym_preproc_if_token2,
  [265981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_EQ,
  [265988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      sym_raw_string_content,
  [265995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_COMMA,
  [266002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_RPAREN,
  [266009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_RPAREN,
  [266016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      aux_sym_preproc_if_token2,
  [266023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_RPAREN,
  [266030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_COLON,
  [266037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_SEMI,
  [266044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_LPAREN2,
  [266051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_LPAREN2,
  [266058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_LPAREN2,
  [266065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_COMMA,
  [266072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      anon_sym_LPAREN2,
  [266079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_SEMI,
  [266086] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13209), 1,
      aux_sym_preproc_include_token2,
  [266093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_while,
  [266100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      anon_sym_LPAREN2,
  [266107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8043), 1,
      anon_sym_SEMI,
  [266114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      aux_sym_preproc_if_token2,
  [266121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_EQ,
  [266128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      sym_raw_string_content,
  [266135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_COMMA,
  [266142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8115), 1,
      anon_sym_SEMI,
  [266149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_SEMI,
  [266156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      aux_sym_preproc_if_token2,
  [266163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_RPAREN,
  [266170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_COLON,
  [266177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      anon_sym_RPAREN,
  [266184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_LPAREN2,
  [266191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_LPAREN2,
  [266198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_LPAREN2,
  [266205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12128), 1,
      anon_sym_RBRACE,
  [266212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
  [266219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_SEMI,
  [266226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      anon_sym_SEMI,
  [266233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_LPAREN2,
  [266240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      anon_sym_SEMI,
  [266247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_SEMI,
  [266254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      anon_sym_EQ,
  [266261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      sym_raw_string_content,
  [266268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_COMMA,
  [266275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      anon_sym_SEMI,
  [266282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      anon_sym_SEMI,
  [266289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      anon_sym_SEMI,
  [266296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_RPAREN,
  [266303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      anon_sym_COLON,
  [266310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      anon_sym_SEMI,
  [266317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_LPAREN2,
  [266324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      anon_sym_RPAREN,
  [266331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      anon_sym_LPAREN2,
  [266338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      sym_auto,
  [266345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8072), 1,
      anon_sym_COLON,
  [266352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13275), 1,
      anon_sym_SEMI,
  [266359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11002), 1,
      anon_sym_SEMI,
  [266366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_EQ,
  [266373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      sym_raw_string_content,
  [266380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      anon_sym_SEMI,
  [266387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      aux_sym_preproc_if_token2,
  [266394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      anon_sym_RPAREN,
  [266401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
  [266408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13289), 1,
      anon_sym_LPAREN2,
  [266415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      anon_sym_LPAREN2,
  [266422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_LPAREN2,
  [266429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PIPE,
  [266436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      sym_raw_string_content,
  [266443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_AMP_AMP,
  [266450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      aux_sym_preproc_if_token2,
  [266457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      anon_sym_RPAREN,
  [266464] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13301), 1,
      aux_sym_preproc_include_token2,
  [266471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_LPAREN2,
  [266478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      anon_sym_LPAREN2,
  [266485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PIPE_PIPE,
  [266492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      sym_raw_string_content,
  [266499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PERCENT,
  [266506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
  [266513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_LPAREN2,
  [266520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_LPAREN2,
  [266527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      sym_raw_string_content,
  [266534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
  [266541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      sym_raw_string_content,
  [266548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      anon_sym_RPAREN,
  [266555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      sym_raw_string_content,
  [266562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
  [266569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      sym_raw_string_content,
  [266576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
  [266583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      sym_raw_string_content,
  [266590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
  [266597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      sym_raw_string_content,
  [266604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
  [266611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      sym_raw_string_content,
  [266618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
  [266625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      sym_raw_string_content,
  [266632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
  [266639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      anon_sym_SLASH,
  [266646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8139), 1,
      anon_sym_COLON,
  [266653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_LPAREN2,
  [266660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      anon_sym_LPAREN2,
  [266667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      sym_identifier,
  [266674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_STAR,
  [266681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_PLUS,
  [266688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
  [266695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      aux_sym_preproc_if_token2,
  [266702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      sym_auto,
  [266709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_DASH,
  [266716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      aux_sym_preproc_if_token2,
  [266723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      aux_sym_preproc_if_token2,
  [266730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_DQUOTE,
  [266737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_COLON,
  [266744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_SEMI,
  [266751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_DQUOTE,
  [266758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      anon_sym_DQUOTE,
  [266765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_SEMI,
  [266772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      sym_identifier,
  [266779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      sym_raw_string_content,
  [266786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_RBRACE,
  [266793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      sym_identifier,
  [266800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_LPAREN2,
  [266807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      sym_auto,
  [266814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_COMMA,
  [266821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      anon_sym_SEMI,
  [266828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_SEMI,
  [266835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_STAR,
  [266842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym_RBRACE,
  [266849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      anon_sym_SEMI,
  [266856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      ts_builtin_sym_end,
  [266863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      sym_identifier,
  [266870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      anon_sym_SEMI,
  [266877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      anon_sym_RPAREN,
  [266884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      sym_identifier,
  [266891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      anon_sym_LPAREN2,
  [266898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_RPAREN,
  [266905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 1,
      anon_sym_RBRACE,
  [266912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_RPAREN,
  [266919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      anon_sym_RPAREN,
  [266926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_SEMI,
  [266933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8173), 1,
      anon_sym_SEMI,
  [266940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_RPAREN,
  [266947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_LPAREN2,
  [266954] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13417), 1,
      aux_sym_preproc_include_token2,
  [266961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_SEMI,
  [266968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 1,
      anon_sym_RPAREN,
  [266975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8125), 1,
      anon_sym_SEMI,
  [266982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      sym_identifier,
  [266989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8057), 1,
      anon_sym_COLON,
  [266996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_RPAREN,
  [267003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      anon_sym_SEMI,
  [267010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      anon_sym_LPAREN2,
  [267017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      anon_sym_LPAREN2,
  [267024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_LPAREN2,
  [267031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      sym_identifier,
  [267038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_SEMI,
  [267045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_SEMI,
  [267052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      anon_sym_LPAREN2,
  [267059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_RPAREN,
  [267066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_COLON,
  [267073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      anon_sym_RPAREN,
  [267080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_SEMI,
  [267087] = 2,
    ACTIONS(4850), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9067), 1,
      sym_comment,
  [267094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_SEMI,
  [267101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11121), 1,
      anon_sym_SEMI,
  [267108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_DQUOTE,
  [267115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      anon_sym_RPAREN,
  [267122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      anon_sym_RPAREN,
  [267129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_LPAREN2,
  [267136] = 2,
    ACTIONS(4826), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9067), 1,
      sym_comment,
  [267143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      anon_sym_RPAREN,
  [267150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      anon_sym_RPAREN,
  [267157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      anon_sym_SEMI,
  [267164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      anon_sym_LPAREN2,
  [267171] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9093), 1,
      aux_sym_preproc_include_token2,
  [267178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_RPAREN,
  [267185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 1,
      sym_identifier,
  [267192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8098), 1,
      anon_sym_COLON,
  [267199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13469), 1,
      sym_identifier,
  [267206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      anon_sym_LPAREN2,
  [267213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      anon_sym_LPAREN2,
  [267220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_LPAREN2,
  [267227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym_identifier,
  [267234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_RPAREN,
  [267241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_RPAREN,
  [267248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_RPAREN,
  [267255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      sym_identifier,
  [267262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      sym_raw_string_content,
  [267269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9961), 1,
      anon_sym_RBRACE,
  [267276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      aux_sym_preproc_if_token2,
  [267283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
  [267290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_LPAREN2,
  [267297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_LPAREN2,
  [267304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      sym_identifier,
  [267311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
  [267318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7993), 1,
      anon_sym_RBRACE,
  [267325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      sym_identifier,
  [267332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      sym_raw_string_content,
  [267339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8338), 1,
      anon_sym_RPAREN,
  [267346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_DQUOTE,
  [267353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_SEMI,
  [267360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_LPAREN2,
  [267367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      sym_identifier,
  [267374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_RPAREN,
  [267381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      anon_sym_DQUOTE,
  [267388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      sym_identifier,
  [267395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      sym_raw_string_content,
  [267402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_SEMI,
  [267409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
  [267416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_LPAREN2,
  [267423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      sym_identifier,
  [267430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12214), 1,
      anon_sym_RBRACE,
  [267437] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13529), 1,
      aux_sym_preproc_include_token2,
  [267444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      sym_identifier,
  [267451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      sym_raw_string_content,
  [267458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      aux_sym_preproc_if_token2,
  [267465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8070), 1,
      anon_sym_COLON,
  [267472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_LPAREN2,
  [267479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      sym_identifier,
  [267486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      sym_auto,
  [267493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      sym_identifier,
  [267500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      sym_raw_string_content,
  [267507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_COLON,
  [267514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_RPAREN,
  [267521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      sym_identifier,
  [267528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      sym_raw_string_content,
  [267535] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13555), 1,
      aux_sym_preproc_include_token2,
  [267542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_RPAREN,
  [267549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      sym_raw_string_content,
  [267556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9944), 1,
      anon_sym_RBRACE,
  [267563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      sym_raw_string_content,
  [267570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_SEMI,
  [267577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      sym_raw_string_content,
  [267584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_SEMI,
  [267591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      sym_raw_string_content,
  [267598] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(9089), 1,
      aux_sym_preproc_include_token2,
  [267605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      sym_raw_string_content,
  [267612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_RPAREN,
  [267619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      sym_raw_string_content,
  [267626] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(11272), 1,
      aux_sym_preproc_include_token2,
  [267633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      sym_raw_string_content,
  [267640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      sym_identifier,
  [267647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      sym_raw_string_content,
  [267654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      aux_sym_preproc_if_token2,
  [267661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      sym_raw_string_content,
  [267668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_LPAREN2,
  [267675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_LPAREN2,
  [267682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_STAR,
  [267689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      anon_sym_LPAREN2,
  [267696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_LPAREN2,
  [267703] = 2,
    ACTIONS(9067), 1,
      sym_comment,
    ACTIONS(13597), 1,
      aux_sym_preproc_include_token2,
  [267710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      anon_sym_LPAREN2,
  [267717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      anon_sym_LPAREN2,
  [267724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_RPAREN,
  [267731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_LPAREN2,
  [267738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_LPAREN2,
  [267745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_RPAREN,
  [267752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_LPAREN2,
  [267759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_LPAREN2,
  [267766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_RPAREN,
  [267773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_LPAREN2,
  [267780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      anon_sym_LPAREN2,
  [267787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_LPAREN2,
  [267794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_LPAREN2,
  [267801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_LPAREN2,
  [267808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_LPAREN2,
  [267815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_LPAREN2,
  [267822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_LPAREN2,
  [267829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_LPAREN2,
  [267836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_LPAREN2,
  [267843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_LPAREN2,
  [267850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_RPAREN,
  [267857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_RPAREN,
  [267864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      sym_identifier,
  [267871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10413), 1,
      anon_sym_SEMI,
  [267878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      sym_identifier,
  [267885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_LPAREN2,
  [267892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_LPAREN2,
  [267899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_LPAREN2,
  [267906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_LPAREN2,
  [267913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2179)] = 0,
  [SMALL_STATE(2180)] = 75,
  [SMALL_STATE(2181)] = 146,
  [SMALL_STATE(2182)] = 217,
  [SMALL_STATE(2183)] = 292,
  [SMALL_STATE(2184)] = 371,
  [SMALL_STATE(2185)] = 442,
  [SMALL_STATE(2186)] = 513,
  [SMALL_STATE(2187)] = 584,
  [SMALL_STATE(2188)] = 659,
  [SMALL_STATE(2189)] = 738,
  [SMALL_STATE(2190)] = 813,
  [SMALL_STATE(2191)] = 884,
  [SMALL_STATE(2192)] = 967,
  [SMALL_STATE(2193)] = 1038,
  [SMALL_STATE(2194)] = 1121,
  [SMALL_STATE(2195)] = 1192,
  [SMALL_STATE(2196)] = 1271,
  [SMALL_STATE(2197)] = 1346,
  [SMALL_STATE(2198)] = 1419,
  [SMALL_STATE(2199)] = 1496,
  [SMALL_STATE(2200)] = 1575,
  [SMALL_STATE(2201)] = 1654,
  [SMALL_STATE(2202)] = 1725,
  [SMALL_STATE(2203)] = 1800,
  [SMALL_STATE(2204)] = 1875,
  [SMALL_STATE(2205)] = 1946,
  [SMALL_STATE(2206)] = 2017,
  [SMALL_STATE(2207)] = 2088,
  [SMALL_STATE(2208)] = 2163,
  [SMALL_STATE(2209)] = 2234,
  [SMALL_STATE(2210)] = 2305,
  [SMALL_STATE(2211)] = 2380,
  [SMALL_STATE(2212)] = 2453,
  [SMALL_STATE(2213)] = 2526,
  [SMALL_STATE(2214)] = 2601,
  [SMALL_STATE(2215)] = 2678,
  [SMALL_STATE(2216)] = 2757,
  [SMALL_STATE(2217)] = 2836,
  [SMALL_STATE(2218)] = 2915,
  [SMALL_STATE(2219)] = 3042,
  [SMALL_STATE(2220)] = 3169,
  [SMALL_STATE(2221)] = 3244,
  [SMALL_STATE(2222)] = 3317,
  [SMALL_STATE(2223)] = 3390,
  [SMALL_STATE(2224)] = 3461,
  [SMALL_STATE(2225)] = 3532,
  [SMALL_STATE(2226)] = 3603,
  [SMALL_STATE(2227)] = 3674,
  [SMALL_STATE(2228)] = 3747,
  [SMALL_STATE(2229)] = 3818,
  [SMALL_STATE(2230)] = 3891,
  [SMALL_STATE(2231)] = 3962,
  [SMALL_STATE(2232)] = 4035,
  [SMALL_STATE(2233)] = 4106,
  [SMALL_STATE(2234)] = 4176,
  [SMALL_STATE(2235)] = 4250,
  [SMALL_STATE(2236)] = 4320,
  [SMALL_STATE(2237)] = 4390,
  [SMALL_STATE(2238)] = 4474,
  [SMALL_STATE(2239)] = 4544,
  [SMALL_STATE(2240)] = 4614,
  [SMALL_STATE(2241)] = 4686,
  [SMALL_STATE(2242)] = 4760,
  [SMALL_STATE(2243)] = 4830,
  [SMALL_STATE(2244)] = 4900,
  [SMALL_STATE(2245)] = 4974,
  [SMALL_STATE(2246)] = 5044,
  [SMALL_STATE(2247)] = 5114,
  [SMALL_STATE(2248)] = 5184,
  [SMALL_STATE(2249)] = 5258,
  [SMALL_STATE(2250)] = 5336,
  [SMALL_STATE(2251)] = 5410,
  [SMALL_STATE(2252)] = 5492,
  [SMALL_STATE(2253)] = 5578,
  [SMALL_STATE(2254)] = 5652,
  [SMALL_STATE(2255)] = 5722,
  [SMALL_STATE(2256)] = 5792,
  [SMALL_STATE(2257)] = 5866,
  [SMALL_STATE(2258)] = 5950,
  [SMALL_STATE(2259)] = 6024,
  [SMALL_STATE(2260)] = 6098,
  [SMALL_STATE(2261)] = 6182,
  [SMALL_STATE(2262)] = 6252,
  [SMALL_STATE(2263)] = 6338,
  [SMALL_STATE(2264)] = 6412,
  [SMALL_STATE(2265)] = 6482,
  [SMALL_STATE(2266)] = 6552,
  [SMALL_STATE(2267)] = 6626,
  [SMALL_STATE(2268)] = 6700,
  [SMALL_STATE(2269)] = 6778,
  [SMALL_STATE(2270)] = 6848,
  [SMALL_STATE(2271)] = 6922,
  [SMALL_STATE(2272)] = 7004,
  [SMALL_STATE(2273)] = 7078,
  [SMALL_STATE(2274)] = 7152,
  [SMALL_STATE(2275)] = 7222,
  [SMALL_STATE(2276)] = 7292,
  [SMALL_STATE(2277)] = 7362,
  [SMALL_STATE(2278)] = 7432,
  [SMALL_STATE(2279)] = 7506,
  [SMALL_STATE(2280)] = 7580,
  [SMALL_STATE(2281)] = 7656,
  [SMALL_STATE(2282)] = 7726,
  [SMALL_STATE(2283)] = 7796,
  [SMALL_STATE(2284)] = 7870,
  [SMALL_STATE(2285)] = 7940,
  [SMALL_STATE(2286)] = 8010,
  [SMALL_STATE(2287)] = 8084,
  [SMALL_STATE(2288)] = 8168,
  [SMALL_STATE(2289)] = 8242,
  [SMALL_STATE(2290)] = 8316,
  [SMALL_STATE(2291)] = 8386,
  [SMALL_STATE(2292)] = 8470,
  [SMALL_STATE(2293)] = 8539,
  [SMALL_STATE(2294)] = 8608,
  [SMALL_STATE(2295)] = 8677,
  [SMALL_STATE(2296)] = 8746,
  [SMALL_STATE(2297)] = 8815,
  [SMALL_STATE(2298)] = 8884,
  [SMALL_STATE(2299)] = 8961,
  [SMALL_STATE(2300)] = 9030,
  [SMALL_STATE(2301)] = 9099,
  [SMALL_STATE(2302)] = 9168,
  [SMALL_STATE(2303)] = 9237,
  [SMALL_STATE(2304)] = 9306,
  [SMALL_STATE(2305)] = 9375,
  [SMALL_STATE(2306)] = 9444,
  [SMALL_STATE(2307)] = 9513,
  [SMALL_STATE(2308)] = 9606,
  [SMALL_STATE(2309)] = 9675,
  [SMALL_STATE(2310)] = 9744,
  [SMALL_STATE(2311)] = 9813,
  [SMALL_STATE(2312)] = 9882,
  [SMALL_STATE(2313)] = 9951,
  [SMALL_STATE(2314)] = 10020,
  [SMALL_STATE(2315)] = 10105,
  [SMALL_STATE(2316)] = 10174,
  [SMALL_STATE(2317)] = 10243,
  [SMALL_STATE(2318)] = 10312,
  [SMALL_STATE(2319)] = 10381,
  [SMALL_STATE(2320)] = 10450,
  [SMALL_STATE(2321)] = 10531,
  [SMALL_STATE(2322)] = 10600,
  [SMALL_STATE(2323)] = 10669,
  [SMALL_STATE(2324)] = 10738,
  [SMALL_STATE(2325)] = 10807,
  [SMALL_STATE(2326)] = 10876,
  [SMALL_STATE(2327)] = 10953,
  [SMALL_STATE(2328)] = 11022,
  [SMALL_STATE(2329)] = 11091,
  [SMALL_STATE(2330)] = 11164,
  [SMALL_STATE(2331)] = 11233,
  [SMALL_STATE(2332)] = 11302,
  [SMALL_STATE(2333)] = 11379,
  [SMALL_STATE(2334)] = 11448,
  [SMALL_STATE(2335)] = 11521,
  [SMALL_STATE(2336)] = 11590,
  [SMALL_STATE(2337)] = 11659,
  [SMALL_STATE(2338)] = 11728,
  [SMALL_STATE(2339)] = 11797,
  [SMALL_STATE(2340)] = 11866,
  [SMALL_STATE(2341)] = 11935,
  [SMALL_STATE(2342)] = 12004,
  [SMALL_STATE(2343)] = 12073,
  [SMALL_STATE(2344)] = 12142,
  [SMALL_STATE(2345)] = 12211,
  [SMALL_STATE(2346)] = 12292,
  [SMALL_STATE(2347)] = 12361,
  [SMALL_STATE(2348)] = 12440,
  [SMALL_STATE(2349)] = 12509,
  [SMALL_STATE(2350)] = 12578,
  [SMALL_STATE(2351)] = 12647,
  [SMALL_STATE(2352)] = 12716,
  [SMALL_STATE(2353)] = 12785,
  [SMALL_STATE(2354)] = 12854,
  [SMALL_STATE(2355)] = 12923,
  [SMALL_STATE(2356)] = 12992,
  [SMALL_STATE(2357)] = 13061,
  [SMALL_STATE(2358)] = 13130,
  [SMALL_STATE(2359)] = 13207,
  [SMALL_STATE(2360)] = 13276,
  [SMALL_STATE(2361)] = 13345,
  [SMALL_STATE(2362)] = 13414,
  [SMALL_STATE(2363)] = 13483,
  [SMALL_STATE(2364)] = 13552,
  [SMALL_STATE(2365)] = 13621,
  [SMALL_STATE(2366)] = 13694,
  [SMALL_STATE(2367)] = 13763,
  [SMALL_STATE(2368)] = 13832,
  [SMALL_STATE(2369)] = 13901,
  [SMALL_STATE(2370)] = 13976,
  [SMALL_STATE(2371)] = 14045,
  [SMALL_STATE(2372)] = 14114,
  [SMALL_STATE(2373)] = 14183,
  [SMALL_STATE(2374)] = 14252,
  [SMALL_STATE(2375)] = 14321,
  [SMALL_STATE(2376)] = 14390,
  [SMALL_STATE(2377)] = 14459,
  [SMALL_STATE(2378)] = 14528,
  [SMALL_STATE(2379)] = 14597,
  [SMALL_STATE(2380)] = 14666,
  [SMALL_STATE(2381)] = 14735,
  [SMALL_STATE(2382)] = 14812,
  [SMALL_STATE(2383)] = 14881,
  [SMALL_STATE(2384)] = 14950,
  [SMALL_STATE(2385)] = 15019,
  [SMALL_STATE(2386)] = 15088,
  [SMALL_STATE(2387)] = 15181,
  [SMALL_STATE(2388)] = 15250,
  [SMALL_STATE(2389)] = 15334,
  [SMALL_STATE(2390)] = 15412,
  [SMALL_STATE(2391)] = 15480,
  [SMALL_STATE(2392)] = 15548,
  [SMALL_STATE(2393)] = 15620,
  [SMALL_STATE(2394)] = 15690,
  [SMALL_STATE(2395)] = 15758,
  [SMALL_STATE(2396)] = 15836,
  [SMALL_STATE(2397)] = 15912,
  [SMALL_STATE(2398)] = 15980,
  [SMALL_STATE(2399)] = 16054,
  [SMALL_STATE(2400)] = 16130,
  [SMALL_STATE(2401)] = 16204,
  [SMALL_STATE(2402)] = 16272,
  [SMALL_STATE(2403)] = 16344,
  [SMALL_STATE(2404)] = 16416,
  [SMALL_STATE(2405)] = 16488,
  [SMALL_STATE(2406)] = 16560,
  [SMALL_STATE(2407)] = 16632,
  [SMALL_STATE(2408)] = 16704,
  [SMALL_STATE(2409)] = 16778,
  [SMALL_STATE(2410)] = 16854,
  [SMALL_STATE(2411)] = 16929,
  [SMALL_STATE(2412)] = 16996,
  [SMALL_STATE(2413)] = 17069,
  [SMALL_STATE(2414)] = 17136,
  [SMALL_STATE(2415)] = 17205,
  [SMALL_STATE(2416)] = 17272,
  [SMALL_STATE(2417)] = 17339,
  [SMALL_STATE(2418)] = 17406,
  [SMALL_STATE(2419)] = 17475,
  [SMALL_STATE(2420)] = 17542,
  [SMALL_STATE(2421)] = 17617,
  [SMALL_STATE(2422)] = 17684,
  [SMALL_STATE(2423)] = 17751,
  [SMALL_STATE(2424)] = 17818,
  [SMALL_STATE(2425)] = 17891,
  [SMALL_STATE(2426)] = 17958,
  [SMALL_STATE(2427)] = 18025,
  [SMALL_STATE(2428)] = 18092,
  [SMALL_STATE(2429)] = 18159,
  [SMALL_STATE(2430)] = 18238,
  [SMALL_STATE(2431)] = 18305,
  [SMALL_STATE(2432)] = 18372,
  [SMALL_STATE(2433)] = 18439,
  [SMALL_STATE(2434)] = 18506,
  [SMALL_STATE(2435)] = 18573,
  [SMALL_STATE(2436)] = 18658,
  [SMALL_STATE(2437)] = 18727,
  [SMALL_STATE(2438)] = 18794,
  [SMALL_STATE(2439)] = 18867,
  [SMALL_STATE(2440)] = 18938,
  [SMALL_STATE(2441)] = 19007,
  [SMALL_STATE(2442)] = 19082,
  [SMALL_STATE(2443)] = 19149,
  [SMALL_STATE(2444)] = 19216,
  [SMALL_STATE(2445)] = 19283,
  [SMALL_STATE(2446)] = 19350,
  [SMALL_STATE(2447)] = 19417,
  [SMALL_STATE(2448)] = 19484,
  [SMALL_STATE(2449)] = 19551,
  [SMALL_STATE(2450)] = 19626,
  [SMALL_STATE(2451)] = 19693,
  [SMALL_STATE(2452)] = 19778,
  [SMALL_STATE(2453)] = 19845,
  [SMALL_STATE(2454)] = 19912,
  [SMALL_STATE(2455)] = 19979,
  [SMALL_STATE(2456)] = 20046,
  [SMALL_STATE(2457)] = 20113,
  [SMALL_STATE(2458)] = 20192,
  [SMALL_STATE(2459)] = 20277,
  [SMALL_STATE(2460)] = 20344,
  [SMALL_STATE(2461)] = 20411,
  [SMALL_STATE(2462)] = 20478,
  [SMALL_STATE(2463)] = 20545,
  [SMALL_STATE(2464)] = 20612,
  [SMALL_STATE(2465)] = 20695,
  [SMALL_STATE(2466)] = 20762,
  [SMALL_STATE(2467)] = 20829,
  [SMALL_STATE(2468)] = 20900,
  [SMALL_STATE(2469)] = 20967,
  [SMALL_STATE(2470)] = 21034,
  [SMALL_STATE(2471)] = 21107,
  [SMALL_STATE(2472)] = 21174,
  [SMALL_STATE(2473)] = 21245,
  [SMALL_STATE(2474)] = 21314,
  [SMALL_STATE(2475)] = 21393,
  [SMALL_STATE(2476)] = 21462,
  [SMALL_STATE(2477)] = 21533,
  [SMALL_STATE(2478)] = 21604,
  [SMALL_STATE(2479)] = 21675,
  [SMALL_STATE(2480)] = 21742,
  [SMALL_STATE(2481)] = 21809,
  [SMALL_STATE(2482)] = 21876,
  [SMALL_STATE(2483)] = 21947,
  [SMALL_STATE(2484)] = 22018,
  [SMALL_STATE(2485)] = 22089,
  [SMALL_STATE(2486)] = 22164,
  [SMALL_STATE(2487)] = 22231,
  [SMALL_STATE(2488)] = 22298,
  [SMALL_STATE(2489)] = 22365,
  [SMALL_STATE(2490)] = 22432,
  [SMALL_STATE(2491)] = 22499,
  [SMALL_STATE(2492)] = 22566,
  [SMALL_STATE(2493)] = 22633,
  [SMALL_STATE(2494)] = 22705,
  [SMALL_STATE(2495)] = 22775,
  [SMALL_STATE(2496)] = 22851,
  [SMALL_STATE(2497)] = 22923,
  [SMALL_STATE(2498)] = 22993,
  [SMALL_STATE(2499)] = 23071,
  [SMALL_STATE(2500)] = 23141,
  [SMALL_STATE(2501)] = 23211,
  [SMALL_STATE(2502)] = 23289,
  [SMALL_STATE(2503)] = 23359,
  [SMALL_STATE(2504)] = 23429,
  [SMALL_STATE(2505)] = 23499,
  [SMALL_STATE(2506)] = 23565,
  [SMALL_STATE(2507)] = 23635,
  [SMALL_STATE(2508)] = 23705,
  [SMALL_STATE(2509)] = 23775,
  [SMALL_STATE(2510)] = 23841,
  [SMALL_STATE(2511)] = 23911,
  [SMALL_STATE(2512)] = 23981,
  [SMALL_STATE(2513)] = 24063,
  [SMALL_STATE(2514)] = 24131,
  [SMALL_STATE(2515)] = 24199,
  [SMALL_STATE(2516)] = 24269,
  [SMALL_STATE(2517)] = 24339,
  [SMALL_STATE(2518)] = 24409,
  [SMALL_STATE(2519)] = 24475,
  [SMALL_STATE(2520)] = 24545,
  [SMALL_STATE(2521)] = 24611,
  [SMALL_STATE(2522)] = 24693,
  [SMALL_STATE(2523)] = 24763,
  [SMALL_STATE(2524)] = 24833,
  [SMALL_STATE(2525)] = 24903,
  [SMALL_STATE(2526)] = 25017,
  [SMALL_STATE(2527)] = 25099,
  [SMALL_STATE(2528)] = 25169,
  [SMALL_STATE(2529)] = 25239,
  [SMALL_STATE(2530)] = 25305,
  [SMALL_STATE(2531)] = 25373,
  [SMALL_STATE(2532)] = 25487,
  [SMALL_STATE(2533)] = 25569,
  [SMALL_STATE(2534)] = 25634,
  [SMALL_STATE(2535)] = 25743,
  [SMALL_STATE(2536)] = 25808,
  [SMALL_STATE(2537)] = 25903,
  [SMALL_STATE(2538)] = 25994,
  [SMALL_STATE(2539)] = 26065,
  [SMALL_STATE(2540)] = 26152,
  [SMALL_STATE(2541)] = 26217,
  [SMALL_STATE(2542)] = 26282,
  [SMALL_STATE(2543)] = 26347,
  [SMALL_STATE(2544)] = 26412,
  [SMALL_STATE(2545)] = 26481,
  [SMALL_STATE(2546)] = 26550,
  [SMALL_STATE(2547)] = 26615,
  [SMALL_STATE(2548)] = 26684,
  [SMALL_STATE(2549)] = 26753,
  [SMALL_STATE(2550)] = 26818,
  [SMALL_STATE(2551)] = 26883,
  [SMALL_STATE(2552)] = 26952,
  [SMALL_STATE(2553)] = 27017,
  [SMALL_STATE(2554)] = 27126,
  [SMALL_STATE(2555)] = 27191,
  [SMALL_STATE(2556)] = 27304,
  [SMALL_STATE(2557)] = 27413,
  [SMALL_STATE(2558)] = 27526,
  [SMALL_STATE(2559)] = 27599,
  [SMALL_STATE(2560)] = 27664,
  [SMALL_STATE(2561)] = 27733,
  [SMALL_STATE(2562)] = 27830,
  [SMALL_STATE(2563)] = 27899,
  [SMALL_STATE(2564)] = 27964,
  [SMALL_STATE(2565)] = 28077,
  [SMALL_STATE(2566)] = 28142,
  [SMALL_STATE(2567)] = 28247,
  [SMALL_STATE(2568)] = 28316,
  [SMALL_STATE(2569)] = 28381,
  [SMALL_STATE(2570)] = 28450,
  [SMALL_STATE(2571)] = 28521,
  [SMALL_STATE(2572)] = 28586,
  [SMALL_STATE(2573)] = 28655,
  [SMALL_STATE(2574)] = 28720,
  [SMALL_STATE(2575)] = 28787,
  [SMALL_STATE(2576)] = 28896,
  [SMALL_STATE(2577)] = 28961,
  [SMALL_STATE(2578)] = 29026,
  [SMALL_STATE(2579)] = 29107,
  [SMALL_STATE(2580)] = 29176,
  [SMALL_STATE(2581)] = 29245,
  [SMALL_STATE(2582)] = 29316,
  [SMALL_STATE(2583)] = 29415,
  [SMALL_STATE(2584)] = 29500,
  [SMALL_STATE(2585)] = 29583,
  [SMALL_STATE(2586)] = 29664,
  [SMALL_STATE(2587)] = 29765,
  [SMALL_STATE(2588)] = 29846,
  [SMALL_STATE(2589)] = 29927,
  [SMALL_STATE(2590)] = 30008,
  [SMALL_STATE(2591)] = 30073,
  [SMALL_STATE(2592)] = 30146,
  [SMALL_STATE(2593)] = 30210,
  [SMALL_STATE(2594)] = 30276,
  [SMALL_STATE(2595)] = 30366,
  [SMALL_STATE(2596)] = 30430,
  [SMALL_STATE(2597)] = 30498,
  [SMALL_STATE(2598)] = 30562,
  [SMALL_STATE(2599)] = 30626,
  [SMALL_STATE(2600)] = 30690,
  [SMALL_STATE(2601)] = 30754,
  [SMALL_STATE(2602)] = 30818,
  [SMALL_STATE(2603)] = 30882,
  [SMALL_STATE(2604)] = 30948,
  [SMALL_STATE(2605)] = 31012,
  [SMALL_STATE(2606)] = 31080,
  [SMALL_STATE(2607)] = 31144,
  [SMALL_STATE(2608)] = 31212,
  [SMALL_STATE(2609)] = 31288,
  [SMALL_STATE(2610)] = 31352,
  [SMALL_STATE(2611)] = 31416,
  [SMALL_STATE(2612)] = 31480,
  [SMALL_STATE(2613)] = 31570,
  [SMALL_STATE(2614)] = 31682,
  [SMALL_STATE(2615)] = 31750,
  [SMALL_STATE(2616)] = 31818,
  [SMALL_STATE(2617)] = 31908,
  [SMALL_STATE(2618)] = 31972,
  [SMALL_STATE(2619)] = 32040,
  [SMALL_STATE(2620)] = 32106,
  [SMALL_STATE(2621)] = 32170,
  [SMALL_STATE(2622)] = 32234,
  [SMALL_STATE(2623)] = 32324,
  [SMALL_STATE(2624)] = 32388,
  [SMALL_STATE(2625)] = 32452,
  [SMALL_STATE(2626)] = 32516,
  [SMALL_STATE(2627)] = 32584,
  [SMALL_STATE(2628)] = 32648,
  [SMALL_STATE(2629)] = 32712,
  [SMALL_STATE(2630)] = 32776,
  [SMALL_STATE(2631)] = 32848,
  [SMALL_STATE(2632)] = 32914,
  [SMALL_STATE(2633)] = 32978,
  [SMALL_STATE(2634)] = 33054,
  [SMALL_STATE(2635)] = 33118,
  [SMALL_STATE(2636)] = 33182,
  [SMALL_STATE(2637)] = 33254,
  [SMALL_STATE(2638)] = 33320,
  [SMALL_STATE(2639)] = 33384,
  [SMALL_STATE(2640)] = 33448,
  [SMALL_STATE(2641)] = 33512,
  [SMALL_STATE(2642)] = 33576,
  [SMALL_STATE(2643)] = 33640,
  [SMALL_STATE(2644)] = 33704,
  [SMALL_STATE(2645)] = 33794,
  [SMALL_STATE(2646)] = 33858,
  [SMALL_STATE(2647)] = 33922,
  [SMALL_STATE(2648)] = 33986,
  [SMALL_STATE(2649)] = 34050,
  [SMALL_STATE(2650)] = 34114,
  [SMALL_STATE(2651)] = 34178,
  [SMALL_STATE(2652)] = 34242,
  [SMALL_STATE(2653)] = 34306,
  [SMALL_STATE(2654)] = 34370,
  [SMALL_STATE(2655)] = 34434,
  [SMALL_STATE(2656)] = 34498,
  [SMALL_STATE(2657)] = 34566,
  [SMALL_STATE(2658)] = 34630,
  [SMALL_STATE(2659)] = 34694,
  [SMALL_STATE(2660)] = 34758,
  [SMALL_STATE(2661)] = 34822,
  [SMALL_STATE(2662)] = 34886,
  [SMALL_STATE(2663)] = 34950,
  [SMALL_STATE(2664)] = 35014,
  [SMALL_STATE(2665)] = 35078,
  [SMALL_STATE(2666)] = 35142,
  [SMALL_STATE(2667)] = 35206,
  [SMALL_STATE(2668)] = 35318,
  [SMALL_STATE(2669)] = 35382,
  [SMALL_STATE(2670)] = 35446,
  [SMALL_STATE(2671)] = 35512,
  [SMALL_STATE(2672)] = 35576,
  [SMALL_STATE(2673)] = 35640,
  [SMALL_STATE(2674)] = 35704,
  [SMALL_STATE(2675)] = 35768,
  [SMALL_STATE(2676)] = 35832,
  [SMALL_STATE(2677)] = 35896,
  [SMALL_STATE(2678)] = 35960,
  [SMALL_STATE(2679)] = 36024,
  [SMALL_STATE(2680)] = 36092,
  [SMALL_STATE(2681)] = 36156,
  [SMALL_STATE(2682)] = 36222,
  [SMALL_STATE(2683)] = 36288,
  [SMALL_STATE(2684)] = 36352,
  [SMALL_STATE(2685)] = 36418,
  [SMALL_STATE(2686)] = 36482,
  [SMALL_STATE(2687)] = 36550,
  [SMALL_STATE(2688)] = 36614,
  [SMALL_STATE(2689)] = 36682,
  [SMALL_STATE(2690)] = 36772,
  [SMALL_STATE(2691)] = 36884,
  [SMALL_STATE(2692)] = 36948,
  [SMALL_STATE(2693)] = 37012,
  [SMALL_STATE(2694)] = 37080,
  [SMALL_STATE(2695)] = 37144,
  [SMALL_STATE(2696)] = 37208,
  [SMALL_STATE(2697)] = 37298,
  [SMALL_STATE(2698)] = 37366,
  [SMALL_STATE(2699)] = 37478,
  [SMALL_STATE(2700)] = 37542,
  [SMALL_STATE(2701)] = 37606,
  [SMALL_STATE(2702)] = 37670,
  [SMALL_STATE(2703)] = 37743,
  [SMALL_STATE(2704)] = 37806,
  [SMALL_STATE(2705)] = 37879,
  [SMALL_STATE(2706)] = 37990,
  [SMALL_STATE(2707)] = 38053,
  [SMALL_STATE(2708)] = 38126,
  [SMALL_STATE(2709)] = 38207,
  [SMALL_STATE(2710)] = 38286,
  [SMALL_STATE(2711)] = 38349,
  [SMALL_STATE(2712)] = 38458,
  [SMALL_STATE(2713)] = 38539,
  [SMALL_STATE(2714)] = 38620,
  [SMALL_STATE(2715)] = 38687,
  [SMALL_STATE(2716)] = 38754,
  [SMALL_STATE(2717)] = 38835,
  [SMALL_STATE(2718)] = 38908,
  [SMALL_STATE(2719)] = 38975,
  [SMALL_STATE(2720)] = 39088,
  [SMALL_STATE(2721)] = 39201,
  [SMALL_STATE(2722)] = 39362,
  [SMALL_STATE(2723)] = 39429,
  [SMALL_STATE(2724)] = 39512,
  [SMALL_STATE(2725)] = 39575,
  [SMALL_STATE(2726)] = 39642,
  [SMALL_STATE(2727)] = 39709,
  [SMALL_STATE(2728)] = 39818,
  [SMALL_STATE(2729)] = 39885,
  [SMALL_STATE(2730)] = 39956,
  [SMALL_STATE(2731)] = 40037,
  [SMALL_STATE(2732)] = 40108,
  [SMALL_STATE(2733)] = 40189,
  [SMALL_STATE(2734)] = 40256,
  [SMALL_STATE(2735)] = 40341,
  [SMALL_STATE(2736)] = 40454,
  [SMALL_STATE(2737)] = 40543,
  [SMALL_STATE(2738)] = 40608,
  [SMALL_STATE(2739)] = 40673,
  [SMALL_STATE(2740)] = 40764,
  [SMALL_STATE(2741)] = 40831,
  [SMALL_STATE(2742)] = 40926,
  [SMALL_STATE(2743)] = 40991,
  [SMALL_STATE(2744)] = 41070,
  [SMALL_STATE(2745)] = 41149,
  [SMALL_STATE(2746)] = 41216,
  [SMALL_STATE(2747)] = 41283,
  [SMALL_STATE(2748)] = 41392,
  [SMALL_STATE(2749)] = 41489,
  [SMALL_STATE(2750)] = 41570,
  [SMALL_STATE(2751)] = 41633,
  [SMALL_STATE(2752)] = 41742,
  [SMALL_STATE(2753)] = 41805,
  [SMALL_STATE(2754)] = 41878,
  [SMALL_STATE(2755)] = 42039,
  [SMALL_STATE(2756)] = 42110,
  [SMALL_STATE(2757)] = 42177,
  [SMALL_STATE(2758)] = 42278,
  [SMALL_STATE(2759)] = 42383,
  [SMALL_STATE(2760)] = 42454,
  [SMALL_STATE(2761)] = 42533,
  [SMALL_STATE(2762)] = 42596,
  [SMALL_STATE(2763)] = 42663,
  [SMALL_STATE(2764)] = 42726,
  [SMALL_STATE(2765)] = 42789,
  [SMALL_STATE(2766)] = 42950,
  [SMALL_STATE(2767)] = 43019,
  [SMALL_STATE(2768)] = 43098,
  [SMALL_STATE(2769)] = 43179,
  [SMALL_STATE(2770)] = 43290,
  [SMALL_STATE(2771)] = 43398,
  [SMALL_STATE(2772)] = 43460,
  [SMALL_STATE(2773)] = 43568,
  [SMALL_STATE(2774)] = 43640,
  [SMALL_STATE(2775)] = 43712,
  [SMALL_STATE(2776)] = 43774,
  [SMALL_STATE(2777)] = 43836,
  [SMALL_STATE(2778)] = 43898,
  [SMALL_STATE(2779)] = 43960,
  [SMALL_STATE(2780)] = 44022,
  [SMALL_STATE(2781)] = 44130,
  [SMALL_STATE(2782)] = 44192,
  [SMALL_STATE(2783)] = 44254,
  [SMALL_STATE(2784)] = 44362,
  [SMALL_STATE(2785)] = 44428,
  [SMALL_STATE(2786)] = 44490,
  [SMALL_STATE(2787)] = 44560,
  [SMALL_STATE(2788)] = 44632,
  [SMALL_STATE(2789)] = 44700,
  [SMALL_STATE(2790)] = 44762,
  [SMALL_STATE(2791)] = 44824,
  [SMALL_STATE(2792)] = 44896,
  [SMALL_STATE(2793)] = 44962,
  [SMALL_STATE(2794)] = 45032,
  [SMALL_STATE(2795)] = 45094,
  [SMALL_STATE(2796)] = 45160,
  [SMALL_STATE(2797)] = 45232,
  [SMALL_STATE(2798)] = 45340,
  [SMALL_STATE(2799)] = 45408,
  [SMALL_STATE(2800)] = 45516,
  [SMALL_STATE(2801)] = 45624,
  [SMALL_STATE(2802)] = 45688,
  [SMALL_STATE(2803)] = 45796,
  [SMALL_STATE(2804)] = 45862,
  [SMALL_STATE(2805)] = 45930,
  [SMALL_STATE(2806)] = 46038,
  [SMALL_STATE(2807)] = 46146,
  [SMALL_STATE(2808)] = 46208,
  [SMALL_STATE(2809)] = 46270,
  [SMALL_STATE(2810)] = 46342,
  [SMALL_STATE(2811)] = 46404,
  [SMALL_STATE(2812)] = 46512,
  [SMALL_STATE(2813)] = 46620,
  [SMALL_STATE(2814)] = 46690,
  [SMALL_STATE(2815)] = 46798,
  [SMALL_STATE(2816)] = 46874,
  [SMALL_STATE(2817)] = 46936,
  [SMALL_STATE(2818)] = 47008,
  [SMALL_STATE(2819)] = 47070,
  [SMALL_STATE(2820)] = 47132,
  [SMALL_STATE(2821)] = 47198,
  [SMALL_STATE(2822)] = 47260,
  [SMALL_STATE(2823)] = 47322,
  [SMALL_STATE(2824)] = 47384,
  [SMALL_STATE(2825)] = 47446,
  [SMALL_STATE(2826)] = 47516,
  [SMALL_STATE(2827)] = 47624,
  [SMALL_STATE(2828)] = 47694,
  [SMALL_STATE(2829)] = 47756,
  [SMALL_STATE(2830)] = 47818,
  [SMALL_STATE(2831)] = 47926,
  [SMALL_STATE(2832)] = 48034,
  [SMALL_STATE(2833)] = 48096,
  [SMALL_STATE(2834)] = 48204,
  [SMALL_STATE(2835)] = 48312,
  [SMALL_STATE(2836)] = 48376,
  [SMALL_STATE(2837)] = 48438,
  [SMALL_STATE(2838)] = 48500,
  [SMALL_STATE(2839)] = 48562,
  [SMALL_STATE(2840)] = 48670,
  [SMALL_STATE(2841)] = 48778,
  [SMALL_STATE(2842)] = 48840,
  [SMALL_STATE(2843)] = 48906,
  [SMALL_STATE(2844)] = 48968,
  [SMALL_STATE(2845)] = 49076,
  [SMALL_STATE(2846)] = 49138,
  [SMALL_STATE(2847)] = 49206,
  [SMALL_STATE(2848)] = 49272,
  [SMALL_STATE(2849)] = 49334,
  [SMALL_STATE(2850)] = 49408,
  [SMALL_STATE(2851)] = 49516,
  [SMALL_STATE(2852)] = 49628,
  [SMALL_STATE(2853)] = 49696,
  [SMALL_STATE(2854)] = 49758,
  [SMALL_STATE(2855)] = 49866,
  [SMALL_STATE(2856)] = 49928,
  [SMALL_STATE(2857)] = 49990,
  [SMALL_STATE(2858)] = 50102,
  [SMALL_STATE(2859)] = 50164,
  [SMALL_STATE(2860)] = 50226,
  [SMALL_STATE(2861)] = 50292,
  [SMALL_STATE(2862)] = 50354,
  [SMALL_STATE(2863)] = 50416,
  [SMALL_STATE(2864)] = 50478,
  [SMALL_STATE(2865)] = 50586,
  [SMALL_STATE(2866)] = 50656,
  [SMALL_STATE(2867)] = 50718,
  [SMALL_STATE(2868)] = 50779,
  [SMALL_STATE(2869)] = 50846,
  [SMALL_STATE(2870)] = 50907,
  [SMALL_STATE(2871)] = 50976,
  [SMALL_STATE(2872)] = 51037,
  [SMALL_STATE(2873)] = 51098,
  [SMALL_STATE(2874)] = 51165,
  [SMALL_STATE(2875)] = 51246,
  [SMALL_STATE(2876)] = 51313,
  [SMALL_STATE(2877)] = 51392,
  [SMALL_STATE(2878)] = 51475,
  [SMALL_STATE(2879)] = 51562,
  [SMALL_STATE(2880)] = 51651,
  [SMALL_STATE(2881)] = 51744,
  [SMALL_STATE(2882)] = 51805,
  [SMALL_STATE(2883)] = 51866,
  [SMALL_STATE(2884)] = 51947,
  [SMALL_STATE(2885)] = 52042,
  [SMALL_STATE(2886)] = 52153,
  [SMALL_STATE(2887)] = 52232,
  [SMALL_STATE(2888)] = 52331,
  [SMALL_STATE(2889)] = 52414,
  [SMALL_STATE(2890)] = 52517,
  [SMALL_STATE(2891)] = 52604,
  [SMALL_STATE(2892)] = 52679,
  [SMALL_STATE(2893)] = 52768,
  [SMALL_STATE(2894)] = 52861,
  [SMALL_STATE(2895)] = 52928,
  [SMALL_STATE(2896)] = 53005,
  [SMALL_STATE(2897)] = 53100,
  [SMALL_STATE(2898)] = 53199,
  [SMALL_STATE(2899)] = 53302,
  [SMALL_STATE(2900)] = 53367,
  [SMALL_STATE(2901)] = 53432,
  [SMALL_STATE(2902)] = 53497,
  [SMALL_STATE(2903)] = 53608,
  [SMALL_STATE(2904)] = 53669,
  [SMALL_STATE(2905)] = 53730,
  [SMALL_STATE(2906)] = 53793,
  [SMALL_STATE(2907)] = 53862,
  [SMALL_STATE(2908)] = 53923,
  [SMALL_STATE(2909)] = 53984,
  [SMALL_STATE(2910)] = 54045,
  [SMALL_STATE(2911)] = 54106,
  [SMALL_STATE(2912)] = 54167,
  [SMALL_STATE(2913)] = 54232,
  [SMALL_STATE(2914)] = 54293,
  [SMALL_STATE(2915)] = 54354,
  [SMALL_STATE(2916)] = 54419,
  [SMALL_STATE(2917)] = 54484,
  [SMALL_STATE(2918)] = 54595,
  [SMALL_STATE(2919)] = 54656,
  [SMALL_STATE(2920)] = 54733,
  [SMALL_STATE(2921)] = 54840,
  [SMALL_STATE(2922)] = 54905,
  [SMALL_STATE(2923)] = 54970,
  [SMALL_STATE(2924)] = 55031,
  [SMALL_STATE(2925)] = 55096,
  [SMALL_STATE(2926)] = 55161,
  [SMALL_STATE(2927)] = 55222,
  [SMALL_STATE(2928)] = 55287,
  [SMALL_STATE(2929)] = 55394,
  [SMALL_STATE(2930)] = 55459,
  [SMALL_STATE(2931)] = 55566,
  [SMALL_STATE(2932)] = 55627,
  [SMALL_STATE(2933)] = 55738,
  [SMALL_STATE(2934)] = 55845,
  [SMALL_STATE(2935)] = 55956,
  [SMALL_STATE(2936)] = 56021,
  [SMALL_STATE(2937)] = 56128,
  [SMALL_STATE(2938)] = 56189,
  [SMALL_STATE(2939)] = 56250,
  [SMALL_STATE(2940)] = 56311,
  [SMALL_STATE(2941)] = 56380,
  [SMALL_STATE(2942)] = 56445,
  [SMALL_STATE(2943)] = 56506,
  [SMALL_STATE(2944)] = 56571,
  [SMALL_STATE(2945)] = 56632,
  [SMALL_STATE(2946)] = 56739,
  [SMALL_STATE(2947)] = 56806,
  [SMALL_STATE(2948)] = 56871,
  [SMALL_STATE(2949)] = 56940,
  [SMALL_STATE(2950)] = 57001,
  [SMALL_STATE(2951)] = 57066,
  [SMALL_STATE(2952)] = 57173,
  [SMALL_STATE(2953)] = 57238,
  [SMALL_STATE(2954)] = 57303,
  [SMALL_STATE(2955)] = 57364,
  [SMALL_STATE(2956)] = 57425,
  [SMALL_STATE(2957)] = 57498,
  [SMALL_STATE(2958)] = 57559,
  [SMALL_STATE(2959)] = 57634,
  [SMALL_STATE(2960)] = 57699,
  [SMALL_STATE(2961)] = 57760,
  [SMALL_STATE(2962)] = 57825,
  [SMALL_STATE(2963)] = 57890,
  [SMALL_STATE(2964)] = 57957,
  [SMALL_STATE(2965)] = 58022,
  [SMALL_STATE(2966)] = 58097,
  [SMALL_STATE(2967)] = 58162,
  [SMALL_STATE(2968)] = 58229,
  [SMALL_STATE(2969)] = 58304,
  [SMALL_STATE(2970)] = 58365,
  [SMALL_STATE(2971)] = 58432,
  [SMALL_STATE(2972)] = 58539,
  [SMALL_STATE(2973)] = 58612,
  [SMALL_STATE(2974)] = 58723,
  [SMALL_STATE(2975)] = 58788,
  [SMALL_STATE(2976)] = 58855,
  [SMALL_STATE(2977)] = 58916,
  [SMALL_STATE(2978)] = 58981,
  [SMALL_STATE(2979)] = 59046,
  [SMALL_STATE(2980)] = 59111,
  [SMALL_STATE(2981)] = 59222,
  [SMALL_STATE(2982)] = 59287,
  [SMALL_STATE(2983)] = 59348,
  [SMALL_STATE(2984)] = 59413,
  [SMALL_STATE(2985)] = 59482,
  [SMALL_STATE(2986)] = 59545,
  [SMALL_STATE(2987)] = 59656,
  [SMALL_STATE(2988)] = 59719,
  [SMALL_STATE(2989)] = 59780,
  [SMALL_STATE(2990)] = 59855,
  [SMALL_STATE(2991)] = 59916,
  [SMALL_STATE(2992)] = 59981,
  [SMALL_STATE(2993)] = 60049,
  [SMALL_STATE(2994)] = 60111,
  [SMALL_STATE(2995)] = 60171,
  [SMALL_STATE(2996)] = 60231,
  [SMALL_STATE(2997)] = 60303,
  [SMALL_STATE(2998)] = 60411,
  [SMALL_STATE(2999)] = 60567,
  [SMALL_STATE(3000)] = 60677,
  [SMALL_STATE(3001)] = 60737,
  [SMALL_STATE(3002)] = 60841,
  [SMALL_STATE(3003)] = 60917,
  [SMALL_STATE(3004)] = 60977,
  [SMALL_STATE(3005)] = 61037,
  [SMALL_STATE(3006)] = 61097,
  [SMALL_STATE(3007)] = 61193,
  [SMALL_STATE(3008)] = 61255,
  [SMALL_STATE(3009)] = 61411,
  [SMALL_STATE(3010)] = 61485,
  [SMALL_STATE(3011)] = 61545,
  [SMALL_STATE(3012)] = 61607,
  [SMALL_STATE(3013)] = 61707,
  [SMALL_STATE(3014)] = 61771,
  [SMALL_STATE(3015)] = 61835,
  [SMALL_STATE(3016)] = 61899,
  [SMALL_STATE(3017)] = 61971,
  [SMALL_STATE(3018)] = 62031,
  [SMALL_STATE(3019)] = 62091,
  [SMALL_STATE(3020)] = 62195,
  [SMALL_STATE(3021)] = 62257,
  [SMALL_STATE(3022)] = 62317,
  [SMALL_STATE(3023)] = 62379,
  [SMALL_STATE(3024)] = 62439,
  [SMALL_STATE(3025)] = 62531,
  [SMALL_STATE(3026)] = 62621,
  [SMALL_STATE(3027)] = 62681,
  [SMALL_STATE(3028)] = 62741,
  [SMALL_STATE(3029)] = 62815,
  [SMALL_STATE(3030)] = 62889,
  [SMALL_STATE(3031)] = 62975,
  [SMALL_STATE(3032)] = 63047,
  [SMALL_STATE(3033)] = 63107,
  [SMALL_STATE(3034)] = 63191,
  [SMALL_STATE(3035)] = 63347,
  [SMALL_STATE(3036)] = 63409,
  [SMALL_STATE(3037)] = 63491,
  [SMALL_STATE(3038)] = 63569,
  [SMALL_STATE(3039)] = 63679,
  [SMALL_STATE(3040)] = 63741,
  [SMALL_STATE(3041)] = 63821,
  [SMALL_STATE(3042)] = 63895,
  [SMALL_STATE(3043)] = 63955,
  [SMALL_STATE(3044)] = 64015,
  [SMALL_STATE(3045)] = 64125,
  [SMALL_STATE(3046)] = 64197,
  [SMALL_STATE(3047)] = 64257,
  [SMALL_STATE(3048)] = 64331,
  [SMALL_STATE(3049)] = 64405,
  [SMALL_STATE(3050)] = 64511,
  [SMALL_STATE(3051)] = 64583,
  [SMALL_STATE(3052)] = 64645,
  [SMALL_STATE(3053)] = 64711,
  [SMALL_STATE(3054)] = 64779,
  [SMALL_STATE(3055)] = 64841,
  [SMALL_STATE(3056)] = 64901,
  [SMALL_STATE(3057)] = 64967,
  [SMALL_STATE(3058)] = 65039,
  [SMALL_STATE(3059)] = 65143,
  [SMALL_STATE(3060)] = 65299,
  [SMALL_STATE(3061)] = 65369,
  [SMALL_STATE(3062)] = 65477,
  [SMALL_STATE(3063)] = 65581,
  [SMALL_STATE(3064)] = 65641,
  [SMALL_STATE(3065)] = 65747,
  [SMALL_STATE(3066)] = 65857,
  [SMALL_STATE(3067)] = 66013,
  [SMALL_STATE(3068)] = 66073,
  [SMALL_STATE(3069)] = 66149,
  [SMALL_STATE(3070)] = 66225,
  [SMALL_STATE(3071)] = 66285,
  [SMALL_STATE(3072)] = 66349,
  [SMALL_STATE(3073)] = 66505,
  [SMALL_STATE(3074)] = 66661,
  [SMALL_STATE(3075)] = 66769,
  [SMALL_STATE(3076)] = 66829,
  [SMALL_STATE(3077)] = 66903,
  [SMALL_STATE(3078)] = 66969,
  [SMALL_STATE(3079)] = 67029,
  [SMALL_STATE(3080)] = 67131,
  [SMALL_STATE(3081)] = 67191,
  [SMALL_STATE(3082)] = 67289,
  [SMALL_STATE(3083)] = 67383,
  [SMALL_STATE(3084)] = 67475,
  [SMALL_STATE(3085)] = 67535,
  [SMALL_STATE(3086)] = 67623,
  [SMALL_STATE(3087)] = 67709,
  [SMALL_STATE(3088)] = 67775,
  [SMALL_STATE(3089)] = 67835,
  [SMALL_STATE(3090)] = 67901,
  [SMALL_STATE(3091)] = 67965,
  [SMALL_STATE(3092)] = 68025,
  [SMALL_STATE(3093)] = 68107,
  [SMALL_STATE(3094)] = 68185,
  [SMALL_STATE(3095)] = 68249,
  [SMALL_STATE(3096)] = 68309,
  [SMALL_STATE(3097)] = 68389,
  [SMALL_STATE(3098)] = 68463,
  [SMALL_STATE(3099)] = 68523,
  [SMALL_STATE(3100)] = 68629,
  [SMALL_STATE(3101)] = 68739,
  [SMALL_STATE(3102)] = 68801,
  [SMALL_STATE(3103)] = 68867,
  [SMALL_STATE(3104)] = 68927,
  [SMALL_STATE(3105)] = 69033,
  [SMALL_STATE(3106)] = 69093,
  [SMALL_STATE(3107)] = 69203,
  [SMALL_STATE(3108)] = 69313,
  [SMALL_STATE(3109)] = 69375,
  [SMALL_STATE(3110)] = 69443,
  [SMALL_STATE(3111)] = 69553,
  [SMALL_STATE(3112)] = 69627,
  [SMALL_STATE(3113)] = 69687,
  [SMALL_STATE(3114)] = 69747,
  [SMALL_STATE(3115)] = 69819,
  [SMALL_STATE(3116)] = 69881,
  [SMALL_STATE(3117)] = 69941,
  [SMALL_STATE(3118)] = 70001,
  [SMALL_STATE(3119)] = 70069,
  [SMALL_STATE(3120)] = 70129,
  [SMALL_STATE(3121)] = 70199,
  [SMALL_STATE(3122)] = 70259,
  [SMALL_STATE(3123)] = 70319,
  [SMALL_STATE(3124)] = 70429,
  [SMALL_STATE(3125)] = 70491,
  [SMALL_STATE(3126)] = 70553,
  [SMALL_STATE(3127)] = 70613,
  [SMALL_STATE(3128)] = 70673,
  [SMALL_STATE(3129)] = 70739,
  [SMALL_STATE(3130)] = 70801,
  [SMALL_STATE(3131)] = 70861,
  [SMALL_STATE(3132)] = 70971,
  [SMALL_STATE(3133)] = 71033,
  [SMALL_STATE(3134)] = 71147,
  [SMALL_STATE(3135)] = 71209,
  [SMALL_STATE(3136)] = 71365,
  [SMALL_STATE(3137)] = 71427,
  [SMALL_STATE(3138)] = 71537,
  [SMALL_STATE(3139)] = 71601,
  [SMALL_STATE(3140)] = 71757,
  [SMALL_STATE(3141)] = 71831,
  [SMALL_STATE(3142)] = 71891,
  [SMALL_STATE(3143)] = 71953,
  [SMALL_STATE(3144)] = 72015,
  [SMALL_STATE(3145)] = 72075,
  [SMALL_STATE(3146)] = 72134,
  [SMALL_STATE(3147)] = 72193,
  [SMALL_STATE(3148)] = 72252,
  [SMALL_STATE(3149)] = 72311,
  [SMALL_STATE(3150)] = 72374,
  [SMALL_STATE(3151)] = 72437,
  [SMALL_STATE(3152)] = 72496,
  [SMALL_STATE(3153)] = 72555,
  [SMALL_STATE(3154)] = 72614,
  [SMALL_STATE(3155)] = 72673,
  [SMALL_STATE(3156)] = 72734,
  [SMALL_STATE(3157)] = 72793,
  [SMALL_STATE(3158)] = 72868,
  [SMALL_STATE(3159)] = 72933,
  [SMALL_STATE(3160)] = 72992,
  [SMALL_STATE(3161)] = 73051,
  [SMALL_STATE(3162)] = 73110,
  [SMALL_STATE(3163)] = 73183,
  [SMALL_STATE(3164)] = 73246,
  [SMALL_STATE(3165)] = 73305,
  [SMALL_STATE(3166)] = 73364,
  [SMALL_STATE(3167)] = 73423,
  [SMALL_STATE(3168)] = 73482,
  [SMALL_STATE(3169)] = 73541,
  [SMALL_STATE(3170)] = 73600,
  [SMALL_STATE(3171)] = 73659,
  [SMALL_STATE(3172)] = 73718,
  [SMALL_STATE(3173)] = 73777,
  [SMALL_STATE(3174)] = 73836,
  [SMALL_STATE(3175)] = 73895,
  [SMALL_STATE(3176)] = 73954,
  [SMALL_STATE(3177)] = 74013,
  [SMALL_STATE(3178)] = 74072,
  [SMALL_STATE(3179)] = 74131,
  [SMALL_STATE(3180)] = 74194,
  [SMALL_STATE(3181)] = 74253,
  [SMALL_STATE(3182)] = 74316,
  [SMALL_STATE(3183)] = 74375,
  [SMALL_STATE(3184)] = 74434,
  [SMALL_STATE(3185)] = 74493,
  [SMALL_STATE(3186)] = 74552,
  [SMALL_STATE(3187)] = 74611,
  [SMALL_STATE(3188)] = 74670,
  [SMALL_STATE(3189)] = 74729,
  [SMALL_STATE(3190)] = 74788,
  [SMALL_STATE(3191)] = 74847,
  [SMALL_STATE(3192)] = 74906,
  [SMALL_STATE(3193)] = 74965,
  [SMALL_STATE(3194)] = 75024,
  [SMALL_STATE(3195)] = 75083,
  [SMALL_STATE(3196)] = 75152,
  [SMALL_STATE(3197)] = 75211,
  [SMALL_STATE(3198)] = 75270,
  [SMALL_STATE(3199)] = 75335,
  [SMALL_STATE(3200)] = 75394,
  [SMALL_STATE(3201)] = 75453,
  [SMALL_STATE(3202)] = 75516,
  [SMALL_STATE(3203)] = 75575,
  [SMALL_STATE(3204)] = 75634,
  [SMALL_STATE(3205)] = 75693,
  [SMALL_STATE(3206)] = 75756,
  [SMALL_STATE(3207)] = 75815,
  [SMALL_STATE(3208)] = 75874,
  [SMALL_STATE(3209)] = 75933,
  [SMALL_STATE(3210)] = 75992,
  [SMALL_STATE(3211)] = 76055,
  [SMALL_STATE(3212)] = 76114,
  [SMALL_STATE(3213)] = 76173,
  [SMALL_STATE(3214)] = 76232,
  [SMALL_STATE(3215)] = 76291,
  [SMALL_STATE(3216)] = 76400,
  [SMALL_STATE(3217)] = 76467,
  [SMALL_STATE(3218)] = 76532,
  [SMALL_STATE(3219)] = 76591,
  [SMALL_STATE(3220)] = 76654,
  [SMALL_STATE(3221)] = 76713,
  [SMALL_STATE(3222)] = 76774,
  [SMALL_STATE(3223)] = 76833,
  [SMALL_STATE(3224)] = 76892,
  [SMALL_STATE(3225)] = 76953,
  [SMALL_STATE(3226)] = 77014,
  [SMALL_STATE(3227)] = 77073,
  [SMALL_STATE(3228)] = 77132,
  [SMALL_STATE(3229)] = 77191,
  [SMALL_STATE(3230)] = 77250,
  [SMALL_STATE(3231)] = 77309,
  [SMALL_STATE(3232)] = 77368,
  [SMALL_STATE(3233)] = 77433,
  [SMALL_STATE(3234)] = 77492,
  [SMALL_STATE(3235)] = 77551,
  [SMALL_STATE(3236)] = 77610,
  [SMALL_STATE(3237)] = 77673,
  [SMALL_STATE(3238)] = 77732,
  [SMALL_STATE(3239)] = 77791,
  [SMALL_STATE(3240)] = 77850,
  [SMALL_STATE(3241)] = 77909,
  [SMALL_STATE(3242)] = 77968,
  [SMALL_STATE(3243)] = 78027,
  [SMALL_STATE(3244)] = 78086,
  [SMALL_STATE(3245)] = 78145,
  [SMALL_STATE(3246)] = 78204,
  [SMALL_STATE(3247)] = 78263,
  [SMALL_STATE(3248)] = 78372,
  [SMALL_STATE(3249)] = 78431,
  [SMALL_STATE(3250)] = 78490,
  [SMALL_STATE(3251)] = 78549,
  [SMALL_STATE(3252)] = 78616,
  [SMALL_STATE(3253)] = 78683,
  [SMALL_STATE(3254)] = 78746,
  [SMALL_STATE(3255)] = 78809,
  [SMALL_STATE(3256)] = 78868,
  [SMALL_STATE(3257)] = 78927,
  [SMALL_STATE(3258)] = 78986,
  [SMALL_STATE(3259)] = 79045,
  [SMALL_STATE(3260)] = 79104,
  [SMALL_STATE(3261)] = 79163,
  [SMALL_STATE(3262)] = 79222,
  [SMALL_STATE(3263)] = 79281,
  [SMALL_STATE(3264)] = 79340,
  [SMALL_STATE(3265)] = 79399,
  [SMALL_STATE(3266)] = 79458,
  [SMALL_STATE(3267)] = 79517,
  [SMALL_STATE(3268)] = 79576,
  [SMALL_STATE(3269)] = 79635,
  [SMALL_STATE(3270)] = 79694,
  [SMALL_STATE(3271)] = 79753,
  [SMALL_STATE(3272)] = 79812,
  [SMALL_STATE(3273)] = 79871,
  [SMALL_STATE(3274)] = 79930,
  [SMALL_STATE(3275)] = 79989,
  [SMALL_STATE(3276)] = 80056,
  [SMALL_STATE(3277)] = 80115,
  [SMALL_STATE(3278)] = 80174,
  [SMALL_STATE(3279)] = 80233,
  [SMALL_STATE(3280)] = 80292,
  [SMALL_STATE(3281)] = 80351,
  [SMALL_STATE(3282)] = 80410,
  [SMALL_STATE(3283)] = 80469,
  [SMALL_STATE(3284)] = 80528,
  [SMALL_STATE(3285)] = 80587,
  [SMALL_STATE(3286)] = 80646,
  [SMALL_STATE(3287)] = 80707,
  [SMALL_STATE(3288)] = 80766,
  [SMALL_STATE(3289)] = 80825,
  [SMALL_STATE(3290)] = 80884,
  [SMALL_STATE(3291)] = 80949,
  [SMALL_STATE(3292)] = 81008,
  [SMALL_STATE(3293)] = 81067,
  [SMALL_STATE(3294)] = 81126,
  [SMALL_STATE(3295)] = 81185,
  [SMALL_STATE(3296)] = 81244,
  [SMALL_STATE(3297)] = 81303,
  [SMALL_STATE(3298)] = 81362,
  [SMALL_STATE(3299)] = 81421,
  [SMALL_STATE(3300)] = 81480,
  [SMALL_STATE(3301)] = 81545,
  [SMALL_STATE(3302)] = 81604,
  [SMALL_STATE(3303)] = 81663,
  [SMALL_STATE(3304)] = 81722,
  [SMALL_STATE(3305)] = 81781,
  [SMALL_STATE(3306)] = 81840,
  [SMALL_STATE(3307)] = 81899,
  [SMALL_STATE(3308)] = 81958,
  [SMALL_STATE(3309)] = 82017,
  [SMALL_STATE(3310)] = 82076,
  [SMALL_STATE(3311)] = 82135,
  [SMALL_STATE(3312)] = 82194,
  [SMALL_STATE(3313)] = 82303,
  [SMALL_STATE(3314)] = 82362,
  [SMALL_STATE(3315)] = 82421,
  [SMALL_STATE(3316)] = 82494,
  [SMALL_STATE(3317)] = 82553,
  [SMALL_STATE(3318)] = 82612,
  [SMALL_STATE(3319)] = 82671,
  [SMALL_STATE(3320)] = 82730,
  [SMALL_STATE(3321)] = 82789,
  [SMALL_STATE(3322)] = 82848,
  [SMALL_STATE(3323)] = 82915,
  [SMALL_STATE(3324)] = 82974,
  [SMALL_STATE(3325)] = 83033,
  [SMALL_STATE(3326)] = 83092,
  [SMALL_STATE(3327)] = 83151,
  [SMALL_STATE(3328)] = 83220,
  [SMALL_STATE(3329)] = 83279,
  [SMALL_STATE(3330)] = 83338,
  [SMALL_STATE(3331)] = 83397,
  [SMALL_STATE(3332)] = 83456,
  [SMALL_STATE(3333)] = 83515,
  [SMALL_STATE(3334)] = 83574,
  [SMALL_STATE(3335)] = 83639,
  [SMALL_STATE(3336)] = 83704,
  [SMALL_STATE(3337)] = 83763,
  [SMALL_STATE(3338)] = 83822,
  [SMALL_STATE(3339)] = 83885,
  [SMALL_STATE(3340)] = 83952,
  [SMALL_STATE(3341)] = 84011,
  [SMALL_STATE(3342)] = 84070,
  [SMALL_STATE(3343)] = 84179,
  [SMALL_STATE(3344)] = 84237,
  [SMALL_STATE(3345)] = 84295,
  [SMALL_STATE(3346)] = 84353,
  [SMALL_STATE(3347)] = 84411,
  [SMALL_STATE(3348)] = 84481,
  [SMALL_STATE(3349)] = 84587,
  [SMALL_STATE(3350)] = 84649,
  [SMALL_STATE(3351)] = 84711,
  [SMALL_STATE(3352)] = 84769,
  [SMALL_STATE(3353)] = 84827,
  [SMALL_STATE(3354)] = 84889,
  [SMALL_STATE(3355)] = 84951,
  [SMALL_STATE(3356)] = 85013,
  [SMALL_STATE(3357)] = 85071,
  [SMALL_STATE(3358)] = 85129,
  [SMALL_STATE(3359)] = 85187,
  [SMALL_STATE(3360)] = 85249,
  [SMALL_STATE(3361)] = 85307,
  [SMALL_STATE(3362)] = 85365,
  [SMALL_STATE(3363)] = 85423,
  [SMALL_STATE(3364)] = 85485,
  [SMALL_STATE(3365)] = 85543,
  [SMALL_STATE(3366)] = 85617,
  [SMALL_STATE(3367)] = 85689,
  [SMALL_STATE(3368)] = 85789,
  [SMALL_STATE(3369)] = 85887,
  [SMALL_STATE(3370)] = 85981,
  [SMALL_STATE(3371)] = 86071,
  [SMALL_STATE(3372)] = 86157,
  [SMALL_STATE(3373)] = 86241,
  [SMALL_STATE(3374)] = 86321,
  [SMALL_STATE(3375)] = 86397,
  [SMALL_STATE(3376)] = 86455,
  [SMALL_STATE(3377)] = 86533,
  [SMALL_STATE(3378)] = 86591,
  [SMALL_STATE(3379)] = 86649,
  [SMALL_STATE(3380)] = 86707,
  [SMALL_STATE(3381)] = 86765,
  [SMALL_STATE(3382)] = 86823,
  [SMALL_STATE(3383)] = 86881,
  [SMALL_STATE(3384)] = 86939,
  [SMALL_STATE(3385)] = 86997,
  [SMALL_STATE(3386)] = 87059,
  [SMALL_STATE(3387)] = 87129,
  [SMALL_STATE(3388)] = 87193,
  [SMALL_STATE(3389)] = 87251,
  [SMALL_STATE(3390)] = 87323,
  [SMALL_STATE(3391)] = 87385,
  [SMALL_STATE(3392)] = 87453,
  [SMALL_STATE(3393)] = 87511,
  [SMALL_STATE(3394)] = 87569,
  [SMALL_STATE(3395)] = 87671,
  [SMALL_STATE(3396)] = 87729,
  [SMALL_STATE(3397)] = 87787,
  [SMALL_STATE(3398)] = 87851,
  [SMALL_STATE(3399)] = 87915,
  [SMALL_STATE(3400)] = 87977,
  [SMALL_STATE(3401)] = 88035,
  [SMALL_STATE(3402)] = 88093,
  [SMALL_STATE(3403)] = 88151,
  [SMALL_STATE(3404)] = 88209,
  [SMALL_STATE(3405)] = 88271,
  [SMALL_STATE(3406)] = 88329,
  [SMALL_STATE(3407)] = 88387,
  [SMALL_STATE(3408)] = 88445,
  [SMALL_STATE(3409)] = 88503,
  [SMALL_STATE(3410)] = 88561,
  [SMALL_STATE(3411)] = 88619,
  [SMALL_STATE(3412)] = 88677,
  [SMALL_STATE(3413)] = 88735,
  [SMALL_STATE(3414)] = 88793,
  [SMALL_STATE(3415)] = 88851,
  [SMALL_STATE(3416)] = 88909,
  [SMALL_STATE(3417)] = 88967,
  [SMALL_STATE(3418)] = 89037,
  [SMALL_STATE(3419)] = 89095,
  [SMALL_STATE(3420)] = 89153,
  [SMALL_STATE(3421)] = 89255,
  [SMALL_STATE(3422)] = 89313,
  [SMALL_STATE(3423)] = 89371,
  [SMALL_STATE(3424)] = 89429,
  [SMALL_STATE(3425)] = 89487,
  [SMALL_STATE(3426)] = 89545,
  [SMALL_STATE(3427)] = 89603,
  [SMALL_STATE(3428)] = 89661,
  [SMALL_STATE(3429)] = 89719,
  [SMALL_STATE(3430)] = 89777,
  [SMALL_STATE(3431)] = 89835,
  [SMALL_STATE(3432)] = 89893,
  [SMALL_STATE(3433)] = 89951,
  [SMALL_STATE(3434)] = 90009,
  [SMALL_STATE(3435)] = 90067,
  [SMALL_STATE(3436)] = 90139,
  [SMALL_STATE(3437)] = 90211,
  [SMALL_STATE(3438)] = 90281,
  [SMALL_STATE(3439)] = 90383,
  [SMALL_STATE(3440)] = 90441,
  [SMALL_STATE(3441)] = 90499,
  [SMALL_STATE(3442)] = 90557,
  [SMALL_STATE(3443)] = 90615,
  [SMALL_STATE(3444)] = 90673,
  [SMALL_STATE(3445)] = 90749,
  [SMALL_STATE(3446)] = 90807,
  [SMALL_STATE(3447)] = 90873,
  [SMALL_STATE(3448)] = 90933,
  [SMALL_STATE(3449)] = 91003,
  [SMALL_STATE(3450)] = 91069,
  [SMALL_STATE(3451)] = 91127,
  [SMALL_STATE(3452)] = 91185,
  [SMALL_STATE(3453)] = 91243,
  [SMALL_STATE(3454)] = 91301,
  [SMALL_STATE(3455)] = 91409,
  [SMALL_STATE(3456)] = 91467,
  [SMALL_STATE(3457)] = 91545,
  [SMALL_STATE(3458)] = 91603,
  [SMALL_STATE(3459)] = 91661,
  [SMALL_STATE(3460)] = 91719,
  [SMALL_STATE(3461)] = 91777,
  [SMALL_STATE(3462)] = 91835,
  [SMALL_STATE(3463)] = 91941,
  [SMALL_STATE(3464)] = 92003,
  [SMALL_STATE(3465)] = 92069,
  [SMALL_STATE(3466)] = 92127,
  [SMALL_STATE(3467)] = 92185,
  [SMALL_STATE(3468)] = 92243,
  [SMALL_STATE(3469)] = 92307,
  [SMALL_STATE(3470)] = 92369,
  [SMALL_STATE(3471)] = 92427,
  [SMALL_STATE(3472)] = 92529,
  [SMALL_STATE(3473)] = 92587,
  [SMALL_STATE(3474)] = 92695,
  [SMALL_STATE(3475)] = 92753,
  [SMALL_STATE(3476)] = 92859,
  [SMALL_STATE(3477)] = 92917,
  [SMALL_STATE(3478)] = 92979,
  [SMALL_STATE(3479)] = 93037,
  [SMALL_STATE(3480)] = 93095,
  [SMALL_STATE(3481)] = 93153,
  [SMALL_STATE(3482)] = 93211,
  [SMALL_STATE(3483)] = 93269,
  [SMALL_STATE(3484)] = 93327,
  [SMALL_STATE(3485)] = 93386,
  [SMALL_STATE(3486)] = 93443,
  [SMALL_STATE(3487)] = 93506,
  [SMALL_STATE(3488)] = 93563,
  [SMALL_STATE(3489)] = 93624,
  [SMALL_STATE(3490)] = 93717,
  [SMALL_STATE(3491)] = 93776,
  [SMALL_STATE(3492)] = 93843,
  [SMALL_STATE(3493)] = 93948,
  [SMALL_STATE(3494)] = 94005,
  [SMALL_STATE(3495)] = 94064,
  [SMALL_STATE(3496)] = 94121,
  [SMALL_STATE(3497)] = 94182,
  [SMALL_STATE(3498)] = 94247,
  [SMALL_STATE(3499)] = 94304,
  [SMALL_STATE(3500)] = 94361,
  [SMALL_STATE(3501)] = 94418,
  [SMALL_STATE(3502)] = 94511,
  [SMALL_STATE(3503)] = 94568,
  [SMALL_STATE(3504)] = 94661,
  [SMALL_STATE(3505)] = 94730,
  [SMALL_STATE(3506)] = 94787,
  [SMALL_STATE(3507)] = 94844,
  [SMALL_STATE(3508)] = 94901,
  [SMALL_STATE(3509)] = 94958,
  [SMALL_STATE(3510)] = 95025,
  [SMALL_STATE(3511)] = 95084,
  [SMALL_STATE(3512)] = 95177,
  [SMALL_STATE(3513)] = 95234,
  [SMALL_STATE(3514)] = 95327,
  [SMALL_STATE(3515)] = 95386,
  [SMALL_STATE(3516)] = 95443,
  [SMALL_STATE(3517)] = 95512,
  [SMALL_STATE(3518)] = 95577,
  [SMALL_STATE(3519)] = 95634,
  [SMALL_STATE(3520)] = 95727,
  [SMALL_STATE(3521)] = 95786,
  [SMALL_STATE(3522)] = 95843,
  [SMALL_STATE(3523)] = 95908,
  [SMALL_STATE(3524)] = 95964,
  [SMALL_STATE(3525)] = 96020,
  [SMALL_STATE(3526)] = 96122,
  [SMALL_STATE(3527)] = 96178,
  [SMALL_STATE(3528)] = 96234,
  [SMALL_STATE(3529)] = 96290,
  [SMALL_STATE(3530)] = 96392,
  [SMALL_STATE(3531)] = 96494,
  [SMALL_STATE(3532)] = 96550,
  [SMALL_STATE(3533)] = 96652,
  [SMALL_STATE(3534)] = 96708,
  [SMALL_STATE(3535)] = 96810,
  [SMALL_STATE(3536)] = 96912,
  [SMALL_STATE(3537)] = 97014,
  [SMALL_STATE(3538)] = 97116,
  [SMALL_STATE(3539)] = 97218,
  [SMALL_STATE(3540)] = 97274,
  [SMALL_STATE(3541)] = 97330,
  [SMALL_STATE(3542)] = 97386,
  [SMALL_STATE(3543)] = 97442,
  [SMALL_STATE(3544)] = 97544,
  [SMALL_STATE(3545)] = 97600,
  [SMALL_STATE(3546)] = 97656,
  [SMALL_STATE(3547)] = 97712,
  [SMALL_STATE(3548)] = 97814,
  [SMALL_STATE(3549)] = 97916,
  [SMALL_STATE(3550)] = 98018,
  [SMALL_STATE(3551)] = 98074,
  [SMALL_STATE(3552)] = 98176,
  [SMALL_STATE(3553)] = 98278,
  [SMALL_STATE(3554)] = 98380,
  [SMALL_STATE(3555)] = 98436,
  [SMALL_STATE(3556)] = 98492,
  [SMALL_STATE(3557)] = 98548,
  [SMALL_STATE(3558)] = 98604,
  [SMALL_STATE(3559)] = 98660,
  [SMALL_STATE(3560)] = 98762,
  [SMALL_STATE(3561)] = 98864,
  [SMALL_STATE(3562)] = 98966,
  [SMALL_STATE(3563)] = 99036,
  [SMALL_STATE(3564)] = 99138,
  [SMALL_STATE(3565)] = 99194,
  [SMALL_STATE(3566)] = 99296,
  [SMALL_STATE(3567)] = 99398,
  [SMALL_STATE(3568)] = 99500,
  [SMALL_STATE(3569)] = 99602,
  [SMALL_STATE(3570)] = 99664,
  [SMALL_STATE(3571)] = 99720,
  [SMALL_STATE(3572)] = 99776,
  [SMALL_STATE(3573)] = 99878,
  [SMALL_STATE(3574)] = 99934,
  [SMALL_STATE(3575)] = 100036,
  [SMALL_STATE(3576)] = 100092,
  [SMALL_STATE(3577)] = 100194,
  [SMALL_STATE(3578)] = 100296,
  [SMALL_STATE(3579)] = 100398,
  [SMALL_STATE(3580)] = 100468,
  [SMALL_STATE(3581)] = 100560,
  [SMALL_STATE(3582)] = 100662,
  [SMALL_STATE(3583)] = 100718,
  [SMALL_STATE(3584)] = 100774,
  [SMALL_STATE(3585)] = 100846,
  [SMALL_STATE(3586)] = 100948,
  [SMALL_STATE(3587)] = 101004,
  [SMALL_STATE(3588)] = 101110,
  [SMALL_STATE(3589)] = 101176,
  [SMALL_STATE(3590)] = 101278,
  [SMALL_STATE(3591)] = 101384,
  [SMALL_STATE(3592)] = 101444,
  [SMALL_STATE(3593)] = 101546,
  [SMALL_STATE(3594)] = 101602,
  [SMALL_STATE(3595)] = 101672,
  [SMALL_STATE(3596)] = 101728,
  [SMALL_STATE(3597)] = 101830,
  [SMALL_STATE(3598)] = 101902,
  [SMALL_STATE(3599)] = 101958,
  [SMALL_STATE(3600)] = 102060,
  [SMALL_STATE(3601)] = 102152,
  [SMALL_STATE(3602)] = 102208,
  [SMALL_STATE(3603)] = 102264,
  [SMALL_STATE(3604)] = 102366,
  [SMALL_STATE(3605)] = 102438,
  [SMALL_STATE(3606)] = 102540,
  [SMALL_STATE(3607)] = 102642,
  [SMALL_STATE(3608)] = 102698,
  [SMALL_STATE(3609)] = 102800,
  [SMALL_STATE(3610)] = 102902,
  [SMALL_STATE(3611)] = 102958,
  [SMALL_STATE(3612)] = 103026,
  [SMALL_STATE(3613)] = 103082,
  [SMALL_STATE(3614)] = 103146,
  [SMALL_STATE(3615)] = 103248,
  [SMALL_STATE(3616)] = 103350,
  [SMALL_STATE(3617)] = 103452,
  [SMALL_STATE(3618)] = 103554,
  [SMALL_STATE(3619)] = 103656,
  [SMALL_STATE(3620)] = 103712,
  [SMALL_STATE(3621)] = 103768,
  [SMALL_STATE(3622)] = 103830,
  [SMALL_STATE(3623)] = 103886,
  [SMALL_STATE(3624)] = 103988,
  [SMALL_STATE(3625)] = 104044,
  [SMALL_STATE(3626)] = 104100,
  [SMALL_STATE(3627)] = 104202,
  [SMALL_STATE(3628)] = 104304,
  [SMALL_STATE(3629)] = 104360,
  [SMALL_STATE(3630)] = 104462,
  [SMALL_STATE(3631)] = 104518,
  [SMALL_STATE(3632)] = 104574,
  [SMALL_STATE(3633)] = 104638,
  [SMALL_STATE(3634)] = 104694,
  [SMALL_STATE(3635)] = 104750,
  [SMALL_STATE(3636)] = 104852,
  [SMALL_STATE(3637)] = 104908,
  [SMALL_STATE(3638)] = 104966,
  [SMALL_STATE(3639)] = 105022,
  [SMALL_STATE(3640)] = 105124,
  [SMALL_STATE(3641)] = 105180,
  [SMALL_STATE(3642)] = 105236,
  [SMALL_STATE(3643)] = 105292,
  [SMALL_STATE(3644)] = 105360,
  [SMALL_STATE(3645)] = 105416,
  [SMALL_STATE(3646)] = 105472,
  [SMALL_STATE(3647)] = 105574,
  [SMALL_STATE(3648)] = 105630,
  [SMALL_STATE(3649)] = 105732,
  [SMALL_STATE(3650)] = 105788,
  [SMALL_STATE(3651)] = 105890,
  [SMALL_STATE(3652)] = 105992,
  [SMALL_STATE(3653)] = 106048,
  [SMALL_STATE(3654)] = 106104,
  [SMALL_STATE(3655)] = 106160,
  [SMALL_STATE(3656)] = 106262,
  [SMALL_STATE(3657)] = 106318,
  [SMALL_STATE(3658)] = 106420,
  [SMALL_STATE(3659)] = 106522,
  [SMALL_STATE(3660)] = 106594,
  [SMALL_STATE(3661)] = 106650,
  [SMALL_STATE(3662)] = 106752,
  [SMALL_STATE(3663)] = 106808,
  [SMALL_STATE(3664)] = 106910,
  [SMALL_STATE(3665)] = 106966,
  [SMALL_STATE(3666)] = 107022,
  [SMALL_STATE(3667)] = 107078,
  [SMALL_STATE(3668)] = 107134,
  [SMALL_STATE(3669)] = 107236,
  [SMALL_STATE(3670)] = 107342,
  [SMALL_STATE(3671)] = 107398,
  [SMALL_STATE(3672)] = 107454,
  [SMALL_STATE(3673)] = 107556,
  [SMALL_STATE(3674)] = 107658,
  [SMALL_STATE(3675)] = 107760,
  [SMALL_STATE(3676)] = 107862,
  [SMALL_STATE(3677)] = 107934,
  [SMALL_STATE(3678)] = 108036,
  [SMALL_STATE(3679)] = 108138,
  [SMALL_STATE(3680)] = 108194,
  [SMALL_STATE(3681)] = 108296,
  [SMALL_STATE(3682)] = 108402,
  [SMALL_STATE(3683)] = 108458,
  [SMALL_STATE(3684)] = 108528,
  [SMALL_STATE(3685)] = 108587,
  [SMALL_STATE(3686)] = 108686,
  [SMALL_STATE(3687)] = 108741,
  [SMALL_STATE(3688)] = 108800,
  [SMALL_STATE(3689)] = 108899,
  [SMALL_STATE(3690)] = 108966,
  [SMALL_STATE(3691)] = 109025,
  [SMALL_STATE(3692)] = 109124,
  [SMALL_STATE(3693)] = 109179,
  [SMALL_STATE(3694)] = 109234,
  [SMALL_STATE(3695)] = 109293,
  [SMALL_STATE(3696)] = 109348,
  [SMALL_STATE(3697)] = 109407,
  [SMALL_STATE(3698)] = 109462,
  [SMALL_STATE(3699)] = 109517,
  [SMALL_STATE(3700)] = 109572,
  [SMALL_STATE(3701)] = 109663,
  [SMALL_STATE(3702)] = 109718,
  [SMALL_STATE(3703)] = 109773,
  [SMALL_STATE(3704)] = 109864,
  [SMALL_STATE(3705)] = 109919,
  [SMALL_STATE(3706)] = 109974,
  [SMALL_STATE(3707)] = 110029,
  [SMALL_STATE(3708)] = 110084,
  [SMALL_STATE(3709)] = 110139,
  [SMALL_STATE(3710)] = 110194,
  [SMALL_STATE(3711)] = 110249,
  [SMALL_STATE(3712)] = 110304,
  [SMALL_STATE(3713)] = 110359,
  [SMALL_STATE(3714)] = 110418,
  [SMALL_STATE(3715)] = 110477,
  [SMALL_STATE(3716)] = 110532,
  [SMALL_STATE(3717)] = 110587,
  [SMALL_STATE(3718)] = 110642,
  [SMALL_STATE(3719)] = 110733,
  [SMALL_STATE(3720)] = 110788,
  [SMALL_STATE(3721)] = 110887,
  [SMALL_STATE(3722)] = 110942,
  [SMALL_STATE(3723)] = 111041,
  [SMALL_STATE(3724)] = 111100,
  [SMALL_STATE(3725)] = 111159,
  [SMALL_STATE(3726)] = 111258,
  [SMALL_STATE(3727)] = 111313,
  [SMALL_STATE(3728)] = 111412,
  [SMALL_STATE(3729)] = 111503,
  [SMALL_STATE(3730)] = 111602,
  [SMALL_STATE(3731)] = 111657,
  [SMALL_STATE(3732)] = 111712,
  [SMALL_STATE(3733)] = 111767,
  [SMALL_STATE(3734)] = 111822,
  [SMALL_STATE(3735)] = 111881,
  [SMALL_STATE(3736)] = 111936,
  [SMALL_STATE(3737)] = 111993,
  [SMALL_STATE(3738)] = 112052,
  [SMALL_STATE(3739)] = 112151,
  [SMALL_STATE(3740)] = 112214,
  [SMALL_STATE(3741)] = 112273,
  [SMALL_STATE(3742)] = 112328,
  [SMALL_STATE(3743)] = 112391,
  [SMALL_STATE(3744)] = 112450,
  [SMALL_STATE(3745)] = 112505,
  [SMALL_STATE(3746)] = 112560,
  [SMALL_STATE(3747)] = 112627,
  [SMALL_STATE(3748)] = 112726,
  [SMALL_STATE(3749)] = 112781,
  [SMALL_STATE(3750)] = 112880,
  [SMALL_STATE(3751)] = 112979,
  [SMALL_STATE(3752)] = 113078,
  [SMALL_STATE(3753)] = 113133,
  [SMALL_STATE(3754)] = 113232,
  [SMALL_STATE(3755)] = 113291,
  [SMALL_STATE(3756)] = 113390,
  [SMALL_STATE(3757)] = 113445,
  [SMALL_STATE(3758)] = 113508,
  [SMALL_STATE(3759)] = 113598,
  [SMALL_STATE(3760)] = 113690,
  [SMALL_STATE(3761)] = 113744,
  [SMALL_STATE(3762)] = 113808,
  [SMALL_STATE(3763)] = 113900,
  [SMALL_STATE(3764)] = 113992,
  [SMALL_STATE(3765)] = 114050,
  [SMALL_STATE(3766)] = 114142,
  [SMALL_STATE(3767)] = 114234,
  [SMALL_STATE(3768)] = 114326,
  [SMALL_STATE(3769)] = 114418,
  [SMALL_STATE(3770)] = 114510,
  [SMALL_STATE(3771)] = 114602,
  [SMALL_STATE(3772)] = 114692,
  [SMALL_STATE(3773)] = 114750,
  [SMALL_STATE(3774)] = 114842,
  [SMALL_STATE(3775)] = 114912,
  [SMALL_STATE(3776)] = 114972,
  [SMALL_STATE(3777)] = 115030,
  [SMALL_STATE(3778)] = 115088,
  [SMALL_STATE(3779)] = 115146,
  [SMALL_STATE(3780)] = 115238,
  [SMALL_STATE(3781)] = 115330,
  [SMALL_STATE(3782)] = 115422,
  [SMALL_STATE(3783)] = 115476,
  [SMALL_STATE(3784)] = 115568,
  [SMALL_STATE(3785)] = 115628,
  [SMALL_STATE(3786)] = 115686,
  [SMALL_STATE(3787)] = 115754,
  [SMALL_STATE(3788)] = 115812,
  [SMALL_STATE(3789)] = 115870,
  [SMALL_STATE(3790)] = 115930,
  [SMALL_STATE(3791)] = 116022,
  [SMALL_STATE(3792)] = 116086,
  [SMALL_STATE(3793)] = 116178,
  [SMALL_STATE(3794)] = 116270,
  [SMALL_STATE(3795)] = 116330,
  [SMALL_STATE(3796)] = 116422,
  [SMALL_STATE(3797)] = 116480,
  [SMALL_STATE(3798)] = 116538,
  [SMALL_STATE(3799)] = 116596,
  [SMALL_STATE(3800)] = 116666,
  [SMALL_STATE(3801)] = 116736,
  [SMALL_STATE(3802)] = 116794,
  [SMALL_STATE(3803)] = 116864,
  [SMALL_STATE(3804)] = 116919,
  [SMALL_STATE(3805)] = 116984,
  [SMALL_STATE(3806)] = 117043,
  [SMALL_STATE(3807)] = 117132,
  [SMALL_STATE(3808)] = 117185,
  [SMALL_STATE(3809)] = 117250,
  [SMALL_STATE(3810)] = 117303,
  [SMALL_STATE(3811)] = 117362,
  [SMALL_STATE(3812)] = 117423,
  [SMALL_STATE(3813)] = 117476,
  [SMALL_STATE(3814)] = 117529,
  [SMALL_STATE(3815)] = 117618,
  [SMALL_STATE(3816)] = 117677,
  [SMALL_STATE(3817)] = 117736,
  [SMALL_STATE(3818)] = 117789,
  [SMALL_STATE(3819)] = 117842,
  [SMALL_STATE(3820)] = 117911,
  [SMALL_STATE(3821)] = 117964,
  [SMALL_STATE(3822)] = 118052,
  [SMALL_STATE(3823)] = 118140,
  [SMALL_STATE(3824)] = 118228,
  [SMALL_STATE(3825)] = 118316,
  [SMALL_STATE(3826)] = 118404,
  [SMALL_STATE(3827)] = 118492,
  [SMALL_STATE(3828)] = 118560,
  [SMALL_STATE(3829)] = 118612,
  [SMALL_STATE(3830)] = 118700,
  [SMALL_STATE(3831)] = 118752,
  [SMALL_STATE(3832)] = 118840,
  [SMALL_STATE(3833)] = 118904,
  [SMALL_STATE(3834)] = 118992,
  [SMALL_STATE(3835)] = 119080,
  [SMALL_STATE(3836)] = 119164,
  [SMALL_STATE(3837)] = 119228,
  [SMALL_STATE(3838)] = 119280,
  [SMALL_STATE(3839)] = 119368,
  [SMALL_STATE(3840)] = 119420,
  [SMALL_STATE(3841)] = 119472,
  [SMALL_STATE(3842)] = 119524,
  [SMALL_STATE(3843)] = 119612,
  [SMALL_STATE(3844)] = 119700,
  [SMALL_STATE(3845)] = 119788,
  [SMALL_STATE(3846)] = 119876,
  [SMALL_STATE(3847)] = 119960,
  [SMALL_STATE(3848)] = 120012,
  [SMALL_STATE(3849)] = 120100,
  [SMALL_STATE(3850)] = 120184,
  [SMALL_STATE(3851)] = 120272,
  [SMALL_STATE(3852)] = 120324,
  [SMALL_STATE(3853)] = 120376,
  [SMALL_STATE(3854)] = 120444,
  [SMALL_STATE(3855)] = 120512,
  [SMALL_STATE(3856)] = 120564,
  [SMALL_STATE(3857)] = 120648,
  [SMALL_STATE(3858)] = 120700,
  [SMALL_STATE(3859)] = 120752,
  [SMALL_STATE(3860)] = 120804,
  [SMALL_STATE(3861)] = 120856,
  [SMALL_STATE(3862)] = 120944,
  [SMALL_STATE(3863)] = 120996,
  [SMALL_STATE(3864)] = 121048,
  [SMALL_STATE(3865)] = 121100,
  [SMALL_STATE(3866)] = 121152,
  [SMALL_STATE(3867)] = 121240,
  [SMALL_STATE(3868)] = 121292,
  [SMALL_STATE(3869)] = 121344,
  [SMALL_STATE(3870)] = 121432,
  [SMALL_STATE(3871)] = 121484,
  [SMALL_STATE(3872)] = 121536,
  [SMALL_STATE(3873)] = 121624,
  [SMALL_STATE(3874)] = 121712,
  [SMALL_STATE(3875)] = 121780,
  [SMALL_STATE(3876)] = 121832,
  [SMALL_STATE(3877)] = 121920,
  [SMALL_STATE(3878)] = 122008,
  [SMALL_STATE(3879)] = 122060,
  [SMALL_STATE(3880)] = 122148,
  [SMALL_STATE(3881)] = 122200,
  [SMALL_STATE(3882)] = 122252,
  [SMALL_STATE(3883)] = 122304,
  [SMALL_STATE(3884)] = 122388,
  [SMALL_STATE(3885)] = 122476,
  [SMALL_STATE(3886)] = 122528,
  [SMALL_STATE(3887)] = 122580,
  [SMALL_STATE(3888)] = 122632,
  [SMALL_STATE(3889)] = 122720,
  [SMALL_STATE(3890)] = 122772,
  [SMALL_STATE(3891)] = 122860,
  [SMALL_STATE(3892)] = 122948,
  [SMALL_STATE(3893)] = 123036,
  [SMALL_STATE(3894)] = 123120,
  [SMALL_STATE(3895)] = 123173,
  [SMALL_STATE(3896)] = 123260,
  [SMALL_STATE(3897)] = 123359,
  [SMALL_STATE(3898)] = 123454,
  [SMALL_STATE(3899)] = 123537,
  [SMALL_STATE(3900)] = 123628,
  [SMALL_STATE(3901)] = 123717,
  [SMALL_STATE(3902)] = 123812,
  [SMALL_STATE(3903)] = 123913,
  [SMALL_STATE(3904)] = 123992,
  [SMALL_STATE(3905)] = 124079,
  [SMALL_STATE(3906)] = 124162,
  [SMALL_STATE(3907)] = 124213,
  [SMALL_STATE(3908)] = 124264,
  [SMALL_STATE(3909)] = 124327,
  [SMALL_STATE(3910)] = 124430,
  [SMALL_STATE(3911)] = 124515,
  [SMALL_STATE(3912)] = 124582,
  [SMALL_STATE(3913)] = 124633,
  [SMALL_STATE(3914)] = 124734,
  [SMALL_STATE(3915)] = 124833,
  [SMALL_STATE(3916)] = 124900,
  [SMALL_STATE(3917)] = 125003,
  [SMALL_STATE(3918)] = 125106,
  [SMALL_STATE(3919)] = 125175,
  [SMALL_STATE(3920)] = 125248,
  [SMALL_STATE(3921)] = 125331,
  [SMALL_STATE(3922)] = 125410,
  [SMALL_STATE(3923)] = 125485,
  [SMALL_STATE(3924)] = 125536,
  [SMALL_STATE(3925)] = 125607,
  [SMALL_STATE(3926)] = 125686,
  [SMALL_STATE(3927)] = 125751,
  [SMALL_STATE(3928)] = 125850,
  [SMALL_STATE(3929)] = 125949,
  [SMALL_STATE(3930)] = 126016,
  [SMALL_STATE(3931)] = 126069,
  [SMALL_STATE(3932)] = 126172,
  [SMALL_STATE(3933)] = 126239,
  [SMALL_STATE(3934)] = 126289,
  [SMALL_STATE(3935)] = 126345,
  [SMALL_STATE(3936)] = 126427,
  [SMALL_STATE(3937)] = 126483,
  [SMALL_STATE(3938)] = 126533,
  [SMALL_STATE(3939)] = 126589,
  [SMALL_STATE(3940)] = 126649,
  [SMALL_STATE(3941)] = 126699,
  [SMALL_STATE(3942)] = 126755,
  [SMALL_STATE(3943)] = 126841,
  [SMALL_STATE(3944)] = 126927,
  [SMALL_STATE(3945)] = 126989,
  [SMALL_STATE(3946)] = 127039,
  [SMALL_STATE(3947)] = 127101,
  [SMALL_STATE(3948)] = 127187,
  [SMALL_STATE(3949)] = 127271,
  [SMALL_STATE(3950)] = 127331,
  [SMALL_STATE(3951)] = 127381,
  [SMALL_STATE(3952)] = 127465,
  [SMALL_STATE(3953)] = 127517,
  [SMALL_STATE(3954)] = 127567,
  [SMALL_STATE(3955)] = 127651,
  [SMALL_STATE(3956)] = 127737,
  [SMALL_STATE(3957)] = 127789,
  [SMALL_STATE(3958)] = 127871,
  [SMALL_STATE(3959)] = 127955,
  [SMALL_STATE(3960)] = 128005,
  [SMALL_STATE(3961)] = 128055,
  [SMALL_STATE(3962)] = 128137,
  [SMALL_STATE(3963)] = 128193,
  [SMALL_STATE(3964)] = 128249,
  [SMALL_STATE(3965)] = 128309,
  [SMALL_STATE(3966)] = 128393,
  [SMALL_STATE(3967)] = 128477,
  [SMALL_STATE(3968)] = 128561,
  [SMALL_STATE(3969)] = 128611,
  [SMALL_STATE(3970)] = 128695,
  [SMALL_STATE(3971)] = 128777,
  [SMALL_STATE(3972)] = 128827,
  [SMALL_STATE(3973)] = 128912,
  [SMALL_STATE(3974)] = 128987,
  [SMALL_STATE(3975)] = 129040,
  [SMALL_STATE(3976)] = 129097,
  [SMALL_STATE(3977)] = 129172,
  [SMALL_STATE(3978)] = 129257,
  [SMALL_STATE(3979)] = 129308,
  [SMALL_STATE(3980)] = 129383,
  [SMALL_STATE(3981)] = 129468,
  [SMALL_STATE(3982)] = 129571,
  [SMALL_STATE(3983)] = 129674,
  [SMALL_STATE(3984)] = 129729,
  [SMALL_STATE(3985)] = 129782,
  [SMALL_STATE(3986)] = 129867,
  [SMALL_STATE(3987)] = 129970,
  [SMALL_STATE(3988)] = 130019,
  [SMALL_STATE(3989)] = 130094,
  [SMALL_STATE(3990)] = 130169,
  [SMALL_STATE(3991)] = 130244,
  [SMALL_STATE(3992)] = 130325,
  [SMALL_STATE(3993)] = 130400,
  [SMALL_STATE(3994)] = 130475,
  [SMALL_STATE(3995)] = 130550,
  [SMALL_STATE(3996)] = 130603,
  [SMALL_STATE(3997)] = 130662,
  [SMALL_STATE(3998)] = 130713,
  [SMALL_STATE(3999)] = 130788,
  [SMALL_STATE(4000)] = 130839,
  [SMALL_STATE(4001)] = 130914,
  [SMALL_STATE(4002)] = 130989,
  [SMALL_STATE(4003)] = 131052,
  [SMALL_STATE(4004)] = 131133,
  [SMALL_STATE(4005)] = 131222,
  [SMALL_STATE(4006)] = 131279,
  [SMALL_STATE(4007)] = 131337,
  [SMALL_STATE(4008)] = 131417,
  [SMALL_STATE(4009)] = 131491,
  [SMALL_STATE(4010)] = 131557,
  [SMALL_STATE(4011)] = 131631,
  [SMALL_STATE(4012)] = 131701,
  [SMALL_STATE(4013)] = 131751,
  [SMALL_STATE(4014)] = 131851,
  [SMALL_STATE(4015)] = 131921,
  [SMALL_STATE(4016)] = 131995,
  [SMALL_STATE(4017)] = 132085,
  [SMALL_STATE(4018)] = 132179,
  [SMALL_STATE(4019)] = 132273,
  [SMALL_STATE(4020)] = 132361,
  [SMALL_STATE(4021)] = 132443,
  [SMALL_STATE(4022)] = 132533,
  [SMALL_STATE(4023)] = 132623,
  [SMALL_STATE(4024)] = 132691,
  [SMALL_STATE(4025)] = 132739,
  [SMALL_STATE(4026)] = 132819,
  [SMALL_STATE(4027)] = 132891,
  [SMALL_STATE(4028)] = 132967,
  [SMALL_STATE(4029)] = 133025,
  [SMALL_STATE(4030)] = 133095,
  [SMALL_STATE(4031)] = 133179,
  [SMALL_STATE(4032)] = 133253,
  [SMALL_STATE(4033)] = 133331,
  [SMALL_STATE(4034)] = 133381,
  [SMALL_STATE(4035)] = 133475,
  [SMALL_STATE(4036)] = 133545,
  [SMALL_STATE(4037)] = 133631,
  [SMALL_STATE(4038)] = 133721,
  [SMALL_STATE(4039)] = 133800,
  [SMALL_STATE(4040)] = 133851,
  [SMALL_STATE(4041)] = 133902,
  [SMALL_STATE(4042)] = 133957,
  [SMALL_STATE(4043)] = 134054,
  [SMALL_STATE(4044)] = 134105,
  [SMALL_STATE(4045)] = 134170,
  [SMALL_STATE(4046)] = 134223,
  [SMALL_STATE(4047)] = 134306,
  [SMALL_STATE(4048)] = 134393,
  [SMALL_STATE(4049)] = 134478,
  [SMALL_STATE(4050)] = 134529,
  [SMALL_STATE(4051)] = 134612,
  [SMALL_STATE(4052)] = 134665,
  [SMALL_STATE(4053)] = 134746,
  [SMALL_STATE(4054)] = 134843,
  [SMALL_STATE(4055)] = 134894,
  [SMALL_STATE(4056)] = 134971,
  [SMALL_STATE(4057)] = 135046,
  [SMALL_STATE(4058)] = 135143,
  [SMALL_STATE(4059)] = 135240,
  [SMALL_STATE(4060)] = 135311,
  [SMALL_STATE(4061)] = 135378,
  [SMALL_STATE(4062)] = 135475,
  [SMALL_STATE(4063)] = 135572,
  [SMALL_STATE(4064)] = 135669,
  [SMALL_STATE(4065)] = 135738,
  [SMALL_STATE(4066)] = 135789,
  [SMALL_STATE(4067)] = 135862,
  [SMALL_STATE(4068)] = 135935,
  [SMALL_STATE(4069)] = 135982,
  [SMALL_STATE(4070)] = 136029,
  [SMALL_STATE(4071)] = 136116,
  [SMALL_STATE(4072)] = 136167,
  [SMALL_STATE(4073)] = 136224,
  [SMALL_STATE(4074)] = 136271,
  [SMALL_STATE(4075)] = 136322,
  [SMALL_STATE(4076)] = 136369,
  [SMALL_STATE(4077)] = 136466,
  [SMALL_STATE(4078)] = 136539,
  [SMALL_STATE(4079)] = 136586,
  [SMALL_STATE(4080)] = 136683,
  [SMALL_STATE(4081)] = 136780,
  [SMALL_STATE(4082)] = 136853,
  [SMALL_STATE(4083)] = 136904,
  [SMALL_STATE(4084)] = 137001,
  [SMALL_STATE(4085)] = 137074,
  [SMALL_STATE(4086)] = 137167,
  [SMALL_STATE(4087)] = 137264,
  [SMALL_STATE(4088)] = 137361,
  [SMALL_STATE(4089)] = 137458,
  [SMALL_STATE(4090)] = 137555,
  [SMALL_STATE(4091)] = 137606,
  [SMALL_STATE(4092)] = 137663,
  [SMALL_STATE(4093)] = 137760,
  [SMALL_STATE(4094)] = 137807,
  [SMALL_STATE(4095)] = 137904,
  [SMALL_STATE(4096)] = 137977,
  [SMALL_STATE(4097)] = 138074,
  [SMALL_STATE(4098)] = 138171,
  [SMALL_STATE(4099)] = 138268,
  [SMALL_STATE(4100)] = 138321,
  [SMALL_STATE(4101)] = 138368,
  [SMALL_STATE(4102)] = 138415,
  [SMALL_STATE(4103)] = 138504,
  [SMALL_STATE(4104)] = 138601,
  [SMALL_STATE(4105)] = 138674,
  [SMALL_STATE(4106)] = 138771,
  [SMALL_STATE(4107)] = 138824,
  [SMALL_STATE(4108)] = 138921,
  [SMALL_STATE(4109)] = 139004,
  [SMALL_STATE(4110)] = 139097,
  [SMALL_STATE(4111)] = 139146,
  [SMALL_STATE(4112)] = 139193,
  [SMALL_STATE(4113)] = 139290,
  [SMALL_STATE(4114)] = 139387,
  [SMALL_STATE(4115)] = 139476,
  [SMALL_STATE(4116)] = 139573,
  [SMALL_STATE(4117)] = 139632,
  [SMALL_STATE(4118)] = 139691,
  [SMALL_STATE(4119)] = 139788,
  [SMALL_STATE(4120)] = 139885,
  [SMALL_STATE(4121)] = 139982,
  [SMALL_STATE(4122)] = 140077,
  [SMALL_STATE(4123)] = 140172,
  [SMALL_STATE(4124)] = 140219,
  [SMALL_STATE(4125)] = 140298,
  [SMALL_STATE(4126)] = 140395,
  [SMALL_STATE(4127)] = 140492,
  [SMALL_STATE(4128)] = 140539,
  [SMALL_STATE(4129)] = 140632,
  [SMALL_STATE(4130)] = 140729,
  [SMALL_STATE(4131)] = 140822,
  [SMALL_STATE(4132)] = 140875,
  [SMALL_STATE(4133)] = 140972,
  [SMALL_STATE(4134)] = 141069,
  [SMALL_STATE(4135)] = 141116,
  [SMALL_STATE(4136)] = 141173,
  [SMALL_STATE(4137)] = 141270,
  [SMALL_STATE(4138)] = 141367,
  [SMALL_STATE(4139)] = 141414,
  [SMALL_STATE(4140)] = 141511,
  [SMALL_STATE(4141)] = 141608,
  [SMALL_STATE(4142)] = 141705,
  [SMALL_STATE(4143)] = 141758,
  [SMALL_STATE(4144)] = 141847,
  [SMALL_STATE(4145)] = 141944,
  [SMALL_STATE(4146)] = 142041,
  [SMALL_STATE(4147)] = 142138,
  [SMALL_STATE(4148)] = 142235,
  [SMALL_STATE(4149)] = 142328,
  [SMALL_STATE(4150)] = 142425,
  [SMALL_STATE(4151)] = 142522,
  [SMALL_STATE(4152)] = 142609,
  [SMALL_STATE(4153)] = 142656,
  [SMALL_STATE(4154)] = 142753,
  [SMALL_STATE(4155)] = 142826,
  [SMALL_STATE(4156)] = 142923,
  [SMALL_STATE(4157)] = 142970,
  [SMALL_STATE(4158)] = 143067,
  [SMALL_STATE(4159)] = 143164,
  [SMALL_STATE(4160)] = 143253,
  [SMALL_STATE(4161)] = 143300,
  [SMALL_STATE(4162)] = 143397,
  [SMALL_STATE(4163)] = 143494,
  [SMALL_STATE(4164)] = 143541,
  [SMALL_STATE(4165)] = 143594,
  [SMALL_STATE(4166)] = 143691,
  [SMALL_STATE(4167)] = 143783,
  [SMALL_STATE(4168)] = 143869,
  [SMALL_STATE(4169)] = 143963,
  [SMALL_STATE(4170)] = 144055,
  [SMALL_STATE(4171)] = 144147,
  [SMALL_STATE(4172)] = 144239,
  [SMALL_STATE(4173)] = 144333,
  [SMALL_STATE(4174)] = 144427,
  [SMALL_STATE(4175)] = 144515,
  [SMALL_STATE(4176)] = 144603,
  [SMALL_STATE(4177)] = 144659,
  [SMALL_STATE(4178)] = 144753,
  [SMALL_STATE(4179)] = 144845,
  [SMALL_STATE(4180)] = 144939,
  [SMALL_STATE(4181)] = 145031,
  [SMALL_STATE(4182)] = 145123,
  [SMALL_STATE(4183)] = 145211,
  [SMALL_STATE(4184)] = 145305,
  [SMALL_STATE(4185)] = 145397,
  [SMALL_STATE(4186)] = 145461,
  [SMALL_STATE(4187)] = 145555,
  [SMALL_STATE(4188)] = 145611,
  [SMALL_STATE(4189)] = 145699,
  [SMALL_STATE(4190)] = 145759,
  [SMALL_STATE(4191)] = 145853,
  [SMALL_STATE(4192)] = 145947,
  [SMALL_STATE(4193)] = 146041,
  [SMALL_STATE(4194)] = 146135,
  [SMALL_STATE(4195)] = 146229,
  [SMALL_STATE(4196)] = 146321,
  [SMALL_STATE(4197)] = 146415,
  [SMALL_STATE(4198)] = 146487,
  [SMALL_STATE(4199)] = 146555,
  [SMALL_STATE(4200)] = 146649,
  [SMALL_STATE(4201)] = 146743,
  [SMALL_STATE(4202)] = 146821,
  [SMALL_STATE(4203)] = 146915,
  [SMALL_STATE(4204)] = 147001,
  [SMALL_STATE(4205)] = 147095,
  [SMALL_STATE(4206)] = 147183,
  [SMALL_STATE(4207)] = 147249,
  [SMALL_STATE(4208)] = 147319,
  [SMALL_STATE(4209)] = 147391,
  [SMALL_STATE(4210)] = 147483,
  [SMALL_STATE(4211)] = 147575,
  [SMALL_STATE(4212)] = 147667,
  [SMALL_STATE(4213)] = 147745,
  [SMALL_STATE(4214)] = 147819,
  [SMALL_STATE(4215)] = 147913,
  [SMALL_STATE(4216)] = 147965,
  [SMALL_STATE(4217)] = 148057,
  [SMALL_STATE(4218)] = 148149,
  [SMALL_STATE(4219)] = 148225,
  [SMALL_STATE(4220)] = 148297,
  [SMALL_STATE(4221)] = 148345,
  [SMALL_STATE(4222)] = 148425,
  [SMALL_STATE(4223)] = 148475,
  [SMALL_STATE(4224)] = 148569,
  [SMALL_STATE(4225)] = 148651,
  [SMALL_STATE(4226)] = 148745,
  [SMALL_STATE(4227)] = 148839,
  [SMALL_STATE(4228)] = 148933,
  [SMALL_STATE(4229)] = 149027,
  [SMALL_STATE(4230)] = 149111,
  [SMALL_STATE(4231)] = 149185,
  [SMALL_STATE(4232)] = 149279,
  [SMALL_STATE(4233)] = 149373,
  [SMALL_STATE(4234)] = 149461,
  [SMALL_STATE(4235)] = 149519,
  [SMALL_STATE(4236)] = 149613,
  [SMALL_STATE(4237)] = 149663,
  [SMALL_STATE(4238)] = 149749,
  [SMALL_STATE(4239)] = 149841,
  [SMALL_STATE(4240)] = 149901,
  [SMALL_STATE(4241)] = 149995,
  [SMALL_STATE(4242)] = 150089,
  [SMALL_STATE(4243)] = 150177,
  [SMALL_STATE(4244)] = 150225,
  [SMALL_STATE(4245)] = 150273,
  [SMALL_STATE(4246)] = 150331,
  [SMALL_STATE(4247)] = 150419,
  [SMALL_STATE(4248)] = 150511,
  [SMALL_STATE(4249)] = 150571,
  [SMALL_STATE(4250)] = 150665,
  [SMALL_STATE(4251)] = 150729,
  [SMALL_STATE(4252)] = 150823,
  [SMALL_STATE(4253)] = 150917,
  [SMALL_STATE(4254)] = 151009,
  [SMALL_STATE(4255)] = 151069,
  [SMALL_STATE(4256)] = 151129,
  [SMALL_STATE(4257)] = 151215,
  [SMALL_STATE(4258)] = 151299,
  [SMALL_STATE(4259)] = 151367,
  [SMALL_STATE(4260)] = 151459,
  [SMALL_STATE(4261)] = 151547,
  [SMALL_STATE(4262)] = 151641,
  [SMALL_STATE(4263)] = 151723,
  [SMALL_STATE(4264)] = 151817,
  [SMALL_STATE(4265)] = 151909,
  [SMALL_STATE(4266)] = 151989,
  [SMALL_STATE(4267)] = 152051,
  [SMALL_STATE(4268)] = 152145,
  [SMALL_STATE(4269)] = 152239,
  [SMALL_STATE(4270)] = 152331,
  [SMALL_STATE(4271)] = 152423,
  [SMALL_STATE(4272)] = 152511,
  [SMALL_STATE(4273)] = 152603,
  [SMALL_STATE(4274)] = 152691,
  [SMALL_STATE(4275)] = 152785,
  [SMALL_STATE(4276)] = 152851,
  [SMALL_STATE(4277)] = 152921,
  [SMALL_STATE(4278)] = 153013,
  [SMALL_STATE(4279)] = 153107,
  [SMALL_STATE(4280)] = 153181,
  [SMALL_STATE(4281)] = 153257,
  [SMALL_STATE(4282)] = 153351,
  [SMALL_STATE(4283)] = 153445,
  [SMALL_STATE(4284)] = 153525,
  [SMALL_STATE(4285)] = 153617,
  [SMALL_STATE(4286)] = 153711,
  [SMALL_STATE(4287)] = 153775,
  [SMALL_STATE(4288)] = 153869,
  [SMALL_STATE(4289)] = 153927,
  [SMALL_STATE(4290)] = 153999,
  [SMALL_STATE(4291)] = 154093,
  [SMALL_STATE(4292)] = 154139,
  [SMALL_STATE(4293)] = 154221,
  [SMALL_STATE(4294)] = 154297,
  [SMALL_STATE(4295)] = 154381,
  [SMALL_STATE(4296)] = 154441,
  [SMALL_STATE(4297)] = 154501,
  [SMALL_STATE(4298)] = 154573,
  [SMALL_STATE(4299)] = 154639,
  [SMALL_STATE(4300)] = 154709,
  [SMALL_STATE(4301)] = 154801,
  [SMALL_STATE(4302)] = 154889,
  [SMALL_STATE(4303)] = 154947,
  [SMALL_STATE(4304)] = 155007,
  [SMALL_STATE(4305)] = 155099,
  [SMALL_STATE(4306)] = 155193,
  [SMALL_STATE(4307)] = 155274,
  [SMALL_STATE(4308)] = 155365,
  [SMALL_STATE(4309)] = 155456,
  [SMALL_STATE(4310)] = 155547,
  [SMALL_STATE(4311)] = 155618,
  [SMALL_STATE(4312)] = 155663,
  [SMALL_STATE(4313)] = 155754,
  [SMALL_STATE(4314)] = 155845,
  [SMALL_STATE(4315)] = 155936,
  [SMALL_STATE(4316)] = 156027,
  [SMALL_STATE(4317)] = 156118,
  [SMALL_STATE(4318)] = 156163,
  [SMALL_STATE(4319)] = 156254,
  [SMALL_STATE(4320)] = 156303,
  [SMALL_STATE(4321)] = 156394,
  [SMALL_STATE(4322)] = 156485,
  [SMALL_STATE(4323)] = 156576,
  [SMALL_STATE(4324)] = 156667,
  [SMALL_STATE(4325)] = 156716,
  [SMALL_STATE(4326)] = 156807,
  [SMALL_STATE(4327)] = 156856,
  [SMALL_STATE(4328)] = 156905,
  [SMALL_STATE(4329)] = 156960,
  [SMALL_STATE(4330)] = 157051,
  [SMALL_STATE(4331)] = 157128,
  [SMALL_STATE(4332)] = 157173,
  [SMALL_STATE(4333)] = 157264,
  [SMALL_STATE(4334)] = 157355,
  [SMALL_STATE(4335)] = 157446,
  [SMALL_STATE(4336)] = 157537,
  [SMALL_STATE(4337)] = 157628,
  [SMALL_STATE(4338)] = 157719,
  [SMALL_STATE(4339)] = 157800,
  [SMALL_STATE(4340)] = 157891,
  [SMALL_STATE(4341)] = 157982,
  [SMALL_STATE(4342)] = 158031,
  [SMALL_STATE(4343)] = 158122,
  [SMALL_STATE(4344)] = 158167,
  [SMALL_STATE(4345)] = 158258,
  [SMALL_STATE(4346)] = 158307,
  [SMALL_STATE(4347)] = 158398,
  [SMALL_STATE(4348)] = 158469,
  [SMALL_STATE(4349)] = 158560,
  [SMALL_STATE(4350)] = 158605,
  [SMALL_STATE(4351)] = 158696,
  [SMALL_STATE(4352)] = 158787,
  [SMALL_STATE(4353)] = 158878,
  [SMALL_STATE(4354)] = 158969,
  [SMALL_STATE(4355)] = 159060,
  [SMALL_STATE(4356)] = 159105,
  [SMALL_STATE(4357)] = 159196,
  [SMALL_STATE(4358)] = 159287,
  [SMALL_STATE(4359)] = 159378,
  [SMALL_STATE(4360)] = 159469,
  [SMALL_STATE(4361)] = 159560,
  [SMALL_STATE(4362)] = 159609,
  [SMALL_STATE(4363)] = 159700,
  [SMALL_STATE(4364)] = 159791,
  [SMALL_STATE(4365)] = 159882,
  [SMALL_STATE(4366)] = 159963,
  [SMALL_STATE(4367)] = 160054,
  [SMALL_STATE(4368)] = 160145,
  [SMALL_STATE(4369)] = 160236,
  [SMALL_STATE(4370)] = 160327,
  [SMALL_STATE(4371)] = 160418,
  [SMALL_STATE(4372)] = 160509,
  [SMALL_STATE(4373)] = 160592,
  [SMALL_STATE(4374)] = 160683,
  [SMALL_STATE(4375)] = 160774,
  [SMALL_STATE(4376)] = 160829,
  [SMALL_STATE(4377)] = 160920,
  [SMALL_STATE(4378)] = 161011,
  [SMALL_STATE(4379)] = 161102,
  [SMALL_STATE(4380)] = 161193,
  [SMALL_STATE(4381)] = 161264,
  [SMALL_STATE(4382)] = 161355,
  [SMALL_STATE(4383)] = 161446,
  [SMALL_STATE(4384)] = 161507,
  [SMALL_STATE(4385)] = 161598,
  [SMALL_STATE(4386)] = 161689,
  [SMALL_STATE(4387)] = 161780,
  [SMALL_STATE(4388)] = 161871,
  [SMALL_STATE(4389)] = 161962,
  [SMALL_STATE(4390)] = 162053,
  [SMALL_STATE(4391)] = 162144,
  [SMALL_STATE(4392)] = 162225,
  [SMALL_STATE(4393)] = 162316,
  [SMALL_STATE(4394)] = 162407,
  [SMALL_STATE(4395)] = 162498,
  [SMALL_STATE(4396)] = 162589,
  [SMALL_STATE(4397)] = 162634,
  [SMALL_STATE(4398)] = 162725,
  [SMALL_STATE(4399)] = 162816,
  [SMALL_STATE(4400)] = 162907,
  [SMALL_STATE(4401)] = 162952,
  [SMALL_STATE(4402)] = 163033,
  [SMALL_STATE(4403)] = 163124,
  [SMALL_STATE(4404)] = 163169,
  [SMALL_STATE(4405)] = 163214,
  [SMALL_STATE(4406)] = 163305,
  [SMALL_STATE(4407)] = 163396,
  [SMALL_STATE(4408)] = 163441,
  [SMALL_STATE(4409)] = 163486,
  [SMALL_STATE(4410)] = 163531,
  [SMALL_STATE(4411)] = 163622,
  [SMALL_STATE(4412)] = 163677,
  [SMALL_STATE(4413)] = 163768,
  [SMALL_STATE(4414)] = 163813,
  [SMALL_STATE(4415)] = 163904,
  [SMALL_STATE(4416)] = 163995,
  [SMALL_STATE(4417)] = 164040,
  [SMALL_STATE(4418)] = 164131,
  [SMALL_STATE(4419)] = 164222,
  [SMALL_STATE(4420)] = 164313,
  [SMALL_STATE(4421)] = 164404,
  [SMALL_STATE(4422)] = 164495,
  [SMALL_STATE(4423)] = 164586,
  [SMALL_STATE(4424)] = 164677,
  [SMALL_STATE(4425)] = 164722,
  [SMALL_STATE(4426)] = 164813,
  [SMALL_STATE(4427)] = 164866,
  [SMALL_STATE(4428)] = 164947,
  [SMALL_STATE(4429)] = 165038,
  [SMALL_STATE(4430)] = 165129,
  [SMALL_STATE(4431)] = 165220,
  [SMALL_STATE(4432)] = 165311,
  [SMALL_STATE(4433)] = 165402,
  [SMALL_STATE(4434)] = 165493,
  [SMALL_STATE(4435)] = 165584,
  [SMALL_STATE(4436)] = 165631,
  [SMALL_STATE(4437)] = 165708,
  [SMALL_STATE(4438)] = 165799,
  [SMALL_STATE(4439)] = 165846,
  [SMALL_STATE(4440)] = 165903,
  [SMALL_STATE(4441)] = 165960,
  [SMALL_STATE(4442)] = 166051,
  [SMALL_STATE(4443)] = 166106,
  [SMALL_STATE(4444)] = 166197,
  [SMALL_STATE(4445)] = 166288,
  [SMALL_STATE(4446)] = 166379,
  [SMALL_STATE(4447)] = 166424,
  [SMALL_STATE(4448)] = 166471,
  [SMALL_STATE(4449)] = 166562,
  [SMALL_STATE(4450)] = 166643,
  [SMALL_STATE(4451)] = 166734,
  [SMALL_STATE(4452)] = 166805,
  [SMALL_STATE(4453)] = 166896,
  [SMALL_STATE(4454)] = 166987,
  [SMALL_STATE(4455)] = 167034,
  [SMALL_STATE(4456)] = 167125,
  [SMALL_STATE(4457)] = 167216,
  [SMALL_STATE(4458)] = 167263,
  [SMALL_STATE(4459)] = 167307,
  [SMALL_STATE(4460)] = 167351,
  [SMALL_STATE(4461)] = 167421,
  [SMALL_STATE(4462)] = 167471,
  [SMALL_STATE(4463)] = 167541,
  [SMALL_STATE(4464)] = 167611,
  [SMALL_STATE(4465)] = 167655,
  [SMALL_STATE(4466)] = 167727,
  [SMALL_STATE(4467)] = 167771,
  [SMALL_STATE(4468)] = 167841,
  [SMALL_STATE(4469)] = 167885,
  [SMALL_STATE(4470)] = 167929,
  [SMALL_STATE(4471)] = 167989,
  [SMALL_STATE(4472)] = 168077,
  [SMALL_STATE(4473)] = 168129,
  [SMALL_STATE(4474)] = 168173,
  [SMALL_STATE(4475)] = 168217,
  [SMALL_STATE(4476)] = 168267,
  [SMALL_STATE(4477)] = 168311,
  [SMALL_STATE(4478)] = 168355,
  [SMALL_STATE(4479)] = 168399,
  [SMALL_STATE(4480)] = 168455,
  [SMALL_STATE(4481)] = 168499,
  [SMALL_STATE(4482)] = 168577,
  [SMALL_STATE(4483)] = 168625,
  [SMALL_STATE(4484)] = 168669,
  [SMALL_STATE(4485)] = 168745,
  [SMALL_STATE(4486)] = 168789,
  [SMALL_STATE(4487)] = 168837,
  [SMALL_STATE(4488)] = 168909,
  [SMALL_STATE(4489)] = 168981,
  [SMALL_STATE(4490)] = 169025,
  [SMALL_STATE(4491)] = 169097,
  [SMALL_STATE(4492)] = 169173,
  [SMALL_STATE(4493)] = 169223,
  [SMALL_STATE(4494)] = 169305,
  [SMALL_STATE(4495)] = 169361,
  [SMALL_STATE(4496)] = 169405,
  [SMALL_STATE(4497)] = 169449,
  [SMALL_STATE(4498)] = 169493,
  [SMALL_STATE(4499)] = 169565,
  [SMALL_STATE(4500)] = 169609,
  [SMALL_STATE(4501)] = 169681,
  [SMALL_STATE(4502)] = 169763,
  [SMALL_STATE(4503)] = 169807,
  [SMALL_STATE(4504)] = 169857,
  [SMALL_STATE(4505)] = 169929,
  [SMALL_STATE(4506)] = 169973,
  [SMALL_STATE(4507)] = 170017,
  [SMALL_STATE(4508)] = 170089,
  [SMALL_STATE(4509)] = 170133,
  [SMALL_STATE(4510)] = 170209,
  [SMALL_STATE(4511)] = 170253,
  [SMALL_STATE(4512)] = 170329,
  [SMALL_STATE(4513)] = 170401,
  [SMALL_STATE(4514)] = 170445,
  [SMALL_STATE(4515)] = 170489,
  [SMALL_STATE(4516)] = 170533,
  [SMALL_STATE(4517)] = 170577,
  [SMALL_STATE(4518)] = 170649,
  [SMALL_STATE(4519)] = 170693,
  [SMALL_STATE(4520)] = 170765,
  [SMALL_STATE(4521)] = 170809,
  [SMALL_STATE(4522)] = 170853,
  [SMALL_STATE(4523)] = 170931,
  [SMALL_STATE(4524)] = 170977,
  [SMALL_STATE(4525)] = 171029,
  [SMALL_STATE(4526)] = 171073,
  [SMALL_STATE(4527)] = 171145,
  [SMALL_STATE(4528)] = 171189,
  [SMALL_STATE(4529)] = 171261,
  [SMALL_STATE(4530)] = 171305,
  [SMALL_STATE(4531)] = 171349,
  [SMALL_STATE(4532)] = 171427,
  [SMALL_STATE(4533)] = 171499,
  [SMALL_STATE(4534)] = 171571,
  [SMALL_STATE(4535)] = 171643,
  [SMALL_STATE(4536)] = 171721,
  [SMALL_STATE(4537)] = 171765,
  [SMALL_STATE(4538)] = 171809,
  [SMALL_STATE(4539)] = 171881,
  [SMALL_STATE(4540)] = 171959,
  [SMALL_STATE(4541)] = 172031,
  [SMALL_STATE(4542)] = 172103,
  [SMALL_STATE(4543)] = 172155,
  [SMALL_STATE(4544)] = 172227,
  [SMALL_STATE(4545)] = 172305,
  [SMALL_STATE(4546)] = 172349,
  [SMALL_STATE(4547)] = 172427,
  [SMALL_STATE(4548)] = 172475,
  [SMALL_STATE(4549)] = 172519,
  [SMALL_STATE(4550)] = 172567,
  [SMALL_STATE(4551)] = 172645,
  [SMALL_STATE(4552)] = 172717,
  [SMALL_STATE(4553)] = 172766,
  [SMALL_STATE(4554)] = 172813,
  [SMALL_STATE(4555)] = 172882,
  [SMALL_STATE(4556)] = 172929,
  [SMALL_STATE(4557)] = 172998,
  [SMALL_STATE(4558)] = 173045,
  [SMALL_STATE(4559)] = 173114,
  [SMALL_STATE(4560)] = 173183,
  [SMALL_STATE(4561)] = 173230,
  [SMALL_STATE(4562)] = 173277,
  [SMALL_STATE(4563)] = 173324,
  [SMALL_STATE(4564)] = 173371,
  [SMALL_STATE(4565)] = 173418,
  [SMALL_STATE(4566)] = 173465,
  [SMALL_STATE(4567)] = 173508,
  [SMALL_STATE(4568)] = 173555,
  [SMALL_STATE(4569)] = 173598,
  [SMALL_STATE(4570)] = 173645,
  [SMALL_STATE(4571)] = 173694,
  [SMALL_STATE(4572)] = 173741,
  [SMALL_STATE(4573)] = 173794,
  [SMALL_STATE(4574)] = 173875,
  [SMALL_STATE(4575)] = 173956,
  [SMALL_STATE(4576)] = 174001,
  [SMALL_STATE(4577)] = 174050,
  [SMALL_STATE(4578)] = 174130,
  [SMALL_STATE(4579)] = 174172,
  [SMALL_STATE(4580)] = 174240,
  [SMALL_STATE(4581)] = 174282,
  [SMALL_STATE(4582)] = 174324,
  [SMALL_STATE(4583)] = 174392,
  [SMALL_STATE(4584)] = 174434,
  [SMALL_STATE(4585)] = 174514,
  [SMALL_STATE(4586)] = 174594,
  [SMALL_STATE(4587)] = 174636,
  [SMALL_STATE(4588)] = 174678,
  [SMALL_STATE(4589)] = 174720,
  [SMALL_STATE(4590)] = 174800,
  [SMALL_STATE(4591)] = 174842,
  [SMALL_STATE(4592)] = 174916,
  [SMALL_STATE(4593)] = 174958,
  [SMALL_STATE(4594)] = 175026,
  [SMALL_STATE(4595)] = 175106,
  [SMALL_STATE(4596)] = 175174,
  [SMALL_STATE(4597)] = 175242,
  [SMALL_STATE(4598)] = 175292,
  [SMALL_STATE(4599)] = 175334,
  [SMALL_STATE(4600)] = 175376,
  [SMALL_STATE(4601)] = 175418,
  [SMALL_STATE(4602)] = 175460,
  [SMALL_STATE(4603)] = 175502,
  [SMALL_STATE(4604)] = 175586,
  [SMALL_STATE(4605)] = 175666,
  [SMALL_STATE(4606)] = 175746,
  [SMALL_STATE(4607)] = 175788,
  [SMALL_STATE(4608)] = 175868,
  [SMALL_STATE(4609)] = 175936,
  [SMALL_STATE(4610)] = 176026,
  [SMALL_STATE(4611)] = 176070,
  [SMALL_STATE(4612)] = 176138,
  [SMALL_STATE(4613)] = 176206,
  [SMALL_STATE(4614)] = 176248,
  [SMALL_STATE(4615)] = 176290,
  [SMALL_STATE(4616)] = 176358,
  [SMALL_STATE(4617)] = 176410,
  [SMALL_STATE(4618)] = 176452,
  [SMALL_STATE(4619)] = 176494,
  [SMALL_STATE(4620)] = 176536,
  [SMALL_STATE(4621)] = 176578,
  [SMALL_STATE(4622)] = 176646,
  [SMALL_STATE(4623)] = 176688,
  [SMALL_STATE(4624)] = 176762,
  [SMALL_STATE(4625)] = 176812,
  [SMALL_STATE(4626)] = 176854,
  [SMALL_STATE(4627)] = 176896,
  [SMALL_STATE(4628)] = 176938,
  [SMALL_STATE(4629)] = 176980,
  [SMALL_STATE(4630)] = 177022,
  [SMALL_STATE(4631)] = 177090,
  [SMALL_STATE(4632)] = 177132,
  [SMALL_STATE(4633)] = 177174,
  [SMALL_STATE(4634)] = 177216,
  [SMALL_STATE(4635)] = 177258,
  [SMALL_STATE(4636)] = 177300,
  [SMALL_STATE(4637)] = 177342,
  [SMALL_STATE(4638)] = 177384,
  [SMALL_STATE(4639)] = 177426,
  [SMALL_STATE(4640)] = 177494,
  [SMALL_STATE(4641)] = 177536,
  [SMALL_STATE(4642)] = 177578,
  [SMALL_STATE(4643)] = 177627,
  [SMALL_STATE(4644)] = 177706,
  [SMALL_STATE(4645)] = 177785,
  [SMALL_STATE(4646)] = 177858,
  [SMALL_STATE(4647)] = 177911,
  [SMALL_STATE(4648)] = 177978,
  [SMALL_STATE(4649)] = 178031,
  [SMALL_STATE(4650)] = 178104,
  [SMALL_STATE(4651)] = 178171,
  [SMALL_STATE(4652)] = 178216,
  [SMALL_STATE(4653)] = 178261,
  [SMALL_STATE(4654)] = 178328,
  [SMALL_STATE(4655)] = 178395,
  [SMALL_STATE(4656)] = 178474,
  [SMALL_STATE(4657)] = 178527,
  [SMALL_STATE(4658)] = 178594,
  [SMALL_STATE(4659)] = 178639,
  [SMALL_STATE(4660)] = 178692,
  [SMALL_STATE(4661)] = 178737,
  [SMALL_STATE(4662)] = 178804,
  [SMALL_STATE(4663)] = 178849,
  [SMALL_STATE(4664)] = 178898,
  [SMALL_STATE(4665)] = 178943,
  [SMALL_STATE(4666)] = 179016,
  [SMALL_STATE(4667)] = 179061,
  [SMALL_STATE(4668)] = 179128,
  [SMALL_STATE(4669)] = 179195,
  [SMALL_STATE(4670)] = 179240,
  [SMALL_STATE(4671)] = 179285,
  [SMALL_STATE(4672)] = 179338,
  [SMALL_STATE(4673)] = 179383,
  [SMALL_STATE(4674)] = 179456,
  [SMALL_STATE(4675)] = 179501,
  [SMALL_STATE(4676)] = 179552,
  [SMALL_STATE(4677)] = 179597,
  [SMALL_STATE(4678)] = 179676,
  [SMALL_STATE(4679)] = 179729,
  [SMALL_STATE(4680)] = 179807,
  [SMALL_STATE(4681)] = 179887,
  [SMALL_STATE(4682)] = 179927,
  [SMALL_STATE(4683)] = 180007,
  [SMALL_STATE(4684)] = 180085,
  [SMALL_STATE(4685)] = 180131,
  [SMALL_STATE(4686)] = 180203,
  [SMALL_STATE(4687)] = 180283,
  [SMALL_STATE(4688)] = 180363,
  [SMALL_STATE(4689)] = 180403,
  [SMALL_STATE(4690)] = 180443,
  [SMALL_STATE(4691)] = 180523,
  [SMALL_STATE(4692)] = 180575,
  [SMALL_STATE(4693)] = 180615,
  [SMALL_STATE(4694)] = 180695,
  [SMALL_STATE(4695)] = 180775,
  [SMALL_STATE(4696)] = 180855,
  [SMALL_STATE(4697)] = 180935,
  [SMALL_STATE(4698)] = 181015,
  [SMALL_STATE(4699)] = 181087,
  [SMALL_STATE(4700)] = 181167,
  [SMALL_STATE(4701)] = 181247,
  [SMALL_STATE(4702)] = 181327,
  [SMALL_STATE(4703)] = 181407,
  [SMALL_STATE(4704)] = 181487,
  [SMALL_STATE(4705)] = 181527,
  [SMALL_STATE(4706)] = 181607,
  [SMALL_STATE(4707)] = 181647,
  [SMALL_STATE(4708)] = 181719,
  [SMALL_STATE(4709)] = 181799,
  [SMALL_STATE(4710)] = 181871,
  [SMALL_STATE(4711)] = 181913,
  [SMALL_STATE(4712)] = 181993,
  [SMALL_STATE(4713)] = 182033,
  [SMALL_STATE(4714)] = 182104,
  [SMALL_STATE(4715)] = 182143,
  [SMALL_STATE(4716)] = 182214,
  [SMALL_STATE(4717)] = 182263,
  [SMALL_STATE(4718)] = 182328,
  [SMALL_STATE(4719)] = 182367,
  [SMALL_STATE(4720)] = 182438,
  [SMALL_STATE(4721)] = 182509,
  [SMALL_STATE(4722)] = 182580,
  [SMALL_STATE(4723)] = 182633,
  [SMALL_STATE(4724)] = 182698,
  [SMALL_STATE(4725)] = 182769,
  [SMALL_STATE(4726)] = 182840,
  [SMALL_STATE(4727)] = 182911,
  [SMALL_STATE(4728)] = 182950,
  [SMALL_STATE(4729)] = 183021,
  [SMALL_STATE(4730)] = 183092,
  [SMALL_STATE(4731)] = 183131,
  [SMALL_STATE(4732)] = 183170,
  [SMALL_STATE(4733)] = 183217,
  [SMALL_STATE(4734)] = 183256,
  [SMALL_STATE(4735)] = 183295,
  [SMALL_STATE(4736)] = 183334,
  [SMALL_STATE(4737)] = 183373,
  [SMALL_STATE(4738)] = 183412,
  [SMALL_STATE(4739)] = 183451,
  [SMALL_STATE(4740)] = 183522,
  [SMALL_STATE(4741)] = 183561,
  [SMALL_STATE(4742)] = 183610,
  [SMALL_STATE(4743)] = 183649,
  [SMALL_STATE(4744)] = 183720,
  [SMALL_STATE(4745)] = 183759,
  [SMALL_STATE(4746)] = 183830,
  [SMALL_STATE(4747)] = 183869,
  [SMALL_STATE(4748)] = 183908,
  [SMALL_STATE(4749)] = 183973,
  [SMALL_STATE(4750)] = 184012,
  [SMALL_STATE(4751)] = 184051,
  [SMALL_STATE(4752)] = 184090,
  [SMALL_STATE(4753)] = 184143,
  [SMALL_STATE(4754)] = 184182,
  [SMALL_STATE(4755)] = 184221,
  [SMALL_STATE(4756)] = 184260,
  [SMALL_STATE(4757)] = 184299,
  [SMALL_STATE(4758)] = 184338,
  [SMALL_STATE(4759)] = 184409,
  [SMALL_STATE(4760)] = 184474,
  [SMALL_STATE(4761)] = 184513,
  [SMALL_STATE(4762)] = 184552,
  [SMALL_STATE(4763)] = 184599,
  [SMALL_STATE(4764)] = 184670,
  [SMALL_STATE(4765)] = 184709,
  [SMALL_STATE(4766)] = 184748,
  [SMALL_STATE(4767)] = 184787,
  [SMALL_STATE(4768)] = 184826,
  [SMALL_STATE(4769)] = 184877,
  [SMALL_STATE(4770)] = 184916,
  [SMALL_STATE(4771)] = 184967,
  [SMALL_STATE(4772)] = 185038,
  [SMALL_STATE(4773)] = 185077,
  [SMALL_STATE(4774)] = 185116,
  [SMALL_STATE(4775)] = 185196,
  [SMALL_STATE(4776)] = 185270,
  [SMALL_STATE(4777)] = 185350,
  [SMALL_STATE(4778)] = 185424,
  [SMALL_STATE(4779)] = 185494,
  [SMALL_STATE(4780)] = 185574,
  [SMALL_STATE(4781)] = 185650,
  [SMALL_STATE(4782)] = 185730,
  [SMALL_STATE(4783)] = 185810,
  [SMALL_STATE(4784)] = 185884,
  [SMALL_STATE(4785)] = 185954,
  [SMALL_STATE(4786)] = 186034,
  [SMALL_STATE(4787)] = 186108,
  [SMALL_STATE(4788)] = 186188,
  [SMALL_STATE(4789)] = 186268,
  [SMALL_STATE(4790)] = 186348,
  [SMALL_STATE(4791)] = 186422,
  [SMALL_STATE(4792)] = 186496,
  [SMALL_STATE(4793)] = 186576,
  [SMALL_STATE(4794)] = 186646,
  [SMALL_STATE(4795)] = 186716,
  [SMALL_STATE(4796)] = 186790,
  [SMALL_STATE(4797)] = 186860,
  [SMALL_STATE(4798)] = 186940,
  [SMALL_STATE(4799)] = 187016,
  [SMALL_STATE(4800)] = 187096,
  [SMALL_STATE(4801)] = 187176,
  [SMALL_STATE(4802)] = 187256,
  [SMALL_STATE(4803)] = 187330,
  [SMALL_STATE(4804)] = 187410,
  [SMALL_STATE(4805)] = 187484,
  [SMALL_STATE(4806)] = 187558,
  [SMALL_STATE(4807)] = 187638,
  [SMALL_STATE(4808)] = 187718,
  [SMALL_STATE(4809)] = 187798,
  [SMALL_STATE(4810)] = 187872,
  [SMALL_STATE(4811)] = 187952,
  [SMALL_STATE(4812)] = 188032,
  [SMALL_STATE(4813)] = 188102,
  [SMALL_STATE(4814)] = 188182,
  [SMALL_STATE(4815)] = 188228,
  [SMALL_STATE(4816)] = 188302,
  [SMALL_STATE(4817)] = 188344,
  [SMALL_STATE(4818)] = 188386,
  [SMALL_STATE(4819)] = 188428,
  [SMALL_STATE(4820)] = 188498,
  [SMALL_STATE(4821)] = 188578,
  [SMALL_STATE(4822)] = 188620,
  [SMALL_STATE(4823)] = 188700,
  [SMALL_STATE(4824)] = 188780,
  [SMALL_STATE(4825)] = 188860,
  [SMALL_STATE(4826)] = 188940,
  [SMALL_STATE(4827)] = 189014,
  [SMALL_STATE(4828)] = 189084,
  [SMALL_STATE(4829)] = 189158,
  [SMALL_STATE(4830)] = 189232,
  [SMALL_STATE(4831)] = 189282,
  [SMALL_STATE(4832)] = 189356,
  [SMALL_STATE(4833)] = 189436,
  [SMALL_STATE(4834)] = 189510,
  [SMALL_STATE(4835)] = 189590,
  [SMALL_STATE(4836)] = 189664,
  [SMALL_STATE(4837)] = 189738,
  [SMALL_STATE(4838)] = 189818,
  [SMALL_STATE(4839)] = 189898,
  [SMALL_STATE(4840)] = 189972,
  [SMALL_STATE(4841)] = 190046,
  [SMALL_STATE(4842)] = 190126,
  [SMALL_STATE(4843)] = 190206,
  [SMALL_STATE(4844)] = 190286,
  [SMALL_STATE(4845)] = 190360,
  [SMALL_STATE(4846)] = 190440,
  [SMALL_STATE(4847)] = 190520,
  [SMALL_STATE(4848)] = 190600,
  [SMALL_STATE(4849)] = 190674,
  [SMALL_STATE(4850)] = 190754,
  [SMALL_STATE(4851)] = 190834,
  [SMALL_STATE(4852)] = 190914,
  [SMALL_STATE(4853)] = 190988,
  [SMALL_STATE(4854)] = 191068,
  [SMALL_STATE(4855)] = 191148,
  [SMALL_STATE(4856)] = 191222,
  [SMALL_STATE(4857)] = 191296,
  [SMALL_STATE(4858)] = 191366,
  [SMALL_STATE(4859)] = 191446,
  [SMALL_STATE(4860)] = 191520,
  [SMALL_STATE(4861)] = 191590,
  [SMALL_STATE(4862)] = 191670,
  [SMALL_STATE(4863)] = 191744,
  [SMALL_STATE(4864)] = 191824,
  [SMALL_STATE(4865)] = 191898,
  [SMALL_STATE(4866)] = 191974,
  [SMALL_STATE(4867)] = 192054,
  [SMALL_STATE(4868)] = 192128,
  [SMALL_STATE(4869)] = 192208,
  [SMALL_STATE(4870)] = 192258,
  [SMALL_STATE(4871)] = 192298,
  [SMALL_STATE(4872)] = 192378,
  [SMALL_STATE(4873)] = 192452,
  [SMALL_STATE(4874)] = 192532,
  [SMALL_STATE(4875)] = 192612,
  [SMALL_STATE(4876)] = 192692,
  [SMALL_STATE(4877)] = 192762,
  [SMALL_STATE(4878)] = 192836,
  [SMALL_STATE(4879)] = 192910,
  [SMALL_STATE(4880)] = 192990,
  [SMALL_STATE(4881)] = 193070,
  [SMALL_STATE(4882)] = 193150,
  [SMALL_STATE(4883)] = 193224,
  [SMALL_STATE(4884)] = 193304,
  [SMALL_STATE(4885)] = 193384,
  [SMALL_STATE(4886)] = 193458,
  [SMALL_STATE(4887)] = 193528,
  [SMALL_STATE(4888)] = 193608,
  [SMALL_STATE(4889)] = 193678,
  [SMALL_STATE(4890)] = 193758,
  [SMALL_STATE(4891)] = 193838,
  [SMALL_STATE(4892)] = 193918,
  [SMALL_STATE(4893)] = 193992,
  [SMALL_STATE(4894)] = 194062,
  [SMALL_STATE(4895)] = 194142,
  [SMALL_STATE(4896)] = 194222,
  [SMALL_STATE(4897)] = 194302,
  [SMALL_STATE(4898)] = 194382,
  [SMALL_STATE(4899)] = 194462,
  [SMALL_STATE(4900)] = 194542,
  [SMALL_STATE(4901)] = 194622,
  [SMALL_STATE(4902)] = 194698,
  [SMALL_STATE(4903)] = 194778,
  [SMALL_STATE(4904)] = 194820,
  [SMALL_STATE(4905)] = 194900,
  [SMALL_STATE(4906)] = 194980,
  [SMALL_STATE(4907)] = 195060,
  [SMALL_STATE(4908)] = 195140,
  [SMALL_STATE(4909)] = 195220,
  [SMALL_STATE(4910)] = 195300,
  [SMALL_STATE(4911)] = 195380,
  [SMALL_STATE(4912)] = 195460,
  [SMALL_STATE(4913)] = 195502,
  [SMALL_STATE(4914)] = 195576,
  [SMALL_STATE(4915)] = 195650,
  [SMALL_STATE(4916)] = 195720,
  [SMALL_STATE(4917)] = 195762,
  [SMALL_STATE(4918)] = 195836,
  [SMALL_STATE(4919)] = 195906,
  [SMALL_STATE(4920)] = 195975,
  [SMALL_STATE(4921)] = 196042,
  [SMALL_STATE(4922)] = 196109,
  [SMALL_STATE(4923)] = 196186,
  [SMALL_STATE(4924)] = 196253,
  [SMALL_STATE(4925)] = 196322,
  [SMALL_STATE(4926)] = 196389,
  [SMALL_STATE(4927)] = 196456,
  [SMALL_STATE(4928)] = 196523,
  [SMALL_STATE(4929)] = 196590,
  [SMALL_STATE(4930)] = 196657,
  [SMALL_STATE(4931)] = 196698,
  [SMALL_STATE(4932)] = 196765,
  [SMALL_STATE(4933)] = 196806,
  [SMALL_STATE(4934)] = 196847,
  [SMALL_STATE(4935)] = 196924,
  [SMALL_STATE(4936)] = 196991,
  [SMALL_STATE(4937)] = 197058,
  [SMALL_STATE(4938)] = 197135,
  [SMALL_STATE(4939)] = 197212,
  [SMALL_STATE(4940)] = 197253,
  [SMALL_STATE(4941)] = 197294,
  [SMALL_STATE(4942)] = 197371,
  [SMALL_STATE(4943)] = 197438,
  [SMALL_STATE(4944)] = 197515,
  [SMALL_STATE(4945)] = 197582,
  [SMALL_STATE(4946)] = 197649,
  [SMALL_STATE(4947)] = 197716,
  [SMALL_STATE(4948)] = 197785,
  [SMALL_STATE(4949)] = 197862,
  [SMALL_STATE(4950)] = 197939,
  [SMALL_STATE(4951)] = 198016,
  [SMALL_STATE(4952)] = 198093,
  [SMALL_STATE(4953)] = 198160,
  [SMALL_STATE(4954)] = 198227,
  [SMALL_STATE(4955)] = 198268,
  [SMALL_STATE(4956)] = 198345,
  [SMALL_STATE(4957)] = 198412,
  [SMALL_STATE(4958)] = 198479,
  [SMALL_STATE(4959)] = 198556,
  [SMALL_STATE(4960)] = 198633,
  [SMALL_STATE(4961)] = 198710,
  [SMALL_STATE(4962)] = 198751,
  [SMALL_STATE(4963)] = 198820,
  [SMALL_STATE(4964)] = 198897,
  [SMALL_STATE(4965)] = 198938,
  [SMALL_STATE(4966)] = 199005,
  [SMALL_STATE(4967)] = 199072,
  [SMALL_STATE(4968)] = 199139,
  [SMALL_STATE(4969)] = 199216,
  [SMALL_STATE(4970)] = 199257,
  [SMALL_STATE(4971)] = 199324,
  [SMALL_STATE(4972)] = 199391,
  [SMALL_STATE(4973)] = 199432,
  [SMALL_STATE(4974)] = 199499,
  [SMALL_STATE(4975)] = 199540,
  [SMALL_STATE(4976)] = 199607,
  [SMALL_STATE(4977)] = 199674,
  [SMALL_STATE(4978)] = 199715,
  [SMALL_STATE(4979)] = 199792,
  [SMALL_STATE(4980)] = 199869,
  [SMALL_STATE(4981)] = 199931,
  [SMALL_STATE(4982)] = 199975,
  [SMALL_STATE(4983)] = 200019,
  [SMALL_STATE(4984)] = 200059,
  [SMALL_STATE(4985)] = 200121,
  [SMALL_STATE(4986)] = 200157,
  [SMALL_STATE(4987)] = 200193,
  [SMALL_STATE(4988)] = 200233,
  [SMALL_STATE(4989)] = 200295,
  [SMALL_STATE(4990)] = 200357,
  [SMALL_STATE(4991)] = 200419,
  [SMALL_STATE(4992)] = 200481,
  [SMALL_STATE(4993)] = 200548,
  [SMALL_STATE(4994)] = 200615,
  [SMALL_STATE(4995)] = 200676,
  [SMALL_STATE(4996)] = 200743,
  [SMALL_STATE(4997)] = 200810,
  [SMALL_STATE(4998)] = 200871,
  [SMALL_STATE(4999)] = 200938,
  [SMALL_STATE(5000)] = 200999,
  [SMALL_STATE(5001)] = 201060,
  [SMALL_STATE(5002)] = 201121,
  [SMALL_STATE(5003)] = 201188,
  [SMALL_STATE(5004)] = 201255,
  [SMALL_STATE(5005)] = 201322,
  [SMALL_STATE(5006)] = 201383,
  [SMALL_STATE(5007)] = 201422,
  [SMALL_STATE(5008)] = 201482,
  [SMALL_STATE(5009)] = 201540,
  [SMALL_STATE(5010)] = 201600,
  [SMALL_STATE(5011)] = 201660,
  [SMALL_STATE(5012)] = 201720,
  [SMALL_STATE(5013)] = 201780,
  [SMALL_STATE(5014)] = 201838,
  [SMALL_STATE(5015)] = 201898,
  [SMALL_STATE(5016)] = 201942,
  [SMALL_STATE(5017)] = 202002,
  [SMALL_STATE(5018)] = 202062,
  [SMALL_STATE(5019)] = 202122,
  [SMALL_STATE(5020)] = 202182,
  [SMALL_STATE(5021)] = 202242,
  [SMALL_STATE(5022)] = 202302,
  [SMALL_STATE(5023)] = 202362,
  [SMALL_STATE(5024)] = 202422,
  [SMALL_STATE(5025)] = 202458,
  [SMALL_STATE(5026)] = 202516,
  [SMALL_STATE(5027)] = 202576,
  [SMALL_STATE(5028)] = 202636,
  [SMALL_STATE(5029)] = 202696,
  [SMALL_STATE(5030)] = 202754,
  [SMALL_STATE(5031)] = 202814,
  [SMALL_STATE(5032)] = 202874,
  [SMALL_STATE(5033)] = 202934,
  [SMALL_STATE(5034)] = 202994,
  [SMALL_STATE(5035)] = 203054,
  [SMALL_STATE(5036)] = 203114,
  [SMALL_STATE(5037)] = 203174,
  [SMALL_STATE(5038)] = 203233,
  [SMALL_STATE(5039)] = 203294,
  [SMALL_STATE(5040)] = 203353,
  [SMALL_STATE(5041)] = 203412,
  [SMALL_STATE(5042)] = 203471,
  [SMALL_STATE(5043)] = 203532,
  [SMALL_STATE(5044)] = 203591,
  [SMALL_STATE(5045)] = 203650,
  [SMALL_STATE(5046)] = 203709,
  [SMALL_STATE(5047)] = 203770,
  [SMALL_STATE(5048)] = 203829,
  [SMALL_STATE(5049)] = 203890,
  [SMALL_STATE(5050)] = 203951,
  [SMALL_STATE(5051)] = 204010,
  [SMALL_STATE(5052)] = 204069,
  [SMALL_STATE(5053)] = 204130,
  [SMALL_STATE(5054)] = 204189,
  [SMALL_STATE(5055)] = 204248,
  [SMALL_STATE(5056)] = 204309,
  [SMALL_STATE(5057)] = 204367,
  [SMALL_STATE(5058)] = 204425,
  [SMALL_STATE(5059)] = 204483,
  [SMALL_STATE(5060)] = 204537,
  [SMALL_STATE(5061)] = 204595,
  [SMALL_STATE(5062)] = 204653,
  [SMALL_STATE(5063)] = 204711,
  [SMALL_STATE(5064)] = 204759,
  [SMALL_STATE(5065)] = 204807,
  [SMALL_STATE(5066)] = 204855,
  [SMALL_STATE(5067)] = 204926,
  [SMALL_STATE(5068)] = 204957,
  [SMALL_STATE(5069)] = 204988,
  [SMALL_STATE(5070)] = 205059,
  [SMALL_STATE(5071)] = 205106,
  [SMALL_STATE(5072)] = 205177,
  [SMALL_STATE(5073)] = 205229,
  [SMALL_STATE(5074)] = 205285,
  [SMALL_STATE(5075)] = 205337,
  [SMALL_STATE(5076)] = 205389,
  [SMALL_STATE(5077)] = 205441,
  [SMALL_STATE(5078)] = 205493,
  [SMALL_STATE(5079)] = 205545,
  [SMALL_STATE(5080)] = 205597,
  [SMALL_STATE(5081)] = 205649,
  [SMALL_STATE(5082)] = 205701,
  [SMALL_STATE(5083)] = 205757,
  [SMALL_STATE(5084)] = 205809,
  [SMALL_STATE(5085)] = 205865,
  [SMALL_STATE(5086)] = 205899,
  [SMALL_STATE(5087)] = 205951,
  [SMALL_STATE(5088)] = 206007,
  [SMALL_STATE(5089)] = 206063,
  [SMALL_STATE(5090)] = 206115,
  [SMALL_STATE(5091)] = 206171,
  [SMALL_STATE(5092)] = 206223,
  [SMALL_STATE(5093)] = 206279,
  [SMALL_STATE(5094)] = 206349,
  [SMALL_STATE(5095)] = 206401,
  [SMALL_STATE(5096)] = 206453,
  [SMALL_STATE(5097)] = 206505,
  [SMALL_STATE(5098)] = 206557,
  [SMALL_STATE(5099)] = 206613,
  [SMALL_STATE(5100)] = 206665,
  [SMALL_STATE(5101)] = 206717,
  [SMALL_STATE(5102)] = 206769,
  [SMALL_STATE(5103)] = 206821,
  [SMALL_STATE(5104)] = 206873,
  [SMALL_STATE(5105)] = 206925,
  [SMALL_STATE(5106)] = 206981,
  [SMALL_STATE(5107)] = 207033,
  [SMALL_STATE(5108)] = 207085,
  [SMALL_STATE(5109)] = 207137,
  [SMALL_STATE(5110)] = 207189,
  [SMALL_STATE(5111)] = 207241,
  [SMALL_STATE(5112)] = 207293,
  [SMALL_STATE(5113)] = 207345,
  [SMALL_STATE(5114)] = 207397,
  [SMALL_STATE(5115)] = 207449,
  [SMALL_STATE(5116)] = 207519,
  [SMALL_STATE(5117)] = 207571,
  [SMALL_STATE(5118)] = 207617,
  [SMALL_STATE(5119)] = 207669,
  [SMALL_STATE(5120)] = 207721,
  [SMALL_STATE(5121)] = 207773,
  [SMALL_STATE(5122)] = 207825,
  [SMALL_STATE(5123)] = 207863,
  [SMALL_STATE(5124)] = 207915,
  [SMALL_STATE(5125)] = 207967,
  [SMALL_STATE(5126)] = 208005,
  [SMALL_STATE(5127)] = 208061,
  [SMALL_STATE(5128)] = 208117,
  [SMALL_STATE(5129)] = 208169,
  [SMALL_STATE(5130)] = 208225,
  [SMALL_STATE(5131)] = 208295,
  [SMALL_STATE(5132)] = 208341,
  [SMALL_STATE(5133)] = 208393,
  [SMALL_STATE(5134)] = 208436,
  [SMALL_STATE(5135)] = 208495,
  [SMALL_STATE(5136)] = 208554,
  [SMALL_STATE(5137)] = 208613,
  [SMALL_STATE(5138)] = 208672,
  [SMALL_STATE(5139)] = 208731,
  [SMALL_STATE(5140)] = 208790,
  [SMALL_STATE(5141)] = 208849,
  [SMALL_STATE(5142)] = 208908,
  [SMALL_STATE(5143)] = 208971,
  [SMALL_STATE(5144)] = 209030,
  [SMALL_STATE(5145)] = 209089,
  [SMALL_STATE(5146)] = 209148,
  [SMALL_STATE(5147)] = 209177,
  [SMALL_STATE(5148)] = 209236,
  [SMALL_STATE(5149)] = 209295,
  [SMALL_STATE(5150)] = 209354,
  [SMALL_STATE(5151)] = 209397,
  [SMALL_STATE(5152)] = 209456,
  [SMALL_STATE(5153)] = 209515,
  [SMALL_STATE(5154)] = 209574,
  [SMALL_STATE(5155)] = 209633,
  [SMALL_STATE(5156)] = 209692,
  [SMALL_STATE(5157)] = 209751,
  [SMALL_STATE(5158)] = 209810,
  [SMALL_STATE(5159)] = 209869,
  [SMALL_STATE(5160)] = 209928,
  [SMALL_STATE(5161)] = 209987,
  [SMALL_STATE(5162)] = 210046,
  [SMALL_STATE(5163)] = 210105,
  [SMALL_STATE(5164)] = 210164,
  [SMALL_STATE(5165)] = 210223,
  [SMALL_STATE(5166)] = 210282,
  [SMALL_STATE(5167)] = 210341,
  [SMALL_STATE(5168)] = 210400,
  [SMALL_STATE(5169)] = 210459,
  [SMALL_STATE(5170)] = 210514,
  [SMALL_STATE(5171)] = 210573,
  [SMALL_STATE(5172)] = 210632,
  [SMALL_STATE(5173)] = 210691,
  [SMALL_STATE(5174)] = 210750,
  [SMALL_STATE(5175)] = 210809,
  [SMALL_STATE(5176)] = 210868,
  [SMALL_STATE(5177)] = 210927,
  [SMALL_STATE(5178)] = 210986,
  [SMALL_STATE(5179)] = 211045,
  [SMALL_STATE(5180)] = 211104,
  [SMALL_STATE(5181)] = 211163,
  [SMALL_STATE(5182)] = 211222,
  [SMALL_STATE(5183)] = 211265,
  [SMALL_STATE(5184)] = 211324,
  [SMALL_STATE(5185)] = 211383,
  [SMALL_STATE(5186)] = 211442,
  [SMALL_STATE(5187)] = 211501,
  [SMALL_STATE(5188)] = 211560,
  [SMALL_STATE(5189)] = 211619,
  [SMALL_STATE(5190)] = 211678,
  [SMALL_STATE(5191)] = 211737,
  [SMALL_STATE(5192)] = 211796,
  [SMALL_STATE(5193)] = 211855,
  [SMALL_STATE(5194)] = 211900,
  [SMALL_STATE(5195)] = 211959,
  [SMALL_STATE(5196)] = 212018,
  [SMALL_STATE(5197)] = 212077,
  [SMALL_STATE(5198)] = 212136,
  [SMALL_STATE(5199)] = 212195,
  [SMALL_STATE(5200)] = 212254,
  [SMALL_STATE(5201)] = 212313,
  [SMALL_STATE(5202)] = 212372,
  [SMALL_STATE(5203)] = 212431,
  [SMALL_STATE(5204)] = 212490,
  [SMALL_STATE(5205)] = 212549,
  [SMALL_STATE(5206)] = 212608,
  [SMALL_STATE(5207)] = 212667,
  [SMALL_STATE(5208)] = 212726,
  [SMALL_STATE(5209)] = 212785,
  [SMALL_STATE(5210)] = 212844,
  [SMALL_STATE(5211)] = 212903,
  [SMALL_STATE(5212)] = 212962,
  [SMALL_STATE(5213)] = 213021,
  [SMALL_STATE(5214)] = 213076,
  [SMALL_STATE(5215)] = 213135,
  [SMALL_STATE(5216)] = 213194,
  [SMALL_STATE(5217)] = 213227,
  [SMALL_STATE(5218)] = 213286,
  [SMALL_STATE(5219)] = 213345,
  [SMALL_STATE(5220)] = 213404,
  [SMALL_STATE(5221)] = 213463,
  [SMALL_STATE(5222)] = 213522,
  [SMALL_STATE(5223)] = 213581,
  [SMALL_STATE(5224)] = 213640,
  [SMALL_STATE(5225)] = 213695,
  [SMALL_STATE(5226)] = 213754,
  [SMALL_STATE(5227)] = 213813,
  [SMALL_STATE(5228)] = 213872,
  [SMALL_STATE(5229)] = 213931,
  [SMALL_STATE(5230)] = 213990,
  [SMALL_STATE(5231)] = 214049,
  [SMALL_STATE(5232)] = 214108,
  [SMALL_STATE(5233)] = 214167,
  [SMALL_STATE(5234)] = 214207,
  [SMALL_STATE(5235)] = 214259,
  [SMALL_STATE(5236)] = 214299,
  [SMALL_STATE(5237)] = 214327,
  [SMALL_STATE(5238)] = 214355,
  [SMALL_STATE(5239)] = 214413,
  [SMALL_STATE(5240)] = 214441,
  [SMALL_STATE(5241)] = 214469,
  [SMALL_STATE(5242)] = 214497,
  [SMALL_STATE(5243)] = 214537,
  [SMALL_STATE(5244)] = 214571,
  [SMALL_STATE(5245)] = 214607,
  [SMALL_STATE(5246)] = 214647,
  [SMALL_STATE(5247)] = 214689,
  [SMALL_STATE(5248)] = 214733,
  [SMALL_STATE(5249)] = 214779,
  [SMALL_STATE(5250)] = 214825,
  [SMALL_STATE(5251)] = 214873,
  [SMALL_STATE(5252)] = 214901,
  [SMALL_STATE(5253)] = 214965,
  [SMALL_STATE(5254)] = 214997,
  [SMALL_STATE(5255)] = 215025,
  [SMALL_STATE(5256)] = 215089,
  [SMALL_STATE(5257)] = 215129,
  [SMALL_STATE(5258)] = 215169,
  [SMALL_STATE(5259)] = 215209,
  [SMALL_STATE(5260)] = 215249,
  [SMALL_STATE(5261)] = 215313,
  [SMALL_STATE(5262)] = 215353,
  [SMALL_STATE(5263)] = 215393,
  [SMALL_STATE(5264)] = 215433,
  [SMALL_STATE(5265)] = 215473,
  [SMALL_STATE(5266)] = 215513,
  [SMALL_STATE(5267)] = 215553,
  [SMALL_STATE(5268)] = 215581,
  [SMALL_STATE(5269)] = 215645,
  [SMALL_STATE(5270)] = 215673,
  [SMALL_STATE(5271)] = 215713,
  [SMALL_STATE(5272)] = 215753,
  [SMALL_STATE(5273)] = 215817,
  [SMALL_STATE(5274)] = 215857,
  [SMALL_STATE(5275)] = 215921,
  [SMALL_STATE(5276)] = 215961,
  [SMALL_STATE(5277)] = 215989,
  [SMALL_STATE(5278)] = 216053,
  [SMALL_STATE(5279)] = 216105,
  [SMALL_STATE(5280)] = 216145,
  [SMALL_STATE(5281)] = 216185,
  [SMALL_STATE(5282)] = 216249,
  [SMALL_STATE(5283)] = 216289,
  [SMALL_STATE(5284)] = 216347,
  [SMALL_STATE(5285)] = 216387,
  [SMALL_STATE(5286)] = 216427,
  [SMALL_STATE(5287)] = 216467,
  [SMALL_STATE(5288)] = 216517,
  [SMALL_STATE(5289)] = 216557,
  [SMALL_STATE(5290)] = 216597,
  [SMALL_STATE(5291)] = 216647,
  [SMALL_STATE(5292)] = 216687,
  [SMALL_STATE(5293)] = 216737,
  [SMALL_STATE(5294)] = 216787,
  [SMALL_STATE(5295)] = 216827,
  [SMALL_STATE(5296)] = 216877,
  [SMALL_STATE(5297)] = 216927,
  [SMALL_STATE(5298)] = 216977,
  [SMALL_STATE(5299)] = 217017,
  [SMALL_STATE(5300)] = 217067,
  [SMALL_STATE(5301)] = 217117,
  [SMALL_STATE(5302)] = 217181,
  [SMALL_STATE(5303)] = 217231,
  [SMALL_STATE(5304)] = 217271,
  [SMALL_STATE(5305)] = 217311,
  [SMALL_STATE(5306)] = 217351,
  [SMALL_STATE(5307)] = 217391,
  [SMALL_STATE(5308)] = 217441,
  [SMALL_STATE(5309)] = 217481,
  [SMALL_STATE(5310)] = 217531,
  [SMALL_STATE(5311)] = 217589,
  [SMALL_STATE(5312)] = 217629,
  [SMALL_STATE(5313)] = 217669,
  [SMALL_STATE(5314)] = 217709,
  [SMALL_STATE(5315)] = 217773,
  [SMALL_STATE(5316)] = 217823,
  [SMALL_STATE(5317)] = 217873,
  [SMALL_STATE(5318)] = 217923,
  [SMALL_STATE(5319)] = 217973,
  [SMALL_STATE(5320)] = 218037,
  [SMALL_STATE(5321)] = 218095,
  [SMALL_STATE(5322)] = 218131,
  [SMALL_STATE(5323)] = 218171,
  [SMALL_STATE(5324)] = 218207,
  [SMALL_STATE(5325)] = 218247,
  [SMALL_STATE(5326)] = 218311,
  [SMALL_STATE(5327)] = 218363,
  [SMALL_STATE(5328)] = 218413,
  [SMALL_STATE(5329)] = 218463,
  [SMALL_STATE(5330)] = 218507,
  [SMALL_STATE(5331)] = 218557,
  [SMALL_STATE(5332)] = 218597,
  [SMALL_STATE(5333)] = 218661,
  [SMALL_STATE(5334)] = 218719,
  [SMALL_STATE(5335)] = 218783,
  [SMALL_STATE(5336)] = 218841,
  [SMALL_STATE(5337)] = 218899,
  [SMALL_STATE(5338)] = 218926,
  [SMALL_STATE(5339)] = 218961,
  [SMALL_STATE(5340)] = 218988,
  [SMALL_STATE(5341)] = 219027,
  [SMALL_STATE(5342)] = 219062,
  [SMALL_STATE(5343)] = 219109,
  [SMALL_STATE(5344)] = 219136,
  [SMALL_STATE(5345)] = 219171,
  [SMALL_STATE(5346)] = 219210,
  [SMALL_STATE(5347)] = 219249,
  [SMALL_STATE(5348)] = 219284,
  [SMALL_STATE(5349)] = 219311,
  [SMALL_STATE(5350)] = 219346,
  [SMALL_STATE(5351)] = 219385,
  [SMALL_STATE(5352)] = 219420,
  [SMALL_STATE(5353)] = 219447,
  [SMALL_STATE(5354)] = 219494,
  [SMALL_STATE(5355)] = 219529,
  [SMALL_STATE(5356)] = 219564,
  [SMALL_STATE(5357)] = 219611,
  [SMALL_STATE(5358)] = 219650,
  [SMALL_STATE(5359)] = 219699,
  [SMALL_STATE(5360)] = 219738,
  [SMALL_STATE(5361)] = 219765,
  [SMALL_STATE(5362)] = 219804,
  [SMALL_STATE(5363)] = 219839,
  [SMALL_STATE(5364)] = 219870,
  [SMALL_STATE(5365)] = 219909,
  [SMALL_STATE(5366)] = 219954,
  [SMALL_STATE(5367)] = 219989,
  [SMALL_STATE(5368)] = 220024,
  [SMALL_STATE(5369)] = 220059,
  [SMALL_STATE(5370)] = 220104,
  [SMALL_STATE(5371)] = 220149,
  [SMALL_STATE(5372)] = 220184,
  [SMALL_STATE(5373)] = 220231,
  [SMALL_STATE(5374)] = 220270,
  [SMALL_STATE(5375)] = 220297,
  [SMALL_STATE(5376)] = 220336,
  [SMALL_STATE(5377)] = 220383,
  [SMALL_STATE(5378)] = 220422,
  [SMALL_STATE(5379)] = 220461,
  [SMALL_STATE(5380)] = 220500,
  [SMALL_STATE(5381)] = 220539,
  [SMALL_STATE(5382)] = 220578,
  [SMALL_STATE(5383)] = 220617,
  [SMALL_STATE(5384)] = 220662,
  [SMALL_STATE(5385)] = 220689,
  [SMALL_STATE(5386)] = 220716,
  [SMALL_STATE(5387)] = 220745,
  [SMALL_STATE(5388)] = 220772,
  [SMALL_STATE(5389)] = 220799,
  [SMALL_STATE(5390)] = 220834,
  [SMALL_STATE(5391)] = 220891,
  [SMALL_STATE(5392)] = 220918,
  [SMALL_STATE(5393)] = 220963,
  [SMALL_STATE(5394)] = 221008,
  [SMALL_STATE(5395)] = 221037,
  [SMALL_STATE(5396)] = 221084,
  [SMALL_STATE(5397)] = 221141,
  [SMALL_STATE(5398)] = 221186,
  [SMALL_STATE(5399)] = 221217,
  [SMALL_STATE(5400)] = 221266,
  [SMALL_STATE(5401)] = 221293,
  [SMALL_STATE(5402)] = 221350,
  [SMALL_STATE(5403)] = 221385,
  [SMALL_STATE(5404)] = 221424,
  [SMALL_STATE(5405)] = 221455,
  [SMALL_STATE(5406)] = 221500,
  [SMALL_STATE(5407)] = 221527,
  [SMALL_STATE(5408)] = 221570,
  [SMALL_STATE(5409)] = 221615,
  [SMALL_STATE(5410)] = 221654,
  [SMALL_STATE(5411)] = 221693,
  [SMALL_STATE(5412)] = 221720,
  [SMALL_STATE(5413)] = 221747,
  [SMALL_STATE(5414)] = 221786,
  [SMALL_STATE(5415)] = 221817,
  [SMALL_STATE(5416)] = 221848,
  [SMALL_STATE(5417)] = 221905,
  [SMALL_STATE(5418)] = 221944,
  [SMALL_STATE(5419)] = 221971,
  [SMALL_STATE(5420)] = 222002,
  [SMALL_STATE(5421)] = 222037,
  [SMALL_STATE(5422)] = 222084,
  [SMALL_STATE(5423)] = 222129,
  [SMALL_STATE(5424)] = 222156,
  [SMALL_STATE(5425)] = 222183,
  [SMALL_STATE(5426)] = 222240,
  [SMALL_STATE(5427)] = 222269,
  [SMALL_STATE(5428)] = 222296,
  [SMALL_STATE(5429)] = 222343,
  [SMALL_STATE(5430)] = 222388,
  [SMALL_STATE(5431)] = 222421,
  [SMALL_STATE(5432)] = 222468,
  [SMALL_STATE(5433)] = 222495,
  [SMALL_STATE(5434)] = 222522,
  [SMALL_STATE(5435)] = 222579,
  [SMALL_STATE(5436)] = 222606,
  [SMALL_STATE(5437)] = 222653,
  [SMALL_STATE(5438)] = 222698,
  [SMALL_STATE(5439)] = 222727,
  [SMALL_STATE(5440)] = 222766,
  [SMALL_STATE(5441)] = 222801,
  [SMALL_STATE(5442)] = 222828,
  [SMALL_STATE(5443)] = 222859,
  [SMALL_STATE(5444)] = 222904,
  [SMALL_STATE(5445)] = 222951,
  [SMALL_STATE(5446)] = 222990,
  [SMALL_STATE(5447)] = 223017,
  [SMALL_STATE(5448)] = 223052,
  [SMALL_STATE(5449)] = 223095,
  [SMALL_STATE(5450)] = 223134,
  [SMALL_STATE(5451)] = 223175,
  [SMALL_STATE(5452)] = 223210,
  [SMALL_STATE(5453)] = 223257,
  [SMALL_STATE(5454)] = 223294,
  [SMALL_STATE(5455)] = 223321,
  [SMALL_STATE(5456)] = 223348,
  [SMALL_STATE(5457)] = 223383,
  [SMALL_STATE(5458)] = 223422,
  [SMALL_STATE(5459)] = 223457,
  [SMALL_STATE(5460)] = 223484,
  [SMALL_STATE(5461)] = 223511,
  [SMALL_STATE(5462)] = 223556,
  [SMALL_STATE(5463)] = 223601,
  [SMALL_STATE(5464)] = 223628,
  [SMALL_STATE(5465)] = 223655,
  [SMALL_STATE(5466)] = 223682,
  [SMALL_STATE(5467)] = 223713,
  [SMALL_STATE(5468)] = 223749,
  [SMALL_STATE(5469)] = 223779,
  [SMALL_STATE(5470)] = 223809,
  [SMALL_STATE(5471)] = 223857,
  [SMALL_STATE(5472)] = 223905,
  [SMALL_STATE(5473)] = 223957,
  [SMALL_STATE(5474)] = 223987,
  [SMALL_STATE(5475)] = 224035,
  [SMALL_STATE(5476)] = 224071,
  [SMALL_STATE(5477)] = 224101,
  [SMALL_STATE(5478)] = 224137,
  [SMALL_STATE(5479)] = 224173,
  [SMALL_STATE(5480)] = 224221,
  [SMALL_STATE(5481)] = 224263,
  [SMALL_STATE(5482)] = 224299,
  [SMALL_STATE(5483)] = 224335,
  [SMALL_STATE(5484)] = 224371,
  [SMALL_STATE(5485)] = 224407,
  [SMALL_STATE(5486)] = 224458,
  [SMALL_STATE(5487)] = 224483,
  [SMALL_STATE(5488)] = 224532,
  [SMALL_STATE(5489)] = 224563,
  [SMALL_STATE(5490)] = 224612,
  [SMALL_STATE(5491)] = 224649,
  [SMALL_STATE(5492)] = 224686,
  [SMALL_STATE(5493)] = 224723,
  [SMALL_STATE(5494)] = 224748,
  [SMALL_STATE(5495)] = 224785,
  [SMALL_STATE(5496)] = 224810,
  [SMALL_STATE(5497)] = 224841,
  [SMALL_STATE(5498)] = 224866,
  [SMALL_STATE(5499)] = 224915,
  [SMALL_STATE(5500)] = 224964,
  [SMALL_STATE(5501)] = 225013,
  [SMALL_STATE(5502)] = 225050,
  [SMALL_STATE(5503)] = 225075,
  [SMALL_STATE(5504)] = 225112,
  [SMALL_STATE(5505)] = 225149,
  [SMALL_STATE(5506)] = 225198,
  [SMALL_STATE(5507)] = 225235,
  [SMALL_STATE(5508)] = 225284,
  [SMALL_STATE(5509)] = 225333,
  [SMALL_STATE(5510)] = 225374,
  [SMALL_STATE(5511)] = 225423,
  [SMALL_STATE(5512)] = 225460,
  [SMALL_STATE(5513)] = 225491,
  [SMALL_STATE(5514)] = 225528,
  [SMALL_STATE(5515)] = 225577,
  [SMALL_STATE(5516)] = 225626,
  [SMALL_STATE(5517)] = 225651,
  [SMALL_STATE(5518)] = 225688,
  [SMALL_STATE(5519)] = 225713,
  [SMALL_STATE(5520)] = 225738,
  [SMALL_STATE(5521)] = 225775,
  [SMALL_STATE(5522)] = 225824,
  [SMALL_STATE(5523)] = 225861,
  [SMALL_STATE(5524)] = 225896,
  [SMALL_STATE(5525)] = 225945,
  [SMALL_STATE(5526)] = 225994,
  [SMALL_STATE(5527)] = 226031,
  [SMALL_STATE(5528)] = 226056,
  [SMALL_STATE(5529)] = 226081,
  [SMALL_STATE(5530)] = 226112,
  [SMALL_STATE(5531)] = 226137,
  [SMALL_STATE(5532)] = 226186,
  [SMALL_STATE(5533)] = 226235,
  [SMALL_STATE(5534)] = 226284,
  [SMALL_STATE(5535)] = 226333,
  [SMALL_STATE(5536)] = 226382,
  [SMALL_STATE(5537)] = 226419,
  [SMALL_STATE(5538)] = 226444,
  [SMALL_STATE(5539)] = 226493,
  [SMALL_STATE(5540)] = 226518,
  [SMALL_STATE(5541)] = 226561,
  [SMALL_STATE(5542)] = 226586,
  [SMALL_STATE(5543)] = 226635,
  [SMALL_STATE(5544)] = 226660,
  [SMALL_STATE(5545)] = 226691,
  [SMALL_STATE(5546)] = 226716,
  [SMALL_STATE(5547)] = 226753,
  [SMALL_STATE(5548)] = 226802,
  [SMALL_STATE(5549)] = 226827,
  [SMALL_STATE(5550)] = 226876,
  [SMALL_STATE(5551)] = 226917,
  [SMALL_STATE(5552)] = 226960,
  [SMALL_STATE(5553)] = 226985,
  [SMALL_STATE(5554)] = 227034,
  [SMALL_STATE(5555)] = 227059,
  [SMALL_STATE(5556)] = 227084,
  [SMALL_STATE(5557)] = 227127,
  [SMALL_STATE(5558)] = 227176,
  [SMALL_STATE(5559)] = 227201,
  [SMALL_STATE(5560)] = 227244,
  [SMALL_STATE(5561)] = 227266,
  [SMALL_STATE(5562)] = 227296,
  [SMALL_STATE(5563)] = 227320,
  [SMALL_STATE(5564)] = 227356,
  [SMALL_STATE(5565)] = 227392,
  [SMALL_STATE(5566)] = 227434,
  [SMALL_STATE(5567)] = 227474,
  [SMALL_STATE(5568)] = 227504,
  [SMALL_STATE(5569)] = 227544,
  [SMALL_STATE(5570)] = 227584,
  [SMALL_STATE(5571)] = 227624,
  [SMALL_STATE(5572)] = 227668,
  [SMALL_STATE(5573)] = 227708,
  [SMALL_STATE(5574)] = 227744,
  [SMALL_STATE(5575)] = 227766,
  [SMALL_STATE(5576)] = 227788,
  [SMALL_STATE(5577)] = 227828,
  [SMALL_STATE(5578)] = 227850,
  [SMALL_STATE(5579)] = 227874,
  [SMALL_STATE(5580)] = 227914,
  [SMALL_STATE(5581)] = 227936,
  [SMALL_STATE(5582)] = 227962,
  [SMALL_STATE(5583)] = 228002,
  [SMALL_STATE(5584)] = 228028,
  [SMALL_STATE(5585)] = 228050,
  [SMALL_STATE(5586)] = 228086,
  [SMALL_STATE(5587)] = 228112,
  [SMALL_STATE(5588)] = 228152,
  [SMALL_STATE(5589)] = 228182,
  [SMALL_STATE(5590)] = 228222,
  [SMALL_STATE(5591)] = 228258,
  [SMALL_STATE(5592)] = 228298,
  [SMALL_STATE(5593)] = 228328,
  [SMALL_STATE(5594)] = 228358,
  [SMALL_STATE(5595)] = 228382,
  [SMALL_STATE(5596)] = 228404,
  [SMALL_STATE(5597)] = 228426,
  [SMALL_STATE(5598)] = 228456,
  [SMALL_STATE(5599)] = 228478,
  [SMALL_STATE(5600)] = 228508,
  [SMALL_STATE(5601)] = 228530,
  [SMALL_STATE(5602)] = 228566,
  [SMALL_STATE(5603)] = 228596,
  [SMALL_STATE(5604)] = 228618,
  [SMALL_STATE(5605)] = 228648,
  [SMALL_STATE(5606)] = 228688,
  [SMALL_STATE(5607)] = 228728,
  [SMALL_STATE(5608)] = 228768,
  [SMALL_STATE(5609)] = 228790,
  [SMALL_STATE(5610)] = 228830,
  [SMALL_STATE(5611)] = 228860,
  [SMALL_STATE(5612)] = 228900,
  [SMALL_STATE(5613)] = 228940,
  [SMALL_STATE(5614)] = 228976,
  [SMALL_STATE(5615)] = 229006,
  [SMALL_STATE(5616)] = 229036,
  [SMALL_STATE(5617)] = 229072,
  [SMALL_STATE(5618)] = 229094,
  [SMALL_STATE(5619)] = 229116,
  [SMALL_STATE(5620)] = 229138,
  [SMALL_STATE(5621)] = 229168,
  [SMALL_STATE(5622)] = 229208,
  [SMALL_STATE(5623)] = 229230,
  [SMALL_STATE(5624)] = 229252,
  [SMALL_STATE(5625)] = 229292,
  [SMALL_STATE(5626)] = 229318,
  [SMALL_STATE(5627)] = 229358,
  [SMALL_STATE(5628)] = 229387,
  [SMALL_STATE(5629)] = 229416,
  [SMALL_STATE(5630)] = 229445,
  [SMALL_STATE(5631)] = 229476,
  [SMALL_STATE(5632)] = 229505,
  [SMALL_STATE(5633)] = 229534,
  [SMALL_STATE(5634)] = 229565,
  [SMALL_STATE(5635)] = 229594,
  [SMALL_STATE(5636)] = 229617,
  [SMALL_STATE(5637)] = 229650,
  [SMALL_STATE(5638)] = 229679,
  [SMALL_STATE(5639)] = 229708,
  [SMALL_STATE(5640)] = 229737,
  [SMALL_STATE(5641)] = 229764,
  [SMALL_STATE(5642)] = 229795,
  [SMALL_STATE(5643)] = 229828,
  [SMALL_STATE(5644)] = 229871,
  [SMALL_STATE(5645)] = 229904,
  [SMALL_STATE(5646)] = 229947,
  [SMALL_STATE(5647)] = 229986,
  [SMALL_STATE(5648)] = 230025,
  [SMALL_STATE(5649)] = 230064,
  [SMALL_STATE(5650)] = 230091,
  [SMALL_STATE(5651)] = 230124,
  [SMALL_STATE(5652)] = 230155,
  [SMALL_STATE(5653)] = 230186,
  [SMALL_STATE(5654)] = 230219,
  [SMALL_STATE(5655)] = 230258,
  [SMALL_STATE(5656)] = 230297,
  [SMALL_STATE(5657)] = 230328,
  [SMALL_STATE(5658)] = 230351,
  [SMALL_STATE(5659)] = 230394,
  [SMALL_STATE(5660)] = 230427,
  [SMALL_STATE(5661)] = 230458,
  [SMALL_STATE(5662)] = 230497,
  [SMALL_STATE(5663)] = 230528,
  [SMALL_STATE(5664)] = 230571,
  [SMALL_STATE(5665)] = 230614,
  [SMALL_STATE(5666)] = 230647,
  [SMALL_STATE(5667)] = 230690,
  [SMALL_STATE(5668)] = 230719,
  [SMALL_STATE(5669)] = 230750,
  [SMALL_STATE(5670)] = 230793,
  [SMALL_STATE(5671)] = 230824,
  [SMALL_STATE(5672)] = 230855,
  [SMALL_STATE(5673)] = 230886,
  [SMALL_STATE(5674)] = 230925,
  [SMALL_STATE(5675)] = 230956,
  [SMALL_STATE(5676)] = 230985,
  [SMALL_STATE(5677)] = 231016,
  [SMALL_STATE(5678)] = 231059,
  [SMALL_STATE(5679)] = 231088,
  [SMALL_STATE(5680)] = 231117,
  [SMALL_STATE(5681)] = 231146,
  [SMALL_STATE(5682)] = 231175,
  [SMALL_STATE(5683)] = 231214,
  [SMALL_STATE(5684)] = 231245,
  [SMALL_STATE(5685)] = 231276,
  [SMALL_STATE(5686)] = 231307,
  [SMALL_STATE(5687)] = 231336,
  [SMALL_STATE(5688)] = 231363,
  [SMALL_STATE(5689)] = 231392,
  [SMALL_STATE(5690)] = 231421,
  [SMALL_STATE(5691)] = 231450,
  [SMALL_STATE(5692)] = 231493,
  [SMALL_STATE(5693)] = 231524,
  [SMALL_STATE(5694)] = 231553,
  [SMALL_STATE(5695)] = 231584,
  [SMALL_STATE(5696)] = 231627,
  [SMALL_STATE(5697)] = 231656,
  [SMALL_STATE(5698)] = 231685,
  [SMALL_STATE(5699)] = 231714,
  [SMALL_STATE(5700)] = 231747,
  [SMALL_STATE(5701)] = 231778,
  [SMALL_STATE(5702)] = 231807,
  [SMALL_STATE(5703)] = 231850,
  [SMALL_STATE(5704)] = 231872,
  [SMALL_STATE(5705)] = 231910,
  [SMALL_STATE(5706)] = 231938,
  [SMALL_STATE(5707)] = 231966,
  [SMALL_STATE(5708)] = 231986,
  [SMALL_STATE(5709)] = 232014,
  [SMALL_STATE(5710)] = 232046,
  [SMALL_STATE(5711)] = 232074,
  [SMALL_STATE(5712)] = 232102,
  [SMALL_STATE(5713)] = 232142,
  [SMALL_STATE(5714)] = 232170,
  [SMALL_STATE(5715)] = 232210,
  [SMALL_STATE(5716)] = 232250,
  [SMALL_STATE(5717)] = 232282,
  [SMALL_STATE(5718)] = 232322,
  [SMALL_STATE(5719)] = 232350,
  [SMALL_STATE(5720)] = 232378,
  [SMALL_STATE(5721)] = 232416,
  [SMALL_STATE(5722)] = 232444,
  [SMALL_STATE(5723)] = 232482,
  [SMALL_STATE(5724)] = 232522,
  [SMALL_STATE(5725)] = 232562,
  [SMALL_STATE(5726)] = 232590,
  [SMALL_STATE(5727)] = 232628,
  [SMALL_STATE(5728)] = 232656,
  [SMALL_STATE(5729)] = 232688,
  [SMALL_STATE(5730)] = 232708,
  [SMALL_STATE(5731)] = 232732,
  [SMALL_STATE(5732)] = 232764,
  [SMALL_STATE(5733)] = 232792,
  [SMALL_STATE(5734)] = 232832,
  [SMALL_STATE(5735)] = 232852,
  [SMALL_STATE(5736)] = 232884,
  [SMALL_STATE(5737)] = 232924,
  [SMALL_STATE(5738)] = 232956,
  [SMALL_STATE(5739)] = 232984,
  [SMALL_STATE(5740)] = 233004,
  [SMALL_STATE(5741)] = 233024,
  [SMALL_STATE(5742)] = 233064,
  [SMALL_STATE(5743)] = 233084,
  [SMALL_STATE(5744)] = 233104,
  [SMALL_STATE(5745)] = 233124,
  [SMALL_STATE(5746)] = 233164,
  [SMALL_STATE(5747)] = 233204,
  [SMALL_STATE(5748)] = 233244,
  [SMALL_STATE(5749)] = 233272,
  [SMALL_STATE(5750)] = 233312,
  [SMALL_STATE(5751)] = 233340,
  [SMALL_STATE(5752)] = 233368,
  [SMALL_STATE(5753)] = 233388,
  [SMALL_STATE(5754)] = 233416,
  [SMALL_STATE(5755)] = 233454,
  [SMALL_STATE(5756)] = 233492,
  [SMALL_STATE(5757)] = 233532,
  [SMALL_STATE(5758)] = 233570,
  [SMALL_STATE(5759)] = 233598,
  [SMALL_STATE(5760)] = 233626,
  [SMALL_STATE(5761)] = 233652,
  [SMALL_STATE(5762)] = 233680,
  [SMALL_STATE(5763)] = 233718,
  [SMALL_STATE(5764)] = 233750,
  [SMALL_STATE(5765)] = 233782,
  [SMALL_STATE(5766)] = 233820,
  [SMALL_STATE(5767)] = 233852,
  [SMALL_STATE(5768)] = 233876,
  [SMALL_STATE(5769)] = 233906,
  [SMALL_STATE(5770)] = 233946,
  [SMALL_STATE(5771)] = 233966,
  [SMALL_STATE(5772)] = 233990,
  [SMALL_STATE(5773)] = 234028,
  [SMALL_STATE(5774)] = 234048,
  [SMALL_STATE(5775)] = 234068,
  [SMALL_STATE(5776)] = 234088,
  [SMALL_STATE(5777)] = 234108,
  [SMALL_STATE(5778)] = 234146,
  [SMALL_STATE(5779)] = 234176,
  [SMALL_STATE(5780)] = 234196,
  [SMALL_STATE(5781)] = 234224,
  [SMALL_STATE(5782)] = 234262,
  [SMALL_STATE(5783)] = 234284,
  [SMALL_STATE(5784)] = 234306,
  [SMALL_STATE(5785)] = 234344,
  [SMALL_STATE(5786)] = 234366,
  [SMALL_STATE(5787)] = 234388,
  [SMALL_STATE(5788)] = 234416,
  [SMALL_STATE(5789)] = 234448,
  [SMALL_STATE(5790)] = 234488,
  [SMALL_STATE(5791)] = 234528,
  [SMALL_STATE(5792)] = 234554,
  [SMALL_STATE(5793)] = 234584,
  [SMALL_STATE(5794)] = 234622,
  [SMALL_STATE(5795)] = 234654,
  [SMALL_STATE(5796)] = 234692,
  [SMALL_STATE(5797)] = 234732,
  [SMALL_STATE(5798)] = 234762,
  [SMALL_STATE(5799)] = 234794,
  [SMALL_STATE(5800)] = 234814,
  [SMALL_STATE(5801)] = 234842,
  [SMALL_STATE(5802)] = 234874,
  [SMALL_STATE(5803)] = 234906,
  [SMALL_STATE(5804)] = 234938,
  [SMALL_STATE(5805)] = 234970,
  [SMALL_STATE(5806)] = 235002,
  [SMALL_STATE(5807)] = 235022,
  [SMALL_STATE(5808)] = 235054,
  [SMALL_STATE(5809)] = 235082,
  [SMALL_STATE(5810)] = 235114,
  [SMALL_STATE(5811)] = 235146,
  [SMALL_STATE(5812)] = 235178,
  [SMALL_STATE(5813)] = 235198,
  [SMALL_STATE(5814)] = 235226,
  [SMALL_STATE(5815)] = 235256,
  [SMALL_STATE(5816)] = 235294,
  [SMALL_STATE(5817)] = 235314,
  [SMALL_STATE(5818)] = 235346,
  [SMALL_STATE(5819)] = 235376,
  [SMALL_STATE(5820)] = 235408,
  [SMALL_STATE(5821)] = 235428,
  [SMALL_STATE(5822)] = 235466,
  [SMALL_STATE(5823)] = 235492,
  [SMALL_STATE(5824)] = 235522,
  [SMALL_STATE(5825)] = 235562,
  [SMALL_STATE(5826)] = 235592,
  [SMALL_STATE(5827)] = 235630,
  [SMALL_STATE(5828)] = 235660,
  [SMALL_STATE(5829)] = 235690,
  [SMALL_STATE(5830)] = 235710,
  [SMALL_STATE(5831)] = 235748,
  [SMALL_STATE(5832)] = 235781,
  [SMALL_STATE(5833)] = 235814,
  [SMALL_STATE(5834)] = 235839,
  [SMALL_STATE(5835)] = 235860,
  [SMALL_STATE(5836)] = 235893,
  [SMALL_STATE(5837)] = 235914,
  [SMALL_STATE(5838)] = 235953,
  [SMALL_STATE(5839)] = 235974,
  [SMALL_STATE(5840)] = 235995,
  [SMALL_STATE(5841)] = 236028,
  [SMALL_STATE(5842)] = 236049,
  [SMALL_STATE(5843)] = 236084,
  [SMALL_STATE(5844)] = 236105,
  [SMALL_STATE(5845)] = 236132,
  [SMALL_STATE(5846)] = 236167,
  [SMALL_STATE(5847)] = 236200,
  [SMALL_STATE(5848)] = 236221,
  [SMALL_STATE(5849)] = 236242,
  [SMALL_STATE(5850)] = 236263,
  [SMALL_STATE(5851)] = 236284,
  [SMALL_STATE(5852)] = 236309,
  [SMALL_STATE(5853)] = 236336,
  [SMALL_STATE(5854)] = 236365,
  [SMALL_STATE(5855)] = 236394,
  [SMALL_STATE(5856)] = 236423,
  [SMALL_STATE(5857)] = 236444,
  [SMALL_STATE(5858)] = 236471,
  [SMALL_STATE(5859)] = 236492,
  [SMALL_STATE(5860)] = 236521,
  [SMALL_STATE(5861)] = 236550,
  [SMALL_STATE(5862)] = 236575,
  [SMALL_STATE(5863)] = 236596,
  [SMALL_STATE(5864)] = 236629,
  [SMALL_STATE(5865)] = 236656,
  [SMALL_STATE(5866)] = 236683,
  [SMALL_STATE(5867)] = 236716,
  [SMALL_STATE(5868)] = 236743,
  [SMALL_STATE(5869)] = 236764,
  [SMALL_STATE(5870)] = 236785,
  [SMALL_STATE(5871)] = 236818,
  [SMALL_STATE(5872)] = 236851,
  [SMALL_STATE(5873)] = 236884,
  [SMALL_STATE(5874)] = 236905,
  [SMALL_STATE(5875)] = 236926,
  [SMALL_STATE(5876)] = 236959,
  [SMALL_STATE(5877)] = 236980,
  [SMALL_STATE(5878)] = 237013,
  [SMALL_STATE(5879)] = 237034,
  [SMALL_STATE(5880)] = 237061,
  [SMALL_STATE(5881)] = 237094,
  [SMALL_STATE(5882)] = 237119,
  [SMALL_STATE(5883)] = 237152,
  [SMALL_STATE(5884)] = 237179,
  [SMALL_STATE(5885)] = 237212,
  [SMALL_STATE(5886)] = 237245,
  [SMALL_STATE(5887)] = 237278,
  [SMALL_STATE(5888)] = 237311,
  [SMALL_STATE(5889)] = 237332,
  [SMALL_STATE(5890)] = 237353,
  [SMALL_STATE(5891)] = 237388,
  [SMALL_STATE(5892)] = 237421,
  [SMALL_STATE(5893)] = 237454,
  [SMALL_STATE(5894)] = 237475,
  [SMALL_STATE(5895)] = 237508,
  [SMALL_STATE(5896)] = 237545,
  [SMALL_STATE(5897)] = 237566,
  [SMALL_STATE(5898)] = 237599,
  [SMALL_STATE(5899)] = 237620,
  [SMALL_STATE(5900)] = 237655,
  [SMALL_STATE(5901)] = 237680,
  [SMALL_STATE(5902)] = 237701,
  [SMALL_STATE(5903)] = 237726,
  [SMALL_STATE(5904)] = 237761,
  [SMALL_STATE(5905)] = 237782,
  [SMALL_STATE(5906)] = 237817,
  [SMALL_STATE(5907)] = 237856,
  [SMALL_STATE(5908)] = 237883,
  [SMALL_STATE(5909)] = 237910,
  [SMALL_STATE(5910)] = 237937,
  [SMALL_STATE(5911)] = 237970,
  [SMALL_STATE(5912)] = 237991,
  [SMALL_STATE(5913)] = 238018,
  [SMALL_STATE(5914)] = 238045,
  [SMALL_STATE(5915)] = 238080,
  [SMALL_STATE(5916)] = 238107,
  [SMALL_STATE(5917)] = 238134,
  [SMALL_STATE(5918)] = 238161,
  [SMALL_STATE(5919)] = 238196,
  [SMALL_STATE(5920)] = 238229,
  [SMALL_STATE(5921)] = 238262,
  [SMALL_STATE(5922)] = 238301,
  [SMALL_STATE(5923)] = 238334,
  [SMALL_STATE(5924)] = 238355,
  [SMALL_STATE(5925)] = 238394,
  [SMALL_STATE(5926)] = 238431,
  [SMALL_STATE(5927)] = 238466,
  [SMALL_STATE(5928)] = 238491,
  [SMALL_STATE(5929)] = 238512,
  [SMALL_STATE(5930)] = 238547,
  [SMALL_STATE(5931)] = 238582,
  [SMALL_STATE(5932)] = 238615,
  [SMALL_STATE(5933)] = 238654,
  [SMALL_STATE(5934)] = 238687,
  [SMALL_STATE(5935)] = 238707,
  [SMALL_STATE(5936)] = 238743,
  [SMALL_STATE(5937)] = 238779,
  [SMALL_STATE(5938)] = 238815,
  [SMALL_STATE(5939)] = 238837,
  [SMALL_STATE(5940)] = 238865,
  [SMALL_STATE(5941)] = 238887,
  [SMALL_STATE(5942)] = 238911,
  [SMALL_STATE(5943)] = 238937,
  [SMALL_STATE(5944)] = 238963,
  [SMALL_STATE(5945)] = 238987,
  [SMALL_STATE(5946)] = 239017,
  [SMALL_STATE(5947)] = 239047,
  [SMALL_STATE(5948)] = 239073,
  [SMALL_STATE(5949)] = 239099,
  [SMALL_STATE(5950)] = 239127,
  [SMALL_STATE(5951)] = 239153,
  [SMALL_STATE(5952)] = 239189,
  [SMALL_STATE(5953)] = 239219,
  [SMALL_STATE(5954)] = 239249,
  [SMALL_STATE(5955)] = 239279,
  [SMALL_STATE(5956)] = 239309,
  [SMALL_STATE(5957)] = 239335,
  [SMALL_STATE(5958)] = 239361,
  [SMALL_STATE(5959)] = 239387,
  [SMALL_STATE(5960)] = 239413,
  [SMALL_STATE(5961)] = 239439,
  [SMALL_STATE(5962)] = 239475,
  [SMALL_STATE(5963)] = 239501,
  [SMALL_STATE(5964)] = 239527,
  [SMALL_STATE(5965)] = 239553,
  [SMALL_STATE(5966)] = 239583,
  [SMALL_STATE(5967)] = 239607,
  [SMALL_STATE(5968)] = 239643,
  [SMALL_STATE(5969)] = 239679,
  [SMALL_STATE(5970)] = 239709,
  [SMALL_STATE(5971)] = 239745,
  [SMALL_STATE(5972)] = 239765,
  [SMALL_STATE(5973)] = 239793,
  [SMALL_STATE(5974)] = 239829,
  [SMALL_STATE(5975)] = 239865,
  [SMALL_STATE(5976)] = 239895,
  [SMALL_STATE(5977)] = 239931,
  [SMALL_STATE(5978)] = 239959,
  [SMALL_STATE(5979)] = 239995,
  [SMALL_STATE(5980)] = 240025,
  [SMALL_STATE(5981)] = 240051,
  [SMALL_STATE(5982)] = 240087,
  [SMALL_STATE(5983)] = 240111,
  [SMALL_STATE(5984)] = 240135,
  [SMALL_STATE(5985)] = 240165,
  [SMALL_STATE(5986)] = 240191,
  [SMALL_STATE(5987)] = 240227,
  [SMALL_STATE(5988)] = 240257,
  [SMALL_STATE(5989)] = 240293,
  [SMALL_STATE(5990)] = 240329,
  [SMALL_STATE(5991)] = 240355,
  [SMALL_STATE(5992)] = 240381,
  [SMALL_STATE(5993)] = 240411,
  [SMALL_STATE(5994)] = 240437,
  [SMALL_STATE(5995)] = 240473,
  [SMALL_STATE(5996)] = 240509,
  [SMALL_STATE(5997)] = 240537,
  [SMALL_STATE(5998)] = 240573,
  [SMALL_STATE(5999)] = 240600,
  [SMALL_STATE(6000)] = 240635,
  [SMALL_STATE(6001)] = 240664,
  [SMALL_STATE(6002)] = 240695,
  [SMALL_STATE(6003)] = 240716,
  [SMALL_STATE(6004)] = 240741,
  [SMALL_STATE(6005)] = 240766,
  [SMALL_STATE(6006)] = 240791,
  [SMALL_STATE(6007)] = 240816,
  [SMALL_STATE(6008)] = 240841,
  [SMALL_STATE(6009)] = 240870,
  [SMALL_STATE(6010)] = 240895,
  [SMALL_STATE(6011)] = 240930,
  [SMALL_STATE(6012)] = 240963,
  [SMALL_STATE(6013)] = 240988,
  [SMALL_STATE(6014)] = 241017,
  [SMALL_STATE(6015)] = 241036,
  [SMALL_STATE(6016)] = 241055,
  [SMALL_STATE(6017)] = 241074,
  [SMALL_STATE(6018)] = 241109,
  [SMALL_STATE(6019)] = 241142,
  [SMALL_STATE(6020)] = 241169,
  [SMALL_STATE(6021)] = 241198,
  [SMALL_STATE(6022)] = 241229,
  [SMALL_STATE(6023)] = 241248,
  [SMALL_STATE(6024)] = 241275,
  [SMALL_STATE(6025)] = 241302,
  [SMALL_STATE(6026)] = 241329,
  [SMALL_STATE(6027)] = 241356,
  [SMALL_STATE(6028)] = 241387,
  [SMALL_STATE(6029)] = 241422,
  [SMALL_STATE(6030)] = 241457,
  [SMALL_STATE(6031)] = 241476,
  [SMALL_STATE(6032)] = 241503,
  [SMALL_STATE(6033)] = 241526,
  [SMALL_STATE(6034)] = 241561,
  [SMALL_STATE(6035)] = 241592,
  [SMALL_STATE(6036)] = 241627,
  [SMALL_STATE(6037)] = 241654,
  [SMALL_STATE(6038)] = 241685,
  [SMALL_STATE(6039)] = 241720,
  [SMALL_STATE(6040)] = 241755,
  [SMALL_STATE(6041)] = 241790,
  [SMALL_STATE(6042)] = 241821,
  [SMALL_STATE(6043)] = 241856,
  [SMALL_STATE(6044)] = 241883,
  [SMALL_STATE(6045)] = 241918,
  [SMALL_STATE(6046)] = 241943,
  [SMALL_STATE(6047)] = 241978,
  [SMALL_STATE(6048)] = 242003,
  [SMALL_STATE(6049)] = 242034,
  [SMALL_STATE(6050)] = 242069,
  [SMALL_STATE(6051)] = 242104,
  [SMALL_STATE(6052)] = 242135,
  [SMALL_STATE(6053)] = 242162,
  [SMALL_STATE(6054)] = 242197,
  [SMALL_STATE(6055)] = 242226,
  [SMALL_STATE(6056)] = 242249,
  [SMALL_STATE(6057)] = 242284,
  [SMALL_STATE(6058)] = 242315,
  [SMALL_STATE(6059)] = 242346,
  [SMALL_STATE(6060)] = 242377,
  [SMALL_STATE(6061)] = 242406,
  [SMALL_STATE(6062)] = 242441,
  [SMALL_STATE(6063)] = 242460,
  [SMALL_STATE(6064)] = 242491,
  [SMALL_STATE(6065)] = 242520,
  [SMALL_STATE(6066)] = 242549,
  [SMALL_STATE(6067)] = 242578,
  [SMALL_STATE(6068)] = 242609,
  [SMALL_STATE(6069)] = 242628,
  [SMALL_STATE(6070)] = 242647,
  [SMALL_STATE(6071)] = 242682,
  [SMALL_STATE(6072)] = 242707,
  [SMALL_STATE(6073)] = 242740,
  [SMALL_STATE(6074)] = 242775,
  [SMALL_STATE(6075)] = 242794,
  [SMALL_STATE(6076)] = 242827,
  [SMALL_STATE(6077)] = 242856,
  [SMALL_STATE(6078)] = 242881,
  [SMALL_STATE(6079)] = 242910,
  [SMALL_STATE(6080)] = 242941,
  [SMALL_STATE(6081)] = 242970,
  [SMALL_STATE(6082)] = 242995,
  [SMALL_STATE(6083)] = 243030,
  [SMALL_STATE(6084)] = 243049,
  [SMALL_STATE(6085)] = 243080,
  [SMALL_STATE(6086)] = 243102,
  [SMALL_STATE(6087)] = 243132,
  [SMALL_STATE(6088)] = 243156,
  [SMALL_STATE(6089)] = 243180,
  [SMALL_STATE(6090)] = 243204,
  [SMALL_STATE(6091)] = 243228,
  [SMALL_STATE(6092)] = 243252,
  [SMALL_STATE(6093)] = 243274,
  [SMALL_STATE(6094)] = 243304,
  [SMALL_STATE(6095)] = 243328,
  [SMALL_STATE(6096)] = 243352,
  [SMALL_STATE(6097)] = 243374,
  [SMALL_STATE(6098)] = 243396,
  [SMALL_STATE(6099)] = 243426,
  [SMALL_STATE(6100)] = 243450,
  [SMALL_STATE(6101)] = 243468,
  [SMALL_STATE(6102)] = 243492,
  [SMALL_STATE(6103)] = 243510,
  [SMALL_STATE(6104)] = 243532,
  [SMALL_STATE(6105)] = 243554,
  [SMALL_STATE(6106)] = 243576,
  [SMALL_STATE(6107)] = 243600,
  [SMALL_STATE(6108)] = 243632,
  [SMALL_STATE(6109)] = 243662,
  [SMALL_STATE(6110)] = 243680,
  [SMALL_STATE(6111)] = 243698,
  [SMALL_STATE(6112)] = 243720,
  [SMALL_STATE(6113)] = 243742,
  [SMALL_STATE(6114)] = 243764,
  [SMALL_STATE(6115)] = 243794,
  [SMALL_STATE(6116)] = 243812,
  [SMALL_STATE(6117)] = 243830,
  [SMALL_STATE(6118)] = 243848,
  [SMALL_STATE(6119)] = 243870,
  [SMALL_STATE(6120)] = 243900,
  [SMALL_STATE(6121)] = 243930,
  [SMALL_STATE(6122)] = 243952,
  [SMALL_STATE(6123)] = 243974,
  [SMALL_STATE(6124)] = 244004,
  [SMALL_STATE(6125)] = 244035,
  [SMALL_STATE(6126)] = 244056,
  [SMALL_STATE(6127)] = 244083,
  [SMALL_STATE(6128)] = 244104,
  [SMALL_STATE(6129)] = 244135,
  [SMALL_STATE(6130)] = 244166,
  [SMALL_STATE(6131)] = 244197,
  [SMALL_STATE(6132)] = 244228,
  [SMALL_STATE(6133)] = 244259,
  [SMALL_STATE(6134)] = 244282,
  [SMALL_STATE(6135)] = 244301,
  [SMALL_STATE(6136)] = 244324,
  [SMALL_STATE(6137)] = 244355,
  [SMALL_STATE(6138)] = 244386,
  [SMALL_STATE(6139)] = 244417,
  [SMALL_STATE(6140)] = 244438,
  [SMALL_STATE(6141)] = 244469,
  [SMALL_STATE(6142)] = 244496,
  [SMALL_STATE(6143)] = 244527,
  [SMALL_STATE(6144)] = 244558,
  [SMALL_STATE(6145)] = 244589,
  [SMALL_STATE(6146)] = 244620,
  [SMALL_STATE(6147)] = 244643,
  [SMALL_STATE(6148)] = 244674,
  [SMALL_STATE(6149)] = 244701,
  [SMALL_STATE(6150)] = 244732,
  [SMALL_STATE(6151)] = 244763,
  [SMALL_STATE(6152)] = 244786,
  [SMALL_STATE(6153)] = 244817,
  [SMALL_STATE(6154)] = 244844,
  [SMALL_STATE(6155)] = 244867,
  [SMALL_STATE(6156)] = 244890,
  [SMALL_STATE(6157)] = 244921,
  [SMALL_STATE(6158)] = 244940,
  [SMALL_STATE(6159)] = 244967,
  [SMALL_STATE(6160)] = 244990,
  [SMALL_STATE(6161)] = 245017,
  [SMALL_STATE(6162)] = 245044,
  [SMALL_STATE(6163)] = 245067,
  [SMALL_STATE(6164)] = 245098,
  [SMALL_STATE(6165)] = 245121,
  [SMALL_STATE(6166)] = 245146,
  [SMALL_STATE(6167)] = 245177,
  [SMALL_STATE(6168)] = 245200,
  [SMALL_STATE(6169)] = 245231,
  [SMALL_STATE(6170)] = 245262,
  [SMALL_STATE(6171)] = 245293,
  [SMALL_STATE(6172)] = 245314,
  [SMALL_STATE(6173)] = 245345,
  [SMALL_STATE(6174)] = 245376,
  [SMALL_STATE(6175)] = 245397,
  [SMALL_STATE(6176)] = 245428,
  [SMALL_STATE(6177)] = 245459,
  [SMALL_STATE(6178)] = 245490,
  [SMALL_STATE(6179)] = 245512,
  [SMALL_STATE(6180)] = 245532,
  [SMALL_STATE(6181)] = 245558,
  [SMALL_STATE(6182)] = 245584,
  [SMALL_STATE(6183)] = 245606,
  [SMALL_STATE(6184)] = 245632,
  [SMALL_STATE(6185)] = 245658,
  [SMALL_STATE(6186)] = 245680,
  [SMALL_STATE(6187)] = 245700,
  [SMALL_STATE(6188)] = 245726,
  [SMALL_STATE(6189)] = 245752,
  [SMALL_STATE(6190)] = 245778,
  [SMALL_STATE(6191)] = 245798,
  [SMALL_STATE(6192)] = 245824,
  [SMALL_STATE(6193)] = 245850,
  [SMALL_STATE(6194)] = 245876,
  [SMALL_STATE(6195)] = 245902,
  [SMALL_STATE(6196)] = 245928,
  [SMALL_STATE(6197)] = 245948,
  [SMALL_STATE(6198)] = 245974,
  [SMALL_STATE(6199)] = 246000,
  [SMALL_STATE(6200)] = 246026,
  [SMALL_STATE(6201)] = 246052,
  [SMALL_STATE(6202)] = 246068,
  [SMALL_STATE(6203)] = 246090,
  [SMALL_STATE(6204)] = 246116,
  [SMALL_STATE(6205)] = 246138,
  [SMALL_STATE(6206)] = 246160,
  [SMALL_STATE(6207)] = 246186,
  [SMALL_STATE(6208)] = 246212,
  [SMALL_STATE(6209)] = 246234,
  [SMALL_STATE(6210)] = 246260,
  [SMALL_STATE(6211)] = 246282,
  [SMALL_STATE(6212)] = 246308,
  [SMALL_STATE(6213)] = 246334,
  [SMALL_STATE(6214)] = 246350,
  [SMALL_STATE(6215)] = 246376,
  [SMALL_STATE(6216)] = 246402,
  [SMALL_STATE(6217)] = 246428,
  [SMALL_STATE(6218)] = 246454,
  [SMALL_STATE(6219)] = 246480,
  [SMALL_STATE(6220)] = 246506,
  [SMALL_STATE(6221)] = 246528,
  [SMALL_STATE(6222)] = 246550,
  [SMALL_STATE(6223)] = 246576,
  [SMALL_STATE(6224)] = 246602,
  [SMALL_STATE(6225)] = 246624,
  [SMALL_STATE(6226)] = 246646,
  [SMALL_STATE(6227)] = 246664,
  [SMALL_STATE(6228)] = 246685,
  [SMALL_STATE(6229)] = 246708,
  [SMALL_STATE(6230)] = 246729,
  [SMALL_STATE(6231)] = 246750,
  [SMALL_STATE(6232)] = 246773,
  [SMALL_STATE(6233)] = 246798,
  [SMALL_STATE(6234)] = 246819,
  [SMALL_STATE(6235)] = 246834,
  [SMALL_STATE(6236)] = 246855,
  [SMALL_STATE(6237)] = 246878,
  [SMALL_STATE(6238)] = 246901,
  [SMALL_STATE(6239)] = 246924,
  [SMALL_STATE(6240)] = 246949,
  [SMALL_STATE(6241)] = 246974,
  [SMALL_STATE(6242)] = 246999,
  [SMALL_STATE(6243)] = 247018,
  [SMALL_STATE(6244)] = 247041,
  [SMALL_STATE(6245)] = 247062,
  [SMALL_STATE(6246)] = 247083,
  [SMALL_STATE(6247)] = 247104,
  [SMALL_STATE(6248)] = 247129,
  [SMALL_STATE(6249)] = 247150,
  [SMALL_STATE(6250)] = 247171,
  [SMALL_STATE(6251)] = 247190,
  [SMALL_STATE(6252)] = 247211,
  [SMALL_STATE(6253)] = 247226,
  [SMALL_STATE(6254)] = 247247,
  [SMALL_STATE(6255)] = 247270,
  [SMALL_STATE(6256)] = 247285,
  [SMALL_STATE(6257)] = 247300,
  [SMALL_STATE(6258)] = 247325,
  [SMALL_STATE(6259)] = 247348,
  [SMALL_STATE(6260)] = 247369,
  [SMALL_STATE(6261)] = 247392,
  [SMALL_STATE(6262)] = 247409,
  [SMALL_STATE(6263)] = 247432,
  [SMALL_STATE(6264)] = 247457,
  [SMALL_STATE(6265)] = 247480,
  [SMALL_STATE(6266)] = 247503,
  [SMALL_STATE(6267)] = 247518,
  [SMALL_STATE(6268)] = 247539,
  [SMALL_STATE(6269)] = 247560,
  [SMALL_STATE(6270)] = 247583,
  [SMALL_STATE(6271)] = 247598,
  [SMALL_STATE(6272)] = 247621,
  [SMALL_STATE(6273)] = 247636,
  [SMALL_STATE(6274)] = 247651,
  [SMALL_STATE(6275)] = 247672,
  [SMALL_STATE(6276)] = 247697,
  [SMALL_STATE(6277)] = 247720,
  [SMALL_STATE(6278)] = 247739,
  [SMALL_STATE(6279)] = 247757,
  [SMALL_STATE(6280)] = 247773,
  [SMALL_STATE(6281)] = 247791,
  [SMALL_STATE(6282)] = 247811,
  [SMALL_STATE(6283)] = 247831,
  [SMALL_STATE(6284)] = 247847,
  [SMALL_STATE(6285)] = 247863,
  [SMALL_STATE(6286)] = 247883,
  [SMALL_STATE(6287)] = 247897,
  [SMALL_STATE(6288)] = 247917,
  [SMALL_STATE(6289)] = 247931,
  [SMALL_STATE(6290)] = 247951,
  [SMALL_STATE(6291)] = 247967,
  [SMALL_STATE(6292)] = 247981,
  [SMALL_STATE(6293)] = 247999,
  [SMALL_STATE(6294)] = 248015,
  [SMALL_STATE(6295)] = 248031,
  [SMALL_STATE(6296)] = 248051,
  [SMALL_STATE(6297)] = 248065,
  [SMALL_STATE(6298)] = 248085,
  [SMALL_STATE(6299)] = 248099,
  [SMALL_STATE(6300)] = 248113,
  [SMALL_STATE(6301)] = 248129,
  [SMALL_STATE(6302)] = 248149,
  [SMALL_STATE(6303)] = 248163,
  [SMALL_STATE(6304)] = 248181,
  [SMALL_STATE(6305)] = 248195,
  [SMALL_STATE(6306)] = 248211,
  [SMALL_STATE(6307)] = 248229,
  [SMALL_STATE(6308)] = 248247,
  [SMALL_STATE(6309)] = 248265,
  [SMALL_STATE(6310)] = 248279,
  [SMALL_STATE(6311)] = 248299,
  [SMALL_STATE(6312)] = 248315,
  [SMALL_STATE(6313)] = 248335,
  [SMALL_STATE(6314)] = 248351,
  [SMALL_STATE(6315)] = 248371,
  [SMALL_STATE(6316)] = 248391,
  [SMALL_STATE(6317)] = 248411,
  [SMALL_STATE(6318)] = 248425,
  [SMALL_STATE(6319)] = 248441,
  [SMALL_STATE(6320)] = 248461,
  [SMALL_STATE(6321)] = 248475,
  [SMALL_STATE(6322)] = 248491,
  [SMALL_STATE(6323)] = 248509,
  [SMALL_STATE(6324)] = 248525,
  [SMALL_STATE(6325)] = 248541,
  [SMALL_STATE(6326)] = 248555,
  [SMALL_STATE(6327)] = 248569,
  [SMALL_STATE(6328)] = 248589,
  [SMALL_STATE(6329)] = 248603,
  [SMALL_STATE(6330)] = 248619,
  [SMALL_STATE(6331)] = 248639,
  [SMALL_STATE(6332)] = 248658,
  [SMALL_STATE(6333)] = 248677,
  [SMALL_STATE(6334)] = 248696,
  [SMALL_STATE(6335)] = 248715,
  [SMALL_STATE(6336)] = 248734,
  [SMALL_STATE(6337)] = 248753,
  [SMALL_STATE(6338)] = 248772,
  [SMALL_STATE(6339)] = 248791,
  [SMALL_STATE(6340)] = 248810,
  [SMALL_STATE(6341)] = 248827,
  [SMALL_STATE(6342)] = 248846,
  [SMALL_STATE(6343)] = 248865,
  [SMALL_STATE(6344)] = 248878,
  [SMALL_STATE(6345)] = 248897,
  [SMALL_STATE(6346)] = 248916,
  [SMALL_STATE(6347)] = 248933,
  [SMALL_STATE(6348)] = 248952,
  [SMALL_STATE(6349)] = 248971,
  [SMALL_STATE(6350)] = 248990,
  [SMALL_STATE(6351)] = 249003,
  [SMALL_STATE(6352)] = 249022,
  [SMALL_STATE(6353)] = 249039,
  [SMALL_STATE(6354)] = 249058,
  [SMALL_STATE(6355)] = 249077,
  [SMALL_STATE(6356)] = 249090,
  [SMALL_STATE(6357)] = 249109,
  [SMALL_STATE(6358)] = 249128,
  [SMALL_STATE(6359)] = 249147,
  [SMALL_STATE(6360)] = 249166,
  [SMALL_STATE(6361)] = 249185,
  [SMALL_STATE(6362)] = 249204,
  [SMALL_STATE(6363)] = 249217,
  [SMALL_STATE(6364)] = 249236,
  [SMALL_STATE(6365)] = 249255,
  [SMALL_STATE(6366)] = 249274,
  [SMALL_STATE(6367)] = 249293,
  [SMALL_STATE(6368)] = 249312,
  [SMALL_STATE(6369)] = 249331,
  [SMALL_STATE(6370)] = 249350,
  [SMALL_STATE(6371)] = 249369,
  [SMALL_STATE(6372)] = 249388,
  [SMALL_STATE(6373)] = 249407,
  [SMALL_STATE(6374)] = 249426,
  [SMALL_STATE(6375)] = 249445,
  [SMALL_STATE(6376)] = 249464,
  [SMALL_STATE(6377)] = 249481,
  [SMALL_STATE(6378)] = 249500,
  [SMALL_STATE(6379)] = 249519,
  [SMALL_STATE(6380)] = 249538,
  [SMALL_STATE(6381)] = 249555,
  [SMALL_STATE(6382)] = 249574,
  [SMALL_STATE(6383)] = 249593,
  [SMALL_STATE(6384)] = 249612,
  [SMALL_STATE(6385)] = 249631,
  [SMALL_STATE(6386)] = 249648,
  [SMALL_STATE(6387)] = 249667,
  [SMALL_STATE(6388)] = 249684,
  [SMALL_STATE(6389)] = 249703,
  [SMALL_STATE(6390)] = 249722,
  [SMALL_STATE(6391)] = 249738,
  [SMALL_STATE(6392)] = 249752,
  [SMALL_STATE(6393)] = 249766,
  [SMALL_STATE(6394)] = 249782,
  [SMALL_STATE(6395)] = 249796,
  [SMALL_STATE(6396)] = 249810,
  [SMALL_STATE(6397)] = 249824,
  [SMALL_STATE(6398)] = 249838,
  [SMALL_STATE(6399)] = 249852,
  [SMALL_STATE(6400)] = 249868,
  [SMALL_STATE(6401)] = 249884,
  [SMALL_STATE(6402)] = 249900,
  [SMALL_STATE(6403)] = 249914,
  [SMALL_STATE(6404)] = 249928,
  [SMALL_STATE(6405)] = 249942,
  [SMALL_STATE(6406)] = 249958,
  [SMALL_STATE(6407)] = 249972,
  [SMALL_STATE(6408)] = 249988,
  [SMALL_STATE(6409)] = 250004,
  [SMALL_STATE(6410)] = 250018,
  [SMALL_STATE(6411)] = 250032,
  [SMALL_STATE(6412)] = 250046,
  [SMALL_STATE(6413)] = 250062,
  [SMALL_STATE(6414)] = 250078,
  [SMALL_STATE(6415)] = 250092,
  [SMALL_STATE(6416)] = 250108,
  [SMALL_STATE(6417)] = 250122,
  [SMALL_STATE(6418)] = 250136,
  [SMALL_STATE(6419)] = 250152,
  [SMALL_STATE(6420)] = 250168,
  [SMALL_STATE(6421)] = 250184,
  [SMALL_STATE(6422)] = 250198,
  [SMALL_STATE(6423)] = 250212,
  [SMALL_STATE(6424)] = 250226,
  [SMALL_STATE(6425)] = 250240,
  [SMALL_STATE(6426)] = 250254,
  [SMALL_STATE(6427)] = 250270,
  [SMALL_STATE(6428)] = 250286,
  [SMALL_STATE(6429)] = 250300,
  [SMALL_STATE(6430)] = 250314,
  [SMALL_STATE(6431)] = 250330,
  [SMALL_STATE(6432)] = 250344,
  [SMALL_STATE(6433)] = 250358,
  [SMALL_STATE(6434)] = 250374,
  [SMALL_STATE(6435)] = 250390,
  [SMALL_STATE(6436)] = 250404,
  [SMALL_STATE(6437)] = 250418,
  [SMALL_STATE(6438)] = 250434,
  [SMALL_STATE(6439)] = 250448,
  [SMALL_STATE(6440)] = 250462,
  [SMALL_STATE(6441)] = 250478,
  [SMALL_STATE(6442)] = 250494,
  [SMALL_STATE(6443)] = 250508,
  [SMALL_STATE(6444)] = 250524,
  [SMALL_STATE(6445)] = 250540,
  [SMALL_STATE(6446)] = 250554,
  [SMALL_STATE(6447)] = 250570,
  [SMALL_STATE(6448)] = 250586,
  [SMALL_STATE(6449)] = 250600,
  [SMALL_STATE(6450)] = 250614,
  [SMALL_STATE(6451)] = 250628,
  [SMALL_STATE(6452)] = 250644,
  [SMALL_STATE(6453)] = 250660,
  [SMALL_STATE(6454)] = 250674,
  [SMALL_STATE(6455)] = 250688,
  [SMALL_STATE(6456)] = 250702,
  [SMALL_STATE(6457)] = 250718,
  [SMALL_STATE(6458)] = 250734,
  [SMALL_STATE(6459)] = 250748,
  [SMALL_STATE(6460)] = 250762,
  [SMALL_STATE(6461)] = 250778,
  [SMALL_STATE(6462)] = 250792,
  [SMALL_STATE(6463)] = 250806,
  [SMALL_STATE(6464)] = 250820,
  [SMALL_STATE(6465)] = 250836,
  [SMALL_STATE(6466)] = 250850,
  [SMALL_STATE(6467)] = 250866,
  [SMALL_STATE(6468)] = 250882,
  [SMALL_STATE(6469)] = 250898,
  [SMALL_STATE(6470)] = 250914,
  [SMALL_STATE(6471)] = 250928,
  [SMALL_STATE(6472)] = 250944,
  [SMALL_STATE(6473)] = 250960,
  [SMALL_STATE(6474)] = 250974,
  [SMALL_STATE(6475)] = 250990,
  [SMALL_STATE(6476)] = 251006,
  [SMALL_STATE(6477)] = 251022,
  [SMALL_STATE(6478)] = 251036,
  [SMALL_STATE(6479)] = 251050,
  [SMALL_STATE(6480)] = 251066,
  [SMALL_STATE(6481)] = 251082,
  [SMALL_STATE(6482)] = 251096,
  [SMALL_STATE(6483)] = 251110,
  [SMALL_STATE(6484)] = 251126,
  [SMALL_STATE(6485)] = 251142,
  [SMALL_STATE(6486)] = 251158,
  [SMALL_STATE(6487)] = 251174,
  [SMALL_STATE(6488)] = 251190,
  [SMALL_STATE(6489)] = 251206,
  [SMALL_STATE(6490)] = 251222,
  [SMALL_STATE(6491)] = 251238,
  [SMALL_STATE(6492)] = 251254,
  [SMALL_STATE(6493)] = 251268,
  [SMALL_STATE(6494)] = 251284,
  [SMALL_STATE(6495)] = 251300,
  [SMALL_STATE(6496)] = 251314,
  [SMALL_STATE(6497)] = 251330,
  [SMALL_STATE(6498)] = 251346,
  [SMALL_STATE(6499)] = 251360,
  [SMALL_STATE(6500)] = 251374,
  [SMALL_STATE(6501)] = 251388,
  [SMALL_STATE(6502)] = 251402,
  [SMALL_STATE(6503)] = 251416,
  [SMALL_STATE(6504)] = 251430,
  [SMALL_STATE(6505)] = 251446,
  [SMALL_STATE(6506)] = 251462,
  [SMALL_STATE(6507)] = 251476,
  [SMALL_STATE(6508)] = 251492,
  [SMALL_STATE(6509)] = 251508,
  [SMALL_STATE(6510)] = 251524,
  [SMALL_STATE(6511)] = 251540,
  [SMALL_STATE(6512)] = 251556,
  [SMALL_STATE(6513)] = 251572,
  [SMALL_STATE(6514)] = 251588,
  [SMALL_STATE(6515)] = 251598,
  [SMALL_STATE(6516)] = 251614,
  [SMALL_STATE(6517)] = 251630,
  [SMALL_STATE(6518)] = 251644,
  [SMALL_STATE(6519)] = 251658,
  [SMALL_STATE(6520)] = 251674,
  [SMALL_STATE(6521)] = 251690,
  [SMALL_STATE(6522)] = 251706,
  [SMALL_STATE(6523)] = 251720,
  [SMALL_STATE(6524)] = 251736,
  [SMALL_STATE(6525)] = 251750,
  [SMALL_STATE(6526)] = 251766,
  [SMALL_STATE(6527)] = 251776,
  [SMALL_STATE(6528)] = 251792,
  [SMALL_STATE(6529)] = 251806,
  [SMALL_STATE(6530)] = 251820,
  [SMALL_STATE(6531)] = 251836,
  [SMALL_STATE(6532)] = 251850,
  [SMALL_STATE(6533)] = 251864,
  [SMALL_STATE(6534)] = 251878,
  [SMALL_STATE(6535)] = 251892,
  [SMALL_STATE(6536)] = 251908,
  [SMALL_STATE(6537)] = 251920,
  [SMALL_STATE(6538)] = 251936,
  [SMALL_STATE(6539)] = 251952,
  [SMALL_STATE(6540)] = 251968,
  [SMALL_STATE(6541)] = 251984,
  [SMALL_STATE(6542)] = 252000,
  [SMALL_STATE(6543)] = 252016,
  [SMALL_STATE(6544)] = 252032,
  [SMALL_STATE(6545)] = 252046,
  [SMALL_STATE(6546)] = 252062,
  [SMALL_STATE(6547)] = 252076,
  [SMALL_STATE(6548)] = 252092,
  [SMALL_STATE(6549)] = 252106,
  [SMALL_STATE(6550)] = 252122,
  [SMALL_STATE(6551)] = 252138,
  [SMALL_STATE(6552)] = 252148,
  [SMALL_STATE(6553)] = 252162,
  [SMALL_STATE(6554)] = 252176,
  [SMALL_STATE(6555)] = 252192,
  [SMALL_STATE(6556)] = 252206,
  [SMALL_STATE(6557)] = 252220,
  [SMALL_STATE(6558)] = 252236,
  [SMALL_STATE(6559)] = 252250,
  [SMALL_STATE(6560)] = 252266,
  [SMALL_STATE(6561)] = 252282,
  [SMALL_STATE(6562)] = 252296,
  [SMALL_STATE(6563)] = 252310,
  [SMALL_STATE(6564)] = 252326,
  [SMALL_STATE(6565)] = 252340,
  [SMALL_STATE(6566)] = 252354,
  [SMALL_STATE(6567)] = 252368,
  [SMALL_STATE(6568)] = 252384,
  [SMALL_STATE(6569)] = 252398,
  [SMALL_STATE(6570)] = 252414,
  [SMALL_STATE(6571)] = 252428,
  [SMALL_STATE(6572)] = 252442,
  [SMALL_STATE(6573)] = 252456,
  [SMALL_STATE(6574)] = 252470,
  [SMALL_STATE(6575)] = 252484,
  [SMALL_STATE(6576)] = 252498,
  [SMALL_STATE(6577)] = 252512,
  [SMALL_STATE(6578)] = 252526,
  [SMALL_STATE(6579)] = 252540,
  [SMALL_STATE(6580)] = 252556,
  [SMALL_STATE(6581)] = 252572,
  [SMALL_STATE(6582)] = 252588,
  [SMALL_STATE(6583)] = 252604,
  [SMALL_STATE(6584)] = 252618,
  [SMALL_STATE(6585)] = 252634,
  [SMALL_STATE(6586)] = 252650,
  [SMALL_STATE(6587)] = 252664,
  [SMALL_STATE(6588)] = 252680,
  [SMALL_STATE(6589)] = 252694,
  [SMALL_STATE(6590)] = 252710,
  [SMALL_STATE(6591)] = 252726,
  [SMALL_STATE(6592)] = 252740,
  [SMALL_STATE(6593)] = 252756,
  [SMALL_STATE(6594)] = 252772,
  [SMALL_STATE(6595)] = 252788,
  [SMALL_STATE(6596)] = 252804,
  [SMALL_STATE(6597)] = 252820,
  [SMALL_STATE(6598)] = 252834,
  [SMALL_STATE(6599)] = 252850,
  [SMALL_STATE(6600)] = 252864,
  [SMALL_STATE(6601)] = 252880,
  [SMALL_STATE(6602)] = 252894,
  [SMALL_STATE(6603)] = 252908,
  [SMALL_STATE(6604)] = 252924,
  [SMALL_STATE(6605)] = 252940,
  [SMALL_STATE(6606)] = 252954,
  [SMALL_STATE(6607)] = 252970,
  [SMALL_STATE(6608)] = 252986,
  [SMALL_STATE(6609)] = 253000,
  [SMALL_STATE(6610)] = 253014,
  [SMALL_STATE(6611)] = 253030,
  [SMALL_STATE(6612)] = 253044,
  [SMALL_STATE(6613)] = 253058,
  [SMALL_STATE(6614)] = 253072,
  [SMALL_STATE(6615)] = 253086,
  [SMALL_STATE(6616)] = 253102,
  [SMALL_STATE(6617)] = 253116,
  [SMALL_STATE(6618)] = 253132,
  [SMALL_STATE(6619)] = 253148,
  [SMALL_STATE(6620)] = 253164,
  [SMALL_STATE(6621)] = 253180,
  [SMALL_STATE(6622)] = 253196,
  [SMALL_STATE(6623)] = 253212,
  [SMALL_STATE(6624)] = 253228,
  [SMALL_STATE(6625)] = 253244,
  [SMALL_STATE(6626)] = 253258,
  [SMALL_STATE(6627)] = 253272,
  [SMALL_STATE(6628)] = 253288,
  [SMALL_STATE(6629)] = 253304,
  [SMALL_STATE(6630)] = 253320,
  [SMALL_STATE(6631)] = 253336,
  [SMALL_STATE(6632)] = 253350,
  [SMALL_STATE(6633)] = 253366,
  [SMALL_STATE(6634)] = 253382,
  [SMALL_STATE(6635)] = 253398,
  [SMALL_STATE(6636)] = 253412,
  [SMALL_STATE(6637)] = 253428,
  [SMALL_STATE(6638)] = 253444,
  [SMALL_STATE(6639)] = 253458,
  [SMALL_STATE(6640)] = 253472,
  [SMALL_STATE(6641)] = 253486,
  [SMALL_STATE(6642)] = 253502,
  [SMALL_STATE(6643)] = 253518,
  [SMALL_STATE(6644)] = 253532,
  [SMALL_STATE(6645)] = 253548,
  [SMALL_STATE(6646)] = 253564,
  [SMALL_STATE(6647)] = 253578,
  [SMALL_STATE(6648)] = 253594,
  [SMALL_STATE(6649)] = 253608,
  [SMALL_STATE(6650)] = 253622,
  [SMALL_STATE(6651)] = 253635,
  [SMALL_STATE(6652)] = 253644,
  [SMALL_STATE(6653)] = 253657,
  [SMALL_STATE(6654)] = 253668,
  [SMALL_STATE(6655)] = 253681,
  [SMALL_STATE(6656)] = 253694,
  [SMALL_STATE(6657)] = 253707,
  [SMALL_STATE(6658)] = 253720,
  [SMALL_STATE(6659)] = 253733,
  [SMALL_STATE(6660)] = 253742,
  [SMALL_STATE(6661)] = 253751,
  [SMALL_STATE(6662)] = 253764,
  [SMALL_STATE(6663)] = 253777,
  [SMALL_STATE(6664)] = 253790,
  [SMALL_STATE(6665)] = 253803,
  [SMALL_STATE(6666)] = 253814,
  [SMALL_STATE(6667)] = 253825,
  [SMALL_STATE(6668)] = 253838,
  [SMALL_STATE(6669)] = 253851,
  [SMALL_STATE(6670)] = 253864,
  [SMALL_STATE(6671)] = 253877,
  [SMALL_STATE(6672)] = 253890,
  [SMALL_STATE(6673)] = 253903,
  [SMALL_STATE(6674)] = 253916,
  [SMALL_STATE(6675)] = 253929,
  [SMALL_STATE(6676)] = 253942,
  [SMALL_STATE(6677)] = 253955,
  [SMALL_STATE(6678)] = 253968,
  [SMALL_STATE(6679)] = 253979,
  [SMALL_STATE(6680)] = 253992,
  [SMALL_STATE(6681)] = 254005,
  [SMALL_STATE(6682)] = 254018,
  [SMALL_STATE(6683)] = 254031,
  [SMALL_STATE(6684)] = 254044,
  [SMALL_STATE(6685)] = 254057,
  [SMALL_STATE(6686)] = 254070,
  [SMALL_STATE(6687)] = 254083,
  [SMALL_STATE(6688)] = 254096,
  [SMALL_STATE(6689)] = 254109,
  [SMALL_STATE(6690)] = 254122,
  [SMALL_STATE(6691)] = 254135,
  [SMALL_STATE(6692)] = 254148,
  [SMALL_STATE(6693)] = 254161,
  [SMALL_STATE(6694)] = 254174,
  [SMALL_STATE(6695)] = 254187,
  [SMALL_STATE(6696)] = 254198,
  [SMALL_STATE(6697)] = 254211,
  [SMALL_STATE(6698)] = 254224,
  [SMALL_STATE(6699)] = 254237,
  [SMALL_STATE(6700)] = 254250,
  [SMALL_STATE(6701)] = 254263,
  [SMALL_STATE(6702)] = 254276,
  [SMALL_STATE(6703)] = 254289,
  [SMALL_STATE(6704)] = 254302,
  [SMALL_STATE(6705)] = 254315,
  [SMALL_STATE(6706)] = 254328,
  [SMALL_STATE(6707)] = 254341,
  [SMALL_STATE(6708)] = 254354,
  [SMALL_STATE(6709)] = 254367,
  [SMALL_STATE(6710)] = 254380,
  [SMALL_STATE(6711)] = 254393,
  [SMALL_STATE(6712)] = 254406,
  [SMALL_STATE(6713)] = 254419,
  [SMALL_STATE(6714)] = 254432,
  [SMALL_STATE(6715)] = 254443,
  [SMALL_STATE(6716)] = 254456,
  [SMALL_STATE(6717)] = 254469,
  [SMALL_STATE(6718)] = 254482,
  [SMALL_STATE(6719)] = 254495,
  [SMALL_STATE(6720)] = 254508,
  [SMALL_STATE(6721)] = 254521,
  [SMALL_STATE(6722)] = 254534,
  [SMALL_STATE(6723)] = 254543,
  [SMALL_STATE(6724)] = 254556,
  [SMALL_STATE(6725)] = 254569,
  [SMALL_STATE(6726)] = 254582,
  [SMALL_STATE(6727)] = 254595,
  [SMALL_STATE(6728)] = 254608,
  [SMALL_STATE(6729)] = 254621,
  [SMALL_STATE(6730)] = 254634,
  [SMALL_STATE(6731)] = 254645,
  [SMALL_STATE(6732)] = 254658,
  [SMALL_STATE(6733)] = 254671,
  [SMALL_STATE(6734)] = 254682,
  [SMALL_STATE(6735)] = 254695,
  [SMALL_STATE(6736)] = 254708,
  [SMALL_STATE(6737)] = 254719,
  [SMALL_STATE(6738)] = 254732,
  [SMALL_STATE(6739)] = 254745,
  [SMALL_STATE(6740)] = 254754,
  [SMALL_STATE(6741)] = 254767,
  [SMALL_STATE(6742)] = 254780,
  [SMALL_STATE(6743)] = 254791,
  [SMALL_STATE(6744)] = 254804,
  [SMALL_STATE(6745)] = 254817,
  [SMALL_STATE(6746)] = 254830,
  [SMALL_STATE(6747)] = 254843,
  [SMALL_STATE(6748)] = 254856,
  [SMALL_STATE(6749)] = 254869,
  [SMALL_STATE(6750)] = 254882,
  [SMALL_STATE(6751)] = 254895,
  [SMALL_STATE(6752)] = 254906,
  [SMALL_STATE(6753)] = 254917,
  [SMALL_STATE(6754)] = 254928,
  [SMALL_STATE(6755)] = 254941,
  [SMALL_STATE(6756)] = 254954,
  [SMALL_STATE(6757)] = 254967,
  [SMALL_STATE(6758)] = 254980,
  [SMALL_STATE(6759)] = 254993,
  [SMALL_STATE(6760)] = 255004,
  [SMALL_STATE(6761)] = 255017,
  [SMALL_STATE(6762)] = 255030,
  [SMALL_STATE(6763)] = 255043,
  [SMALL_STATE(6764)] = 255056,
  [SMALL_STATE(6765)] = 255065,
  [SMALL_STATE(6766)] = 255078,
  [SMALL_STATE(6767)] = 255087,
  [SMALL_STATE(6768)] = 255100,
  [SMALL_STATE(6769)] = 255113,
  [SMALL_STATE(6770)] = 255122,
  [SMALL_STATE(6771)] = 255135,
  [SMALL_STATE(6772)] = 255144,
  [SMALL_STATE(6773)] = 255157,
  [SMALL_STATE(6774)] = 255170,
  [SMALL_STATE(6775)] = 255181,
  [SMALL_STATE(6776)] = 255194,
  [SMALL_STATE(6777)] = 255207,
  [SMALL_STATE(6778)] = 255220,
  [SMALL_STATE(6779)] = 255231,
  [SMALL_STATE(6780)] = 255242,
  [SMALL_STATE(6781)] = 255255,
  [SMALL_STATE(6782)] = 255268,
  [SMALL_STATE(6783)] = 255281,
  [SMALL_STATE(6784)] = 255294,
  [SMALL_STATE(6785)] = 255307,
  [SMALL_STATE(6786)] = 255320,
  [SMALL_STATE(6787)] = 255331,
  [SMALL_STATE(6788)] = 255344,
  [SMALL_STATE(6789)] = 255353,
  [SMALL_STATE(6790)] = 255366,
  [SMALL_STATE(6791)] = 255375,
  [SMALL_STATE(6792)] = 255388,
  [SMALL_STATE(6793)] = 255397,
  [SMALL_STATE(6794)] = 255410,
  [SMALL_STATE(6795)] = 255423,
  [SMALL_STATE(6796)] = 255434,
  [SMALL_STATE(6797)] = 255447,
  [SMALL_STATE(6798)] = 255460,
  [SMALL_STATE(6799)] = 255473,
  [SMALL_STATE(6800)] = 255486,
  [SMALL_STATE(6801)] = 255499,
  [SMALL_STATE(6802)] = 255512,
  [SMALL_STATE(6803)] = 255523,
  [SMALL_STATE(6804)] = 255536,
  [SMALL_STATE(6805)] = 255549,
  [SMALL_STATE(6806)] = 255562,
  [SMALL_STATE(6807)] = 255573,
  [SMALL_STATE(6808)] = 255586,
  [SMALL_STATE(6809)] = 255599,
  [SMALL_STATE(6810)] = 255612,
  [SMALL_STATE(6811)] = 255625,
  [SMALL_STATE(6812)] = 255638,
  [SMALL_STATE(6813)] = 255651,
  [SMALL_STATE(6814)] = 255660,
  [SMALL_STATE(6815)] = 255673,
  [SMALL_STATE(6816)] = 255684,
  [SMALL_STATE(6817)] = 255697,
  [SMALL_STATE(6818)] = 255710,
  [SMALL_STATE(6819)] = 255723,
  [SMALL_STATE(6820)] = 255736,
  [SMALL_STATE(6821)] = 255749,
  [SMALL_STATE(6822)] = 255762,
  [SMALL_STATE(6823)] = 255775,
  [SMALL_STATE(6824)] = 255788,
  [SMALL_STATE(6825)] = 255801,
  [SMALL_STATE(6826)] = 255814,
  [SMALL_STATE(6827)] = 255827,
  [SMALL_STATE(6828)] = 255840,
  [SMALL_STATE(6829)] = 255853,
  [SMALL_STATE(6830)] = 255866,
  [SMALL_STATE(6831)] = 255879,
  [SMALL_STATE(6832)] = 255892,
  [SMALL_STATE(6833)] = 255905,
  [SMALL_STATE(6834)] = 255918,
  [SMALL_STATE(6835)] = 255931,
  [SMALL_STATE(6836)] = 255944,
  [SMALL_STATE(6837)] = 255957,
  [SMALL_STATE(6838)] = 255970,
  [SMALL_STATE(6839)] = 255983,
  [SMALL_STATE(6840)] = 255996,
  [SMALL_STATE(6841)] = 256009,
  [SMALL_STATE(6842)] = 256022,
  [SMALL_STATE(6843)] = 256035,
  [SMALL_STATE(6844)] = 256048,
  [SMALL_STATE(6845)] = 256061,
  [SMALL_STATE(6846)] = 256074,
  [SMALL_STATE(6847)] = 256083,
  [SMALL_STATE(6848)] = 256096,
  [SMALL_STATE(6849)] = 256109,
  [SMALL_STATE(6850)] = 256122,
  [SMALL_STATE(6851)] = 256135,
  [SMALL_STATE(6852)] = 256148,
  [SMALL_STATE(6853)] = 256161,
  [SMALL_STATE(6854)] = 256174,
  [SMALL_STATE(6855)] = 256187,
  [SMALL_STATE(6856)] = 256200,
  [SMALL_STATE(6857)] = 256213,
  [SMALL_STATE(6858)] = 256226,
  [SMALL_STATE(6859)] = 256239,
  [SMALL_STATE(6860)] = 256252,
  [SMALL_STATE(6861)] = 256265,
  [SMALL_STATE(6862)] = 256278,
  [SMALL_STATE(6863)] = 256291,
  [SMALL_STATE(6864)] = 256304,
  [SMALL_STATE(6865)] = 256315,
  [SMALL_STATE(6866)] = 256328,
  [SMALL_STATE(6867)] = 256341,
  [SMALL_STATE(6868)] = 256354,
  [SMALL_STATE(6869)] = 256367,
  [SMALL_STATE(6870)] = 256380,
  [SMALL_STATE(6871)] = 256391,
  [SMALL_STATE(6872)] = 256404,
  [SMALL_STATE(6873)] = 256415,
  [SMALL_STATE(6874)] = 256428,
  [SMALL_STATE(6875)] = 256441,
  [SMALL_STATE(6876)] = 256454,
  [SMALL_STATE(6877)] = 256467,
  [SMALL_STATE(6878)] = 256480,
  [SMALL_STATE(6879)] = 256493,
  [SMALL_STATE(6880)] = 256506,
  [SMALL_STATE(6881)] = 256519,
  [SMALL_STATE(6882)] = 256532,
  [SMALL_STATE(6883)] = 256545,
  [SMALL_STATE(6884)] = 256558,
  [SMALL_STATE(6885)] = 256571,
  [SMALL_STATE(6886)] = 256584,
  [SMALL_STATE(6887)] = 256597,
  [SMALL_STATE(6888)] = 256608,
  [SMALL_STATE(6889)] = 256617,
  [SMALL_STATE(6890)] = 256630,
  [SMALL_STATE(6891)] = 256639,
  [SMALL_STATE(6892)] = 256652,
  [SMALL_STATE(6893)] = 256665,
  [SMALL_STATE(6894)] = 256678,
  [SMALL_STATE(6895)] = 256689,
  [SMALL_STATE(6896)] = 256702,
  [SMALL_STATE(6897)] = 256715,
  [SMALL_STATE(6898)] = 256728,
  [SMALL_STATE(6899)] = 256741,
  [SMALL_STATE(6900)] = 256754,
  [SMALL_STATE(6901)] = 256763,
  [SMALL_STATE(6902)] = 256776,
  [SMALL_STATE(6903)] = 256789,
  [SMALL_STATE(6904)] = 256802,
  [SMALL_STATE(6905)] = 256815,
  [SMALL_STATE(6906)] = 256828,
  [SMALL_STATE(6907)] = 256841,
  [SMALL_STATE(6908)] = 256854,
  [SMALL_STATE(6909)] = 256867,
  [SMALL_STATE(6910)] = 256880,
  [SMALL_STATE(6911)] = 256891,
  [SMALL_STATE(6912)] = 256904,
  [SMALL_STATE(6913)] = 256917,
  [SMALL_STATE(6914)] = 256930,
  [SMALL_STATE(6915)] = 256943,
  [SMALL_STATE(6916)] = 256956,
  [SMALL_STATE(6917)] = 256969,
  [SMALL_STATE(6918)] = 256982,
  [SMALL_STATE(6919)] = 256995,
  [SMALL_STATE(6920)] = 257008,
  [SMALL_STATE(6921)] = 257021,
  [SMALL_STATE(6922)] = 257034,
  [SMALL_STATE(6923)] = 257047,
  [SMALL_STATE(6924)] = 257060,
  [SMALL_STATE(6925)] = 257073,
  [SMALL_STATE(6926)] = 257086,
  [SMALL_STATE(6927)] = 257099,
  [SMALL_STATE(6928)] = 257112,
  [SMALL_STATE(6929)] = 257125,
  [SMALL_STATE(6930)] = 257138,
  [SMALL_STATE(6931)] = 257151,
  [SMALL_STATE(6932)] = 257164,
  [SMALL_STATE(6933)] = 257175,
  [SMALL_STATE(6934)] = 257186,
  [SMALL_STATE(6935)] = 257199,
  [SMALL_STATE(6936)] = 257212,
  [SMALL_STATE(6937)] = 257225,
  [SMALL_STATE(6938)] = 257238,
  [SMALL_STATE(6939)] = 257251,
  [SMALL_STATE(6940)] = 257264,
  [SMALL_STATE(6941)] = 257277,
  [SMALL_STATE(6942)] = 257290,
  [SMALL_STATE(6943)] = 257303,
  [SMALL_STATE(6944)] = 257314,
  [SMALL_STATE(6945)] = 257327,
  [SMALL_STATE(6946)] = 257340,
  [SMALL_STATE(6947)] = 257353,
  [SMALL_STATE(6948)] = 257366,
  [SMALL_STATE(6949)] = 257379,
  [SMALL_STATE(6950)] = 257392,
  [SMALL_STATE(6951)] = 257405,
  [SMALL_STATE(6952)] = 257418,
  [SMALL_STATE(6953)] = 257431,
  [SMALL_STATE(6954)] = 257444,
  [SMALL_STATE(6955)] = 257457,
  [SMALL_STATE(6956)] = 257468,
  [SMALL_STATE(6957)] = 257481,
  [SMALL_STATE(6958)] = 257494,
  [SMALL_STATE(6959)] = 257507,
  [SMALL_STATE(6960)] = 257520,
  [SMALL_STATE(6961)] = 257533,
  [SMALL_STATE(6962)] = 257546,
  [SMALL_STATE(6963)] = 257559,
  [SMALL_STATE(6964)] = 257572,
  [SMALL_STATE(6965)] = 257585,
  [SMALL_STATE(6966)] = 257598,
  [SMALL_STATE(6967)] = 257609,
  [SMALL_STATE(6968)] = 257622,
  [SMALL_STATE(6969)] = 257635,
  [SMALL_STATE(6970)] = 257648,
  [SMALL_STATE(6971)] = 257661,
  [SMALL_STATE(6972)] = 257674,
  [SMALL_STATE(6973)] = 257687,
  [SMALL_STATE(6974)] = 257700,
  [SMALL_STATE(6975)] = 257711,
  [SMALL_STATE(6976)] = 257724,
  [SMALL_STATE(6977)] = 257737,
  [SMALL_STATE(6978)] = 257750,
  [SMALL_STATE(6979)] = 257763,
  [SMALL_STATE(6980)] = 257776,
  [SMALL_STATE(6981)] = 257785,
  [SMALL_STATE(6982)] = 257798,
  [SMALL_STATE(6983)] = 257811,
  [SMALL_STATE(6984)] = 257822,
  [SMALL_STATE(6985)] = 257835,
  [SMALL_STATE(6986)] = 257846,
  [SMALL_STATE(6987)] = 257857,
  [SMALL_STATE(6988)] = 257870,
  [SMALL_STATE(6989)] = 257883,
  [SMALL_STATE(6990)] = 257896,
  [SMALL_STATE(6991)] = 257909,
  [SMALL_STATE(6992)] = 257922,
  [SMALL_STATE(6993)] = 257933,
  [SMALL_STATE(6994)] = 257944,
  [SMALL_STATE(6995)] = 257957,
  [SMALL_STATE(6996)] = 257970,
  [SMALL_STATE(6997)] = 257983,
  [SMALL_STATE(6998)] = 257996,
  [SMALL_STATE(6999)] = 258007,
  [SMALL_STATE(7000)] = 258018,
  [SMALL_STATE(7001)] = 258031,
  [SMALL_STATE(7002)] = 258044,
  [SMALL_STATE(7003)] = 258057,
  [SMALL_STATE(7004)] = 258070,
  [SMALL_STATE(7005)] = 258083,
  [SMALL_STATE(7006)] = 258094,
  [SMALL_STATE(7007)] = 258105,
  [SMALL_STATE(7008)] = 258116,
  [SMALL_STATE(7009)] = 258129,
  [SMALL_STATE(7010)] = 258142,
  [SMALL_STATE(7011)] = 258155,
  [SMALL_STATE(7012)] = 258164,
  [SMALL_STATE(7013)] = 258175,
  [SMALL_STATE(7014)] = 258188,
  [SMALL_STATE(7015)] = 258197,
  [SMALL_STATE(7016)] = 258210,
  [SMALL_STATE(7017)] = 258223,
  [SMALL_STATE(7018)] = 258236,
  [SMALL_STATE(7019)] = 258249,
  [SMALL_STATE(7020)] = 258262,
  [SMALL_STATE(7021)] = 258275,
  [SMALL_STATE(7022)] = 258286,
  [SMALL_STATE(7023)] = 258297,
  [SMALL_STATE(7024)] = 258310,
  [SMALL_STATE(7025)] = 258323,
  [SMALL_STATE(7026)] = 258336,
  [SMALL_STATE(7027)] = 258349,
  [SMALL_STATE(7028)] = 258362,
  [SMALL_STATE(7029)] = 258375,
  [SMALL_STATE(7030)] = 258388,
  [SMALL_STATE(7031)] = 258401,
  [SMALL_STATE(7032)] = 258414,
  [SMALL_STATE(7033)] = 258427,
  [SMALL_STATE(7034)] = 258440,
  [SMALL_STATE(7035)] = 258451,
  [SMALL_STATE(7036)] = 258464,
  [SMALL_STATE(7037)] = 258477,
  [SMALL_STATE(7038)] = 258490,
  [SMALL_STATE(7039)] = 258503,
  [SMALL_STATE(7040)] = 258516,
  [SMALL_STATE(7041)] = 258529,
  [SMALL_STATE(7042)] = 258542,
  [SMALL_STATE(7043)] = 258555,
  [SMALL_STATE(7044)] = 258568,
  [SMALL_STATE(7045)] = 258581,
  [SMALL_STATE(7046)] = 258594,
  [SMALL_STATE(7047)] = 258607,
  [SMALL_STATE(7048)] = 258620,
  [SMALL_STATE(7049)] = 258633,
  [SMALL_STATE(7050)] = 258643,
  [SMALL_STATE(7051)] = 258651,
  [SMALL_STATE(7052)] = 258661,
  [SMALL_STATE(7053)] = 258671,
  [SMALL_STATE(7054)] = 258679,
  [SMALL_STATE(7055)] = 258689,
  [SMALL_STATE(7056)] = 258697,
  [SMALL_STATE(7057)] = 258707,
  [SMALL_STATE(7058)] = 258717,
  [SMALL_STATE(7059)] = 258727,
  [SMALL_STATE(7060)] = 258737,
  [SMALL_STATE(7061)] = 258747,
  [SMALL_STATE(7062)] = 258757,
  [SMALL_STATE(7063)] = 258767,
  [SMALL_STATE(7064)] = 258775,
  [SMALL_STATE(7065)] = 258783,
  [SMALL_STATE(7066)] = 258793,
  [SMALL_STATE(7067)] = 258803,
  [SMALL_STATE(7068)] = 258813,
  [SMALL_STATE(7069)] = 258823,
  [SMALL_STATE(7070)] = 258831,
  [SMALL_STATE(7071)] = 258841,
  [SMALL_STATE(7072)] = 258849,
  [SMALL_STATE(7073)] = 258859,
  [SMALL_STATE(7074)] = 258869,
  [SMALL_STATE(7075)] = 258877,
  [SMALL_STATE(7076)] = 258887,
  [SMALL_STATE(7077)] = 258895,
  [SMALL_STATE(7078)] = 258905,
  [SMALL_STATE(7079)] = 258913,
  [SMALL_STATE(7080)] = 258923,
  [SMALL_STATE(7081)] = 258933,
  [SMALL_STATE(7082)] = 258943,
  [SMALL_STATE(7083)] = 258951,
  [SMALL_STATE(7084)] = 258959,
  [SMALL_STATE(7085)] = 258969,
  [SMALL_STATE(7086)] = 258979,
  [SMALL_STATE(7087)] = 258989,
  [SMALL_STATE(7088)] = 258999,
  [SMALL_STATE(7089)] = 259007,
  [SMALL_STATE(7090)] = 259017,
  [SMALL_STATE(7091)] = 259027,
  [SMALL_STATE(7092)] = 259037,
  [SMALL_STATE(7093)] = 259047,
  [SMALL_STATE(7094)] = 259055,
  [SMALL_STATE(7095)] = 259065,
  [SMALL_STATE(7096)] = 259075,
  [SMALL_STATE(7097)] = 259085,
  [SMALL_STATE(7098)] = 259093,
  [SMALL_STATE(7099)] = 259103,
  [SMALL_STATE(7100)] = 259113,
  [SMALL_STATE(7101)] = 259121,
  [SMALL_STATE(7102)] = 259131,
  [SMALL_STATE(7103)] = 259139,
  [SMALL_STATE(7104)] = 259149,
  [SMALL_STATE(7105)] = 259159,
  [SMALL_STATE(7106)] = 259167,
  [SMALL_STATE(7107)] = 259175,
  [SMALL_STATE(7108)] = 259185,
  [SMALL_STATE(7109)] = 259195,
  [SMALL_STATE(7110)] = 259203,
  [SMALL_STATE(7111)] = 259213,
  [SMALL_STATE(7112)] = 259223,
  [SMALL_STATE(7113)] = 259233,
  [SMALL_STATE(7114)] = 259243,
  [SMALL_STATE(7115)] = 259251,
  [SMALL_STATE(7116)] = 259261,
  [SMALL_STATE(7117)] = 259271,
  [SMALL_STATE(7118)] = 259279,
  [SMALL_STATE(7119)] = 259289,
  [SMALL_STATE(7120)] = 259299,
  [SMALL_STATE(7121)] = 259309,
  [SMALL_STATE(7122)] = 259317,
  [SMALL_STATE(7123)] = 259327,
  [SMALL_STATE(7124)] = 259337,
  [SMALL_STATE(7125)] = 259347,
  [SMALL_STATE(7126)] = 259357,
  [SMALL_STATE(7127)] = 259367,
  [SMALL_STATE(7128)] = 259377,
  [SMALL_STATE(7129)] = 259387,
  [SMALL_STATE(7130)] = 259397,
  [SMALL_STATE(7131)] = 259407,
  [SMALL_STATE(7132)] = 259417,
  [SMALL_STATE(7133)] = 259427,
  [SMALL_STATE(7134)] = 259437,
  [SMALL_STATE(7135)] = 259447,
  [SMALL_STATE(7136)] = 259457,
  [SMALL_STATE(7137)] = 259467,
  [SMALL_STATE(7138)] = 259477,
  [SMALL_STATE(7139)] = 259487,
  [SMALL_STATE(7140)] = 259497,
  [SMALL_STATE(7141)] = 259507,
  [SMALL_STATE(7142)] = 259517,
  [SMALL_STATE(7143)] = 259527,
  [SMALL_STATE(7144)] = 259537,
  [SMALL_STATE(7145)] = 259547,
  [SMALL_STATE(7146)] = 259557,
  [SMALL_STATE(7147)] = 259567,
  [SMALL_STATE(7148)] = 259575,
  [SMALL_STATE(7149)] = 259585,
  [SMALL_STATE(7150)] = 259595,
  [SMALL_STATE(7151)] = 259605,
  [SMALL_STATE(7152)] = 259615,
  [SMALL_STATE(7153)] = 259625,
  [SMALL_STATE(7154)] = 259635,
  [SMALL_STATE(7155)] = 259645,
  [SMALL_STATE(7156)] = 259655,
  [SMALL_STATE(7157)] = 259665,
  [SMALL_STATE(7158)] = 259675,
  [SMALL_STATE(7159)] = 259685,
  [SMALL_STATE(7160)] = 259695,
  [SMALL_STATE(7161)] = 259705,
  [SMALL_STATE(7162)] = 259715,
  [SMALL_STATE(7163)] = 259725,
  [SMALL_STATE(7164)] = 259735,
  [SMALL_STATE(7165)] = 259745,
  [SMALL_STATE(7166)] = 259755,
  [SMALL_STATE(7167)] = 259765,
  [SMALL_STATE(7168)] = 259775,
  [SMALL_STATE(7169)] = 259785,
  [SMALL_STATE(7170)] = 259795,
  [SMALL_STATE(7171)] = 259805,
  [SMALL_STATE(7172)] = 259815,
  [SMALL_STATE(7173)] = 259825,
  [SMALL_STATE(7174)] = 259835,
  [SMALL_STATE(7175)] = 259845,
  [SMALL_STATE(7176)] = 259855,
  [SMALL_STATE(7177)] = 259865,
  [SMALL_STATE(7178)] = 259875,
  [SMALL_STATE(7179)] = 259885,
  [SMALL_STATE(7180)] = 259895,
  [SMALL_STATE(7181)] = 259905,
  [SMALL_STATE(7182)] = 259915,
  [SMALL_STATE(7183)] = 259925,
  [SMALL_STATE(7184)] = 259935,
  [SMALL_STATE(7185)] = 259945,
  [SMALL_STATE(7186)] = 259955,
  [SMALL_STATE(7187)] = 259965,
  [SMALL_STATE(7188)] = 259975,
  [SMALL_STATE(7189)] = 259985,
  [SMALL_STATE(7190)] = 259995,
  [SMALL_STATE(7191)] = 260005,
  [SMALL_STATE(7192)] = 260013,
  [SMALL_STATE(7193)] = 260023,
  [SMALL_STATE(7194)] = 260033,
  [SMALL_STATE(7195)] = 260041,
  [SMALL_STATE(7196)] = 260051,
  [SMALL_STATE(7197)] = 260061,
  [SMALL_STATE(7198)] = 260071,
  [SMALL_STATE(7199)] = 260081,
  [SMALL_STATE(7200)] = 260091,
  [SMALL_STATE(7201)] = 260099,
  [SMALL_STATE(7202)] = 260107,
  [SMALL_STATE(7203)] = 260117,
  [SMALL_STATE(7204)] = 260127,
  [SMALL_STATE(7205)] = 260137,
  [SMALL_STATE(7206)] = 260145,
  [SMALL_STATE(7207)] = 260155,
  [SMALL_STATE(7208)] = 260165,
  [SMALL_STATE(7209)] = 260173,
  [SMALL_STATE(7210)] = 260183,
  [SMALL_STATE(7211)] = 260193,
  [SMALL_STATE(7212)] = 260203,
  [SMALL_STATE(7213)] = 260213,
  [SMALL_STATE(7214)] = 260221,
  [SMALL_STATE(7215)] = 260231,
  [SMALL_STATE(7216)] = 260241,
  [SMALL_STATE(7217)] = 260251,
  [SMALL_STATE(7218)] = 260261,
  [SMALL_STATE(7219)] = 260269,
  [SMALL_STATE(7220)] = 260279,
  [SMALL_STATE(7221)] = 260289,
  [SMALL_STATE(7222)] = 260299,
  [SMALL_STATE(7223)] = 260309,
  [SMALL_STATE(7224)] = 260319,
  [SMALL_STATE(7225)] = 260329,
  [SMALL_STATE(7226)] = 260337,
  [SMALL_STATE(7227)] = 260347,
  [SMALL_STATE(7228)] = 260357,
  [SMALL_STATE(7229)] = 260367,
  [SMALL_STATE(7230)] = 260377,
  [SMALL_STATE(7231)] = 260387,
  [SMALL_STATE(7232)] = 260395,
  [SMALL_STATE(7233)] = 260405,
  [SMALL_STATE(7234)] = 260415,
  [SMALL_STATE(7235)] = 260425,
  [SMALL_STATE(7236)] = 260435,
  [SMALL_STATE(7237)] = 260445,
  [SMALL_STATE(7238)] = 260453,
  [SMALL_STATE(7239)] = 260463,
  [SMALL_STATE(7240)] = 260471,
  [SMALL_STATE(7241)] = 260481,
  [SMALL_STATE(7242)] = 260491,
  [SMALL_STATE(7243)] = 260499,
  [SMALL_STATE(7244)] = 260509,
  [SMALL_STATE(7245)] = 260519,
  [SMALL_STATE(7246)] = 260529,
  [SMALL_STATE(7247)] = 260539,
  [SMALL_STATE(7248)] = 260549,
  [SMALL_STATE(7249)] = 260559,
  [SMALL_STATE(7250)] = 260569,
  [SMALL_STATE(7251)] = 260579,
  [SMALL_STATE(7252)] = 260589,
  [SMALL_STATE(7253)] = 260599,
  [SMALL_STATE(7254)] = 260609,
  [SMALL_STATE(7255)] = 260619,
  [SMALL_STATE(7256)] = 260629,
  [SMALL_STATE(7257)] = 260639,
  [SMALL_STATE(7258)] = 260649,
  [SMALL_STATE(7259)] = 260659,
  [SMALL_STATE(7260)] = 260667,
  [SMALL_STATE(7261)] = 260677,
  [SMALL_STATE(7262)] = 260687,
  [SMALL_STATE(7263)] = 260697,
  [SMALL_STATE(7264)] = 260707,
  [SMALL_STATE(7265)] = 260717,
  [SMALL_STATE(7266)] = 260727,
  [SMALL_STATE(7267)] = 260737,
  [SMALL_STATE(7268)] = 260747,
  [SMALL_STATE(7269)] = 260757,
  [SMALL_STATE(7270)] = 260767,
  [SMALL_STATE(7271)] = 260775,
  [SMALL_STATE(7272)] = 260785,
  [SMALL_STATE(7273)] = 260795,
  [SMALL_STATE(7274)] = 260805,
  [SMALL_STATE(7275)] = 260815,
  [SMALL_STATE(7276)] = 260825,
  [SMALL_STATE(7277)] = 260835,
  [SMALL_STATE(7278)] = 260845,
  [SMALL_STATE(7279)] = 260855,
  [SMALL_STATE(7280)] = 260865,
  [SMALL_STATE(7281)] = 260875,
  [SMALL_STATE(7282)] = 260885,
  [SMALL_STATE(7283)] = 260895,
  [SMALL_STATE(7284)] = 260905,
  [SMALL_STATE(7285)] = 260915,
  [SMALL_STATE(7286)] = 260925,
  [SMALL_STATE(7287)] = 260935,
  [SMALL_STATE(7288)] = 260945,
  [SMALL_STATE(7289)] = 260955,
  [SMALL_STATE(7290)] = 260965,
  [SMALL_STATE(7291)] = 260975,
  [SMALL_STATE(7292)] = 260985,
  [SMALL_STATE(7293)] = 260995,
  [SMALL_STATE(7294)] = 261005,
  [SMALL_STATE(7295)] = 261015,
  [SMALL_STATE(7296)] = 261025,
  [SMALL_STATE(7297)] = 261035,
  [SMALL_STATE(7298)] = 261045,
  [SMALL_STATE(7299)] = 261055,
  [SMALL_STATE(7300)] = 261065,
  [SMALL_STATE(7301)] = 261075,
  [SMALL_STATE(7302)] = 261085,
  [SMALL_STATE(7303)] = 261095,
  [SMALL_STATE(7304)] = 261105,
  [SMALL_STATE(7305)] = 261113,
  [SMALL_STATE(7306)] = 261123,
  [SMALL_STATE(7307)] = 261133,
  [SMALL_STATE(7308)] = 261143,
  [SMALL_STATE(7309)] = 261153,
  [SMALL_STATE(7310)] = 261163,
  [SMALL_STATE(7311)] = 261173,
  [SMALL_STATE(7312)] = 261183,
  [SMALL_STATE(7313)] = 261193,
  [SMALL_STATE(7314)] = 261203,
  [SMALL_STATE(7315)] = 261213,
  [SMALL_STATE(7316)] = 261223,
  [SMALL_STATE(7317)] = 261233,
  [SMALL_STATE(7318)] = 261241,
  [SMALL_STATE(7319)] = 261251,
  [SMALL_STATE(7320)] = 261259,
  [SMALL_STATE(7321)] = 261269,
  [SMALL_STATE(7322)] = 261279,
  [SMALL_STATE(7323)] = 261289,
  [SMALL_STATE(7324)] = 261299,
  [SMALL_STATE(7325)] = 261309,
  [SMALL_STATE(7326)] = 261319,
  [SMALL_STATE(7327)] = 261329,
  [SMALL_STATE(7328)] = 261339,
  [SMALL_STATE(7329)] = 261349,
  [SMALL_STATE(7330)] = 261359,
  [SMALL_STATE(7331)] = 261369,
  [SMALL_STATE(7332)] = 261379,
  [SMALL_STATE(7333)] = 261389,
  [SMALL_STATE(7334)] = 261399,
  [SMALL_STATE(7335)] = 261409,
  [SMALL_STATE(7336)] = 261419,
  [SMALL_STATE(7337)] = 261429,
  [SMALL_STATE(7338)] = 261439,
  [SMALL_STATE(7339)] = 261449,
  [SMALL_STATE(7340)] = 261459,
  [SMALL_STATE(7341)] = 261469,
  [SMALL_STATE(7342)] = 261479,
  [SMALL_STATE(7343)] = 261487,
  [SMALL_STATE(7344)] = 261497,
  [SMALL_STATE(7345)] = 261507,
  [SMALL_STATE(7346)] = 261517,
  [SMALL_STATE(7347)] = 261527,
  [SMALL_STATE(7348)] = 261537,
  [SMALL_STATE(7349)] = 261547,
  [SMALL_STATE(7350)] = 261557,
  [SMALL_STATE(7351)] = 261567,
  [SMALL_STATE(7352)] = 261577,
  [SMALL_STATE(7353)] = 261587,
  [SMALL_STATE(7354)] = 261597,
  [SMALL_STATE(7355)] = 261607,
  [SMALL_STATE(7356)] = 261617,
  [SMALL_STATE(7357)] = 261627,
  [SMALL_STATE(7358)] = 261637,
  [SMALL_STATE(7359)] = 261647,
  [SMALL_STATE(7360)] = 261657,
  [SMALL_STATE(7361)] = 261667,
  [SMALL_STATE(7362)] = 261677,
  [SMALL_STATE(7363)] = 261687,
  [SMALL_STATE(7364)] = 261697,
  [SMALL_STATE(7365)] = 261707,
  [SMALL_STATE(7366)] = 261717,
  [SMALL_STATE(7367)] = 261727,
  [SMALL_STATE(7368)] = 261737,
  [SMALL_STATE(7369)] = 261747,
  [SMALL_STATE(7370)] = 261757,
  [SMALL_STATE(7371)] = 261767,
  [SMALL_STATE(7372)] = 261777,
  [SMALL_STATE(7373)] = 261787,
  [SMALL_STATE(7374)] = 261797,
  [SMALL_STATE(7375)] = 261807,
  [SMALL_STATE(7376)] = 261817,
  [SMALL_STATE(7377)] = 261827,
  [SMALL_STATE(7378)] = 261837,
  [SMALL_STATE(7379)] = 261847,
  [SMALL_STATE(7380)] = 261857,
  [SMALL_STATE(7381)] = 261867,
  [SMALL_STATE(7382)] = 261877,
  [SMALL_STATE(7383)] = 261887,
  [SMALL_STATE(7384)] = 261897,
  [SMALL_STATE(7385)] = 261907,
  [SMALL_STATE(7386)] = 261917,
  [SMALL_STATE(7387)] = 261925,
  [SMALL_STATE(7388)] = 261935,
  [SMALL_STATE(7389)] = 261942,
  [SMALL_STATE(7390)] = 261949,
  [SMALL_STATE(7391)] = 261956,
  [SMALL_STATE(7392)] = 261963,
  [SMALL_STATE(7393)] = 261970,
  [SMALL_STATE(7394)] = 261977,
  [SMALL_STATE(7395)] = 261984,
  [SMALL_STATE(7396)] = 261991,
  [SMALL_STATE(7397)] = 261998,
  [SMALL_STATE(7398)] = 262005,
  [SMALL_STATE(7399)] = 262012,
  [SMALL_STATE(7400)] = 262019,
  [SMALL_STATE(7401)] = 262026,
  [SMALL_STATE(7402)] = 262033,
  [SMALL_STATE(7403)] = 262040,
  [SMALL_STATE(7404)] = 262047,
  [SMALL_STATE(7405)] = 262054,
  [SMALL_STATE(7406)] = 262061,
  [SMALL_STATE(7407)] = 262068,
  [SMALL_STATE(7408)] = 262075,
  [SMALL_STATE(7409)] = 262082,
  [SMALL_STATE(7410)] = 262089,
  [SMALL_STATE(7411)] = 262096,
  [SMALL_STATE(7412)] = 262103,
  [SMALL_STATE(7413)] = 262110,
  [SMALL_STATE(7414)] = 262117,
  [SMALL_STATE(7415)] = 262124,
  [SMALL_STATE(7416)] = 262131,
  [SMALL_STATE(7417)] = 262138,
  [SMALL_STATE(7418)] = 262145,
  [SMALL_STATE(7419)] = 262152,
  [SMALL_STATE(7420)] = 262159,
  [SMALL_STATE(7421)] = 262166,
  [SMALL_STATE(7422)] = 262173,
  [SMALL_STATE(7423)] = 262180,
  [SMALL_STATE(7424)] = 262187,
  [SMALL_STATE(7425)] = 262194,
  [SMALL_STATE(7426)] = 262201,
  [SMALL_STATE(7427)] = 262208,
  [SMALL_STATE(7428)] = 262215,
  [SMALL_STATE(7429)] = 262222,
  [SMALL_STATE(7430)] = 262229,
  [SMALL_STATE(7431)] = 262236,
  [SMALL_STATE(7432)] = 262243,
  [SMALL_STATE(7433)] = 262250,
  [SMALL_STATE(7434)] = 262257,
  [SMALL_STATE(7435)] = 262264,
  [SMALL_STATE(7436)] = 262271,
  [SMALL_STATE(7437)] = 262278,
  [SMALL_STATE(7438)] = 262285,
  [SMALL_STATE(7439)] = 262292,
  [SMALL_STATE(7440)] = 262299,
  [SMALL_STATE(7441)] = 262306,
  [SMALL_STATE(7442)] = 262313,
  [SMALL_STATE(7443)] = 262320,
  [SMALL_STATE(7444)] = 262327,
  [SMALL_STATE(7445)] = 262334,
  [SMALL_STATE(7446)] = 262341,
  [SMALL_STATE(7447)] = 262348,
  [SMALL_STATE(7448)] = 262355,
  [SMALL_STATE(7449)] = 262362,
  [SMALL_STATE(7450)] = 262369,
  [SMALL_STATE(7451)] = 262376,
  [SMALL_STATE(7452)] = 262383,
  [SMALL_STATE(7453)] = 262390,
  [SMALL_STATE(7454)] = 262397,
  [SMALL_STATE(7455)] = 262404,
  [SMALL_STATE(7456)] = 262411,
  [SMALL_STATE(7457)] = 262418,
  [SMALL_STATE(7458)] = 262425,
  [SMALL_STATE(7459)] = 262432,
  [SMALL_STATE(7460)] = 262439,
  [SMALL_STATE(7461)] = 262446,
  [SMALL_STATE(7462)] = 262453,
  [SMALL_STATE(7463)] = 262460,
  [SMALL_STATE(7464)] = 262467,
  [SMALL_STATE(7465)] = 262474,
  [SMALL_STATE(7466)] = 262481,
  [SMALL_STATE(7467)] = 262488,
  [SMALL_STATE(7468)] = 262495,
  [SMALL_STATE(7469)] = 262502,
  [SMALL_STATE(7470)] = 262509,
  [SMALL_STATE(7471)] = 262516,
  [SMALL_STATE(7472)] = 262523,
  [SMALL_STATE(7473)] = 262530,
  [SMALL_STATE(7474)] = 262537,
  [SMALL_STATE(7475)] = 262544,
  [SMALL_STATE(7476)] = 262551,
  [SMALL_STATE(7477)] = 262558,
  [SMALL_STATE(7478)] = 262565,
  [SMALL_STATE(7479)] = 262572,
  [SMALL_STATE(7480)] = 262579,
  [SMALL_STATE(7481)] = 262586,
  [SMALL_STATE(7482)] = 262593,
  [SMALL_STATE(7483)] = 262600,
  [SMALL_STATE(7484)] = 262607,
  [SMALL_STATE(7485)] = 262614,
  [SMALL_STATE(7486)] = 262621,
  [SMALL_STATE(7487)] = 262628,
  [SMALL_STATE(7488)] = 262635,
  [SMALL_STATE(7489)] = 262642,
  [SMALL_STATE(7490)] = 262649,
  [SMALL_STATE(7491)] = 262656,
  [SMALL_STATE(7492)] = 262663,
  [SMALL_STATE(7493)] = 262670,
  [SMALL_STATE(7494)] = 262677,
  [SMALL_STATE(7495)] = 262684,
  [SMALL_STATE(7496)] = 262691,
  [SMALL_STATE(7497)] = 262698,
  [SMALL_STATE(7498)] = 262705,
  [SMALL_STATE(7499)] = 262712,
  [SMALL_STATE(7500)] = 262719,
  [SMALL_STATE(7501)] = 262726,
  [SMALL_STATE(7502)] = 262733,
  [SMALL_STATE(7503)] = 262740,
  [SMALL_STATE(7504)] = 262747,
  [SMALL_STATE(7505)] = 262754,
  [SMALL_STATE(7506)] = 262761,
  [SMALL_STATE(7507)] = 262768,
  [SMALL_STATE(7508)] = 262775,
  [SMALL_STATE(7509)] = 262782,
  [SMALL_STATE(7510)] = 262789,
  [SMALL_STATE(7511)] = 262796,
  [SMALL_STATE(7512)] = 262803,
  [SMALL_STATE(7513)] = 262810,
  [SMALL_STATE(7514)] = 262817,
  [SMALL_STATE(7515)] = 262824,
  [SMALL_STATE(7516)] = 262831,
  [SMALL_STATE(7517)] = 262838,
  [SMALL_STATE(7518)] = 262845,
  [SMALL_STATE(7519)] = 262852,
  [SMALL_STATE(7520)] = 262859,
  [SMALL_STATE(7521)] = 262866,
  [SMALL_STATE(7522)] = 262873,
  [SMALL_STATE(7523)] = 262880,
  [SMALL_STATE(7524)] = 262887,
  [SMALL_STATE(7525)] = 262894,
  [SMALL_STATE(7526)] = 262901,
  [SMALL_STATE(7527)] = 262908,
  [SMALL_STATE(7528)] = 262915,
  [SMALL_STATE(7529)] = 262922,
  [SMALL_STATE(7530)] = 262929,
  [SMALL_STATE(7531)] = 262936,
  [SMALL_STATE(7532)] = 262943,
  [SMALL_STATE(7533)] = 262950,
  [SMALL_STATE(7534)] = 262957,
  [SMALL_STATE(7535)] = 262964,
  [SMALL_STATE(7536)] = 262971,
  [SMALL_STATE(7537)] = 262978,
  [SMALL_STATE(7538)] = 262985,
  [SMALL_STATE(7539)] = 262992,
  [SMALL_STATE(7540)] = 262999,
  [SMALL_STATE(7541)] = 263006,
  [SMALL_STATE(7542)] = 263013,
  [SMALL_STATE(7543)] = 263020,
  [SMALL_STATE(7544)] = 263027,
  [SMALL_STATE(7545)] = 263034,
  [SMALL_STATE(7546)] = 263041,
  [SMALL_STATE(7547)] = 263048,
  [SMALL_STATE(7548)] = 263055,
  [SMALL_STATE(7549)] = 263062,
  [SMALL_STATE(7550)] = 263069,
  [SMALL_STATE(7551)] = 263076,
  [SMALL_STATE(7552)] = 263083,
  [SMALL_STATE(7553)] = 263090,
  [SMALL_STATE(7554)] = 263097,
  [SMALL_STATE(7555)] = 263104,
  [SMALL_STATE(7556)] = 263111,
  [SMALL_STATE(7557)] = 263118,
  [SMALL_STATE(7558)] = 263125,
  [SMALL_STATE(7559)] = 263132,
  [SMALL_STATE(7560)] = 263139,
  [SMALL_STATE(7561)] = 263146,
  [SMALL_STATE(7562)] = 263153,
  [SMALL_STATE(7563)] = 263160,
  [SMALL_STATE(7564)] = 263167,
  [SMALL_STATE(7565)] = 263174,
  [SMALL_STATE(7566)] = 263181,
  [SMALL_STATE(7567)] = 263188,
  [SMALL_STATE(7568)] = 263195,
  [SMALL_STATE(7569)] = 263202,
  [SMALL_STATE(7570)] = 263209,
  [SMALL_STATE(7571)] = 263216,
  [SMALL_STATE(7572)] = 263223,
  [SMALL_STATE(7573)] = 263230,
  [SMALL_STATE(7574)] = 263237,
  [SMALL_STATE(7575)] = 263244,
  [SMALL_STATE(7576)] = 263251,
  [SMALL_STATE(7577)] = 263258,
  [SMALL_STATE(7578)] = 263265,
  [SMALL_STATE(7579)] = 263272,
  [SMALL_STATE(7580)] = 263279,
  [SMALL_STATE(7581)] = 263286,
  [SMALL_STATE(7582)] = 263293,
  [SMALL_STATE(7583)] = 263300,
  [SMALL_STATE(7584)] = 263307,
  [SMALL_STATE(7585)] = 263314,
  [SMALL_STATE(7586)] = 263321,
  [SMALL_STATE(7587)] = 263328,
  [SMALL_STATE(7588)] = 263335,
  [SMALL_STATE(7589)] = 263342,
  [SMALL_STATE(7590)] = 263349,
  [SMALL_STATE(7591)] = 263356,
  [SMALL_STATE(7592)] = 263363,
  [SMALL_STATE(7593)] = 263370,
  [SMALL_STATE(7594)] = 263377,
  [SMALL_STATE(7595)] = 263384,
  [SMALL_STATE(7596)] = 263391,
  [SMALL_STATE(7597)] = 263398,
  [SMALL_STATE(7598)] = 263405,
  [SMALL_STATE(7599)] = 263412,
  [SMALL_STATE(7600)] = 263419,
  [SMALL_STATE(7601)] = 263426,
  [SMALL_STATE(7602)] = 263433,
  [SMALL_STATE(7603)] = 263440,
  [SMALL_STATE(7604)] = 263447,
  [SMALL_STATE(7605)] = 263454,
  [SMALL_STATE(7606)] = 263461,
  [SMALL_STATE(7607)] = 263468,
  [SMALL_STATE(7608)] = 263475,
  [SMALL_STATE(7609)] = 263482,
  [SMALL_STATE(7610)] = 263489,
  [SMALL_STATE(7611)] = 263496,
  [SMALL_STATE(7612)] = 263503,
  [SMALL_STATE(7613)] = 263510,
  [SMALL_STATE(7614)] = 263517,
  [SMALL_STATE(7615)] = 263524,
  [SMALL_STATE(7616)] = 263531,
  [SMALL_STATE(7617)] = 263538,
  [SMALL_STATE(7618)] = 263545,
  [SMALL_STATE(7619)] = 263552,
  [SMALL_STATE(7620)] = 263559,
  [SMALL_STATE(7621)] = 263566,
  [SMALL_STATE(7622)] = 263573,
  [SMALL_STATE(7623)] = 263580,
  [SMALL_STATE(7624)] = 263587,
  [SMALL_STATE(7625)] = 263594,
  [SMALL_STATE(7626)] = 263601,
  [SMALL_STATE(7627)] = 263608,
  [SMALL_STATE(7628)] = 263615,
  [SMALL_STATE(7629)] = 263622,
  [SMALL_STATE(7630)] = 263629,
  [SMALL_STATE(7631)] = 263636,
  [SMALL_STATE(7632)] = 263643,
  [SMALL_STATE(7633)] = 263650,
  [SMALL_STATE(7634)] = 263657,
  [SMALL_STATE(7635)] = 263664,
  [SMALL_STATE(7636)] = 263671,
  [SMALL_STATE(7637)] = 263678,
  [SMALL_STATE(7638)] = 263685,
  [SMALL_STATE(7639)] = 263692,
  [SMALL_STATE(7640)] = 263699,
  [SMALL_STATE(7641)] = 263706,
  [SMALL_STATE(7642)] = 263713,
  [SMALL_STATE(7643)] = 263720,
  [SMALL_STATE(7644)] = 263727,
  [SMALL_STATE(7645)] = 263734,
  [SMALL_STATE(7646)] = 263741,
  [SMALL_STATE(7647)] = 263748,
  [SMALL_STATE(7648)] = 263755,
  [SMALL_STATE(7649)] = 263762,
  [SMALL_STATE(7650)] = 263769,
  [SMALL_STATE(7651)] = 263776,
  [SMALL_STATE(7652)] = 263783,
  [SMALL_STATE(7653)] = 263790,
  [SMALL_STATE(7654)] = 263797,
  [SMALL_STATE(7655)] = 263804,
  [SMALL_STATE(7656)] = 263811,
  [SMALL_STATE(7657)] = 263818,
  [SMALL_STATE(7658)] = 263825,
  [SMALL_STATE(7659)] = 263832,
  [SMALL_STATE(7660)] = 263839,
  [SMALL_STATE(7661)] = 263846,
  [SMALL_STATE(7662)] = 263853,
  [SMALL_STATE(7663)] = 263860,
  [SMALL_STATE(7664)] = 263867,
  [SMALL_STATE(7665)] = 263874,
  [SMALL_STATE(7666)] = 263881,
  [SMALL_STATE(7667)] = 263888,
  [SMALL_STATE(7668)] = 263895,
  [SMALL_STATE(7669)] = 263902,
  [SMALL_STATE(7670)] = 263909,
  [SMALL_STATE(7671)] = 263916,
  [SMALL_STATE(7672)] = 263923,
  [SMALL_STATE(7673)] = 263930,
  [SMALL_STATE(7674)] = 263937,
  [SMALL_STATE(7675)] = 263944,
  [SMALL_STATE(7676)] = 263951,
  [SMALL_STATE(7677)] = 263958,
  [SMALL_STATE(7678)] = 263965,
  [SMALL_STATE(7679)] = 263972,
  [SMALL_STATE(7680)] = 263979,
  [SMALL_STATE(7681)] = 263986,
  [SMALL_STATE(7682)] = 263993,
  [SMALL_STATE(7683)] = 264000,
  [SMALL_STATE(7684)] = 264007,
  [SMALL_STATE(7685)] = 264014,
  [SMALL_STATE(7686)] = 264021,
  [SMALL_STATE(7687)] = 264028,
  [SMALL_STATE(7688)] = 264035,
  [SMALL_STATE(7689)] = 264042,
  [SMALL_STATE(7690)] = 264049,
  [SMALL_STATE(7691)] = 264056,
  [SMALL_STATE(7692)] = 264063,
  [SMALL_STATE(7693)] = 264070,
  [SMALL_STATE(7694)] = 264077,
  [SMALL_STATE(7695)] = 264084,
  [SMALL_STATE(7696)] = 264091,
  [SMALL_STATE(7697)] = 264098,
  [SMALL_STATE(7698)] = 264105,
  [SMALL_STATE(7699)] = 264112,
  [SMALL_STATE(7700)] = 264119,
  [SMALL_STATE(7701)] = 264126,
  [SMALL_STATE(7702)] = 264133,
  [SMALL_STATE(7703)] = 264140,
  [SMALL_STATE(7704)] = 264147,
  [SMALL_STATE(7705)] = 264154,
  [SMALL_STATE(7706)] = 264161,
  [SMALL_STATE(7707)] = 264168,
  [SMALL_STATE(7708)] = 264175,
  [SMALL_STATE(7709)] = 264182,
  [SMALL_STATE(7710)] = 264189,
  [SMALL_STATE(7711)] = 264196,
  [SMALL_STATE(7712)] = 264203,
  [SMALL_STATE(7713)] = 264210,
  [SMALL_STATE(7714)] = 264217,
  [SMALL_STATE(7715)] = 264224,
  [SMALL_STATE(7716)] = 264231,
  [SMALL_STATE(7717)] = 264238,
  [SMALL_STATE(7718)] = 264245,
  [SMALL_STATE(7719)] = 264252,
  [SMALL_STATE(7720)] = 264259,
  [SMALL_STATE(7721)] = 264266,
  [SMALL_STATE(7722)] = 264273,
  [SMALL_STATE(7723)] = 264280,
  [SMALL_STATE(7724)] = 264287,
  [SMALL_STATE(7725)] = 264294,
  [SMALL_STATE(7726)] = 264301,
  [SMALL_STATE(7727)] = 264308,
  [SMALL_STATE(7728)] = 264315,
  [SMALL_STATE(7729)] = 264322,
  [SMALL_STATE(7730)] = 264329,
  [SMALL_STATE(7731)] = 264336,
  [SMALL_STATE(7732)] = 264343,
  [SMALL_STATE(7733)] = 264350,
  [SMALL_STATE(7734)] = 264357,
  [SMALL_STATE(7735)] = 264364,
  [SMALL_STATE(7736)] = 264371,
  [SMALL_STATE(7737)] = 264378,
  [SMALL_STATE(7738)] = 264385,
  [SMALL_STATE(7739)] = 264392,
  [SMALL_STATE(7740)] = 264399,
  [SMALL_STATE(7741)] = 264406,
  [SMALL_STATE(7742)] = 264413,
  [SMALL_STATE(7743)] = 264420,
  [SMALL_STATE(7744)] = 264427,
  [SMALL_STATE(7745)] = 264434,
  [SMALL_STATE(7746)] = 264441,
  [SMALL_STATE(7747)] = 264448,
  [SMALL_STATE(7748)] = 264455,
  [SMALL_STATE(7749)] = 264462,
  [SMALL_STATE(7750)] = 264469,
  [SMALL_STATE(7751)] = 264476,
  [SMALL_STATE(7752)] = 264483,
  [SMALL_STATE(7753)] = 264490,
  [SMALL_STATE(7754)] = 264497,
  [SMALL_STATE(7755)] = 264504,
  [SMALL_STATE(7756)] = 264511,
  [SMALL_STATE(7757)] = 264518,
  [SMALL_STATE(7758)] = 264525,
  [SMALL_STATE(7759)] = 264532,
  [SMALL_STATE(7760)] = 264539,
  [SMALL_STATE(7761)] = 264546,
  [SMALL_STATE(7762)] = 264553,
  [SMALL_STATE(7763)] = 264560,
  [SMALL_STATE(7764)] = 264567,
  [SMALL_STATE(7765)] = 264574,
  [SMALL_STATE(7766)] = 264581,
  [SMALL_STATE(7767)] = 264588,
  [SMALL_STATE(7768)] = 264595,
  [SMALL_STATE(7769)] = 264602,
  [SMALL_STATE(7770)] = 264609,
  [SMALL_STATE(7771)] = 264616,
  [SMALL_STATE(7772)] = 264623,
  [SMALL_STATE(7773)] = 264630,
  [SMALL_STATE(7774)] = 264637,
  [SMALL_STATE(7775)] = 264644,
  [SMALL_STATE(7776)] = 264651,
  [SMALL_STATE(7777)] = 264658,
  [SMALL_STATE(7778)] = 264665,
  [SMALL_STATE(7779)] = 264672,
  [SMALL_STATE(7780)] = 264679,
  [SMALL_STATE(7781)] = 264686,
  [SMALL_STATE(7782)] = 264693,
  [SMALL_STATE(7783)] = 264700,
  [SMALL_STATE(7784)] = 264707,
  [SMALL_STATE(7785)] = 264714,
  [SMALL_STATE(7786)] = 264721,
  [SMALL_STATE(7787)] = 264728,
  [SMALL_STATE(7788)] = 264735,
  [SMALL_STATE(7789)] = 264742,
  [SMALL_STATE(7790)] = 264749,
  [SMALL_STATE(7791)] = 264756,
  [SMALL_STATE(7792)] = 264763,
  [SMALL_STATE(7793)] = 264770,
  [SMALL_STATE(7794)] = 264777,
  [SMALL_STATE(7795)] = 264784,
  [SMALL_STATE(7796)] = 264791,
  [SMALL_STATE(7797)] = 264798,
  [SMALL_STATE(7798)] = 264805,
  [SMALL_STATE(7799)] = 264812,
  [SMALL_STATE(7800)] = 264819,
  [SMALL_STATE(7801)] = 264826,
  [SMALL_STATE(7802)] = 264833,
  [SMALL_STATE(7803)] = 264840,
  [SMALL_STATE(7804)] = 264847,
  [SMALL_STATE(7805)] = 264854,
  [SMALL_STATE(7806)] = 264861,
  [SMALL_STATE(7807)] = 264868,
  [SMALL_STATE(7808)] = 264875,
  [SMALL_STATE(7809)] = 264882,
  [SMALL_STATE(7810)] = 264889,
  [SMALL_STATE(7811)] = 264896,
  [SMALL_STATE(7812)] = 264903,
  [SMALL_STATE(7813)] = 264910,
  [SMALL_STATE(7814)] = 264917,
  [SMALL_STATE(7815)] = 264924,
  [SMALL_STATE(7816)] = 264931,
  [SMALL_STATE(7817)] = 264938,
  [SMALL_STATE(7818)] = 264945,
  [SMALL_STATE(7819)] = 264952,
  [SMALL_STATE(7820)] = 264959,
  [SMALL_STATE(7821)] = 264966,
  [SMALL_STATE(7822)] = 264973,
  [SMALL_STATE(7823)] = 264980,
  [SMALL_STATE(7824)] = 264987,
  [SMALL_STATE(7825)] = 264994,
  [SMALL_STATE(7826)] = 265001,
  [SMALL_STATE(7827)] = 265008,
  [SMALL_STATE(7828)] = 265015,
  [SMALL_STATE(7829)] = 265022,
  [SMALL_STATE(7830)] = 265029,
  [SMALL_STATE(7831)] = 265036,
  [SMALL_STATE(7832)] = 265043,
  [SMALL_STATE(7833)] = 265050,
  [SMALL_STATE(7834)] = 265057,
  [SMALL_STATE(7835)] = 265064,
  [SMALL_STATE(7836)] = 265071,
  [SMALL_STATE(7837)] = 265078,
  [SMALL_STATE(7838)] = 265085,
  [SMALL_STATE(7839)] = 265092,
  [SMALL_STATE(7840)] = 265099,
  [SMALL_STATE(7841)] = 265106,
  [SMALL_STATE(7842)] = 265113,
  [SMALL_STATE(7843)] = 265120,
  [SMALL_STATE(7844)] = 265127,
  [SMALL_STATE(7845)] = 265134,
  [SMALL_STATE(7846)] = 265141,
  [SMALL_STATE(7847)] = 265148,
  [SMALL_STATE(7848)] = 265155,
  [SMALL_STATE(7849)] = 265162,
  [SMALL_STATE(7850)] = 265169,
  [SMALL_STATE(7851)] = 265176,
  [SMALL_STATE(7852)] = 265183,
  [SMALL_STATE(7853)] = 265190,
  [SMALL_STATE(7854)] = 265197,
  [SMALL_STATE(7855)] = 265204,
  [SMALL_STATE(7856)] = 265211,
  [SMALL_STATE(7857)] = 265218,
  [SMALL_STATE(7858)] = 265225,
  [SMALL_STATE(7859)] = 265232,
  [SMALL_STATE(7860)] = 265239,
  [SMALL_STATE(7861)] = 265246,
  [SMALL_STATE(7862)] = 265253,
  [SMALL_STATE(7863)] = 265260,
  [SMALL_STATE(7864)] = 265267,
  [SMALL_STATE(7865)] = 265274,
  [SMALL_STATE(7866)] = 265281,
  [SMALL_STATE(7867)] = 265288,
  [SMALL_STATE(7868)] = 265295,
  [SMALL_STATE(7869)] = 265302,
  [SMALL_STATE(7870)] = 265309,
  [SMALL_STATE(7871)] = 265316,
  [SMALL_STATE(7872)] = 265323,
  [SMALL_STATE(7873)] = 265330,
  [SMALL_STATE(7874)] = 265337,
  [SMALL_STATE(7875)] = 265344,
  [SMALL_STATE(7876)] = 265351,
  [SMALL_STATE(7877)] = 265358,
  [SMALL_STATE(7878)] = 265365,
  [SMALL_STATE(7879)] = 265372,
  [SMALL_STATE(7880)] = 265379,
  [SMALL_STATE(7881)] = 265386,
  [SMALL_STATE(7882)] = 265393,
  [SMALL_STATE(7883)] = 265400,
  [SMALL_STATE(7884)] = 265407,
  [SMALL_STATE(7885)] = 265414,
  [SMALL_STATE(7886)] = 265421,
  [SMALL_STATE(7887)] = 265428,
  [SMALL_STATE(7888)] = 265435,
  [SMALL_STATE(7889)] = 265442,
  [SMALL_STATE(7890)] = 265449,
  [SMALL_STATE(7891)] = 265456,
  [SMALL_STATE(7892)] = 265463,
  [SMALL_STATE(7893)] = 265470,
  [SMALL_STATE(7894)] = 265477,
  [SMALL_STATE(7895)] = 265484,
  [SMALL_STATE(7896)] = 265491,
  [SMALL_STATE(7897)] = 265498,
  [SMALL_STATE(7898)] = 265505,
  [SMALL_STATE(7899)] = 265512,
  [SMALL_STATE(7900)] = 265519,
  [SMALL_STATE(7901)] = 265526,
  [SMALL_STATE(7902)] = 265533,
  [SMALL_STATE(7903)] = 265540,
  [SMALL_STATE(7904)] = 265547,
  [SMALL_STATE(7905)] = 265554,
  [SMALL_STATE(7906)] = 265561,
  [SMALL_STATE(7907)] = 265568,
  [SMALL_STATE(7908)] = 265575,
  [SMALL_STATE(7909)] = 265582,
  [SMALL_STATE(7910)] = 265589,
  [SMALL_STATE(7911)] = 265596,
  [SMALL_STATE(7912)] = 265603,
  [SMALL_STATE(7913)] = 265610,
  [SMALL_STATE(7914)] = 265617,
  [SMALL_STATE(7915)] = 265624,
  [SMALL_STATE(7916)] = 265631,
  [SMALL_STATE(7917)] = 265638,
  [SMALL_STATE(7918)] = 265645,
  [SMALL_STATE(7919)] = 265652,
  [SMALL_STATE(7920)] = 265659,
  [SMALL_STATE(7921)] = 265666,
  [SMALL_STATE(7922)] = 265673,
  [SMALL_STATE(7923)] = 265680,
  [SMALL_STATE(7924)] = 265687,
  [SMALL_STATE(7925)] = 265694,
  [SMALL_STATE(7926)] = 265701,
  [SMALL_STATE(7927)] = 265708,
  [SMALL_STATE(7928)] = 265715,
  [SMALL_STATE(7929)] = 265722,
  [SMALL_STATE(7930)] = 265729,
  [SMALL_STATE(7931)] = 265736,
  [SMALL_STATE(7932)] = 265743,
  [SMALL_STATE(7933)] = 265750,
  [SMALL_STATE(7934)] = 265757,
  [SMALL_STATE(7935)] = 265764,
  [SMALL_STATE(7936)] = 265771,
  [SMALL_STATE(7937)] = 265778,
  [SMALL_STATE(7938)] = 265785,
  [SMALL_STATE(7939)] = 265792,
  [SMALL_STATE(7940)] = 265799,
  [SMALL_STATE(7941)] = 265806,
  [SMALL_STATE(7942)] = 265813,
  [SMALL_STATE(7943)] = 265820,
  [SMALL_STATE(7944)] = 265827,
  [SMALL_STATE(7945)] = 265834,
  [SMALL_STATE(7946)] = 265841,
  [SMALL_STATE(7947)] = 265848,
  [SMALL_STATE(7948)] = 265855,
  [SMALL_STATE(7949)] = 265862,
  [SMALL_STATE(7950)] = 265869,
  [SMALL_STATE(7951)] = 265876,
  [SMALL_STATE(7952)] = 265883,
  [SMALL_STATE(7953)] = 265890,
  [SMALL_STATE(7954)] = 265897,
  [SMALL_STATE(7955)] = 265904,
  [SMALL_STATE(7956)] = 265911,
  [SMALL_STATE(7957)] = 265918,
  [SMALL_STATE(7958)] = 265925,
  [SMALL_STATE(7959)] = 265932,
  [SMALL_STATE(7960)] = 265939,
  [SMALL_STATE(7961)] = 265946,
  [SMALL_STATE(7962)] = 265953,
  [SMALL_STATE(7963)] = 265960,
  [SMALL_STATE(7964)] = 265967,
  [SMALL_STATE(7965)] = 265974,
  [SMALL_STATE(7966)] = 265981,
  [SMALL_STATE(7967)] = 265988,
  [SMALL_STATE(7968)] = 265995,
  [SMALL_STATE(7969)] = 266002,
  [SMALL_STATE(7970)] = 266009,
  [SMALL_STATE(7971)] = 266016,
  [SMALL_STATE(7972)] = 266023,
  [SMALL_STATE(7973)] = 266030,
  [SMALL_STATE(7974)] = 266037,
  [SMALL_STATE(7975)] = 266044,
  [SMALL_STATE(7976)] = 266051,
  [SMALL_STATE(7977)] = 266058,
  [SMALL_STATE(7978)] = 266065,
  [SMALL_STATE(7979)] = 266072,
  [SMALL_STATE(7980)] = 266079,
  [SMALL_STATE(7981)] = 266086,
  [SMALL_STATE(7982)] = 266093,
  [SMALL_STATE(7983)] = 266100,
  [SMALL_STATE(7984)] = 266107,
  [SMALL_STATE(7985)] = 266114,
  [SMALL_STATE(7986)] = 266121,
  [SMALL_STATE(7987)] = 266128,
  [SMALL_STATE(7988)] = 266135,
  [SMALL_STATE(7989)] = 266142,
  [SMALL_STATE(7990)] = 266149,
  [SMALL_STATE(7991)] = 266156,
  [SMALL_STATE(7992)] = 266163,
  [SMALL_STATE(7993)] = 266170,
  [SMALL_STATE(7994)] = 266177,
  [SMALL_STATE(7995)] = 266184,
  [SMALL_STATE(7996)] = 266191,
  [SMALL_STATE(7997)] = 266198,
  [SMALL_STATE(7998)] = 266205,
  [SMALL_STATE(7999)] = 266212,
  [SMALL_STATE(8000)] = 266219,
  [SMALL_STATE(8001)] = 266226,
  [SMALL_STATE(8002)] = 266233,
  [SMALL_STATE(8003)] = 266240,
  [SMALL_STATE(8004)] = 266247,
  [SMALL_STATE(8005)] = 266254,
  [SMALL_STATE(8006)] = 266261,
  [SMALL_STATE(8007)] = 266268,
  [SMALL_STATE(8008)] = 266275,
  [SMALL_STATE(8009)] = 266282,
  [SMALL_STATE(8010)] = 266289,
  [SMALL_STATE(8011)] = 266296,
  [SMALL_STATE(8012)] = 266303,
  [SMALL_STATE(8013)] = 266310,
  [SMALL_STATE(8014)] = 266317,
  [SMALL_STATE(8015)] = 266324,
  [SMALL_STATE(8016)] = 266331,
  [SMALL_STATE(8017)] = 266338,
  [SMALL_STATE(8018)] = 266345,
  [SMALL_STATE(8019)] = 266352,
  [SMALL_STATE(8020)] = 266359,
  [SMALL_STATE(8021)] = 266366,
  [SMALL_STATE(8022)] = 266373,
  [SMALL_STATE(8023)] = 266380,
  [SMALL_STATE(8024)] = 266387,
  [SMALL_STATE(8025)] = 266394,
  [SMALL_STATE(8026)] = 266401,
  [SMALL_STATE(8027)] = 266408,
  [SMALL_STATE(8028)] = 266415,
  [SMALL_STATE(8029)] = 266422,
  [SMALL_STATE(8030)] = 266429,
  [SMALL_STATE(8031)] = 266436,
  [SMALL_STATE(8032)] = 266443,
  [SMALL_STATE(8033)] = 266450,
  [SMALL_STATE(8034)] = 266457,
  [SMALL_STATE(8035)] = 266464,
  [SMALL_STATE(8036)] = 266471,
  [SMALL_STATE(8037)] = 266478,
  [SMALL_STATE(8038)] = 266485,
  [SMALL_STATE(8039)] = 266492,
  [SMALL_STATE(8040)] = 266499,
  [SMALL_STATE(8041)] = 266506,
  [SMALL_STATE(8042)] = 266513,
  [SMALL_STATE(8043)] = 266520,
  [SMALL_STATE(8044)] = 266527,
  [SMALL_STATE(8045)] = 266534,
  [SMALL_STATE(8046)] = 266541,
  [SMALL_STATE(8047)] = 266548,
  [SMALL_STATE(8048)] = 266555,
  [SMALL_STATE(8049)] = 266562,
  [SMALL_STATE(8050)] = 266569,
  [SMALL_STATE(8051)] = 266576,
  [SMALL_STATE(8052)] = 266583,
  [SMALL_STATE(8053)] = 266590,
  [SMALL_STATE(8054)] = 266597,
  [SMALL_STATE(8055)] = 266604,
  [SMALL_STATE(8056)] = 266611,
  [SMALL_STATE(8057)] = 266618,
  [SMALL_STATE(8058)] = 266625,
  [SMALL_STATE(8059)] = 266632,
  [SMALL_STATE(8060)] = 266639,
  [SMALL_STATE(8061)] = 266646,
  [SMALL_STATE(8062)] = 266653,
  [SMALL_STATE(8063)] = 266660,
  [SMALL_STATE(8064)] = 266667,
  [SMALL_STATE(8065)] = 266674,
  [SMALL_STATE(8066)] = 266681,
  [SMALL_STATE(8067)] = 266688,
  [SMALL_STATE(8068)] = 266695,
  [SMALL_STATE(8069)] = 266702,
  [SMALL_STATE(8070)] = 266709,
  [SMALL_STATE(8071)] = 266716,
  [SMALL_STATE(8072)] = 266723,
  [SMALL_STATE(8073)] = 266730,
  [SMALL_STATE(8074)] = 266737,
  [SMALL_STATE(8075)] = 266744,
  [SMALL_STATE(8076)] = 266751,
  [SMALL_STATE(8077)] = 266758,
  [SMALL_STATE(8078)] = 266765,
  [SMALL_STATE(8079)] = 266772,
  [SMALL_STATE(8080)] = 266779,
  [SMALL_STATE(8081)] = 266786,
  [SMALL_STATE(8082)] = 266793,
  [SMALL_STATE(8083)] = 266800,
  [SMALL_STATE(8084)] = 266807,
  [SMALL_STATE(8085)] = 266814,
  [SMALL_STATE(8086)] = 266821,
  [SMALL_STATE(8087)] = 266828,
  [SMALL_STATE(8088)] = 266835,
  [SMALL_STATE(8089)] = 266842,
  [SMALL_STATE(8090)] = 266849,
  [SMALL_STATE(8091)] = 266856,
  [SMALL_STATE(8092)] = 266863,
  [SMALL_STATE(8093)] = 266870,
  [SMALL_STATE(8094)] = 266877,
  [SMALL_STATE(8095)] = 266884,
  [SMALL_STATE(8096)] = 266891,
  [SMALL_STATE(8097)] = 266898,
  [SMALL_STATE(8098)] = 266905,
  [SMALL_STATE(8099)] = 266912,
  [SMALL_STATE(8100)] = 266919,
  [SMALL_STATE(8101)] = 266926,
  [SMALL_STATE(8102)] = 266933,
  [SMALL_STATE(8103)] = 266940,
  [SMALL_STATE(8104)] = 266947,
  [SMALL_STATE(8105)] = 266954,
  [SMALL_STATE(8106)] = 266961,
  [SMALL_STATE(8107)] = 266968,
  [SMALL_STATE(8108)] = 266975,
  [SMALL_STATE(8109)] = 266982,
  [SMALL_STATE(8110)] = 266989,
  [SMALL_STATE(8111)] = 266996,
  [SMALL_STATE(8112)] = 267003,
  [SMALL_STATE(8113)] = 267010,
  [SMALL_STATE(8114)] = 267017,
  [SMALL_STATE(8115)] = 267024,
  [SMALL_STATE(8116)] = 267031,
  [SMALL_STATE(8117)] = 267038,
  [SMALL_STATE(8118)] = 267045,
  [SMALL_STATE(8119)] = 267052,
  [SMALL_STATE(8120)] = 267059,
  [SMALL_STATE(8121)] = 267066,
  [SMALL_STATE(8122)] = 267073,
  [SMALL_STATE(8123)] = 267080,
  [SMALL_STATE(8124)] = 267087,
  [SMALL_STATE(8125)] = 267094,
  [SMALL_STATE(8126)] = 267101,
  [SMALL_STATE(8127)] = 267108,
  [SMALL_STATE(8128)] = 267115,
  [SMALL_STATE(8129)] = 267122,
  [SMALL_STATE(8130)] = 267129,
  [SMALL_STATE(8131)] = 267136,
  [SMALL_STATE(8132)] = 267143,
  [SMALL_STATE(8133)] = 267150,
  [SMALL_STATE(8134)] = 267157,
  [SMALL_STATE(8135)] = 267164,
  [SMALL_STATE(8136)] = 267171,
  [SMALL_STATE(8137)] = 267178,
  [SMALL_STATE(8138)] = 267185,
  [SMALL_STATE(8139)] = 267192,
  [SMALL_STATE(8140)] = 267199,
  [SMALL_STATE(8141)] = 267206,
  [SMALL_STATE(8142)] = 267213,
  [SMALL_STATE(8143)] = 267220,
  [SMALL_STATE(8144)] = 267227,
  [SMALL_STATE(8145)] = 267234,
  [SMALL_STATE(8146)] = 267241,
  [SMALL_STATE(8147)] = 267248,
  [SMALL_STATE(8148)] = 267255,
  [SMALL_STATE(8149)] = 267262,
  [SMALL_STATE(8150)] = 267269,
  [SMALL_STATE(8151)] = 267276,
  [SMALL_STATE(8152)] = 267283,
  [SMALL_STATE(8153)] = 267290,
  [SMALL_STATE(8154)] = 267297,
  [SMALL_STATE(8155)] = 267304,
  [SMALL_STATE(8156)] = 267311,
  [SMALL_STATE(8157)] = 267318,
  [SMALL_STATE(8158)] = 267325,
  [SMALL_STATE(8159)] = 267332,
  [SMALL_STATE(8160)] = 267339,
  [SMALL_STATE(8161)] = 267346,
  [SMALL_STATE(8162)] = 267353,
  [SMALL_STATE(8163)] = 267360,
  [SMALL_STATE(8164)] = 267367,
  [SMALL_STATE(8165)] = 267374,
  [SMALL_STATE(8166)] = 267381,
  [SMALL_STATE(8167)] = 267388,
  [SMALL_STATE(8168)] = 267395,
  [SMALL_STATE(8169)] = 267402,
  [SMALL_STATE(8170)] = 267409,
  [SMALL_STATE(8171)] = 267416,
  [SMALL_STATE(8172)] = 267423,
  [SMALL_STATE(8173)] = 267430,
  [SMALL_STATE(8174)] = 267437,
  [SMALL_STATE(8175)] = 267444,
  [SMALL_STATE(8176)] = 267451,
  [SMALL_STATE(8177)] = 267458,
  [SMALL_STATE(8178)] = 267465,
  [SMALL_STATE(8179)] = 267472,
  [SMALL_STATE(8180)] = 267479,
  [SMALL_STATE(8181)] = 267486,
  [SMALL_STATE(8182)] = 267493,
  [SMALL_STATE(8183)] = 267500,
  [SMALL_STATE(8184)] = 267507,
  [SMALL_STATE(8185)] = 267514,
  [SMALL_STATE(8186)] = 267521,
  [SMALL_STATE(8187)] = 267528,
  [SMALL_STATE(8188)] = 267535,
  [SMALL_STATE(8189)] = 267542,
  [SMALL_STATE(8190)] = 267549,
  [SMALL_STATE(8191)] = 267556,
  [SMALL_STATE(8192)] = 267563,
  [SMALL_STATE(8193)] = 267570,
  [SMALL_STATE(8194)] = 267577,
  [SMALL_STATE(8195)] = 267584,
  [SMALL_STATE(8196)] = 267591,
  [SMALL_STATE(8197)] = 267598,
  [SMALL_STATE(8198)] = 267605,
  [SMALL_STATE(8199)] = 267612,
  [SMALL_STATE(8200)] = 267619,
  [SMALL_STATE(8201)] = 267626,
  [SMALL_STATE(8202)] = 267633,
  [SMALL_STATE(8203)] = 267640,
  [SMALL_STATE(8204)] = 267647,
  [SMALL_STATE(8205)] = 267654,
  [SMALL_STATE(8206)] = 267661,
  [SMALL_STATE(8207)] = 267668,
  [SMALL_STATE(8208)] = 267675,
  [SMALL_STATE(8209)] = 267682,
  [SMALL_STATE(8210)] = 267689,
  [SMALL_STATE(8211)] = 267696,
  [SMALL_STATE(8212)] = 267703,
  [SMALL_STATE(8213)] = 267710,
  [SMALL_STATE(8214)] = 267717,
  [SMALL_STATE(8215)] = 267724,
  [SMALL_STATE(8216)] = 267731,
  [SMALL_STATE(8217)] = 267738,
  [SMALL_STATE(8218)] = 267745,
  [SMALL_STATE(8219)] = 267752,
  [SMALL_STATE(8220)] = 267759,
  [SMALL_STATE(8221)] = 267766,
  [SMALL_STATE(8222)] = 267773,
  [SMALL_STATE(8223)] = 267780,
  [SMALL_STATE(8224)] = 267787,
  [SMALL_STATE(8225)] = 267794,
  [SMALL_STATE(8226)] = 267801,
  [SMALL_STATE(8227)] = 267808,
  [SMALL_STATE(8228)] = 267815,
  [SMALL_STATE(8229)] = 267822,
  [SMALL_STATE(8230)] = 267829,
  [SMALL_STATE(8231)] = 267836,
  [SMALL_STATE(8232)] = 267843,
  [SMALL_STATE(8233)] = 267850,
  [SMALL_STATE(8234)] = 267857,
  [SMALL_STATE(8235)] = 267864,
  [SMALL_STATE(8236)] = 267871,
  [SMALL_STATE(8237)] = 267878,
  [SMALL_STATE(8238)] = 267885,
  [SMALL_STATE(8239)] = 267892,
  [SMALL_STATE(8240)] = 267899,
  [SMALL_STATE(8241)] = 267906,
  [SMALL_STATE(8242)] = 267913,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8130),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5749),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8114),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8104),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7302),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7434),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7707),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7017),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7820),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8134),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6125),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7393),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5273),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7394),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7271),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1178),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4929),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3608),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7320),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7316),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3715),
  [444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2410),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3124),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5749),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4858),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4813),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7017),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7361),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1400),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7820),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7092),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8062),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8193),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8195),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7396),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7383),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8134),
  [519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8115),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8114),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6305),
  [537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3978),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6733),
  [543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6540),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3701),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3752),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8104),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4033),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4862),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1504),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7367),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1129),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6175),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6021),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8143),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8144),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1140),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1468),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7285),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5049),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(808),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6171),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7558),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5270),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7478),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7136),
  [646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2545),
  [658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(66),
  [661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6671),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7277),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7802),
  [676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7363),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8142),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7822),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7824),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7262),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6150),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6067),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8163),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7802),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8163),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(811),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6127),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7714),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5286),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7713),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7338),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3675),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(69),
  [857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3054),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6703),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7049),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7428),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7330),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7751),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7433),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7434),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7707),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7177),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7545),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1501),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7080),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6176),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6048),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8063),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8064),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(812),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6174),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8237),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5235),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8235),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7260),
  [1000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1178),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4929),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [1033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7320),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7316),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3715),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(63),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2410),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5749),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4858),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4813),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6723),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7315),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8121),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7313),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8119),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8118),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8117),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8116),
  [1117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8115),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8114),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6305),
  [1135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4486),
  [1138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6733),
  [1141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6540),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4575),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3752),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8104),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4033),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4862),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1505),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7302),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1119),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6142),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6027),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8096),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7285),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [1207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5049),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [1256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3136),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3608),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [1271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [1274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [1280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2410),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(984),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [1298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5749),
  [1301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4861),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4858),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4813),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7017),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7361),
  [1316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7092),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8062),
  [1325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [1328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8193),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8195),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7396),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7383),
  [1340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8134),
  [1343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [1346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8115),
  [1352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8114),
  [1355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [1358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6305),
  [1361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3978),
  [1364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6733),
  [1367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6540),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3701),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3752),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8104),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4862),
  [1388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7126),
  [1391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7367),
  [1394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [1397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1129),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1140),
  [1403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1468),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7285),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [1412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [1415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5049),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(867),
  [1429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [1438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(66),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6671),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7277),
  [1447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7363),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8142),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7822),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7824),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7487),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [1474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7262),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7060),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(861),
  [1499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3675),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(69),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6703),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7049),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7330),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7751),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7433),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7434),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7707),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7177),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7545),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7080),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3022),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(63),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6723),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7315),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7313),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8119),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8118),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8117),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8116),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7060),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7481),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7302),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1119),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7269),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8153),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7797),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7116),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(863),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(826),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3589),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6765),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7168),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7269),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8153),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7798),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7797),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7563),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7161),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7691),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7116),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1103),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5756),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7977),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6300),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7928),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7693),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [1958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1798),
  [1961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(207),
  [1964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1177),
  [1967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1177),
  [1970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1252),
  [1973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(473),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6104),
  [1979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7358),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(69),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(984),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6620),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6703),
  [1994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7049),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1365),
  [2000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7428),
  [2003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7330),
  [2006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(158),
  [2009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7751),
  [2012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(931),
  [2015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7433),
  [2018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7434),
  [2021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7707),
  [2024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7177),
  [2027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7545),
  [2030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1200),
  [2033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1094),
  [2036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8115),
  [2039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8114),
  [2042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8113),
  [2045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6305),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3978),
  [2051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6733),
  [2054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6540),
  [2057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3701),
  [2060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3752),
  [2063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7693),
  [2066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7126),
  [2069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7080),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1286),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1148),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1147),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1372),
  [2084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7285),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1399),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4686),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5049),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1853),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(463),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(66),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6671),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7277),
  [2139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1350),
  [2142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7802),
  [2145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7363),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(170),
  [2151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8142),
  [2154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(925),
  [2157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7822),
  [2160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7824),
  [2163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7487),
  [2166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7248),
  [2169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7980),
  [2172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7262),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1118),
  [2178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1117),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1391),
  [2184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1845),
  [2187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(826),
  [2190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(53),
  [2193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6765),
  [2196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7168),
  [2199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1471),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8184),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7269),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(169),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8153),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(917),
  [2217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7798),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7797),
  [2223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7563),
  [2226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7161),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7691),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7116),
  [2235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1111),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1103),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1345),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1843),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(262),
  [2250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(79),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7017),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7361),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1400),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7820),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7092),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(172),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8062),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(930),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8193),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8195),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7396),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7383),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8134),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7367),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1129),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1140),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1468),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1863),
  [2307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(447),
  [2310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(63),
  [2313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6723),
  [2316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7315),
  [2319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1191),
  [2322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8121),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7313),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(183),
  [2331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8119),
  [2334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(921),
  [2337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8118),
  [2340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8117),
  [2343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8116),
  [2346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7060),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7481),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7302),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1119),
  [2358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1127),
  [2361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1390),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1837),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6687),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7348),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7927),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7123),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7336),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6617),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [2494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8240),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7119),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7133),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7202),
  [2832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7202),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7645),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6592),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [3101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1804),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6104),
  [3123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6620),
  [3126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7693),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7126),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1804),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6104),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6620),
  [3149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7693),
  [3152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7126),
  [3155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1804),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6104),
  [3163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6620),
  [3166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7693),
  [3169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7126),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3786),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7613),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5284),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7636),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7279),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4539),
  [3216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7650),
  [3219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2844),
  [3222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4929),
  [3225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4929),
  [3228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3538),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [3240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5093),
  [3243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7283),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7316),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2410),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7645),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2551),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5746),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4889),
  [3273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4881),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4880),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8104),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [3288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4033),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4783),
  [3294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6592),
  [3297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [3300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1552),
  [3303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7637),
  [3306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6079),
  [3309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8171),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7144),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [3374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6645),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [3394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7662),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5271),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7414),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7143),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [3409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3532),
  [3412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6645),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1558),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6084),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8179),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [3445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5279),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7627),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7144),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3020),
  [3457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3596),
  [3460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [3465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [3468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6037),
  [3471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8154),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5724),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8148),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8167),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8164),
  [3616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7794),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6539),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6619),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7955),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [3772] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(288),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3798] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7104),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(275),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [3916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1804),
  [3919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [3922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [3925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [3928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [3931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [3934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1313),
  [3940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [3942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(984),
  [3945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6620),
  [3948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [3954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8115),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8114),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [3963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6305),
  [3966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3978),
  [3969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6733),
  [3972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6540),
  [3975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3701),
  [3978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3752),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7693),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6093),
  [3987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7126),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7285),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [3999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5049),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8003),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7678),
  [4110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7683),
  [4113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7688),
  [4116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7689),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [4125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7692),
  [4128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7696),
  [4131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7700),
  [4134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7583),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7761),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7672),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7674),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8085),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8032),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [4282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7808),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7804),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7664),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7667),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7652),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7651),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7632),
  [4303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7604),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7826),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7829),
  [4322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7831),
  [4325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7876),
  [4328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7880),
  [4331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7886),
  [4334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7896),
  [4337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7904),
  [4340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8030),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8038),
  [4350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8040),
  [4353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8060),
  [4356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8065),
  [4359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8066),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8070),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7517),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7947),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(307),
  [4530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [4587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(299),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(299),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(279),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(334),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(293),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [4701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [4713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [4725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(312),
  [4740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1577),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [4771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [4773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6629),
  [4776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7340),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [4781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [4783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [4787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [4789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [4791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1588),
  [4798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [4802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7058),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [4824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [4832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7058),
  [4835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [4837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [4839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [4842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1613),
  [4845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7955),
  [4848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [4855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(279),
  [4858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [4874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(319),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7747),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [4905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [4915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [4917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [4921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(359),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [4932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [4936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [4940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [4944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [4948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [4950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [4952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [4956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [4960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [4962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [4964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [4968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [4970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [4972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [4976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [4980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [4984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [4992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [4994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [4996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [4998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7515),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [5084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [5092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(312),
  [5095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(312),
  [5102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [5152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7090),
  [5248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7090),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [5255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7135),
  [5258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(307),
  [5261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [5273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [5287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(352),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [5294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(7508),
  [5297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5901),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1841),
  [5333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6437),
  [5336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7376),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [5341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [5347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1854),
  [5354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6479),
  [5357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7334),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [5374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [5394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [5408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [5418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [5440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1891),
  [5447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6476),
  [5450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7360),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1904),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(359),
  [5479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [5505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1957),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [5512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1923),
  [5515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [5533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7120),
  [5540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [5568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [5635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [5637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [5641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [5649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 119),
  [5651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 119),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [5659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 70),
  [5661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 70),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2216),
  [5666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6489),
  [5669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7359),
  [5672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5099),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [5684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [5686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [5694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [5696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [5712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [5714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [5716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [5732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [5734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [5744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [5752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [5754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [5772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [5774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(312),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2278),
  [5784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [5790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [5794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [5798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [5810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [5812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [5814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [5830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [5832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [5836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [5838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [5844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [5866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [5868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [5870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [5882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [5886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [5890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [5892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [5898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [5900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [5902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [5904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [5912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2334),
  [5915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [5921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [5923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [5927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [5931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [5933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [5935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [5937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [5939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [5941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [5943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [5945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [5949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [5951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [5953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [5959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [5961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [5963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [5965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [5975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [5977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [5979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [5981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [5985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [5989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [5993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [5995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [5997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [6027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [6035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [6041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2396),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6490),
  [6047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7331),
  [6050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(279),
  [6053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [6063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2494),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [6076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2478),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [6083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [6089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(359),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [6105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [6108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7747),
  [6111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7099),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7926),
  [6120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2458),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [6129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(912),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [6162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2519),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [6167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [6185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [6209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [6225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [6229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [6253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(352),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [6344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5673),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [6466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [6534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [6539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7089),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [6550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [6568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5707),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [6575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5086),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [6584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [6604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [6608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [6624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [6654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7925),
  [6657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7169),
  [6660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [6666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5554),
  [6669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5112),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7052),
  [6675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(299),
  [6678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(307),
  [6681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [6683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [6821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7099),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [6828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [6836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(279),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [6847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5075),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [6852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [6860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [6864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [6866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [6876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [6914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6290),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(909),
  [6928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [6931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6444),
  [6934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7373),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [6951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(359),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [6978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [6990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5107),
  [6993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3251),
  [6996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6505),
  [6999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7356),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [7006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5091),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [7013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3349),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [7028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [7064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3390),
  [7067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(319),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [7074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [7077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [7080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [7083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7283),
  [7086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [7089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [7092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3444),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [7099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [7106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [7109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7747),
  [7112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7099),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7926),
  [7121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3456),
  [7124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4033),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [7131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5083),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [7160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3782),
  [7167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3760),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [7192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [7198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [7228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(293),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [7245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [7247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8037),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [7257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7725),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [7281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5113),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [7332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [7348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [7358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [7374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3971),
  [7377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3937),
  [7380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(334),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [7397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [7403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [7421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [7441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5452),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [7471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [7473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [7479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5480),
  [7487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [7497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [7501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [7527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [7529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [7555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [7561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [7563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [7621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [7623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [7631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [7645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [7671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3995),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [7682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [7684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [7686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [7689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [7692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [7699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1815),
  [7702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3177),
  [7705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [7708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7320),
  [7711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [7714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [7717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [7756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [7758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [7762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4327),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [7822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4054),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [7899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1065),
  [7902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [7906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1065),
  [7909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [7911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [7913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [7933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [7957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [7959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [7967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [8031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [8045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [8047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [8061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4566),
  [8064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4566),
  [8067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7976),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [8086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [8094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [8106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [8123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 198),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [8135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [8167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [8175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [8235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 199),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [8275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [8307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [8321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8130),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [8336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [8358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [8370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5707),
  [8377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5086),
  [8380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [8383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7925),
  [8386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7169),
  [8389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5554),
  [8392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5112),
  [8395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7099),
  [8398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6290),
  [8401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5075),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [8408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [8414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4331),
  [8420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7750),
  [8423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5107),
  [8426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [8436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5707),
  [8439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5086),
  [8442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4331),
  [8445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7750),
  [8448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5091),
  [8451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5083),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [8464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [8468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3195),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [8490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7925),
  [8493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7169),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8029),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [8518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(914),
  [8521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [8525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [8527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [8529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [8531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [8535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [8537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [8541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8043),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [8573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [8577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [8587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5769),
  [8589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [8591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [8593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [8597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [8599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [8601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [8603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [8605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [8607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [8609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [8611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5554),
  [8614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5112),
  [8617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7099),
  [8620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6290),
  [8623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5075),
  [8626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4985),
  [8629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4985),
  [8632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4986),
  [8635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [8637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [8639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [8641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [8647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [8649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [8651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5113),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [8660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [8664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5091),
  [8667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4817),
  [8670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4816),
  [8673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4818),
  [8676] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1904),
  [8680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4903),
  [8683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(4912),
  [8686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [8688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(1904),
  [8691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [8695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [8699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [8703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [8705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5107),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [8710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1904),
  [8713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(1904),
  [8716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1904),
  [8719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5083),
  [8722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [8724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [8726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [8728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [8730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [8732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [8734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4916),
  [8737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7099),
  [8740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5707),
  [8743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5086),
  [8746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7925),
  [8749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7169),
  [8752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5554),
  [8755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5112),
  [8758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5113),
  [8761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7099),
  [8764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5075),
  [8767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5068),
  [8770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5068),
  [8773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7996),
  [8776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6290),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [8801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [8809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6441),
  [8811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [8813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5091),
  [8816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5107),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [8825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [8831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [8835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5083),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [8844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [8872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [8890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [8896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5438),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [8904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5113),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [8909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [8913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5625),
  [8919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [8921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [8923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [8925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [8929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [8933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [8935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [8939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5771),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [8945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [8947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [8951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [8965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [8967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [8973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [8983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [8985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [8987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [8989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [8991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [8993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [8995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [8999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [9001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [9009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [9013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [9019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [9021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [9023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [9039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [9045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [9049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [9053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [9065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [9067] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [9075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [9079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7190),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [9083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [9089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [9113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [9127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [9133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [9135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [9151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [9157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [9159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [9173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [9185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [9187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [9195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6964),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [9207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [9215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [9245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [9287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6747),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6814),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [9349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [9351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [9359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5554),
  [9366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5112),
  [9369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5554),
  [9376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5112),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [9381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [9399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5075),
  [9402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5075),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [9409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [9415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [9423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [9437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [9447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6984),
  [9457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [9461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6839),
  [9471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5554),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [9484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7169),
  [9501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [9503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5707),
  [9506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5086),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [9513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5496),
  [9532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6538),
  [9535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7352),
  [9538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [9560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [9570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [9572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [9582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [9596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [9622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [9624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7603),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6381),
  [9631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [9633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [9637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [9643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [9647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [9653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [9659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [9661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [9665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5707),
  [9668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5091),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [9673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5707),
  [9676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5086),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [9681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [9683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [9685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7747),
  [9688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [9690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7926),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [9701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [9707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [9715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [9719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [9721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [9723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [9725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [9727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [9729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [9731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [9745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5313),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [9757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7320),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [9762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5107),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [9773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [9789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [9793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [9797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [9813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5107),
  [9816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [9818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [9820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [9822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [9824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [9828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [9830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [9832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [9840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [9842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [9844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [9854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [9884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [9886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [9888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [9892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5091),
  [9895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [9901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [9903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5083),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [9916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [9926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7392),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6384),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [9946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [9948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [9952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [9954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [9958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5113),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [9975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [9977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [9981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [9983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [9987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [9989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [9991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [9995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [9997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [10001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [10007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [10015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [10019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [10027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [10039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [10047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5083),
  [10056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [10060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [10064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [10068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [10074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7007),
  [10077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5312),
  [10080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7568),
  [10083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7260),
  [10086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [10090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [10092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [10106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5113),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [10117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [10125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [10127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [10129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [10131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [10143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [10145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [10153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [10155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [10157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [10163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [10169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [10177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [10183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [10187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [10193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [10205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [10209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [10221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4705),
  [10231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [10237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [10247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [10261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6743),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [10265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [10267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [10269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4131),
  [10271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [10273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7290),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [10303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [10305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6706),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6407),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7387),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [10325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [10329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [10341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [10343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [10351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7258),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7296),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [10371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6515),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [10377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [10381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [10391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7007),
  [10394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [10404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6226),
  [10407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [10423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [10435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [10457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6744),
  [10473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7023),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [10481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6804),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [10489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [10493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [10499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [10505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6773),
  [10511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1496),
  [10514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(7464),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [10533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [10535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6514),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [10542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [10544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [10560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [10580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [10594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [10614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [10630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [10662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [10668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [10700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [10716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [10730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [10764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6610),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [10814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [10822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [10850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6186),
  [10853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [10857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [10859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [10861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [10863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [10867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [10873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [10875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [10877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [10893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [10901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [10903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [10905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [10909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [10937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [10945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [10957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6179),
  [10960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [10964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [10968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7519),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [11000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [11008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [11012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8188),
  [11014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(5551),
  [11017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [11021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [11023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [11037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(5672),
  [11040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [11044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6419),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [11084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [11086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5356),
  [11089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [11093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [11131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [11145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [11151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [11153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [11155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6605),
  [11158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [11172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6610),
  [11177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6610),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [11182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [11204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [11240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [11244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [11298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1211),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [11349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [11389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(4819),
  [11392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [11402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [11418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [11424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6481),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [11434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [11436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(8092),
  [11439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [11443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [11447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [11485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [11487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [11491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [11495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [11499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [11511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3657),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [11516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7508),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [11523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [11529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [11533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [11541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [11555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [11558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [11562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7221),
  [11565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [11579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [11611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3567),
  [11614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [11640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [11645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [11675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [11705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [11707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 195),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [11711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [11731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 194),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [11799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [11807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [11821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [11837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5474),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [11850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [11852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [11866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7270),
  [11869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [11871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [11887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [11917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [11923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1032),
  [11926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(376),
  [11929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [11931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [11937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5895),
  [11940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [11942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [11946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [11950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1586),
  [11953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [11965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6492),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [11973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [11999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [12001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5322),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [12024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1621),
  [12027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1631),
  [12032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [12036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [12050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [12054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [12064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [12072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [12076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7981),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [12110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [12114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7653),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [12118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [12122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [12132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [12142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [12146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7759),
  [12148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [12158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [12164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [12184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [12190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [12212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [12220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8035),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [12280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [12348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [12442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [12532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [12588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [12600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [12844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [12886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [12896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [12910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [12932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [13014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [13018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [13024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [13028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [13036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [13042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [13098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7602),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [13149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [13155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [13157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [13177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [13215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [13225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [13347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [13357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [13361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [13363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [13393] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
